/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2018, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "parser/parse_expr.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	ObjectType	objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 264 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    EQUALS_GREATER = 269,
    LESS_EQUALS = 270,
    GREATER_EQUALS = 271,
    NOT_EQUALS = 272,
    ABORT_P = 273,
    ABSOLUTE_P = 274,
    ACCESS = 275,
    ACTION = 276,
    ADD_P = 277,
    ADMIN = 278,
    AFTER = 279,
    AGGREGATE = 280,
    ALL = 281,
    ALSO = 282,
    ALTER = 283,
    ALWAYS = 284,
    ANALYSE = 285,
    ANALYZE = 286,
    AND = 287,
    ANY = 288,
    ARRAY = 289,
    AS = 290,
    ASC = 291,
    ASSERTION = 292,
    ASSIGNMENT = 293,
    ASYMMETRIC = 294,
    AT = 295,
    ATTACH = 296,
    ATTRIBUTE = 297,
    AUTHORIZATION = 298,
    BACKWARD = 299,
    BEFORE = 300,
    BEGIN_P = 301,
    BETWEEN = 302,
    BIGINT = 303,
    BINARY = 304,
    BIT = 305,
    BOOLEAN_P = 306,
    BOTH = 307,
    BY = 308,
    CACHE = 309,
    CALL = 310,
    CALLED = 311,
    CASCADE = 312,
    CASCADED = 313,
    CASE = 314,
    CAST = 315,
    CATALOG_P = 316,
    CHAIN = 317,
    CHAR_P = 318,
    CHARACTER = 319,
    CHARACTERISTICS = 320,
    CHECK = 321,
    CHECKPOINT = 322,
    CLASS = 323,
    CLOSE = 324,
    CLUSTER = 325,
    COALESCE = 326,
    COLLATE = 327,
    COLLATION = 328,
    COLUMN = 329,
    COLUMNS = 330,
    COMMENT = 331,
    COMMENTS = 332,
    COMMIT = 333,
    COMMITTED = 334,
    CONCURRENTLY = 335,
    CONFIGURATION = 336,
    CONFLICT = 337,
    CONNECTION = 338,
    CONSTRAINT = 339,
    CONSTRAINTS = 340,
    CONTENT_P = 341,
    CONTINUE_P = 342,
    CONVERSION_P = 343,
    COPY = 344,
    COST = 345,
    CREATE = 346,
    CROSS = 347,
    CSV = 348,
    CUBE = 349,
    CURRENT_P = 350,
    CURRENT_CATALOG = 351,
    CURRENT_DATE = 352,
    CURRENT_ROLE = 353,
    CURRENT_SCHEMA = 354,
    CURRENT_TIME = 355,
    CURRENT_TIMESTAMP = 356,
    CURRENT_USER = 357,
    CURSOR = 358,
    CYCLE = 359,
    DATA_P = 360,
    DATABASE = 361,
    DAY_P = 362,
    DEALLOCATE = 363,
    DEC = 364,
    DECIMAL_P = 365,
    DECLARE = 366,
    DEFAULT = 367,
    DEFAULTS = 368,
    DEFERRABLE = 369,
    DEFERRED = 370,
    DEFINER = 371,
    DELETE_P = 372,
    DELIMITER = 373,
    DELIMITERS = 374,
    DEPENDS = 375,
    DESC = 376,
    DETACH = 377,
    DICTIONARY = 378,
    DISABLE_P = 379,
    DISCARD = 380,
    DISTINCT = 381,
    DO = 382,
    DOCUMENT_P = 383,
    DOMAIN_P = 384,
    DOUBLE_P = 385,
    DROP = 386,
    EACH = 387,
    ELSE = 388,
    ENABLE_P = 389,
    ENCODING = 390,
    ENCRYPTED = 391,
    END_P = 392,
    ENUM_P = 393,
    ESCAPE = 394,
    EVENT = 395,
    EXCEPT = 396,
    EXCLUDE = 397,
    EXCLUDING = 398,
    EXCLUSIVE = 399,
    EXECUTE = 400,
    EXISTS = 401,
    EXPLAIN = 402,
    EXTENSION = 403,
    EXTERNAL = 404,
    EXTRACT = 405,
    FALSE_P = 406,
    FAMILY = 407,
    FETCH = 408,
    FILTER = 409,
    FIRST_P = 410,
    FLOAT_P = 411,
    FOLLOWING = 412,
    FOR = 413,
    FORCE = 414,
    FOREIGN = 415,
    FORWARD = 416,
    FREEZE = 417,
    FROM = 418,
    FULL = 419,
    FUNCTION = 420,
    FUNCTIONS = 421,
    GENERATED = 422,
    GLOBAL = 423,
    GRANT = 424,
    GRANTED = 425,
    GREATEST = 426,
    GROUP_P = 427,
    GROUPING = 428,
    GROUPS = 429,
    HANDLER = 430,
    HAVING = 431,
    HEADER_P = 432,
    HOLD = 433,
    HOUR_P = 434,
    IDENTITY_P = 435,
    IF_P = 436,
    ILIKE = 437,
    IMMEDIATE = 438,
    IMMUTABLE = 439,
    IMPLICIT_P = 440,
    IMPORT_P = 441,
    IN_P = 442,
    INCLUDE = 443,
    INCLUDING = 444,
    INCREMENT = 445,
    INDEX = 446,
    INDEXES = 447,
    INHERIT = 448,
    INHERITS = 449,
    INITIALLY = 450,
    INLINE_P = 451,
    INNER_P = 452,
    INOUT = 453,
    INPUT_P = 454,
    INSENSITIVE = 455,
    INSERT = 456,
    INSTEAD = 457,
    INT_P = 458,
    INTEGER = 459,
    INTERSECT = 460,
    INTERVAL = 461,
    INTO = 462,
    INVOKER = 463,
    IS = 464,
    ISNULL = 465,
    ISOLATION = 466,
    JOIN = 467,
    KEY = 468,
    LABEL = 469,
    LANGUAGE = 470,
    LARGE_P = 471,
    LAST_P = 472,
    LATERAL_P = 473,
    LEADING = 474,
    LEAKPROOF = 475,
    LEAST = 476,
    LEFT = 477,
    LEVEL = 478,
    LIKE = 479,
    LIMIT = 480,
    LISTEN = 481,
    LOAD = 482,
    LOCAL = 483,
    LOCALTIME = 484,
    LOCALTIMESTAMP = 485,
    LOCATION = 486,
    LOCK_P = 487,
    LOCKED = 488,
    LOGGED = 489,
    MAPPING = 490,
    MATCH = 491,
    MATERIALIZED = 492,
    MAXVALUE = 493,
    METHOD = 494,
    MINUTE_P = 495,
    MINVALUE = 496,
    MODE = 497,
    MONTH_P = 498,
    MOVE = 499,
    NAME_P = 500,
    NAMES = 501,
    NATIONAL = 502,
    NATURAL = 503,
    NCHAR = 504,
    NEW = 505,
    NEXT = 506,
    NO = 507,
    NONE = 508,
    NOT = 509,
    NOTHING = 510,
    NOTIFY = 511,
    NOTNULL = 512,
    NOWAIT = 513,
    NULL_P = 514,
    NULLIF = 515,
    NULLS_P = 516,
    NUMERIC = 517,
    OBJECT_P = 518,
    OF = 519,
    OFF = 520,
    OFFSET = 521,
    OIDS = 522,
    OLD = 523,
    ON = 524,
    ONLY = 525,
    OPERATOR = 526,
    OPTION = 527,
    OPTIONS = 528,
    OR = 529,
    ORDER = 530,
    ORDINALITY = 531,
    OTHERS = 532,
    OUT_P = 533,
    OUTER_P = 534,
    OVER = 535,
    OVERLAPS = 536,
    OVERLAY = 537,
    OVERRIDING = 538,
    OWNED = 539,
    OWNER = 540,
    PARALLEL = 541,
    PARSER = 542,
    PARTIAL = 543,
    PARTITION = 544,
    PASSING = 545,
    PASSWORD = 546,
    PLACING = 547,
    PLANS = 548,
    POLICY = 549,
    POSITION = 550,
    PRECEDING = 551,
    PRECISION = 552,
    PRESERVE = 553,
    PREPARE = 554,
    PREPARED = 555,
    PRIMARY = 556,
    PRIOR = 557,
    PRIVILEGES = 558,
    PROCEDURAL = 559,
    PROCEDURE = 560,
    PROCEDURES = 561,
    PROGRAM = 562,
    PUBLICATION = 563,
    QUOTE = 564,
    RANGE = 565,
    READ = 566,
    REAL = 567,
    REASSIGN = 568,
    RECHECK = 569,
    RECURSIVE = 570,
    REF = 571,
    REFERENCES = 572,
    REFERENCING = 573,
    REFRESH = 574,
    REINDEX = 575,
    RELATIVE_P = 576,
    RELEASE = 577,
    RENAME = 578,
    REPEATABLE = 579,
    REPLACE = 580,
    REPLICA = 581,
    RESET = 582,
    RESTART = 583,
    RESTRICT = 584,
    RETURNING = 585,
    RETURNS = 586,
    REVOKE = 587,
    RIGHT = 588,
    ROLE = 589,
    ROLLBACK = 590,
    ROLLUP = 591,
    ROUTINE = 592,
    ROUTINES = 593,
    ROW = 594,
    ROWS = 595,
    RULE = 596,
    SAVEPOINT = 597,
    SCHEMA = 598,
    SCHEMAS = 599,
    SCROLL = 600,
    SEARCH = 601,
    SECOND_P = 602,
    SECURITY = 603,
    SELECT = 604,
    SEQUENCE = 605,
    SEQUENCES = 606,
    SERIALIZABLE = 607,
    SERVER = 608,
    SESSION = 609,
    SESSION_USER = 610,
    SET = 611,
    SETS = 612,
    SETOF = 613,
    SHARE = 614,
    SHOW = 615,
    SIMILAR = 616,
    SIMPLE = 617,
    SKIP = 618,
    SMALLINT = 619,
    SNAPSHOT = 620,
    SOME = 621,
    SQL_P = 622,
    STABLE = 623,
    STANDALONE_P = 624,
    START = 625,
    STATEMENT = 626,
    STATISTICS = 627,
    STDIN = 628,
    STDOUT = 629,
    STORAGE = 630,
    STRICT_P = 631,
    STRIP_P = 632,
    SUBSCRIPTION = 633,
    SUBSTRING = 634,
    SYMMETRIC = 635,
    SYSID = 636,
    SYSTEM_P = 637,
    TABLE = 638,
    TABLES = 639,
    TABLESAMPLE = 640,
    TABLESPACE = 641,
    TEMP = 642,
    TEMPLATE = 643,
    TEMPORARY = 644,
    TEXT_P = 645,
    THEN = 646,
    TIES = 647,
    TIME = 648,
    TIMESTAMP = 649,
    TO = 650,
    TRAILING = 651,
    TRANSACTION = 652,
    TRANSFORM = 653,
    TREAT = 654,
    TRIGGER = 655,
    TRIM = 656,
    TRUE_P = 657,
    TRUNCATE = 658,
    TRUSTED = 659,
    TYPE_P = 660,
    TYPES_P = 661,
    UNBOUNDED = 662,
    UNCOMMITTED = 663,
    UNENCRYPTED = 664,
    UNION = 665,
    UNIQUE = 666,
    UNKNOWN = 667,
    UNLISTEN = 668,
    UNLOGGED = 669,
    UNTIL = 670,
    UPDATE = 671,
    USER = 672,
    USING = 673,
    VACUUM = 674,
    VALID = 675,
    VALIDATE = 676,
    VALIDATOR = 677,
    VALUE_P = 678,
    VALUES = 679,
    VARCHAR = 680,
    VARIADIC = 681,
    VARYING = 682,
    VERBOSE = 683,
    VERSION_P = 684,
    VIEW = 685,
    VIEWS = 686,
    VOLATILE = 687,
    WHEN = 688,
    WHERE = 689,
    WHITESPACE_P = 690,
    WINDOW = 691,
    WITH = 692,
    WITHIN = 693,
    WITHOUT = 694,
    WORK = 695,
    WRAPPER = 696,
    WRITE = 697,
    XML_P = 698,
    XMLATTRIBUTES = 699,
    XMLCONCAT = 700,
    XMLELEMENT = 701,
    XMLEXISTS = 702,
    XMLFOREST = 703,
    XMLNAMESPACES = 704,
    XMLPARSE = 705,
    XMLPI = 706,
    XMLROOT = 707,
    XMLSERIALIZE = 708,
    XMLTABLE = 709,
    YEAR_P = 710,
    YES_P = 711,
    ZONE = 712,
    NOT_LA = 713,
    NULLS_LA = 714,
    WITH_LA = 715,
    POSTFIXOP = 716,
    UMINUS = 717
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 202 "gram.y" /* yacc.c:355  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs		*objwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	InferClause			*infer;
	OnConflictClause	*onconflict;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	struct ImportQual	*importqual;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;
	PartitionElem		*partelem;
	PartitionSpec		*partspec;
	PartitionBoundSpec	*partboundspec;
	RoleSpec			*rolespec;

#line 811 "gram.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 841 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  828
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   102096

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  480
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  667
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2725
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5471

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   717

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   469,     2,     2,
     474,   475,   467,   465,   478,   466,   476,   468,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   479,   477,
     461,   463,   462,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   472,     2,   473,   470,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   464,   471
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   784,   784,   800,   812,   822,   823,   824,   825,   826,
     827,   828,   829,   830,   831,   832,   833,   834,   835,   836,
     837,   838,   839,   840,   841,   842,   843,   844,   845,   846,
     847,   848,   849,   850,   851,   852,   853,   854,   855,   856,
     857,   858,   859,   860,   861,   862,   863,   864,   865,   866,
     867,   868,   869,   870,   871,   872,   873,   874,   875,   876,
     877,   878,   879,   880,   881,   882,   883,   884,   885,   886,
     887,   888,   889,   890,   891,   892,   893,   894,   895,   896,
     897,   898,   899,   900,   901,   902,   903,   904,   905,   906,
     907,   908,   909,   910,   911,   912,   913,   914,   915,   916,
     917,   918,   919,   920,   921,   922,   923,   924,   925,   926,
     927,   928,   929,   930,   931,   932,   933,   934,   935,   936,
     937,   938,   939,   940,   941,   942,   943,   944,   945,   947,
     956,   971,   982,   983,   984,   993,   994,   998,   999,  1003,
    1008,  1012,  1022,  1030,  1034,  1038,  1043,  1047,  1095,  1097,
    1101,  1105,  1109,  1113,  1127,  1145,  1153,  1164,  1165,  1169,
    1177,  1185,  1193,  1214,  1221,  1228,  1235,  1242,  1249,  1266,
    1284,  1295,  1296,  1307,  1317,  1327,  1342,  1360,  1361,  1365,
    1372,  1380,  1381,  1382,  1383,  1384,  1385,  1399,  1405,  1411,
    1420,  1428,  1436,  1440,  1448,  1456,  1463,  1472,  1473,  1481,
    1492,  1500,  1508,  1519,  1527,  1535,  1542,  1551,  1561,  1562,
    1566,  1567,  1570,  1572,  1576,  1577,  1578,  1579,  1583,  1584,
    1585,  1591,  1603,  1607,  1611,  1626,  1633,  1634,  1635,  1639,
    1640,  1641,  1645,  1646,  1650,  1654,  1655,  1662,  1669,  1679,
    1686,  1696,  1697,  1702,  1703,  1708,  1714,  1720,  1726,  1732,
    1742,  1752,  1753,  1757,  1758,  1766,  1781,  1787,  1793,  1799,
    1805,  1824,  1833,  1842,  1851,  1860,  1871,  1882,  1891,  1900,
    1909,  1920,  1931,  1940,  1949,  1958,  1967,  1976,  1985,  1996,
    2010,  2011,  2016,  2029,  2045,  2061,  2070,  2079,  2088,  2097,
    2106,  2114,  2122,  2131,  2147,  2156,  2165,  2174,  2191,  2200,
    2209,  2218,  2228,  2241,  2256,  2265,  2273,  2288,  2296,  2306,
    2316,  2323,  2330,  2338,  2346,  2353,  2360,  2368,  2376,  2384,
    2391,  2398,  2406,  2413,  2420,  2428,  2436,  2444,  2452,  2460,
    2468,  2478,  2485,  2493,  2501,  2509,  2517,  2525,  2532,  2539,
    2546,  2552,  2562,  2563,  2567,  2568,  2569,  2573,  2581,  2585,
    2586,  2590,  2597,  2604,  2611,  2621,  2624,  2625,  2629,  2630,
    2635,  2639,  2643,  2648,  2655,  2657,  2662,  2666,  2670,  2681,
    2689,  2742,  2755,  2769,  2781,  2788,  2792,  2799,  2800,  2801,
    2802,  2803,  2807,  2808,  2813,  2814,  2819,  2829,  2839,  2859,
    2872,  2873,  2878,  2887,  2897,  2907,  2933,  2939,  2972,  3001,
    3023,  3024,  3028,  3029,  3038,  3039,  3040,  3043,  3044,  3049,
    3050,  3054,  3058,  3062,  3066,  3070,  3074,  3078,  3082,  3086,
    3090,  3094,  3098,  3102,  3106,  3115,  3119,  3123,  3127,  3131,
    3135,  3139,  3140,  3145,  3149,  3156,  3163,  3164,  3165,  3166,
    3167,  3171,  3175,  3183,  3194,  3211,  3229,  3248,  3267,  3286,
    3318,  3319,  3320,  3321,  3322,  3329,  3336,  3337,  3341,  3342,
    3346,  3347,  3351,  3355,  3362,  3366,  3373,  3374,  3375,  3379,
    3380,  3383,  3405,  3424,  3446,  3447,  3451,  3458,  3459,  3460,
    3491,  3498,  3505,  3516,  3527,  3539,  3548,  3557,  3575,  3576,
    3595,  3602,  3609,  3616,  3627,  3637,  3638,  3639,  3643,  3644,
    3645,  3646,  3647,  3648,  3649,  3650,  3659,  3666,  3670,  3683,
    3699,  3714,  3730,  3745,  3764,  3785,  3786,  3790,  3791,  3795,
    3796,  3799,  3805,  3806,  3809,  3813,  3821,  3826,  3832,  3833,
    3837,  3842,  3849,  3850,  3860,  3862,  3864,  3866,  3869,  3872,
    3875,  3879,  3880,  3881,  3882,  3883,  3886,  3887,  3891,  3892,
    3895,  3907,  3908,  3911,  3912,  3915,  3926,  3937,  3951,  3952,
    3953,  3954,  3957,  3958,  3959,  3960,  3963,  3964,  3967,  3968,
    3971,  3989,  4001,  4026,  4039,  4055,  4069,  4070,  4071,  4083,
    4096,  4112,  4125,  4126,  4138,  4158,  4168,  4181,  4189,  4200,
    4201,  4204,  4205,  4208,  4209,  4212,  4216,  4220,  4224,  4228,
    4232,  4236,  4240,  4244,  4248,  4252,  4257,  4261,  4265,  4271,
    4272,  4276,  4277,  4278,  4283,  4286,  4287,  4299,  4311,  4326,
    4327,  4335,  4336,  4340,  4341,  4345,  4346,  4350,  4351,  4355,
    4365,  4378,  4379,  4389,  4400,  4401,  4414,  4421,  4438,  4446,
    4457,  4460,  4464,  4468,  4472,  4476,  4488,  4498,  4501,  4505,
    4518,  4527,  4536,  4545,  4554,  4563,  4572,  4581,  4590,  4599,
    4608,  4617,  4626,  4635,  4644,  4653,  4662,  4671,  4680,  4689,
    4698,  4707,  4716,  4725,  4734,  4743,  4752,  4761,  4779,  4790,
    4791,  4792,  4793,  4797,  4798,  4802,  4803,  4813,  4821,  4833,
    4834,  4838,  4842,  4850,  4854,  4858,  4865,  4869,  4874,  4879,
    4886,  4893,  4898,  4908,  4920,  4935,  4936,  4941,  4942,  4946,
    4947,  4957,  4966,  4974,  4991,  5011,  5031,  5052,  5083,  5092,
    5113,  5128,  5129,  5133,  5141,  5156,  5165,  5177,  5178,  5190,
    5198,  5215,  5239,  5256,  5270,  5271,  5275,  5276,  5280,  5281,
    5285,  5286,  5290,  5304,  5308,  5309,  5313,  5314,  5315,  5316,
    5317,  5327,  5345,  5366,  5392,  5393,  5394,  5398,  5400,  5422,
    5424,  5426,  5428,  5430,  5435,  5436,  5440,  5441,  5445,  5456,
    5457,  5461,  5470,  5474,  5478,  5483,  5493,  5494,  5498,  5499,
    5503,  5504,  5508,  5509,  5510,  5514,  5518,  5519,  5520,  5524,
    5525,  5530,  5531,  5558,  5559,  5560,  5561,  5562,  5563,  5576,
    5586,  5600,  5602,  5607,  5612,  5614,  5619,  5629,  5630,  5631,
    5632,  5644,  5664,  5686,  5696,  5707,  5717,  5727,  5738,  5747,
    5754,  5761,  5770,  5779,  5788,  5797,  5806,  5816,  5825,  5837,
    5840,  5841,  5844,  5848,  5855,  5856,  5857,  5858,  5859,  5860,
    5863,  5866,  5867,  5875,  5882,  5883,  5886,  5888,  5899,  5910,
    5921,  5932,  5945,  5946,  5962,  5977,  5978,  5982,  5994,  6004,
    6012,  6021,  6030,  6031,  6034,  6035,  6038,  6039,  6040,  6043,
    6057,  6062,  6072,  6081,  6093,  6094,  6098,  6106,  6118,  6128,
    6141,  6151,  6173,  6183,  6201,  6211,  6221,  6231,  6241,  6251,
    6261,  6271,  6281,  6291,  6301,  6311,  6325,  6326,  6327,  6328,
    6329,  6330,  6331,  6332,  6333,  6334,  6335,  6336,  6337,  6342,
    6343,  6344,  6345,  6346,  6347,  6348,  6353,  6354,  6355,  6359,
    6360,  6363,  6364,  6367,  6369,  6374,  6375,  6385,  6396,  6397,
    6398,  6432,  6440,  6448,  6456,  6464,  6472,  6480,  6488,  6496,
    6509,  6517,  6525,  6533,  6541,  6549,  6557,  6565,  6573,  6581,
    6593,  6594,  6595,  6596,  6597,  6598,  6599,  6600,  6601,  6602,
    6603,  6604,  6605,  6606,  6611,  6612,  6613,  6614,  6615,  6616,
    6617,  6618,  6619,  6620,  6621,  6622,  6626,  6627,  6641,  6651,
    6661,  6671,  6681,  6691,  6701,  6711,  6721,  6733,  6734,  6739,
    6740,  6741,  6742,  6743,  6744,  6749,  6750,  6751,  6752,  6753,
    6754,  6755,  6756,  6759,  6760,  6770,  6776,  6784,  6792,  6800,
    6808,  6816,  6824,  6832,  6840,  6848,  6856,  6864,  6872,  6880,
    6888,  6896,  6904,  6914,  6915,  6918,  6919,  6929,  6945,  6959,
    6985,  6987,  6989,  6991,  6998,  7007,  7008,  7011,  7018,  7025,
    7032,  7046,  7054,  7062,  7070,  7078,  7086,  7094,  7102,  7110,
    7118,  7126,  7134,  7142,  7150,  7158,  7166,  7174,  7182,  7190,
    7198,  7210,  7211,  7215,  7216,  7221,  7222,  7232,  7245,  7255,
    7267,  7268,  7271,  7272,  7282,  7292,  7293,  7297,  7301,  7305,
    7316,  7329,  7343,  7360,  7361,  7362,  7363,  7364,  7365,  7377,
    7405,  7436,  7437,  7441,  7442,  7446,  7447,  7451,  7452,  7455,
    7456,  7464,  7475,  7486,  7499,  7500,  7503,  7504,  7507,  7508,
    7511,  7512,  7515,  7516,  7517,  7520,  7521,  7522,  7538,  7550,
    7563,  7575,  7590,  7591,  7594,  7595,  7599,  7600,  7604,  7605,
    7610,  7622,  7629,  7636,  7651,  7652,  7656,  7657,  7672,  7681,
    7690,  7699,  7708,  7720,  7721,  7722,  7723,  7724,  7730,  7734,
    7749,  7750,  7756,  7766,  7770,  7775,  7783,  7824,  7828,  7832,
    7836,  7844,  7845,  7849,  7859,  7860,  7866,  7867,  7874,  7878,
    7882,  7886,  7890,  7894,  7898,  7902,  7906,  7910,  7914,  7918,
    7922,  7926,  7930,  7935,  7942,  7946,  7950,  7954,  7958,  7964,
    7965,  7972,  7973,  7977,  7978,  7981,  7993,  7997,  8012,  8020,
    8028,  8040,  8041,  8046,  8047,  8064,  8074,  8084,  8094,  8104,
    8114,  8127,  8137,  8150,  8160,  8173,  8181,  8183,  8185,  8190,
    8192,  8197,  8198,  8203,  8221,  8230,  8231,  8235,  8239,  8251,
    8262,  8273,  8286,  8287,  8288,  8292,  8304,  8305,  8315,  8327,
    8331,  8335,  8339,  8346,  8366,  8375,  8384,  8393,  8404,  8405,
    8408,  8409,  8410,  8413,  8414,  8417,  8427,  8436,  8453,  8462,
    8471,  8480,  8489,  8498,  8507,  8516,  8525,  8534,  8543,  8552,
    8561,  8571,  8581,  8590,  8599,  8608,  8617,  8626,  8635,  8645,
    8655,  8665,  8675,  8685,  8695,  8705,  8715,  8725,  8735,  8745,
    8755,  8766,  8777,  8788,  8799,  8809,  8819,  8830,  8841,  8851,
    8861,  8869,  8878,  8887,  8896,  8905,  8914,  8923,  8932,  8941,
    8950,  8964,  8965,  8968,  8969,  8979,  8987,  8995,  9003,  9012,
    9020,  9037,  9046,  9055,  9064,  9073,  9082,  9091,  9100,  9109,
    9118,  9127,  9136,  9145,  9154,  9163,  9172,  9181,  9190,  9199,
    9208,  9217,  9226,  9235,  9244,  9253,  9262,  9271,  9289,  9298,
    9299,  9302,  9304,  9310,  9311,  9312,  9313,  9314,  9323,  9331,
    9339,  9347,  9355,  9363,  9371,  9379,  9387,  9395,  9403,  9411,
    9419,  9427,  9435,  9443,  9451,  9459,  9467,  9475,  9483,  9491,
    9499,  9507,  9525,  9544,  9545,  9549,  9553,  9573,  9580,  9588,
    9596,  9613,  9626,  9630,  9637,  9646,  9655,  9664,  9673,  9683,
    9693,  9711,  9719,  9735,  9752,  9753,  9754,  9759,  9765,  9774,
    9775,  9776,  9777,  9778,  9782,  9783,  9786,  9787,  9788,  9789,
    9793,  9794,  9795,  9807,  9817,  9818,  9821,  9830,  9836,  9855,
    9862,  9869,  9876,  9883,  9890,  9897,  9904,  9911,  9918,  9925,
    9932,  9939,  9946,  9955,  9956,  9957,  9961,  9964,  9967,  9970,
    9973,  9980,  9982,  9984,  9989,  9991, 10003, 10016, 10029, 10047,
   10068, 10069, 10070, 10071, 10081, 10097, 10107, 10108, 10112, 10113,
   10117, 10121, 10125, 10143, 10144, 10145, 10146, 10147, 10148, 10149,
   10156, 10157, 10168, 10175, 10182, 10193, 10210, 10217, 10233, 10250,
   10256, 10272, 10285, 10294, 10302, 10310, 10319, 10330, 10341, 10351,
   10352, 10363, 10373, 10384, 10395, 10406, 10417, 10426, 10438, 10439,
   10453, 10476, 10484, 10493, 10504, 10505, 10517, 10532, 10542, 10543,
   10547, 10548, 10549, 10550, 10551, 10563, 10572, 10582, 10583, 10587,
   10591, 10592, 10596, 10597, 10601, 10602, 10605, 10606, 10609, 10610,
   10614, 10615, 10619, 10626, 10628, 10633, 10634, 10647, 10654, 10664,
   10671, 10681, 10682, 10683, 10684, 10685, 10686, 10687, 10688, 10689,
   10693, 10697, 10704, 10711, 10712, 10716, 10717, 10718, 10728, 10738,
   10739, 10743, 10744, 10745, 10746, 10756, 10763, 10781, 10782, 10792,
   10798, 10804, 10810, 10826, 10844, 10848, 10856, 10862, 10869, 10875,
   10882, 10891, 10892, 10896, 10898, 10903, 10914, 10924, 10934, 10940,
   10949, 10958, 10964, 10965, 10976, 10990, 10991, 11002, 11013, 11014,
   11017, 11018, 11019, 11020, 11021, 11022, 11023, 11024, 11027, 11028,
   11032, 11033, 11034, 11045, 11063, 11064, 11068, 11073, 11097, 11108,
   11109, 11119, 11130, 11133, 11134, 11135, 11136, 11137, 11140, 11141,
   11142, 11190, 11191, 11195, 11196, 11211, 11212, 11219, 11227, 11235,
   11243, 11251, 11259, 11270, 11271, 11298, 11312, 11327, 11328, 11347,
   11351, 11355, 11372, 11379, 11386, 11396, 11397, 11400, 11412, 11413,
   11417, 11429, 11437, 11442, 11447, 11452, 11457, 11465, 11473, 11478,
   11483, 11490, 11491, 11495, 11496, 11497, 11504, 11505, 11509, 11510,
   11514, 11515, 11519, 11523, 11524, 11527, 11536, 11549, 11550, 11551,
   11552, 11556, 11557, 11561, 11563, 11579, 11581, 11586, 11589, 11594,
   11595, 11603, 11623, 11624, 11626, 11631, 11632, 11636, 11637, 11640,
   11641, 11666, 11667, 11671, 11672, 11676, 11677, 11678, 11679, 11680,
   11684, 11697, 11704, 11711, 11718, 11719, 11723, 11724, 11728, 11729,
   11733, 11734, 11738, 11749, 11750, 11751, 11752, 11756, 11757, 11767,
   11773, 11791, 11792, 11796, 11797, 11803, 11808, 11816, 11823, 11831,
   11837, 11844, 11879, 11904, 11908, 11934, 11938, 11950, 11963, 11977,
   11988, 12003, 12009, 12014, 12020, 12027, 12028, 12036, 12040, 12044,
   12050, 12057, 12062, 12063, 12064, 12065, 12069, 12070, 12082, 12083,
   12088, 12095, 12102, 12109, 12120, 12121, 12134, 12138, 12145, 12158,
   12171, 12172, 12187, 12197, 12209, 12214, 12215, 12218, 12219, 12222,
   12223, 12228, 12229, 12234, 12235, 12243, 12248, 12249, 12253, 12257,
   12263, 12288, 12298, 12311, 12312, 12316, 12330, 12387, 12401, 12403,
   12408, 12410, 12412, 12414, 12419, 12421, 12426, 12434, 12454, 12459,
   12466, 12471, 12477, 12482, 12491, 12493, 12496, 12500, 12501, 12502,
   12503, 12504, 12505, 12510, 12530, 12531, 12532, 12533, 12544, 12550,
   12558, 12559, 12565, 12570, 12575, 12580, 12585, 12590, 12595, 12600,
   12606, 12612, 12618, 12625, 12647, 12656, 12660, 12668, 12672, 12680,
   12692, 12713, 12717, 12723, 12727, 12740, 12748, 12758, 12760, 12762,
   12764, 12766, 12768, 12773, 12774, 12781, 12790, 12798, 12807, 12818,
   12826, 12827, 12828, 12832, 12834, 12836, 12838, 12840, 12842, 12844,
   12849, 12854, 12860, 12868, 12873, 12880, 12887, 12891, 12895, 12931,
   12932, 12934, 12942, 12957, 12959, 12961, 12963, 12965, 12967, 12969,
   12971, 12973, 12975, 12977, 12979, 12981, 12983, 12986, 12988, 12990,
   12993, 12995, 12997, 12999, 13002, 13007, 13015, 13020, 13028, 13033,
   13041, 13046, 13055, 13063, 13071, 13079, 13097, 13105, 13113, 13121,
   13129, 13145, 13153, 13161, 13169, 13177, 13185, 13193, 13197, 13201,
   13205, 13209, 13217, 13225, 13233, 13241, 13261, 13283, 13294, 13301,
   13317, 13322, 13328, 13353, 13355, 13357, 13359, 13361, 13363, 13365,
   13367, 13369, 13371, 13373, 13375, 13377, 13379, 13381, 13383, 13385,
   13387, 13389, 13391, 13395, 13399, 13403, 13407, 13412, 13428, 13429,
   13430, 13445, 13479, 13481, 13483, 13494, 13518, 13529, 13540, 13547,
   13557, 13567, 13576, 13580, 13586, 13593, 13600, 13610, 13617, 13645,
   13680, 13691, 13692, 13699, 13705, 13709, 13713, 13717, 13721, 13725,
   13729, 13733, 13737, 13741, 13745, 13749, 13753, 13757, 13761, 13765,
   13767, 13771, 13780, 13785, 13792, 13807, 13814, 13818, 13822, 13826,
   13830, 13837, 13845, 13853, 13857, 13861, 13865, 13869, 13873, 13879,
   13883, 13892, 13896, 13900, 13905, 13919, 13921, 13925, 13927, 13929,
   13932, 13935, 13938, 13939, 13942, 13950, 13960, 13961, 13964, 13965,
   13966, 13971, 13975, 13979, 13983, 13994, 13995, 13999, 14000, 14008,
   14009, 14013, 14014, 14019, 14027, 14029, 14043, 14046, 14073, 14074,
   14077, 14078, 14086, 14093, 14100, 14108, 14117, 14134, 14179, 14187,
   14195, 14203, 14211, 14222, 14223, 14224, 14225, 14226, 14240, 14241,
   14242, 14245, 14246, 14249, 14252, 14253, 14254, 14257, 14258, 14261,
   14262, 14263, 14264, 14265, 14266, 14267, 14268, 14269, 14270, 14271,
   14272, 14275, 14277, 14282, 14284, 14289, 14291, 14293, 14295, 14297,
   14299, 14311, 14315, 14322, 14326, 14332, 14336, 14345, 14356, 14357,
   14360, 14364, 14368, 14374, 14375, 14380, 14384, 14391, 14392, 14393,
   14394, 14395, 14396, 14397, 14398, 14408, 14412, 14419, 14426, 14427,
   14443, 14447, 14452, 14456, 14471, 14476, 14480, 14483, 14486, 14487,
   14488, 14491, 14498, 14508, 14522, 14523, 14527, 14538, 14539, 14542,
   14543, 14546, 14550, 14557, 14561, 14565, 14573, 14584, 14585, 14589,
   14590, 14594, 14595, 14598, 14599, 14609, 14610, 14614, 14615, 14618,
   14634, 14642, 14650, 14672, 14673, 14684, 14688, 14715, 14717, 14722,
   14725, 14728, 14730, 14732, 14734, 14744, 14746, 14757, 14761, 14765,
   14769, 14773, 14782, 14789, 14821, 14825, 14831, 14838, 14842, 14846,
   14852, 14853, 14855, 14856, 14857, 14861, 14894, 14921, 14925, 14931,
   14933, 14950, 14951, 14952, 14957, 14958, 14959, 14964, 14965, 14966,
   14967, 14973, 14974, 14975, 14976, 14977, 14997, 14998, 14999, 15000,
   15001, 15002, 15003, 15004, 15005, 15006, 15007, 15008, 15009, 15010,
   15011, 15012, 15013, 15014, 15015, 15016, 15017, 15018, 15019, 15020,
   15021, 15022, 15023, 15024, 15025, 15026, 15027, 15028, 15029, 15030,
   15031, 15032, 15033, 15034, 15035, 15036, 15037, 15038, 15039, 15040,
   15041, 15042, 15043, 15044, 15045, 15046, 15047, 15048, 15049, 15050,
   15051, 15052, 15053, 15054, 15055, 15056, 15057, 15058, 15059, 15060,
   15061, 15062, 15063, 15064, 15065, 15066, 15067, 15068, 15069, 15070,
   15071, 15072, 15073, 15074, 15075, 15076, 15077, 15078, 15079, 15080,
   15081, 15082, 15083, 15084, 15085, 15086, 15087, 15088, 15089, 15090,
   15091, 15092, 15093, 15094, 15095, 15096, 15097, 15098, 15099, 15100,
   15101, 15102, 15103, 15104, 15105, 15106, 15107, 15108, 15109, 15110,
   15111, 15112, 15113, 15114, 15115, 15116, 15117, 15118, 15119, 15120,
   15121, 15122, 15123, 15124, 15125, 15126, 15127, 15128, 15129, 15130,
   15131, 15132, 15133, 15134, 15135, 15136, 15137, 15138, 15139, 15140,
   15141, 15142, 15143, 15144, 15145, 15146, 15147, 15148, 15149, 15150,
   15151, 15152, 15153, 15154, 15155, 15156, 15157, 15158, 15159, 15160,
   15161, 15162, 15163, 15164, 15165, 15166, 15167, 15168, 15169, 15170,
   15171, 15172, 15173, 15174, 15175, 15176, 15177, 15178, 15179, 15180,
   15181, 15182, 15183, 15184, 15185, 15186, 15187, 15188, 15189, 15190,
   15191, 15192, 15193, 15194, 15195, 15196, 15197, 15198, 15199, 15200,
   15201, 15202, 15203, 15204, 15205, 15206, 15207, 15208, 15209, 15210,
   15211, 15212, 15213, 15214, 15215, 15216, 15217, 15218, 15219, 15220,
   15221, 15222, 15223, 15224, 15225, 15226, 15227, 15228, 15229, 15230,
   15231, 15232, 15233, 15234, 15235, 15236, 15237, 15238, 15239, 15240,
   15241, 15242, 15243, 15244, 15245, 15246, 15247, 15248, 15249, 15250,
   15251, 15252, 15253, 15254, 15255, 15256, 15257, 15258, 15259, 15260,
   15261, 15262, 15263, 15264, 15265, 15266, 15267, 15268, 15269, 15270,
   15271, 15272, 15273, 15274, 15275, 15276, 15277, 15278, 15279, 15280,
   15281, 15282, 15283, 15284, 15285, 15286, 15300, 15301, 15302, 15303,
   15304, 15305, 15306, 15307, 15308, 15309, 15310, 15311, 15312, 15313,
   15314, 15315, 15316, 15317, 15318, 15319, 15320, 15321, 15322, 15323,
   15324, 15325, 15326, 15327, 15328, 15329, 15330, 15331, 15332, 15333,
   15334, 15335, 15336, 15337, 15338, 15339, 15340, 15341, 15342, 15343,
   15344, 15345, 15346, 15347, 15348, 15349, 15363, 15364, 15365, 15366,
   15367, 15368, 15369, 15370, 15371, 15372, 15373, 15374, 15375, 15376,
   15377, 15378, 15379, 15380, 15381, 15382, 15383, 15384, 15385, 15395,
   15396, 15397, 15398, 15399, 15400, 15401, 15402, 15403, 15404, 15405,
   15406, 15407, 15408, 15409, 15410, 15411, 15412, 15413, 15414, 15415,
   15416, 15417, 15418, 15419, 15420, 15421, 15422, 15423, 15424, 15425,
   15426, 15427, 15428, 15429, 15430, 15431, 15432, 15433, 15434, 15435,
   15436, 15437, 15438, 15439, 15440, 15441, 15442, 15443, 15444, 15445,
   15446, 15447, 15448, 15449, 15450, 15451, 15452, 15453, 15454, 15455,
   15456, 15457, 15458, 15459, 15460, 15461, 15462, 15463, 15464, 15465,
   15466, 15467, 15468, 15469, 15470, 15471
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS", "NOT_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BY", "CACHE", "CALL", "CALLED", "CASCADE", "CASCADED", "CASE",
  "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS",
  "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE",
  "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONFLICT",
  "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P",
  "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE",
  "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC",
  "DETACH", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO",
  "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P",
  "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT",
  "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN",
  "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH",
  "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GENERATED", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "GROUPING", "GROUPS", "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P",
  "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P",
  "IMPORT_P", "IN_P", "INCLUDE", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE",
  "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP",
  "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING", "MATCH",
  "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE", "MODE",
  "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR",
  "NEW", "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL",
  "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF",
  "OFF", "OFFSET", "OIDS", "OLD", "ON", "ONLY", "OPERATOR", "OPTION",
  "OPTIONS", "OR", "ORDER", "ORDINALITY", "OTHERS", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED", "OWNER",
  "PARALLEL", "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD",
  "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING", "PRECISION",
  "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES",
  "PROCEDURAL", "PROCEDURE", "PROCEDURES", "PROGRAM", "PUBLICATION",
  "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE",
  "REF", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX", "RELATIVE_P",
  "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET",
  "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROLLUP", "ROUTINE", "ROUTINES", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW",
  "SIMILAR", "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING",
  "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIES",
  "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TRANSFORM",
  "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "TYPES_P", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE",
  "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING",
  "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLNAMESPACES", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "XMLTABLE", "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA",
  "'<'", "'>'", "'='", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'",
  "$accept", "stmtblock", "stmtmulti", "stmt", "CallStmt",
  "CreateRoleStmt", "opt_with", "OptRoleList", "AlterOptRoleList",
  "AlterOptRoleElem", "CreateOptRoleElem", "CreateUserStmt",
  "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt", "DropRoleStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_drop_behavior", "opt_collate_clause", "alter_using",
  "replica_identity", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "partbound_datum",
  "partbound_datum_list", "range_datum_list", "PartitionRangeDatum",
  "AlterCompositeTypeStmt", "alter_type_cmds", "alter_type_cmd",
  "ClosePortalStmt", "CopyStmt", "copy_from", "opt_program",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "opt_c_include",
  "key_match", "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type_any_name", "drop_type_name",
  "drop_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type_any_name", "comment_type_name", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type_any_name",
  "security_label_type_name", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_include", "index_including_params", "opt_collate", "opt_class",
  "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterOwnerStmt",
  "CreatePublicationStmt", "opt_publication_for_tables",
  "publication_for_tables", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "publication_name_list",
  "publication_name_item", "AlterSubscriptionStmt", "DropSubscriptionStmt",
  "RuleStmt", "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterCollationStmt", "AlterSystemStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "any_with", "CreateConversionStmt",
  "ClusterStmt", "cluster_index_specification", "VacuumStmt",
  "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_option_list", "analyze_option_elem", "analyze_keyword",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_target",
  "insert_rest", "override_kind", "insert_column_list",
  "insert_column_item", "opt_on_conflict", "opt_conf_expr",
  "returning_clause", "DeleteStmt", "using_clause", "LockStmt", "opt_lock",
  "lock_type", "opt_nowait", "opt_nowait_or_skip", "UpdateStmt",
  "set_clause_list", "set_clause", "set_target", "set_target_list",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "all_or_distinct", "distinct_clause", "opt_all_clause",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value", "select_fetch_first_value",
  "I_or_F_const", "row_or_rows", "first_or_next", "group_clause",
  "group_by_list", "group_by_item", "empty_grouping_set", "rollup_clause",
  "cube_clause", "grouping_sets_clause", "having_clause",
  "for_locking_clause", "opt_for_locking_clause", "for_locking_items",
  "for_locking_item", "for_locking_strength", "locked_rels_list",
  "values_clause", "from_clause", "from_list", "table_ref", "joined_table",
  "alias_clause", "opt_alias_clause", "func_alias_clause", "join_type",
  "join_outer", "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "opt_window_exclusion_clause", "row", "explicit_row",
  "implicit_row", "sub_type", "all_Op", "MathOp", "qual_Op", "qual_all_Op",
  "subquery_Op", "expr_list", "func_arg_list", "func_arg_expr",
  "type_list", "array_expr", "array_expr_list", "extract_list",
  "extract_arg", "overlay_list", "overlay_placing", "position_list",
  "substr_list", "substr_from", "substr_for", "trim_list", "in_expr",
  "case_expr", "when_clause_list", "when_clause", "case_default",
  "case_arg", "columnref", "indirection_el", "opt_slice_bound",
  "indirection", "opt_indirection", "opt_asymmetric", "opt_target_list",
  "target_list", "target_el", "qualified_name_list", "qualified_name",
  "name_list", "name", "database_name", "access_method", "attr_name",
  "index_name", "file_name", "func_name", "AexprConst", "Iconst", "Sconst",
  "SignedIconst", "RoleId", "RoleSpec", "role_list", "ColId",
  "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,    60,    62,    61,   716,    43,    45,    42,    47,    37,
      94,   717,    91,    93,    40,    41,    46,    59,    44,    58
};
# endif

#define YYPACT_NINF -4901

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4901)))

#define YYTABLE_NINF -2632

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2632)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    6507,   801, 15542, -4901, -4901,   801, 61298, -4901, 69033,    13,
     644,    98,   165, 14648, 69488, 76768,   258,   338, 15094,   801,
   76768,  1410, 52653, 66303,   772, 76768,  1028,   723, 52653, 76768,
   77223,   908,   966,   215, 77678, 69943, 64938,  1400, 76768,  1047,
    1379, 78133, 70398,  1153, 70853,   723, 49041,   344,   960, 78588,
   76768,  1432,  1445,  1122, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,    -4,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
    2515, -4901,   769,  2816,  1475,   216,  1217, -4901, -4901, -4901,
   61298, 76768, 76768, 76768,  1414, 76768,  1451, 76768,   478, 61298,
   57203, 71308,  1596,  1497, 45395, 79043, -4901, 61298, 76768, 55383,
   61298, 76768, 76768, 79498, 76768, 76768, 76768,  1229, 67668, 76768,
    1607, 76768, 76768, 55838, 79953,  1751,  1118,   253, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901,  1530,  1017, -4901,   284, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, 76768, 13585,  1028, -4901, -4901,
    1432, 76768,  1783, 61298, 76768,  1559, 80408,  1644, 76768, -4901,
   76768,  1706, 80863,   748,  1942, 57203,  2077, 45851,  1768, 76768,
   76768, 57203, 81318, 81773, 82228, 76768, 76768, -4901, -4901,  1776,
   76768, 76768, -4901,  1907, 57658,  1629,  1911,  2137,  2047,  1190,
   -4901, 71763, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   60388,   338, -4901, -4901,  2007, 61753, 76768,  2089, -4901, -4901,
   82683, 98993,  1893, -4901,   771, 62208, 58113,  2265,  1870, 46307,
    2299, -4901, 62663, -4901, 58568, 63118, -4901, -4901, -4901, -4901,
   -4901, 83138, -4901, 83593,  1963,  2089, -4901, 99434, 59023, -4901,
    2143, 84048, 84503, 84958, -4901,  1890,  1227,  2048, 41267, -4901,
   -4901, -4901,    13, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901,   330,  1599,   227,   223,   259, -4901, -4901,   238,   239,
     245,   330,  2381,  2381, -4901, 76768, -4901, -4901,  1599,   677,
    1908,  1908,  1908,  2125,    20, -4901,  1908,  2063, -4901, -4901,
   -4901, -4901, 70853, -4901,  1920,  1028,  1965,  2365,  1983, -4901,
   -4901, -4901, -4901, -4901,  2015, 76768, 76768, 76768, -4901, -4901,
    2414,  1992,  2257,  2010, -4901, -4901, -4901,  2239,  2247,  2221,
     353,  1028,  2132, -4901,  2390, -4901,  2263, 28212, 28212,  1028,
   72218, 85413,   291, 60388,  1028, 72673,  2082,  1287,  2284, -4901,
   -4901, -4901,   741, -4901,  2517,  2126,  2387,  2010,  1118, 42640,
   -4901,  2158,  1017, 70853, -4901, -4901, -4901,   280,  2447, 30100,
   76768,  2180, -4901,  2197,  2180,  2205,  2216,  1475, -4901,  6507,
    2270, 76768,  1381,  1381,  2657,  1381,  1930,  1931, -4901,  2842,
   -4901,  2586,  2546, 70853,  2294,  1440,  2296,  1639,  2302,  1537,
    2003, -4901, -4901,   924, 76768,   213,  2322, 73128,  4802,  2298,
    1017,  2311, -4901, -4901, -4901,  2474,   357, -4901, -4901, -4901,
   -4901,  2623,  2668,  1987,   300, 73583, -4901, -4901, -4901, -4901,
   76768, 76768, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901,  2345,  1050, -4901, -4901,  2352,  2691,  2580,  6866,  1231,
    2666,  2532,  1020,  7910,  2588,  1353,  2715,  8477,  1467,  1812,
    2450, 74038, 76768,  2680,  2745,  7421,  1628,   890,  2626,  1014,
    2666,  2747,  2609,  1020,  2763,  7887, 76768, -4901,  2720,  2824,
      84, -4901,   166, -4901, 23105, 30100, 48586, -4901,  1017,  2529,
    2685,   106,  2725, 61298,  2491, -4901, -4901, 76768, -4901, -4901,
   99875,  2571, -4901,   774, 61298, -4901,  2709,  2543, 46763, 76768,
   61298, -4901, -4901, 61298, 76768, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901,  2631,  2823, 76768, 99875, -4901,  2767, 76768, 76768,
   -4901,  2514, -4901, -4901, -4901, -4901,  1908, 76768,  2523,  2935,
   99875,  2749,   129, 76768,  1099,  2973, 76768,  2759,  1099,  2579,
   85868, -4901, -4901,  1099, -4901, -4901, -4901, 76768, 76768,  2548,
     919,  2757,  2871,  1099,  2776,  2988,  2993,  2783,  2635,  2791,
    2197,  2966,  2765,   903,   844,   197,  1232,  1099,  2622, 86323,
   86778, 76768,  2624, 76768,  2975, 61298, 61298, 76768,  2898, -4901,
    2754, -4901, -4901,  1393, -4901, -4901, -4901, -4901, -4901,  2914,
   -4901,   251,   277,  2916,  2589,  2918, -4901, -4901, -4901,  2639,
   -4901,  2639,  2639,  2594,  2594,  2772,  2596,  2928, -4901, -4901,
   -4901,  1914,  2639,  2594, -4901,100757, -4901,  1611,  1642, -4901,
     255, -4901,  3043, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901,  2604, -4901,  1005,  1961, -4901, -4901,  2642, -4901,  2934,
     279, -4901,  2938, -4901,  2612, 87233, -4901, 87688, 88143,  2941,
     305, -4901, 57203,  2951,   279,  2952,  2612,  2955,   279,  2958,
     277,  2960, -4901,   939,  2942,  2961,   255,  2963,  1709,  2612,
   60843,  2967,   309, -4901,  2968,   339, -4901,  2976,  2843, 30100,
   -4901,  2733, -4901,   960, -4901,   -18, -4901, 51743, -4901,  2048,
    1599, -4901, 76768,  1599, 76768,  1599, 76768,  1599, 76768,  1599,
   76768, 76768, 76768,  1599, -4901, -4901, -4901, 76768,  2649, 76768,
   76768, -4901, -4901, -4901, 66758, 57203, 67213, -4901, 76768, -4901,
     369,  1028, -4901, -4901, 99875,  3089, 57203,  2975, -4901,  1538,
   -4901, -4901, -4901, -4901, -4901, -4901,  2902, 76768,  2979,  2982,
   66758, 57203, -4901, 88598, 60388,  2857,  2654, -4901, -4901, -4901,
   -4901, -4901,  1658,  3126,   224,  3136, 30100,  2675,   224,   224,
    2676,  2995, -4901, -4901, -4901,   286,  2681,  2683, -4901,   228,
     228, -4901,  2694,  2713, -4901,   243,  2717,  2718,  3184,  3189,
     249,  2729,  2732,  2735,  1914,   224, 30100, -4901,  2736,   228,
    2739,  2741,  2743,  3194,  2746, -4901,  3207,  2750,   214,   312,
    2753,  2755, -4901,  2694, -4901,   252,  2756,  2760,  2764,  2766,
    2769,  2770,  2771,  2775, 30100, 30100, 30100, -4901, 26796,  1017,
    1028, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,   274,
    5973, -4901,  2781, -4901, -4901,  2956, -4901, -4901, 30100, -4901,
   -4901,    99, -4901,   288, -4901, -4901, -4901,  1017,  3026,  2761,
   -4901, -4901,  1453,  2777, -4901,  1384, -4901, -4901, -4901, -4901,
   -4901, -4901, 59478,  3206, -4901,   326,  1028,   166,  1328,  3147,
   50833, 51288, -4901, -4901,  3031, -4901, 76768, -4901, -4901,  1017,
     168, -4901, -4901, -4901, -4901,  1656, -4901, -4901, -4901,    13,
   14175,  1697,  2180, 76768, 76768,  3222, -4901, -4901, -4901, -4901,
    1728, -4901, -4901,  2780, -4901,  2197, -4901, -4901,  1475,  1475,
   30100,  1475,   753,  1387, 28684, 30572,  3105,  2998,  1283,  1491,
    3107, -4901,  3002,  1930,  1931, 70853, 76768, 89053,  2911, 30100,
    2873,  2874,  2927, 49951, -4901,  2876,  2844,  2877,  2931, 53563,
    2799,  2881,  2883,  2936, -4901,  3056, -4901, -4901,  2887,  2889,
   89508, -4901, -4901,  1008, -4901, -4901, -4901,  1008, -4901,  2822,
    1477,   819,  1511,  2891,   257,   996,  3203, -4901,  1285, -4901,
   -4901,  2946, -4901,  7040, 76768,  3146,  8390,  3024,   300,  3025,
    2948, -4901, -4901,  3078,  2906, 76768,  2907,  3044,   300,   272,
   89963, -4901, -4901, -4901, -4901, -4901, -4901,  3911, 25913, -4901,
    1108,  2910,  2897,  2922, 76768, 64028,  1663,  3027,  3048,  3050,
    1760,  2041,   278,  2983, 76768,  1063,  3057, 76768,  2850,  2930,
    2932,  3149,  2852,  1689,  3246,  2853, -4901, -4901, -4901, -4901,
    1872,  2070,  3047, -4901,  3148,  3187,  7577,  2919,  2920, 97670,
   -4901,  2939,   633, 47219, 76768, 76768,  3070,  2949,  2959, 90418,
    3911,  2972,  2974,  2965,  2981,  1054,  3247,  1574,  2987, -4901,
   -4901, -4901,  1574,  3092,  2991,  3000, 90873,  3911, 76768,  3003,
    3004, 76768,100757,   300, -4901,  3305,   300,   300,  1673,  3309,
    3005,   364,  3118,  1737,  1099,  2853,  2108, -4901,  3007,  3008,
     907, -4901,  3096,  3010,  3011,  3022,  1028, -4901, -4901,  3013,
    3062,  3017,    51, -4901, -4901,     0,  2985, 70853,  3085,  3088,
     382,  2073,  2853, -4901,  3018,  3019,  2852,  2852, 76768, 76768,
   76768, 76768, 76768,   179,  3341,  3355,  3020,   200,  3073,  2940,
   -4901,  1574, 56293,  3028, -4901,  1574, 76768,  3029,  2338,  2853,
    1514,  1487, -4901, -4901, -4901,  1118, -4901, 30100, 30100, 30100,
    2945, -4901,  2416, 14175,    71, -4901,   290, 11602,  2943, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, 76768, -4901, 76768, -4901,  3216,
   99875,  3158,  3220, -4901,  2990, -4901,  3223,   300, -4901, 76768,
   76768,  3224,  3165,  3228,  3229,  3170,  1090, 99875,  3171,  3232,
   -4901,  3234,  3236,  3051,  3012,  3042, 50392, -4901,  2548,  2977,
    3415,  3307, 76768, 53563, -4901,  3431,  1008, -4901, 99875,  3190,
    3310, -4901, 76768,  3204,    62, -4901,  3348,  3046, -4901, -4901,
     629, 76768,   275,  3030, -4901, -4901,  3315, 57203,   303,  3316,
    1028,  3037,  3323,  3201,  1028, 57203,  3240, 76768, 76768, 76768,
   76768, -4901, -4901,  3213,   839,   320, -4901, 56293,  3235, -4901,
   76768,  3237,  2108,  3242,  3443,   793,  1908, 91328,  3332, -4901,
   91783,  3023,  3023,  3459, 99875,  3283, -4901,  2061, -4901,  3154,
   -4901, 61298, -4901, -4901, 61298, -4901, -4901, -4901, 99875, 76768,
   -4901,  3033, -4901, -4901, 30100, -4901, -4901, -4901,  2381, -4901,
   99875,  2639,  2639, -4901, -4901,  3466,  3108,  3110,  2381, -4901,
    2381, -4901, 99875, -4901,  3032,  3036,  2381,  3116,  3117,  3119,
   -4901,  3039,  3120,  2381, -4901, -4901,  2078, -4901, -4901, 61298,
   61298, -4901, 57203, 57203,  3370,   309,  3371,  3102,  3376,  3109,
   47219, 47219, -4901,   343, 61298, -4901, 57203, 61298, -4901, 76768,
   -4901, 76768, -4901, -4901, -4901, -4901, 99875, 99875, -4901, 57203,
   56293,  3379,  3380,   277, 76768, 76768, -4901, 76768, 76768, -4901,
   76768, 76768,  1801, 92238,  2048, 59933, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, 76768, -4901, 76768, -4901, 76768, -4901,
   76768, -4901, 76768, -4901, -4901, -4901, 76768, -4901, 76768,  1805,
   -4901, -4901,  1846,  1097, 76768, 76768,   208, 61298, 76768,  3268,
   61298, 61298, 76768, 76768, 76768, 76768, 76768,  3138,  2777,  1037,
   -4901,   266,   226, 70853,  3276, -4901, -4901,  1862,  1432,   477,
   76768,  1015,  2015, -4901, -4901, 67213, 66303,  3374,   111, 76768,
   -4901, -4901,  2768, 30100,  1017, 27740, -4901, -4901, 14175,  3106,
   30100, 30100,  3064,  2381,  2381, -4901,   938, 30100, 30100, 30100,
    2381,  2381,  5026, 30100, 47219, 30100, 35292, 24051, 30100, 30100,
   27268, -4901, 30100,  3298, 36696, 30100,  1328,  3299, 30100,  1328,
    5026,  3537,  3537,  1924,  3364,  3071,  1017, -4901,  2381,   835,
   -4901,   331, 99875, 30100, 30100, 30100, 30100, 53563,  3157,   314,
   76768, 30100,  3079,  1598, -4901, 30100, -4901,  3084, 30100,  3167,
     340, 30100, 30100, 30100, 30100, 30100, 30100, 30100, 30100, 30100,
   -4901, 38067,   402,  3391,  3398,   542,   499, 74493, 28212,  3401,
   23105, -4901,   273,  3401, -4901, -4901, -4901, 76768,  3206, -4901,
   -4901,  3172, -4901, -4901, -4901, -4901, -4901,   297, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901,  3090, -4901, -4901, -4901, -4901,
    3090, -4901,  3095,  3395,  3396,   277, 76768,   280,  2256, -4901,
   30100, -4901,  1876,  3103, 76768,  2270, 76768, -4901,  3373, -4901,
    3111, -4901, 11637,  3373, -4901, -4901, 35758,  3225,  3372,  3317,
   -4901, -4901, -4901,  3112, 14175, 31044, 31044, -4901,  2029, 14175,
    2313, -4901, -4901, -4901, -4901, -4901, -4901,  1471, -4901, 76768,
    1102,  3105,  1491,  3168,   151,  3556, 76768, -4901, 43097,  1878,
   57203, 76768, 76768,  3314, -4901,  3540, -4901,100757, -4901,  3122,
   -4901,100316, 96333, -4901, -4901,   809, -4901,  1088, 57203, -4901,
   76768, 76768, -4901, 53563, 57203, 76768, 76768, -4901, 57203, 76768,
   76768, -4901, -4901, -4901, -4901, -4901, 52198,   573, 66303,  3251,
   65393, -4901, -4901,  3121, 76768,  3180,  3386,  3387,   797, -4901,
   -4901, 92693, -4901,  3343, 57203, 76768, 76768, 30100,  3344, 76768,
   76768, -4901,   502,  3209,  3210, -4901, 76768,  3211,  3369, 61298,
    3139, 76768, 76768, 99875,  3215,   782, 61298,  3186, 47675, 61298,
   61298, 76768, 76768, 76768, 76768,  3271,  3460, 99875, 76768,  3404,
     953, 70853,   242,  2413,  2853,  3363, -4901,  3475,   281, -4901,
   57203, -4901, 76768,  3356, -4901, -4901, -4901, 74948,  3581,  3261,
   -4901, -4901, 93148, -4901, -4901, -4901,  1898, -4901, 57203, 57203,
   76768,  8535, 93603,   964,  3375, -4901, -4901, 99875, -4901, 76768,
   75403, 76768, 76768,  3479,  3410, 76768, 68123, 94058, 94513,    86,
     821,  3413, 76768, 68578,  3414, -4901,  3300, 76768, -4901, -4901,
   54018, 57203, 76768,   871, 53563, -4901, -4901, 76768, -4901,  3377,
     857, -4901, 76768,  9879, -4901, -4901,  3250,  3255, 76768,  3378,
     317,  2620,  2853, 76768, 76768,  3164,  1899, 57203, 76768, 53563,
   -4901,  3381,    88,  3495, 57203, 76768, 74948, -4901, 70853, 70853,
   57203, 76768, 70853, -4901, 76768, 85413, -4901, 57203,  1276, -4901,
    3498, 57203, 76768, 74948, -4901,  3326, 57203, 76768, 12504, -4901,
   -4901, -4901,   300, -4901, -4901, -4901, -4901, -4901, 76768, 76768,
     300, 76768, 76768,   300,  1430, -4901, 57203, 76768, -4901, -4901,
   -4901, 57203, 76768, 76768, -4901, 57203,  3030, 76768, 53563, -4901,
   76768,  7436, 76768, 76768, 76768, 76768, 76768, 76768, 57203, 76768,
   -4901, -4901,  1055,  1061,  1560,  1580,   247, 76768,  3474, 76768,
   94968, 57203, 76768, 76768,  1028, 76768,   371, -4901, -4901,  3303,
   -4901, 57203,  1276, -4901,  8636, 76768, 76768,  3262,  3263,   173,
    3349, -4901, -4901, -4901,   664,   664,  3384, -4901, 30100, 30100,
   29156,  3191, -4901, -4901, 30100, -4901, -4901, -4901,   928,  3626,
   95423,   928, -4901,   928,  3455,  3249,  3254,   928, 76768,   928,
     928, 76768, -4901, -4901, -4901, -4901,  3453, 76768,   928,   928,
     928,  3366,  3407,   155,  3484,  3214,  1906, -4901, -4901, 30100,
   99875, 76768, -4901,  1932, -4901,  3218,   839, -4901, -4901, 53563,
   76768,   220,   140,  3530,  3418, 64483,  2607,  3521, 76768,  3253,
   76768,  3650,  3302, 70853,  2548, -4901,  2607, 76768, -4901,  2598,
   66303, -4901, -4901, -4901, -4901, -4901, -4901, -4901, 76768, -4901,
   -4901,  3527, 76768, 30100,  3382, -4901,  1028,  2548,  2548,  2548,
    2548, -4901, -4901, -4901, -4901,  3424,  1840, -4901,  3219,  2548,
   76768,  3336,  3546,  2607,  3221,  3548, -4901,  2108,  3551,  1412,
   76768,  3434, 64483,  2068,  3264,  3446,  3667,  1908,  1028,  3449,
    3435, -4901, 26354,  5844,  6861,  3436,  3492, 60388,  3531,  3532,
    3550, -4901,   251, -4901,  3676, -4901, 30100,  1934,  3244,   255,
   -4901, -4901,  3252,  3036,  3266,  3269,  3245,  3257, -4901,  2381,
     204,  3259,  1162,   733,  3365,  2381,  3485,  3260, -4901,   279,
   -4901,  2612, -4901, 76768, -4901, 76768, 76768, 76768, 76768,   305,
   -4901, -4901,   279,  2612,   279,   277, -4901,  3512,   255,  2612,
    3383,  3571, 60388, -4901,   309, -4901,   339, -4901,  3461,   277,
   -4901,  3483,  1908, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901,  1939, -4901, 76768, -4901,  3552,  3553,  3555,  3557,  3558,
    3265,  3270,  3306, 76768,  3272,  3265,   300,  3272,  3272,  3265,
    2777,  2777,  3265,  3270, 56748,  3728,  3582, -4901,  3362,  3285,
    3598,   241, -4901,   715,    65,  3520, -4901, -4901, -4901, -4901,
   99875, -4901, 57203,  3328, 76768, 76768, -4901,   355,  3494,  3288,
   56748,  3714,   277, -4901, 61298, -4901, -4901, 99875,  3368,  3388,
   61298,  3506,  3342, 61298, -4901, -4901, 61298, -4901, -4901, -4901,
   -4901, -4901, 99875, -4901,  3560, 76768, 76768,  1944, -4901, -4901,
    1688, -4901,  1722, 30100,   207, -4901, 12222,  1948, 30100,  3301,
    3304, -4901, -4901, -4901, -4901, -4901, -4901, -4901,  3308,  3610,
   -4901,  1950,  1972,  1976,  3312,  3313,  4848,  3320, 12704,  3321,
    3318, 35292, 35292, 26796,  1077, -4901, 35292,  3322,  3496,  1978,
   11837,  3311,  3325, 12789, 29628, 30100, 29628, 29628, 13113,  3311,
    3327,  2001, 53563,  3490, 13403,  2002, -4901, 30100, 53563,  5404,
   30100, -4901, 30100,  3330, -4901, -4901,  2355,  2355,  2355,  5026,
   -4901,  3333, -4901, 35292, 35292, -4901,  2196, 26796, -4901, -4901,
    3619, -4901, -4901,  1693, -4901,  3334, -4901, -4901,  3248, 47219,
    3738, 30100,   316, 30100,  3079, 30100,  3389,  2355,  2355,  2355,
     425,   425,   233,   233,   233,  2036,   499, -4901, -4901, -4901,
    3337,  3339,  3340,  3511,  3345, 30100, -4901,  2177,  2207, 76768,
    2870,  3640,  4544, -4901, -4901, -4901, 38982,  3367,    71,  3367,
   -4901,  1118,  2381,   835, 51743, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, 76768, 14175, -4901,  1432, -4901, -4901, -4901, 30100,
   -4901, -4901,  1159,  3347,   641,  3545,  2250,  2250,  2029,  3547,
   -4901, -4901,  3405, -4901, 30100,  2574, -4901,  2619, -4901, -4901,
   -4901, -4901,  2777, -4901,  3590, -4901, -4901, -4901, 38982,  3390,
    3411,   565, 42182,  3559, -4901, 76768, -4901, 76768,   366, -4901,
    3385, -4901, -4901, -4901, -4901, -4901, -4901, 96333,  1961, -4901,
  100316, -4901,100316, -4901,  1961,  3784, -4901, 96333,  1773, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, 57203, 57203,  3572, 76768,  3568,  3574, 30100,   956,
   76768,  3392,  3393,  1058,  3656, 76768, -4901,  3703,   277, -4901,
   -4901,  3456, -4901, 14175, -4901, -4901, -4901, -4901, -4901, 57203,
   76768, -4901, 60388, -4901, 76768, -4901, 99875, -4901, -4901, -4901,
   76768,  3416, 76768, -4901, 76768, 76768, 76768, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901,  1131, 99875, -4901, -4901, 76768, 76768,
     683,  3457,  3463, 76768, -4901,  1275,  3096,  8650, 76768, 76768,
   76768,  3655, 76768, -4901, -4901, -4901, -4901,  3596, -4901, -4901,
   96333, -4901,  2612,  1249,  3465,  2853,  3602, -4901,  3715,  3589,
   -4901,  3507,   783, -4901, -4901, 76768,  3516, -4901, -4901, -4901,
   -4901,  3722,   277,  3724,   277, 76768, 76768, 76768, 76768,  3523,
   -4901, -4901, -4901, -4901,  3524,  3651, -4901, 53563, 53563, 53563,
    2024, -4901, -4901,  1028, -4901, -4901, -4901, -4901, -4901, -4901,
    3682, -4901,  2031, -4901,    -8, -4901, -4901, -4901, -4901, -4901,
   -4901, 57203, 76768,  9469,  3727, 76768, 76768, 76768,  1925, -4901,
    1460, 99875, -4901, 98111, -4901, -4901,  2040, -4901,  3417, 76768,
    3481, 57203,  3464, 76768, -4901, -4901, -4901,  3399,  3399, -4901,
   -4901,  3399, -4901, -4901, -4901,  3653,  3588, -4901,   930,  3592,
   57203,  3470, -4901, 76768, -4901, -4901, -4901,  3486, -4901, -4901,
    3497,  2809,  2853,  2108, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,  1413,
   -4901, -4901,  1347,   427,  2904,  2853, -4901,  1365, -4901,  3500,
   -4901,  3501, -4901, -4901, -4901,  3652,  3654,  3658,  3502,  3505,
    3561,  3508,  3510,  3565, -4901,  3515,  3569,  3518,  3576,  3621,
    3519,   277, 99875,  3637,  1028,  3567,  3755,   277, -4901,  3526,
   -4901,  3529, -4901,  3860, -4901, 76768, -4901,  3533,  2954,  2853,
   -4901, -4901, 57203, 76768, -4901, -4901, -4901, 30100,  3458,  3462,
    3471, 14175, 14175, 30100, -4901, -4901, 14175,  3467, -4901, -4901,
   -4901, 99875, 76768,  3721, -4901, -4901,   928, 76768, 76768, -4901,
    3723, -4901, -4901,  3725, 76768,  3730, -4901, -4901, -4901, -4901,
     289, -4901, -4901, -4901,  3366,  3756, 44471, -4901,  3946,  5288,
    3476,   341, -4901, 53563, 44471,  2037,  2479,   445,  1099, -4901,
   60388, 76768, 60388, -4901,   140,  3589, 76768, 76768, 76768,  3477,
    3480, -4901, -4901, -4901, -4901, 57203,   206, 57203,  2381, -4901,
   -4901,  3564, -4901, 76768,  1908,  3952,  3799, -4901,  3399, -4901,
    3917,  2993,   303,  3636,  2065,  2635,  3861,  2197,   370, 53563,
    3264, -4901, -4901, -4901, -4901, 76768, 76768,   839,  1028, -4901,
    3499,  3487, -4901, 76768,  3813, 76768, 76768, 76768, 76768,  3328,
    3504, 76768,  3509, 99875,    78,  3705,  3706,  2852,  3941,  3833,
    1432,  3264,  3585,  3840, 70853, -4901,  2045,   138, -4901,  1028,
   60388, 97229,  3829, -4901,  6861, -4901, -4901,  6861,   836, 76768,
    3815, -4901, -4901,  1432, -4901, 99875,  2051, -4901, -4901, -4901,
    2381, -4901, -4901,  1595,  1595,  3525, -4901,  3535, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901,  3513, -4901, -4901, -4901,   309,
    3573,   277,  3579,   277, -4901, -4901, -4901, -4901, 76768, -4901,
   76768, 56293,   277, -4901, -4901, 76768, -4901,  3848, -4901, -4901,
    3661,  3662,  3663,  3668,  3670, 76768,  3265, -4901,  3539, 57203,
    1468, -4901, -4901,  3743, -4901, -4901, 70853,  3646, -4901, -4901,
   -4901, -4901,  3866,  3874, -4901, -4901, -4901,   985, -4901, -4901,
   -4901, 57203, 66758,   356, 57203, -4901,  3810,  3811, -4901, -4901,
    3812,   300, -4901,  3816,  3817,  3818, -4901,  3819,  3820, -4901,
   -4901, -4901,  3562, 13639, 30100, -4901,  3885, 99875, -4901,  6342,
   -4901, -4901, -4901, 30100, -4901, -4901, -4901, -4901, -4901, 30100,
   -4901, 30100,  3867, -4901, 24524,  4013,  4013,  3554, 99875, 35292,
   35292, 35292, 35292,  1581,  2739, 35292, 35292, 35292, 35292, 35292,
   35292, 35292, 35292, 35292, 36230,   583, -4901,  3750, 30100, 30100,
    3875,  3867, -4901, 99875,  3563,  3311,  3570,  3577, 30100, -4901,
   -4901,  2053, 37153,  3578, 53563, -4901, 30100, 11914,  2075,  3606,
   13961,  1017,  7352,  1028, 30100,  1212,  4902, 30100,  2083, 30100,
    3873, -4901, -4901, -4901,  3575, -4901, -4901, 99875, 30100,  3583,
    4181, 35292, 35292,  6154, -4901,  6279, 30100, 26796, -4901,  3384,
    3605, 43554, -4901, 24997,  3584,   723,   723,   723,   723, -4901,
   76768, 76768, 76768, 39439,  3878,  3587, 38524, 75858,  3591,  2055,
   -4901, 75858, 76313, 75858, -4901,  3586, -4901,  1017, 30100,  3870,
    3595,  3870,   166,  3600, -4901, -4901, -4901,  3608, -4901,  3597,
   -4901,  3347,   250, -4901, -4901, -4901,  3773, -4901, -4901, -4901,
   -4901,  3591, 31516,  3726, -4901, -4901, -4901,  3628,  2087, -4901,
   -4901,  3962,  3726, -4901, -4901,  2093, 43097,  3390, 30100,  1017,
    2098,  1781, -4901, -4901, 96333, -4901,  3660,  2612,  2612,  1048,
    3265,  3899,  1048,  7891, -4901, -4901, 39896, 76768, 76768, -4901,
   76768,  2100,  1526, 76768, -4901, 76768, -4901, -4901, -4901, -4901,
    4031, -4901, 76768, -4901, -4901,  3666,  3671, 76768, 76768, 76768,
   76768,  3877, -4901, -4901,  2302, -4901, -4901, 57203, 76768, -4901,
   -4901, -4901,   413,  2970,  2853, -4901,  3698, -4901, -4901, -4901,
    3897, -4901,  4044,  3717, 76768,  3954, 76768,  3627, -4901,  1526,
    3732,  3938,  1437,  2852,   364,  3566, -4901,   105, -4901, -4901,
    3702, -4901, -4901, 76768, -4901, 76768, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901,  3761, -4901, -4901, -4901, -4901, 54018, -4901,
   -4901, 76768, -4901, 53563, 44471, 53563, -4901,  1470,   416,  2980,
    2853, 76768, -4901,  3716, -4901,  3718,  3719,  3767,   193,  1094,
    3731,  3733,  3775,  3644,  3645,  3647, -4901, 53563, 44939,  3798,
   76768,  2612,  3659,  3688, -4901,   330,  1028, -4901, -4901,  1028,
    2612,  1028, -4901, 76768, 76768, 76768, 53563, -4901,  4074,  3746,
   76768, 76768, 76768, 76768, -4901,  3711, -4901, 76768, 76768,  3978,
     738,  1822, 57203, 76768, 76768, 57203, 76768, 76768, 76768, 76768,
   76768, 76768,  3990, 76768, -4901,  4068,  3995,  2042,  4037,  3741,
   76768, -4901, 76768,  1028,  3096, 76768, 76768, -4901, -4901, -4901,
   -4901, -4901,  3384, -4901,  3673,  3934,   928, -4901,  3940,  3944,
     928,   928,  3951,   928, -4901, -4901,  1099, -4901,   289, 76768,
   -4901,  3597,  1872,  2070, -4901, -4901, -4901, -4901, -4901, -4901,
    3214, -4901, -4901,  2220, 76768, -4901, -4901, -4901, 76768,  3677,
   76768, 76768, 35292, -4901,  1772,  1577,   952, -4901,  3949, 76768,
    3030, -4901, -4901, -4901,  3850, 76768, -4901, -4901, -4901, -4901,
   -4901,    67,  3504, -4901,  3969, 64483,  2612, 57203, 57203,  2612,
   -4901, 99875,  3690,  3264, -4901,   211,  3772, 57203,   303,  1361,
   95878,  3037,  3729,  3900, 38982,  1413, -4901,  3693,  3854, -4901,
    3699,  3695, -4901, -4901, 76768,  3589, 56293,  2102,  2108,  4133,
     807,  1890, -4901, 65848,  3886,  3504,  3969, -4901, -4901, -4901,
    4098,  3795, -4901,  1432, 76768,  3328,  3795,  1028, 76768,  3180,
   -4901, 96333, 30100, 30100, -4901,  3701, -4901,  3708,  6861, -4901,
    3778,  3707, -4901, -4901, -4901, -4901, -4901,  3791,  3713, 76768,
   -4901,  3735, -4901,  3720, -4901, -4901, -4901, -4901, -4901, -4901,
   76768, -4901, 76768, -4901,   277, -4901,  3837, -4901,   277, 76768,
   76768, 76768, 76768, 76768, 76768,  3265,   300, -4901,  4022, 56748,
   -4901, -4901,  2107, 76768, -4901, -4901, -4901,  4089,   111,  4035,
   -4901, -4901,  1023,  1023,  1023,  3993,  1023,  1023,  1023,  1023,
    1023, -4901, 30100, 14175, -4901,  3736, -4901, 14175,  8016, 14175,
    3875, -4901,  2111, 30100, -4901,  2454,  2454,  2454,  4336,  4049,
   -4901,  1294,  3740,  2454,  2454,  2454,   432,   432,   217,   217,
     217,  4013,   583, 14175, 14175, -4901, -4901,  3742, -4901, -4901,
   -4901,  3311, -4901, 31988,  3902,  4162, -4901, -4901, -4901,  3785,
    3787,  3744, -4901, 30100, 32460,  3745,100757,  3945, -4901,   410,
   30100, 30100,  3942, -4901,  7425, 30100, 99875,  2112,  3942,   414,
   30100,  5614,  5794, 30100, 30100,  6471,  8802,  3752, 30100, 96774,
   -4901, -4901, -4901,  2117, 30100, 76768, 76768, 76768, 76768, -4901,
   -4901, -4901, 75858, 76313, 75858,  3751, 37610, 25455,  2055,  3754,
   76768, -4901, -4901,  3758, 38982,  4024,  3955, -4901, 38982,  3955,
    1544,  3955,  4027,  3856, 44011, -4901, -4901,  3769, -4901,  3968,
   -4901,  1108, 14175,  4192,  4070,  1028,  4070,  1028, -4901, 47219,
   -4901, -4901, -4901, -4901,  3984, 14175, 28212, -4901,  1432,  1834,
   76768,  1017,    81, -4901,  3786, 76768, -4901,  3726, 14175, -4901,
    3845,  2128, -4901, -4901, -4901, -4901, -4901, -4901, -4901,  3857,
   66303,  4091, -4901, 30100,  2129, -4901,  3824,  4183,   378,  2136,
    2138,  1526, -4901,  4069, -4901,  1604,  4063,   406, -4901,   277,
   -4901, 99875, -4901, 76768, 76768, -4901, -4901, -4901, -4901, 76768,
    2799, -4901, -4901, 76768, 76768, 76768, 76768, -4901, 57203, 76768,
   -4901, 76768, -4901, 53563,  2479,   330,  1772,  4081,  4004, -4901,
     300, -4901,  1772,  4005,   330, 76768, -4901, -4901,  2858, -4901,
   99875,   277,   277, -4901, -4901, -4901, -4901, -4901,  3802,  4213,
    3882, 76768, 76768, 76768, -4901, 76768, 57203, 76768, 76768,  2381,
    2381, 99875,  3792, -4901,  2381,  2381,  3794, -4901, 57203, 76768,
   76768, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901,  3876, -4901, 30100,  4203, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, 57203, 76768,  3879, -4901,  3881,
   -4901,   788, -4901, -4901, 76768, 76768, 76768, 76768,  4127, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901, 76768,
   -4901, 76768, -4901, -4901,  1028,  1028, 99875,   277,   277, -4901,
   -4901, -4901, -4901,  3803,  4072,   928, -4901,   928,   928, -4901,
   -4901,   928, -4901,  3808,   438, -4901,  1526,  1743,  4118, -4901,
    4121, 30100, -4901,  1107,  4336, -4901,  4173,  4251, -4901, -4901,
   -4901, -4901,  3030,  1908,  3871, 61298,  1325, -4901,  4101,   220,
    4026, 64483,  1365,  1615,  3822,  3939, -4901,  2612,  2612,  3880,
   76768,  4256, -4901, -4901, -4901, -4901, -4901, -4901, 57203,  3464,
   -4901,  4040,   954,  4137, 76768, 30100,  3591, -4901,  1452,  4141,
   -4901,  1028, -4901, -4901,  3948,  3264, -4901,  1432, 76768,  4038,
   64483,  3328,  2142, -4901, -4901, -4901,  3868,  4253,  2068, -4901,
    1365,  3886,  1219, 76768, -4901,  3884,  4269, -4901, -4901,  4144,
    4039,  3836, -4901, 14175, 14175,  1028,101198,  6861, 99875,  4153,
   76768,   184,  4116,   277, -4901,   277,   277, -4901, 76768, -4901,
    3265,  3265,  3265,  3265,  3265, -4901,  4041, -4901, -4901,  4107,
   -4901,   277, 56748, -4901, -4901, -4901, -4901, -4901,  1023, -4901,
   -4901, -4901, -4901, -4901, 14175, -4901, -4901, -4901, -4901,  9177,
   35292,  4152, -4901,  3844, 99875, -4901,  3849,  2144,  2192, 36696,
    4003, -4901, -4901, -4901,  9398,  3901, 14175,  3953,  3851,  3852,
    3942,  3942,  7425,  2194, -4901,  3942, 30100, 30100,  3942,  3942,
   30100, -4901, -4901,  9517,  4042, -4901, -4901,  9925, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, 54473,  3855,  3490, 75858,  3858,
   76768,  2055, 38982, -4901, -4901,  2738, -4901, 38982,  4122, -4901,
   38982, 61298, -4901, 76768,  3859, 76768, -4901, 32932, 30100,  3894,
   -4901,  3894, -4901,  3862, 76768,  2761, -4901,   565, -4901, -4901,
    4252, 39896,  4208, 30100, -4901, -4901, -4901, -4901, 56748,  4071,
   56748,  1526,  9983,  4069, 39896, 48131, 76768, 76768, 76768,  4021,
    4069,  3872,  3030, -4901, -4901, -4901, -4901, -4901, -4901,  3883,
   -4901, -4901, -4901, -4901,  3947, -4901, -4901,   945,  3276, -4901,
    2201, -4901, -4901,  4306,  4202, -4901, -4901, -4901, -4901, -4901,
   -4901,  4068, -4901, -4901, 44471, 57203, 76768, -4901,  3960, -4901,
   -4901, -4901, -4901, -4901, 41725, 47219, -4901,   193,  3888,  3892,
    1094, -4901, -4901, -4901, 76768, 10100,  3893,   995,  3276, 76768,
   76768,  3896,  3898,  3903,  1383,  1363,  1570,  3265,  4191, -4901,
   -4901, -4901, -4901,  4068, -4901, -4901, -4901,   928, -4901, -4901,
   -4901, -4901, 53563, -4901,  2926, -4901,  1099,  4231, 61298,  4321,
    4321, 76768, -4901, 10451,  4100, -4901, -4901,  4177,  3871,  4124,
    4180, -4901,  3904, 76768,  4075,  3905, 76768,  3906,  4020,  1417,
    1417, 76768, 76768, 76768,  2211,  1432,  2612,  3688,   303,  4228,
   64483,  4270,  3589,   374, -4901, -4901,  1452, -4901,    91,  4244,
    3950, -4901, 76768,  4350,  3328,  3504, 76768,  3912, -4901, -4901,
   65848,  4113,  2479,101639,  3706,  3886,  2068,  4048, -4901,  4051,
   -4901,  1239, -4901,  1432, 76768, 70853, 39896, -4901,100316, -4901,
    2218, -4901, -4901,  3989,  3367,  4028,  4029,  3914, 76768,   638,
   -4901, -4901, -4901, -4901, -4901, 76768, -4901,   356, -4901, -4901,
    4613, 35292, 99875,  2224, 30100, -4901, 30100, -4901,  4344, -4901,
   -4901, -4901,   674, -4901, -4901, -4901,  3942,  3942,  3942, -4901,
    4345,  3384, -4901, -4901,  2240,  4364, 34348,  4326, -4901, 76768,
    2252, -4901, 30100,  3928, -4901, -4901, 38982,  2738,  3930,  2253,
   76768,  2259, 99875,  3943,   560,  3956, 23578,  3935, -4901, -4901,
   -4901, -4901, -4901, 14175, 14175, 76768, -4901, -4901, -4901, -4901,
    3992, 76768,  2261, -4901,   119, 14175,  1468,  1048,   356,  4183,
    3030, -4901,  3959, -4901, -4901, -4901,  1351,  1351, 76768,  3030,
   76768,  3871, -4901, 76768,  4030, -4901, -4901, 53563,  4239, -4901,
    4002, -4901,  1035,  3276, 76768, 99875, -4901,   335,  4263, -4901,
   99875, 99875, -4901, -4901, -4901, 30100,  4036, -4901, -4901, -4901,
     265,   333, 63573, -4901, -4901, 76768, 76768, 76768, 76768, 76768,
     277, -4901,  2273, -4901, 40810, -4901, -4901,  2973,  1028,  2973,
    1619, -4901, -4901,  2973, -4901,  2973, -4901,  3808,  1028,  4321,
     322, -4901, -4901, -4901,  2050,  4171,  3964, -4901,   185,  4156,
    4050,  3966, -4901, 61298,  4421,  3504,  3969, 76768, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -4901,  2279,  3589,
    4275,  3264,  3884, -4901, 76768,  3987, -4901, 38982, -4901, -4901,
   -4901,  2973, -4901,   100,  3965,  4297,  3589,  1432, -4901,  3886,
    3504,  3969, -4901, -4901, -4901,  3970, -4901,  3795,  2068,  3706,
   -4901, -4901,  4379,  4174,  4381,  3328, -4901,  3180,  2287, -4901,
    6861,101198, 99875,  4322,  4011,  4014, -4901, -4901,  4033, 76768,
   -4901, -4901,  3589, -4901,  4613,  2289, -4901,  2304,  2320,  4143,
    4034, -4901, 30100,   202,  3586, 54473,  3986, -4901, 35292,  2333,
   -4901,  2697, 76768,  2360, -4901, 14175, 76768, -4901, -4901, 30100,
   -4901,  2361, -4901, 30100,  3988, 30100, -4901, 32932,  3983, -4901,
    4430,  1432, -4901,  3367, 39896, -4901,  4110, -4901,  4304, -4901,
   76768,  3871, 47219,  3347,  3347,  1908,  3871,  2366, -4901, -4901,
   76768, -4901,  3964, 30100, -4901,  4084, -4901, -4901,  2368,  1321,
    4157,  4157,  2373,  2384, 10607, 76768, -4901, -4901, -4901, -4901,
   -4901, -4901,  2398, -4901, -4901, -4901, -4901,  2405, -4901,  2406,
    2381,  3270,  1570,  3270, -4901,  3265, -4901, -4901, 53563, -4901,
   54928, -4901, -4901, -4901,  1028, -4901,  1028,  4214, 76768, 49496,
    1028,  1028, -4901, -4901, -4901, -4901, -4901,  4340,  4281, -4901,
    2108, -4901, -4901, -4901, -4901,   429, -4901,  4207,  4210, 76768,
   -4901,  4008, -4901,  2407,  1365,  4130,  3589, -4901, -4901, 76768,
    4450,  4451, -4901,  1136, 76768,  3591, 76768, -4901, -4901, -4901,
   30100,  4182, -4901,  3884,  2068,  1365,  3886,  2479, 40353, -4901,
    3706,  3795,  4216, -4901,  4217, -4901,  4018,  4305,  6861, -4901,
   -4901,   321,  4329,  4330, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901,  3311, 33404, 33404, 33404,  4023, -4901, -4901, 76768,
    4336,  4019, 34348, 53563,  2411, -4901, 98552, -4901,  2425,  2429,
   -4901,  2451, 32932,  2452, -4901, 76768,  4046, -4901, -4901, -4901,
   43097, 56748,  1351,  4062,  4025, -4901, -4901,  4124, -4901, -4901,
    1526,  3276, -4901, 14175, 76768, 61298,  4452, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901,  3276,  4108,   265, -4901,   333, -4901,
   63573, -4901, 76768, -4901, -4901,  2456, -4901, -4901, -4901, 76768,
    3693, -4901,  3693, -4901, -4901,  4165, -4901,   896,   827,   827,
    4390, -4901,  4093, -4901, -4901,  4043, -4901,  4505,  4159, 76768,
   -4901, -4901,   193,  1432, 64483,  3589, -4901, -4901, 10751, 61298,
   -4901,  3706,  3886,  2068, 30100,  2461, -4901,  4183,   378,  3795,
   -4901, -4901, -4901, 39896,  4052,  3264, -4901, -4901,  2737, 61298,
   61298, 34820,  4184,   777, 12129,  4371, -4901,  4371,  4371, -4901,
    2462, 36696, -4901, -4901, -4901, 76768,  4240,  1006, -4901,  4200,
   -4901,  2470, -4901, -4901, -4901,    -3,   356,  3347,  4053, -4901,
   -4901,  4156,  1526, -4901,  3276, -4901, 76768, -4901,  4054, -4901,
   -4901, -4901, -4901, -4901, 54928,  3693,  3950, -4901, -4901,  4504,
   -4901,   240, -4901, -4901, -4901, -4901, 76768,  3589,  3792,  3884,
   -4901, -4901,  4055,  3795,  2068,  3706, 10973, -4901, 40353, 76768,
   76768, -4901,  2477, 39896,  3795, -4901,  2655, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901,  4056,  4058,  4498, -4901, -4901, -4901,
   -4901, -4901,   981, -4901, -4901, -4901, -4901,  3490, -4901, -4901,
   35292, 35292,  4272, -4901,  1006, -4901,  4059, -4901, -4901, -4901,
   -4901, -4901, 30100,  1526, -4901, -4901, -4901,   265, -4901,  4393,
   -4901, -4901, -4901,  3589, -4901, -4901, 53108, -4901,  3706,  3795,
    4183, -4901, -4901, -4901,  4305, -4901,  2478,  3367,  2210, -4901,
   -4901,  2229,  2216,  4145,  4376, 33876,  4204, -4901,  4264, -4901,
    4471,  4336,  4336, -4901, -4901, 30100, 11107,  1526,  2516,  4242,
   -4901, -4901,  2521, -4901, -4901, -4901, -4901,  3795, -4901, 76768,
    3264, -4901, 39896, -4901, -4901,  2655,  4187,  4188, -4901, -4901,
   -4901, 76768, 11127, -4901, -4901, 61298, -4901, 53108, -4901, -4901,
    3795, -4901, -4901,  4119,  4120,  2539, -4901,  4085, -4901,  3367,
    4396,  4397, -4901, 53108, -4901, 61298, 61298,  2540, -4901, -4901,
   -4901
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1669,  1445,   632,  1531,  1530,  1445,     0,   255,     0,  1535,
       0,  1445,   426,  1123,     0,     0,     0,     0,   632,  1445,
       0,  1669,     0,     0,     0,     0,     0,  1682,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1445,     0,     0,
    1689,     0,     0,     0,     0,  1682,     0,  1537,     0,     0,
       0,     0,     0,     2,     4,    37,    72,    73,    31,    30,
      92,    55,    18,    63,   126,   125,   127,    42,    38,    80,
      26,    28,    39,    43,    65,    67,    45,    56,   104,    64,
      24,    62,    87,    68,    90,    50,    12,    13,    51,    14,
      52,    15,    53,    16,   100,    74,    93,    35,    61,    23,
      44,    70,    71,     5,    46,    82,    78,    11,    57,    58,
      60,    84,    85,    86,   109,    88,   121,    41,   118,    97,
      98,   115,    99,   116,     9,   101,    54,    17,   112,   111,
     113,    81,    47,    83,    69,    91,   110,    27,   114,    19,
      20,    22,    21,    59,    29,    66,    32,    89,   117,   107,
     103,   122,   120,   128,   105,    75,     7,     8,    94,     6,
      25,    49,    10,    34,    33,    48,    40,   124,    36,  1535,
      96,   108,    95,    76,   102,    79,   106,   123,    77,   119,
    1642,  1641,  1691,  1645,  1668,     0,  1657,  1444,  1443,  1429,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   631,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1455,  2271,  2286,  2287,
    2288,  2289,  2290,  2291,  2292,  2293,  2294,  2295,  2296,  2297,
    2298,  2299,  2300,  2301,  2626,  2302,  2303,  2304,  2576,  2577,
    2627,  2578,  2579,  2305,  2306,  2307,  2308,  2309,  2310,  2311,
    2312,  2580,  2581,  2313,  2314,  2315,  2316,  2317,  2582,  2628,
    2318,  2319,  2320,  2321,  2322,  2629,  2323,  2324,  2325,  2326,
    2327,  2328,  2329,  2330,  2331,  2630,  2332,  2333,  2334,  2631,
    2335,  2336,  2337,  2338,  2339,  2340,  2583,  2584,  2341,  2342,
    2343,  2344,  2345,  2346,  2347,  2348,  2349,  2350,  2351,  2352,
    2353,  2354,  2355,  2356,  2357,  2358,  2359,  2360,  2361,  2362,
    2363,  2364,  2365,  2366,  2367,  2585,  2368,  2369,  2370,  2586,
    2371,  2372,  2373,  2587,  2374,  2375,  2376,  2632,  2633,  2377,
    2378,  2379,  2380,  2381,  2588,  2589,  2382,  2383,  2384,  2385,
    2386,  2387,  2388,  2634,  2389,  2390,  2391,  2392,  2393,  2394,
    2395,  2396,  2397,  2398,  2399,  2400,  2635,  2590,  2401,  2402,
    2403,  2404,  2591,  2592,  2593,  2405,  2636,  2637,  2406,  2638,
    2407,  2408,  2409,  2410,  2411,  2412,  2594,  2639,  2413,  2640,
    2414,  2415,  2416,  2417,  2418,  2419,  2420,  2421,  2422,  2423,
    2424,  2425,  2426,  2427,  2428,  2429,  2430,  2431,  2432,  2595,
    2641,  2596,  2433,  2434,  2435,  2597,  2436,  2437,  2642,  2438,
    2598,  2439,  2599,  2440,  2441,  2442,  2443,  2444,  2445,  2446,
    2447,  2448,  2449,  2600,  2643,  2450,  2644,  2601,  2451,  2452,
    2453,  2454,  2455,  2456,  2457,  2458,  2459,  2460,  2461,  2602,
    2462,  2603,  2465,  2463,  2464,  2466,  2467,  2468,  2469,  2470,
    2471,  2472,  2473,  2474,  2475,  2604,  2476,  2477,  2478,  2479,
    2480,  2481,  2482,  2483,  2484,  2485,  2486,  2487,  2488,  2489,
    2490,  2491,  2492,  2493,  2645,  2494,  2495,  2496,  2497,  2498,
    2605,  2499,  2500,  2501,  2502,  2503,  2504,  2505,  2506,  2507,
    2508,  2509,  2510,  2511,  2512,  2513,  2514,  2606,  2515,  2516,
    2646,  2517,  2518,  2607,  2519,  2520,  2521,  2522,  2523,  2524,
    2525,  2526,  2527,  2528,  2529,  2530,  2531,  2608,  2532,  2533,
    2534,  2647,  2535,  2536,  2537,  2538,  2539,  2540,  2609,  2610,
    2541,  2542,  2611,  2543,  2612,  2544,  2545,  2546,  2547,  2548,
    2549,  2550,  2551,  2552,  2553,  2554,  2555,  2556,  2557,  2558,
    2559,  2560,  2613,  2614,  2561,  2648,  2562,  2563,  2564,  2565,
    2566,  2567,  2568,  2569,  2570,  2571,  2572,  2615,  2616,  2617,
    2618,  2619,  2620,  2621,  2622,  2623,  2624,  2625,  2573,  2574,
    2575,   130,     0,     0,  2245,  2272,  2273,  2276,  2271,   397,
     396,  1632,  2239,  2272,  1534,  1512,   632,     0,  1432,   425,
    1669,     0,     0,     0,     0,     0,     0,     0,     0,   862,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   178,     0,     0,     0,     0,   451,   450,     0,
       0,     0,  1091,   456,     0,     0,     0,     0,     0,   620,
    1581,  2463,  1579,  1633,   256,   259,   260,   257,   258,  2261,
       0,  1224,  1225,  1227,     0,     0,     0,  1237,   902,   903,
       0,     0,     0,   911,     0,     0,     0,   900,     0,     0,
       0,   916,     0,   913,     0,     0,   917,   914,   897,   915,
     904,     0,   896,     0,     0,  1237,   918,     0,     0,   898,
       0,     0,     0,     0,  1433,  1578,   457,  1669,     0,  1556,
    1557,  1558,  1535,  1547,  1559,  1552,  1554,  1553,  1555,  1551,
    2260,  2287,  1026,  1026,  1026,  1026,  1023,  1024,  1026,  1026,
    1026,  2483,     0,     0,  1005,     0,  1007,  2262,  1026,  1031,
     518,   518,   518,     0,  1030,  1035,   518,     0,  1426,  1464,
    2244,  1681,     0,  1006,  1425,  2541,  1570,     0,     0,  1252,
    1248,  1250,  1251,  1249,     0,     0,     0,  2501,  1437,   240,
    2512,  2609,  2541,   239,   234,   235,   208,  2291,     0,     0,
    1030,     0,  1434,  1435,   988,  1688,  1686,     0,  2226,  2311,
    2326,  2416,   231,  2494,  2502,  2512,  2609,  2541,  2572,   187,
     197,   192,     0,   249,  2512,  2609,  2541,   245,  1455,     0,
    1658,  1790,  2235,     0,  1428,  1427,  1536,     0,  1539,     0,
    2478,  1662,  1665,  1541,  1663,  1654,     0,     0,     1,  1669,
       0,  1546,  1685,  1685,     0,  1685,     0,  1646,  1654,  1649,
    1653,     0,     0,     0,     0,     0,     0,     0,   921,     0,
    1467,  2240,  1076,     0,     0,     0,     0,     0,     0,     0,
    1132,  1131,  2277,  2267,  2268,     0,  2265,  2266,  2278,  2279,
    2280,     0,  2388,     0,     0,     0,  2137,  2148,  2149,  2150,
    2315,  2371,  2145,  2146,  2147,  2139,  2140,  2141,  2142,  2143,
    2144,     0,     0,  1219,  2138,     0,  2388,     0,     0,     0,
     157,     0,   134,     0,     0,     0,  2388,     0,     0,     0,
       0,     0,     0,     0,  2388,     0,     0,     0,     0,     0,
     157,  2421,     0,   134,  2388,     0,     0,  1449,     0,     0,
       0,  1451,  1454,  1430,     0,  2218,     0,  2219,  2246,  1515,
       0,  2235,     0,     0,     0,   957,   950,     0,   958,   965,
       0,     0,   967,     0,     0,   951,     0,     0,     0,     0,
       0,   970,   971,     0,     0,   972,   952,   973,   953,   974,
     954,   975,     0,     0,     0,     0,   955,     0,     0,     0,
    1441,     0,  1572,  1574,  1573,  1571,   518,     0,     0,     0,
       0,  2388,     0,     0,   134,  1500,     0,  2388,   134,     0,
       0,   455,   454,   134,  2265,   453,   452,  2315,  2371,     0,
    1122,     0,  1384,   134,  2388,     0,   180,  2388,   706,  2388,
    1541,     0,   635,     0,     0,   817,  2421,   134,     0,     0,
       0,     0,     0,     0,  1094,     0,     0,     0,     0,   619,
     632,  1582,  1580,     0,  1228,   233,   232,  1226,   909,  2388,
    1164,   346,   346,     0,     0,  2388,  1486,  2274,  1865,  1894,
    1872,  1894,  1894,  1861,  1861,  2355,  1874,  2388,  1862,  1863,
    1899,     0,  1894,  1861,  1866,     0,  1864,  1902,  1902,  1889,
     346,   925,  1846,  1847,  1848,  1849,  1875,  1876,  1850,  1881,
    1882,  1886,  1851,  1916,  1861,  2275,   910,     0,   901,  2388,
     346,  1128,  2388,  2269,   167,     0,   899,  2315,  2371,  2388,
     346,  1221,     0,  2388,   346,  2388,   163,  2388,   346,  2388,
     346,  2388,   636,     0,     0,  2388,   346,  2388,  2421,   165,
       0,  2388,   346,   919,  2388,   346,  2237,  2388,     0,     0,
    1575,     0,  1549,  2613,  1564,     0,  1560,  1567,  1563,  1669,
    1026,  1025,     0,  1026,     0,  1026,     0,  1026,     0,  1026,
       0,     0,     0,  1026,  2263,  2264,  1008,     0,  1032,     0,
       0,  1039,  1038,  1037,     0,     0,     0,  1040,     0,  1794,
    1609,     0,  1423,  1440,     0,     0,     0,  1094,  1255,     0,
    1253,  1244,  1245,  1436,   238,   236,     0,     0,     0,     0,
       0,     0,  1442,     0,     0,     0,     0,  2248,  2250,  2251,
    2151,  2221,     0,  2577,  2578,  2579,  2210,     0,  2580,  2581,
    2582,  2628,  2047,  2034,  2043,  2048,  2035,  2037,  2044,  2583,
    2584,  1982,  2585,  2586,  2258,  2587,  2588,  2589,  2591,  2592,
    2593,  2594,  2039,  2041,  2595,  2596,     0,  2259,  2598,  2599,
    2445,  2601,  2602,  2604,  2605,  2045,  2607,  2608,  2609,  2610,
    2611,  2612,  2257,     0,  2046,  2614,  2616,  2617,  2618,  2619,
    2621,  2622,  2623,  2624,     0,     0,     0,  2232,     0,  2014,
       0,  1854,  1855,  1877,  1878,  1856,  1883,  1884,  1857,     0,
    2231,  1919,  2096,  2013,  2030,     0,  2019,  2020,     0,  2012,
    2008,  1671,  2227,     0,  2009,  2247,  2249,  2211,  1671,  2225,
     200,   251,     0,   252,  2233,  2512,   188,   230,   202,   229,
     203,   201,     0,  2313,   189,     0,     0,   190,     0,     0,
       0,     0,   248,   246,     0,  1431,     0,  1792,  1791,  2236,
     930,  1524,  1522,  1523,  1521,     0,  1518,  1520,  1538,  1535,
    2161,     0,  1664,     0,     0,     0,  1644,  1643,     3,  1529,
       0,  1527,  1543,  1545,  1525,  1541,  1683,  1684,     0,     0,
       0,     0,     0,     0,     0,     0,  1739,  1699,  1700,  1702,
    1736,  1740,  1748,     0,  1650,     0,     0,  1796,     0,     0,
       0,     0,     0,     0,  1163,     0,     0,     0,     0,     0,
     922,     0,     0,     0,  1473,     0,  1475,  1476,  1477,     0,
       0,  1478,  1479,  1467,   242,  1485,  1483,  1466,  1468,  1481,
       0,     0,     0,     0,     0,     0,     0,  1492,     0,   171,
     172,     0,   648,   632,     0,  2388,     0,     0,     0,     0,
       0,  1171,  1178,     0,     0,     0,     0,     0,     0,     0,
       0,  1172,  1170,  1173,   244,  1182,  1201,  1204,     0,  1130,
    1133,     0,     0,     0,     0,     0,  1312,     0,     0,     0,
       0,  1312,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   267,   269,   280,   341,   611,
       0,     0,     0,   614,     0,  2388,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1204,     0,     0,     0,     0,     0,     0,     0,     0,   132,
     133,   138,     0,     0,     0,     0,     0,  1204,     0,     0,
       0,     0,     0,     0,   597,   610,     0,     0,     0,     0,
       0,   607,     0,     0,   134,   272,   587,   593,     0,     0,
       0,   713,   712,     0,     0,     0,     0,  1400,  1399,     0,
       0,     0,     0,  1490,  1489,     0,     0,     0,     0,     0,
    1312,     0,   261,   263,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   389,
     390,     0,     0,     0,   138,     0,     0,     0,     0,   274,
       0,     0,  1450,  1447,  1448,     0,  1453,     0,     0,     0,
       0,  2022,     0,  2165,  1691,  2163,  1148,  2217,     0,  2281,
    2649,  2650,  2651,  2652,  2653,  2654,  2655,  2656,  2657,  2658,
    2659,  2660,  2661,  2662,  2663,  2664,  2665,  2666,  2667,  2668,
    2669,  2670,  2671,  2672,  2673,  2674,  2675,  2676,  2677,  2678,
    2679,  2680,  2681,  2682,  2683,  2684,  2685,  2686,  2687,  2688,
    2689,  2690,  2691,  2692,  2693,  2694,  2695,  2696,  2697,  2698,
    2699,  2700,  2701,  2702,  2703,  2704,  2705,  2706,  2707,  2708,
    2709,  2710,  2711,  2712,  2713,  2714,  2715,  2716,  2717,  2718,
    2719,  2720,  2721,  2722,  2723,  2724,  2725,  2214,  2213,  2242,
    2282,  2283,  2284,  2285,  2220,     0,  1511,     0,   964,     0,
       0,     0,     0,   966,     0,   959,     0,     0,   956,  2315,
    2371,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     969,     0,     0,     0,   428,     0,     0,   814,     0,     0,
       0,     0,     0,     0,   825,     0,  1467,  1499,     0,     0,
       0,   641,     0,  2388,     0,   136,   863,     0,   815,   456,
       0,     0,     0,  1194,  1383,   136,     0,     0,   174,     0,
       0,   710,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   755,   754,     0,     0,     0,   816,     0,     0,   136,
       0,  2388,   590,  2388,     0,   518,   518,     0,     0,  1093,
    1096,     0,     0,     0,     0,     0,  1636,  1638,  1637,     0,
    1635,     0,   344,   345,     0,  1211,   812,  1236,     0,     0,
    1893,  1880,  1888,  1887,     0,  1870,  1869,  1868,     0,  1867,
       0,  1894,  1894,  1892,  1871,  1846,     0,     0,     0,  1898,
       0,  1896,     0,   892,  1842,  1838,     0,  1905,  1906,  1907,
    1904,  1917,  1903,     0,  1852,  1908,  1861,  1858,   912,     0,
       0,  1205,     0,     0,  2388,   346,  2388,     0,  2388,     0,
       0,     0,  1213,   346,     0,  1207,     0,     0,  1209,     0,
    1401,     0,   908,   906,   905,   907,     0,     0,   890,     0,
       0,     0,  2388,   346,     0,     0,   885,     0,     0,   887,
       0,     0,     0,     0,  1669,     0,   219,   220,   218,  1565,
     221,  1566,  1562,  1548,     0,  1016,     0,  1020,     0,  1011,
       0,  1017,     0,  1012,  1009,  1010,     0,  1015,     0,     0,
     519,   521,     0,     0,  2338,  2354,     0,  2377,  2409,  2410,
    2469,  2497,  2502,  2508,     0,  2535,  2546,     0,  1041,  1071,
    1036,   724,     0,     0,  1619,  1424,  2168,     0,  1669,     0,
       0,     0,     0,   237,   209,     0,     0,     0,  1073,  2501,
    1439,   987,   632,     0,  2010,     0,  2017,  2018,  2209,     0,
       0,     0,     0,     0,     0,  2016,  2176,     0,     0,     0,
       0,     0,  1942,     0,     0,     0,  2189,     0,  2195,     0,
       0,  1979,     0,     0,     0,     0,     0,     0,     0,     0,
    1943,  1923,  1924,  2014,  2161,     0,  2015,  2254,     0,  1916,
    2230,  2151,     0,  2148,  2149,  2150,     0,     0,     0,  2224,
       0,  2159,     0,     0,  1957,  2157,  1959,     0,     0,     0,
       0,  2145,  2146,  2147,  2139,  2140,  2141,  2142,  2143,  2144,
    2155,  1939,     0,     0,  2098,     0,  1938,     0,     0,  1752,
       0,  2252,  2212,  1752,   253,   254,   250,     0,     0,   205,
     204,     0,   223,   227,   228,   199,   226,     0,   222,   207,
    2087,  2086,   206,   198,   195,   193,   210,   212,   213,   196,
     194,   247,     0,     0,     0,   346,  1546,     0,  1533,  1749,
       0,  1666,     0,     0,  1546,     0,     0,  1542,  1661,  1660,
    1692,  1693,  1114,  1659,  1719,  1720,     0,     0,     0,     0,
    1745,  1743,  1710,  1703,  1709,     0,     0,  1707,     0,  1711,
    1919,  1738,  1648,  1697,  1698,  1701,  1647,     0,  1741,     0,
    1622,  1739,  1702,  1606,     0,  1584,     0,  1797,     0,     0,
       0,     0,     0,  1143,  1145,     0,  1144,     0,  1147,     0,
    1156,     0,     0,  1142,  1161,     0,  1150,  1148,     0,  1488,
       0,     0,   923,     0,     0,     0,     0,  1474,     0,     0,
    2535,   241,  1477,  1482,  1469,  1480,     0,     0,     0,     0,
       0,  1075,  1074,     0,     0,  1098,     0,     0,     0,  1495,
     507,     0,   343,     0,     0,     0,     0,     0,     0,     0,
       0,   810,   807,     0,     0,   806,     0,   646,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     686,     0,  1312,     0,   718,     0,  1180,     0,     0,  1179,
       0,  1183,     0,     0,  1181,  1176,  1177,  2502,  2512,  2541,
     243,  1203,     0,  1202,  1198,  1125,     0,  1126,     0,     0,
       0,     0,     0,  2364,  2388,   285,   305,     0,  1311,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   328,     0,     0,   331,   330,
       0,     0,     0,     0,     0,   335,   314,     0,   315,     0,
       0,   334,     0,     0,   612,   613,     0,     0,     0,     0,
    1312,     0,   276,     0,     0,     0,     0,     0,     0,     0,
    1220,     0,   741,     0,     0,     0,  2502,  1199,     0,     0,
       0,     0,     0,  1387,     0,     0,   160,     0,   155,   159,
       0,     0,     0,  2502,  1200,     0,     0,     0,     0,   595,
     596,   609,     0,   600,   601,   598,   602,   603,     0,     0,
       0,     0,     0,     0,     0,   594,     0,     0,   708,   707,
     711,     0,     0,     0,  1396,     0,  1194,     0,     0,  1395,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,  1256,     0,     0,     0,     0,     0,     0,   853,     0,
       0,     0,     0,     0,     0,     0,     0,   162,   728,     0,
     727,     0,   156,   161,     0,     0,     0,     0,     0,     0,
       0,   217,  1446,  1452,  1691,  1691,  1691,  2028,     0,     0,
       0,     0,  1690,  2215,  2218,  1514,  2243,  1513,     0,     0,
       0,     0,   968,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   960,   961,   962,   963,     0,     0,     0,     0,
       0,   403,     0,     0,     0,  2274,     0,   841,   813,     0,
       0,     0,   827,     0,   830,   833,     0,  1465,   475,     0,
       0,   638,   686,     0,     0,   459,   169,     0,     0,     0,
       0,   743,     0,     0,     0,  1382,   131,   178,   180,   457,
       0,   179,   181,   183,   184,   185,   182,   186,     0,   705,
     709,     0,     0,     0,     0,   634,     0,     0,     0,     0,
       0,   756,   760,   759,   763,   761,     0,   757,     0,     0,
    1817,     0,     0,   154,     0,     0,   585,   589,     0,     0,
       0,     0,   459,   561,   357,  2388,     0,   518,     0,  2388,
       0,  1095,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1634,   346,  1165,     0,  1487,     0,     0,     0,   346,
    1891,  1890,  1843,  1839,     0,     0,     0,     0,   926,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1859,   346,
    1129,   168,  2270,     0,   894,     0,     0,     0,     0,   346,
    1222,   882,   346,   164,   346,   346,   637,     0,   346,   166,
       0,     0,     0,   629,   346,   920,   346,  2238,     0,   346,
    1577,  2388,   518,  1550,  1561,  1013,  1022,  1021,  1019,  1018,
    1014,     0,  1033,     0,   517,     0,     0,     0,     0,     0,
    1049,  1050,     0,     0,  1046,  1051,     0,  1047,  1048,  1053,
    1043,  1042,  1054,  1055,     0,     0,  1073,   722,     0,     0,
       0,     0,  1616,     0,  1614,     0,  1795,  1618,  1607,  1569,
       0,  1568,     0,   578,     0,     0,  1254,     0,     0,  1030,
       0,     0,   346,  1438,     0,   989,   995,     0,     0,     0,
       0,     0,     0,     0,   998,   999,     0,  1000,   991,  1001,
     992,  1002,     0,   993,     0,     0,     0,     0,  2222,  2172,
       0,  2173,     0,     0,  2208,  2204,     0,     0,     0,     0,
       0,  2177,  2180,  2181,  2182,  2179,  2183,  2178,     0,     0,
    2184,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2605,     0,     0,     0,     0,  1983,     0,     0,  2132,     0,
    2161,  2194,     0,     0,     0,     0,     0,     0,  2161,  2200,
       0,     0,     0,     0,  2085,     0,  2082,     0,     0,     0,
       0,  2221,     0,     0,  2255,  1920,  1934,  1935,  1936,  1940,
    2229,     0,  2223,     0,     0,  1921,  1948,     0,  2201,  1975,
       0,  1980,  1963,     0,  1956,     0,  1961,  1965,  1944,     0,
    1941,     0,  2224,  2160,     0,  2158,     0,  1931,  1932,  1933,
    1925,  1926,  1927,  1928,  1929,  1930,  1937,  2136,  2134,  2135,
       0,     0,     0,  2106,     0,     0,  1960,  2380,  2416,     0,
    1682,  1682,  1682,  1670,  1680,  2228,     0,  1812,  1691,  1812,
    2234,     0,     0,  1916,     0,  1793,   928,   929,   927,  1517,
    1519,  1532,  1546,  2162,  1540,  1669,  1526,  1528,  1544,     0,
    1112,  1113,     0,  1117,  2605,  2499,     0,     0,     0,     0,
    1712,  1746,     0,  1737,     0,  2248,  1713,  2247,  1714,  1717,
    1718,  1708,  1747,  1620,     0,  1742,  1652,  1651,     0,  1815,
       0,     0,     0,  1598,  1586,     0,  1798,     0,  1752,  1624,
       0,  2221,  1750,  1358,  1258,  1321,  1146,     0,  1861,  1157,
       0,  1141,     0,  1140,  1861,     0,  1158,     0,  1861,  1359,
    1259,  1322,   924,  1360,  1260,  1323,  1361,  1261,  1484,  1472,
    1471,  1470,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   791,  2388,   346,  1493,
    1362,     0,  1262,   342,  1494,  1324,  1498,   809,   808,     0,
       0,  1325,     0,   647,     0,   651,     0,   653,   654,   655,
       0,     0,     0,   656,     0,  2315,  2371,   658,   661,   662,
     663,   670,   675,   665,     0,     0,   677,   671,     0,     0,
       0,     0,     0,     0,   683,   688,     0,     0,     0,     0,
       0,     0,     0,  1174,  1175,  1363,  1265,     0,  1326,  1124,
       0,  1266,   170,     0,     0,   268,  2388,   287,     0,   690,
     791,     0,  1314,   284,   312,     0,     0,   327,   322,   323,
     321,  2388,   346,  2388,   346,     0,     0,     0,     0,     0,
     324,   319,   320,   316,     0,     0,   329,  2290,  2356,  2513,
       0,   694,   696,     0,   701,   332,  1286,   353,   352,   351,
       0,   336,     0,   358,   361,   333,   310,   313,   311,   307,
     281,     0,     0,     0,     0,     0,     0,     0,     0,  2241,
       0,     0,  1215,     0,  1366,  1327,     0,  1349,     0,     0,
       0,     0,   735,     0,  1369,  1272,  1330,  1388,  1390,  1380,
    1273,  1389,   158,  1301,   147,     0,     0,   143,     0,     0,
       0,     0,   137,     0,  1370,  1274,  1331,     0,  1371,  1275,
       0,     0,   273,   588,   599,   604,  1280,   608,   605,  1339,
     606,  1378,  1276,  1374,  1304,  1334,  1381,  1397,  1277,  1194,
    1392,  1394,     0,  1312,     0,   262,   264,     0,   283,     0,
    1278,     0,  1332,  1373,  1303,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1501,     0,     0,     0,     0,     0,
       0,   346,     0,     0,     0,  1314,  2388,   346,  1372,     0,
    1309,     0,  1347,     0,   391,     0,  1302,     0,     0,   275,
    1282,  1341,     0,     0,   215,   214,   216,     0,     0,     0,
       0,  2166,  2167,     0,  2164,  2023,  2217,     0,   977,   935,
     976,     0,  2354,     0,   934,   936,     0,     0,     0,   937,
       0,   941,   942,     0,     0,     0,   933,   931,   932,   402,
       0,   427,   400,   401,   403,     0,     0,   840,     0,     0,
       0,     0,   829,     0,     0,     0,  1491,     0,   134,   645,
       0,     0,     0,   640,   685,   690,     0,     0,     0,     0,
     458,   462,   466,   467,   468,     0,     0,     0,     0,   148,
     135,     0,   871,     0,   518,     0,   745,  1386,  1385,  1193,
       0,   180,   173,     0,     0,   706,     0,  1541,     0,     0,
     357,   824,   822,   821,   823,     0,     0,     0,   845,   820,
       0,  1816,  1818,     0,     0,     0,     0,     0,     0,   578,
     461,     0,     0,   521,     0,     0,   565,     0,     0,     0,
       0,   357,     0,     0,     0,  1135,     0,  1153,  1136,     0,
       0,     0,     0,  1187,  1120,  1188,  1166,  1121,     0,     0,
     617,  1639,  1640,     0,  1212,     0,     0,  1860,  1873,   893,
       0,  1901,  1900,  1902,  1902,     0,  1844,     0,  1885,  1910,
    1911,  1912,  1913,  1914,  1915,     0,  1909,  1853,  1206,   346,
       0,   346,     0,   346,  1214,  1208,  1210,  1402,     0,   891,
       0,     0,   346,   884,   886,     0,   888,     0,  1034,   520,
       0,     0,     0,     0,     0,     0,  1045,   615,  1052,     0,
    1066,  1061,  1063,     0,  1067,   721,     0,     0,  1617,  1610,
    1612,  1611,     0,     0,  1608,  2169,   883,     0,   584,  1246,
    1247,     0,     0,   346,     0,  1068,     0,     0,   996,   990,
       0,     0,   994,     0,     0,     0,   997,     0,     0,  1687,
    2170,  2171,     0,     0,     0,  2205,     0,     0,  2060,     0,
    2036,  2038,  2050,     0,  2061,  2021,  2062,  2040,  2042,     0,
    2152,     0,     0,  2051,     0,  1985,  1986,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2001,  2000,  2052,  2131,     0,     0,
    2192,  2193,  2053,     0,     0,  2199,     0,     0,     0,  2058,
    2063,     0,     0,     0,     0,  2069,     0,  2090,     0,     0,
       0,  2011,  2162,     0,     0,     0,     0,     0,     0,     0,
       0,  1981,  1964,  1958,     0,  1962,  1966,     0,     0,     0,
    1952,     0,     0,  1950,  1976,  1946,     0,     0,  1977,     0,
       0,     0,  2029,     0,     0,  1682,  1682,  1682,  1682,  1679,
       0,     0,     0,     0,  2499,  2625,     0,  1776,  1751,  1753,
    1763,  1776,  1781,  1776,  2031,  1810,  2032,  2235,     0,  1722,
       0,  1722,   191,     0,   224,   211,  1516,     0,  1694,     0,
    2153,  1117,     0,  1696,  1716,  1715,     0,  1706,  1744,  1704,
    1621,  1605,     0,  1603,  1590,  1592,  1591,     0,     0,  1593,
    2221,     0,  1603,  1585,  1629,     0,     0,  1815,     0,  1628,
       0,  1861,  1138,  1139,     0,  1162,     0,  1078,  1079,     0,
    1077,     0,     0,     0,   506,  1097,     0,     0,     0,   791,
       0,     0,   510,     0,  1496,     0,  1379,  1300,   649,   650,
       0,   664,     0,   673,   672,     0,     0,     0,     0,     0,
       0,     0,   657,   679,   621,   680,   682,     0,     0,   681,
     684,   687,  1312,     0,   719,  1288,     0,  1345,  1168,  1315,
       0,  1127,     0,     0,     0,     0,     0,     0,   475,   306,
       0,     0,     0,     0,   366,     0,   289,   298,   364,   304,
       0,  1320,   338,     0,   309,     0,   302,   325,   317,   326,
     318,   337,   339,     0,   698,   699,   697,   693,     0,   700,
     702,     0,   355,     0,     0,     0,  1365,     0,  1312,     0,
     277,     0,  1284,     0,  1343,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1348,     0,     0,     0,
       0,   740,     0,   737,  1316,     0,     0,   140,   139,     0,
     146,     0,  1317,     0,     0,     0,     0,  1398,     0,     0,
       0,     0,     0,     0,   373,     0,   282,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   392,   348,     0,   848,     0,     0,
       0,   394,     0,     0,     0,     0,     0,  1364,  1267,  2026,
    2027,  2024,  1691,  2216,     0,     0,     0,   948,     0,     0,
       0,     0,     0,     0,   405,   406,   134,   404,     0,     0,
     839,  2445,  2139,  2140,   837,   843,   834,   836,   838,   835,
       0,   842,   791,     0,     0,   826,   831,   832,     0,     0,
       0,     0,     0,   490,     0,     0,     0,   481,     0,     0,
    1194,   474,   477,   478,     0,     0,   641,   644,   642,   643,
     678,     0,   461,   497,   547,     0,   150,     0,     0,   151,
     149,     0,     0,   357,   742,     0,   739,     0,   176,   457,
       0,   710,     0,     0,     0,  1194,   633,   762,   765,   758,
       0,   844,   846,   818,     0,   690,     0,     0,   590,     0,
     518,  1578,   573,     0,   549,   461,   547,   559,   558,   560,
       0,   567,   356,     0,     0,   578,   567,     0,     0,  1098,
    1134,     0,     0,     0,  1184,  1189,  1185,     0,     0,  1149,
       0,  1186,  1167,  1418,  1419,  1416,  1417,     0,     0,     0,
    1631,     0,  1879,     0,  1897,  1895,  1840,  1845,  1918,   895,
       0,   878,     0,   880,   346,   729,     0,   630,   346,     0,
       0,     0,     0,     0,     0,  1044,     0,  1064,     0,     0,
    1027,  1070,     0,     0,  1615,  1613,   576,     0,  1073,     0,
    1028,  1072,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2174,     0,  2207,  2203,     0,  2033,  2175,     0,  2187,
    2186,  2132,     0,     0,  1984,  1996,  1997,  1998,  2188,     0,
    2006,     0,     0,  1993,  1994,  1995,  1987,  1988,  1989,  1990,
    1991,  1992,  1999,  2197,  2196,  2190,  2191,     0,  2055,  2056,
    2057,  2198,  2064,     0,  2305,  2091,  2068,  2084,  2083,     0,
       0,     0,  2071,     0,     0,  2080,     0,  2133,  2256,  1922,
       0,     0,  1949,  2202,  1967,     0,     0,     0,  1945,  2152,
       0,     0,     0,     0,     0,  1954,     0,     0,     0,  2109,
    2104,  2105,  2129,     0,     0,     0,     0,     0,     0,  1673,
    1672,  1678,  1776,  1781,  1776,     0,     0,  1654,     0,  1763,
       0,  1775,  1761,  1774,     0,     0,  1787,  1785,     0,  1787,
       0,  1787,     0,  1755,     0,  1777,  1757,  1774,  1759,     0,
    1802,  2236,  1811,     0,  1735,  2023,  1735,     0,  1667,     0,
    1695,  1115,  1116,  1705,  2334,  1813,     0,  1604,     0,     0,
       0,  1595,  1601,  1583,     0,     0,  1625,  1603,  1626,  1159,
       0,     0,  1151,  1084,  1085,  1088,  1086,  1083,  1087,     0,
       0,     0,   791,     0,     0,   528,     0,  1109,  1109,     0,
       0,   512,   570,   523,   794,     0,     0,     0,   792,   346,
    1263,     0,   674,     0,     0,   669,   667,   666,   668,     0,
     622,  1377,  1264,     0,     0,     0,     0,  1169,     0,     0,
    1287,     0,   286,     0,   471,     0,     0,   299,     0,   295,
       0,  1313,     0,     0,     0,     0,   294,   368,     0,   365,
       0,   346,   346,   340,   695,   354,   359,   360,   363,     0,
       0,     0,     0,     0,  1319,     0,     0,     0,     0,     0,
       0,     0,   872,   855,     0,     0,   873,   874,     0,     0,
       0,  1217,  1218,  1216,  1350,  1351,  1356,  1353,  1352,  1355,
    1357,  1354,     0,  1270,     0,     0,   733,   144,   141,   142,
     145,  1298,  1281,  1340,  1393,     0,     0,     0,  1279,     0,
    1333,     0,  1294,  1290,     0,     0,     0,     0,     0,  1376,
    1308,  1338,  1375,  1306,  1336,  1305,  1335,  1307,  1337,     0,
    1299,     0,  1820,   852,     0,     0,     0,   346,   346,   851,
     731,  1283,  1342,     0,     0,     0,   938,     0,     0,   940,
     943,     0,   945,   410,   430,   751,   811,     0,     0,   828,
     790,     0,   479,     0,   485,   488,     0,     0,   492,   493,
     491,   480,  1194,   518,   569,     0,     0,   801,     0,   639,
       0,   459,     0,   494,     0,     0,   463,   153,   152,     0,
       0,     0,   746,   750,   748,   747,   749,   744,     0,   735,
     180,  2388,     0,     0,     0,     0,   571,  1391,     0,   775,
     819,     0,  1819,   725,     0,   357,   586,     0,     0,     0,
     459,   578,     0,   464,   469,   470,   475,     0,   561,   548,
       0,   549,     0,     0,   575,  1463,     0,   579,   581,     0,
       0,     0,  1137,  1154,  1155,     0,     0,  1118,     0,     0,
       0,     0,   624,   346,  1841,   346,   346,  1243,     0,   889,
    1058,  1059,  1060,  1057,  1056,   616,     0,  1062,   723,     0,
     577,   346,     0,  1004,   982,  1003,   981,   983,     0,   985,
     986,   980,   978,   979,  2206,  2049,  2059,  2185,  2131,  2162,
       0,     0,  2007,     0,     0,  2054,  2615,     0,     0,     0,
       0,  2088,  2089,  2070,     0,  2435,  2075,     0,     0,     0,
    1973,  1971,  1968,     0,  1969,  1953,     0,     0,  1951,  1947,
       0,  1978,  2095,     0,  2111,  2108,  2128,  2162,  1677,  1676,
    1675,  1674,  1762,  1758,  1760,     0,  2620,     0,  1765,  1772,
       0,  1754,     0,  1786,  1782,     0,  1783,     0,     0,  1784,
       0,     0,  1756,     0,  1772,     0,  1809,     0,     0,  2100,
    2253,  2100,   225,     0,     0,  1602,  1587,     0,  1588,  1594,
       0,     0,     0,     0,  1630,  1623,  1152,  1160,     0,     0,
       0,   508,     0,   523,     0,     0,     0,  1111,  1111,     0,
     523,     0,  1194,   796,   795,   798,   793,   797,  1497,     0,
     659,   660,   676,  1289,     0,  1346,  1296,     0,  1619,   288,
       0,   691,   293,     0,     0,   290,   367,   369,   291,   292,
     296,   348,   308,   301,     0,     0,     0,  1285,     0,  1344,
    1292,  1367,  1268,  1328,     0,     0,   861,     0,     0,     0,
       0,  1368,  1269,  1329,     0,     0,     0,     0,  1619,     0,
       0,     0,     0,     0,     0,     0,     0,  1506,     0,  1318,
     347,   850,   849,   348,   393,  1310,  2025,     0,   939,   946,
     947,   944,     0,   399,   407,   431,   134,     0,     0,  1234,
    1234,     0,   791,     0,     0,   476,   489,     0,   569,   527,
       0,   482,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   738,   737,   175,     0,
     459,     0,   690,     0,   769,   770,   764,   766,     0,   777,
     781,   847,     0,     0,   578,   461,     0,     0,  1576,   460,
       0,     0,   472,     0,   565,   549,   561,     0,   562,     0,
     566,     0,  1456,     0,     0,     0,     0,  1190,     0,  1196,
       0,  1148,  1191,     0,  1812,     0,     0,     0,     0,   628,
    1235,   879,   881,   730,  1065,     0,  1069,   346,   984,  2133,
    2002,     0,     0,     0,     0,  2065,     0,  2066,  2093,  2092,
    2072,  2076,     0,  2073,  2074,  1970,  1974,  1972,  1955,  2097,
       0,  1691,  2130,  1805,     0,  1808,     0,     0,  1764,     0,
       0,  1766,     0,     0,  1768,  1770,     0,     0,     0,     0,
       0,     0,  2239,  2333,  2589,  2496,     0,  1721,  1723,  1726,
    1728,  1727,  1729,  1725,  1734,     0,  1656,  1655,  2154,  1814,
       0,     0,     0,  1099,     0,  1627,  1066,     0,   346,  1109,
    1194,   529,  2445,   530,  1108,  1110,  1114,  1114,     0,  1194,
       0,   569,   652,     0,     0,   270,   689,     0,     0,   300,
     350,   362,     0,  1619,     0,     0,   859,   868,   868,   856,
       0,     0,   875,  1271,   734,     0,     0,   265,  1295,  1291,
       0,     0,     0,  1508,  1509,     0,     0,     0,     0,     0,
     346,   949,     0,   433,   440,   411,   416,  1500,     0,  1500,
       0,   413,   417,  1500,   412,  1500,   409,   410,     0,  1234,
       0,  1231,  1230,   789,     0,   516,   592,   483,     0,   538,
       0,     0,   802,     0,     0,   461,   547,     0,   505,   498,
     499,   500,   501,   502,   503,   504,   496,   495,     0,   690,
     865,   357,  1463,   732,     0,     0,   703,     0,   767,   772,
     771,  1500,   776,     0,     0,     0,   690,     0,   574,   549,
     461,   547,   465,   475,   551,     0,   552,   567,   561,   565,
     563,   564,     0,     0,     0,   578,  1510,  1098,     0,  1195,
       0,     0,     0,     0,     0,     0,  1238,   623,     0,     0,
     627,   618,   690,  1029,  2003,     0,  2004,     0,     0,     0,
    2078,  2077,     0,  2115,  1810,     0,     0,  1804,     0,     0,
    1834,     0,     0,     0,  1773,  1789,     0,  1769,  1767,     0,
    1778,     0,  1780,     0,     0,     0,  1730,     0,  2099,  2101,
       0,     0,  1600,  1812,     0,  1597,     0,  1080,     0,  1081,
    1111,   569,     0,  1117,  1117,   518,   569,     0,   791,  1297,
       0,   692,   592,     0,   303,     0,   278,  1293,     0,     0,
     870,   870,     0,     0,     0,     0,   380,   387,   386,   381,
     379,   388,     0,   384,   378,   377,   382,     0,   375,     0,
       0,  1502,     0,  1503,  1504,  1507,   395,   408,     0,   438,
       0,   436,   435,   437,     0,   424,     0,     0,     0,     0,
       0,     0,   398,   429,  1229,  1233,  1232,     0,     0,   484,
       0,   486,   524,   525,   526,     0,   487,   534,   535,     0,
     799,     0,   804,     0,     0,     0,   690,   546,   714,     0,
       0,     0,  1457,     0,     0,   572,     0,   778,   779,   774,
       0,     0,   726,  1463,   561,     0,   549,   473,     0,   446,
     565,   567,     0,  1460,     0,   580,     0,  1105,  1119,  1197,
    1192,  1422,     0,     0,   626,   625,   720,  2005,  2081,  2067,
    2094,  2079,  2110,     0,     0,     0,     0,  1803,  1806,     0,
    1837,     0,     0,     0,     0,  1823,     0,  1771,     0,     0,
    1779,     0,     0,     0,  1724,     0,     0,  1589,  1599,  1100,
       0,     0,  1114,   533,     0,  1102,  1101,   527,   791,   522,
     509,  1619,   297,   349,     0,     0,     0,   866,   869,   857,
     858,   877,   876,   736,  1619,     0,     0,   371,     0,   370,
       0,   374,     0,   434,   443,     0,   441,   414,   419,     0,
     423,   421,   420,   415,   418,     0,   515,     0,     0,     0,
       0,   536,     0,   537,   568,     0,   803,     0,     0,     0,
     716,   864,     0,     0,   459,   690,   768,   773,     0,     0,
    1458,   565,   549,   561,     0,     0,   553,  1109,  1109,   567,
     444,  1461,  1462,     0,     0,   357,  1421,  1420,  1669,     0,
       0,  2576,  2334,  2548,     0,  2127,  2116,  2127,  2127,  2107,
       0,     0,  1835,  1836,  1821,     0,     0,  1825,  1788,  1801,
    1732,     0,  1731,  2102,  2103,  1812,   346,  1117,     0,   791,
     531,   538,   511,   271,  1619,   860,     0,   266,     0,   385,
     383,   376,  1505,   439,     0,   422,   781,   591,   543,     0,
     542,     0,   540,   539,   800,   805,     0,   690,   854,  1463,
     704,   780,     0,   567,   561,   565,     0,   550,     0,  1111,
    1111,   448,     0,     0,   567,  1404,  1669,  1403,  1405,  1413,
    1410,  1412,  1411,  1409,  1241,  1242,     0,  2120,  2119,  2118,
    2122,  2121,     0,  2114,  2112,  2113,  1807,     0,  1824,  1827,
       0,     0,     0,  1833,  1826,  1828,     0,  1799,  1733,  1596,
    1082,  1103,     0,   513,   791,   279,   867,     0,   442,     0,
     541,   545,   544,   690,   715,  1459,   784,   447,   565,   567,
    1109,   554,   556,   555,  1105,  1106,     0,  1812,     0,  1414,
    1408,  1654,  1641,     0,     0,     0,     0,  2124,     0,  2125,
       0,  1830,  1831,  1832,  1829,     0,     0,   514,     0,     0,
     717,   786,     0,   782,   785,   787,   788,   567,   445,  1111,
     357,  1104,     0,  1089,  1406,  1669,     0,     0,  2117,  2123,
    2126,     0,     0,   532,   372,     0,   752,     0,   449,   557,
     567,  1107,  1407,     0,     0,     0,  1800,     0,   783,  1812,
       0,     0,  1822,   784,  1090,     0,     0,     0,  1239,  1240,
     753
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4901, -4901, -4901,  3734, -4901, -4901,  -908,   348,  2964, -1223,
   -4901, -4901, -4901,  1342, -4901, -4901, -4901, -4901,  3700, -4901,
    2057, -2425, -4901, -4901,   128,  3665, -1292,   107,  3239,  1713,
   -4901, -1143, -4901, -4901,  -611,   148, -4901,  3664,   550, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901,  -805,  2181, -4901,
    2258,  1541,     9, -2902, -4901, -4901, -1351, -3177, -4901,   851,
   -4901,   881, -4185,  -621, -4901, -4548, -4901,  -795,  -612, -4901,
   -4901,  2171, -4901, -4901, -4901,  1344,   763,  -287, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901,  -466, -4901, -4901,  -711,   156,
      31, -2442, -3735, -4901, -4901,   719,  -105, -1417, -4901, -3577,
   -4901,   263, -2327, -4901, -4901, -4901,   -73, -1388,  1651, -4901,
    -715, -1124,  1958, -2746,  -574, -4901,    50, -4901,  -686,  -482,
    -479,  -610, -3799, -4246, -4901, -4901, -4901,  -718, -4257, -4502,
   -3797, -4368,  1660, -4901,   159, -3127, -3241,   160,   687, -4901,
     163,   164, -4901,   706,  -407,  -896, -1526, -4901,  -758, -4901,
   -4901, -4901, -2911, -4901, -4901, -4901, -4901,    55, -4901, -4901,
   -4901, -4901,   750, -4901, -4901, -4901, -4901, -4901, -4901, -2678,
    2127,  2130, -4901, -3099, -4901,  -853, -4901,   899, -2972,  1565,
   -4901, -4901,  1323,  3747,   734, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -1719, -4901, -4901, -4901, -4901,   262,   -51, -4901,
   -4901, -4901, -4901, -4901, -4901,   170, -4901,  2141,  1326, -4901,
   -4901,   -54, -4901, -4901, -4901, -4901, -4901, -4901,  -672,  -827,
    -810, -4901, -2969, -4901, -4901, -4901,   -25, -4901, -4901, -4901,
   -4901, -4901, -4901,  -760, -4901,  1388, -3148, -4901, -4901,  1392,
   -4901, -4901, -4901, -4901, -4901,  -589,    37,  2896, -4901,  -185,
    -375, -4901, -4901, -4901,    49, -4901, -4901, -4901, -4901, -4901,
   -4901, -4901, -4901, -1097, 10050,  -806,  -572, -4901, -4901, -4901,
   -4901, -4901, -2088, -4901, -4901, -4901, -4901, -3674, -4901,  4630,
    1986,   762,   174, -4901,   -23,    58,  3488, -1135, -2630,   682,
    -144, -4901, -4901, -4901, -2557, -4901, -4901, -4901, -4901, -3481,
     177, -4901,  3482, -4901, -3786, -4519, -3557,  -731, -4901, -4046,
   -4414, -4530, -3502, -4901, -4901, -4901, -4901,  -552,   -72,  2864,
   -4901, -1407,  2508,  -888, -4901, -2058,   740,  1746,  3687, -2726,
    -127,  2866, -2505,  -647, -3248, -4901, -4901, -2289,  -273, -4901,
   -4901,  1424, -1058, -4901, -4901, -4901, -4901,  -620,  2810,  -202,
   -4901, -4901,  4032, -4901, -4336, -4901,  3991, -4901, -4901, -4901,
   -4901,  2721,  2722, -4901,  2726, -4901, -4901, -1371,  1494, -4901,
   -4901, -4901, -4901,   937, -4901, -4901, -4901, -4901, -4901, -4901,
   -4901,  1390,   925, -4901, -4901, -4901, -4901, -4901,  -566,  -740,
   -4901, -4901,   178, -4901, -4901, -4901, -4901,  2374,  -898,  -727,
    3890,   181, -4665, -4901, -4901, -1081, -4901,  3279, -4901, -4901,
   -4901, -4901, -4901, -4901, -4901, -4901, -4901, -2681, -4901, -4901,
   -4395, -4901, -4901, -4901, -4901, -4901,  2603, -4901, -4901,  2599,
      80, -4901,   -30, -4901, -4901,  -956,  2595, -4901, -1904, -4901,
    -583, -4901,  2798, -4901, -4901, -4901, -4901, -1818,   183,   794,
   -4901,    10, -4901, -4901,   169, -4901,   571, -4901, -4901, -3409,
      12, -4901, -4901, -4901, -4901, -4354, -4901,    14,  -458,  1098,
   -2792, -4901,   188,   142, -4901, -4901,     6,  1463,   -42,   -58,
     -37,     3,   118,  3397, -4901,  3409, -4901,    24,  1886, -4901,
   -4901,  -802,  -164, -4901,  1849,  -631,  2573,  3346,  3353, -4901,
    1837,  2606, -1953, -1956, -4901,  1142,  -437,  -271, -4901, -4901,
   -4901, -4901,   605,  -630,  2591, -4901,  3354, -4901, -4901, -4901,
   -1917, -2826, -3448,  1167, -3438, -3351,   646,   627, -1367,   -36,
     -43,  -761,  3357, -4901, -4901,  1182,  -227, -4901, -4901,  -223,
   -2782,  1135, -4901, -4329, -2325,  1191,  -684,  -520, -4901,  -606,
   -4901,  -393,  5993,  2937, -1054, -4901, -4901,  -989, 13883, -4901,
   -4901, -4901, 14981, 15110, -4901, -4901, 15695, 15982, -4901,  -800,
   16851, 13914, -1016, -1866,    47, 13539, -1831,  -310,    48, -4901,
   -3500, -2790, -4901, -4901, -4901,    17,  1246,  1026, -4901, -4362,
   -4901, -4901,   232, -4901,  -400, -4901,  -399, -4901, -4901, -4901,
   -2663, -4900, -2466,  2716, -4901, -4901, -4901,  -165, -4901, 17680,
   -2740, -4901,  1146, -1332, -1495, -3425, -1887, -4901, -4901, -4901,
   -4901, -4901, -4901, -4901, -1568, -3292,  -503,  1959, -4901, -4901,
    2052, -4901, -4901, -4901,  -916,  2331,  -762, -2629,  1966, -4901,
    -772,  2719,  -785, 12787,  -622,  9117,  -542, -2114, -1237, -1639,
   -4901,  4900, -4901,  5674,  6427,    19,  -116,  5769,  -627,    -6,
    7614,  -617,  -878,  3793, 11909, 11075, -3133
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    52,    53,    54,    55,    56,  1521,  2496,  2348,  3279,
    3280,    57,    58,  1517,    59,    60,    61,    62,  1433,    63,
    1015,  1768,  2511,    64,  2181,   800,   801,   802,  2085,  2086,
    2432,  2087,  2075,  1318,  1910,  1454,   774,   775,  1415,  1455,
      66,    67,  1312,  2066,    68,    69,    70,  1485,  1573,  1486,
    1487,  1427,  1815,  4302,  5024,  3071,  2311,  3328,  3072,  3073,
    3697,  3698,  3776,  5048,  5049,  5041,  5047,  5042,  5043,    71,
    1589,  1590,    72,    73,  3244,  3240,  3826,  4643,  4644,  4876,
     611,  2473,  4646,  4647,  4862,  4863,  5062,  5205,  5206,  2512,
    1760,  3322,  3914,  3270,  4392,  3271,  4393,  3272,  4394,  3256,
    3861,  3862,  4337,  3863,  3273,  4353,  4906,  3274,  2200,  5079,
    2553,  1932,  1930,  4562,  4889,  4164,  4165,  5289,  5086,  5087,
    5088,  5312,  4355,  4398,  4399,  4935,  5245,  5246,  3326,  3921,
    4404,  4661,  2956,    75,   709,  1794,  3428,   710,  2556,   646,
     711,  2513,    80,  2546,  5081,  2547,  1547,  2362,  5044,  3408,
      81,  1040,  3663,  4729,  4960,  4961,    82,   225,    83,  1776,
      84,    85,  2491,  3263,    86,  2217,  2973,    87,    88,  3004,
    3005,  3006,    89,  3688,  4580,  1488,  3060,  3061,  3062,  3063,
    3719,    90,  1771,  2520,  2521,    91,    92,    93,    94,  2669,
    2670,    95,  2419,    96,    97,    98,    99,  3753,  4266,  4369,
    3102,  3286,  3886,  4367,   100,  2514,  1784,  2536,  2537,  4379,
    4686,  4687,  4688,  4921,  5236,  4690,  4923,  5109,  4925,  5422,
    5423,  4652,  3642,  4178,   102,  4346,  4347,  5093,   103,  2215,
     104,   105,   106,  1744,  2483,  2484,  3835,  1737,  2476,  2477,
    3900,  3901,   107,  3184,   108,  4242,  4243,   647,  5100,  5030,
    5189,   109,   110,  4246,  4247,   111,   112,   113,   114,   115,
     701,   702,   703,  1132,  1133,  2928,  1080,   116,  2095,   117,
     978,   979,  3219,   118,  1205,  2715,  2716,  4444,   119,   734,
    1151,  1152,  2515,   121,   743,  2689,   745,  1947,  3410,  3411,
    3980,   122,   123,  2666,  2692,   124,  1420,  2191,  2192,  4159,
    2516,   648,  1800,  2560,  2951,  4802,  4803,  5255,  5396,  4557,
    4816,  2873,  3593,   126,   649,  1459,  2266,  1100,  1101,  2563,
    3336,  2160,  2161,  2162,  3938,  2163,  3338,  2164,  1394,  2165,
    1050,  1051,  3344,  3345,  3346,  3934,  3941,  2505,  4719,  4720,
     127,  1457,  2264,   128,   129,   130,  1500,   891,  1110,  1111,
     131,   661,   662,   132,  4881,   133,  1054,   134,  4727,   135,
     136,   765,   766,  1189,  1190,   137,   138,  2280,  3700,   139,
     140,   141,  3096,  3097,  4258,   142,   143,  1763,  1764,   144,
     145,  3149,  3150,   146,   147,   148,  5337,  5398,  5399,  5400,
    3947,  5258,  5339,  1182,   150,   151,   152,   189,   931,   932,
     933,  2517,  4712,   154,   155,  1416,  1417,  1418,  1419,  2186,
     156,   157,   158,   159,   160,   161,   162,  1748,   163,   164,
    4855,   165,   166,  1706,   167,  1345,  1346,   168,  1360,  1361,
     169,  2862,   605,   818,  1349,  1355,  1362,  1363,  1364,   170,
     713,  1145,  1146,  1147,  1912,   171,  1185,   981,   714,  1140,
     173,   715,  2144,  2903,  3607,  3608,  3609,  3612,  4542,  4137,
     716,  2899,   176,  1954,  2675,  2678,  2895,   717,  2908,  2909,
    2910,  3615,   718,   736,  1043,  2570,   719,  1279,   181,   182,
     183,   827,   821,   822,   185,  2059,  2843,   752,  1368,   787,
     788,   836,  2442,  2110,  2111,  2135,  2136,  1377,  1378,  2123,
    2127,  2128,  2886,  2879,  2116,  4124,  4787,  4788,  4789,  4790,
    4791,  4792,  4529,  2131,  2132,  1380,  1381,  1382,  2140,   186,
    2847,  3568,  3569,  3570,  4101,  4102,  4116,  4112,  4514,  4774,
    3571,  1180,  1388,  4522,  5367,  3572,  4763,  4764,  4977,  4120,
    3579,  3603,  3310,  3311,  3312,  3573,  5154,  5155,  5364,  5365,
    4979,  4980,  2166,  1845,  1082,  1280,  1083,  1857,  1281,  1829,
    1085,  1282,  1283,  1284,  1088,  1285,  1286,  1287,  1091,  1821,
    1288,  1289,  1839,  1854,  1855,  1350,  4981,  1291,  1292,  1293,
    3575,  1294,  4055,  4478,  4467,  2775,  2776,  2082,  4051,  3513,
    2054,  2833,  4796,  4998,  4999,  3552,  4080,  4494,  4761,  5146,
    5265,  5266,  5353,  1295,  1296,  1297,  2830,  2050,   894,  1298,
    3837,  2052,  2769,  1614,  1615,  1957,  1977,  2722,  2738,  2739,
    2749,  3472,  2757,  2762,  3500,  3501,  2770,  2799,  1299,  2724,
    2725,  3456,  1979,  1300,   937,  1618,   938,  1974,  2794,  1308,
    1301,  1302,  1948,   811,  4770,  1136,   850,  3088,  1698,   940,
     749,  1303,  1304,  1305,  1306,  1493,   865,  1103,  1104,   602,
     594,   867,  3064,   603,   596,   597,  1703
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     593,   810,   892,   184,  1909,  1313,   179,  1009,  1865,   826,
     174,  1546,   175,   779,   177,  1594,  1309,   746,   837,   748,
    2375,  1835,  1704,   754,   184,  1171,  1172,  1173,   768,   776,
     746,  1177,   783,  2199,  1606,   776,   776,  1383,   812,   893,
     815,   738,  1400,  1046,   645,  1929,  1612,   738,  2275,  1044,
    1339,  2267,  1340,  3269,   591,  1551,  3576,  1116,  1699,  3347,
    3433,  3689,  1841,   845,  1773,  1967,  2445,  3581,  2541,   813,
    1327,  1129,  3601,   700,  1825,  1826,   994,  2276,  3912,  4166,
    1135,   744,  3181,  3292,  1834,  3714,  1746,  3716,  2721,  4130,
    1751,  1148,  3669,   901,   780,  1755,  3942,  3147,  1460,  3942,
    2288,   712,  1545,  2921,  2923,  1765,  3847,   922,  3576,  3414,
    1572,  4204,  4067,  3839,  2436,  3614,  1492,  4401,  4098,  1789,
    1599,  3839,  4558,  3896,  1142,  1126,   839,   858,  1056,  4408,
    1114,  2305,  3591,  1118,  4115,   898,  4167,  4352,   903,   831,
    2681,  4704,   773,  4411,  4817,  4767,  2849,   840,    65,   807,
     600,  4161,  3521,  2784,  3926,  4706,    74,   653,  2260,    76,
      77,  2561,  2172,    78,    79,  2754,  3870,  4668,   824,   799,
     101,  2620,  2891,  2888,   120,   915,  1046,   125,   149,  1339,
    4400,   153,  1320,   172,   593,   848,   848,   851,   178,   848,
    3909,  3620,  2859,   860,  4779,   812,  4781,  4948,   895,  2396,
    2866,   860,  4937,  4143,   860,  1376,  1379,   812,  4035,   848,
    3090,  1456,   812,   720,   609,  4705,   848,  2260,   812, -1902,
    4113,  2407,  4118, -2373,  4825,  2400,  2401, -2302,  3478, -1894,
    4857,  4858,  1785, -1861,  2260,  1429,   720,  4362, -2411, -2434,
    1825,  1826,  2412,  1841,  2022, -2466,  2671,  5102, -1874,  1758,
    3932,  1456,  3204,  1153, -1899,  2093,  1456, -1889, -2274, -2376,
    1834,  1822,  1823,  2900,  4847,  1786, -2274, -2274,   720,  1489,
     659,  1734,  1833,  2028,   720,  2434,  2435,  3259, -2246,   659,
     927,  2691,  3619,  1341,   654,  1157,  5013,  5014,  1856, -2275,
    4887, -2631,  1742,   659,   659, -2245,   659, -2275, -2275, -2631,
   -2631,  2502,   659,  5046,  1489,  2030,  2057,  2289,  1812,   720,
       3,     4,  1812,  2652,  4882,  2999,  2278, -1902,  3242,  4446,
    4447,   759,  4449,  4450,  4451,  4452,  4453,  3670,  4363,  2072,
    1489,   659,  2183,   841,  1812,   720,  1812,  1489,   659,   720,
    3454,  2205,   720,   659,  1430,  3917,   834,  4725,  5256,  5082,
    4540,  2494,  5381,  2792,  1603,  2792,  4350, -2137,  4239,  2388,
    5075,  5346,  1812,  3224, -2137,  3225,  1812,  3179,  -134,  3229,
    2672,  3231,  3232,  -134,  5005, -2243,  5143,   928,  3877,  1429,
    3236,  3237,  3238,  3260,  3282,  3418,   726,  2812,  2255,  1911,
     726,  2278,  3000,  3193,  2509,  1330,  1812,  3013,   607,  1584,
    1812,   726,   726,  1317,  3422,  4131,   760,  2667,   726,  2107,
     727,  3100,  4364,  1812,   727,  1175,  5036,   842,  1822,  1823,
     929,  2022,   726,  1704,   604,   727,   727,  3045,  2827,  1606,
    4919,  3578,   727,  3694,  2901,  2828,  2022,  5121,  2073,  5107,
   -2156,   604,  1342,  3478,  1343,  1833,   727, -2156,  5240,  4939,
    4556,  4991,  2337,  5018, -2432,  3724,  2278,  1904,  2538,  4938,
    1905,  4218,   893,  1331,  4240,  2028,  2394,  4132,  3725,  2354,
     830,  5108,  2510,  5083,  4920,  3616,  1197,   930,  2359,  5026,
    2256,  3423,  2030,  3101,  5036,  1873,  3046,  2278,  1430,  3014,
    2278,  2668,  3381,  5029,  3383,   187,  2094,  2030,  1176,  5382,
      40,  2278,  1585,  5037,  3844,  5438,  5038,  5076,   816,  1003,
    2022,  3770,  5144,  1046,   893,  1013,  1201,  2016,  3431,  1893,
    4566,  1699,  2813,  5257,  5039,  1743,  1604,  2814,  1027,  2846,
    1046,  2967,  1070,  3894,    44,  5006,  2495,  4917,   188,  2028,
    3878,  4351,  5145,  5074,  1704,  2062,  5218,  5084,  1949,  2440,
    3243,   655,  2304,   660,  2074,  4541,  1952,  -432,   761,  1959,
    4365,  2653,  3003,  3261,  2815,  2673,  1913,  2076,  4241,  1431,
    3180,  2030,  2088,  2088,  1968,    48,  4227,  2058,   935,  4726,
    1813,  3205,   936,   856,  1813,  2674,  3670,  1046,    49,  1863,
    3864,  3839,  5039,  1971,  3478,  2413,  5172,   762,   763,   941,
    3419,  3933,  2408,  1743,  2290,   812,  1813,   593,  1813,   656,
     848,    50,   851,   184,   848,  4261,   985,  2291,  5249,  2292,
     982,   895,   983,  2414,   984,  2902,  1016,  4366,   848,  1432,
    2539,  2244,   843,  2370,  1813,   848,  2373,  3008,  1813,   610,
    2723,  4483,  5287,  5173,  1605,   657,  1953,   658,  5178,  3262,
    5300,  1820,  2206,  1836,  5385,  4115,  4511,  5202,  2503,   593,
    4515,   977,  3824,  3825,   851,  2487,   826,  5040,  1813,   860,
    4171,  1743,  1813,   895,  1837,  1384,   860,  3366,  2293,   860,
    2246,  5120,  1149,  5114,  4407,  1813, -2432,  3493,  1838,   764,
    2254,  2322,   732,   733,  2793,   848,  3541, -2137, -1894,  2380,
   -2373,  2816,  1824,  2049, -2302,  1046,  4361,  2433,  1344,  1179,
     184,  2070,  3085,  1046,  1046, -2411, -2434,  1828,  4457,  1612,
    1612,  1612, -2466, -1899,   732,   733, -1889, -2274,  2848,  1814,
    1490,  1491,  2102,  1842,  5332,  5040, -2376,  1141,  4545,  5323,
    1150,  4502,  1155,  4504,  1159,   935,   812, -2246,  2018,   936,
    1163,  1836,  2141,  2142, -2432,  2343,  1721,  1860, -2275,   812,
   -2631,  1193,  2060,  5010, -2245,  1490,  1491, -2432,  2829,   839,
    1179,  2852,  1837,  3576,  4738,  2360,  3576,  2395,  2363,  2364,
   -2156,  1307,  1307,  1871,   812,   776,  1840,  1895,  1144,   776,
     840,  1490,  1491,   893,  2540,   732,   733,  2624,  1490,  1491,
    1387,  1519,  2389,   812,  2641,  3691,  4383,   812,  4193,  1499,
    2263,  4231,  2441,  1307,  1436,  1743,  1709,  1898,   817,  4702,
    5270,  1863,  3771,  5389,  1520,   812,  4567,  5293,  2968,  -134,
    -134,  1176,   184,  1176,  3979,   179,  3635,   812,  2651,   174,
    5297,   175,  3909,   177,  3616,  5219,  3576,  1953,  2100,  2663,
     935,   812,  2100,   999,   936,  3027,  4645,  5241,  3665,  3420,
    3767,   857,  3622,  2263,  3623,  2485,  3888,  2598,  1781,   812,
    5243,  3009,  2682,  4326,   848,   848,  1097,  1166,  3865,  1714,
    2263,  2834,  1716,  2330,  5308,  2193,  5427,  2981,  1723,  1782,
    4958,  1724,  2046,  2047,  2048,  2049,  4285,  1347,  4151,  3490,
    3491,  3492,  3493,  2194,  1329,   776,   776,  2942,  2114,  5228,
     832, -1717,   659,   606,  3692,  5392,  5393,  4994,  4325,  1316,
    3475,  3476,  3596,  1324,  2888,  3495,  4970,  3077,  1307,  1307,
    5242,  1532,   747,   659,  5348,   659,  2932,   593,  1352,   834,
    5375,  2731,  1847,   659,  2499,  3214,  1421,  3605,   860,  3086,
    1533,  4621,   895,  3943,   860,  1863,  2532,   860,  3586,  2454,
    4929,  2195,  3525,  3526,  2044,  2045,  2046,  2047,  2048,  2049,
    2260,  1578,   848,  3372,   833,  4622,  2328,    65,  2478,  2196,
    1168,  4141,  3606,  3067,  1777,    74,  5325,  3584,    76,    77,
    2943,  3617,    78,    79,   812,  5410,  5324,  4166,  1414,   101,
    1534,   848,   848,   120,  2115,  4765,   125,   149,  4259,  5360,
     153,  1404,   172,  1579,  1848,  5449,  2835,   178,   773,  1565,
    1882,  2375,  2193,   812,   812,   812,  1778,   848,   659,   593,
     593,  2580,  2581,   659,  1988,  3068,  1583,  3944,  4422,  4743,
    2533,  4167,  1584,  2940,   834,  2732,  1783,  3587,  3488,  3489,
    3490,  3491,  3492,  3493,  4167,  1422,  1478,  2550,  2718,  2500,
    4959,  1816,  1883,  4286,  4771,  2130,  4340,  5388,  4376,  4775,
    4768,  4388,  4777,  5349,  3421,  1849,  5406,  3165,  1850,  5309,
    1851,  2554,  2551,  3166,  2925,  1210,  1535,   624,  3478,  1843,
    3986,  1405,  3479,  3480,  3481,  1805,  4389,  5095,  2195,   848,
    1704,   848,   848,  1835,  3576,  3666,   751,  2329,  2207,  1861,
    3693,  3694,  1847,  3818,  3819,  3474,  2196,  2733,  5361,  1872,
    2197,   759, -1861,  1875,  3078,  3122,  3069,  1878,  2999,  1880,
    4971,  1000,  5116,  1307,  1536,  1888,  1330,  1537,  3817,  3695,
    5119,  1896,  3207,  1406,  1899,  1585,  1704,   626,  2374,  2790,
    4698,  1169,   184,  5407,  1098,  3337,  5310,  1715,  2660,  2661,
    5094,  5126,  3047,  1931,  1931,  2982,  2378,   876,   812,  3942,
     746,  2462,  1612,  3849,   877,   878,   879,  1580,  2734,   835,
    1539,  2735,  1851,  5311,  1848,  3945,  3167,  3218,  3836,  3757,
    1779,  1964,   757,  4551,   812,  5115,  3836,  1970,   187,  3122,
   -1861,  5329,  5330,   758,  1331,  3000,   760,  1516,  4693,  1423,
    1307,  4341,  3657,  2463,  4153,  2954,  4167,  1197,  2550,  3852,
    1210,  3048,  2296,  3478,  1541,  4623,  1884,  3479,  3480,  3481,
    2198,  4581,   927,  5408,  -457,  2601,   826,  3987,  3001,  1407,
    1307,   188,  2534,  2551,  4060,  1849,  1542,  1424,  1850,  2613,
    2208,  2016,  3946,  1511,  3658,  2535,  2297,  2197,  2579,  4244,
    5362,   784,  2619,  2645,  3482,  5363,  1544,  2552,  1307,  1307,
    1307,  2955,  1307,  2920,  3854,  2626,  3002,  2575,  1581,  3114,
    1425,  4390,  4443,  3939,  2926,  2736,  3483,  2927,  1148,  3070,
    1852,  1780,  1307,  2182,  1915,  1699,  1917,  4942,  1919,  1586,
    1921,  4824,  1923,  1924,  1925,  4943,   637,  2599,   638,  1927,
    2108,  2109,  2650,  2113,  3576,  2618,  2655,  4965,  3576,  2098,
    2659,  2633,  2612,  2662,  5250,  2614,  5008,  1885,  4987,   928,
     812,   840,   840,  1759,   840,  1501,  4707,  1587,   893,  2209,
    3168,  3369,  1387, -2265,  5429,  1426,  3171,  -157,  3484,  -457,
    4708,  4846,  1851,  4544,  2892,  1035,  5117,  4663,   761,  3115,
    2893,  4654,  1512, -1861,  1307,  4245,  3857,  2198,  1307,  1307,
    1588,  5307,   929,  5409,  2747,  3003,  -157,  2464,  3169,   812,
     812,  2147,  2950,  1307,  3172,  2654,  4154,  2870,  2657,  2658,
    1787,  5025,  4155,  2737,  1411,   624,  1412,   762,   763,  4156,
    4388,   927,  3370,  2646,   776,   785,  1502,  1366,  3858,  2211,
    5028,  3170,  3116,  1788,  2080,  5032,  5033,  3173,  3659,  2212,
    4461,  3483,  4462,  1863,  3859,  4389,  3074,  1322,  4680,   930,
    3589,  4441,  4157,  4417,   819,  2647,  1372,  2342, -1098,  2251,
       3,     4,  1806,  4898,   776,   828,  4831,  5169,  2648,  2068,
    2999,  3098,  5331,  4928,  4158,   626,  2081,  1519,   812,  2277,
    1852,  3839,  3133,   180,  -583,  2894,  3025,  4944,   812,  3117,
    4664,   848,  2871,  1863,  2665,  4765,  2954,  3774,  2465,  1853,
    1520,  2649,  3738,  3484,   180,  1154,  1156,  1158,  2239,   935,
    1160,  1161,  1162,   936,  4899,  1036,  1807,   895,   928,   812,
    1167,   706,  4900,   776,  4167,   786,  3379,  1367,  1374,  1851,
    3151,  5175,  5176,  1863,   825,  1863,  1513,  4709,  3860,  3660,
     776,    15,   812,  3775,  2391,   812,  5387,  3000,  1743,   624,
    4901,  1037,  3638,  3682,  2365,  1743,  1519,  5397,  3485,  3486,
    3487,   929,  3488,  3489,  3490,  3491,  3492,  3493,  -685,  2202,
     808, -1861,  1612,  3132,  1514,    20,   911,  3318,  4463,  1520,
   -1861,   812,  1824, -1861,  1399,  4001, -1861,  3118,  2064,  1046,
    2213,  4344,   848,   848,   848,   848,   812,  3107,  3108,  4382,
     935,  3111, -2246,  4916,   936,   912,  3155,  1515,  1038,   626,
     812,  3739,  5428,  1808,  1039,  2201,  5186,  4902,   930,   829,
    2117,  1307,  1307,  1307,  3134,  3683,  4377,  2375,  2214,  4903,
    5234,  3257,  3137,  3681,   637,  3140,   638,  4207,  5247,  3199,
     882,   883,   884,  2202,   885,   886,   887,   888,   889,   890,
    5448,  3768,  3208,  3209,  3210,  2187,  2065,  2937,  1529,  2118,
    4174,   643,  3022,  3174,  1372,  1809,  2188,   838,  4015,  4016,
    4017,  4018,  1326,  5459,  4023,  4024,  4025,  4026,  4027,  4028,
    4029,  4030,  4031,  4032,  2189,  1414,  3836,  5187,  2366,  2610,
    1414,  2367,  3966,  3485,  3486,  3487,  1530,  3488,  3489,  3490,
    3491,  3492,  3493,  4884,  2117,  3119,  2755,  2573,  4856,  4830,
    4257,  4208,  4338,  3120,  2773,   844,  3121,  3003,  2119,  2446,
     781,   812,  4684,  3769,  5125,   893,   893,  4019,  4106,  4020,
    4071,  4072,  3214,   848,   848,  3576,  1374,   852,  3812,  4563,
    4685,  4175,  3576,  2118,  2800,  1390,  2801,  3576,  4316,    32,
    3576,  4860,  4319,  4320,  5101,  4322,   848,  2278,  1810,  1414,
    1478,  4107,  3288,  1414,  3289,  3740,  2120,  2279,   637,  2802,
     638,  3576,  1548,  4167,  4229,   812,  4517,  1375,  4669,    40,
    4339,    40,   726,  1391,  3576,  2203,  4109,  3301,  3302,  3303,
    3304,   848,   848,   848,   848,  1759,  5395,  2365,  4176,  3309,
    4177,    40,  3772,  3741,   812,  5371,   727,  4564,  2600,  4904,
    1549,   812,  4905,    44,  2446,    44,  1392,   187,  2429,  2427,
    4853,  4335,  3112,  2121,  4670,   593,  2880,  4810,   593,  2190,
    5098,  2430,  4737,   851,  4819,    44,  3742,  4957,  1307,  3530,
    4853,  3531,  1401,  4854,    40,  4336,  4230,  5112,  5247,   893,
    2120,  3641,  2296,  4167,    48,  4021,    48,  2428,   707,  2431,
     188,  1898,  3331,  4854,  3532,  4022,  4425,    49,  4426,    49,
    2504,   854,  2803,   860,   860,  5021,    48,  2804,    44,   874,
    1402,  1898,  2805,  5136,   895,   895,  2297,  1890,   860,    49,
      50,   860,    50,  5067,  2604,  5451,  2314,  4111,  5068,  4583,
    3942,   720,  2611,  3175,   708,  4587,    51,  2121,   848,   848,
    1891,  3766,    50,  1403,  3511,   848,  1550,   812,  3407,    48,
    3518,    35,  2623,  3177,  4010,  3978,    51,   184,  4648,  4667,
    2676,  2366,  1914,  1574,  2367,  1916,  3176,  1918,  4806,  1920,
    4808,  1922,  1931,  2306,  1395,  1926,  3576,   875,  5069,   848,
    2345,   860,  4167,  4036,   860,   860,  3178,   812,   812,  2598,
     848,  4649,  4953,  2688,  1028,  4678,  3979,   812,  4697,    51,
    1046,  1575,  3533,   917,   812,  1576,  3350,  3534,  1396,   746,
     746,   184,  1397,  2693,   985,  1351,   926,  1307,   982,  1307,
     983,  2306,   984,  3918,  1307,  1307,  3922,  1831,  1832,  1029,
    4287,  1307,  1307,  1307,  1577,  1144,  3576,  1307,   895,  1307,
    1307,  1307,  1307,  1307,  1307,  1398,  1307,  5230,  1307,  1307,
    2806,  4172,  1307,  4288,   934,  1046,  1404,  4853,   735,  1465,
    2807,  3392,  1030,  1961,   735,  1466,  1962,  1307,  1307,  1307,
    1307,  4334,   987,  2687,   848,  1307,  2987,  2714,  1467,  1307,
    4854,  3406,  1307,   990,  1836,  1307,  1307,  1307,  1307,  1307,
    1307,  1307,  1307,  1307,   993,  1307,  3580,  2022,  5135,  5180,
    1836,   812,  1307,  4658,  1307,  1837,  2635,  1468,  2636,  1031,
    2637,   812,  2638,   893,  2639, -1654,  4304,  2346,  2640,  4570,
    4571,  1837,  2349,   180,  2315,  2307,  2028, -1654,  5334,   720,
    2372,  1836, -1654,  1372, -1690,  1838,  1405,  4305,  1373, -1690,
     812,  5105,  2975,  1010,  1307,  3535,  2088,  1553,   812,  2284,
     812,  2285,  1837,  2308,  2858,  3536,   996,  1469,  2030,  3306,
    1307,  1470,  3621,  2506,  3307,  2278,  1840,  4537,  1471,  1307,
    1307,  1472,  1023,  2307,  3582,  2287,  2309,  3576,  2310, -1654,
    1975,  2096,    51,   812,  2097,  1554,  5320,  2543,  1406,   706,
    2906,  2417,  2911,  1532,  -582,  2423,  1473,  4105,  1032, -1654,
    2904,  2308,  3021,  3671,  2983,  1374, -1690,  2988,  2989,    15,
    2286,  3450,  1533,  2304,  4174,  2944,  2100,  2947,  1555,  4217,
     180,   825,  2099,   851,  2309,  2100,  2310,  1347,  2861,  3699,
    1474,  3897,   746,    40,   746,  3576,  5064,  4384,  5066,  3539,
   -1654,  3907,  5070,    20,  5071,  3451,  1375, -1690,  3007, -1654,
    3452,  1307,  3674,  2104,  2021,  2941,  2105,  2022,  5077,  5292,
    3735,  2304,  1534,   593,  3576,   848,   848,    44,  5384,  4106,
     860,  5168,   895,   860,   860,  1033,   848,  4638,   848,  4639,
    4640,  3113,   848,  4641,  1407,   812,  2028,  1046,  1034,  1475,
    5106,  1476,  3626, -2632,  1522,  4175,  1048,  1824,  3736,  2173,
    4150,  1477,  4107,  5450,  3594,  1824,   776,  2173,    48,   720,
    1478,  3504,  1591,  3506,  3507,  1595,  2277,  4108,  2030,  4202,
    1053,    49,  1479,  4821,  3032,   812,  2630,  4109,  3730,  2100,
    2642,  3737,  3044,  2643,  5420,  1902,     3,     4,  1408,  4410,
     838,   812,   180,  1096,    50,  1179,  1179,  3989,  1535,  1179,
    1106,  4194,  4176,  4110,  4177,  3196,  3848,  2306,    51,  1123,
    1480,  3307,   812,  1481,  1482,  3627,  3628,  3089,  3089,  1612,
    5373,  2644,  1510,  3630,  2643,  1612,  1409,  1527,  3576,  1001,
      35,  1002,   812,   812, -1654,  3527,   812,  2679,   851,   776,
    2680,  3893,  4209,  1483,  4216,  1105,  1536,  3954,  3955,  1537,
    3866,  2864,  1112,  2912,  1898,  1046,  2100,  4232,  1130,  1410,
    2374,  3648,   848,  2021,  1139,   848,  2022,    32,  2889,  2890,
   -2632, -2632, -2632,  3019,  3092,  2485,  3020,  3093, -2632,   226,
    1028,  3247,  1170, -2632,  3248,   608,   812,   812,  4111,  1411,
     720,  1412,  1539,   704,  1174,  2028,   935,    40,  1181,  1356,
     936,  3182,  2029,  3185,  3187,  5417,  1178,  3252,  1484,  3357,
    3253,   782,  2100,  1187,  3398,  1029,  2397,  2643,  1186,  3449,
   -2632,  3151,  2100,  3458,  2015,  3464,  2100,  2030,  2100,  2438,
    2439,    44,  1307,  1307,  1307,  1824,  1541,  1399,  1307,  1184,
    1413,  2755,  2755,  1188,   848,  5128,  2755,  3465,  3890,  1195,
    2100,  3466,   848,  3497,  2100,   848,  2100,  1194,  1542,  2307,
    1179,   848,  1210,  3576,  1005,  3478,  1006,  2037,  1196, -2632,
   -2632, -2632,    48,  1307,  3751,   848,  3510,  3515,  1544,  2100,
    3516,  5267,  5268,  2755,  2755,    49,  1197,  2308,  3834,  2277,
    1200,  3845,  3089,  3760,   812,  1031,  3834,   812,  2568,  3717,
    2569,  3291,  3718,  5369,   746,  3324,  3722,  3325,    50,  3723,
    2309,  1198,  2310,  4169,  4170,  3746,   848,  1307,  3747,  1199,
    3930,  5011,    51,  3931,  3337,  4395,  3952,  1203,  4042,  2100,
    5016,  4043,  1206,  1556,  3182,  2149,  3836,  2031,  3576,  1325,
    3294,  5286,  2032,  3576,   848,  3849,  3323,  2304,  1204,  4861,
    4052,  3850,  1824,  4053,  2173,  3319,  1328, -2632,  4063,  4910,
    1332,  2100,  4139,  3851,  3555,  4140,  3556,  3436,  4144,  3883,
    1307,  4145,  2306,  4149,  1557,  4173,  2927,  4385,  2643,  2035,
    2643,  3354,  4438,  1333,  1558,  1953,  4458,  4484,  3359,  2100,
    2680,  3852,  4496,  3853,  3557,  2100,  3558,   848,  1334,   848,
    3089,   848,  3089,  4547,  4553,  2718,  2927,  4554,  3378,  1348,
    3114,  4559,   180,  4560,  2643,  5433,  2643,  4699,  3384,  4745,
    4700,  3385,  4746,  3386,  3387,  1338,  2037,  3389,  3440,  4740,
    3275,  3443,  2598,  3393,  3444,  3394,  4047,  1931,  3396,  3371,
    3373,  3374,  3576,  1046,   893,  1046,  3854,  2306,  3876,  3867,
    3879,  3869, -1712, -1712, -2632,  3982, -1654,  4327,  1353,  4328,
    4949,  2044,  2045,  2046,  2047,  2048,  2049,  4747, -1654,  4755,
    2100,  1354,  2680, -1654,  3855,  1976,  4826,  5464,   812,  4827,
    1356,  2426,   617,  3995,  1606,  5434,  4911,  5435,   593,  2643,
    3115,  1357,  4217,  4950,   860,  1985,  4951,   860,  1359,  4966,
     860,  3435,  2680,  2718,  1356,  1210, -1642,  3590,  3478,   848,
    1370,   826,  3479,  3480,  3481,  4974,  2039,  1307,  4975,  1369,
   -1654,  1371,  1307,  1046,  2307,  3484,  2001,  4984,  4990,  3936,
    1898,  3904,  5153,  3856,  4992,  1559,  5003,  3904,  3857,  5004,
   -1654,  2013,  4516,  3116,  4519,  1307,  1307,  1307,  5057,  1385,
    1307,  5058,  2308,  1386,  5097,   826,  3010,  2067,  1307,  1307,
    1307,  1307,  5127,  1434,  5137,  5004,   624,  2680,  1389,  1560,
    1393,  1307,  1458,  1561,  1307,  2309,  1307,  2310,  1399,  5138,
    3858, -1654,  3516,  3975,  4579, -2276,  4210,  1307,  1307, -1092,
   -1654,  1307,  4697,  2694,  3276,  5139,  3859,  1461,  2100,  2307,
    3117,  5354,  5355,   895,  3988,  1307,  1562,  1307,  5151,  1307,
    1463,  5152,  2304,  2040,  1464,  4121, -2632, -2632, -2632,  1499,
    2044,  2045,  2046,  2047,  2048,  2049,   626,  2308,  1503,  1307,
    4105,   838,   838,   812,   838,  5157,  5160,  1504,  1898,  3904,
    3577,  5179,  2695,  5185,  2643,  3074,  2680,  4228,  5191,  1505,
    2309,  2680,  2310,  1516,  2306,  1518,   812,  1528,  4190,  5192,
     826,  1531,  2680,  1307,  3560,  3561,  3562,  1566,   184,  3098,
   -2536,   985,  3293,  5195,  2696,   982,  5196,   983,  1307,   984,
    5197,  5199,  5226,  5198,  5200,  5227,  5274,  2304,  3151,  5275,
    3860,  1567,  3577,  1532,  3574,  1582,  3610,  2697,  3118,  3613,
    5278,  2911,  4106,  1898,  5279,  1592,  3483,  2100,  2698,  1596,
    4964,    29,  1533, -1716, -1716, -2632, -2632, -2632,  4323,  3488,
    3489,  3490,  3491,  3492,  3493, -1654,  5280,  5282,  2699,  2100,
    2100,  5303,  1593,  2700,  5304,  4107,  5327,  5356,  1602,  5328,
    3904,  3277,  1307,  1601,  3089,  5368,  3574,  1705,  4997,  1931,
    4108,  4310,  5394,  5431,  1707,  5004,  5432, -1653, -1715, -1715,
    4109, -2536,  1534,  3087,  1708,  1710,  3834,  3644,  3484, -1653,
    2577,  1713,  1717,  1718, -1653,  4865,   848,  1726,   848,   848,
     848,  1727,  1730,   832,  2701,   637,  4110,   638,  3278,  1733,
    4256,  5444,  5335,    29,  5196, -1691,  5446,  1736,   640,  5447,
   -1691,  1739,  4479,  1741,    40,  2702,  2307,  4772,  1747,   642,
    4313, -2536,  1759,  1750,  5462,  5470,  3119,  5275,  5447,  4866,
    1752, -1653,  1743, -2536,  3120,  4212,  1761,  3121, -2536,  1762,
    1766,  1767,  2777, -2536,  2308,  2780,  -177,  1769,    44, -2536,
    1770, -1653, -2536,  2306,  4867,  1772, -2536,   833,  1535,  1774,
    1775,  3704,  1790,  3706,  1797,  1799,  1804,  2309,   206,  2310,
    1811,  4868,  1817,  1818,  1819,  4869,  1820, -1691,  1824,  1827,
    1828,  4111,   206,  2703,  1830, -2536,  2704,  1844,  1846,    48,
    1859,  3590, -1653,  1858,  1862,  4870,    40,  1870,  4871,  3590,
    1863, -1653,    49,   812,  2304, -2536,  1536,  1874,  1876,  1537,
    1886,  1877,  2705,  4872,  1879,  2706,  1881,  1887, -1691,  1889,
    2374,  2707,  1901,  1894,  1897,    50,  1903,   834,  2708,  2717,
      44,  2720,  1900,  1928,  1958,  1963,  1972,  2727,  1973,    51,
   -1415, -1865, -1415,  2741,  2742,  2743, -2536,  1965,  2306, -2536,
    1966, -1872,  1539,  2759,  2761, -2536,  2709,  5150,  2771,  1980,
    1981,  2710,  3765,  1982,  2711,  1983,  4773,  1984,  3485,  3486,
    3487,    48,  3488,  3489,  3490,  3491,  3492,  3493,    51,  2755,
    2755,  2755,  2755,  2712,    49,  2755,  2755,  2755,  2755,  2755,
    2755,  2755,  2755,  2755,  2755,  4873,  1541,  1986,  2306, -1862,
    3794,  1987,  1988,  4874, -1863,  2307,  3801,    50,  2713, -1866,
   -2536,  1307,  4045,  1989,  2306,  1704,  1990,  1307,  1542,  1991,
    1993,  5336, -1864,  1994,  2306,  1995,   848,  1996,  4435,  2053,
    1997,  3089,  3089,  2308,  1998,  2718, -1653,  1999,  1544,  2000,
    2002,  2755,  2755,  2057,  2003,  4875,  4674,  2055,  2004,  2058,
    2005,  2071,  2083,  2006,  2007,  2008,  2309,  3773,  2310,  2009,
    4357,  4358,   835,   751,  2091,  2067,  2021,  2103,  2106,  2022,
     812,   812,   812,  1373,  1375,  2137,  2139,  2148,  2150,  2151,
    2152,  2168,  2170,  2169,  2171,  2173,  2174,   812,  2175,  2176,
   -2536,  2177,  2178,  2304,  2179,  2185,  2204,  2210,  2028,  2216,
    2307,  3929,  2241,  2245,  2247, -2632,  2248,  3806,  2249,  1931,
     812,  2250,  2252,  2253, -2536,  2268, -2536, -2536,  2270,  1931,
     812,   812,  4395,  4195,  2269,   812,  2281,  2282,  2308,  2283,
    2030,  2298,  2294,  4233,  2300,  2301,  2304,  2302,   812,  2303,
    2312,  2313,  2316,  2318,  2327,  2317,  3925,  2323,  2324,  2333,
    2307,  2309, -2536,  2310,  2334, -2536, -2536, -2536,  4430,  4431,
    4432,  4433,  4434,  2344,  2335,  2338,  2307,  2339,  2361,  3950,
    2340,  2350,  2368,  2371,  4535,  2383,  2307,   180,  2308,  1478,
    2386,  2390,  2021,  1179,  2392,  2022,  2341,  2393,  2304,  2023,
    2024,  2025,  2347,  2409,  2308,  4077,  2351,  3538,  3959,   848,
    3961,  2309,  3963,  2310,  2308,  2352,  2026,  2410,  2356,  2357,
    2369,  3967,  2376,  2377,  2028,  2381,  2382,  2309,  2385,  2310,
     812,  2029,  2387,  2398,  2399,  2411,  2415,  2309,  2416,  2310,
    2437,   180,  2444,  2421,  2425,  2448,   812,  2450,  2304,  2451,
   -2632,  2452,  2453,  2457,  2458, -2632,  2030,  2459,  2460,  2461,
    2467,  2468,  3990,  2469,  2304,  2470,  2471,  2474,  1307,  2472,
    2480,  2479,  4586,  2481,  2304,  2486,  2490,  1307,  2493,  2489,
     619,  2507,  2518,  1307,  2498,  1307,  1550,  2504,  1307,  2522,
    2523,  2526, -2632,  1307,  1307,  1307,  1307,  2531,  2549,  1307,
    1307,  1307,  1307,  1307,  1307,  1307,  1307,  1307,  1307,  2542,
    2558,  2545,  1307,  1307,  2565,  2798,  2548,  2562,  2567,  2571,
    2582,  2584,  1307,  2585,  2589,   826,  1307,  2576,  2590,  4533,
    1307,  2592,  2593,  2595,  2594,  2596,  2603,  2605,  1307,  2037,
    2606,  1307,  2607,  1307,   826,  2621,  2622,  2608,  4718,  5411,
    5412,  2656,  1307,  2664,  2677,  1307,  1307,  2690,  2728,  2723,
    1307,  1307,  2755,  2772,  2778,  4081,  2031,  1307,  2022,  2782,
    2791,  2032,  2832,  2797,   812,   812,   812,   593,  2809,  3590,
    3577,  4103,  2811,  2831,  2846,  4103,  4117,  4103,  2854,  2851,
    2855,  4577,  1307,  2033,  2034,  2856,  2857,  2865,   833,  4085,
    4086,  4087,  4088,  3590,  2881,  2882,  2898,  2883,  2035,  2869,
    2884,  2905,  2916,  2917,  2945,  2948,  1307,  2919,  2950,  2952,
    2953,  1532,  2959,  2964,  2969,  2970,  2972,   180,  2974, -2632,
    2911,  3574,  1307,  2976,  3574,  2980,  2984,  2994,  2995,  2998,
    1533,  2036,  3011,  3012,  1322,  3017,  1326,  3035,  4659,  3028,
    4168,  1931,  1931,  3036,  2446,  2037,  3049,  3054,  2038,  3055,
   -2538,  3082,  3091,  3103,  3076,  3081,  3123,  3084,  4617,  3127,
    3099,   848,   848,   848,   848,  3183,  3195,  3202,  3203,   834,
    3206,  3221,  4624,  4625,  3226,  4627,  3215,  3227,  3234,  3298,
    1534,  4211,  3228,  3239,  3241,  3245,  3266,  3246,  2207,  3281,
    2277,  3254,  3267,  3283,  3574,  3285,  3287,  3296,  3305,  3313,
    3299,  2375,  3314,  3308,  3316,  3315,  5017,  3317,  3321,  4222,
    3329,  3327,  3330,  3333,  3334,  3348, -2632,  3349,  3353,  3351,
    3352,  3355,  1851,  2044,  2045,  2046,  2047,  2048,  2049,  3358,
    3363,  5061,  3356,  3361,  3360,  2039,  3362,  3388,  3376,  3391,
    3395, -2538,  3364,  4212,  3368,  3377,  3390,  3397,  4877,  3400,
    3401,  4676,  3402,  1898,  3403,  3404,  2021,  3405,  1895,  2022,
    1860,  3413,  2691,  2023,  2024,  2025,  1535,  3415,  5051,  3416,
    5053,  3417,  3424,  3432,  4864,  3427,  1176,  3434,  3438,  3441,
    2026,  3439,  3442,  3463,  4267,  3446,  3460, -2129,  2028,  3461,
    3512, -2538,  3529,  3462,  3546,  2029,  4507,  3467,  3468,  2100,
    3524,  3551,  3474, -2538,  4307,  3470,  3473,  3496, -2538,   595,
    3502,  3578,  3509, -2538,  1536,  3523,  3592,  1537,  3537, -2538,
    2030,  3547, -2538,  3549,  3550, -1718, -2538,  3597,  2374,  3553,
    4213,  3598,  2040,  3600,  3602,  2041,  2042,  2043,  3611,  2044,
    2045,  2046,  2047,  2048,  2049,  3604,  3834,  3624,   848,  2781,
    3631,  3629,   812,  3632,   848, -2538,  1307,  3640,  3618,  3643,
    1539,  3645,  3667,   812,  3678,  3680,  3685,  3652,  3668,  4348,
    3684,  3686,  3687,  3690,  3702, -2538,  3636,  3637,  3703,  2277,
    3705,  3711,  3712,  3721,  3713,  3731,  3750,  1953,  3755,  3756,
    3748,  3763,  3752,  3759,   812,  3761,  4908,  3779,  3577,  3780,
    3792,  3796,  3764,  3781,  1541,  3777,  3778,  3782,  3182,  3477,
    3783,  3800,  2407,  3785,  3784,  3786, -2538,  4396,  3787, -2538,
    3788,  3505,  3789,  3790,  3793, -2538,  1542,  5204,   812,  3791,
    2031,  3802,  2446,  3798,  3803,  2032,  1307,  1307,  3805,  4405,
    3816,  3829,  3820,  3809,  3821,  4813,  1544,  3810,  4214,  3823,
    3813,  4215,  3574,  3528,  5210,  5212,  3811,  2033,  2034,  3840,
    2021,  3843,  3874,  2022,  3089,  3884,  3089,  3885,  3875,  4973,
    3887,  3889,  2035,   812,   893,  3904,  3892,  1437,  4832,  3881,
   -2538,  3906,  3919,  4427,  3903,  3920,  3923,  4429,  3913,  3924,
    3927,  3554,  2028,   595,  3916,  4837,  3928,  3940,  3958, -2632,
    3949,  3960,   595,   868,  3969,  2036,  1307,  3962,  3956,  3983,
     595,  1438,   868,   595,  3970,  3971,  3972,  1307,  3957,  2037,
    3984,  3973,   180,  3974,  2030,  3981,   868,  3976,  3985,  3992,
    3993,  3994,  4004,   751,  3478,  3996,  3997,  3998,  3999,  4000,
    3499, -2128,  4013,  3498,  1975,  4054,  4065,  1307,  4038,  4078,
    2304,  4095,  4123,  4133,  4142,  4039,  4119,  1307,  1307,  4066,
   -2538,  4138,  4040,  4046,  1307,  1307,  4136,  4160,  4069,  1307,
    1440,  4096,  4084,  4718,  1307,  4152,  4181,  1307,  1307,  4104,
    4125,  4129,  1307,  4495, -2538,  4127, -2538, -2538,  1307,   812,
     812,   812,   812,  4128,  4183,  5305,  4103,  4117,  4103,  4184,
    1307,  4103,  4189,  4196,  4509,  1441,  4197,  4198,  3577,  2039,
    4201,  4203,  3577,  4199,  4205,  4206,  5063,  4220,  4524,  4223,
    4238,  4235, -2538,  4236,  4237, -2538, -2538, -2538,  4250,  4251,
    4252,  4262,  4253,   895, -2632,  4265,  4248,  4275,  4249, -2632,
    1307,  1442,  4276,  4264,  3610,  4281,  4284,  4549,  4299,  2911,
    4301,  4303,  4211,  4315,  4536,  4538,  4306,  4983,  4314,  4317,
    2755,  4331,  3574,  4318,   746,  4345,  3574,  1307,  4983,  4748,
    4321,  5204,  4342,  4354,  4360,  1443, -2632,  4368,  4387,  4375,
    4374,  2643,  4378,  4381,  4380,  4397,  4402,  3089,  3089,  4415,
    4864,  4403,  4416,  4418,  5217,  4419,  4420,  4421,  4568,  2021,
    4428,  4436,  2022,  4424,  4440,  2277,  2040,  1445,  4442,  2041,
    2042,  2043,  4448,  2044,  2045,  2046,  2047,  2048,  2049,  4590,
    4423,  4455,  4460,  2037,  4464,  4470,  2013,  4465,  4469,  4473,
    4471,  2028,  4472,  4477,  4582,  4505, -2130,  4492, -2632,  4508,
    4592,  4593,  4510,  4589,  4513,  5050,  4512,  5055,    35,  4520,
    2261,  4521,  1447,  4525,  4526,  4527,  4528,  1046,  4534,  4543,
    4546,  1448,  4548,  2030,  4550,  4556,  4565,  4561,  1307,  1449,
    2013,  4555,  4584,  4585,  4588,  4594,  4595,  2262,  4596,  4616,
    4607,  4614,  4610,  4628,  4619,  5273,  4620,  2798,  4636,  1451,
     848,  4637,  4642,  4650,  4651,  4656,  4657,  1452,  4665,  4660,
    4666,  4675,  4672,  3548,  4679,   848,  4671,  4681,  4673,  4689,
    5177,  4692,  4696, -2632,  4713,  4701,  4703,  4714,  4715,  3567,
    4716,  4723,  4728,  4734,  4735,  4741,  4634,  4635,  4742,  4749,
    4070,  4711,  4752,  4744,  4751,  1307,  4753,  4754,   180,  4766,
    4795,  4760,  4769,  4780,  4776,  4804,  4801,  4798,  4818,   593,
    4807,  4828,  4823,  1453,  1210,  2277,  4820,  3478,  4829,  4859,
    4878,  3479,  3480,  3481,  1931,  4834,  4880,  4886,  4822,  4341,
    4888,  3567,  4840, -2632,  5158,   825,  4841,  4845, -2632,  1307,
    4850,  4890,  4851,  4897,  4914,  4915,  4922,  4852,  4891,  4894,
    4893,  4896,   848,  4924,  3323,  4927,  4933,  4931,  4940,  4956,
     893,  4941,  5174,  4694,  4952,  4954,  4955,  4969,  4972,  4976,
   -2632,  4982,  4986,  4838,  4989, -2632,   595,  2044,  2045,  2046,
    2047,  2048,  2049,  4997,   812,  5001,  5020,  4993,   868,  5022,
    5023,  5029,  5035,  5078,   868,  5085,  5092,  5099,  5104,  3590,
    4995,  2755,  4730,  5012,  4731,  4732,  5089,   868,  5080,  5110,
     893,  5090,  5111,  1046,  5118,  5122,  5123,  5124,  5132,  5131,
    4736,  5133,  2037,   868,  1307,  5134,  2755,  5141,   595,  5140,
    5149,  5165,  5162,  1307,  1095,  5166,  5170,  5171,   595,   868,
    5184,  5188,  5215,  5209,  5216,   595,  5220,   868,   595,  5222,
    1307,  1307,  5225,  5229,  1307,  5232,  5233,  5239,  5251,  5252,
    1095,   868,  5253,  5254,  5259,  5260,  5288,  5271,  5269,   593,
    5290,   868,  4103,  5298,  5306,  5296,  3577,  5218,  5426,  5219,
    5315,  3577,  5316,  5352,  3577,   593,  5359,  3182,  5314,  4782,
    4079,  1307,  1307,  5347,  5366,  5380,  5333,  5372,  5377,  5386,
    5405,  5413,  4836,  5415,  5403,  4168,  5404,  1307,  5419,  5437,
    5436,  5440, -2632,  5439, -2553,  3483,  5441,  5445,  4168,   895,
     848,   848,   848,  3574,  5453,  5454,  5460,  5461,  2422,  5463,
    3574,  5465,  5466,  1358,  3290,  3574,  1462,  3585,  3574,  5426,
    2090,  3080,  3156,  3696,  4226,  1563,  4879,  1564,  4219,  5301,
     595,   595,  5418,  5050,  5299,  5426,   868,  3194,  3828,  3574,
    5072,  4324,  5203,  5378,  4356,  4932,  4655,  4907,   860,   895,
    3634,  3399,  3574,  5291,  4811,  5374,  5223,  3484,  5221,  5313,
    5391,  4406,   595,  3639,  4386,  5182,  4349,  4224,  3891,  3264,
    4012,  1210,  3265,  3715,  3478,  4373,  4913,  3255,  3479,  3480,
    3481,  4677,  4918,  3899,  5379, -2553,  5467,  5458,  4892, -2632,
    3841,  3846,   860,  5318,  4839,   812,  2044,  2045,  2046,  2047,
    2048,  2049,  2497,  5031,  4041,  1552,  5190,  4348,   753,  4842,
     812,  4437,  5007,  5430,  1950,   812,  2564,  3089,  2755,  1960,
    2922,  4412,  4947,  3625,  2277,  1738,  4799,  2572,  5129,  3799,
    2609,  4912,  2684,  2685,  4254, -2553,  1124,  1046,  2686,  3895,
     812,  4274,  5338,  1047,  4396,  5452,  2184, -2553,  1335,  4083,
    2860,  2868, -2553,  2634,  2867,  4391,  4800, -2553,   848,   812,
    4168,  4539,  5285, -2553,  4146,  2897, -2553,  2063,  3588,  4945,
   -2553,  3599,  2878,  4126,  2134,  5281,  5164,   595,   595,  1700,
    2133,  4531,  2896,  4099,  2138,  1307,   595,  4518,  1307,  4503,
    1307,  4988,  2143,  1095,   826,  4093,  4963,   595,  5148, -2553,
    2101,  5147,  4147,   595,  4094,  5358,   595,  5455,  5414,  5272,
    1307,  4967,  4048,  4797,  3574,  5283,  1307,  5284,  1095, -2553,
    3577,  2836,  2583,  3544,  4782,  3217,  3455,  2845,  3542,     0,
    1307,     0,     0,  1095,     0,     0,     0,     0,     0,  5000,
       0,     0,     0,   180,     0,     0,     0,  3485,  3486,  3487,
       0,  3488,  3489,  3490,  3491,  3492,  3493,     0,     0,     0,
   -2553,     0,   812, -2553,  1931,     0,   180,  5009,     0, -2553,
       0,     0, -2632,     0,  3574,     0,     0,     0,   595,   595,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1307,
       0,     0,  2755,     0,     0,     0,     0,   893,     0,   848,
     848,   848,   848,     0,     0,     0,  2021,     0,  1437,  2022,
       0,     0,     0,  2023,  2024,  2025,     0,     0,  1095,  5056,
       0,     0,     0,     0, -2553,     0,     0,     0,     0,     0,
    2026,     0,     0,     0,  3484,     0,     0,   593,  2028,     0,
       0,     0,  1438,     0,     0,  2029,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   868,   592,     0,   812,     0,
    1210,  3577,     0,  3478,     0,     0,     0,  3479,  3480,  3481,
    2030,     0,  1439,   868,     0,     0,     0,   751,     0,     0,
       0,     0,   595,  5113,  4061,     0,     0,     0,     0,     0,
     868,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1440,     0,     0, -2553,     0,     0,     0,     0,     0,
       0,  5357,     0,     0,     0,  3574,  1307,     0,   868,   593,
       0,     0,  1307,     0,     0,     0,  5156,  1095, -2553,   868,
   -2553, -2553,     0,  1307,     0,     0,  1441,  1307,     0,  1307,
       0,  1307,     0,     0,   868,     0,     0,   868,  4168,     0,
       0,     0,     0,     0,   848,     0,   895,  5167,     0,   595,
    2013,     0,     0,     0,     0,     0, -2553,  1307,     0, -2553,
   -2553, -2553,  1442,  3574,     0,     0,  4092,     0,     0,  4097,
    2031,     0,     0,     0,  2021,  2032,     0,  2022,     0,   595,
       0,  2023,  2024,  2025,     0,     0,     0,     0,     0,     0,
    2755,  2755,  3574,     0,     0,     0,  1443,  2033,  2034,     0,
       0,     0,  1931,  1931,     0,     0,  2028,   595,   595,   595,
       0,   595,  2035,  2029,  3485,  3486,  3487,     0,  3488,  3489,
    3490,  3491,  3492,  3493,     0,     0,     0,  1444,  1445,     0,
     846,   595,     0,   848,     0,     0,     0,     0,  2030,   859,
    5237,     0,     0,     0,  1307,  2036,     0,   859,     0,     0,
     859,  3483,  5248,  5295,     0,   868,     0,     0,     0,  2037,
       0,     0,  2038,   868,   868,  1446,     0,     0,     0,    35,
       0,     0,     0,  1447,     0,     0,     0,  1307,  1307,  1307,
       0,     0,  1448,  3182,     0,     0,  1307,     0,     0,     0,
    1449,     0,     0,     0,     0,     0,  1307,     0,  1450,  5000,
       0,     0,     0,   595,  2911,     0,  3574,   595,   595,     0,
    1451,     0,     0,  3484,     0,     0,     0,     0,  1452,   860,
       0,     0,   595,     0,     0,     0,  1095,  5344,  5345,  4468,
       0,     0,  1700,     0,     0,     0,   848,     0,     0,     0,
       0,     0,     0,  1931,     0,     0,     0,     0,  2031,  2039,
       0,     0,     0,  2032,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2277,     0,
       0,     0,     0,   593,  1453,  2033,  2034,     0,  1307,  5319,
       0,     0,     0,     0,     0,     0,     0,  4168,     0,     0,
    2035,  1095,     0,   860,   860,  1307,     0,     0,     0,     0,
       0,   184,     0,     0,  5343,  1307,     0,     0,  5340,  5156,
    5341,     0,  5342,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2036,     0,     0,     0,     0,     0,     0,
     848,     0,  1095,     0,  5402,  5370,  2021,  2037,     0,  2022,
       0,  3574,     0,  2023,  2024,  2025,  2040,     0,     0,  2041,
    2042,  2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,     0,
    2026,     0,  5248,   848,   848,  1095,  3469,  4168,  2028,     0,
       0,     0,     0,     0,     0,  2029,     0,     0,     0,   184,
       0,     0,  5343,     0,     0,     0,  5340,     0,  5341,     0,
    5342,     0,     0,     0,  1307,  1307,     0,  3567,     0,     0,
    2030,     0,     0,  3485,  3486,  3487,  1307,  3488,  3489,  3490,
    3491,  3492,  3493,     0,     0,     0,  3574,     0,     0,     0,
       0,  3574,     0,     0,     0,   868,   180,  2039,     0,     0,
       0,     0,     0,  5468,  5469,     0,     0,     0,     0,  1307,
     595,   595,   595,     0,     0,     0,     0,     0,     0,  1307,
       0,     0,  2021,     0,     0,  2022,     0,     0,     0,  2023,
    2024,  2025,     0,   848,     0,     0,  4168,     0,     0,     0,
       0,     0,     0,     0,     0,  5156,  2026,     0,   184,   593,
       0,  5343,     0,     0,  2028,  5340,     0,  5341,     0,  5342,
       0,  2029,     0,     0,     0,     0,     0,     0,     0,   860,
     860,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2031,     0,     0,     0,     0,  2032,  2030,     0,     0,     0,
    3574,     0,     0,     0,  2040,     0,     0,  2041,  2042,  2043,
       0,  2044,  2045,  2046,  2047,  2048,  2049,  2033,  2034,     0,
       0,     0,     0,  1095,     0,     0,     0,     0,     0,     0,
       0,     0,  2035,   988,     0,     0,     0,     0,     0,     0,
    1095,  4683,     0,     0,     0,     0,     0,     0,     0,  1095,
       0,     0,     0,     0,     0,     0,  1700,     0,     0,     0,
       0,  1095,     0,     0,     0,  2036,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2037,
     868,     0,  2038,     0,     0,   846,     0,  3567,   868,     0,
       0,  3567,     0,     0,     0,   859,     0,     0,     0,     0,
     868,     0,   859,     0,     0,   859,  2031,     0,     0,     0,
       0,  2032,     0,     0,     0,     0,     0,  1095,     0,     0,
       0,   180,   180,     0,   595,     0,     0,   595,     0,     0,
       0,  1095,     0,  2033,  2034,     0,     0,   595,     0,     0,
       0,     0,  1210,  1095,     0,  3478,     0,     0,  2035,  3479,
    3480,  3481,     0,     0,     0,  1095,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4486,     0,     0,  2039,
       0,     0,   595,   595,     0,   868,   868,     0,     0,     0,
       0,  2036,     0,     0,     0,     0,     0,   595,     0,   868,
     595,     0,     0,     0,     0,  2037,     0,     0,  2038,  1095,
    1095,     0,   868,   868,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   737,     0,   868,     0,
       0,     0,   737,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     595,     0,     0,   595,   595,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2040,     0,     0,  2041,
    2042,  2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,     0,
       0,     0,     0,  3842,     0,  2039,   595,     0,   595,     0,
       0,     0,     0,   595,   595,     0,     0,     0,     0,     0,
     595,   595,   595,     0,     0,     0,   595,     0,   595,   595,
     595,   595,   595,   595,     0,   595,     0,   595,   595,     0,
       0,   595,  1210,     0,     0,  3478,     0,     0,     0,  3479,
    3480,  3481,     0,     0,     0,  1095,   595,   595,   595,   595,
    1700,     0,     0,  3483,   595,     0,  4487,     0,   595,     0,
       0,   595,     0,     0,   595,   595,   595,   595,   595,   595,
     595,   595,   595,   846,   595,     0,     0,     0,     0,     0,
     180,   595,     0,   595,   859,     0,     0,     0,     0,     0,
     859,     0,  2040,   859,     0,  2041,  2042,  2043,     0,  2044,
    2045,  2046,  2047,  2048,  2049,     0,     0,     0,     0,  3339,
       0,     0,  3519,     0,     0,  3484,     0,     0,     0,     0,
       0,     0,  4968,   595,     0,     0,     0,     0,     0,     0,
    1437,     0,     0,     0,     0,     0,     0,     0,     0,   595,
       0,     0,     0,     0,     0,     0,     0,     0,   595,   595,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2015,     0,  1438,  1801,  1802,     0,     0,     0,
       0,     0,     0,   868,     0,     0,     0,     0,     0,     0,
    1095,     0,     0,     0,  1095,  1095,     0,     0,     0,     0,
       0,   868,     0,     0,     0,     0,  1700,   868,     0,   866,
       0,   868,     0,     0,     0,  3567,  2020,     0,   902,   868,
    3567,  2021,     0,  3567,  2022,     0,     0,     0,  2023,  2024,
    2025,     0,   923,  1440,     0,     0,     0,   868,     0,     0,
     595,     0,     0,  3483,     0,  2026,     0,     0,  2027,     0,
       0,     0,   595,  2028,     0,     0,  1095,     0,     0,   595,
    2029,     0,   595,   595,     0,     0,     0,     0,  1441,     0,
    1095,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   868,     0,  2030,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3340,
       0,   868,   868,     0,  1442,  3484,     0,     0,     0,     0,
    1095,     0,     0,     0,     0,  3485,  3486,  3487,     0,  3488,
    3489,  3490,  3491,  3492,  3493,     0,     0,     0,     0,     0,
       0,     0,     0,  1700,   868,     0,     0,  1700,  1443,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5142,     0,
     868,     0,  1700,     0,     0,     0,     0,   868,     0,     0,
    1445,     0,     0,   868,     0,  5159,     0,     0,   180,  5161,
     868,  5163,     0,     0,   868,     0,     0,     0,     0,   868,
       0,     0,     0,     0,     0,  2031,     0,     0,     0,     0,
    2032,     0,  2021,     0,     0,  2022,     0,     0,     0,   868,
       0,    35,     0,     0,   868,  3341,   180,     0,   868,     0,
       0,  1700,  2033,  2034,  1448,     0,     0,     0,     0,     0,
       0,   868,  1449,     0,  2028,     0,     0,  2035,     0,     0,
    2262, -2632,     0,     0,   868,     0,     0,     0,     0,     0,
       0,     0,  1451,     0,   868,     0,     0,     0,     0,     0,
    1452,     0,     0,     0,     0,     0,  2030,     0,     0,     0,
    2036,   595,   595,   595,     0,     0,     0,   595,     0,  3567,
       0,     0,  3342,     0,  2037,     0,     0,  2038,     0,  2013,
       0,     0,     0,     0,     0,  3485,  3486,  3487,     0,  3488,
    3489,  3490,  3491,  3492,  3493,     0,     0,     0,     0,     0,
       0,     0,   595,  1095,     0,     0,  1453,     0,     0,     0,
    3343,     0,  1700,     0,     0,     0,     0,  2021,     0,     0,
    2022,     0,     0,  4073,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   595,     0,     0,  2028,
       0,     0,     0,     0,     0,     0, -2632,     0,     0,     0,
       0,     0,     0,     0,  2039,     0, -2632,     0,     0,     0,
       0, -2632,     0,     0,     0,     0,     0,     0,     0,     0,
    2021,  2030,     0,  2022,     0,  1095,     0,  2023,  2024,  2025,
     868,     0,     0,     0,     0,     0,     0,     0,     0,   595,
       0,     0,     0,     0,  2026,     0,     0,     0, -2632,     0,
    3567,     0,  2028,     0,     0,     0,     0,     0,     0,  2029,
     180,     0,     0,     0,  1004,   737,     0,   737,     0,   737,
    1004,     0,     0,     0,     0,   737,  1164,  1165,     0,     0,
       0,     0,     0,  1004,  2030,   868,     0,     0,  4074,     0,
       0,     0,     0,     0,     0,  2037,     0,     0,     0,     0,
       0,  2040,     0,     0,  2041,  2042,  2043,     0,  2044,  2045,
    2046,  2047,  2048,  2049,   663,     0,     0,     0,     0,     0,
       0,     0,     0,   750,     0,     0,     0,   868,     0,     0,
       0, -2632,     0,     0,   180,     0, -2632,     0,     0,     0,
       0,     0,     0,  1095,     0,   868,     0,     0,     0,  2021,
       0,     0,  2022,   868,     0,     0,     0,   595,     0,     0,
    1095,     0,     0,   595,     0,     0,   595,     0,     0,   595,
       0,     0,     0, -2632,     0,  1095,     0,  -129,     0,     0,
       0,  2028,     0,     0,     0, -2632,   595,     0, -2632,     0,
       0,   595,     0,     0,  2031,     1,     0,     0,     0,  2032,
       0,     0,     0,     0,     0,     2,     0,     3,     4,     0,
       0,     0,     0,  2030,   595,   595,   595,     0,   737,   595,
    2037,  2033,  2034,     5,     0,     0,     0,   595,   595,   595,
     595,     0,     6,     0,     0,  1700,  2035,     0,     0,     0,
     595,  1700,     0,   595,     7,   595,     8,     9,     0,     0,
       0,     0,     0,    10,     0,    11,   595,   595,     0,     0,
     595,     0,     0,     0,     0,     0,    12,     0,    13,  2036,
       0,     0,     0,     0,   595,     0,   595,     0,   595,     0,
    4490,     0, -2632,  2037,     0,    14,  2038,     0,    15,  2044,
    2045,  2046,  2047,  2048,  2049,     0,     0,     0,   595,     0,
       0,     0,    16,     0,    17,     0,     0,     0,    18,   595,
   -2632,     0,     0,     0,    19,     0,     0,   868,     0,     0,
       0,     0,    20, -2632,    21,     0,     0,     0, -2632,     0,
      22,     0,   595,     0,  1081,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    23,   595,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1081,   595,     0,    24,     0, -2632,   180,     0,     0,     0,
       0,     0,     0,  2039,     0,     0,     0,     0,     0,     0,
    1095,   846,     0,  1095,   846,  1095,     0,     0,     0,     0,
    1095,   180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    25,    26,   868,   868, -2632,     0,    27,
       0,   595,  2037,     0,  2044,  2045,  2046,  2047,  2048,  2049,
       0,    28,     0,     0,     0,     0,     0,     0,     0,   859,
     859,     0,   868,    29,     0,   868,     0,     0,     0,  1095,
       0,     0,     0,     0,   859,     0,     0,   859,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1095,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5401,
    2040,     0,     0,  2041,  2042,  2043,    30,  2044,  2045,  2046,
    2047,  2048,  2049,  1095,     0,     0,     0,  4006,     0,     0,
      31,   737,     0,     0,     0,     0,    32,    33,     0,    34,
       0,     0, -2632,     0,    35,     0,     0,   859,     0,    36,
     859,   859,    37,     0,     0,     0,     0,     0,     0,    38,
    1700,  1700,  1700,     0,     0,    39,    40,     0,     0,     0,
       0,     0,     0,    41,     0,     0,     0,    42,     0,     0,
       0,     0,     0,     0,   868,     0,     0,    43,     0,     0,
       0,     0,     0,     0,  1095,     0,  1095,     0,     0,     0,
      44,     0,     0,     0,   868,     0,  3339,     0,   180,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      45,     0,     0,   868,     0,     0,     0,  1437,     0,     0,
      46,     0,  1437,     0,     0,     0,    47,     0,     0, -2632,
       0,    48,     0,     0,     0,     0,  2044,  2045,  2046,  2047,
    2048,  2049,     0,  1712,    49,     0,     0,     0,     0,     0,
       0,  1438,     0,     0,     0,     0,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    50,  1729,     0,
       0,     0,     0,     0,     0,  1095,     0,     0,     0,     0,
       0,    51,     0,  1740,  -129,     0,  1506,     0,     0,     0,
       0,     0,     0,     0,     0,   868,     0,     0,     0,   737,
     595,     0,     0,     0,   737,   737,   595,     0,     0,     0,
    1440,     0,     0,     0,  1095,  1440,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   980,     0,     0,     0,     0,  1095,
       0,     0,     0,     0,     0,  1441,  1700,  1095,     0,     0,
    1441,     0,     0,   868,     0,   868,     0,     0,     0,     0,
    2218,     0,     0,     0,     0,  2219,     0,     0,   868,     0,
     868,     0,     0,     0,     0,     0,  3340,     0,     0,     0,
       0,  1442,     0,     0,     0,     0,  1442,  1045,   663,     0,
       0,     0,  1700,     0,     0,     0,     0,     0,     0,     0,
    2220,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   737,  2221,     0,  1443,  1095,     0,     0,   846,
    1443,     0,   737,     0,     0,     0,   859,     0,  2222,   859,
     859,     0,     0,   868,  1095,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1445,  1095,     0,
       0,  1507,  1445,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1164,  1165,     0,     0,     0,  2223,
       0,     0,     0,     0,     0,     0,     0,  1956,     0,     0,
    2224,     0,  1183,     0,   868,     0,     0,     0,    35,  1508,
       0,     0,  1447,    35,     0,     0,     0,  1447,     0,     0,
    2225,  1448,   868,     0,     0,  2226,  1448,   737,  1202,  1449,
     737,   737,     0,     0,  1449,     0,  1310,  2262,     0,  1319,
    1045,  1321,  1509,     0,   868,     0,     0,   868,     0,  1451,
       0,     0,     0,     0,  1451,     0,     0,  1452,     0,     0,
       0,     0,  1452,     0,     0,     0,     0,   595,     0,     0,
    1095,     0,     0,     0,     0,     0,   595,     0,     0,  3342,
       0,     0,   595,     0,   595,     0,     0,   595,     0,     0,
       0,  1095,   595,   595,   595,   595,     0,  2227,   595,   595,
     595,   595,   595,   595,   595,   595,   595,   595,     0,     0,
       0,   595,   595,  1453,     0,     0,  1095,  3343,  1453,     0,
       0,   595,     0,     0,     0,   595,     0,  1700,     0,   595,
       0,  2228,     0,     0,     0,     0,     0,   595,     0,     0,
     595,     0,   595,     0,     0,     0,     0,     0,     0,     0,
    1095,   595,     0,     0,   595,   595,     0,     0,     0,   595,
     595,     0,     0,     0,   206,  2229,   595,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   595,     0,     0,   595,
    2021,  2420,     0,  2022,     0,     0,     0,  2023,  2024,  2025,
       0,   595,     0,     0,     0,     0,     0,  2230,     0,     0,
       0,     0,     0,  2231,  2026,     0,     0,     0,     0,     0,
    2232,   737,  2028,  2233,     0,   595,     0,     0,     0,  2029,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   595,     0,     0,     0,     0,     0,  1095,     0,     0,
       0,     0,     0,  2234,  2030,     0,     0,     0,     0,   595,
    2235,     0,     0,  2021,     0,     0,  2022,     0,  2236,     0,
    2023,  2024,  2025,  1465,     0,  2237,     0,     0,     0,  1466,
       0,     0,     0,     0,     0,     0,     0,     0,  1465,     0,
     868,     0,  1568,     0,  1466,  2028,     0,     0,     0,     0,
    2238,     0,  2029,     0,     0,     0,     0,  1568,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1468,  2326,     0,     0,     0,     0,  2030,     0,     0,
       0,     0,  2578,     0,     0,     0,  1468,     0,     0,     0,
       0,  1700,  2586,     0,  2587,     0,  1700,  1095,  1700,     0,
    2591,     0,     0,     0,     0,     0,     0,  2597,     0,     0,
       0,     0,     0,     0,  2031,     0,  2508,     0,     0,  2032,
    1700,  1095,     0,  1569,  2525,  1470,     0,     0,     0,     0,
       0,     0,  1471,     0,     0,  1472,  2420,  1045,  1569,  1700,
    1470,  2033,  2034,     0,     0,     0,     0,  1471,     0,     0,
    1472,     0,     0,     0,  1045,   868,  2035,     0,   868,     0,
    1473,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   846,  1473,     0,     0,     0,  1465,
     859,     0,     0,   859,     0,  1466,   859,  2031,  1955,  2036,
       0,     0,  2032,     0,  1474,     0,     0,     0,     0,     0,
       0,     0,     0,  2037,     0,     0,  2038,     0,     0,  1474,
       0,  1045,  2602,     0, -2632, -2632,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   595,     0,  1468,     0,  2035,
       0,     0,     0,     0,     0,     0,     0,  2729,  2730,  2420,
       0,     0,     0,     0,  2744,  2745,     0,     0,     0,     0,
     868,   868,     0,  1475,  1095,  1476,     0,     0,     0,     0,
     868,     0, -2632,     0,     0,  1477,     0,   595,  1475,     0,
    1476,     0,  2783,     0,  1478,     0,  2037,  2319,     0,   868,
    1477,  1470,     0,  2449,     0,     0,  1479,  2017,  1471,  1478,
       0,  1472,     0,  2039,     0,     0,  2019,     0,     0,     0,
    2466,  1479,     0,     0,  1095,   595,   595,     0,     0,     0,
    2061,     0,     0,     0,     0,     0,  1473,     0,     0,     0,
       0,  2488,     0,     0,  1570,     0,   592,  1481,  1482,  1045,
       0,     0,  2078,  2079,     0,     0,     0,  1045,  1045,  3153,
       0,     0,  1481,  1482,     0,     0,     0,     0,     0,     0,
    1474,     0,   868,     0,     0,     0,     0,  1571,     0,     0,
       0,     0,     0,     0,     0,     0,  2039,     0,     0,     0,
       0,     0,  3154,     0,     0,   595,     0,  2566,   592,  2887,
    2887,     0,     0,     0,     0,     0,   595,     0,     0,     0,
    2040,  2574,     0,  2041,  2042,  2043,     0,  2044,  2045,  2046,
    2047,  2048,  2049,  1081,     0,     0,     0,  4057,     0,  1475,
       0,  1476,     0,     0,     0,  2588,   595,     0,     0,     0,
       0,  1477,  1484,     0,     0,     0,   595,   595,     0,  1095,
    1478,     0,     0,   595,   595,     0,     0,  1484,   595,  1095,
     737,     0,  1479,   595,     0,     0,   595,   595,     0,     0,
       0,   595,     0,     0,     0,     0,     0,   595,     0,  2617,
    1081,     0,     0,  2040,     0,     0,  2041,  2042,  2043,   595,
    2044,  2045,  2046,  2047,  2048,  2049,     0,   595,     0,  2021,
    2320,   595,  2022,  1481,  1482,     0,  2023,  2024,  2025,  1465,
       0,     0,     0,     0,     0,  1466,     0,     0,     0,  2913,
       0,     0,     0,  2026,     0,     0,     0,     0,     0,   595,
       0,  2028,     0,  2321,     0,     0,     0,  2929,  2029,     0,
       0,     0,     0,  2933,     0,     0,     0,  2936,     0,     0,
       0,     0,     0,     0,  3031,     0,   595,  1468,     0,     0,
       0,     0,     0,  2030,     0,     0,  1437,     0,     0,     0,
       0,     0,     0,  2960,  1095,     0,     0,  2379,     0,     0,
       0,     0,     0,  2384,     0,     0,     0,     0,     0,     0,
       0,   868,     0,     0,     0,     0,  1700,     0,  1484,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1470,     0,  1095,     0,  2785,     0,     0,  1471,  3015,
       0,  1472,     0,     0,  2021,     0,     0,  2022,     0,   868,
    1523,  2023,  2024,  2025,  1095,     0,   737,  1004,     0,     0,
       0,   868,     0,     0,   737,     0,  1473,   737,  2026,     0,
       0,     0,     0,     0,     0,     0,  2028,   595,     0,  1440,
       0,     0,     0,  2029,     0,     0,     0,     0,   868,     0,
    3065,     0,     0,  2031,     0,     0,     0,     0,  2032,     0,
    1474,     0,     0,     0,     0,     0,     0,     0,  2030,     0,
       0,     0,     0,     0,  1441,     0,  3094,     0,     0,  1095,
    2033,  2034,     0,  3104,     0,     0,     0,     0,     0,  3109,
       0,     0,     0,     0,     0,  2035,  1004,     0,     0,     0,
    3124,     0,     0,     0,   595,  3128,     0,     0,     0,     0,
    1442,     0,     0,     0,     0,     0,     0,     0,   595,  1475,
       0,  1476,     0,     0,     0,  3141,     0,     0,  2036,     0,
    3143,  1477,     0,     0,  3146,     0,     0,     0,     0,     0,
    1478,   868,  2037,     0,  1443,  2038,     0,  3163,   595,     0,
       0,     0,  1479,     0,     0,     0,     0,     0,     0,     0,
    3188,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1004,     0,     0,     0,     0,  1524,  1445,  2519,  2031,     0,
       0,  2524,     0,  2032,     0,     0,     0,     0,     0,  1095,
    1597,  1095,     0,  1481,  1482,     0,  2979,     0,     0,     0,
       0,     0,     0,     0,     0,  2033,  2034,     0,     0,     0,
    2996,     0,     0,  1525,     0,   868,     0,    35,     0,     0,
    2035,  1447,     0,  1598,     0,     0,     0,     0,     0,     0,
    1448,     0,  2039,   595,     0,     0,     0,  1095,  1449,     0,
       0,     0,   595,  3365,  3367,     0,  1526,     0,     0,  3375,
    3029,     0,     0,  2036,     0,     0,     0,     0,  1451,   595,
     595,     0,     0,   595,     0,  1094,  1452,  2037,     0,     0,
    2038,     0,     0,     0,     0,     0,     0,     0,   595,     0,
       0,     0,     0,     0,     0,   595,     0,     0,  1484,     0,
     595,  1094,     0,   595,   595,     0,     0,     0,     0,     0,
     595,   595,     0,     0,     0,     0,     0,     0,     0,     0,
     737,     0,     0,     0,   595,     0,   595,     0,     0,     0,
       0,   868,  1453,   868,     0,     0,     0,   595,     0,  2040,
       0,     0,  2041,  2042,  2043,     0,  2044,  2045,  2046,  2047,
    2048,  2049,     0,     0,     0,     0,  4162,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2039,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1095,   868,     0,
       0,     0,     0,     0,     0,     0,     0,   595,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1465,  2740,     0,     0,     0,     0,  1466,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3412,     0,  1700,     0,     0,     0,     0,
       0,   595,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3426,     0,     0,     0,     0,     0,     0,     0,  3412,
    1468,     0,     0,   592,     0,     0,   592,     0,     0,     0,
       0,     0,     0,  3250,  2040,     0,     0,  2041,  2042,  2043,
       0,  2044,  2045,  2046,  2047,  2048,  2049,     0,     0,     0,
       0,  4456,     0,     0,     0,     0,  4936,     0,     0,  1465,
       0,     0,     0,     0,  2853,  1466,     0,     0,     0,   595,
       0,  1095,  1532,     0,  1470,     0,     0,     0,     0,     0,
       0,  1471,     0,     0,  1472,     0,  3583,     0,   737,     0,
       0,  1533,     0,     0,   595,  1095,   592,   595,     0,   595,
       0,     0,     0,     0,     0,     0,     0,  1468,  1616,  1473,
    3595,  3595,     0,     0,     0,     0,     0,  1465,     0,   595,
       0,     0,     0,  1466,  1094,   595,     0,     0,     0,   595,
       0,     0,     0,     0,     0,  1095,     0,     0,     0,   595,
       0,  1534,     0,  1474,     0,     0,     0,     0,     0,  1094,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1470,     0,     0,  1094,  1468,     0,     0,  1471,     0,
       0,  1472,     0,  1045,     0,     0,     0,     0,     0,     0,
    1700,     0,     0,     0,     0,     0,     0,     0,  1095,     0,
       0,     0,     0,  1095,  1095,     0,  1473,     0,   595,     0,
       0,     0,  1475,     0,  1476,   868,     0,     0,     0,     0,
       0,     0,     0,     0,  1477,     0,     0,   868,  1465,  1470,
       0,     0,     0,  1478,  1466,     0,  1471,  1535,     0,  1472,
    1474,     0,  1465,  3425,     0,  1479,     0,     0,  1466,     0,
       0,     0,     0,     0,  1321,     0,   595,     0,     0,  1094,
    3437,     0,     0,     0,  1473,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3445,  1468,     0,     0,     0,
     595,     0,     0,  2242,     0,  1536,  1481,  1482,  1537,     0,
    1468,     0,     0,     0,     0,     0,     0,     0,  1474,  1538,
       0,  1476,     0,     0,     0,     0,     0,     0,  3646,     0,
       0,  1477,     0,     0,  1095,  1095,  2243,     0,     0,     0,
    1478,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1470,  1539,  1479,  1321,     0,   595,     0,  1471,   595,     0,
    1472,   595,     0,     0,  1470,     0,     0,     0,     0,     0,
    1321,  1471,   595,     0,  1472,     0,   595,  1475,   595,  1476,
     595,     0,     0,     0,   592,  1473,     0,   595,  1094,  1477,
    1540,     0,     0,  1481,  1482,  1541,     0,     0,  1478,  1473,
    2021,  1484,     0,  2022,     0,     0,   595,  2023,  2024,  2025,
    1479,     0,     0,     0,     0,     0,     0,  1542,     0,  1474,
       0,     0,     0,  1543,  2026,     0,     0,     0,     0,     0,
       0,  3191,  2028,  1474,     0,     0,     0,  1544,     0,  2029,
    3726,  1700,     0,   868,     0,     0,     0,     0,  3024,     0,
       0,  1481,  1482,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2030,  3220,     0,     0,  3220,     0,
    3220,     0,     0,     0,  3220,     0,  3220,  3220,  1475,     0,
    1476,  1483,     0,     0,     0,  3220,  3220,  3220,  1484,     0,
    1477,     0,  1475,   595,  1476,     0,     0,     0,     0,  1478,
       0,   595,     0,     0,  1477,     0,     0,     0,     0,     0,
     737,  1479,     0,  1478,     0,     0,     0,     0,   737,     0,
       0,     0,     0,     0,     0,  1479,   595,   595,   595,     0,
       0,     0,     0,     0,     0,   595,  1700,     0,     0,  1095,
       0,     0,  3880,  3300,     0,   595,  1484,     0,     0,  3197,
       0,     0,  1481,  1482,   868,     0,     0,     0,     0,  3650,
       0,  3807,     0,  3672,     0,     0,  1481,  1482,   595,     0,
       0,     0,     0,     0,  2031,  3332,     0,     0,  3661,  2032,
       0,     0,  3198,   868,  1045,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   592,     0,  3673,  2167,   592,     0,
       0,  2033,  2034,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2035,     0,     0,     0,
       0,     0,   595,     0,  3953,     0,     0,   595,     0,     0,
       0,     0,     0,     0,     0,     0,   595,     0,     0,  1045,
       0,     0,   595,   595,   595,     0,     0,  1484,     0,  2036,
       0,     0,     0,     0,   595,     0,     0,     0,     0,     0,
       0,  1484,  2167,  2037,     0,     0,  2038,     0,     0,     0,
       0,     0,     0,     0,  3743,     0,  3745,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   868,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1094,     0,   737,     0,     0,     0,     0,
       0,   595,     0,     0,     0,   601,   595,     0,     0,     0,
       0,   652,   601,     0,     0,     0,     0,   705,     0,   601,
       0,     0,     0,     0,     0,   601,  1094,   756,     0,     0,
       0,     0,     0,   595,   595,     0,     0,     0,     0,     0,
    2420,     0,     0,  2039,     0,   595,   823,   823,     0,     0,
       0,     0,     0,     0,     0,  3795,     0,     0,  3977,  1700,
       0,     0,     0,     0,     0,  2021,     0,     0,  2022,     0,
       0,     0,  2023,  2024,  2025,     0,     0,     0,   595,     0,
       0,     0,     0,  3991,     0,     0,     0,     0,   595,  2026,
       0,     0,     0,     0,  3814,     0,     0,  2028,     0,     0,
       0,  1616,  1616,  1616,  2029,   595,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   595,     0,
    1700,     0,     0,     0,     0,  4662,     0,     0,     0,  2030,
       0,     0,     0,     0,     0,     0,  1700,     0,   595,   595,
    2040,     0,     0,  2041,  2042,  2043,     0,  2044,  2045,  2046,
    2047,  2048,  2049,     0,     0,     0,     0,  4491,     0,     0,
       0,  1045,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   855,     0,  3029,     0,     0,     0,
       0,     0,   897,     0,  1094,   899,     0,     0,   904,   905,
       0,   908,     0,   910,     0,     0,   916,     0,   918,     0,
       0,  1094,     0,     0,     0,     0,     0,     0,  3951,     0,
    2167,     0,     0,     0,     0,     0,     0,     0,     0,  2031,
       0,     0,  1094,     0,  2032,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2033,  2034,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   737,  1045,
       0,  2035,     0,     0,     0,   592,  2021,     0,     0,  2022,
       0,     0,   592,  2023,  2024,  2025,     0,   592,  1094,     0,
     592,  4778,   737,     0,     0,     0,     0,     0,     0,   737,
    2026,     0,  1094,     0,  2036,     0,  4191,     0,  2028,     0,
       0,   592,     0,     0,  1094,  2029,     0,     0,  2037,     0,
    4005,  2038,     0,     0,   592,     0,  1094,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2030,  4014,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3720,  1465,     0,     0,     0,     0,  4037,  1466,     0,     0,
    1094,  1094,     0,     0,   859,     0,  1164,  1165,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2021,     0,     0,  2022,     0,
    1956,     0,  2023,  2024,  2025,     0,     0,     0,  2039,  1468,
       0,     0,     0,     0,     0,  3758,     0,     0,   859,  2026,
       0,  4289,     0,     0,  4292,     0,     0,  2028,     0,     0,
       0,     0,     0,     0,  2029,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2031,     0,     0,     0,     0,  2032,     0,     0,     0,  2030,
       0,     0,     0,  1470,     0,     0,     0,     0,     0,     0,
    1471,     0,     0,  1472,     0,     0,     0,  2033,  2034,     0,
       0,  3797,     0,     0,     0,     0,   592,     0,     0,     0,
       0,     0,  2035,     0,     0,     0,     0,     0,  1473,     0,
       0,     0,     0,     0,     0,  2040,  1094,     0,  2041,  2042,
    2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,     0,     0,
     737,     0,  4739,  3220,     0,  2036,  4370,     0,     0,     0,
       0,     0,  1474,     0,     0,     0,     0,  3827,     0,  2037,
       0,     0,  2038,  3838,  1616,  2420,   592,     0,     0,     0,
       0,  3838,     0,     0,     0,     0,     0,  1045,     0,  1045,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2031,
       0,     0,     0,     0,  2032,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1475,     0,  1476,     0,     0,  2033,  2034,     0,     0,
       0,   989,     0,  1477,     0,  3902,     0,     0,     0,   998,
       0,  2035,  1478,     0,     0,     0,  1011,  1012,  3412,     0,
    1018,     0,  1021,  1022,  1479,     0,     0,  1024,     0,  2039,
       0,     0,     0,     0,     0,     0,  3935,  1045,  1042,     0,
       0,  2918,     0,     0,  2036,  2167,  2924,     0,     0,     0,
       0,     0,     0,  1052,     0,     0,     0,     0,  2037,     0,
       0,  2038,  3728,  5091,     0,  1481,  1482,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1120,     0,
    1122,     0,     0,     0,     0,     0,     0,   592,     0,     0,
    1138,     0,     0,     0,     0,  3729,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1094,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1094,   601,     0,     0,     0,  2040,     0,     0,  2041,
    2042,  2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,     0,
       0,     0,     0,  4750,  4359,   592,     0,     0,  2039,   737,
       0,     0,     0,  1192,   737,     0,     0,     0,   737,     0,
    1484,  1094,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1465,     0,     0,   592,     0,     0,  1466,     0,     0,
       0,     0,     0,  4604,  4605,     0,     0,     0,  4608,  4609,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2021,     0,     0,  2022,   823,     0,     0,
    2023,  2024,  2025,     0,     0,     0,     0,     0,     0,  1468,
    4058,     0,     0,     0,     0,     0,     0,  2026,     0,     0,
       0,     0,     0,     0,     0,  2028,     0,     0,     0,     0,
       0,  1428,  2029,     0,     0,  2040,     0,     0,  2041,  2042,
    2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,     0,     0,
       0,  2021,  4759,     0,  2022,     0,     0,  2030,  2023,  2024,
    2025,     0,     0,  1470,     0,  4601,     0,     0,     0,     0,
    1471,     0,     0,  1472,     0,  2026,     0,  4611,   592,     0,
       0,     0,     0,  2028,     0,     0,     0,     0,     0,     0,
    2029,     0,     0,     0,     0,     0,     0,     0,  1473,     0,
       0,     0,     0,  1600,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1616,  2030,     0,     0,     0,  1956,
       0,     0,     0,     0,  1711,     0,     0,     0,     0,     0,
       0,     0,  1474,     0,     0,     0,  1722,     0,     0,     0,
       0,  1725,     0,     0,     0,   859,     0,     0,     0,     0,
       0,  1728,     0,     0,  1094,     0,  1732,     0,     0,     0,
       0,     0,     0,     0,  1735,     0,     0,  2031,  2021,     0,
    1745,  2022,  2032,  1749,     0,  2023,  2024,  2025,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1475,  2026,  1476,  2033,  2034,     0,     0,     0,  5322,
    2028,     0,     0,  1477,     0,     0,     0,  2029,     0,  2035,
       0,  3838,  1478,   592,  1803,     0,     0,     0,     0,   859,
     859,     0,     0,     0,  1479,  2031,     0,     0,     0,     0,
    2032,     0,  2030,     0,  4569,  4260,  2167,     0,     0,     0,
       0,     0,  2036,  4268,     0,     0,  4269,     0,  4270,     0,
       0,     0,  2033,  2034,     0,     0,  2037,     0,     0,  2038,
       0,     0,     0,     0,     0,  1481,  1482,  2035,     0,     0,
       0,  3412,     0,  4591,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   592,     0,
    4309,     0,     0,   592,  4606,  1483,     0,     0,     0,     0,
    2036,   847,   849,  3220,     0,   853,     0,  3220,  3220,     0,
    3220,     0,     0,     0,  2037,  3827,     0,  2038,     0,     0,
       0,     0,     0,     0,     0,   909,     0,     0,   737,   601,
       0,   601,   919,   601,     0,   601,     0,   601,   601,   601,
       0,     0,  2031,     0,   601,     0,  2039,  2032,     0,     0,
       0,     0,     0,     0,  1094,  1951,     0,     0,     0,  4633,
    1484,     0,     0,     0,     0,     0,     0,     0,     0,  2033,
    2034,  1094,     0,     0,     0,     0,     0,  3412,     0,  3412,
       0,     0,     0,     0,  2035,     0,  1094,     0,     0,     0,
       0,     0,   592,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2039,  5457,     0,     0,     0,     0,
       0,     0,     0,     0,  4409,     0,     0,  2036,     0,     0,
       0,     0,     0,     0,     0,   859,   859,     0,     0,     0,
       0,  2037,     0,     0,  2038,     0,     0,     0,     0,     0,
       0,     0,     0,  2040,     0,     0,  2041,  2042,  2043,     0,
    2044,  2045,  2046,  2047,  2048,  2049,     0,     0,     0,     0,
    4762,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4722,     0,     0,     0,     0,     0,     0,     0,  4445,
    4445,  4445,     0,  4445,  4445,  4445,  4445,  4445,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2040,     0,     0,  2041,  2042,  2043,     0,  2044,  2045,
    2046,  2047,  2048,  2049,     0,     0,     0,  1956,  4809,  2021,
       0,  2039,  2022,     0,     0,     0,  2023,  2024,  2025,     0,
     823,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2026,     0,     0,     0,     0,     0,     0,
       0,  2028,     0,     0,     0,     0,     0,     0,  2029,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2030,   737,   737,     0,     0,     0,     0,
       0,  2167,     0,     0,  2924,     0,  2924,     0,   737,     0,
       0,  2167,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2240,  4530,     0,  4532,     0,     0,     0,  2040,     0,
       0,  2041,  2042,  2043,     0,  2044,  2045,  2046,  2047,  2048,
    2049,     0,     0,     0,     0,  4844,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1094,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1094,
       0,     0,     0,     0,     0,  2021,     0,     0,  2022,     0,
       0,  2331,  2023,  2024,  2025,     0,     0,     0,     0,     0,
       0,     0,     0,  2031,  2167,     0,     0,     0,  2032,  2026,
       0,     0,     0,     0,     0,     0,     0,  2028,     0,     0,
       0,     0,     0,     0,  2029,     0,     0,     0,     0,     0,
    2033,  2034,     0,     0,     0,     0,   992,     0,     0,     0,
     995,     0,     0,     0,     0,  2035,     0,     0,     0,  2030,
       0,     0,     0,     0,  1020,     0,     0,     0,     0,     0,
       0,  1025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1094,     0,  1094,  2036,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2037,     0,  5201,  2038,     0,     0,     0,     0,
       0,  4631,  4632,     0,     0,  1956,     0,     0,     0,     0,
       0,     0,  3220,     0,  3220,  3220,     0,     0,  3220,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2021,
       0,     0,  2022,     0,     0,     0,  2023,  2024,  2025,     0,
       0,     0,     0,     0,     0,  3795,     0,     0,     0,     0,
       0,     0,     0,  2026,     0,     0,     0,     0,     0,  2031,
       0,  2028,     0,     0,  2032,     0,  1094,     0,  2029,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4691,     0,
       0,     0,  2039,     0,     0,     0,  2033,  2034,     0,     0,
       0,  1616,     0,  2030,     0,     0,     0,  1616,  1956,     0,
       0,  2035,     0,  1956,  1956,  1094,     0,     0,     0,     0,
       0,     0,  4717,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2924,     0,     0,     0,  2036,     0,     0,     0,  2924,  2492,
     737,     0,   737,     0,     0,  4445,     0,     0,  2037,     0,
       0,  2038,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2040,
       0,     0,  2041,  2042,  2043,     0,  2044,  2045,  2046,  2047,
    2048,  2049,     0,     0,     0,     0,  4885,     0,     0,     0,
    1497,  1498,     0,  2031,     0,     0,     0,  1094,  2032,     0,
    3412,     0,     0,     0,     0,  5130,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2924,     0,     0,     0,     0,
    2033,  2034,     0,     0,     0,     0,     0,     0,  2039,  1094,
       0,     0,     0,     0,     0,  2035,     0,     0,     0,     0,
       0,  2021,     0,     0,  2022,     0,     0,     0,  2023,  2024,
    2025,     0,     0,     0,     0,     0,  2615,     0,  2616,     0,
       0,     0,     0,     0,     0,  2026,     0,     0,  2036,     0,
       0,     0,     0,  2028,     0,  2627,     0,  2628,     0,     0,
    2029,  3838,  2037,     0,     0,  2038,     0,     0,  1731,     0,
       0,   601,     0,   601,     0,   601,     0,   601,     0,   601,
       0,     0,     0,   601,     0,  2030,     0,     0,     0,     0,
       0,   737,     0,     0,     0,     0,     0,  1756,  1757,     0,
    5424,     0,     0,     0,  3220,  2040,     0,     0,  2041,  2042,
    2043,  1094,  2044,  2045,  2046,  2047,  2048,  2049,     0,     0,
       0,     0,  5193,  1798,     0,     0,     0,     0,     0,     0,
       0,     0,  1094,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2039,     0,     0,  2021,     0,  1094,  2022,     0,
       0,  5424,  2023,  2024,  2025,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2021,     0,  5424,  2022,  2026,
       0,     0,  2023,  2024,  2025,     0,     0,  2028,     0,  5277,
       0,  1094,     0,     0,  2029,  2031,     0,  1867,  1869,  2026,
    2032,     0,     0,     0,     0,     0,     0,  2028,     0,     0,
       0,     0,     0,     0,  2029,     0,     0,     0,     0,  2030,
       0,     0,  2033,  2034,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2035,     0,  2030,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2040,
       0,     0,  2041,  2042,  2043,     0,  2044,  2045,  2046,  2047,
    2048,  2049,     0,     0,     0,     0,  5321,     0,     0,     0,
    2036,     0,     0,     0,     0,     0,     0,     0,  2167,     0,
       0,     0,     0,     0,  2037,     0,     0,  2038,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2914,  2915,
       0,     0,     0,     0,   861,   870,     0,  5045,  5045,     0,
       0,     0,   861,     0,   870,   861,     0,  2930,  2931,  2031,
       0,  1045,  2934,  2935,  2032,  5065,     0,  2938,   870,     0,
       0,     0,     0,     0,     0,  5073,     0,     0,     0,  2031,
       0,  2949,     0,     0,  2032,     0,  2033,  2034,  2958,     0,
       0,     0,  2961,  2962,     0,     0,  2965,  2966,     0,     0,
       0,  2035,     0,  2971,  2039,     0,  2033,  2034,  2924,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2990,     0,
    2992,  2035,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2924,     0,  2036,     0,     0,     0,     0,  3016,
       0,     0,     0,     0,  3018,     0,     0,     0,  2037,     0,
       0,  2038,     0,     0,  2036,     0,     0,  3023,     0,     0,
       0,     0,     0,     0,     0,     0,  3030,     0,  2037,  3034,
       0,  2038,  3037,  3040,  3042,     0,     0,     0,     0,  3050,
    3053,     0,     0,     0,     0,     0,     0,     0,     0,  3066,
       0,     0,     0,     0,  3075,     0,     0,     0,     0,  3079,
       0,  2040,     0,     0,  2041,  2042,  2043,     0,  2044,  2045,
    2046,  2047,  2048,  2049,     0,  3095,     0,     0,  5390,     0,
       0,     0,  3105,  3106,     0,     0,     0,     0,  3110,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2039,  3125,
    3126,     0,     0,     0,  3129,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3136,  1045,  2039,  3139,
       0,  5207,     0,  5208,  3142,  1094,     0,  5213,  5214,  3144,
    3145,     0,     0,     0,  3148,     0,     0,  3152,     0,     0,
       0,  3159,  3160,  3161,  3162,     0,  3164,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2299,     0,  3189,
    3190,     0,  3192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3200,  3201,     0,  2167,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2040,     0,     0,  2041,  2042,
    2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,     0,     0,
       0,     0,  5443,     0,     0,  2040,     0,     0,  2041,  2042,
    2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,     0,     0,
       0,     0,  5456,     0,     0,     0,     0,  3258,     0,     0,
    2021,     0,     0,  2022,     0,     0,     0,  2023,  2024,  2025,
       0,     0,     0,  5045,     0,  5045,     0,     0,  2402,  2403,
    2404,  2405,     0,     0,  2026,  3295,     0,     0,     0,     0,
       0,     0,  2028,     0,     0,  2021,     0,     0,  2022,  2029,
       0,     0,  2023,  2024,  2025,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2026,
    1094,     0,     0,  2870,  2030,     0,     0,  2028,     0,     0,
    1094,     0,     0,     0,  2029,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     870,     0,     0,     0,     0,     0,   870,     0,     0,  2030,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   870,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1045,     0,     0,     0,   870,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     861,   870,     0,     0,     0,     0,     0,   861,  2871,   870,
     861,     0,     0,     0,     0,     0,     0,     0,     0,  2455,
    2456,     0,     0,   870,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   870,  2031,     0,     0,     0,     0,  2032,
       0,     0,  2482,     0,     0,  1094,     0,     0,     0,     0,
       0,     0,  3430,     0,  5045,     0,     0,     0,     0,     0,
       0,  2033,  2034,  5425,     0,     0,     0,     0,     0,  2031,
       0,     0,     0,     0,  2032,     0,  2035,  2527,  2528,  2529,
    2530,     0,     0,  3448,  1094,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2021,  2033,  2034,  2022,     0,
       0,     0,  2023,  2024,  2025,  1094,     0,     0,     0,  2036,
       0,  2035,     0,     0,     0,     0,     0,     0,   870,  2026,
       0,     0,     0,  2037,  5425,     0,  2038,  2028,     0,     0,
       0,     0,     0,     0,  2029,     0,     0,     0,     0,     0,
    5425,     0,     0,     0,  2036,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2037,  2030,
       0,  2038,     0,     0,     0,     0,     0,     0,     0,     0,
    1094,     0,  2021,     0,     0,  2022,     0,     0,     0,  2023,
    2024,  2025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2625,  2026,     0,     0,     0,
       0,  2629,     0,     0,  2028,     0,     0,     0,     0,     0,
       0,  2029,     0,  2039,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2030,     0,     0,     0,
       0,     0,     0,     0,     0,  3498,     0,     0,  2039,     0,
    3499,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1702,     0,     0,     0,     0,     0,     0,     0,  2031,
       0,     0,     0,     0,  2032,     0,     0,     0,     0,   861,
    4721,     0,  1094,     0,     0,   861,     0,     0,   861,     0,
       0,     0,     0,     0,     0,     0,  2033,  2034,     0,     0,
       0,     0,     0,     0,     0,  2872,     0,     0,     0,     0,
    2040,  2035,     0,  2041,  2042,  2043,     0,  2044,  2045,  2046,
    2047,  2048,  2049,     0,     0,  2443,     0,     0,  1094,     0,
    2795,     0,     0,     0,     0,     0,     0,  3647,     0,     0,
       0,  3649,     0,     0,  2036,  2040,  2031,  3651,  2041,  2042,
    2043,  2032,  2044,  2045,  2046,  2047,  2048,  2049,  2037,   869,
       0,  2038,     0,     0,     0,  3662,  3664,     0,   869,     0,
    3664,     0,     0,  2033,  2034,  3675,  3676,  3677,     0,  3679,
       0,     0,   869,     0,     0,     0,     0,  2021,  2035,     0,
    2022,     0,     0,     0,  2023,  2024,  2025,     0,     0,     0,
       0,     0,  3701,     0,     0,     0,     0,     0,     0,     0,
       0,  2026,  3707,  3708,  3709,  3710,     0,     0,     0,  2028,
       0,  2036,     0,     0,     0,     0,  2029,     0,     0,     0,
       0,     0,     0,     0,     0,  2037,     0,   870,  2038,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2039,  3727,
       0,  2030,  3732,  3733,  3734,   870,     0,     0,  2924,     0,
       0,     0,  4049,     0,     0,     0,     0,     0,     0,     0,
    3754,     0,   870,     0,     0,     0,     0,     0,     0,     0,
    2021,     0,     0,  2022,     0,     0,     0,  2023,  2024,  2025,
    3762,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     870,     0,     0,     0,  2026,     0,     0,  3457,     0,     0,
       0,   870,  2028,     0,     0,     0,     0,     0,     0,  2029,
       0,  2977,  2978,     0,     0,  2039,   870,     0,     0,   870,
       0,     0,  2991,     0,  2993,     0,  5350,     0,  2997,     0,
       0,  4050,     0,     0,  2030,  2040,     0,     0,  2041,  2042,
    2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,     0,     0,
       0,  2031,  3804,     0,     0,     0,  2032,     0,     0,     0,
    3808,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2924,     0,     0,     0,     0,     0,  2033,  2034,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3822,     0,  2035,     0,     0,  1094,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2040,     0,     0,  2041,  2042,  2043,  3868,  2044,
    2045,  2046,  2047,  2048,  2049,     0,  2036,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1094,   870,     0,     0,
    2037,     0,     0,  2038,  2031,   870,   870,     0,     0,  2032,
       0,     0,     0,     0,     0,     0,     0,     0,  3135,     0,
       0,  3138,     0,     0,     0,  5351,     0,     0,     0,     0,
    3905,  2033,  2034,     0,     0,  3911,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2035,     0,     0,  1094,
       0,     0,     0,     0,  1094,  1094,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3948,     0,     0,     0,
       0,     0,     0,     0,  1702,     0,     0,     0,     0,  2036,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2039,     0,     0,  2037,     0,     0,  2038,     0,     0,     0,
    3223,     0,     0,     0,     0,  3964,     0,  3965,  3230,     0,
       0,  3233,     0,     0,     0,     0,     0,  3235,     0,     0,
       0,     0,     0,     0,     0,     0,  1465,     0,     0,     0,
       0,  3251,  1466,     0,   869,     0,     0,     0,     0,  1532,
     869,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   869,     0,     0,     0,     0,  1533,     0,
       0,     0,     0,     0,     0,  4721,  1094,     0,     0,   869,
       0,     0,  3297,     0,  1468,     0,     0,     0,     0,     0,
       0,     0,     0,  2039,     0,   869,     0,  2040,     0,     0,
    2041,  2042,  2043,   869,  2044,  2045,  2046,  2047,  2048,  2049,
    3320,     0,     0,     0,     0,     0,     0,   869,  1534,     0,
       0,     0,     0,     0,     0,     0,     0,   869,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1470,     0,
       0,     0,     0,     0,     0,  1471,     0,     0,  1472,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3380,     0,  3382,     0,     0,
       0,     0,     0,  1473,     0,     0,     0,   870,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2040,     0,     0,  2041,  2042,  2043,     0,  2044,  2045,  2046,
    2047,  2048,  2049,     0,  1535,     0,     0,  1474,     0,     0,
       0,     0,   869,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2021,     0,     0,  2022,     0,     0,     0,  2023,
    2024,  2025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2026,     0,     0,     0,
       0,     0,  1536,     0,  2028,  1537,     0,     0,     0,     0,
       0,  2029,     0,     0,     0,     0,  1538,     0,  1476,     0,
    4179,     0,  4180,     0,     0,  3447,     0,     0,  1477,  4182,
    1094,     0,     0,     0,     0,     0,  2030,  1478,     0,     0,
       0,     0,     0,     0,     0,  4192,     0,     0,  1539,  1479,
       0,     0,     0,     0,     0,     0,     0,  2021,     0,     0,
    2022,  4200,     0,     0,  2023,  2024,  2025,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1702,     0,
    4221,  2026,     0,     0,  3503,     0,     0,  3130,     0,  2028,
    1481,  1482,  1541,     0,     0,     0,  2029,     0,  4225,     0,
       0,     0,   870,     0,     0,  1701,     0,     0,  4234,     0,
     870,     0,     0,     0,  1542,     0,     0,     0,     0,     0,
    3131,  2030,   870,     0,     0,     0,     0,  4263,     0,     0,
       0,     0,     0,     0,  1544,     0,     0,     0,     0,     0,
    4271,  4272,  4273,     0,     0,     0,  2031,  4277,  4278,  4279,
    4280,  2032,     0,     0,  4282,  4283,     0,     0,     0,     0,
    4290,  4291,     0,  4293,  4294,  4295,  4296,  4297,  4298,     0,
    4300,     0,     0,  2033,  2034,     0,     0,     0,     0,  4308,
       0,     0,  4311,  4312,     0,  1484,     0,     0,  2035,     0,
       0,     0,     0,     0,   861,   861,     0,   870,   870,     0,
       0,     0,     0,     0,     0,     0,  3664,     0,     0,   861,
       0,   870,   861,     0,     0,     0,     0,     0,     0,     0,
       0,  2036,     0,     0,   870,   870,     0,     0,  4333,     0,
       0,  2031,     0,     0,     0,  2037,  2032,     0,  2038,     0,
     870,     0,     0,     0,     0,     0,     0,     0,   873,     0,
       0,     0,     0,     0,     0,     0,  3471,     0,  2033,  2034,
     907,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   925,   861,  2035,     0,   861,   861,     0,     0,     0,
       0,   869,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3653,     0,  3654,  3655,  3656,     0,     0,   869,
       0,     0,     0,     0,     0,     0,  2036,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   869,     0,     0,     0,
    2037,     0,     0,  2038,     0,  2039,  3664,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   869,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   869,     0,     0,     0,     0,
    4439,     0,  1702,     0,     0,     0,     0,     0,     0,     0,
     869,     0,     0,   869,     0,     0,     0,     0,     0,     0,
       0,  2021,     0,     0,  2022,     0,     0,     0,  2023,  2024,
    2025,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2026,     0,     0,     0,     0,
    2039,     0,     0,  2028,     0,     0,     0,     0,     0,     0,
    2029,     0,  2040,     0,     0,  2041,  2042,  2043,     0,  2044,
    2045,  2046,  2047,  2048,  2049,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2030,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   870,     0,     0,     0,     0,
       0,   869,     0,     0,     0,     0,     0,     0,     0,   869,
     869,     0,     0,   870,     0,     0,     0,  2040,  1702,   870,
    2041,  2042,  2043,   870,  2044,  2045,  2046,  2047,  2048,  2049,
       0,   870,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3815,     0,     0,     0,  3508,     0,     0,   870,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2031,     0,     0,     0,     0,
    2032,   861,     0,     0,   861,   861,  4572,     0,  1701,     0,
    4573,  4574,  4575,  4576,     0,     0,  4578,     0,     0,     0,
       0,     0,  2033,  2034,     0,   870,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2035,     0,     0,
       0,     0,     0,   870,   870,     0,     0,     0,  4597,  4598,
    4599,     0,  4600,     0,  4602,  4603,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4612,  4613,     0,     0,
    2036,     0,     0,     0,     0,  1702,   870,     0,     0,  1702,
       0,     0,     0,     0,  2037,     0,     0,  2038,     0,     0,
       0,     0,   939,  4618,     0,     0,     0,     0,   986,     0,
       0,     0,   870,     0,  1702,     0,     0,     0,     0,   870,
       0,  2021,     0,     0,  2022,   870,  4629,     0,  2023,  2024,
    2025,     0,   870,     0,     0,     0,   870,     0,     0,     0,
       0,   870,     0,     0,     0,  2026,     0,     0,  3514,     0,
       0,     0,     0,  2028,     0,  3968,     0,     0,     0,     0,
    2029,   870,     0,     0,     0,     0,   870,     0,     0,     0,
     870,     0,     0,  1702,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   870,  2039,  2030,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   870,     0,     0,     0,
       0,  4682,     0,     0,     0,     0,   870,     0,     0,     0,
       0,   869,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4710,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4733,     0,     0,     0,     0,
       0,     0,  1191,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1702,     0,     0,     0,     0,     0,
       0,  2040,     0,     0,  2041,  2042,  2043,  1314,  2044,  2045,
    2046,  2047,  2048,  2049,     0,  2031,     0,     0,     0,     0,
    2032,     0,     0,     0,     0,     0,  1337,     0,     0,     0,
       0,     0,     0,     0,     0,   942,     0,     0,     0,     0,
     943,     0,  2033,  2034,     0,     0,     0,     0,  1365,     0,
       0,     0,     0,     0,     0,     0,     0,  2035,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   870,     0,     0,   944,     0,  2021,     0,     0,
    2022,   601,  1701,     0,  2023,  2024,  2025,     0,   945,   946,
    2036,     0,  1496,     0,     0,     0,     0,     0,     0,   947,
       0,  2026,     0,   948,  2037,     0,   869,  2038,     0,  2028,
       0,     0,     0,     0,   869,     0,  2029,     0,     0,     0,
       0,   949,     0,     0,     0,     0,   869,   870,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4185,  4186,  4187,
    4188,  2030,     0,  4833,   950,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   951,     0,     0,     0,     0,
       0,  4843,     0,   952,     0,     0,  4848,  4849,     0,   870,
       0,     0,     0,     0,     0,   953,     0,     0,     0,     0,
     954,     0,     0,     0,     0,     0,     0,   870,     0,     0,
       0,     0,     0,     0,  2039,   870,     0,     0,     0,     0,
       0,   869,   869,     0,     0,   861,   955,     0,   861,     0,
       0,   861,     0,     0,     0,   869,     0,  1754,     0,  4909,
       0,     0,     0,     0,     0,     0,     0,     0,   869,   869,
       0,   956,     0,     0,     0,     0,     0,     0,     0,  4926,
       0,     0,     0,     0,   869,     0,  1792,  1795,  1796,     0,
       0,  2031,   957,     0,     0,     0,  2032,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3664,     0,  1702,  2033,  2034,
       0,     0,  4962,  1702,     0,     0,   958,     0,     0,     0,
       0,  2040,     0,  2035,  2041,  2042,  2043,     0,  2044,  2045,
    2046,  2047,  2048,  2049,     0,     0,     0,     0,     0,   959,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   206,
     960,     0,     0,   961,  4329,     0,  2036,     0,     0,     0,
    4332,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2037,     0,     0,  2038,     0,     0,     0,     0,  5002,   962,
       0,     0,   963,     0,     0,     0,   964,     0,   965,   870,
       0,     0,     0,     0,     0,   966,  1701,     0,   967,     0,
    5019,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5027,     0,     0,     0,     0,     0,   968,     0,     0,
       0,  1314,     0,   969,     0,     0,     0,     0,   970,  2021,
       0,   971,  2022,     0,     0,   972,  2023,  2024,  2025,     0,
       0,     0,     0,   973,     0,   974,     0,  1314,     0,     0,
     975,     0,     0,  2026,     0,     0,  4056,     0,     0,     0,
    2039,  2028,     0,     0,     0,     0,     0,     0,  2029,     0,
       0,     0,     0,     0,  5096,   976,     0,   870,   870,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4002,     0,     0,  2030,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   870,     0,     0,   870,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   869,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3664,   869,     0,     0,
       0,     0,  1701,   869,     0,     0,     0,   869,     0,     0,
       0,     0,     0,     0,     0,   869,     0,  2040,     0,     0,
    2041,  2042,  2043,     0,  2044,  2045,  2046,  2047,  2048,  2049,
       0,     0,     0,   869,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2092,     0,     0,     0,     0,     0,     0,
       0,     0,  1702,  1702,  1702,     0,     0,  5181,     0,     0,
       0,     0,     0,  2031,     0,     0,     0,     0,  2032,     0,
       0,     0,  5194,     0,     0,     0,   870,     0,     0,   869,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2033,  2034,     0,  2145,     0,     0,   870,   869,   869,     0,
       0,     0,     0,  2021,     0,  2035,  2022,     0,     0,     0,
    2023,  2024,  2025,     0,     0,   870,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5224,  2026,     0,  1701,
     869,     0,     0,  1701,     0,  2028,     0,     0,  2036,     0,
       0,  5235,  2029,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2037,     0,     0,  2038,   869,     0,  1701,     0,
       0,     0,     0,   869,     0,     0,     0,  2030,     0,   869,
       0,  2271,     0,     0,     0,     0,   869,     0,     0,     0,
     869,  2295,     0,     0,     0,   869,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   870,     0,     0,
       0,     0,     0,     0,     0,   869,     0,     0,     0,     0,
     869,     0,  2332,     0,   869,     0,     0,  1701,     0,     0,
       0,  5294,     0,     0,     0,     0,     0,   869,     0,     0,
       0,     0,     0,     0,     0,  2355,     0,     0,  2358,     0,
     869,     0,  2039,     0,     0,     0,  1290,  1290,  1702,     0,
     869,     0,     0,     0,     0,   870,  4626,   870,     0,     0,
       0,     0,     0,     0,     0,     0,  5317,     0,     0,     0,
     870,  4630,   870,     0,     0,     0,     0,  2031,     0,     0,
       0,     0,  2032,     0,     0,     0,     0,     0,     0,  2406,
       0,     0,     0,     0,  1702,     0,     0,     0,     0,     0,
       0,     0,     0,  2424,  2033,  2034,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1701,  2035,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   870,     0,     0,     0,  2040,
       0,     0,  2041,  2042,  2043,     0,  2044,  2045,  2046,  2047,
    2048,  2049,  2036,  5383,     0,     0,     0,     0,  4695,     0,
       0,     0,     0,     0,     0,     0,  2037,     0,     0,  2038,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   870,     0,     0,     0,
       0,     0,     0,  1613,  1617,     0,   869,     0,     0,     0,
       0,     0,     0,     0,   870,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2447,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   870,     0,     0,   870,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   869,     0,     0,     0,     0,  2039,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2501,     0,
       0,     0,     0,     0,  1084,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   869,     0,     0,     0,  2544,     0,     0,
    1084,     0,     0,     0,  2557,  1093,     0,     0,     0,  1702,
       0,   869,     0,     0,     0,     0,     0,     0,     0,   869,
       0,     0,     0,     0,     0,     0,  4814,  4815,  4815,     0,
       0,  1093,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2040,     0,     0,  2041,  2042,  2043,     0,
    2044,  2045,  2046,  2047,  2048,  2049,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   612,     0,
       0,     0,     0,   613,     0,     0,     0,     0,     0,     0,
       0,  1701,     0,     0,     0,   614,     0,  1701,     0,     0,
    2632,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   615,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   616,     0,     0,     0,     0,     0,     0,     0,     0,
    1314,  1314,   617,     0,     0,     0,  -863,     0,     0,     0,
       0,     0,   870,     0,     0,     0,     0,  2683,     0,     0,
       0,     0,     0,     0,   618,  1978,     0,     0,     0,     0,
     619,     0,     0,   869,  4946,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   620,     0,     0,
       0,     0,     0,     0,     0,  1992,     0,     0,   621,     0,
       0,     0,     0,  1702,     0,     0,   622,     0,  1702,     0,
    1702,     0,     0,     0,     0,     0,     0,     0,   623,     0,
       0,     0,     0,  2010,  2011,  2012,   624,  2014,     0,     0,
     625,     0,  1702,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1084,     0,     0,     0,  2056,     0, -1092,
       0,  1702,     0,     0,  2844,     0,     0,     0,     0,     0,
       0,   869,   869,     0,  2850,     0,     0,   870,  1084,     0,
     870,     0,     0,     0,  1093,     0,     0,     0,     0,     0,
       0,     0,     0,  1084,     0,     0,   626,     0,   869,     0,
       0,   869,     0,  1365,     0,  -583,     0,     0,     0,  1093,
       0,  1365,     0,  1365,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1093,     0,  5052,     0,  5054,  2112,
       0,     0,     0,  2124,  2129,     0,     0,     0,     0,   627,
       0,     0,   628,     0,     0,     0,  1314,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   629,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   870,   870,     0,     0,   630,     0,  1084,     0,
       0,     0,   870,  -457,     0,     0,  1701,  1701,  1701,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   870,   631,     0,     0,     0,     0,     0,     0,  1093,
     869,   632,     0,     0,     0,     0,     0,     0,  -457,     0,
       0,   633,     0,     0,     0,     0,     0,     0,     0,     0,
     869,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     634,     0,     0,     0,     0,     0,   635,     0,     0,   869,
       0,  -457,     0,     0,   636,   637,     0,   638,   639,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   640,     0,
       0,     0,     0,   641,   870,     0,     0,     0,     0,   642,
    4815,     0,   643,     0,     0,   644,     0,  1084,  3033,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  -457,     0,
       0,     0,     0,     0,  3056,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1093,     0,
       0,     0,     0,     0,     0,  3083,     0,     0,     0,     0,
       0,   869,     0,     0,   664,     0,     0,     0,     0,   665,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   666,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1613,  1613,  1613,  5231,
       0,     0,     0,     0,   667,     0,     0,     0,     0,     0,
       0,     0,  1701,     0,     0,     0,     0,   668,     0,   869,
       0,   869,     0,     0,     0,     0,     0,     0,     0,  3157,
    3158,     0,   669,     0,   869,     0,   869,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     670,     0,     0,     0,     0,     0,     0,     0,  1701,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   671,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   672,     0,     0,     0,     0,  2077,
       0,     0,   673,     0,     0,     0,     0,     0,     0,   869,
       0,     0,  5302,     0,   674,     0,     0,     0,     0,   675,
       0,     0,     0,     0,     0,     0,   676,     0,     0,     0,
       0,     0,     0,   870,     0,     0,  1084,     0,  1702,     0,
       0,     0,     0,     0,     0,   677,     0,  3284,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     869,     0,     0,     0,     0,     0,     0,  1093,     0,     0,
       0,   870,     0,     0,     0,     0,     0,     0,   869,     0,
       0,     0,     0,   870,     0,     0,     0,     0,     0,     0,
       0,   678,     0,     0,     0,     0,     0,     0,     0,     0,
     869,  1084,     0,   869,     0,     0,  5376,     0,     0,     0,
     870,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   679,     0,     0,     0,     0,
       0,     0,  1093,     0,     0,     0,     0,     0,   680,  4815,
    4815,     0,  1084,     0,     0,     0,     0,     0,   681,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   206,   682,
       0,     0,   683,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1093,     0,  1084,     0,     0,     0,     0,
       0,     0,     0,  1701,     0,     0,     0,     0,   684,     0,
       0,   685,     0,     0,     0,   686,     0,   687,     0,     0,
       0,     0,     0,   870,   688,     0,  1093,   689,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   690,     0,     0,     0,
       0,  3429,   691,     0,     0,     0,     0,   692,     0,  4815,
     693,     0,     0,     0,   694,     0,     0,     0,     0,     0,
       0,     0,   695,     0,   696,     0,     0,     0,     0,   697,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   698,     0,     0,     0,     0,     0,   870,     0,  2726,
       0,     0,     0,     0,   699,     0,     0,     0,     0,     0,
       0,     0,  2746,     0,  2748,     0,     0,  2760,  2763,  2768,
       0,     0,     0,     0,  2774,     0,     0,  2779,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2786,  2787,  2788,  2789,     0,   190,     0,     0,
    2796,     0,     0,     0,  2808,     0,   869,  2810,     0,     0,
    2817,  2818,  2819,  2820,  2821,  2822,  2823,  2824,  2825,     0,
    2826,     0,     0,  1084,     0,     0,     0,  1290,     0,  1613,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1084,     0,     0,     0,     0,   191,     0,     0,     0,  1084,
       0,     0,     0,   870,  1093,   870,  3559,  1701,     0,     0,
     192,  1084,  1701,     0,  1701,     0,     0,     0,     0,  2863,
       0,  1093,     0,     0,     0,     0,     0,     0,   193,  1365,
    1093,     0,  1086,     0,   194,     0,  1701,     0,     0,     0,
       0,     0,  1093,     0,  2011,  2012,     0,     0,     0,     0,
     870,   195,     0,     0,     0,  1701,     0,     0,  1086,   861,
       0,     0,   196,     0,     0,     0,     0,  1084,     0,     0,
     197,   869,     0,     0,   869,     0,     0,     0,     0,     0,
       0,  1084,   198,     0,     0,     0,     0,   199,     0,     0,
       0,     0,     0,  1084,   200,     0,     0,  1702,  1093,     0,
       0,     0,     0,   861,     0,  1084,     0,     0,     0,     0,
       0,     0,  1093,   201,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1093,     0,  2963,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1093,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1084,
    1084,     0,     0,     0,     0,     0,     0,     0,     0,   203,
       0,  1087,     0,     0,     0,     0,   869,   869,     0,     0,
       0,     0,     0,     0,     0,     0,   869,     0,     0,     0,
    1093,  1093,     0,     0,     0,     0,     0,  1087,     0,     0,
       0,     0,     0,   204,     0,   869,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   205,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   206,   207,     0,     0,
     208,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   209,     0,     0,   210,
       0,     0,     0,   211,     0,   212,  3749,     0,   869,     0,
       0,     0,   213,     0,     0,   214,     0,     0,     0,     0,
       0,     0,  1702,     0,     0,  1084,     0,     0,     0,     0,
       0,     0,     0,     0,   215,     0,     0,     0,     0,     0,
     216,     0,     0,     0,   217,   218,     0,   870,   219,     0,
       0,  1086,   220,     0,     0,     0,  1093,     0,     0,   870,
       0,     0,   221,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,  1086,     0,     0,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1086,   224,     0,     0,     0,     0,  3211,  3212,  1613,
       0,     0,     0,  3216,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3249,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1084,     0,     0,     0,  1084,  1084,     0,     0,     0,     0,
       0,     0,     0,  3871,  3872,  3873,  1086,     0,     0,     0,
    1087,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3882,  1093,     0,     0,     0,  1093,  1093,     0,     0,     0,
       0,     0,     0,     0,     0,  1087,     0,     0,     0,     0,
       0,     0,     0,  3898,     0,     0,     0,     0,     0,     0,
    1087,     0,     0,  3908,  3910,     0,  1084,   869,  3915,     0,
       0,     0,  1701,     0,     0,     0,     0,     0,     0,     0,
    1084,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1702,     0,   870,     0,  1093,     0,     0,
       0,     0,     0,     0,     0,   869,     0,     0,     0,     0,
       0,  1093,     0,     0,     0,     0,     0,   869,     0,     0,
    1084,     0,     0,     0,     0,  1086,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   869,  1087,     0,     0,     0,     0,
       0,  1093,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1314,
       0,     0,     0,     0,     0,     0,     0,     0,  1702,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   870,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     861,     0,  3453,     0,     0,     0,     0,  3459,     0,     0,
       0,     0,     0,     0,     0,   870,     0,   869,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2014,     0,  1087,     0,     0,     0,     0,     0,
       0,     0,     0,  2768,     0,  2768,  2768,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3517,     0,     0,  3520,
       0,  3522,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   861,   861,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4089,  4090,  4091,
    3540,   869,  3543,     0,  3545,     0,     0,     0,     0,     0,
       0,     0,     0,  1084,     0,     0,  1089,     0,     0,     0,
       0,     0,     0,     0,  1086,     0,     0,     0,     0,   870,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1089,     0,  1093,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2112,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2129,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1086,
       0,     0,     0,     0,     0,  1084,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   869,     0,   869,
       0,  1702,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1093,     0,     0,     0,
    1086,     0,     0,     0,     0,     0,     0,  3633,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1087,   869,     0,     0,     0,     0,     0,
       0,     0,     0,  1086,     0,     0,     0,     0,     0,     0,
       0,     0,  1702,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1702,     0,
     861,   861,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1701,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1084,     0,     0,     0,     0,  1087,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1084,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1093,  1084,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1087,
       0,  1093,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1093,     0,     0,     0,
       0,     0,     0,     0,     0,  4330,     0,     0,     0,     0,
       0,     0,  1087,     0,     0,  1089,  4343,     0,     0,     0,
       0,     0,     0,  1090,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1089,     0,     0,     0,     0,     0,     0,  4372,     0,  1090,
       0,     0,     0,     0,     0,  1089,     0,     0,     0,     0,
       0,  1086,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1086,     0,
       0,  2557,     0,     0,     0,     0,     0,  1086,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1086,
       0,     0,     0,     0,     0,     0,  1701,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1613,     0,     0,     0,
       0,     0,  1613,     0,     0,     0,  2632,     0,     0,     0,
       0,   869,     0,     0,     0,     0,     0,     0,     0,     0,
    1089,     0,     0,   869,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1086,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1086,
    1084,     0,     0,  1084,     0,  1084,     0,     0,     0,     0,
    1084,  1086,     0,     0,     0,     0,     0,     0,     0,     0,
    1087,     0,     0,  1086,     0,     0,     0,     0,     0,     0,
       0,  1093,     0,     0,  1093,     0,  1093,  1087,     0,     0,
       0,  1093,     0,     0,     0,     0,  1087,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1087,  1084,
       0,     0,     0,     0,     0,     0,     0,  1086,  1086,     0,
       0,     0,  4498,  4499,  4500,  4501,     0,     0,  1084,  1089,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1093,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1084,     0,     0,     0,     0,     0,  1093,
       0,     0,     0,     0,  1087,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1087,     0,
       0,     0,  1090,     0,  1093,     0,     0,     0,     0,     0,
    1087,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1087,     0,     0,     0,     0,  1090,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1701,     0,   869,
       0,     0,  1090,     0,  1084,     0,  1084,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4003,     0,     0,  1087,  1087,     0,     0,
       0,     0,  4007,  1086,     0,  1093,     0,  1093,  4008,     0,
    4009,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4033,  4034,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2774,     0,  1090,     0,     0,
       0,     0,  1701,  4059,     0,  1084,  4062,     0,  4064,     0,
       0,     0,     0,     0,     0,     0,     0,  4068,     0,     0,
     869,     0,     0,     0,     0,  4075,  4076,     0,  1089,     0,
       0,     0,     0,     0,     0,     0,  1093,     0,     0,     0,
       0,     0,     0,     0,  1084,     0,     0,     0,     0,   869,
       0,     0,     0,     0,     0,     0,     0,  4122,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1084,
       0,     0,  1087,     0,     0,  1093,     0,  1084,  1086,     0,
       0,  4135,  1086,  1086,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1089,     0,     0,     0,  4148,     0,     0,
    1093,     0,     0,     0,     0,     0,  1090,     0,  1093,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1089,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1086,     0,  1084,  4724,     0,     0,
       0,     0,     0,   869,     0,     0,     0,     0,  1086,     0,
       0,     0,     0,     0,  1084,     0,     0,  1089,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1093,  1084,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1093,     0,     0,  1086,     0,
       0,     0,     0,     0,     0,     0,     0,  1087,     0,  1093,
       0,  1087,  1087,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1701,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1087,     0,     0,     0,     0,     0,     0,
    1084,     0,     0,     0,     0,     0,     0,  1087,     0,     0,
       0,     0,     0,     0,     0,     0,  1701,     0,     0,     0,
       0,  1084,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1093,  1701,     0,     0,  1090,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1084,  1087,     0,     0,
       0,     0,  1093,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1089,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1093,     0,     0,
    1084,     0,  1089,     0,     0,     0,     0,     0,     0,     0,
       0,  1089,     0,     0,     0,     0,     0,     0,  4883,     0,
    1090,     0,     0,  1089,     0,     0,     0,     0,     0,     0,
       0,  1093,     0,  4895,     0,     0,     0,     0,  1314,     0,
       0,  1086,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4413,  4414,     0,     0,     0,     0,     0,     0,     0,
       0,  1090,     0,  4930,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1089,
       0,     0,     0,     0,     0,     0,     0,  1084,     0,     0,
       0,     0,     0,  1089,  1090,     0,     0,     0,     0,     0,
       0,     0,  1092,     0,     0,  1089,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1089,  1093,     0,
       0,  4454,     0,  1086,     0,     0,     0,     0,  1092,     0,
       0,     0,  4459,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1089,  1089,     0,     0,     0,     0,     0,     0,     0,
    1087,     0,  4474,  4476,     0,     0,     0,     0,     0,  4480,
    4481,     0,     0,     0,  4482,  5015,     0,  1084,     0,  4485,
       0,     0,  4488,  4489,     0,     0,     0,  4493,     0,     0,
       0,     0,     0,  4497,     0,     0,     0,     0,     0,     0,
       0,  1084,     0,     0,     0,     0,     0,     0,  1093,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1086,  1093,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1087,     0,     0,  1290,     0,     0,  1086,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1090,  1086,     0,     0,     0,     0,     0,     0,
       0,  5103,  4552,     0,     0,     0,     0,     0,     0,  1090,
       0,     0,     0,     0,     0,     0,     0,  1089,  1090,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1090,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1084,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1090,     0,     0,     0,
    1087,     0,     0,     0,     0,  1093,     0,     0,     0,     0,
    1090,  1092,     0,  4615,     0,     0,     0,  1087,     0,     0,
       0,     0,  1090,     0,  1084,     0,     0,     0,     0,     0,
       0,     0,  1087,     0,  1090,     0,  1092,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,     0,     0,     0,  1093,     0,     0,     0,     0,
       0,     0,  1089,     0,     0,     0,  1089,  1089,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1090,  1090,
    4653,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1086,     0,
       0,  1086,     0,  1086,     0,     0,     0,     0,  1086,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1089,     0,
       0,     0,     0,     0,     0,     0,  1092,     0,     0,     0,
       0,     0,  1089,     0,     0,     0,     0,     0,     0,  1084,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1084,
       0,     0,     0,     0,     0,     0,     0,  1086,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1093,     0,  1089,     0,     0,     0,  1086,     0,     0,     0,
    1093,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1086,     0,     0,  1090,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4756,  4757,  1087,     0,  4758,
    1087,     0,  1087,     0,     0,  1092,     0,  1087,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1084,     0,  4793,  4794,     0,     0,
       0,     0,  1086,     0,  1086,     0,     0,     0,     0,     0,
       0,     0,  4805,     0,     0,     0,  1087,     0,     0,     0,
       0,     0,     0,     0,     0,  1093,     0,     0,     0,     0,
       0,     0,     0,  1084,     0,  1087,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1084,     0,     0,     0,     0,     0,
    1087,     0,     0,     0,  1093,     0,     0,     0,     0,  1090,
       0,     0,     0,  1090,  1090,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1093,     0,     0,     0,     0,
       0,     0,     0,  1086,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1089,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1084,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1087,  1086,  1087,     0,  1090,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1090,
    1093,     0,     0,     0,     0,     0,     0,  1086,     0,     0,
       0,     0,     0,     0,     0,  1086,     0,     0,     0,     0,
       0,     0,     0,     0,  1092,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1089,     0,  1090,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2774,     0,     0,     0,     0,     0,     0,
       0,     0,  1087,     0,     0,     0,     0,     0,     0,     0,
       0,  1084,     0,     0,  1086,     0,     0,     0,     0,  1092,
       0,  4985,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1086,     0,     0,  2014,     0,     0,     0,     0,
       0,  1087,  1093,     0,     0,     0,  1086,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1084,     0,     0,
    1092,     0,     0,     0,     0,     0,  1087,     0,     0,     0,
       0,     0,     0,     0,  1087,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1089,     0,     0,  1093,     0,
       0,     0,     0,  1092,  5034,     0,     0,     0,     0,     0,
       0,     0,  1089,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1089,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1087,     0,     0,     0,     0,  1086,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1087,     0,     0,     0,     0,     0,     0,     0,  1086,
       0,     0,  1090,     0,     0,  1087,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1084,     0,     0,
       0,     0,     0,     0,  1086,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1093,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1086,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4793,     0,     0,     0,
       0,     0,     0,     0,  1090,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,  5183,     0,     0,     0,     0,  1087,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1092,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,  1087,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
       0,  1084,     0,     0,     0,  1086,     0,     0,     0,     0,
       0,     0,  1089,  1087,     0,  1089,     0,  1089,     0,     0,
       0,     0,  1089,     0,     0,  1084,     0,     0,     0,     0,
       0,     0,  1093,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1087,     0,  5238,
       0,     0,     0,     0,     0,  1092,  1093,     0,     0,     0,
       0,     0,  1090,     0,     0,  1084,     0,     0,     0,  1092,
       0,  1089,     0,     0,     0,     0,     0,     0,     0,  1090,
       0,  1092,  5264,  5264,  5264,     0,     0,     0,     0,     0,
    1089,     0,     0,  1092,  1090,     0,  1093,     0,     0,     0,
       0,  4793,     0,     0,     0,  1086,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1089,     0,     0,  1084,     0,
       0,     0,     0,  1084,  1084,     0,     0,     0,     0,  1086,
       0,     0,     0,     0,  1087,     0,     0,  1092,  1092,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1093,
       0,     0,     0,     0,  1093,  1093,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5326,     0,     0,  1089,     0,  1089,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5264,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1087,  1084,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1087,     0,
       0,     0,  1086,     0,     0,     0,  1093,     0,     0,     0,
       0,     0,     0,  1092,     0,     0,     0,  1089,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1090,
       0,     0,  1090,     0,  1090,     0,     0,     0,     0,  1090,
       0,  5416,  1086,     0,     0,     0,  1089,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1089,     0,     0,  5264,     0,     0,     0,     0,  1089,
       0,     0,     0,     0,  5442,     0,     0,     0,  1090,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2051,     0,     0,     0,     0,     0,     0,  1090,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1087,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1090,     0,     0,     0,     0,     0,  1092,     0,
       0,     0,  1092,  1092,     0,     0,     0,     0,  1089,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2051,     0,     0,     0,     0,     0,  1089,  1086,     0,  1084,
       0,  1087,     0,     0,     0,     0,     0,  1086,     0,     0,
    1089,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1093,     0,     0,  1090,  1092,  1090,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1092,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1092,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1089,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1086,     0,  1090,     0,  1087,     0,     0,     0,
       0,     0,     0,  1089,     0,     0,  1087,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1089,     0,
       0,  1086,     0,  1090,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1086,     0,     0,     0,     0,     0,  1090,     0,
       0,     0,  1089,     0,     0,     0,  1090,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1086,     0,     0,
       0,  1087,     0,  2051,     0,     0,     0,  2051,     0,     0,
       0,     0,     0,     0,     0,  1090,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1089,
       0,     0,     0,  1090,     0,     0,     0,     0,     0,     0,
    1087,  1092,     0,     0,     0,     0,     0,  1090,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1087,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1086,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,     0,     0,  1087,     0,     0,  1089,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1090,
       0,     0,     0,  1089,     0,  1086,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1090,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1090,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1090,
       0,     0,     0,     0,     0,     0,     0,     0,  1087,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1092,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1087,  1086,  1089,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1090,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1089,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2051,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2051,     0,     0,     0,  2756,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2051,  2051,  2051,     0,  2051,     0,     0,     0,     0,  1086,
       0,     0,     0,     0,  1087,     0,  1090,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1086,     0,     0,     0,     0,     0,     0,
    1090,     0,     0,     0,     0,     0,  2051,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1089,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1089,     0,  1086,     0,     0,     0,     0,  1092,     0,
       0,  1092,     0,  1092,     0,     0,     0,     0,  1092,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2051,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2051,     0,     0,     0,     0,  2051,
       0,     0,     0,     0,     0,     0,  1086,     0,     0,     0,
       0,  1086,  1086,     0,     0,     0,     0,  1092,  1087,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1092,     0,     0,     0,
       0,     0,  1087,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1090,     0,     0,     0,     0,     0,     0,
       0,  1092,     0,     0,     0,     0,  1089,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1087,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1090,     0,  1089,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1086,     0,     0,  1089,     0,     0,     0,
       0,     0,  1092,     0,  1092,  1087,     0,     0,     0,     0,
    1087,  1087,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1089,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,     0,     0,     0,     0,  1090,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1090,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1087,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,     0,     0,
       0,     0,     0,     0,     0,  1092,     0,     0,     0,     0,
       0,     0,     0,  1089,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1086,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1089,
       0,     0,     0,  1090,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1092,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1090,     0,     0,     0,  1092,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1090,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1087,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1090,  1089,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1092,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1092,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1092,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1090,     0,     0,     0,     0,     0,  2051,     0,     0,     0,
       0,     0,     0,  1089,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2051,     0,  2051,     0,
       0,  2756,  2756,     0,  3494,     0,  2756,  1089,     0,     0,
    2051,     0,     0,  2051,     0,     0,  1090,     0,  2051,     0,
       0,     0,     0,     0,  2051,     0,     0,     0,     0,  2051,
       0,     0,     0,     0,     0,     0,  2051,  2051,  2051,  2051,
       0,     0,     0,  2756,  2756,  1092,  2051,  1089,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2051,     0,
    2051,     0,     0,     0,     0,     0,     0,  2051,  2051,  2051,
    2051,  2051,  2051,  2051,  2051,  2051,  2051,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1089,     0,     0,     0,     0,  1089,  1089,     0,     0,     0,
       0,     0,     0,  2051,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1092,  1090,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,     0,     0,     0,  1089,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1090,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1090,     0,     0,     0,     0,     0,
       0,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1090,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1090,     0,     0,
       0,     0,  1090,  1090,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1089,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2051,  2051,     0,     0,     0,  2051,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2051,
       0,     0,     0,     0,  1090,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,     0,     0,     0,     0,  1090,  2051,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3494,  3494,  1092,     0,  2756,
    2756,  2756,  2756,     0,     0,  2756,  2756,  2756,  2756,  2756,
    2756,  2756,  2756,  2756,  2756,  3494,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2051,     0,     0,
    2051,     0,  2051,     0,     0,  3494,  3494,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2051,  2756,  2756,  2051,     0,  2051,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,     0,  1092,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1092,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2756,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,     0,     0,  1092,  2051,  2051,  2051,
       0,  1092,  1092,     0,     0,  3494,  3494,  3494,  3494,     0,
       0,     0,     0,  3494,  3494,  3494,  3494,  3494,  3494,  3494,
    3494,  3494,  3494,  2051,  2051,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2051,
       0,     0,  2051,     0,  2051,     0,     0,     0,  2051,     0,
       0,  3494,  3494,     0,     0,  2051,  2051,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2051,  1092,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2051,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2051,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,     0,     0,
       0,     0,     0,     0,  3494,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,  2051,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2051,     0,     0,     0,     0,  2051,
    2756,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2051,     0,  2051,     0,     0,     0,
    2051,  2051,  2051,     0,     0,  2051,     0,     0,  2051,  2051,
       0,     0,     0,  2051,     0,     0,     0,  2051,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2051,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2051,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3494,  2756,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2051,  2051,  2051,     0,
       0,     0,     0,     0,     0,     0,  2756,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,  2051,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2051,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3494,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2756,     0,
       0,  3494,     0,     0,     0,  2051,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2051,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3494,     0,  2756,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2051,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2051,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2051,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2051,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2756,  2756,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3494,  3494,     0,     0,     0,  2051,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   227,  1207,
     659,  1208,  1209,  1210,   720,  1211,     0,     0,     0,     0,
       0,     0,  2051,   228,   229,   230,   231,   232,   233,   234,
     235,  1607,   236,   237,   238,     0,     0,     0,     0,  1212,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,  1213,   250,  1214,  1215,     0,   253,   254,
     255,   256,   257,   258,  1216,  1217,   259,   260,  1218,  1219,
     263,     0,   264,   265,   266,   267,  1220,     0,  1221,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,
     292,   293,   294,   295,  1229,  1230,   298,  1231,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,  1608,     0,   310,   311,  1065,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,  1232,   326,   327,   328,  1233,  1234,   330,     0,   331,
     332,  1235,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,  1236,     0,  1237,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,  1238,  1239,
       0,  1240,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,  1241,   387,   388,   389,
       0,   390,   391,   392,  1242,  1243,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1244,   410,  1245,   412,   413,   414,   415,  1246,
     416,   417,   418,   419,  1247,  1248,   421,  1249,   423,   424,
     425,     0,   426,   427,     0,     0,  1250,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,  1251,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
    1252,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1253,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,  1254,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
    1255,   505,   506,   507,   508,   509,   510,   511,   512,  1256,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,  1257,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,  1258,  1259,
       0,     0,   540,   541,  1260,   543,  1261,  1262,   545,   546,
     547,   548,   549,   550,   551,     0,  1263,   552,   553,   554,
     555,   556,  1264,     0,   557,   558,   559,   560,   561,   562,
    1265,  1609,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
    1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,   587,
     588,   589,   590,  1274,     0,     0,     0,     0,     0,     0,
    1275,  1276,  1610,     0,     0,     0,     0,     0,     0,  1278,
    1611,   227,  1207,   659,  1208,  1209,  1210,   720,  1211,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,  1212,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,  1213,   250,  1214,  1215,
       0,   253,   254,   255,   256,   257,   258,  1216,  1217,   259,
     260,  1218,  1219,   263,     0,   264,   265,   266,   267,  1220,
       0,  1221,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,  1227,
    1228,   290,   291,   292,   293,   294,   295,  1229,  1230,   298,
    1231,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,  1065,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,  1232,   326,   327,   328,  1233,  1234,
     330,     0,   331,   332,  1235,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,  1236,
       0,  1237,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,  1238,  1239,     0,  1240,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,  1241,
     387,   388,   389,     0,   390,   391,   392,  1242,  1243,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,  1244,   410,  1245,   412,   413,
     414,   415,  1246,   416,   417,   418,   419,  1247,  1248,   421,
    1249,   423,   424,   425,     0,   426,   427,     0,     0,  1250,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
    1251,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,  1252,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1253,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1254,   491,   492,
     493,   494,   495,   496,   497,   498,   499,    40,   500,   501,
     502,   503,   504,  1255,   505,   506,   507,   508,   509,   510,
     511,   512,  1256,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,  1257,     0,   528,
     529,    44,   530,   531,   532,   533,   534,   535,   536,     0,
     537,  1258,  1259,     0,     0,   540,   541,  1260,   543,  1261,
    1262,   545,   546,   547,   548,   549,   550,   551,     0,  1263,
     552,   553,   554,   555,   556,  1264,     0,   557,   558,   559,
     560,   561,  1143,  1265,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,    49,   571,   572,   573,   574,
     575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,
    1272,  1273,   587,   588,   589,   590,  1274,     0,    50,     0,
       0,     0,     0,  1275,  1276,     0,     0,     0,     0,     0,
       0,     0,  1278,  4996,   227,  1207,   659,  1208,  1209,  1210,
     720,  1211,     0,     0,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,  1212,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,   248,  1213,
     250,  1214,  1215,     0,   253,   254,   255,   256,   257,   258,
    1216,  1217,   259,   260,  1218,  1219,   263,     0,   264,   265,
     266,   267,  1220,     0,  1221,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,  1222,  1223,  1224,
    1225,  1226,  1227,  1228,   290,   291,   292,   293,   294,   295,
    1229,  1230,   298,  1231,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,  1065,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,  1232,   326,   327,
     328,  1233,  1234,   330,     0,   331,   332,  1235,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,  1236,     0,  1237,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,   367,
     368,   369,   370,   371,  1238,  1239,     0,  1240,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,  1241,   387,   388,   389,     0,   390,   391,   392,
    1242,  1243,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1244,   410,
    1245,   412,   413,   414,   415,  1246,   416,   417,   418,   419,
    1247,  1248,   421,  1249,   423,   424,   425,     0,   426,   427,
       0,     0,  1250,   429,   430,     0,     0,   431,   432,   433,
     434,   435,   436,  1251,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,  1252,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,  1253,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
    1254,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,  1255,   505,   506,   507,
     508,   509,   510,   511,   512,  1256,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
    1257,     0,   528,   529,     0,   530,   531,   532,   533,   534,
     535,   536,     0,   537,  1258,  1259,     0,     0,   540,   541,
    1260,   543,  1261,  1262,   545,   546,   547,   548,   549,   550,
     551,     0,  1263,   552,   553,   554,   555,   556,  1264,     0,
     557,   558,   559,   560,   561,   562,  1265,     0,   564,   565,
     566,   567,   568,   569,     0,     0,   570,     0,     0,   571,
     572,   573,   574,   575,   576,   577,  1266,  1267,  1268,  1269,
     582,  1270,  1271,  1272,  1273,   587,   588,   589,   590,  1274,
       0,     0,     0,     0,     0,     0,  1275,  1276,     0,     0,
       0,     0,     0,     0,     0,  1278,  2758,   227,  1207,   659,
    1208,  1209,  1210,   720,  1211,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,  1212,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,  1213,   250,  1214,  1215,     0,   253,   254,   255,
     256,   257,   258,  1216,  1217,   259,   260,  1218,  1219,   263,
       0,   264,   265,   266,   267,  1220,     0,  1221,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
    1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,
     293,   294,   295,  1229,  1230,   298,  1231,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1065,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
    1232,   326,   327,   328,  1233,  1234,   330,     0,   331,   332,
    1235,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1236,     0,  1237,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1238,  1239,     0,
    1240,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1241,   387,   388,   389,     0,
     390,   391,   392,  1242,  1243,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1244,   410,  1245,   412,   413,   414,   415,  1246,   416,
     417,   418,   419,  1247,  1248,   421,  1249,   423,   424,   425,
       0,   426,   427,     0,     0,  1250,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1251,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,  1252,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1253,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,  1254,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,  1255,
     505,   506,   507,   508,   509,   510,   511,   512,  1256,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,  1257,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,  1258,  1259,     0,
       0,   540,   541,  1260,   543,  1261,  1262,   545,   546,   547,
     548,   549,   550,   551,     0,  1263,   552,   553,   554,   555,
     556,  1264,     0,   557,   558,   559,   560,   561,   562,  1265,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,  1266,
    1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,   587,   588,
     589,   590,  1274,     0,     0,     0,     0,     0,     0,  1275,
    1276,     0,     0,     0,     0,     0,     0,     0,  1278,  4011,
     227,  1207,   659,  1208,  1209,  1210,   720,  1211,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  1212,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,  1213,   250,  1214,  1215,     0,
     253,   254,   255,   256,   257,   258,  1216,  1217,   259,   260,
    1218,  1219,   263,     0,   264,   265,   266,   267,  1220,     0,
    1221,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,
     290,   291,   292,   293,   294,   295,  1229,  1230,   298,  1231,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1065,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,  1232,   326,   327,   328,  1233,  1234,   330,
       0,   331,   332,  1235,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1236,     0,
    1237,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1238,  1239,     0,  1240,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1241,   387,
     388,   389,     0,   390,   391,   392,  1242,  1243,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1244,   410,  1245,   412,   413,   414,
     415,  1246,   416,   417,   418,   419,  1247,  1248,   421,  1249,
     423,   424,   425,     0,   426,   427,     0,     0,  1250,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1251,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,  1252,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,  1253,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,  1254,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,  1255,   505,   506,   507,   508,   509,   510,   511,
     512,  1256,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,  1257,     0,   528,   529,
       0,   530,   531,   532,   533,   534,   535,   536,     0,   537,
    1258,  1259,     0,     0,   540,   541,  1260,   543,  1261,  1262,
     545,   546,   547,   548,   549,   550,   551,     0,  1263,   552,
     553,   554,   555,   556,  1264,     0,   557,   558,   559,   560,
     561,   562,  1265,     0,   564,   565,   566,   567,   568,   569,
       0,     0,   570,     0,     0,   571,   572,   573,   574,   575,
     576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,
    1273,   587,   588,   589,   590,  1274,     0,     0,   598,     0,
       0,     0,  1275,  1276,     0,     0,     0,     0,     0,     0,
       0,  1278,  4082,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
    4100,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0, -1776,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0, -1776,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365, -1776,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378, -1776,   380,   381,
     382,   383,   384,     0,     0,   385,   386, -1776,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409, -1776,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483, -1776,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,     0,  1057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1356,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
       0,  1058,   250,  1059,  1060,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,  1061,  1062,   263,     0,
     264,   265,   266,   267,     0,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,  1063,  1064,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1065,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,     0,
     326,   327,   328,     0,     0,   330,     0,   331,   332,  1066,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,     0,     0,     0,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
    2153,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,  2154,   368,   369,   370,   371,  1068,  1069,     0,  1070,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,     0,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1071,   410,  1072,   412,   413,   414,     0,     0,   416,   417,
     418,   419,     0,     0,   421,  1073,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,  2156,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,     0,   450,
       0,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1074,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,  2157,   508,   509,   510,   511,   512,  1076,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,  1077,  1078,     0,     0,
     540,   541,     0,   543,     0,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,     0,  1079,  2158,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,  1057,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   588,   589,
     590,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,  2265,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,     0,  1058,   250,  1059,  1060,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,  1061,  1062,   263,
       0,   264,   265,   266,   267,     0,     0,   269,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
       0,     0,     0,   289,     0,     0,     0,   290,   291,   292,
     293,   294,   295,  1063,  1064,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1065,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
       0,   326,   327,   328,     0,     0,   330,     0,   331,   332,
    1066,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,     0,     0,     0,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,  2153,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,  2154,   368,   369,   370,   371,  1068,  1069,     0,
    1070,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,     0,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1071,   410,  1072,   412,   413,   414,     0,     0,   416,
     417,   418,   419,     0,     0,   421,  1073,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,  2156,   434,   435,   436,     0,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,     0,
     450,     0,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1074,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,  2157,   508,   509,   510,   511,   512,  1076,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,     0,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,  1077,  1078,     0,
       0,   540,   541,     0,   543,     0,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,     0,  1079,
    2158,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,     0,   227,
    1207,   659,  1208,  1209,  1210,   720,  1211,     0,     0,   588,
     589,   590,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,  3335,
    1212,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,   248,  1213,   250,  1214,  1215,     0,   253,
     254,   255,   256,   257,   258,  1216,  1217,   259,   260,  1218,
    1219,   263,     0,   264,   265,   266,   267,  1220,     0,  1221,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,
     291,   292,   293,   294,   295,  1229,  1230,   298,  1231,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,  1065,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,  1232,   326,   327,   328,  1233,  1234,   330,     0,
     331,   332,  1235,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,  1236,     0,  1237,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,  1238,
    1239,     0,  1240,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,  1241,   387,   388,
     389,     0,   390,   391,   392,  1242,  1243,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1244,   410,  1245,   412,   413,   414,   415,
    1246,   416,   417,   418,   419,  1247,  1248,   421,  1249,   423,
     424,   425,     0,   426,   427,     0,     0,  1250,   429,   430,
       0,     0,   431,   432,   433,   434,   435,   436,  1251,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,  1252,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1253,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,  1254,   491,   492,   493,   494,
     495,   496,   497,   498,   499,    40,   500,   501,   502,   503,
     504,  1255,   505,   506,   507,   508,   509,   510,   511,   512,
    1256,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,  1257,     0,   528,   529,    44,
     530,   531,   532,   533,   534,   535,   536,     0,   537,  1258,
    1259,     0,     0,   540,   541,  1260,   543,  1261,  1262,   545,
     546,   547,   548,   549,   550,   551,     0,  1263,   552,   553,
     554,   555,   556,  1264,     0,   557,   558,   559,   560,   561,
    1143,  1265,     0,   564,   565,   566,   567,   568,   569,     0,
       0,   570,     0,    49,   571,   572,   573,   574,   575,   576,
     577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,
     587,   588,   589,   590,  1274,     0,    50,     0,     0,     0,
       0,  1275,  1276,     0,     0,     0,     0,     0,     0,     0,
    1278,   227,  1207,   659,  1208,  1209,  1210,   720,  1211,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,  1212,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,  1213,   250,  1214,  1215,
    2764,   253,   254,   255,   256,   257,   258,  1216,  1217,   259,
     260,  1218,  1219,   263,     0,   264,   265,   266,   267,  1220,
       0,  1221,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,  1227,
    1228,   290,   291,   292,   293,   294,   295,  1229,  1230,   298,
    1231,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,  1065,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,  1232,   326,   327,   328,  1233,  1234,
     330,     0,   331,   332,  1235,   334,     0,   335,     0,   336,
     337,  2765,   338,   339,   340,   341,   342,     0,   343,  1236,
       0,  1237,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,  1238,  1239,     0,  1240,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,  2766,   385,  1241,
     387,   388,   389,     0,   390,   391,   392,  1242,  1243,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,  1244,   410,  1245,   412,   413,
     414,   415,  1246,   416,   417,   418,   419,  1247,  1248,   421,
    1249,   423,   424,   425,     0,   426,   427,     0,     0,  1250,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
    1251,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,  1252,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1253,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1254,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1255,   505,   506,   507,   508,   509,   510,
     511,   512,  1256,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,  1257,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,  1258,  1259,     0,  2767,   540,   541,  1260,   543,  1261,
    1262,   545,   546,   547,   548,   549,   550,   551,     0,  1263,
     552,   553,   554,   555,   556,  1264,     0,   557,   558,   559,
     560,   561,   562,  1265,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,
    1272,  1273,   587,   588,   589,   590,  1274,     0,     0,     0,
       0,     0,     0,  1275,  1276,     0,     0,     0,     0,     0,
       0,     0,  1278,   227,  1207,   659,  1208,  1209,  1210,   720,
    1211,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,  1212,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,  1213,   250,
    1214,  1215,     0,   253,   254,   255,   256,   257,   258,  1216,
    1217,   259,   260,  1218,  1219,   263,     0,   264,   265,   266,
     267,  1220,     0,  1221,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,
    1226,  1227,  1228,   290,   291,   292,   293,   294,   295,  1229,
    1230,   298,  1231,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
    1065,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,  1232,   326,   327,   328,
    1233,  1234,   330,     0,   331,   332,  1235,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,  1236,     0,  1237,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,  1238,  1239,     0,  1240,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,  1241,   387,   388,   389,     0,   390,   391,   392,  1242,
    1243,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1244,   410,  1245,
     412,   413,   414,   415,  1246,   416,   417,   418,   419,  1247,
    1248,   421,  1249,   423,   424,   425,     0,   426,   427,     0,
       0,  1250,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,  1251,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,  1252,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1253,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  1254,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1255,   505,   506,   507,   508,
     509,   510,   511,   512,  1256,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,  1257,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,  1258,  1259,     0,     0,   540,   541,  1260,
     543,  1261,  1262,   545,   546,   547,   548,   549,   550,   551,
       0,  1263,   552,   553,   554,   555,   556,  1264,     0,   557,
     558,   559,   560,   561,   562,  1265,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,  1266,  1267,  1268,  1269,   582,
    1270,  1271,  1272,  1273,   587,   588,   589,   590,  1274,     0,
       0,     0,     0,     0,     0,  1275,  1276,     0,     0,     0,
       0,     0,  1975,  2719,  1278,   227,  1207,   659,  1208,  1209,
    1210,   720,  1211,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,  1212,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
    1213,   250,  1214,  1215,     0,   253,   254,   255,   256,   257,
     258,  1216,  1217,   259,   260,  1218,  1219,   263,     0,   264,
     265,   266,   267,  1220,     0,  1221,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,  1222,  1223,
    1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,   294,
     295,  1229,  1230,   298,  1231,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1065,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1232,   326,
     327,   328,  1233,  1234,   330,     0,   331,   332,  1235,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1236,     0,  1237,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1238,  1239,     0,  1240,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1241,   387,   388,   389,     0,   390,   391,
     392,  1242,  1243,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1244,
     410,  1245,   412,   413,   414,   415,  1246,   416,   417,   418,
     419,  1247,  1248,   421,  1249,   423,   424,   425,     0,   426,
     427,     0,     0,  1250,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1251,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,  1252,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1253,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,  1254,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,  1255,   505,   506,
     507,   508,   509,   510,   511,   512,  1256,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,  1257,     0,   528,   529,     0,   530,   531,   532,   533,
     534,   535,   536,     0,   537,  1258,  1259,     0,     0,   540,
     541,  1260,   543,  1261,  1262,   545,   546,   547,   548,   549,
     550,   551,     0,  1263,   552,   553,   554,   555,   556,  1264,
       0,   557,   558,   559,   560,   561,   562,  1265,     0,   564,
     565,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,   577,  1266,  1267,  1268,
    1269,   582,  1270,  1271,  1272,  1273,   587,   588,   589,   590,
    1274,     0,     0,     0,     0,     0,     0,  1275,  1276,  1277,
       0,     0,     0,     0,     0,     0,  1278,   227,  1207,   659,
    1208,  1209,  1210,   720,  1211,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
    2122,   236,   237,   238,     0,     0,     0,     0,  1212,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,  1213,   250,  1214,  1215,     0,   253,   254,   255,
     256,   257,   258,  1216,  1217,   259,   260,  1218,  1219,   263,
       0,   264,   265,   266,   267,  1220,     0,  1221,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
    1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,
     293,   294,   295,  1229,  1230,   298,  1231,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1065,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
    1232,   326,   327,   328,  1233,  1234,   330,     0,   331,   332,
    1235,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1236,     0,  1237,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1238,  1239,     0,
    1240,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1241,   387,   388,   389,     0,
     390,   391,   392,  1242,  1243,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1244,   410,  1245,   412,   413,   414,   415,  1246,   416,
     417,   418,   419,  1247,  1248,   421,  1249,   423,   424,   425,
       0,   426,   427,     0,     0,  1250,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1251,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,  1252,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1253,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,  1254,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,  1255,
     505,   506,   507,   508,   509,   510,   511,   512,  1256,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,  1257,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,  1258,  1259,     0,
       0,   540,   541,  1260,   543,  1261,  1262,   545,   546,   547,
     548,   549,   550,   551,     0,  1263,   552,   553,   554,   555,
     556,  1264,     0,   557,   558,   559,   560,   561,   562,  1265,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,  1266,
    1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,   587,   588,
     589,   590,  1274,     0,     0,     0,     0,     0,     0,  1275,
    1276,     0,     0,     0,     0,     0,     0,     0,  1278,   227,
    1207,   659,  1208,  1209,  1210,   720,  1211,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
    1212,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,   248,  1213,   250,  1214,  1215,     0,   253,
     254,   255,   256,   257,   258,  1216,  1217,   259,   260,  1218,
    1219,   263,     0,   264,   265,   266,   267,  1220,     0,  1221,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,
     291,   292,   293,   294,   295,  1229,  1230,   298,  1231,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,  1065,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,  1232,   326,   327,   328,  1233,  1234,   330,     0,
     331,   332,  1235,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,  1236,     0,  1237,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,  1238,
    1239,     0,  1240,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,  1241,   387,   388,
     389,     0,   390,   391,   392,  1242,  1243,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1244,   410,  1245,   412,   413,   414,   415,
    1246,   416,   417,   418,   419,  1247,  1248,   421,  1249,   423,
     424,   425,     0,   426,   427,     0,     0,  1250,   429,   430,
       0,     0,   431,   432,   433,   434,   435,   436,  1251,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,  1252,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1253,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,  1254,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,  1255,   505,   506,   507,   508,   509,   510,   511,   512,
    1256,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,  1257,     0,   528,   529,     0,
     530,   531,   532,   533,   534,   535,   536,     0,   537,  1258,
    1259,     0,     0,   540,   541,  1260,   543,  1261,  1262,   545,
     546,   547,   548,   549,   550,   551,     0,  1263,   552,   553,
     554,   555,   556,  1264,     0,   557,   558,   559,   560,   561,
     562,  1265,  3213,   564,   565,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
     577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,
     587,   588,   589,   590,  1274,     0,     0,     0,     0,     0,
       0,  1275,  1276,     0,     0,     0,     0,     0,     0,     0,
    1278,   227,  1207,   659,  1208,  1209,  1210,   720,  1211,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,  1212,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,  1213,   250,  1214,  1215,
       0,   253,   254,   255,   256,   257,   258,  1216,  1217,   259,
     260,  1218,  1219,   263,     0,   264,   265,   266,   267,  1220,
       0,  1221,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,  1227,
    1228,   290,   291,   292,   293,   294,   295,  1229,  1230,   298,
    1231,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,  1065,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,  1232,   326,   327,   328,  1233,  1234,
     330,     0,   331,   332,  1235,   334,     0,   335,     0,   336,
     337,  2765,   338,   339,   340,   341,   342,     0,   343,  1236,
       0,  1237,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,  1238,  1239,     0,  1240,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,  1241,
     387,   388,   389,     0,   390,   391,   392,  1242,  1243,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,  1244,   410,  1245,   412,   413,
     414,   415,  1246,   416,   417,   418,   419,  1247,  1248,   421,
    1249,   423,   424,   425,     0,   426,   427,     0,     0,  1250,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
    1251,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,  1252,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1253,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1254,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1255,   505,   506,   507,   508,   509,   510,
     511,   512,  1256,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,  1257,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,  1258,  1259,     0,     0,   540,   541,  1260,   543,  1261,
    1262,   545,   546,   547,   548,   549,   550,   551,     0,  1263,
     552,   553,   554,   555,   556,  1264,     0,   557,   558,   559,
     560,   561,   562,  1265,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,
    1272,  1273,   587,   588,   589,   590,  1274,     0,     0,     0,
       0,     0,     0,  1275,  1276,     0,     0,     0,     0,     0,
       0,     0,  1278,   227,  1207,   659,  1208,  1209,  1210,   720,
    1211,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,  1212,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,  1213,   250,
    1214,  1215,     0,   253,   254,   255,   256,   257,   258,  1216,
    1217,   259,   260,  1218,  1219,   263,     0,   264,   265,   266,
     267,  1220,     0,  1221,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,
    1226,  1227,  1228,   290,   291,   292,   293,   294,   295,  1229,
    1230,   298,  1231,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
    1065,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,  1232,   326,   327,   328,
    1233,  1234,   330,     0,   331,   332,  1235,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,  1236,     0,  1237,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,  1238,  1239,     0,  1240,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,  1241,   387,   388,   389,     0,   390,   391,   392,  1242,
    1243,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1244,   410,  1245,
     412,   413,   414,   415,  1246,   416,   417,   418,   419,  1247,
    1248,   421,  1249,   423,   424,   425,     0,   426,   427,     0,
       0,  1250,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,  1251,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,  1252,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1253,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  1254,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1255,   505,   506,   507,   508,
     509,   510,   511,   512,  1256,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,  1257,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,  1258,  1259,     0,     0,   540,   541,  1260,
     543,  1261,  1262,   545,   546,   547,   548,   549,   550,   551,
       0,  1263,   552,   553,   554,   555,   556,  1264,     0,   557,
     558,   559,   560,   561,   562,  1265,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,  1266,  1267,  1268,  1269,   582,
    1270,  1271,  1272,  1273,   587,   588,   589,   590,  1274,     0,
       0,     0,     0,     0,     0,  1275,  1276,     0,     0,     0,
       0,     0,     0,     0,  1278,   227,  1207,   659,  1208,  1209,
    1210,   720,  1211,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,  1212,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
    1213,   250,  1214,  1215,     0,   253,   254,   255,   256,   257,
     258,  1216,  1217,   259,   260,  1218,  1219,   263,     0,   264,
     265,   266,   267,  1220,     0,  1221,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,  1222,  1223,
    1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,   294,
     295,  1229,  1230,   298,  1231,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1065,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1232,   326,
     327,   328,  1233,  1234,   330,     0,   331,   332,  1235,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1236,     0,  1237,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1238,  1239,     0,  1240,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1241,   387,   388,   389,     0,   390,   391,
     392,  1242,  1243,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1244,
     410,  1245,   412,   413,   414,   415,  1246,   416,   417,   418,
     419,  1247,  1248,   421,  1249,   423,   424,   425,     0,   426,
     427,     0,     0,  1250,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1251,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,  1252,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1253,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,  1254,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,  1255,   505,   506,
     507,   508,   509,   510,   511,   512,  1256,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,  1257,     0,   528,   529,     0,   530,   531,   532,   533,
     534,   535,   536,     0,   537,  1258,  1259,     0,     0,   540,
     541,  1260,   543,  1261,  1262,   545,   546,   547,   548,   549,
     550,   551,     0,  1263,   552,   553,   554,   555,   556,  1264,
       0,   557,   558,   559,   560,   561,   562,  1265,     0,   564,
     565,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,   577,  1266,  1267,  1268,
    1269,   582,  1270,  1271,  1272,  1273,   587,   588,   589,   590,
    1274,     0,     0,     0,     0,     0,     0,  2125,  2126,     0,
       0,     0,     0,     0,     0,     0,  1278,   227,  2885,   659,
    1208,  1209,  1210,   720,  1211,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,  1212,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,  1213,   250,  1214,  1215,     0,   253,   254,   255,
     256,   257,   258,  1216,  1217,   259,   260,  1218,  1219,   263,
       0,   264,   265,   266,   267,  1220,     0,  1221,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
    1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,
     293,   294,   295,  1229,  1230,   298,  1231,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1065,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
    1232,   326,   327,   328,  1233,  1234,   330,     0,   331,   332,
    1235,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1236,     0,  1237,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1238,  1239,     0,
    1240,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1241,   387,   388,   389,     0,
     390,   391,   392,  1242,  1243,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1244,   410,  1245,   412,   413,   414,   415,  1246,   416,
     417,   418,   419,  1247,  1248,   421,  1249,   423,   424,   425,
       0,   426,   427,     0,     0,  1250,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1251,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,  1252,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1253,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,  1254,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,  1255,
     505,   506,   507,   508,   509,   510,   511,   512,  1256,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,  1257,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,  1258,  1259,     0,
       0,   540,   541,  1260,   543,  1261,  1262,   545,   546,   547,
     548,   549,   550,   551,     0,  1263,   552,   553,   554,   555,
     556,  1264,     0,   557,   558,   559,   560,   561,   562,  1265,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,  1266,
    1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,   587,   588,
     589,   590,  1274,     0,     0,     0,     0,     0,     0,  1275,
    1276,     0,     0,     0,     0,     0,     0,     0,  1278,   227,
    1207,   659,  1208,  1209,  1210,   720,  1211,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
    1212,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,   248,  1213,   250,  1214,  1215,     0,   253,
     254,   255,   256,   257,   258,  1216,  1217,   259,   260,  1218,
    1219,   263,     0,   264,   265,   266,   267,  1220,     0,  1221,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,  4134,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,
     291,   292,   293,   294,   295,  1229,  1230,   298,  1231,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,  1065,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,  1232,   326,   327,   328,  1233,  1234,   330,     0,
     331,   332,  1235,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,  1236,     0,  1237,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,  1238,
    1239,     0,  1240,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,  1241,   387,   388,
     389,     0,   390,   391,   392,  1242,  1243,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1244,   410,  1245,   412,   413,   414,   415,
    1246,   416,   417,   418,   419,  1247,  1248,   421,  1249,   423,
     424,   425,     0,   426,   427,     0,     0,  1250,   429,   430,
       0,     0,   431,   432,   433,   434,   435,   436,  1251,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,  1252,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1253,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,  1254,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,  1255,   505,   506,   507,   508,   509,   510,   511,   512,
    1256,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,  1257,     0,   528,   529,     0,
     530,   531,   532,   533,   534,   535,   536,     0,   537,  1258,
    1259,     0,     0,   540,   541,  1260,   543,  1261,  1262,   545,
     546,   547,   548,   549,   550,   551,     0,  1263,   552,   553,
     554,   555,   556,  1264,     0,   557,   558,   559,   560,   561,
     562,  1265,     0,   564,   565,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
     577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,
     587,   588,   589,   590,  1274,     0,     0,     0,     0,     0,
       0,  1275,  1276,     0,     0,     0,     0,     0,     0,     0,
    1278,   227,  1207,   659,  1208,  1209,  1210,   720,  1211,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,  1212,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,  1213,   250,  1214,  1215,
       0,   253,   254,   255,   256,   257,   258,  1216,  1217,   259,
     260,  1218,  1219,   263,     0,   264,   265,   266,   267,  1220,
       0,  1221,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,  1227,
    1228,   290,   291,   292,   293,   294,   295,  1229,  1230,   298,
    1231,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,  1065,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,  1232,   326,   327,   328,  1233,  1234,
     330,     0,   331,   332,  1235,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,  1236,
       0,  1237,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,  1238,  1239,     0,  1240,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,  1241,
     387,   388,   389,     0,   390,   391,   392,  1242,  1243,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,  1244,   410,  1245,   412,   413,
     414,   415,  1246,   416,   417,   418,   419,  1247,  1248,   421,
    1249,   423,   424,   425,     0,   426,   427,     0,     0,  1250,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
    1251,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,  1252,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1253,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  1254,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1255,   505,   506,   507,   508,   509,   510,
     511,   512,  1256,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,  1257,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,  1258,  1259,     0,     0,   540,   541,  1260,   543,  1261,
    1262,   545,   546,   547,   548,   549,   550,   551,     0,  1263,
     552,   553,   554,   555,   556,  1264,     0,   557,   558,   559,
     560,   561,   562,  1265,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,  4466,  1266,  1267,  1268,  1269,   582,  1270,  1271,
    1272,  1273,   587,   588,   589,   590,  1274,     0,     0,     0,
       0,     0,     0,  1275,  1276,     0,     0,     0,     0,     0,
       0,     0,  1278,   227,  1207,   659,  1208,  1209,  1210,   720,
    1211,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,  1212,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,  1213,   250,
    1214,  1215,     0,   253,   254,   255,   256,   257,   258,  1216,
    1217,   259,   260,  1218,  1219,   263,     0,   264,   265,   266,
     267,  1220,     0,  1221,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,
    1226,  1227,  1228,   290,   291,   292,   293,   294,   295,  1229,
    1230,   298,  1231,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
    1065,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,  1232,   326,   327,   328,
    1233,  1234,   330,     0,   331,   332,  1235,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,  1236,     0,  1237,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,  1238,  1239,     0,  1240,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,  1241,   387,   388,   389,     0,   390,   391,   392,  1242,
    1243,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1244,   410,  1245,
     412,   413,  4475,   415,  1246,   416,   417,   418,   419,  1247,
    1248,   421,  1249,   423,   424,   425,     0,   426,   427,     0,
       0,  1250,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,  1251,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,  1252,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1253,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  1254,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1255,   505,   506,   507,   508,
     509,   510,   511,   512,  1256,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,  1257,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,  1258,  1259,     0,     0,   540,   541,  1260,
     543,  1261,  1262,   545,   546,   547,   548,   549,   550,   551,
       0,  1263,   552,   553,   554,   555,   556,  1264,     0,   557,
     558,   559,   560,   561,   562,  1265,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,  1266,  1267,  1268,  1269,   582,
    1270,  1271,  1272,  1273,   587,   588,   589,   590,  1274,     0,
       0,     0,     0,     0,     0,  1275,  1276,     0,     0,     0,
       0,     0,     0,     0,  1278,   227,  1207,   659,  1208,  1209,
    1210,   720,  1211,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,  1212,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
    1213,   250,  1214,  1215,     0,   253,   254,   255,   256,   257,
     258,  1216,  1217,   259,   260,  1218,  1219,   263,     0,   264,
     265,   266,   267,  1220,     0,  1221,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,  4783,   288,  1222,  1223,
    1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,   294,
     295,  1229,  1230,   298,  1231,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1065,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1232,   326,
     327,   328,  1233,  1234,   330,     0,   331,   332,  1235,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1236,     0,  4784,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1238,  1239,     0,  1240,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1241,   387,   388,   389,     0,   390,   391,
     392,  1242,  1243,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1244,
     410,  1245,   412,   413,   414,   415,  1246,   416,   417,   418,
     419,  1247,  1248,   421,  1249,   423,   424,   425,     0,   426,
     427,     0,     0,  1250,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1251,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,  1252,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1253,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,  4785,   488,
     489,  1254,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,  1255,   505,   506,
     507,   508,   509,   510,   511,   512,  1256,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,  1257,     0,   528,   529,     0,   530,   531,   532,   533,
     534,   535,   536,     0,   537,  1258,  1259,     0,     0,   540,
     541,  1260,   543,  1261,  1262,   545,   546,   547,   548,   549,
     550,   551,     0,  1263,   552,   553,   554,   555,   556,  1264,
       0,   557,   558,   559,   560,   561,   562,  1265,     0,   564,
     565,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,   577,  1266,  1267,  1268,
    1269,   582,  1270,  1271,  1272,  1273,   587,   588,   589,   590,
    1274,     0,     0,     0,     0,     0,     0,  1275,  1276,     0,
       0,     0,     0,     0,     0,     0,  4786,   227,  1207,   659,
    1208,  1209,  1210,   720,  1211,     0,     0,     0,     0,     0,
       0,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,  1212,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,  5261,  1213,   250,  1214,  1215,     0,   253,   254,   255,
     256,   257,   258,  1216,  1217,   259,   260,  1218,  1219,   263,
       0,   264,   265,   266,   267,  1220,     0,  1221,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,  5262,
    1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,
     293,   294,   295,  1229,  1230,   298,  1231,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1065,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
    1232,   326,   327,   328,  1233,  1234,   330,     0,   331,   332,
    1235,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1236,     0,  1237,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,  1238,  1239,     0,
    1240,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,  1241,   387,   388,   389,     0,
     390,   391,   392,  1242,  1243,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1244,   410,  1245,   412,   413,   414,   415,  1246,   416,
     417,   418,   419,  1247,  1248,   421,  1249,   423,   424,   425,
       0,   426,   427,     0,     0,  1250,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1251,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,  1252,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1253,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,  1254,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,  1255,
     505,   506,   507,   508,   509,   510,   511,   512,  1256,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,  1257,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,  1258,  1259,     0,
       0,   540,   541,  1260,   543,  1261,  1262,   545,   546,   547,
     548,  5263,   550,   551,     0,  1263,   552,   553,   554,   555,
     556,  1264,     0,   557,   558,   559,   560,   561,   562,  1265,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,  1266,
    1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,   587,   588,
     589,   590,  1274,     0,     0,     0,     0,     0,     0,  1275,
    1276,     0,     0,     0,     0,     0,     0,     0,  1278,   227,
    1207,   659,  1208,  1209,  1210,   720,  1211,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
    1212,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,   248,  1213,   250,  1214,  1215,     0,   253,
     254,   255,   256,   257,   258,  1216,  1217,   259,   260,  1218,
    1219,   263,     0,   264,   265,   266,   267,  1220,     0,  1221,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,  5262,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,
     291,   292,   293,   294,   295,  1229,  1230,   298,  1231,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,  1065,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,  1232,   326,   327,   328,  1233,  1234,   330,     0,
     331,   332,  1235,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,  1236,     0,  1237,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,  1238,
    1239,     0,  1240,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,  1241,   387,   388,
     389,     0,   390,   391,   392,  1242,  1243,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1244,   410,  1245,   412,   413,   414,   415,
    1246,   416,   417,   418,   419,  1247,  1248,   421,  1249,   423,
     424,   425,     0,   426,   427,     0,     0,  1250,   429,   430,
       0,     0,   431,   432,   433,   434,   435,   436,  1251,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,  1252,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1253,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,  1254,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,  1255,   505,   506,   507,   508,   509,   510,   511,   512,
    1256,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,  1257,     0,   528,   529,     0,
     530,   531,   532,   533,   534,   535,   536,     0,   537,  1258,
    1259,     0,     0,   540,   541,  1260,   543,  1261,  1262,   545,
     546,   547,   548,  5263,   550,   551,     0,  1263,   552,   553,
     554,   555,   556,  1264,     0,   557,   558,   559,   560,   561,
     562,  1265,     0,   564,   565,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
     577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,
     587,   588,   589,   590,  1274,     0,     0,     0,     0,     0,
       0,  1275,  1276,     0,     0,     0,     0,     0,     0,     0,
    1278,   227,  1207,   659,  1208,  1209,  1210,   720,  1211,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,  1212,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,  1213,   250,  1214,  1215,
       0,   253,   254,   255,   256,   257,   258,  1216,  1217,   259,
     260,  1218,  1219,   263,     0,   264,   265,   266,   267,  1220,
       0,  1221,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,  1227,
    1228,   290,   291,   292,   293,   294,   295,  1229,  1230,   298,
    4978,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,  1065,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,  1232,   326,   327,   328,  1233,  1234,
     330,     0,   331,   332,  1235,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,  1236,
       0,  1237,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,  1238,  1239,     0,  1240,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,  1241,
     387,   388,   389,     0,   390,   391,   392,  1242,  1243,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,  1244,   410,  1245,   412,   413,
     414,   415,     0,   416,   417,   418,   419,  1247,  1248,   421,
    1249,   423,   424,   425,     0,   426,   427,     0,     0,  1250,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
    1251,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,  1252,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1253,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  2750,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1255,   505,   506,   507,   508,   509,   510,
     511,   512,  1256,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,  1257,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,  1258,  1259,     0,     0,   540,   541,  1260,   543,  1261,
    1262,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,  1264,     0,   557,   558,   559,
     560,   561,   562,  1265,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,
    1272,  1273,   587,   588,   589,   590,     0,     0,     0,     0,
       0,     0,     0,  2751,  2752,     0,     0,     0,     0,     0,
       0,     0,  2753,   227,  1207,   659,  1208,  1209,  1210,   720,
    1211,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,  1212,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247, -2632,  1213,   250,
    1214,  1215,     0,   253,   254,   255,   256,   257,   258,  1216,
    1217,   259,   260,  1218,  1219,   263,     0,   264,   265,   266,
     267,  1220,     0,  1221,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,  5262,  1222,  1223,  1224,  1225,
    1226,  1227,  1228,   290,   291,   292,   293,   294,   295,  1229,
    1230,   298,  1231,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
    1065,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,  1232,   326,   327,   328,
    1233,  1234,   330,     0,   331,   332,  1235,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,  1236,     0,  1237,   346,   347,     0,   348,   349,   350,
     351,   352, -2632,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,  1238,  1239,     0,  1240,     0,   375,     0,
       0,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,  1241,   387,   388, -2632,     0,   390,   391,   392,  1242,
    1243,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1244,   410,  1245,
     412,   413,   414,   415,  1246,   416,   417,     0,   419,  1247,
    1248,   421,  1249,   423,   424,   425,     0,   426,   427,     0,
       0,  1250,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,  1251,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,  1252,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1253,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  1254,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1255,   505,   506,   507,   508,
     509, -2632,   511,   512,  1256,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,  1257,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,  1258,  1259,     0,     0,   540,   541,  1260,
     543,  1261,  1262,   545,   546,   547,   548,  5263,   550,   551,
       0,  1263,   552,   553,   554,   555,   556,  1264,     0,   557,
     558,   559,   560,   561,   562,  1265,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,  1266,  1267,  1268,  1269,   582,
    1270,  1271,  1272,  1273,   587,   588,   589,   590, -2632,     0,
       0,     0,     0,     0,     0,  1275,  1276,     0,     0,     0,
       0,     0,     0,     0,  1278,   227,  1207,   659,  1208,  1209,
    1210,   720,  1211,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,  1212,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
    1213,   250,  1214,  1215,     0,   253,   254,   255,   256,   257,
     258,  1216,  1217,   259,   260,  1218,  1219,   263,     0,   264,
     265,   266,   267,  1220,     0,  1221,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,  1222,  1223,
    1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,   294,
     295,  1229,  1230,   298,     0,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1065,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,  1232,   326,
     327,   328,  1233,  1234,   330,     0,   331,   332,  1235,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1236,     0,  1237,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,  1238,  1239,     0,  1240,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,  1241,   387,   388,   389,     0,   390,   391,
     392,  1242,  1243,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1244,
     410,  1245,   412,   413,   414,   415,     0,   416,   417,   418,
     419,  1247,  1248,   421,  1249,   423,   424,   425,     0,   426,
     427,     0,     0,  1250,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1251,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,  1252,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1253,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,  2750,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,  1255,   505,   506,
     507,   508,   509,   510,   511,   512,  1256,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,  1257,     0,   528,   529,     0,   530,   531,   532,   533,
     534,   535,   536,     0,   537,  1258,  1259,     0,     0,   540,
     541,  1260,   543,  1261,  1262,   545,   546,   547,   548,   549,
     550,   551,     0,     0,   552,   553,   554,   555,   556,  1264,
       0,   557,   558,   559,   560,   561,   562,  1265,     0,   564,
     565,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,   577,  1266,  1267,  1268,
    1269,   582,  1270,  1271,  1272,  1273,   587,   588,   589,   590,
       0,     0,     0,     0,     0,     0,     0,  2751,  2752,     0,
       0,   227,  1207,   659,  1208,  1209,  2753,   720,  1211,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,  1212,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,  1213,   250,  1214,  1215,
       0,   253,   254,   255,   256,   257,   258,  1216,  1217,   259,
     260,  1218,  1219,   263,     0,   264,   265,   266,   267,  1220,
       0,  1221,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,  1227,
    1228,   290,   291,   292,   293,   294,   295,  1229,  1230,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,  1065,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,  1232,   326,   327,   328,  1233,  1234,
     330,     0,   331,   332,  1235,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,  1236,
       0,  1237,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,  1238,  1239,     0,  1240,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,  1241,
     387,   388,   389,     0,   390,   391,   392,  1242,  1243,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,  1244,   410,  1245,   412,   413,
     414,   415,     0,   416,   417,   418,   419,  1247,  1248,   421,
    1249,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
    1251,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,  1252,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
    1253,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,  2874,  2875,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,  1255,   505,   506,   507,   508,   509,   510,
     511,   512,  1256,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,  1257,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,  1258,  1259,     0,     0,   540,   541,  1260,   543,  1261,
    1262,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,  1264,     0,   557,   558,   559,
     560,   561,   562,  1265,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,
    1272,  1273,   587,   588,   589,   590,     0,     0,     0,     0,
       0,     0,     0,  2876,  2877,     0,     0,     0,     0,     0,
       0,     0,  2753,   227,  1207,   659,  1208,  1209,  1210,   720,
    1211,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,  1212,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,  1213,   250,
    1214,  1215,     0,   253,   254,   255,   256,   257,   258,  1216,
    1217,   259,   260,  1218,  1219,   263,     0,   264,   265,   266,
     267,  1220,     0,  1221,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,
    1226,  1227,  1228,   290,   291,   292,   293,   294,   295,  1229,
    1230,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
    1065,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,  1232,   326,   327,   328,
    1233,  1234,   330,     0,   331,   332,  1235,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,  1236,     0,  1237,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,  1238,  1239,     0,  1240,     0,   375,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,  1241,   387,   388,   389,     0,   390,   391,   392,  1242,
    1243,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1244,   410,  1245,
     412,   413,   414,   415,     0,   416,   417,   418,   419,  1247,
    1248,   421,  1249,   423,   424,   425,     0,   426,   427,     0,
       0,  1250,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,  1251,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,  1252,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1253,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  2750,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1255,   505,   506,   507,   508,
     509,   510,   511,   512,  1256,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,  1257,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,  1258,  1259,     0,     0,   540,   541,  1260,
     543,  1261,  1262,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,  1264,     0,   557,
     558,   559,   560,   561,   562,  1265,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,  1266,  1267,  1268,  1269,   582,
    1270,  1271,  1272,  1273,   587,   588,   589,   590,     0,     0,
       0,     0,     0,     0,     0,  2751,  2752,     0,     0,   227,
    1207,   659,  1208,  1209,  2753,   720,  1211,     0,     0,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
    1212,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,   248,  1213,   250,  1214,  1215,     0,   253,
     254,   255,   256,   257,   258,  1216,  1217,   259,   260,  1218,
    1219,   263,     0,   264,   265,   266,   267,  1220,     0,  1221,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,
     291,   292,   293,   294,   295,  1229,  1230,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,  1065,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,  1232,   326,   327,   328,  1233,  1234,   330,     0,
     331,   332,  1235,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,  1236,     0,  1237,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,  1238,
    1239,     0,  1240,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,  1241,   387,   388,
     389,     0,   390,   391,   392,  1242,  1243,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1244,   410,  1245,   412,   413,   414,   415,
       0,   416,   417,   418,   419,  1247,  1248,   421,  1249,   423,
     424,   425,     0,   426,   427,     0,     0,   428,   429,   430,
       0,     0,   431,   432,   433,   434,   435,   436,  1251,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,  1252,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1253,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,  2750,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,  1255,   505,   506,   507,   508,   509,   510,   511,   512,
    1256,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,  1257,     0,   528,   529,     0,
     530,   531,   532,   533,   534,   535,   536,     0,   537,  1258,
    1259,     0,     0,   540,   541,  1260,   543,  1261,  1262,   545,
     546,   547,   548,   549,   550,   551,     0,     0,   552,   553,
     554,   555,   556,  1264,     0,   557,   558,   559,   560,   561,
     562,  1265,     0,   564,   565,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
     577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,
     587,   588,   589,   590,     0,     0,   227,  1207,   659,  1208,
    1209,     0,   720,  1211,     0,     0,     0,     0,     0,     0,
    2753,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,  1212,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,  1213,   250,  1214,  1215,     0,  4044,   254,   255,   256,
     257,   258,  1216,  1217,   259,   260,  1218,  1219,   263,     0,
     264,   265,   266,   267,  1220,     0,  1221,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,  1222,
    1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,
     294,   295,  1229,  1230,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1065,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,  1232,
     326,   327,   328,  1233,  1234,   330,     0,   331,   332,  1235,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,  1236,     0,  1237,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,  1238,  1239,     0,  1240,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,  1241,   387,   388,   389,     0,   390,
     391,   392,  1242,  1243,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1244,   410,  1245,   412,   413,   414,   415,     0,   416,   417,
     418,   419,  1247,  1248,   421,  1249,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,  1251,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,  1252,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1253,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,  2750,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,  1255,   505,
     506,   507,   508,   509,   510,   511,   512,  1256,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,  1257,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,  1258,  1259,     0,     0,
     540,   541,  1260,   543,  1261,  1262,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
    1264,     0,   557,   558,   559,   560,   561,   562,  1265,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,  1266,  1267,
    1268,  1269,   582,  1270,  1271,  1272,  1273,   587,   588,   589,
     590,     0,     0,   227,  1207,   659,  1208,  1209,     0,   720,
    1211,     0,     0,     0,     0,     0,     0,  2753,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,  1212,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,  1213,   250,
    1214,  1215,     0,   253,   254,   255,   256,   257,   258,  1216,
    1217,   259,   260,  1218,  1219,   263,     0,   264,   265,   266,
     267,  1220,     0,  1221,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,
    1226,  1227,  1228,   290,   291,   292,   293,   294,   295,  1229,
    1230,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
    1065,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,  1232,   326,   327,   328,
    1233,  1234,   330,     0,   331,   332,  1235,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,  1236,     0,  1237,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,  1238,  1239,     0,  1240,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,  1241,   387,   388,   389,     0,   390,   391,   392,  1242,
    1243,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1244,   410,  1245,
     412,   413,   414,   415,     0,   416,   417,   418,   419,  1247,
    1248,   421,  1249,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,  1251,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,  1252,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1253,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,  2750,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,  1255,   505,   506,   507,   508,
     509,   510,   511,   512,  1256,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,  1257,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,  1258,  1259,     0,     0,   540,   541,  1260,
     543,  1261,  1262,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,  1264,     0,   557,
     558,   559,   560,   561,   562,  1265,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,  1266,  1267,  1268,  1269,  4506,
    1270,  1271,  1272,  1273,   587,   588,   589,   590,     0,     0,
     227,  1207,   659,  1208,  1209,  1210,   720,  1211,     0,     0,
       0,     0,     0,     0,  2753,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,  1212,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,     0,  1213,   250,  1214,  1215,     0,
     253,   254,   255,   256,   257,   258,  1216,  1217,   259,   260,
    1218,  1219,   263,     0,   264,   265,   266,   267,  1220,     0,
    1221,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,
     290,   291,   292,   293,   294,   295,  1229,  1230,   298,  1231,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1065,   313,   314,
       0,   315,   316,   317,     0,   318,     0,   320,     0,   321,
     322,   323,   324,  1232,   326,   327,   328,  1233,  1234,   330,
       0,   331,   332,  1235,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,  1236,     0,
    1237,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
    1238,  1239,     0,  1240,     0,   375,     0,     0,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,  1241,   387,
     388,     0,     0,   390,   391,   392,  1242,  1243,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1244,   410,  1245,   412,   413,   414,
     415,  1246,   416,   417,     0,   419,  1247,  1248,   421,  1249,
     423,   424,   425,     0,   426,   427,     0,     0,  1250,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,  1251,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,  1252,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,  1253,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,  1254,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,  1255,   505,   506,   507,   508,   509,     0,   511,
     512,  1256,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,  1257,     0,   528,   529,
       0,   530,   531,   532,   533,   534,   535,   536,     0,   537,
    1258,  1259,     0,     0,   540,   541,  1260,   543,  1261,  1262,
     545,   546,   547,   548,   549,   550,   551,     0,  1263,   552,
     553,   554,   555,   556,  1264,     0,   557,   558,   559,   560,
     561,   562,  1265,     0,   564,   565,   566,   567,   568,   569,
       0,     0,   570,     0,     0,   571,   572,   573,   574,   575,
     576,   577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,
    1273,   587,   588,   589,   590,     0,     0,   227,     0,     0,
       0,     0,  1275,  1276,     0,     0,     0,     0,     0,     0,
       0,  1278,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,  1217,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,  1220,     0,  1221,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
    1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,  1233,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,  1236,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,  3563,     0,   385,  1241,   387,   388,   389,     0,
     390,   391,   392,  1242,  1243,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,     0,   416,
     417,   418,   419,     0,  1248,   421,   422,   423,   424,   425,
       0,   426,   427,     0,   809,   428,   429,   430,     0,     0,
     431,   432,   433,   434,   435,   436,  1251,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,  1252,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,  3564,   492,   493,   494,   495,   496,
     497,   498,   499,    40,   500,   501,   502,   503,   504,  1255,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,  1257,     0,   528,   529,    44,   530,   531,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,  1260,   543,  1261,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,  1264,     0,   557,   558,   559,   560,   561,  1143,   563,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,    49,   571,   572,   573,   574,   575,   576,   577,  1266,
    1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,  3565,   588,
     589,   590,     0,     0,    50,   227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3566,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,     0,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,     0,   253,   254,   255,   256,   257,
     258,     0,  1217,   259,   260,   261,   262,   263,     0,   264,
     265,   266,   267,  1220,     0,  1221,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,  1222,  1223,
    1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,   294,
     295,   296,   297,   298,     0,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,   325,   326,
     327,   328,  1233,     0,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,  1236,     0,   345,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
    3563,     0,   385,  1241,   387,   388,   389,     0,   390,   391,
     392,  1242,  1243,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,     0,   416,   417,   418,
     419,     0,  1248,   421,   422,   423,   424,   425,     0,   426,
     427,     0,   809,   428,   429,   430,     0,     0,   431,   432,
     433,   434,   435,   436,  1251,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,  1252,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,  3564,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,  1255,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,  1257,     0,   528,   529,     0,   530,   531,   532,   533,
     534,   535,   536,     0,   537,   538,   539,     0,     0,   540,
     541,  1260,   543,  1261,     0,   545,   546,   547,   548,   549,
     550,   551,     0,     0,   552,   553,   554,   555,   556,  1264,
       0,   557,   558,   559,   560,   561,   562,   563,     0,   564,
     565,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,   577,  1266,  1267,  1268,
    1269,   582,  1270,  1271,  1272,  1273,  3565,   588,   589,   590,
       0,     0,   227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3566,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,  1217,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
    1220,     0,  1221,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,  1222,  1223,  1224,  1225,  1226,
    1227,  1228,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,  1233,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
    1236,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
    1241,   387,   388,   389,     0,   390,   391,   392,  1242,  1243,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,     0,   416,   417,   418,   419,     0,  1248,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,   434,   435,
     436,  1251,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,  1252,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,  3564,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,  1255,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,  1257,     0,
     528,   529,     0,   530,   531,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,  1260,   543,
    1261,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,  1264,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,  1266,  1267,  1268,  1269,   582,  1270,
    1271,  1272,  1273,  3565,   588,   589,   590,     0,     0,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    51,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
       0,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,     0,   253,
     254,   255,   256,   257,   258,     0,  1217,   259,   260,   261,
     262,   263,     0,   264,   265,   266,   267,  1220,     0,  1221,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,  1222,  1223,  1224,  1225,  1226,  1227,  1228,   290,
     291,   292,   293,   294,   295,   296,   297,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,   325,   326,   327,   328,  1233,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,  1236,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,  1241,   387,   388,
     389,     0,   390,   391,   392,  1242,  1243,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
       0,   416,   417,   418,   419,     0,  1248,   421,   422,   423,
     424,   425,     0,   426,   427,     0,     0,   428,   429,   430,
       0,     0,   431,   432,   433,   434,   435,   436,  1251,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,  1252,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,  1255,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,  1257,     0,   528,   529,     0,
     530,   531,   532,   533,   534,   535,   536,     0,   537,   538,
     539,     0,     0,   540,   541,  1260,   543,  1261,     0,   545,
     546,   547,   548,   549,   550,   551,     0,     0,   552,   553,
     554,   555,   556,  1264,     0,   557,   558,   559,   560,   561,
     562,   563,     0,   564,   565,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
     577,  1266,  1267,  1268,  1269,   582,  1270,  1271,  1272,  1273,
     587,   588,   589,   590,     0,     0,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4163,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,  1217,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,  1220,     0,  1221,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,  1222,
    1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,  1233,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,  1236,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,  1241,   387,   388,   389,     0,   390,
     391,   392,  1242,  1243,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,  1248,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,  1251,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,  1252,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,  1255,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,  1257,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,  1260,   543,  1261,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
    1264,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,  1266,  1267,
    1268,  1269,   582,  1270,  1271,  1272,  1273,   587,   588,   589,
     590,     0,     0,   862,  1489,   659,     0,     0,     0,   720,
       0,     0,     0,     0,     0,     0,     0,  5244,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,   269,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,     0,     0,     0,   289,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,  1906,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,   386,   387,   388,   389,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,     0,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,  1907,
       0,   428,   429,   430,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,  1908,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,     0,     0,
     862,     0,     0,     0,     0,  1490,  1491,  5059,     0,     0,
       0,     0,     0,     0,  5060,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     3,     4,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,   386,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,     0,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,    40,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,     0,   528,   529,
      44,   530,   531,   532,   533,   534,   535,   536,     0,   537,
     538,   539,     0,     0,   540,   541,   542,   543,   544,     0,
     545,   546,   547,   548,   549,   550,   551,     0,     0,   552,
     553,   554,   555,   556,     0,     0,   557,   558,   559,   560,
     561,  1143,   563,     0,   564,   565,   566,   567,   568,   569,
       0,     0,   570,     0,    49,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,     0,     0,    50,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    51,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   265,   266,   267,   268,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   330,     0,   331,
     332,   333,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,   386,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,     0,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,     0,     0,   598,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4835,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,     0,     0,     0,   239,
     240,     0,   241,   242,   243,     0,   245,   246,   247,   248,
     249,     0,   251,   252,     0,   253,   254,   255,   256,   257,
     258,     0,     0,   259,   260,   261,   262,   263,     0,   264,
     265,   266,   267,   268,     0,     0,     0,   270,   271,   272,
     273,   274,     0,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,     0,   286,   287,   288,     0,     0,
       0,     0,     0,     0,     0,   290,   291,   292,   293,   294,
     295,   296,   297,   298,     0,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,   312,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,   325,   326,
     327,   328,   329,     0,   330,     0,   331,   332,   333,   334,
       0,   335,     0,   336,     0,     0,     0,   339,   340,   341,
     342,     0,   343,   344,     0,   345,   346,   347,     0,   348,
     349,   350,   351,   352,     0,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,     0,
     367,   368,   369,   370,   371,   372,   373,     0,   374,     0,
     375,     0,     0,   378,     0,   380,   381,   382,   383,   384,
       0,     0,   385,   386,     0,   388,     0,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       0,   411,   412,   413,   414,   415,     0,   416,   417,     0,
     419,     0,   420,   421,   422,   423,   424,   425,     0,   426,
     427,     0,     0,   428,   429,   430,     0,     0,   431,   432,
     433,     0,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,     0,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,    40,   500,   501,   502,   503,   504,     0,   505,   506,
     507,   508,   509,     0,   511,   512,   513,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,     0,   528,   529,    44,   530,     0,   532,   533,
     534,   535,   536,     0,   537,   538,   539,     0,     0,   540,
     541,   542,   543,   544,     0,   545,   546,   547,   548,   549,
     550,   551,     0,     0,   552,   553,   554,   555,   556,     0,
       0,   557,   558,   559,   560,   561,  1143,   563,     0,   564,
       0,   566,   567,   568,   569,     0,     0,   570,     0,    49,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
       0,     0,    50,   598,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    51,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,     0,   245,   246,   247,   248,   249,     0,
     251,   252,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,   261,   262,   263,     0,   264,   265,   266,
     267,   268,     0,     0,     0,   270,   271,   272,   273,   274,
       0,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,     0,   286,   287,   288,     0,     0,     0,     0,
       0,     0,     0,   290,   291,   292,   293,   294,   295,   296,
     297,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
     312,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,   325,   326,   327,   328,
     329,     0,   330,     0,   331,   332,   333,   334,     0,   335,
       0,   336,     0,     0,     0,   339,   340,   341,   342,     0,
     343,   344,     0,   345,   346,   347,     0,   348,   349,   350,
     351,   352,     0,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,     0,   367,   368,
     369,   370,   371,   372,   373,     0,   374,     0,   375,     0,
       0,   378,     0,   380,   381,   382,   383,   384,     0,     0,
     385,   386,     0,   388,     0,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     0,   411,
     412,   413,   414,   415,     0,   416,   417,     0,   419,     0,
     420,   421,   422,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,   433,     0,
     435,     0,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,     0,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,   507,   508,
     509,     0,   511,   512,   513,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
       0,   528,   529,     0,   530,     0,   532,   533,   534,   535,
     536,     0,   537,   538,   539,     0,     0,   540,   541,   542,
     543,   544,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,   562,   563,     0,   564,     0,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,     0,     0,
     598,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1336,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,   265,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,   330,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,   352,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
       0,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,     0,   511,
     512,   513,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,     0,   528,   529,
       0,   530,     0,   532,   533,   534,   535,   536,     0,   537,
     538,   539,     0,     0,   540,   541,   542,   543,   544,     0,
     545,   546,   547,   548,   549,   550,   551,     0,     0,   552,
     553,   554,   555,   556,     0,     0,   557,   558,   559,   560,
     561,   562,   563,     0,   564,     0,   566,   567,   568,   569,
       0,     0,   570,     0,     0,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,     0,     0,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2907,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,   346,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,     0,     0,   598,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4079,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,     0,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,     0,   511,   512,   513,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,     0,   528,   529,     0,   530,     0,   532,   533,   534,
     535,   536,     0,   537,   538,   539,     0,     0,   540,   541,
     542,   543,   544,     0,   545,   546,   547,   548,   549,   550,
     551,     0,     0,   552,   553,   554,   555,   556,     0,     0,
     557,   558,   559,   560,   561,   562,   563,     0,   564,     0,
     566,   567,   568,   569,     0,     0,   570,     0,     0,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,     0,
       0,     0,     0,     0,  1057,  1489,   659,     0,     0,   876,
     720,     0,     0,     0,     0,  4523,   877,   878,   879,   228,
     229,   230,   231,   232,   233,   234,   235,  1620,   236,   237,
     238,  1621,  1622,  1623,  1624,  1625,  1626,  1627,   239,   240,
    1628,   241,   242,   243,   244,   245,   246,   247,     0,  1058,
     250,  1059,  1060,  1629,   253,   254,   255,   256,   257,   258,
    1630,  1631,   259,   260,  1061,  1062,   263,  1632,   264,   265,
     266,   267,     0,  1633,   269,  1634,   270,   271,   272,   273,
     274,   275,   276,   277,   278,  1635,   279,   280,   281,   282,
     283,   284,  1636,   285,   286,   287,   288,  1637,  1638,  1639,
     289,  1640,  1641,  1642,   290,   291,   292,   293,   294,   295,
    1063,  1064,   298,  1643,   299,  1644,   300,   301,   302,   303,
     304,   305,  1645,   306,   307,   308,   309,  1646,  1647,   310,
     311,  1065,   313,   314,  1648,   315,   316,   317,  1649,   318,
     319,   320,  1650,   321,   322,   323,   324,     0,   326,   327,
     328,     0,  1651,   330,  1652,   331,   332,  1066,   334,  1653,
     335,  1654,   336,   337,  1655,   338,   339,   340,   341,   342,
    1656,   343,     0,  1657,     0,   346,   347,  1658,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,  1659,   358,
     359,   360,   361,   362,   363,   364,  1660,   365,   366,     0,
     368,   369,   370,   371,  1068,  1069,  1661,  1070,  1662,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,  1663,
    1664,   385,     0,   387,   388,   389,  1665,   390,   391,   392,
    1666,  1667,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1071,   410,
    1072,   412,   413,   414,  3830,  1668,   416,   417,   418,   419,
    1669,     0,   421,  1073,   423,   424,   425,  1670,   426,   427,
    1671,  1672,  3831,   429,   430,  1673,  1674,   431,   432,     0,
     434,   435,   436,     0,   438,   439,   440,   441,   442,   443,
     444,   445,   446,  1675,   447,   448,     0,   450,     0,   452,
     453,   454,  1676,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,  1074,   466,   467,   468,   469,  1677,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,  1678,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
    1679,   500,   501,   502,   503,   504,  1680,   505,   506,  2157,
     508,   509,   510,   511,   512,  1076,   514,  1681,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,  1682,   528,   529,  1683,   530,   531,   532,   533,   534,
     535,   536,  1684,   537,  1077,  1078,  1685,  1686,   540,   541,
       0,   543,     0,  1687,   545,   546,   547,   548,   549,   550,
     551,  1688,  1689,   552,   553,   554,   555,   556,  1690,  1691,
     557,   558,   559,   560,   561,     0,  1079,  1692,   564,   565,
     566,   567,   568,   569,  1693,  1694,   570,  1695,  1696,   571,
     572,   573,   574,   575,   576,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   588,   589,   590,     0,
       0,     0,   882,   883,   884,     0,  3832,  3833,   887,   888,
     889,   890,  1057,  1489,   659,     0,     0,   876,   720,     0,
       0,     0,     0,     0,   877,   878,   879,   228,   229,   230,
     231,   232,   233,   234,   235,  1620,   236,   237,   238,  1621,
    1622,  1623,  1624,  1625,  1626,  1627,   239,   240,  1628,   241,
     242,   243,   244,   245,   246,   247,     0,  1058,   250,  1059,
    1060,  1629,   253,   254,   255,   256,   257,   258,  1630,  1631,
     259,   260,  1061,  1062,   263,  1632,   264,   265,   266,   267,
       0,  1633,   269,  1634,   270,   271,   272,   273,   274,   275,
     276,   277,   278,  1635,   279,   280,   281,   282,   283,   284,
    1636,   285,   286,   287,   288,  1637,  1638,  1639,   289,  1640,
    1641,  1642,   290,   291,   292,   293,   294,   295,  1063,  1064,
     298,  1643,   299,  1644,   300,   301,   302,   303,   304,   305,
    1645,   306,   307,   308,   309,  1646,  1647,   310,   311,  1065,
     313,   314,  1648,   315,   316,   317,  1649,   318,   319,   320,
    1650,   321,   322,   323,   324,     0,   326,   327,   328,     0,
    1651,   330,  1652,   331,   332,  1066,   334,  1653,   335,  1654,
     336,   337,  1655,   338,   339,   340,   341,   342,  1656,   343,
       0,  1657,     0,   346,   347,  1658,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,  1659,   358,   359,   360,
     361,   362,   363,   364,  1660,   365,   366,     0,   368,   369,
     370,   371,  1068,  1069,  1661,  1070,  1662,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,  1663,  1664,   385,
       0,   387,   388,   389,  1665,   390,   391,   392,  1666,  1667,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1071,   410,  1072,   412,
     413,   414,  4255,  1668,   416,   417,   418,   419,  1669,     0,
     421,  1073,   423,   424,   425,  1670,   426,   427,  1671,  1672,
    3831,   429,   430,  1673,  1674,   431,   432,     0,   434,   435,
     436,     0,   438,   439,   440,   441,   442,   443,   444,   445,
     446,  1675,   447,   448,     0,   450,     0,   452,   453,   454,
    1676,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,  1074,   466,   467,   468,   469,  1677,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,  1678,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,  1679,   500,
     501,   502,   503,   504,  1680,   505,   506,  2157,   508,   509,
     510,   511,   512,  1076,   514,  1681,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,  1682,
     528,   529,  1683,   530,   531,   532,   533,   534,   535,   536,
    1684,   537,  1077,  1078,  1685,  1686,   540,   541,     0,   543,
       0,  1687,   545,   546,   547,   548,   549,   550,   551,  1688,
    1689,   552,   553,   554,   555,   556,  1690,  1691,   557,   558,
     559,   560,   561,     0,  1079,  1692,   564,   565,   566,   567,
     568,   569,  1693,  1694,   570,  1695,  1696,   571,   572,   573,
     574,   575,   576,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   588,   589,   590,     0,   598,     0,
     882,   883,   884,   876,  3832,  3833,   887,   888,   889,   890,
     877,   878,   879,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,   880,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,   881,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,     0,   598,     0,   882,   883,   884,   876,
     885,   886,   887,   888,   889,   890,   877,   878,   879,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,  1007,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,  1008,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,     0,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,     0,   511,   512,   513,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,     0,   528,   529,     0,   530,     0,   532,   533,   534,
     535,   536,     0,   537,   538,   539,     0,     0,   540,   541,
     542,   543,   544,     0,   545,   546,   547,   548,   549,   550,
     551,     0,     0,   552,   553,   554,   555,   556,     0,     0,
     557,   558,   559,   560,   561,   562,   563,     0,   564,     0,
     566,   567,   568,   569,     0,     0,   570,     0,     0,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,     0,
     598,     0,   882,   883,   884,   876,   885,   886,   887,   888,
     889,   890,   877,   878,   879,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
       0,   245,   246,   247,   248,   249,     0,   251,   252,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
     261,   262,   263,     0,   264,  1107,   266,   267,   268,     0,
       0,     0,   270,   271,   272,   273,   274,     0,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,     0,
     286,   287,   288,     0,     0,     0,     0,     0,     0,     0,
     290,   291,   292,   293,   294,   295,   296,   297,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,   312,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,   325,   326,   327,   328,   329,     0,  1108,
       0,   331,   332,   333,   334,     0,   335,     0,   336,     0,
       0,     0,   339,   340,   341,   342,     0,   343,   344,     0,
     345,   346,   347,     0,   348,   349,   350,   351,  1109,     0,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,     0,   367,   368,   369,   370,   371,
     372,   373,     0,   374,     0,   375,     0,     0,   378,     0,
     380,   381,   382,   383,   384,     0,     0,   385,   386,     0,
     388,     0,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     0,   411,   412,   413,   414,
     415,     0,   416,   417,     0,   419,     0,   420,   421,   422,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,   433,     0,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
       0,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,   507,   508,   509,     0,   511,
     512,   513,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,     0,   528,   529,
       0,   530,     0,   532,   533,   534,   535,   536,     0,   537,
     538,   539,     0,     0,   540,   541,   542,   543,   544,     0,
     545,   546,   547,   548,   549,   550,   551,     0,     0,   552,
     553,   554,   555,   556,     0,     0,   557,   558,   559,   560,
     561,   562,   563,     0,   564,     0,   566,   567,   568,   569,
       0,     0,   570,     0,     0,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,     0,   598,     0,   882,   883,
     884,   876,   885,   886,   887,   888,   889,   890,   877,   878,
     879,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,  1719,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,  1720,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,     0,   598,     0,   882,   883,   884,   876,   885,   886,
     887,   888,   889,   890,   877,   878,   879,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,   248,   249,     0,   251,
     252,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,   261,   262,   263,     0,   264,   265,   266,   267,
     268,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,   296,   297,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,   325,   326,   327,   328,   329,
       0,   330,     0,   331,   332,   333,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
     344,     0,   345,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   367,   368,   369,
     370,   371,   372,   373,     0,   374,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
     386,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     0,   411,   412,
     413,   414,   415,     0,   416,   417,     0,   419,     0,   420,
     421,   422,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,   433,     0,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,   507,   508,   509,
       0,   511,   512,   513,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,   538,   539,     0,     0,   540,   541,   542,   543,
     544,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,   562,   563,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,     0,   598,     0,
     882,   883,   884,   876,   885,   886,   887,   888,   889,   890,
     877,   878,   879,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,     0,   245,
     246,   247,   248,   249,     0,   251,   252,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,   261,   262,
     263,     0,   264,  2985,   266,   267,   268,     0,     0,     0,
     270,   271,   272,   273,   274,     0,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,     0,   286,   287,
     288,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   293,   294,   295,   296,   297,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,   312,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,   325,   326,   327,   328,   329,     0,  2986,     0,   331,
     332,   333,   334,     0,   335,     0,   336,     0,     0,     0,
     339,   340,   341,   342,     0,   343,   344,     0,   345,   346,
     347,     0,   348,   349,   350,   351,   352,     0,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,     0,   367,   368,   369,   370,   371,   372,   373,
       0,   374,     0,   375,     0,     0,   378,     0,   380,   381,
     382,   383,   384,     0,     0,   385,   386,     0,   388,     0,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,     0,
     416,   417,     0,   419,     0,   420,   421,   422,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,   433,     0,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,     0,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,   507,   508,   509,     0,   511,   512,   513,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,     0,   528,   529,     0,   530,
       0,   532,   533,   534,   535,   536,     0,   537,   538,   539,
       0,     0,   540,   541,   542,   543,   544,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,   562,
     563,     0,   564,     0,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,     0,   598,     0,   882,   883,   884,   876,
     885,   886,   887,   888,   889,   890,   877,   878,   879,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,  4812,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,     0,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,     0,   511,   512,   513,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,     0,   528,   529,     0,   530,     0,   532,   533,   534,
     535,   536,     0,   537,   538,   539,     0,     0,   540,   541,
     542,   543,   544,     0,   545,   546,   547,   548,   549,   550,
     551,     0,     0,   552,   553,   554,   555,   556,     0,     0,
     557,   558,   559,   560,   561,   562,   563,     0,   564,     0,
     566,   567,   568,   569,     0,     0,   570,     0,     0,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,  1619,
       0,     0,   882,   883,   884,     0,   885,   886,   887,   888,
     889,   890,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,  1620,   236,   237,   238,  1621,  1622,  1623,  1624,
    1625,  1626,  1627,   239,   240,  1628,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,  1629,   253,
     254,   255,   256,   257,   258,  1630,  1631,   259,   260,   261,
     262,   263,  1632,   264,   265,   266,   267,   268,  1633,   269,
    1634,   270,   271,   272,   273,   274,   275,   276,   277,   278,
    1635,   279,   280,   281,   282,   283,   284,  1636,   285,   286,
     287,   288,  1637,  1638,  1639,   289,  1640,  1641,  1642,   290,
     291,   292,   293,   294,   295,   296,   297,   298,  1643,   299,
    1644,   300,   301,   302,   303,   304,   305,  1645,   306,   307,
     308,   309,  1646,  1647,   310,   311,   312,   313,   314,  1648,
     315,   316,   317,  1649,   318,   319,   320,  1650,   321,   322,
     323,   324,   325,   326,   327,   328,   329,  1651,   330,  1652,
     331,   332,   333,   334,  1653,   335,  1654,   336,   337,  1655,
     338,   339,   340,   341,   342,  1656,   343,   344,  1657,   345,
     346,   347,  1658,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,  1659,   358,   359,   360,   361,   362,   363,
     364,  1660,   365,   366,   367,   368,   369,   370,   371,   372,
     373,  1661,   374,  1662,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,  1663,  1664,   385,   386,   387,   388,
     389,  1665,   390,   391,   392,  1666,  1667,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
    1668,   416,   417,   418,   419,  1669,   420,   421,   422,   423,
     424,   425,  1670,   426,   427,  1671,  1672,   428,   429,   430,
    1673,  1674,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,  1675,   447,
     448,   449,   450,   451,   452,   453,   454,  1676,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,  1677,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,  1678,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,  1679,   500,   501,   502,   503,
     504,  1680,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,  1681,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,  1682,   528,   529,  1683,
     530,   531,   532,   533,   534,   535,   536,  1684,   537,   538,
     539,  1685,  1686,   540,   541,   542,   543,   544,  1687,   545,
     546,   547,   548,   549,   550,   551,  1688,  1689,   552,   553,
     554,   555,   556,  1690,  1691,   557,   558,   559,   560,   561,
     562,   563,  1692,   564,   565,   566,   567,   568,   569,  1693,
    1694,   570,  1695,  1696,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   598,     0,     0,     0,     0,     0,
       0,     0,     0,  1697,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,     0,   245,   246,   247,   248,   249,
       0,   251,   252,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,   261,   262,   263,     0,   264,   265,
     266,   267,   268,     0,     0,     0,   270,   271,   272,   273,
     274,     0,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,     0,   286,   287,   288,     0,     0,     0,
       0,     0,     0,     0,   290,   291,   292,   293,   294,   295,
     296,   297,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,   312,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,   325,   326,   327,
     328,   329,     0,   330,     0,   331,   332,   333,   334,     0,
     335,     0,   336,     0,     0,     0,   339,   340,   341,   342,
       0,   343,   344,     0,   345,   346,   347,     0,   348,   349,
     350,   351,   352,     0,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,     0,   367,
     368,   369,   370,   371,   372,   373,     0,   374,     0,   375,
       0,     0,   378,     0,   380,   381,   382,   383,   384,     0,
       0,   385,   386,     0,   388,     0,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     0,
     411,   412,   413,   414,   415,     0,   416,   417,     0,   419,
       0,   420,   421,   422,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,   433,
       0,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,     0,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,   507,
     508,   509,     0,   511,   512,   513,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,     0,   528,   529,     0,   530,     0,   532,   533,   534,
     535,   536,     0,   537,   538,   539,     0,     0,   540,   541,
     542,   543,   544,     0,   545,   546,   547,   548,   549,   550,
     551,     0,     0,   552,   553,   554,   555,   556,     0,     0,
     557,   558,   559,   560,   561,   562,   563,     0,   564,     0,
     566,   567,   568,   569,     0,     0,   570,     0,     0,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   598,
       0,     0,     0,     0,     0,     0,     0,     0,   814,     0,
       0,     0,     0,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
       0,     0,     0,   239,   240,     0,   241,   242,   243,     0,
     245,   246,   247,   248,   249,     0,   251,   252,     0,   253,
     254,   255,   256,   257,   258,     0,     0,   259,   260,   261,
     262,   263,     0,   264,   265,   266,   267,   268,     0,     0,
       0,   270,   271,   272,   273,   274,     0,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,     0,   286,
     287,   288,     0,     0,     0,     0,     0,     0,     0,   290,
     291,   292,   293,   294,   295,   296,   297,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,   312,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,   325,   326,   327,   328,   329,     0,   330,     0,
     331,   332,   333,   334,     0,   335,     0,   336,     0,     0,
       0,   339,   340,   341,   342,     0,   343,   344,     0,   345,
     346,   347,     0,   348,   349,   350,   351,   352,     0,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,     0,   367,   368,   369,   370,   371,   372,
     373,     0,   374,     0,   375,     0,     0,   378,     0,   380,
     381,   382,   383,   384,     0,     0,   385,   386,     0,   388,
       0,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     0,   411,   412,   413,   414,   415,
       0,   416,   417,     0,   419,     0,   420,   421,   422,   423,
     424,   425,     0,   426,   427,     0,     0,   428,   429,   430,
       0,     0,   431,   432,   433,     0,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,     0,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,   507,   508,   509,     0,   511,   512,
     513,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,     0,   528,   529,     0,
     530,     0,   532,   533,   534,   535,   536,     0,   537,   538,
     539,     0,     0,   540,   541,   542,   543,   544,     0,   545,
     546,   547,   548,   549,   550,   551,     0,     0,   552,   553,
     554,   555,   556,     0,     0,   557,   558,   559,   560,   561,
     562,   563,     0,   564,     0,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,  1057,     0,     0,     0,     0,     0,
       0,     0,     0,  5211,     0,     0,     0,     0,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,     0,  1058,
     250,  1059,  1060,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,  1061,  1062,   263,     0,   264,   265,
     266,   267,     0,     0,   269,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,     0,     0,     0,
     289,     0,     0,     0,   290,   291,   292,   293,   294,   295,
    1063,  1064,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,  1065,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,     0,   326,   327,
     328,     0,     0,   330,     0,   331,   332,  1066,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,     0,     0,     0,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,  2153,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,  2154,
     368,   369,   370,   371,  1068,  1069,     0,  1070,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,     0,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1071,   410,
    1072,   412,   413,   414,     0,     0,   416,   417,   418,   419,
       0,     0,   421,  1073,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,  2155,   431,   432,  2156,
     434,   435,   436,     0,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,     0,   450,     0,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,  1074,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,  2157,
     508,   509,   510,   511,   512,  1076,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,     0,   528,   529,     0,   530,   531,   532,   533,   534,
     535,   536,     0,   537,  1077,  1078,     0,     0,   540,   541,
       0,   543,     0,     0,   545,   546,   547,   548,   549,   550,
     551,     0,     0,   552,   553,   554,   555,   556,     0,     0,
     557,   558,   559,   560,   561,     0,  1079,  2158,   564,   565,
     566,   567,   568,   569,     0,     0,   570,     0,     0,   571,
     572,   573,   574,   575,   576,  2475,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   588,   589,   590,     0,
     228,   229,   230,   231,   232,   233,   234,   235,  2159,   236,
     237,   238,     0,     0,     0,     0,     0,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,     0,
    1058,   250,  1059,  1060,     0,   253,   254,   255,   256,   257,
     258,     0,     0,   259,   260,  1061,  1062,   263,     0,   264,
     265,   266,   267,     0,     0,   269,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,     0,     0,
       0,   289,     0,     0,     0,   290,   291,   292,   293,   294,
     295,  1063,  1064,   298,     0,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1065,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,     0,   326,
     327,   328,     0,     0,   330,     0,   331,   332,  1066,   334,
       0,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,     0,     0,     0,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,  2153,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
    2154,   368,   369,   370,   371,  1068,  1069,     0,  1070,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,     0,   387,   388,   389,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1071,
     410,  1072,   412,   413,   414,     0,     0,   416,   417,   418,
     419,     0,     0,   421,  1073,   423,   424,   425,     0,   426,
     427,     0,     0,   428,   429,   430,     0,  2155,   431,   432,
    2156,   434,   435,   436,     0,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,     0,   450,     0,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1074,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
    2157,   508,   509,   510,   511,   512,  1076,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,     0,     0,   528,   529,     0,   530,   531,   532,   533,
     534,   535,   536,     0,   537,  1077,  1078,     0,     0,   540,
     541,     0,   543,     0,     0,   545,   546,   547,   548,   549,
     550,   551,     0,     0,   552,   553,   554,   555,   556,     0,
       0,   557,   558,   559,   560,   561,     0,  1079,  2158,   564,
     565,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,   862,  1489,   659,     0,
       0,     0,   720,     0,     0,     0,     0,   588,   589,   590,
       0,   228,   229,   230,   231,   232,   233,   234,   235,  2159,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,  2084,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,  1906,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,  1907,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,  1908,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   862,  1489,   659,     0,     0,     0,   720,  1490,  1491,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,     0,     0,     0,   289,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
    2089,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,  1906,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,   386,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,     0,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,  1907,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
    1908,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   862,  1489,   659,     0,
       0,     0,   720,  1490,  1491,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,  1906,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,  1907,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,  1908,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   862,     0,   659,     0,     0,     0,   720,  1490,  1491,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,     0,     0,     0,   289,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
    2939,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,  1906,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,   386,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,     0,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,  1907,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
    1908,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,   720,   732,   733,     0,     0,     0,     0,     0,
       0,   228,   721,   230,   231,   232,   233,   234,   235,   722,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   723,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   724,   333,
     334,     0,   335,     0,   725,     0,   726,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
     727,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     728,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   729,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   730,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   731,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,  1619,  5421,   659,     0,     0,     0,   720,   732,   733,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,  1620,   236,   237,   238,  1621,  1622,
    1623,  1624,  1625,  1626,  1627,   239,   240,  1628,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
    1629,   253,   254,   255,   256,   257,   258,  1630,  1631,   259,
     260,   261,   262,   263,  1632,   264,   265,   266,   267,   268,
    1633,   269,  1634,   270,   271,   272,   273,   274,   275,   276,
     277,   278,  1635,   279,   280,   281,   282,   283,   284,  1636,
     285,   286,   287,   288,  1637,  1638,  1639,   289,  1640,  1641,
    1642,   290,   291,   292,   293,   294,   295,   296,   297,   298,
    1643,   299,  1644,   300,   301,   302,   303,   304,   305,  1645,
     306,   307,   308,   309,  1646,  1647,   310,   311,   312,   313,
     314,  1648,   315,   316,   317,  1649,   318,   319,   320,  1650,
     321,   322,   323,   324,   325,   326,   327,   328,   329,  1651,
     330,  1652,   331,   332,   333,   334,  1653,   335,  1654,   336,
     337,  1655,   338,   339,   340,   341,   342,  1656,   343,   344,
    1657,   345,   346,   347,  1658,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,  1659,   358,   359,   360,   361,
     362,   363,   364,  1660,   365,   366,   367,   368,   369,   370,
     371,   372,   373,  1661,   374,  1662,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,  1663,  1664,   385,   386,
     387,   388,   389,  1665,   390,   391,   392,  1666,  1667,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,  1668,   416,   417,   418,   419,  1669,   420,   421,
     422,   423,   424,   425,  1670,   426,   427,  1671,  1672,   428,
     429,   430,  1673,  1674,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
    1675,   447,   448,   449,   450,   451,   452,   453,   454,  1676,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,  1677,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,  1678,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,  1679,   500,   501,
     502,   503,   504,  1680,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,  1681,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,  1682,   528,
     529,  1683,   530,   531,   532,   533,   534,   535,   536,  1684,
     537,   538,   539,  1685,  1686,   540,   541,   542,   543,   544,
    1687,   545,   546,   547,   548,   549,   550,   551,  1688,  1689,
     552,   553,   554,   555,   556,  1690,  1691,   557,   558,   559,
     560,   561,   562,   563,  1692,   564,   565,   566,   567,   568,
     569,  1693,  1694,   570,  1695,  1696,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,  1619,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,  1620,
     236,   237,   238,  1621,  1622,  1623,  1624,  1625,  1626,  1627,
     239,   240,  1628,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,  1629,   253,   254,   255,   256,
     257,   258,  1630,  1631,   259,   260,   261,   262,   263,  1632,
     264,   265,   266,   267,   268,  1633,   269,  1634,   270,   271,
     272,   273,   274,   275,   276,   277,   278,  1635,   279,   280,
     281,   282,   283,   284,  1636,   285,   286,   287,   288,  1637,
    1638,  1639,   289,  1640,  1641,  1642,   290,   291,   292,   293,
     294,   295,   296,   297,   298,  1643,   299,  1644,   300,   301,
     302,   303,   304,   305,  1645,   306,   307,   308,   309,  1646,
    1647,   310,   311,   312,   313,   314,  1648,   315,   316,   317,
    1649,   318,   319,   320,  1650,   321,   322,   323,   324,   325,
     326,   327,   328,   329,  1651,   330,  1652,   331,   332,   333,
     334,  1653,   335,  1654,   336,   337,  1655,   338,   339,   340,
     341,   342,  1656,   343,   344,  1657,   345,   346,   347,  1658,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
    1659,   358,   359,   360,   361,   362,   363,   364,  1660,   365,
     366,   367,   368,   369,   370,   371,   372,   373,  1661,   374,
    1662,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,  1663,  1664,   385,   386,   387,   388,   389,  1665,   390,
     391,   392,  1666,  1667,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,  1668,   416,   417,
     418,   419,  1669,   420,   421,   422,   423,   424,   425,  1670,
     426,   427,  1671,  1672,   428,   429,   430,  1673,  1674,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,  1675,   447,   448,   449,   450,
     451,   452,   453,   454,  1676,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
    1677,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,  1678,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,  1679,   500,   501,   502,   503,   504,  1680,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,  1681,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,  1682,   528,   529,  1683,   530,   531,   532,
     533,   534,   535,   536,  1684,   537,   538,   539,  1685,  1686,
     540,   541,   542,   543,   544,  1687,   545,   546,   547,   548,
     549,   550,   551,  1688,  1689,   552,   553,   554,   555,   556,
    1690,  1691,   557,   558,   559,   560,   561,   562,   563,  1692,
     564,   565,   566,   567,   568,   569,  1693,  1694,   570,  1695,
    1696,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,  1619,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
    3057,   233,   234,   235,  1620,   236,   237,   238,  1621,  1622,
    1623,  1624,  1625,  1626,  1627,   239,   240,  1628,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
    1629,   253,   254,   255,   256,   257,   258,  1630,  1631,   259,
     260,   261,   262,   263,  1632,   264,   265,   266,   267,   268,
    1633,   269,  1634,   270,   271,   272,   273,   274,   275,   276,
     277,   278,  1635,   279,   280,   281,   282,   283,   284,  1636,
     285,   286,   287,   288,  1637,  1638,  1639,   289,  1640,  1641,
    1642,   290,   291,   292,   293,   294,   295,   296,   297,   298,
    1643,   299,  1644,   300,   301,   302,   303,   304,   305,  1645,
     306,   307,   308,   309,  1646,  1647,   310,   311,   312,  3058,
     314,  1648,   315,   316,   317,  1649,   318,   319,   320,  1650,
     321,   322,   323,   324,   325,   326,   327,   328,   329,  1651,
     330,  1652,   331,   332,   333,   334,  1653,   335,  1654,   336,
     337,  1655,   338,   339,   340,   341,   342,  1656,   343,   344,
    1657,   345,   346,   347,  1658,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,  1659,   358,   359,   360,   361,
     362,   363,   364,  1660,   365,   366,   367,   368,   369,   370,
     371,   372,   373,  1661,   374,  1662,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,  1663,  1664,   385,   386,
     387,   388,   389,  1665,   390,   391,   392,  1666,  1667,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,  1668,   416,   417,   418,   419,  1669,   420,   421,
     422,   423,   424,   425,  1670,   426,   427,  1671,  1672,   428,
     429,   430,  1673,  1674,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
    1675,   447,   448,   449,   450,   451,   452,   453,   454,  1676,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,  1677,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,  1678,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,  1679,   500,   501,
     502,   503,   504,  1680,  3059,   506,   507,   508,   509,   510,
     511,   512,   513,   514,  1681,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,  1682,   528,
     529,  1683,   530,   531,   532,   533,   534,   535,   536,  1684,
     537,   538,   539,  1685,  1686,   540,   541,   542,   543,   544,
    1687,   545,   546,   547,   548,   549,   550,   551,  1688,  1689,
     552,   553,   554,   555,   556,  1690,  1691,   557,   558,   559,
     560,   561,   562,   563,  1692,   564,   565,   566,   567,   568,
     569,  1693,  1694,   570,  1695,  1696,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,  1217,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,  1220,     0,  1221,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,  1222,
    1223,  1224,  1225,  1226,  1227,  1228,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,  1233,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,  1236,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,  1241,   387,   388,   389,     0,   390,
     391,   392,  1242,  1243,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,  1248,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,  1251,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,  1252,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,  1255,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,  1257,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,  1260,   543,  1261,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
    1264,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,  1266,  1267,
    1268,  1269,   582,  1270,  1271,  1272,  1273,   587,   588,   589,
     590,   862,     0,   659,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,     0,     0,     0,   289,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,  1906,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,   386,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,     0,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,  1907,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
    1908,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   862,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,   900,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,   863,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   864,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   862,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,   920,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,     0,     0,     0,   289,     0,     0,
     863,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,   386,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   921,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,     0,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   864,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   862,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,   863,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   864,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
    2418,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   862,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,     0,     0,     0,   289,     0,     0,
     863,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,   344,
    3409,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,   386,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,     0,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   864,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   862,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,   863,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   864,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   862,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,     0,     0,     0,   289,     0,     0,
     863,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,   386,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,  1026,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,     0,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   864,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   862,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,   863,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1102,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   864,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   862,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,     0,     0,     0,   289,     0,     0,
     863,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  1115,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,   386,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,     0,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   864,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   862,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,   863,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1127,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,  1128,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   864,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   862,     0,   659,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,     0,     0,     0,   289,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
    2069,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,   386,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,     0,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   862,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     3,     4,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   862,     0,   659,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,     0,     0,     0,   289,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,   386,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,     0,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   862,     0,   659,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1892,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,     0,     0,     0,   289,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,   386,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,     0,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1049,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,     0,     0,     0,   289,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  1099,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,   386,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,     0,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1113,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,   269,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,     0,     0,     0,   289,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  1117,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,   386,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,     0,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   862,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,   386,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,     0,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,  2193,   264,   265,   266,   267,   268,
       0,     0,  2272,   270,   271,   272,   273,   274,     0,   276,
     277,   278,  2194,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
    2273,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,  2196,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  2274,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,  2197,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,  2198,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,  2193,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,  2194,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,  2273,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,  2196,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,  3268,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,  2197,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,  2198,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   777,   234,   235,   739,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,   740,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,   778,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   741,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   742,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,   739,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,   740,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,  2946,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     741,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   742,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,  2193,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,  2194,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
    2273,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,  2196,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,  2197,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,  2198,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,   739,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,   740,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     741,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   742,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,  1933,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,  1934,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,  1935,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,  1936,   336,
       0,     0,     0,  1937,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,  1938,  1939,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,  1940,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,  1941,   489,   490,   491,   492,
     493,  1942,   495,   496,   497,   498,   499,     0,  1943,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,  1944,   530,     0,  1945,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,  1946,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,   740,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     741,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   742,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,   913,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   914,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,   809,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,  3038,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
    3039,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,  3051,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,  3052,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,   599,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,   650,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   651,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,   769,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   770,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   771,   539,     0,     0,
     772,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,   803,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   804,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   805,   539,     0,     0,   806,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,   809,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,   871,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   872,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,  1041,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,  1311,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,  1322,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   789,   260,   261,   262,  1323,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   792,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   793,   486,   487,
     488,   489,   490,   491,   492,   493,   794,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,  1315,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   796,   539,     0,     0,
     797,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   798,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  1435,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,   809,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,  1494,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1495,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,   769,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,  2837,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,  2838,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,  2839,   530,     0,   532,
    2840,   534,  2841,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,  2842,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,   659,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,   720,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,  4100,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,  4114,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     755,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     767,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   789,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   790,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   791,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   792,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   793,   486,   487,
     488,   489,   490,   491,   492,   493,   794,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   795,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   796,   539,     0,     0,
     797,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   798,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   820,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   896,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   906,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   924,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   991,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   997,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  1014,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1017,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  1019,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1055,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  1119,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1121,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  1131,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1134,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  1137,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   789,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   792,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   793,   486,   487,
     488,   489,   490,   491,   492,   493,   794,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,  1315,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   796,   539,     0,     0,
     797,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   798,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  1753,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1791,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  1793,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1864,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  1866,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  1868,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
    1969,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,  2146,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,     0,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   789,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   792,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   793,   486,   487,   488,   489,   490,   491,   492,
     493,   794,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,  1315,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,  2180,   533,   534,   535,   536,     0,
     537,   796,   539,     0,     0,   797,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   798,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   789,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   792,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   793,   486,   487,
     488,   489,   490,   491,   492,   493,  2257,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,  2258,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   796,   539,     0,     0,
    2259,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   798,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   789,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   792,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   793,   486,   487,   488,   489,   490,   491,   492,
     493,  2336,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,  2258,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   796,   539,     0,     0,  2259,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   798,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   789,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   792,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   793,   486,   487,
     488,   489,   490,   491,   492,   493,  2353,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,  2258,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   796,   539,     0,     0,
    2259,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   798,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  2555,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  2559,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  2631,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  2957,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   789,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,   352,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   792,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   793,   486,   487,   488,   489,   490,   491,   492,
     493,   794,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,  2258,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   796,   539,     0,     0,  2259,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   798,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  3026,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  3041,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,  3043,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  3186,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,     0,   245,   246,   247,
     248,   249,     0,   251,   252,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,   261,   262,   263,     0,
     264,   265,   266,   267,   268,     0,     0,     0,   270,   271,
     272,   273,   274,     0,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,     0,   286,   287,   288,     0,
       0,     0,     0,     0,     0,     0,   290,   291,   292,   293,
     294,   295,   296,   297,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,  3222,   312,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,   325,
     326,   327,   328,   329,     0,   330,     0,   331,   332,   333,
     334,     0,   335,     0,   336,     0,     0,     0,   339,   340,
     341,   342,     0,   343,   344,     0,   345,   346,   347,     0,
     348,   349,   350,   351,   352,     0,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
       0,   367,   368,   369,   370,   371,   372,   373,     0,   374,
       0,   375,     0,     0,   378,     0,   380,   381,   382,   383,
     384,     0,     0,   385,   386,     0,   388,     0,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     0,   411,   412,   413,   414,   415,     0,   416,   417,
       0,   419,     0,   420,   421,   422,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,   433,     0,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,     0,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,   507,   508,   509,     0,   511,   512,   513,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,     0,   528,   529,     0,   530,     0,   532,
     533,   534,   535,   536,     0,   537,   538,   539,     0,     0,
     540,   541,   542,   543,   544,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,   562,   563,     0,
     564,     0,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,     0,   245,   246,   247,   248,   249,     0,   251,   252,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,   261,   262,   263,     0,   264,   265,   266,   267,   268,
       0,     0,     0,   270,   271,   272,   273,   274,     0,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
       0,   286,   287,   288,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,   293,   294,   295,   296,   297,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,   325,   326,   327,   328,   329,     0,
     330,     0,   331,   332,   333,   334,     0,   335,     0,   336,
       0,     0,     0,   339,   340,   341,   342,     0,   343,   344,
       0,   345,   346,   347,     0,   348,   349,   350,   351,  4371,
       0,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,     0,   367,   368,   369,   370,
     371,   372,   373,     0,   374,     0,   375,     0,     0,   378,
       0,   380,   381,   382,   383,   384,     0,     0,   385,   386,
       0,   388,     0,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     0,   411,   412,   413,
     414,   415,     0,   416,   417,     0,   419,     0,   420,   421,
     422,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,   433,     0,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,     0,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,   507,   508,   509,     0,
     511,   512,   513,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,     0,   528,
     529,     0,   530,     0,   532,   533,   534,   535,   536,     0,
     537,   538,   539,     0,     0,   540,   541,   542,   543,   544,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,   562,   563,     0,   564,     0,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,  1057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
       0,  1058,   250,  1059,  1060,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,  1061,  1062,   263,     0,
     264,   265,   266,   267,     0,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,  1063,  1064,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1065,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,     0,
     326,   327,   328,     0,     0,   330,     0,   331,   332,  1066,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,     0,     0,     0,   346,   347,     0,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
    2153,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,  2154,   368,   369,   370,   371,  1068,  1069,     0,  1070,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,     0,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1071,   410,  1072,   412,   413,   414,     0,     0,   416,   417,
     418,   419,     0,     0,   421,  1073,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,  2156,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,     0,   450,
       0,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1074,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,  2157,   508,   509,   510,   511,   512,  1076,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,  1077,  1078,     0,     0,
     540,   541,     0,   543,     0,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,     0,  1079,  2158,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,   598,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   588,   589,
     590,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,     0,   245,   246,
     247,   248,   249,     0,   251,   252,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,   261,   262,   263,
       0,   264,   265,   266,   267,   268,     0,     0,     0,   270,
     271,   272,   273,   274,     0,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,     0,   286,   287,   288,
       0,     0,     0,     0,     0,     0,     0,   290,   291,   292,
     293,   294,   295,   296,   297,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,   312,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
     325,   326,   327,   328,   329,     0,   330,     0,   331,   332,
     333,   334,     0,   335,     0,   336,     0,     0,     0,   339,
     340,   341,   342,     0,   343,   344,     0,   345,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   367,   368,   369,   370,   371,   372,   373,     0,
     374,     0,   375,     0,     0,   378,     0,   380,   381,   382,
     383,   384,     0,     0,   385,   386,     0,   388,     0,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     0,   411,   412,   413,   414,   415,     0,   416,
     417,     0,   419,     0,   420,   421,   422,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,   433,     0,   435,     0,   437,   438,   439,   440,
     441,   442,   443,     0,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,     0,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,     0,   485,   486,
     487,   488,   489,   490,     0,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,   507,   508,   509,     0,   511,   512,   513,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,     0,   528,   529,     0,   530,     0,
     532,   533,   534,   535,   536,     0,   537,   538,   539,     0,
       0,   540,   541,   542,   543,   544,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,   562,   563,
       0,   564,     0,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,  1057,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,   244,   245,   246,   247,     0,  1058,   250,  1059,
    1060,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,  1061,  1062,   263,     0,   264,   265,   266,   267,
       0,     0,   269,     0,   270,   271,   272,   273,   274,   275,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,   285,   286,   287,   288,     0,     0,     0,   289,     0,
       0,     0,   290,   291,   292,   293,   294,   295,  1063,  1064,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,  1065,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,     0,   326,   327,   328,     0,
       0,   330,     0,   331,   332,  1066,   334,     0,   335,     0,
     336,   337,     0,   338,   339,   340,   341,   342,     0,   343,
       0,     0,     0,   346,   347,     0,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,   366,     0,   368,   369,
     370,   371,  1068,  1069,     0,  1070,     0,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,   385,
       0,   387,   388,   389,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,  1071,   410,  1072,   412,
     413,   414,     0,     0,   416,   417,   418,   419,  2253,     0,
     421,  1073,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,     0,   434,   435,
     436,     0,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,     0,   450,     0,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,  1074,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,  2157,   508,   509,
     510,   511,   512,  1076,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,     0,
     528,   529,  3937,   530,   531,   532,   533,   534,   535,   536,
       0,   537,  1077,  1078,     0,     0,   540,   541,     0,   543,
       0,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,     0,  1079,     0,   564,   565,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,  1057,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   588,   589,   590,     0,   228,   229,
     230,   231,   232,   233,   234,   235,     0,   236,   237,   238,
       0,     0,     0,     0,     0,     0,     0,   239,   240,     0,
     241,   242,   243,   244,   245,   246,   247,     0,  1058,   250,
    1059,  1060,     0,   253,   254,   255,   256,   257,   258,     0,
       0,   259,   260,  1061,  1062,   263,     0,   264,   265,   266,
     267,     0,     0,   269,     0,   270,   271,   272,   273,   274,
     275,   276,   277,   278,     0,   279,   280,   281,   282,   283,
     284,     0,   285,   286,   287,   288,     0,     0,     0,   289,
       0,     0,     0,   290,   291,   292,   293,   294,   295,  1063,
    1064,   298,     0,   299,     0,   300,   301,   302,   303,   304,
     305,     0,   306,   307,   308,   309,     0,     0,   310,   311,
    1065,   313,   314,     0,   315,   316,   317,     0,   318,   319,
     320,     0,   321,   322,   323,   324,     0,   326,   327,   328,
       0,     0,   330,     0,   331,   332,  1066,   334,     0,   335,
       0,   336,   337,     0,   338,   339,   340,   341,   342,     0,
     343,     0,     0,     0,   346,   347,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,     0,   358,   359,
     360,   361,   362,   363,   364,     0,   365,   366,     0,   368,
     369,   370,   371,  1068,  1069,     0,  1070,     0,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,     0,     0,
     385,     0,   387,   388,   389,     0,   390,   391,   392,     0,
       0,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,  1071,   410,  1072,
     412,   413,   414,  2325,     0,   416,   417,   418,   419,     0,
       0,   421,  1073,   423,   424,   425,     0,   426,   427,     0,
       0,   428,   429,   430,     0,     0,   431,   432,     0,   434,
     435,   436,     0,   438,   439,   440,   441,   442,   443,   444,
     445,   446,     0,   447,   448,     0,   450,     0,   452,   453,
     454,     0,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,  1074,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
       0,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,  1075,   508,
     509,   510,   511,   512,  1076,   514,     0,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,     0,
       0,   528,   529,     0,   530,   531,   532,   533,   534,   535,
     536,     0,   537,  1077,  1078,     0,     0,   540,   541,     0,
     543,     0,     0,   545,   546,   547,   548,   549,   550,   551,
       0,     0,   552,   553,   554,   555,   556,     0,     0,   557,
     558,   559,   560,   561,     0,  1079,     0,   564,   565,   566,
     567,   568,   569,     0,     0,   570,     0,     0,   571,   572,
     573,   574,   575,   576,  1057,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   588,   589,   590,     0,   228,
     229,   230,   231,   232,   233,   234,   235,     0,   236,   237,
     238,     0,     0,     0,     0,     0,     0,     0,   239,   240,
       0,   241,   242,   243,   244,   245,   246,   247,     0,  1058,
     250,  1059,  1060,     0,   253,   254,   255,   256,   257,   258,
       0,     0,   259,   260,  1061,  1062,   263,     0,   264,   265,
     266,   267,     0,     0,   269,     0,   270,   271,   272,   273,
     274,   275,   276,   277,   278,     0,   279,   280,   281,   282,
     283,   284,     0,   285,   286,   287,   288,     0,     0,     0,
     289,     0,     0,     0,   290,   291,   292,   293,   294,   295,
    1063,  1064,   298,     0,   299,     0,   300,   301,   302,   303,
     304,   305,     0,   306,   307,   308,   309,     0,     0,   310,
     311,  1065,   313,   314,     0,   315,   316,   317,     0,   318,
     319,   320,     0,   321,   322,   323,   324,     0,   326,   327,
     328,     0,     0,   330,     0,   331,   332,  1066,   334,     0,
     335,     0,   336,   337,     0,   338,   339,   340,   341,   342,
       0,   343,     0,     0,     0,   346,   347,     0,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,     0,   358,
     359,   360,   361,   362,   363,   364,     0,   365,   366,     0,
     368,   369,   370,   371,  1068,  1069,     0,  1070,     0,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,   385,     0,   387,   388,   389,     0,   390,   391,   392,
       0,     0,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,  1071,   410,
    1072,   412,   413,   414,  3744,     0,   416,   417,   418,   419,
       0,     0,   421,  1073,   423,   424,   425,     0,   426,   427,
       0,     0,   428,   429,   430,     0,     0,   431,   432,     0,
     434,   435,   436,     0,   438,   439,   440,   441,   442,   443,
     444,   445,   446,     0,   447,   448,     0,   450,     0,   452,
     453,   454,     0,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,  1074,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,     0,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,  1075,
     508,   509,   510,   511,   512,  1076,   514,     0,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,     0,   528,   529,     0,   530,   531,   532,   533,   534,
     535,   536,     0,   537,  1077,  1078,     0,     0,   540,   541,
       0,   543,     0,     0,   545,   546,   547,   548,   549,   550,
     551,     0,     0,   552,   553,   554,   555,   556,     0,     0,
     557,   558,   559,   560,   561,     0,  1079,     0,   564,   565,
     566,   567,   568,   569,     0,     0,   570,     0,     0,   571,
     572,   573,   574,   575,   576,  1057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   588,   589,   590,     0,
     228,   229,   230,   231,   232,   233,   234,   235,     0,   236,
     237,   238,     0,     0,     0,     0,     0,     0,     0,   239,
     240,     0,   241,   242,   243,   244,   245,   246,   247,     0,
    1058,   250,  1059,  1060,     0,   253,   254,   255,   256,   257,
     258,     0,     0,   259,   260,  1061,  1062,   263,     0,   264,
     265,   266,   267,     0,     0,   269,     0,   270,   271,   272,
     273,   274,   275,   276,   277,   278,     0,   279,   280,   281,
     282,   283,   284,     0,   285,   286,   287,   288,     0,     0,
       0,   289,     0,     0,     0,   290,   291,   292,   293,   294,
     295,  1063,  1064,   298,     0,   299,     0,   300,   301,   302,
     303,   304,   305,     0,   306,   307,   308,   309,     0,     0,
     310,   311,  1065,   313,   314,     0,   315,   316,   317,     0,
     318,   319,   320,     0,   321,   322,   323,   324,     0,   326,
     327,   328,     0,     0,   330,     0,   331,   332,  1066,   334,
    5276,   335,     0,   336,   337,     0,   338,   339,   340,   341,
     342,     0,   343,     0,     0,     0,   346,   347,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,     0,
     358,   359,   360,   361,   362,   363,   364,     0,   365,   366,
       0,   368,   369,   370,   371,  1068,  1069,     0,  1070,     0,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
       0,     0,   385,     0,   387,   388,   389,     0,   390,   391,
     392,     0,     0,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,  1071,
     410,  1072,   412,   413,   414,     0,     0,   416,   417,   418,
     419,     0,     0,   421,  1073,   423,   424,   425,     0,   426,
     427,     0,     0,   428,   429,   430,     0,     0,   431,   432,
       0,   434,   435,   436,     0,   438,   439,   440,   441,   442,
     443,   444,   445,   446,     0,   447,   448,     0,   450,     0,
     452,   453,   454,     0,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,  1074,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,     0,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
    1075,   508,   509,   510,   511,   512,  1076,   514,     0,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,     0,     0,   528,   529,     0,   530,   531,   532,   533,
     534,   535,   536,     0,   537,  1077,  1078,     0,     0,   540,
     541,     0,   543,     0,     0,   545,   546,   547,   548,   549,
     550,   551,     0,     0,   552,   553,   554,   555,   556,     0,
       0,   557,   558,   559,   560,   561,     0,  1079,     0,   564,
     565,   566,   567,   568,   569,     0,     0,   570,     0,     0,
     571,   572,   573,   574,   575,   576,  1057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   588,   589,   590,
       0,   228,   229,   230,   231,   232,   233,   234,   235,     0,
     236,   237,   238,     0,     0,     0,     0,     0,     0,     0,
     239,   240,     0,   241,   242,   243,   244,   245,   246,   247,
       0,  1058,   250,  1059,  1060,     0,   253,   254,   255,   256,
     257,   258,     0,     0,   259,   260,  1061,  1062,   263,     0,
     264,   265,   266,   267,     0,     0,   269,     0,   270,   271,
     272,   273,   274,   275,   276,   277,   278,     0,   279,   280,
     281,   282,   283,   284,     0,   285,   286,   287,   288,     0,
       0,     0,   289,     0,     0,     0,   290,   291,   292,   293,
     294,   295,  1063,  1064,   298,     0,   299,     0,   300,   301,
     302,   303,   304,   305,     0,   306,   307,   308,   309,     0,
       0,   310,   311,  1065,   313,   314,     0,   315,   316,   317,
       0,   318,   319,   320,     0,   321,   322,   323,   324,     0,
     326,   327,   328,     0,     0,   330,     0,   331,   332,  1066,
     334,     0,   335,     0,   336,   337,     0,   338,   339,   340,
     341,   342,     0,   343,     0,     0,     0,   346,   347,     0,
     348,   349,   350,   351,  1067,   353,   354,   355,   356,   357,
       0,   358,   359,   360,   361,   362,   363,   364,     0,   365,
     366,     0,   368,   369,   370,   371,  1068,  1069,     0,  1070,
       0,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,   385,     0,   387,   388,   389,     0,   390,
     391,   392,     0,     0,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
    1071,   410,  1072,   412,   413,   414,     0,     0,   416,   417,
     418,   419,     0,     0,   421,  1073,   423,   424,   425,     0,
     426,   427,     0,     0,   428,   429,   430,     0,     0,   431,
     432,     0,   434,   435,   436,     0,   438,   439,   440,   441,
     442,   443,   444,   445,   446,     0,   447,   448,     0,   450,
       0,   452,   453,   454,     0,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,  1074,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,     0,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,  1075,   508,   509,   510,   511,   512,  1076,   514,     0,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,     0,   528,   529,     0,   530,   531,   532,
     533,   534,   535,   536,     0,   537,  1077,  1078,     0,     0,
     540,   541,     0,   543,     0,     0,   545,   546,   547,   548,
     549,   550,   551,     0,     0,   552,   553,   554,   555,   556,
       0,     0,   557,   558,   559,   560,   561,     0,  1079,     0,
     564,   565,   566,   567,   568,   569,     0,     0,   570,     0,
       0,   571,   572,   573,   574,   575,   576,  1057,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   588,   589,
     590,     0,   228,   229,   230,   231,   232,   233,   234,   235,
       0,   236,   237,   238,     0,     0,     0,     0,     0,     0,
       0,   239,   240,     0,   241,   242,   243,   244,   245,   246,
     247,     0,  1058,   250,  1059,  1060,     0,   253,   254,   255,
     256,   257,   258,     0,     0,   259,   260,  1061,  1062,   263,
       0,   264,   265,   266,   267,     0,     0,   269,     0,   270,
     271,   272,   273,   274,   275,   276,   277,   278,     0,   279,
     280,   281,   282,   283,   284,     0,   285,   286,   287,   288,
       0,     0,     0,   289,     0,     0,     0,   290,   291,   292,
     293,   294,   295,  1063,  1064,   298,     0,   299,     0,   300,
     301,   302,   303,   304,   305,     0,   306,   307,   308,   309,
       0,     0,   310,   311,  1065,   313,   314,     0,   315,   316,
     317,     0,   318,   319,   320,     0,   321,   322,   323,   324,
       0,   326,   327,   328,     0,     0,   330,     0,   331,   332,
    1066,   334,     0,   335,     0,   336,   337,     0,   338,   339,
     340,   341,   342,     0,   343,     0,     0,     0,   346,   347,
       0,   348,   349,   350,   351,  1125,   353,   354,   355,   356,
     357,     0,   358,   359,   360,   361,   362,   363,   364,     0,
     365,   366,     0,   368,   369,   370,   371,  1068,  1069,     0,
    1070,     0,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,     0,     0,   385,     0,   387,   388,   389,     0,
     390,   391,   392,     0,     0,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,  1071,   410,  1072,   412,   413,   414,     0,     0,   416,
     417,   418,   419,     0,     0,   421,  1073,   423,   424,   425,
       0,   426,   427,     0,     0,   428,   429,   430,     0,     0,
     431,   432,     0,   434,   435,   436,     0,   438,   439,   440,
     441,   442,   443,   444,   445,   446,     0,   447,   448,     0,
     450,     0,   452,   453,   454,     0,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,  1074,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,     0,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,  1075,   508,   509,   510,   511,   512,  1076,   514,
       0,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,     0,     0,   528,   529,     0,   530,   531,
     532,   533,   534,   535,   536,     0,   537,  1077,  1078,     0,
       0,   540,   541,     0,   543,     0,     0,   545,   546,   547,
     548,   549,   550,   551,     0,     0,   552,   553,   554,   555,
     556,     0,     0,   557,   558,   559,   560,   561,     0,  1079,
       0,   564,   565,   566,   567,   568,   569,     0,     0,   570,
       0,     0,   571,   572,   573,   574,   575,   576,  1057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   588,
     589,   590,     0,   228,   229,   230,   231,   232,   233,   234,
     235,     0,   236,   237,   238,     0,     0,     0,     0,     0,
       0,     0,   239,   240,     0,   241,   242,   243,   244,   245,
     246,   247,     0,  1058,   250,  1059,  1060,     0,   253,   254,
     255,   256,   257,   258,     0,     0,   259,   260,  1061,  1062,
     263,     0,   264,   265,   266,   267,     0,     0,   269,     0,
     270,   271,   272,   273,   274,   275,   276,   277,   278,     0,
     279,   280,   281,   282,   283,   284,     0,   285,   286,   287,
     288,     0,     0,     0,   289,     0,     0,     0,   290,   291,
     292,   293,   294,   295,  1063,  1064,   298,     0,   299,     0,
     300,   301,   302,   303,   304,   305,     0,   306,   307,   308,
     309,     0,     0,   310,   311,  1065,   313,   314,     0,   315,
     316,   317,     0,   318,   319,   320,     0,   321,   322,   323,
     324,     0,   326,   327,   328,     0,     0,   330,     0,   331,
     332,  1066,   334,     0,   335,     0,   336,   337,     0,   338,
     339,   340,   341,   342,     0,   343,     0,     0,     0,   346,
     347,     0,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,     0,   358,   359,   360,   361,   362,   363,   364,
       0,   365,   366,     0,   368,   369,   370,   371,  1068,  1069,
       0,  1070,     0,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,     0,     0,   385,     0,   387,   388,   389,
       0,   390,   391,   392,     0,     0,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,  1071,   410,  1072,   412,   413,   414,     0,     0,
     416,   417,   418,   419,     0,     0,   421,  1073,   423,   424,
     425,     0,   426,   427,     0,     0,   428,   429,   430,     0,
       0,   431,   432,     0,   434,   435,   436,     0,   438,   439,
     440,   441,   442,   443,   444,   445,   446,     0,   447,   448,
       0,   450,     0,   452,   453,   454,     0,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1074,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,     0,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,  1075,   508,   509,   510,   511,   512,  1076,
     514,     0,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,     0,   528,   529,     0,   530,
     531,   532,   533,   534,   535,   536,     0,   537,  1077,  1078,
       0,     0,   540,   541,     0,   543,     0,     0,   545,   546,
     547,   548,   549,   550,   551,     0,     0,   552,   553,   554,
     555,   556,     0,     0,   557,   558,   559,   560,   561,     0,
    1079,     0,   564,   565,   566,   567,   568,   569,     0,     0,
     570,     0,     0,   571,   572,   573,   574,   575,   576,  1057,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     588,   589,   590,     0,   228,   229,   230,   231,   232,   233,
     234,   235,     0,   236,   237,   238,     0,     0,     0,     0,
       0,     0,     0,   239,   240,     0,   241,   242,   243,   244,
     245,   246,   247,     0,  1058,   250,  1059,  1060,     0,   253,
     254,   255,   256,   257,   258,     0,     0,   259,   260,  1061,
    1062,   263,     0,   264,   265,   266,   267,     0,     0,   269,
       0,   270,   271,   272,   273,   274,   275,   276,   277,   278,
       0,   279,   280,   281,   282,   283,   284,     0,   285,   286,
     287,   288,     0,     0,     0,   289,     0,     0,     0,   290,
     291,   292,   293,   294,   295,  1063,  1064,   298,     0,   299,
       0,   300,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   309,     0,     0,   310,   311,  1065,   313,   314,     0,
     315,   316,   317,     0,   318,   319,   320,     0,   321,   322,
     323,   324,     0,   326,   327,   328,     0,     0,   330,     0,
     331,   332,  1066,   334,     0,   335,     0,   336,   337,     0,
     338,   339,   340,   341,   342,     0,   343,     0,     0,     0,
     346,   347,     0,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,     0,   358,   359,   360,   361,   362,   363,
     364,     0,   365,   366,     0,   368,   369,   370,   371,  1068,
    1069,     0,  1070,     0,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,     0,     0,   385,     0,   387,   388,
     389,     0,   390,   391,   392,     0,     0,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,  1071,   410,  1072,   412,   413,   414,     0,
       0,   416,   417,   418,   419,     0,     0,   421,  1073,   423,
     424,   425,     0,   426,   427,     0,     0,   428,   429,   430,
       0,     0,   431,   432,     0,   434,   435,   436,     0,   438,
     439,   440,   441,   442,   443,   444,   445,   446,     0,   447,
     448,     0,   450,     0,   452,   453,   454,     0,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,  1074,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,     0,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,  2157,   508,   509,   510,   511,   512,
    1076,   514,     0,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,     0,     0,   528,   529,     0,
     530,   531,   532,   533,   534,   535,   536,     0,   537,  1077,
    1078,     0,     0,   540,   541,     0,   543,     0,     0,   545,
     546,   547,   548,   549,   550,   551,     0,     0,   552,   553,
     554,   555,   556,     0,     0,   557,   558,   559,   560,   561,
       0,  1079,     0,   564,   565,   566,   567,   568,   569,     0,
       0,   570,     0,     0,   571,   572,   573,   574,   575,   576,
    1057,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   588,   589,   590,     0,   228,   229,   230,   231,   232,
     233,   234,   235,     0,   236,   237,   238,     0,     0,     0,
       0,     0,     0,     0,   239,   240,     0,   241,   242,   243,
     244,   245,   246,   247,     0,  1058,   250,  1059,  1060,     0,
     253,   254,   255,   256,   257,   258,     0,     0,   259,   260,
    1061,  1062,   263,     0,   264,   265,   266,   267,     0,     0,
     269,     0,   270,   271,   272,   273,   274,   275,   276,   277,
     278,     0,   279,   280,   281,   282,   283,   284,     0,   285,
     286,   287,   288,     0,     0,     0,   289,     0,     0,     0,
     290,   291,   292,   293,   294,   295,  1063,  1064,   298,     0,
     299,     0,   300,   301,   302,   303,   304,   305,     0,   306,
     307,   308,   309,     0,     0,   310,   311,  1065,   313,   314,
       0,   315,   316,   317,     0,   318,   319,   320,     0,   321,
     322,   323,   324,     0,   326,   327,   328,     0,     0,   330,
       0,   331,   332,  1066,   334,     0,   335,     0,   336,   337,
       0,   338,   339,   340,   341,   342,     0,   343,     0,     0,
       0,   346,   347,     0,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,     0,   358,   359,   360,   361,   362,
     363,   364,     0,   365,   366,     0,   368,   369,   370,   371,
    1068,  1069,     0,  1070,     0,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,     0,     0,   385,     0,   387,
     388,   389,     0,   390,   391,   392,     0,     0,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,  1071,   410,  1072,   412,   413,   414,
       0,     0,   416,   417,   418,   419,     0,     0,   421,  1073,
     423,   424,   425,     0,   426,   427,     0,     0,   428,   429,
     430,     0,     0,   431,   432,     0,   434,   435,   436,     0,
     438,   439,   440,   441,   442,   443,   444,   445,   446,     0,
     447,   448,     0,   450,     0,   452,   453,   454,     0,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,  1074,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,     0,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,     0,   508,   509,   510,   511,
     512,  1076,   514,     0,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,     0,   528,   529,
       0,   530,   531,   532,   533,   534,   535,   536,     0,   537,
    1077,  1078,     0,     0,   540,   541,     0,   543,     0,     0,
     545,   546,   547,   548,   549,   550,   551,     0,     0,   552,
     553,   554,   555,   556,     0,     0,   557,   558,   559,   560,
     561,     0,  1079,     0,   564,   565,   566,   567,   568,   569,
       0,     0,   570,     0,     0,   571,   572,   573,   574,   575,
     576,  1057,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   588,   589,   590,     0,   228,   229,   230,   231,
     232,   233,   234,   235,     0,   236,   237,   238,     0,     0,
       0,     0,     0,     0,     0,   239,   240,     0,   241,   242,
     243,   244,   245,   246,   247,     0,     0,   250,     0,     0,
       0,   253,   254,   255,   256,   257,   258,     0,     0,   259,
     260,     0,     0,   263,     0,   264,   265,   266,   267,     0,
       0,   269,     0,   270,   271,   272,   273,   274,   275,   276,
     277,   278,     0,   279,   280,   281,   282,   283,   284,     0,
     285,   286,   287,   288,     0,     0,     0,   289,     0,     0,
       0,   290,   291,   292,   293,   294,   295,     0,     0,   298,
       0,   299,     0,   300,   301,   302,   303,   304,   305,     0,
     306,   307,   308,   309,     0,     0,   310,   311,   312,   313,
     314,     0,   315,   316,   317,     0,   318,   319,   320,     0,
     321,   322,   323,   324,     0,   326,   327,   328,     0,     0,
     330,     0,   331,   332,     0,   334,     0,   335,     0,   336,
     337,     0,   338,   339,   340,   341,   342,     0,   343,     0,
       0,     0,   346,   347,     0,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,     0,   358,   359,   360,   361,
     362,   363,   364,     0,   365,   366,     0,   368,   369,   370,
     371,     0,     0,     0,     0,     0,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,     0,     0,   385,     0,
     387,   388,   389,     0,   390,   391,   392,     0,     0,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,     0,   410,     0,   412,   413,
     414,     0,     0,   416,   417,   418,   419,     0,     0,   421,
       0,   423,   424,   425,     0,   426,   427,     0,     0,   428,
     429,   430,     0,     0,   431,   432,     0,   434,   435,   436,
       0,   438,   439,   440,   441,   442,   443,   444,   445,   446,
       0,   447,   448,     0,   450,     0,   452,   453,   454,     0,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,     0,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,   508,   509,   510,
     511,   512,     0,   514,     0,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,     0,     0,   528,
     529,     0,   530,   531,   532,   533,   534,   535,   536,     0,
     537,     0,     0,     0,     0,   540,   541,     0,   543,     0,
       0,   545,   546,   547,   548,   549,   550,   551,     0,     0,
     552,   553,   554,   555,   556,     0,     0,   557,   558,   559,
     560,   561,     0,     0,     0,   564,   565,   566,   567,   568,
     569,     0,     0,   570,     0,     0,   571,   572,   573,   574,
     575,   576,  4934,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   588,   589,   590,     0,   228,   229,   230,
     231,   232,   233,   234,   235,     0,   236,   237,   238,     0,
       0,     0,     0,     0,     0,     0,   239,   240,     0,   241,
     242,   243,     0,   245,   246,   247,     0,     0,     0,     0,
       0,     0,   253,   254,   255,   256,   257,   258,     0,     0,
     259,   260,     0,     0,   263,     0,   264,   265,   266,   267,
       0,     0,     0,     0,   270,   271,   272,   273,   274,     0,
     276,   277,   278,     0,   279,   280,   281,   282,   283,   284,
       0,     0,   286,   287,   288,     0,     0,     0,     0,     0,
       0,     0,   290,   291,   292,   293,   294,   295,     0,     0,
     298,     0,   299,     0,   300,   301,   302,   303,   304,   305,
       0,   306,   307,   308,   309,     0,     0,   310,   311,   312,
     313,   314,     0,   315,   316,   317,     0,   318,   319,   320,
       0,   321,   322,   323,   324,     0,   326,   327,   328,     0,
       0,   330,     0,   331,   332,     0,   334,     0,   335,     0,
     336,     0,     0,     0,   339,   340,   341,   342,     0,   343,
       0,     0,     0,   346,   347,     0,   348,   349,   350,   351,
     352,     0,   354,   355,   356,   357,     0,   358,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   368,   369,
     370,   371,     0,     0,     0,     0,     0,   375,     0,     0,
     378,     0,   380,   381,   382,   383,   384,     0,     0,   385,
       0,     0,   388,     0,     0,   390,   391,   392,     0,     0,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,     0,     0,   412,
     413,   414,     0,     0,   416,   417,     0,   419,     0,     0,
     421,     0,   423,   424,   425,     0,   426,   427,     0,     0,
     428,   429,   430,     0,     0,   431,   432,     0,     0,   435,
       0,     0,   438,   439,   440,   441,   442,   443,   444,   445,
     446,     0,   447,   448,     0,   450,     0,   452,   453,   454,
       0,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,     0,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,     0,
     482,   483,     0,   485,   486,   487,   488,   489,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,   508,   509,
       0,   511,   512,     0,   514,     0,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,     0,
     528,   529,     0,   530,     0,   532,   533,   534,   535,   536,
       0,   537,     0,     0,     0,     0,   540,   541,     0,   543,
       0,     0,   545,   546,   547,   548,   549,   550,   551,     0,
       0,   552,   553,   554,   555,   556,     0,     0,   557,   558,
     559,   560,   561,     0,     0,     0,   564,     0,   566,   567,
     568,   569,     0,     0,   570,     0,     0,   571,   572,   573,
     574,   575,   576,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   588,   589,   590
};

static const yytype_int16 yycheck[] =
{
       6,    44,   204,     0,  1147,   790,     0,   627,  1105,    51,
       0,   907,     0,    36,     0,   923,   788,    23,   182,    25,
    1546,  1075,   938,    29,    21,   740,   741,   742,    34,    35,
      36,   746,    38,  1421,   932,    41,    42,   839,    44,   204,
      46,    22,   848,   660,    13,  1169,   934,    28,  1465,   660,
     812,  1458,   813,  2495,     6,   908,  2846,   684,   936,  2564,
    2690,  3030,  1078,   190,  1020,  1200,  1705,  2849,  1787,    45,
     797,   698,  2898,    18,  1063,  1064,   618,  1465,  3319,  3636,
     702,    23,  2407,  2508,  1073,  3057,   994,  3059,  1975,  3591,
     998,   708,  3003,   209,    36,  1003,  3344,  2386,   860,  3347,
    1471,    21,   907,  2161,  2162,  1013,  3254,   223,  2898,  2666,
     915,  3688,  3537,  3246,  1609,  2907,   874,  3916,  3566,  1027,
     925,  3254,  4168,  3300,   707,   697,   184,   199,   670,  3926,
     682,  1482,  2872,   685,  3572,   207,  3636,  3872,   210,   169,
    1958,  4398,    35,  3929,  4558,  4507,  2063,   184,     0,    42,
       8,  3632,  2781,  2019,  3331,  4401,     0,    15,  1450,     0,
       0,  1800,  1399,     0,     0,  1996,  3265,  4352,    50,    41,
       0,  1890,  2128,  2126,     0,   218,   793,     0,     0,   941,
    3915,     0,   793,     0,   190,   191,   192,   193,     0,   195,
    3317,  2917,  2096,   199,  4523,   201,  4525,  4716,   204,  1570,
    2104,   207,  4704,  3612,   210,   836,   836,   213,  3500,   215,
    2324,   858,   218,     9,    49,  4400,   222,  1509,   224,     5,
    3571,    42,  3573,     0,  4578,  1576,  1577,     0,    11,     5,
    4625,  4626,    35,     5,  1526,    22,     9,    26,     0,     0,
    1229,  1230,    42,  1259,    11,     0,    20,  4912,     5,  1009,
     112,   898,    79,    26,     5,    87,   903,     5,     5,     0,
    1249,  1061,  1062,   112,  4618,  1025,    13,    14,     9,     4,
       5,   986,  1072,    40,     9,  1607,  1608,    57,     5,     5,
     114,   170,  2911,     3,    26,    26,  4816,  4817,  1094,     5,
    4658,     5,   163,     5,     5,     5,     5,    13,    14,    13,
      14,    26,     5,  4851,     4,    72,   207,    29,    57,     9,
      30,    31,    57,   105,  4650,   175,    74,     5,   163,  3993,
    3994,   106,  3996,  3997,  3998,  3999,  4000,  3005,   117,     3,
       4,     5,  1413,   117,    57,     9,    57,     4,     5,     9,
     133,    84,     9,     5,   131,   267,   275,   163,    27,   164,
     269,   289,   112,    39,   270,    39,   289,    26,   165,   308,
      38,  5261,    57,  2451,    33,  2453,    57,   120,     4,  2457,
     144,  2459,  2460,     9,   255,   269,   174,   211,   172,    22,
    2468,  2469,  2470,   163,  2498,   144,   163,    47,   116,  1147,
     163,    74,   252,    22,    91,   395,    57,   116,   300,    28,
      57,   163,   163,   112,   339,   155,   191,   141,   163,  1365,
     187,   323,   201,    57,   187,   395,   151,   201,  1218,  1219,
     254,    11,   163,  1339,   428,   187,   187,   341,    26,  1327,
     339,   434,   187,   328,   283,    33,    11,  4939,   112,   339,
      26,   428,   162,    11,   164,  1245,   187,    33,  5113,  4706,
      72,  4780,  1510,  4821,   163,   463,    74,   475,   138,  4705,
     478,   356,   627,   463,   271,    40,    84,   217,   476,  1527,
     474,   371,   169,   288,   383,   478,   476,   311,  1532,  4833,
     208,   416,    72,   395,   151,  1112,   400,    74,   131,   208,
      74,   225,  2606,   158,  2608,   397,   328,    72,   478,   259,
     349,    74,   131,   238,   163,  5405,   241,   185,   164,   625,
      11,    84,   310,  1130,   679,   631,   163,  1279,   163,  1130,
     114,  1399,   182,   202,   259,   474,   442,   187,   644,   163,
    1147,    29,   206,   163,   383,   416,   474,   163,   440,    40,
     334,   474,   340,  4879,  1460,  1307,   117,   362,  1175,   478,
     395,   293,   474,   215,   228,   474,   187,   119,   343,  1186,
     349,   353,   422,   343,   224,   339,  1149,  1325,   375,   356,
     323,    72,  1330,  1331,  1201,   424,  3724,   478,   472,   395,
     329,   408,   476,   105,   329,   359,  3264,  1204,   437,   478,
     145,  3724,   259,  1204,    11,   395,  5010,   382,   383,   605,
     359,   463,   423,   474,   326,   611,   329,   613,   329,   351,
     616,   460,   618,   610,   620,  3748,   610,   339,  5120,   341,
     610,   627,   610,   423,   610,   474,   632,   416,   634,   416,
     310,  1436,   416,  1541,   329,   641,  1544,   395,   329,   474,
     433,  4066,  5172,  5011,   478,   387,   478,   389,  5016,   429,
    5198,   427,   395,   439,  5319,  4093,  4104,  5052,   383,   665,
    4108,   606,   373,   374,   670,  1746,   708,   402,   329,   675,
    3639,   474,   329,   679,   460,   839,   682,   473,   400,   685,
    1438,  4938,   712,  4929,  3925,   329,   395,   470,   474,   474,
    1448,  1496,   465,   466,   380,   701,   380,   366,   474,  1552,
     477,   361,   474,   470,   477,  1322,  3883,  1605,   428,   752,
     707,  1322,   395,  1330,  1331,   477,   477,   474,  4010,  1607,
    1608,  1609,   477,   474,   465,   466,   474,   474,  2060,   478,
     465,   466,  1354,   478,  5253,   402,   477,   706,  4147,  5241,
     721,  4092,   723,  4094,   725,   472,   752,   474,   474,   476,
     731,   439,  1383,  1383,   463,  1515,   958,   478,   474,   765,
     474,   767,   474,  4809,   474,   465,   466,   476,   366,   827,
     813,   474,   460,  3563,  4448,  1533,  3566,   395,  1536,  1537,
     366,   787,   788,   478,   790,   791,   474,   478,   708,   795,
     827,   465,   466,   958,   474,   465,   466,  1894,   465,   466,
     843,   437,  1562,   809,  1928,    22,  3905,   813,   395,   474,
    1457,   395,  1614,   819,   857,   474,   943,   478,   474,  4396,
    5149,   478,   395,  5325,   460,   831,   420,  5181,   326,   465,
     466,   478,   829,   478,   478,   829,  2950,   843,  1935,   829,
    5194,   829,  3969,   829,   478,   416,  3636,   478,   478,  1946,
     472,   857,   478,   105,   476,  2272,   418,  5114,   175,   144,
    3149,   383,  2920,  1510,  2922,  1743,  3291,  1856,    24,   875,
    5116,  2242,   395,  3842,   880,   881,   105,   735,   433,   105,
    1527,   339,   954,  1503,    57,    66,  5388,   105,   960,    45,
     252,   963,   467,   468,   469,   470,   158,   817,  3624,   467,
     468,   469,   470,    84,   163,   911,   912,   334,   155,  5094,
     141,   270,     5,   269,   131,  5329,  5330,   357,  3829,   791,
    2751,  2752,  2878,   795,  2877,  2756,   252,    70,   934,   935,
    5115,    35,   160,     5,   157,     5,  2173,   943,   820,   275,
    5294,     3,   107,     5,   315,  2440,    22,   382,   954,  2320,
      54,   163,   958,   117,   960,   478,   117,   963,  2862,  1717,
    4695,   142,  2793,  2794,   465,   466,   467,   468,   469,   470,
    2262,    81,   978,   240,   205,   187,   343,   829,  1738,   160,
     303,  3610,   417,   112,    81,   829,  5243,  2853,   829,   829,
     417,  2908,   829,   829,  1000,  5357,  5242,  4554,   850,   829,
     104,  1007,  1008,   829,   251,  4505,   829,   829,  3748,     3,
     829,     3,   829,   123,   179,  5429,   474,   829,   911,   912,
      81,  2547,    66,  1029,  1030,  1031,   123,  1033,     5,  1035,
    1036,  1831,  1832,     5,   474,   164,    22,   201,  3949,  4464,
     201,  4541,    28,  2186,   275,   107,   202,  2865,   465,   466,
     467,   468,   469,   470,  4554,   131,   273,   264,  1974,   430,
     422,  1052,   123,   325,  4512,  1375,   114,  5324,  3894,  4517,
    4508,   264,  4520,   296,   359,   240,    95,    22,   243,   252,
     347,  1796,   289,    28,   275,     8,   190,   168,    11,  1080,
     105,    83,    15,    16,    17,  1040,   289,  4896,   142,  1105,
    2016,  1107,  1108,  2157,  3894,   422,   383,   474,   112,  1100,
     327,   328,   107,  3227,  3228,   474,   160,   179,   112,  1110,
     301,   106,    34,  1114,   267,  2348,   255,  1118,   175,  1120,
     456,   383,  4931,  1139,   238,  1126,   395,   241,  3226,   356,
    4937,  1132,   478,   135,  1135,   131,  2062,   228,   252,  2027,
    4391,   474,  1149,   172,   383,  2562,   329,   383,  1943,  1944,
    4895,  4947,   341,  1169,  1170,   383,   259,     8,  1174,  4417,
    1176,    81,  2060,    66,    15,    16,    17,   287,   240,   410,
     284,   243,   347,   356,   179,   349,   131,   259,  3246,   259,
     287,  1197,   284,  4162,  1200,  4930,  3254,  1203,   397,  2422,
     112,  5247,  5248,   237,   463,   252,   191,   187,  4385,   285,
    1216,   259,    81,   123,   166,   418,  4716,   476,   264,   112,
       8,   400,   159,    11,   328,   437,   287,    15,    16,    17,
     411,  4203,   114,   252,   315,  1862,  1278,   252,   285,   231,
    1246,   440,   403,   289,    32,   240,   350,   323,   243,  1876,
     254,  2013,   416,    22,   123,   416,   193,   301,  1830,   165,
     254,   214,  1889,   166,   187,   259,   370,   474,  1274,  1275,
    1276,   474,  1278,  2161,   167,  1897,   323,  1819,   388,     3,
     356,   474,   259,  3341,   475,   347,   209,   478,  1905,   418,
     455,   388,  1298,   285,  1152,  2173,  1154,    58,  1156,   285,
    1158,   356,  1160,  1161,  1162,    66,   387,  1859,   389,  1167,
    1368,  1369,  1934,  1371,  4104,  1887,  1938,  4742,  4108,  1349,
    1942,  1904,  1874,  1945,  5121,  1877,  4807,   388,  4776,   211,
    1336,  1368,  1369,   414,  1371,   285,   117,   323,  1503,   343,
     285,   179,  1385,   323,  5390,   421,   285,   327,   271,   430,
     131,   356,   347,  4145,  2139,   165,  4933,    32,   343,    83,
     258,   254,   131,   275,  1370,   271,   259,   411,  1374,  1375,
     356,   475,   254,   392,  1994,   422,   356,   287,   323,  1385,
    1386,  1387,   418,  1389,   323,  1937,   338,    36,  1940,  1941,
     158,   356,   344,   455,   386,   168,   388,   382,   383,   351,
     264,   114,   240,   306,  1410,    26,   356,    26,   301,   124,
    4835,   356,   136,   181,    86,  4840,  4841,   356,   287,   134,
     126,   209,   128,   478,   317,   289,  2304,    43,   474,   311,
     271,  3988,   384,  3938,   474,   338,   153,   383,   474,  1445,
      30,    31,    49,    26,  1450,     0,  4594,  5004,   351,    65,
     175,  2329,  5249,  4694,   406,   228,   128,   437,  1464,  1465,
     455,  4594,  2358,     0,   237,   363,  2271,   228,  1474,   193,
     145,  1477,   121,   478,   437,  4975,   418,   112,   388,   474,
     460,   384,    22,   271,    21,   723,   724,   725,  1433,   472,
     728,   729,   730,   476,    77,   305,   103,  1503,   211,  1505,
     738,    91,    85,  1509,  5004,   126,  2603,   126,   225,   347,
    2388,  5013,  5014,   478,    51,   478,   285,   298,   411,   388,
    1526,   111,  1528,   158,  1567,  1531,  5323,   252,   474,   168,
     113,   341,   474,   284,   104,   474,   437,  5334,   461,   462,
     463,   254,   465,   466,   467,   468,   469,   470,   273,   112,
     397,   463,  2440,  2358,   323,   145,   327,   145,   264,   460,
     472,  1567,   474,   475,   476,  3452,   478,   291,   115,  2186,
     285,  3860,  1578,  1579,  1580,  1581,  1582,  2338,  2339,  3904,
     472,  2342,   474,  4682,   476,   356,  2391,   356,   398,   228,
    1596,   131,  5389,   200,   404,    84,   275,   180,   311,   477,
     213,  1607,  1608,  1609,  2362,   356,  3895,  3133,   323,   192,
     474,  2489,  2370,  3020,   387,  2373,   389,   180,  5118,  2424,
     461,   462,   463,   112,   465,   466,   467,   468,   469,   470,
    5427,   284,  2434,  2435,  2436,   158,   183,  2179,   285,   252,
     114,   414,  2269,  2403,   153,   252,   169,   184,  3479,  3480,
    3481,  3482,   365,  5450,  3485,  3486,  3487,  3488,  3489,  3490,
    3491,  3492,  3493,  3494,   187,  1517,  3724,   346,   238,  1871,
    1522,   241,  3391,   461,   462,   463,   323,   465,   466,   467,
     468,   469,   470,  4652,   213,   409,  1996,  1814,   325,  4591,
    3748,   254,   115,   417,  2004,   478,   420,   422,   311,  1705,
     300,  1707,   250,   356,  4945,  1870,  1871,   126,   164,   128,
    3541,  3542,  3207,  1719,  1720,  4505,   225,   303,  3213,   115,
     268,   195,  4512,   252,   126,   285,   128,  4517,  3816,   319,
    4520,  4633,  3820,  3821,  4911,  3823,  1742,    74,   345,  1591,
     273,   197,  2503,  1595,  2504,   285,   359,    84,   387,   151,
     389,  4541,   285,  5253,   284,  1761,   212,   266,   143,   349,
     183,   349,   163,   323,  4554,   254,   222,  2527,  2528,  2529,
    2530,  1777,  1778,  1779,  1780,   414,  5333,   104,   252,  2539,
     254,   349,  3153,   323,  1790,  5287,   187,   183,  1860,   372,
     323,  1797,   375,   383,  1800,   383,   356,   397,   311,   285,
     437,    29,  2344,   416,   189,  1811,  2116,  4553,  1814,   332,
    4909,   324,  4442,  1819,  4560,   383,   356,  4728,  1824,   126,
     437,   128,   285,   460,   349,    53,   356,  4926,  5328,  1994,
     359,  2955,   159,  5333,   424,   254,   424,   323,   428,   352,
     440,   478,  2557,   460,   151,   264,  3960,   437,  3962,   437,
     437,   400,   254,  1859,  1860,  4827,   424,   259,   383,   263,
     323,   478,   264,  4962,  1870,  1871,   193,   158,  1874,   437,
     460,  1877,   460,   254,  1865,  5432,     4,   333,   259,  4206,
    5128,     9,  1873,   323,   474,  4212,   474,   416,  1894,  1895,
     181,   478,   460,   356,  2772,  1901,   429,  1903,  2656,   424,
    2778,   327,  1893,   323,  3472,   437,   474,  1904,   165,  4351,
    1953,   238,  1150,   285,   241,  1153,   356,  1155,  4548,  1157,
    4550,  1159,  1928,   234,   285,  1163,  4716,   430,   309,  1935,
     356,  1937,  5432,  3501,  1940,  1941,   356,  1943,  1944,  2928,
    1946,   198,  4724,  1966,   315,  4370,   478,  1953,  4390,   474,
    2567,   323,   259,   346,  1960,   327,  2567,   264,   319,  1965,
    1966,  1958,   323,  1969,  1958,   819,   215,  1973,  1958,  1975,
    1958,   234,  1958,  3324,  1980,  1981,  3327,    63,    64,   350,
     158,  1987,  1988,  1989,   356,  1905,  4776,  1993,  1994,  1995,
    1996,  1997,  1998,  1999,  2000,   356,  2002,  5096,  2004,  2005,
     402,  3640,  2008,   181,   474,  2622,     3,   437,    22,    22,
     412,  2622,   383,   475,    28,    28,   478,  2023,  2024,  2025,
    2026,  3852,   239,  1965,  2030,  2031,  2228,  1972,    41,  2035,
     460,  2653,  2038,   474,   439,  2041,  2042,  2043,  2044,  2045,
    2046,  2047,  2048,  2049,   400,  2051,  2848,    11,  4959,  5018,
     439,  2057,  2058,  4342,  2060,   460,  1914,    70,  1916,   430,
    1918,  2067,  1920,  2228,  1922,   141,    24,  1517,  1926,  4183,
    4184,   460,  1522,   610,     4,   386,    40,   153,  5255,     9,
     343,   439,   158,   153,   153,   474,    83,    45,   158,   158,
    2096,  4917,  2219,   325,  2100,   402,  2854,   285,  2104,   339,
    2106,   341,   460,   414,  2095,   412,   400,   120,    72,   269,
    2116,   124,  2918,  1765,   274,    74,   474,   283,   131,  2125,
    2126,   134,   346,   386,  2851,    84,   437,  4917,   439,   205,
     472,   475,   474,  2139,   478,   323,  5235,  1789,   135,    91,
    2146,  1591,  2148,    35,   237,  1595,   159,    92,   237,   225,
    2144,   414,  2268,  3006,  2226,   225,   225,  2229,  2230,   111,
     400,   473,    54,   474,   114,  2188,   478,  2190,   356,  3695,
     707,   708,   475,  2179,   437,   478,   439,  2097,  2098,  3032,
     193,  3305,  2188,   349,  2190,  4975,  4867,  3906,  4869,  2809,
     266,  3315,  4873,   145,  4875,   473,   266,   266,  2241,   275,
     478,  2207,  3007,   475,     8,  2186,   478,    11,   158,  5178,
     285,   474,   104,  2219,  5004,  2221,  2222,   383,  5317,   164,
    2226,  5003,  2228,  2229,  2230,    88,  2232,  4315,  2234,  4317,
    4318,  2347,  2238,  4321,   231,  2241,    40,  2854,   191,   252,
    4921,   254,   469,    47,   902,   195,   239,   474,   323,   476,
     469,   264,   197,  5430,     4,   474,  2262,   476,   424,     9,
     273,  2764,   920,  2766,  2767,   923,  2272,   212,    72,  3686,
     181,   437,   285,  4562,  2280,  2281,   475,   222,  3083,   478,
     475,   356,  2288,   478,  5383,  1139,    30,    31,   285,  3928,
     827,  2297,   829,   400,   460,  2338,  2339,  3432,   190,  2342,
     430,  3672,   252,   248,   254,  2421,   269,   234,   474,   346,
     323,   274,  2318,   326,   327,  2942,  2943,  2323,  2324,  3207,
    5289,   475,   898,  2945,   478,  3213,   323,   903,  5118,   387,
     327,   389,  2338,  2339,   410,   139,  2342,   475,  2344,  2345,
     478,  3297,  3693,   356,  3695,    80,   238,  3363,  3364,   241,
    3258,   475,    53,   475,   478,  2972,   478,  3728,   215,   356,
     252,  2972,  2368,     8,   474,  2371,    11,   319,   339,   340,
      15,    16,    17,   475,   475,  3253,   478,   478,   182,     5,
     315,   475,   474,   187,   478,    11,  2392,  2393,   333,   386,
       9,   388,   284,    19,   269,    40,   472,   349,   478,   475,
     476,  2407,    47,  2409,  2410,  5374,   343,   475,   421,   475,
     478,    37,   478,   430,   475,   350,   343,   478,    53,   475,
     224,  3299,   478,   475,  1278,   475,   478,    72,   478,    13,
      14,   383,  2438,  2439,  2440,   474,   328,   476,  2444,   474,
     437,  2751,  2752,   428,  2450,  4950,  2756,   475,   383,   457,
     478,   475,  2458,   475,   478,  2461,   478,    43,   350,   386,
    2503,  2467,     8,  5253,   387,    11,   389,   271,   211,    15,
      16,    17,   424,  2479,  3101,  2481,   475,   475,   370,   478,
     478,  5144,  5145,  2793,  2794,   437,   476,   414,  3246,  2495,
     269,  3251,  2498,  3120,  2500,   430,  3254,  2503,   437,   475,
     439,  2507,   478,  5285,  2510,   437,   475,   439,   460,   478,
     437,   272,   439,  3637,  3638,   475,  2522,  2523,   478,   272,
     475,  4810,   474,   478,  3931,  3913,   475,   395,   475,   478,
    4819,   478,   269,    83,  2540,  1389,  4594,   182,  5328,   457,
    2509,  5171,   187,  5333,  2550,    66,  2552,   474,   158,  4637,
     475,    72,   474,   478,   476,  2549,   272,   361,   475,  4673,
      43,   478,   475,    84,   387,   478,   389,  2694,   475,  3284,
    2576,   478,   234,   475,   124,   475,   478,   475,   478,   224,
     478,  2572,   475,   457,   134,   478,   475,   475,  2579,   478,
     478,   112,   475,   114,   387,   478,   389,  2603,   211,  2605,
    2606,  2607,  2608,   475,   475,  3521,   478,   478,  2599,   162,
       3,   475,  1149,   475,   478,  5397,   478,   475,  2609,   475,
     478,  2612,   478,  2614,  2615,   467,   271,  2618,  2700,  4460,
      23,  2703,  3621,  2624,  2706,  2626,  3514,  2643,  2629,  2592,
    2593,  2594,  5432,  3260,  2809,  3262,   167,   234,  3275,  3260,
    3277,  3262,   339,   340,   458,  3416,   141,   437,   478,   439,
    4718,   465,   466,   467,   468,   469,   470,   475,   153,   475,
     478,   474,   478,   158,   195,  1212,   475,  5459,  2684,   478,
     475,   343,    84,  3441,  3582,   475,   475,   477,  2694,   478,
      83,   475,  4218,   475,  2700,  1232,   478,  2703,   428,   475,
    2706,  2692,   478,  3619,   475,     8,   477,  2872,    11,  2715,
      53,  2753,    15,    16,    17,   475,   361,  2723,   478,   833,
     205,   835,  2728,  3340,   386,   271,  1263,   475,   475,  3340,
     478,   478,    35,   254,   475,   285,   475,   478,   259,   478,
     225,  1278,  4109,   136,  4111,  2751,  2752,  2753,   475,   163,
    2756,   478,   414,   207,   475,  2797,   343,   478,  2764,  2765,
    2766,  2767,   475,   441,   475,   478,   168,   478,   474,   319,
     474,  2777,   474,   323,  2780,   437,  2782,   439,   476,   475,
     301,   266,   478,  3405,  4201,   474,  3694,  2793,  2794,   191,
     275,  2797,  5234,    25,   187,   475,   317,   323,   478,   386,
     193,  5267,  5268,  2809,  3431,  2811,   356,  2813,   475,  2815,
     187,   478,   474,   458,   146,  3577,   461,   462,   463,   474,
     465,   466,   467,   468,   469,   470,   228,   414,   476,  2835,
      92,  1368,  1369,  2839,  1371,   475,   475,   146,   478,   478,
    2846,   475,    74,   475,   478,  3723,   478,  3725,   475,   269,
     437,   478,   439,   187,   234,   323,  2862,   269,  3664,   475,
    2902,   146,   478,  2869,  2840,  2841,  2842,   187,  2865,  3747,
       0,  2865,   274,   475,   106,  2865,   478,  2865,  2884,  2865,
     475,   475,   475,   478,   478,   478,   475,   474,  3766,   478,
     411,   146,  2898,    35,  2846,   269,  2902,   129,   291,  2905,
     475,  2907,   164,   478,   475,   158,   209,   478,   140,   146,
    4741,   256,    54,   339,   340,   461,   462,   463,  3826,   465,
     466,   467,   468,   469,   470,   410,   475,   475,   160,   478,
     478,   475,   323,   165,   478,   197,   475,   475,   114,   478,
     478,   334,  2948,   223,  2950,   475,  2898,   418,   478,  2955,
     212,  3804,   475,   475,   269,   478,   478,   141,   339,   340,
     222,    91,   104,   343,   239,   474,  3724,  2958,   271,   153,
    1824,   400,   263,   430,   158,    49,  2982,   346,  2984,  2985,
    2986,   158,   215,   141,   216,   387,   248,   389,   381,   475,
    3748,   475,   255,   256,   478,   153,   475,   474,   400,   478,
     158,    66,  4056,   254,   349,   237,   386,   269,    35,   411,
    3812,   141,   414,   254,   475,   475,   409,   478,   478,    93,
     441,   205,   474,   153,   417,   167,   269,   420,   158,   158,
     254,    43,  2006,   163,   414,  2009,    43,   254,   383,   169,
     405,   225,   172,   234,   118,   254,   176,   205,   190,    83,
     285,  3042,   430,  3044,   430,    80,   158,   437,   304,   439,
     146,   135,   146,   474,   146,   139,   427,   225,   474,   297,
     474,   333,   304,   305,   146,   205,   308,    34,   474,   424,
     146,  3246,   266,   441,   146,   159,   349,   146,   162,  3254,
     478,   275,   437,  3099,   474,   225,   238,   146,   146,   241,
     158,   146,   334,   177,   146,   337,   146,   146,   266,   146,
     252,   343,   269,   146,   146,   460,   383,   275,   350,  1973,
     383,  1975,   146,   474,    35,   223,   269,  1981,   474,   474,
     475,     5,   477,  1987,  1988,  1989,   266,   158,   234,   269,
     158,     5,   284,  1997,  1998,   275,   378,  4978,  2002,   474,
     474,   383,   343,   158,   386,   474,   418,   474,   461,   462,
     463,   424,   465,   466,   467,   468,   469,   470,   474,  3479,
    3480,  3481,  3482,   405,   437,  3485,  3486,  3487,  3488,  3489,
    3490,  3491,  3492,  3493,  3494,   259,   328,   474,   234,     5,
    3181,   474,   474,   267,     5,   386,  3187,   460,   430,     5,
     330,  3207,  3512,   474,   234,  4121,   474,  3213,   350,   474,
     474,   474,     5,   474,   234,   474,  3222,   474,  3976,   438,
     474,  3227,  3228,   414,   474,  4141,   410,   474,   370,   474,
     474,  3541,  3542,   207,   474,   309,  4360,   281,   474,   478,
     474,    35,    95,   474,   474,   474,   437,   343,   439,   474,
    3877,  3878,   410,   383,   223,   478,     8,    35,   478,    11,
    3266,  3267,  3268,   158,   266,   158,   264,   356,   395,   395,
     343,   395,   395,   429,   343,   476,   395,  3283,   395,   343,
     410,   225,   395,   474,   395,   463,   395,    84,    40,   343,
     386,  3334,   146,   269,   269,    47,   348,   343,   220,  3305,
    3306,   395,   395,   259,   434,   395,   436,   437,   386,  3315,
    3316,  3317,  4700,   343,   417,  3321,   289,   269,   414,   269,
      72,   264,   339,   343,   474,   395,   474,   395,  3334,   180,
      84,   478,   285,   146,   395,   187,  3330,   418,   418,   269,
     386,   437,   472,   439,   395,   475,   476,   477,  3970,  3971,
    3972,  3973,  3974,   106,   395,   383,   386,   383,    53,  3353,
     395,   269,    53,   245,  4136,   343,   386,  1904,   414,   273,
     308,   386,     8,  3416,   289,    11,   395,   289,   474,    15,
      16,    17,   395,    42,   414,  3549,   395,   139,  3379,  3395,
    3381,   437,  3383,   439,   414,   395,    32,    42,   395,   395,
     395,  3392,   395,   395,    40,   395,   395,   437,   395,   439,
    3416,    47,   395,   395,   395,   395,   343,   437,   478,   439,
     475,  1958,   479,   395,   395,   209,  3432,   269,   474,   209,
     182,   441,   209,   209,   269,   187,    72,   209,   209,   269,
     269,   209,  3433,   209,   474,   209,   395,   405,  3454,   437,
      35,   474,  4210,   146,   474,    24,   146,  3463,   254,   269,
     112,   146,   146,  3469,   418,  3471,   429,   437,  3474,   146,
     269,   231,   224,  3479,  3480,  3481,  3482,   264,    35,  3485,
    3486,  3487,  3488,  3489,  3490,  3491,  3492,  3493,  3494,   254,
     158,   254,  3498,  3499,    35,  2032,   254,   474,   215,   345,
      34,   393,  3508,   393,   472,  3547,  3512,   474,   472,  4129,
    3516,   395,   395,   474,   395,   395,   146,   146,  3524,   271,
     418,  3527,   146,  3529,  3566,   146,   146,   418,  4416,  5360,
    5361,   263,  3538,   395,   258,  3541,  3542,   163,   474,   433,
    3546,  3547,  3852,   245,   245,  3551,   182,  3553,    11,   478,
     393,   187,   154,   474,  3560,  3561,  3562,  3563,   474,  3724,
    3566,  3567,   395,   172,   163,  3571,  3572,  3573,   478,   397,
     475,  4198,  3578,   209,   210,   180,   180,   474,   205,  3555,
    3556,  3557,  3558,  3748,   359,   213,   418,   270,   224,   478,
     478,    35,   278,    53,   343,   474,  3602,   475,   418,   213,
     213,    35,   259,   259,   395,   395,   395,  2144,   239,   361,
    3616,  3563,  3618,   474,  3566,   400,   430,   346,   158,   215,
      54,   257,   259,   148,    43,   269,   365,   148,  4343,   254,
    3636,  3637,  3638,   223,  3640,   271,   223,   223,   274,   339,
       0,   386,   478,   148,   267,   395,   148,   269,  4275,   323,
     269,  3657,  3658,  3659,  3660,   181,   353,   395,   395,   275,
     311,    35,  4284,  4285,   209,  4287,   475,   418,   215,  2523,
     104,   105,   418,   307,   267,   191,   146,   463,   112,   158,
    3686,   463,   264,   430,  3636,    35,   384,   160,   264,   353,
     308,  5217,   146,   474,   146,   474,  4820,   146,   264,  3705,
     254,   437,    35,   254,   269,   269,   458,   215,   158,   178,
     178,    35,   347,   465,   466,   467,   468,   469,   470,   475,
     475,  4864,  2576,   457,   472,   361,   457,   215,   243,   158,
     269,    91,   475,   167,   475,   475,   353,   254,  4646,   187,
     187,  4368,   187,   478,   187,   187,     8,   441,   478,    11,
     478,    23,   170,    15,    16,    17,   190,   395,  4855,   474,
    4857,   163,   242,   269,  4642,   437,   478,    53,   400,   263,
      32,   383,   430,   163,  3755,   215,   475,   281,    40,   475,
     290,   141,   163,   475,   395,    47,  4096,   475,   475,   478,
     457,   280,   474,   153,  3800,   475,   475,   475,   158,     6,
     475,   434,   475,   163,   238,   475,   459,   241,   474,   169,
      72,   474,   172,   474,   474,   270,   176,   270,   252,   474,
     254,   416,   458,   233,   434,   461,   462,   463,   269,   465,
     466,   467,   468,   469,   470,   424,  4594,    53,  3844,   475,
     272,   269,  3848,   269,  3850,   205,  3852,   191,   463,   146,
     284,   395,   395,  3859,   199,   259,   254,   441,   395,  3865,
     395,   146,   273,   356,   348,   225,   474,   474,   146,  3875,
     146,   348,   348,   191,   223,   148,   395,   478,   225,   291,
     463,   395,   418,   291,  3890,   415,  4671,   235,  3894,   235,
     269,   254,   395,   235,   328,   395,   395,   395,  3904,  2753,
     395,   146,    42,   395,   343,   395,   266,  3913,   343,   269,
     395,  2765,   343,   395,   395,   275,   350,  5060,  3924,   343,
     182,   395,  3928,   356,   395,   187,  3932,  3933,   395,  3923,
     209,   175,   209,   475,   209,  4555,   370,   475,   372,   209,
     473,   375,  3894,  2797,  5068,  5069,   475,   209,   210,     3,
       8,   475,   475,    11,  3960,     3,  3962,   158,   478,  4761,
      43,   325,   224,  3969,  4129,   478,   105,    56,  4595,   405,
     330,   158,   267,  3964,   475,   269,    35,  3968,   474,   146,
     395,  2835,    40,   190,   475,  4605,   146,   158,   475,    47,
     175,   418,   199,   200,   146,   257,  4002,   418,   473,   353,
     207,    90,   209,   210,   343,   343,   343,  4013,   473,   271,
     144,   343,  2549,   343,    72,   272,   223,   478,   144,   209,
     209,   209,   137,   383,    11,   209,   209,   209,   209,   209,
     163,   281,   478,   158,   472,   429,   163,  4043,   475,   434,
     474,   163,   172,   270,    82,   475,   460,  4053,  4054,   474,
     410,   423,   475,   475,  4060,  4061,   330,   158,   475,  4065,
     149,   474,   478,  4951,  4070,   405,    35,  4073,  4074,   478,
     475,   474,  4078,  4079,   434,   475,   436,   437,  4084,  4085,
    4086,  4087,  4088,   475,   418,  5209,  4092,  4093,  4094,   418,
    4096,  4097,   215,   395,  4100,   184,   199,    53,  4104,   361,
     146,   474,  4108,   386,   372,   167,  4864,   405,  4114,   348,
     343,   395,   472,   395,   395,   475,   476,   477,   343,   475,
     475,   323,   475,  4129,   182,   437,   395,    53,   395,   187,
    4136,   220,   386,   474,  4140,   424,   158,  4160,   148,  4145,
      72,   146,   105,   209,  4138,  4139,   405,  4769,   475,   209,
    4460,   474,  4104,   209,  4160,   305,  4108,  4163,  4780,  4469,
     209,  5304,   213,   194,   474,   254,   224,   395,    35,   269,
     441,   478,   318,   478,   475,   289,    78,  4183,  4184,   478,
    5058,   386,   474,   405,  5080,   478,   395,   474,  4179,     8,
     353,   169,    11,   473,   105,  4201,   458,   286,   163,   461,
     462,   463,   209,   465,   466,   467,   468,   469,   470,  4215,
     475,   475,   163,   271,   474,    53,  2753,   475,   316,   475,
     435,    40,   435,   478,  4205,   474,   281,   475,    47,   475,
    4221,  4222,   474,  4214,   279,  4852,   212,  4859,   327,   212,
     329,   385,   331,   474,   276,    53,   176,  4864,   264,   463,
     405,   340,   395,    72,   163,    72,   193,   188,  4264,   348,
    2797,   437,   181,   259,   259,   463,    53,   356,   386,    66,
     478,   395,   478,   146,   395,  5153,   395,  2814,   475,   368,
    4286,   209,   474,   165,   163,   112,    35,   376,   187,   418,
     264,    35,   353,  2830,   254,  4301,   474,   160,   418,   158,
    5015,   353,   264,   361,    35,   437,    53,   163,   269,  2846,
     474,   158,   196,   272,   207,   163,  4307,  4308,   474,   316,
     139,   437,   369,   474,   423,  4331,   475,   475,  2865,   474,
     436,   289,   474,   474,   212,   127,    84,   475,   317,  4345,
     269,    35,   395,   432,     8,  4351,   474,    11,   146,   158,
     119,    15,    16,    17,  4360,   395,    35,   180,   475,   259,
     236,  2898,   474,   182,  4986,  2902,   474,   474,   187,  4375,
     474,   191,   474,   353,   146,   105,   132,   474,   474,   474,
     305,   475,  4388,   433,  4390,    35,   273,   475,   340,   475,
    4555,   340,  5012,  4387,   405,   367,   367,    53,    53,    35,
     458,    75,   474,  4605,   474,   224,   613,   465,   466,   467,
     468,   469,   470,   478,  4420,   423,   386,   474,   625,   180,
     418,   158,   386,   252,   631,   269,     5,   152,   441,  4594,
     474,  4741,  4423,   474,  4425,  4426,   386,   644,   474,   474,
    4605,   475,   145,  5060,   474,    66,   272,    66,   437,   127,
    4441,   437,   271,   660,  4460,   422,  4766,   423,   665,   316,
     474,   478,   474,  4469,   671,    35,   356,   163,   675,   676,
     386,   314,   132,   259,   193,   682,   269,   684,   685,   269,
    4486,  4487,   474,   353,  4490,    35,    35,   305,   272,   272,
     697,   698,   474,   188,   165,   165,   434,   478,   475,  4505,
     475,   708,  4508,   395,   339,    53,  4512,   117,  5386,   416,
       5,  4517,   353,   142,  4520,  4521,   276,  4523,   475,  4525,
     474,  4527,  4528,   339,   324,    21,   474,   474,   474,   474,
      32,   259,  4604,   474,   478,  4541,   478,  4543,   145,   163,
     395,   277,   361,   339,     0,   209,    75,   305,  4554,  4555,
    4556,  4557,  4558,  4505,   367,   367,   437,   437,  1594,   474,
    4512,   165,   165,   829,  2507,  4517,   866,  2854,  4520,  5447,
    1331,  2313,  2391,  3032,  3723,   911,  4648,   912,  3697,  5200,
     787,   788,  5377,  5200,  5196,  5463,   793,  2416,  3244,  4541,
    4877,  3828,  5058,  5304,  3875,  4700,  4333,  4670,  4604,  4605,
    2949,  2643,  4554,  5177,  4554,  5291,  5088,   271,  5087,  5219,
    5328,  3924,   819,  2953,  3908,  5022,  3866,  3718,  3295,  2492,
    3474,     8,  2492,  3058,    11,  3891,  4677,  2486,    15,    16,
      17,  4369,  4686,  3307,  5306,    91,  5463,  5447,  4663,   458,
    3248,  3253,  4648,  5232,  4607,  4651,   465,   466,   467,   468,
     469,   470,  1756,  4838,  3508,   908,  5031,  4663,    28,  4610,
    4666,  3979,  4806,  5394,  1176,  4671,  1802,  4673,  4978,  1187,
    2162,  3931,  4715,  2927,  4680,   988,  4534,  1811,  4951,  3185,
    1870,  4675,  1961,  1961,  3747,   141,   695,  5304,  1962,  3299,
    4696,  3766,  5258,   661,  4700,  5435,  1417,   153,   808,  3553,
    2097,  2106,   158,  1905,  2105,  3911,  4537,   163,  4714,  4715,
    4716,  4140,  5170,   169,  3616,  2142,   172,  1308,  2869,  4713,
     176,  2884,  2116,  3581,  1378,  5162,  4997,   934,   935,   936,
    1377,  4126,  2141,  3566,  1380,  4741,   943,  4110,  4744,  4093,
    4746,  4777,  1385,   950,  4786,  3563,  4737,   954,  4975,   205,
    1353,  4974,  3617,   960,  3563,  5275,   963,  5441,  5364,  5152,
    4766,  4744,  3516,  4531,  4716,  5165,  4772,  5166,   975,   225,
    4776,  2055,  1835,  2814,  4780,  2444,  2724,  2058,  2812,    -1,
    4786,    -1,    -1,   990,    -1,    -1,    -1,    -1,    -1,  4795,
      -1,    -1,    -1,  3330,    -1,    -1,    -1,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,    -1,    -1,    -1,
     266,    -1,  4818,   269,  4820,    -1,  3353,  4808,    -1,   275,
      -1,    -1,   209,    -1,  4776,    -1,    -1,    -1,  1035,  1036,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4845,
      -1,    -1,  5152,    -1,    -1,    -1,    -1,  5012,    -1,  4855,
    4856,  4857,  4858,    -1,    -1,    -1,     8,    -1,    56,    11,
      -1,    -1,    -1,    15,    16,    17,    -1,    -1,  1075,  4860,
      -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,
      32,    -1,    -1,    -1,   271,    -1,    -1,  4893,    40,    -1,
      -1,    -1,    90,    -1,    -1,    47,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1112,     6,    -1,  4914,    -1,
       8,  4917,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      72,    -1,   120,  1130,    -1,    -1,    -1,   383,    -1,    -1,
      -1,    -1,  1139,  4927,    32,    -1,    -1,    -1,    -1,    -1,
    1147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   149,    -1,    -1,   410,    -1,    -1,    -1,    -1,    -1,
      -1,  5271,    -1,    -1,    -1,  4917,  4972,    -1,  1175,  4975,
      -1,    -1,  4978,    -1,    -1,    -1,  4982,  1184,   434,  1186,
     436,   437,    -1,  4989,    -1,    -1,   184,  4993,    -1,  4995,
      -1,  4997,    -1,    -1,  1201,    -1,    -1,  1204,  5004,    -1,
      -1,    -1,    -1,    -1,  5010,    -1,  5012,  5001,    -1,  1216,
    3547,    -1,    -1,    -1,    -1,    -1,   472,  5023,    -1,   475,
     476,   477,   220,  4975,    -1,    -1,  3563,    -1,    -1,  3566,
     182,    -1,    -1,    -1,     8,   187,    -1,    11,    -1,  1246,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
    5360,  5361,  5004,    -1,    -1,    -1,   254,   209,   210,    -1,
      -1,    -1,  5068,  5069,    -1,    -1,    40,  1274,  1275,  1276,
      -1,  1278,   224,    47,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,    -1,    -1,    -1,   285,   286,    -1,
     190,  1298,    -1,  5099,    -1,    -1,    -1,    -1,    72,   199,
    5106,    -1,    -1,    -1,  5110,   257,    -1,   207,    -1,    -1,
     210,   209,  5118,  5185,    -1,  1322,    -1,    -1,    -1,   271,
      -1,    -1,   274,  1330,  1331,   323,    -1,    -1,    -1,   327,
      -1,    -1,    -1,   331,    -1,    -1,    -1,  5143,  5144,  5145,
      -1,    -1,   340,  5149,    -1,    -1,  5152,    -1,    -1,    -1,
     348,    -1,    -1,    -1,    -1,    -1,  5162,    -1,   356,  5165,
      -1,    -1,    -1,  1370,  5170,    -1,  5118,  1374,  1375,    -1,
     368,    -1,    -1,   271,    -1,    -1,    -1,    -1,   376,  5185,
      -1,    -1,  1389,    -1,    -1,    -1,  1393,  5259,  5260,  4043,
      -1,    -1,  1399,    -1,    -1,    -1,  5202,    -1,    -1,    -1,
      -1,    -1,    -1,  5209,    -1,    -1,    -1,    -1,   182,   361,
      -1,    -1,    -1,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5234,    -1,
      -1,    -1,    -1,  5239,   432,   209,   210,    -1,  5244,  5233,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5253,    -1,    -1,
     224,  1458,    -1,  5259,  5260,  5261,    -1,    -1,    -1,    -1,
      -1,  5258,    -1,    -1,  5258,  5271,    -1,    -1,  5258,  5275,
    5258,    -1,  5258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,
    5296,    -1,  1499,    -1,  5336,  5286,     8,   271,    -1,    11,
      -1,  5253,    -1,    15,    16,    17,   458,    -1,    -1,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,    -1,
      32,    -1,  5328,  5329,  5330,  1532,   478,  5333,    40,    -1,
      -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,  5336,
      -1,    -1,  5336,    -1,    -1,    -1,  5336,    -1,  5336,    -1,
    5336,    -1,    -1,    -1,  5360,  5361,    -1,  3894,    -1,    -1,
      72,    -1,    -1,   461,   462,   463,  5372,   465,   466,   467,
     468,   469,   470,    -1,    -1,    -1,  5328,    -1,    -1,    -1,
      -1,  5333,    -1,    -1,    -1,  1592,  3923,   361,    -1,    -1,
      -1,    -1,    -1,  5465,  5466,    -1,    -1,    -1,    -1,  5405,
    1607,  1608,  1609,    -1,    -1,    -1,    -1,    -1,    -1,  5415,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,  5429,    -1,    -1,  5432,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5441,    32,    -1,  5435,  5445,
      -1,  5435,    -1,    -1,    40,  5435,    -1,  5435,    -1,  5435,
      -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5465,
    5466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     182,    -1,    -1,    -1,    -1,   187,    72,    -1,    -1,    -1,
    5432,    -1,    -1,    -1,   458,    -1,    -1,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   209,   210,    -1,
      -1,    -1,    -1,  1710,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   224,   613,    -1,    -1,    -1,    -1,    -1,    -1,
    1727,  4375,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1736,
      -1,    -1,    -1,    -1,    -1,    -1,  1743,    -1,    -1,    -1,
      -1,  1748,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,
    1767,    -1,   274,    -1,    -1,   665,    -1,  4104,  1775,    -1,
      -1,  4108,    -1,    -1,    -1,   675,    -1,    -1,    -1,    -1,
    1787,    -1,   682,    -1,    -1,   685,   182,    -1,    -1,    -1,
      -1,   187,    -1,    -1,    -1,    -1,    -1,  1804,    -1,    -1,
      -1,  4138,  4139,    -1,  1811,    -1,    -1,  1814,    -1,    -1,
      -1,  1818,    -1,   209,   210,    -1,    -1,  1824,    -1,    -1,
      -1,    -1,     8,  1830,    -1,    11,    -1,    -1,   224,    15,
      16,    17,    -1,    -1,    -1,  1842,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,   361,
      -1,    -1,  1859,  1860,    -1,  1862,  1863,    -1,    -1,    -1,
      -1,   257,    -1,    -1,    -1,    -1,    -1,  1874,    -1,  1876,
    1877,    -1,    -1,    -1,    -1,   271,    -1,    -1,   274,  1886,
    1887,    -1,  1889,  1890,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    22,    -1,  1905,    -1,
      -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1937,    -1,    -1,  1940,  1941,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,    -1,
      -1,    -1,    -1,   475,    -1,   361,  1973,    -1,  1975,    -1,
      -1,    -1,    -1,  1980,  1981,    -1,    -1,    -1,    -1,    -1,
    1987,  1988,  1989,    -1,    -1,    -1,  1993,    -1,  1995,  1996,
    1997,  1998,  1999,  2000,    -1,  2002,    -1,  2004,  2005,    -1,
      -1,  2008,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,    -1,    -1,  2022,  2023,  2024,  2025,  2026,
    2027,    -1,    -1,   209,  2031,    -1,    32,    -1,  2035,    -1,
      -1,  2038,    -1,    -1,  2041,  2042,  2043,  2044,  2045,  2046,
    2047,  2048,  2049,   943,  2051,    -1,    -1,    -1,    -1,    -1,
    4387,  2058,    -1,  2060,   954,    -1,    -1,    -1,    -1,    -1,
     960,    -1,   458,   963,    -1,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,    35,
      -1,    -1,   478,    -1,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,  4746,  2100,    -1,    -1,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2116,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2125,  2126,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4786,    -1,    90,  1035,  1036,    -1,    -1,    -1,
      -1,    -1,    -1,  2150,    -1,    -1,    -1,    -1,    -1,    -1,
    2157,    -1,    -1,    -1,  2161,  2162,    -1,    -1,    -1,    -1,
      -1,  2168,    -1,    -1,    -1,    -1,  2173,  2174,    -1,   200,
      -1,  2178,    -1,    -1,    -1,  4512,     3,    -1,   209,  2186,
    4517,     8,    -1,  4520,    11,    -1,    -1,    -1,    15,    16,
      17,    -1,   223,   149,    -1,    -1,    -1,  2204,    -1,    -1,
    2207,    -1,    -1,   209,    -1,    32,    -1,    -1,    35,    -1,
      -1,    -1,  2219,    40,    -1,    -1,  2223,    -1,    -1,  2226,
      47,    -1,  2229,  2230,    -1,    -1,    -1,    -1,   184,    -1,
    2237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2250,    -1,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   215,
      -1,  2268,  2269,    -1,   220,   271,    -1,    -1,    -1,    -1,
    2277,    -1,    -1,    -1,    -1,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2300,  2301,    -1,    -1,  2304,   254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4972,    -1,
    2327,    -1,  2329,    -1,    -1,    -1,    -1,  2334,    -1,    -1,
     286,    -1,    -1,  2340,    -1,  4989,    -1,    -1,  4675,  4993,
    2347,  4995,    -1,    -1,  2351,    -1,    -1,    -1,    -1,  2356,
      -1,    -1,    -1,    -1,    -1,   182,    -1,    -1,    -1,    -1,
     187,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,  2376,
      -1,   327,    -1,    -1,  2381,   331,  4713,    -1,  2385,    -1,
      -1,  2388,   209,   210,   340,    -1,    -1,    -1,    -1,    -1,
      -1,  2398,   348,    -1,    40,    -1,    -1,   224,    -1,    -1,
     356,    47,    -1,    -1,  2411,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   368,    -1,  2421,    -1,    -1,    -1,    -1,    -1,
     376,    -1,    -1,    -1,    -1,    -1,    72,    -1,    -1,    -1,
     257,  2438,  2439,  2440,    -1,    -1,    -1,  2444,    -1,  4776,
      -1,    -1,   398,    -1,   271,    -1,    -1,   274,    -1,  4786,
      -1,    -1,    -1,    -1,    -1,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2479,  2480,    -1,    -1,   432,    -1,    -1,    -1,
     436,    -1,  2489,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2523,    -1,    -1,    40,
      -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   361,    -1,   182,    -1,    -1,    -1,
      -1,   187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    72,    -1,    11,    -1,  2562,    -1,    15,    16,    17,
    2567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2576,
      -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,   224,    -1,
    4917,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,
    4927,    -1,    -1,    -1,   625,   721,    -1,   723,    -1,   725,
     631,    -1,    -1,    -1,    -1,   731,   732,   733,    -1,    -1,
      -1,    -1,    -1,   644,    72,  2622,    -1,    -1,   139,    -1,
      -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,
      -1,   458,    -1,    -1,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,    17,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    26,    -1,    -1,    -1,  2664,    -1,    -1,
      -1,   182,    -1,    -1,  5001,    -1,   187,    -1,    -1,    -1,
      -1,    -1,    -1,  2680,    -1,  2682,    -1,    -1,    -1,     8,
      -1,    -1,    11,  2690,    -1,    -1,    -1,  2694,    -1,    -1,
    2697,    -1,    -1,  2700,    -1,    -1,  2703,    -1,    -1,  2706,
      -1,    -1,    -1,   224,    -1,  2712,    -1,     0,    -1,    -1,
      -1,    40,    -1,    -1,    -1,   361,  2723,    -1,    47,    -1,
      -1,  2728,    -1,    -1,   182,    18,    -1,    -1,    -1,   187,
      -1,    -1,    -1,    -1,    -1,    28,    -1,    30,    31,    -1,
      -1,    -1,    -1,    72,  2751,  2752,  2753,    -1,   874,  2756,
     271,   209,   210,    46,    -1,    -1,    -1,  2764,  2765,  2766,
    2767,    -1,    55,    -1,    -1,  2772,   224,    -1,    -1,    -1,
    2777,  2778,    -1,  2780,    67,  2782,    69,    70,    -1,    -1,
      -1,    -1,    -1,    76,    -1,    78,  2793,  2794,    -1,    -1,
    2797,    -1,    -1,    -1,    -1,    -1,    89,    -1,    91,   257,
      -1,    -1,    -1,    -1,  2811,    -1,  2813,    -1,  2815,    -1,
     139,    -1,   458,   271,    -1,   108,   274,    -1,   111,   465,
     466,   467,   468,   469,   470,    -1,    -1,    -1,  2835,    -1,
      -1,    -1,   125,    -1,   127,    -1,    -1,    -1,   131,  2846,
     361,    -1,    -1,    -1,   137,    -1,    -1,  2854,    -1,    -1,
      -1,    -1,   145,   182,   147,    -1,    -1,    -1,   187,    -1,
     153,    -1,  2869,    -1,   671,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   169,  2884,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     697,  2898,    -1,   186,    -1,   224,  5233,    -1,    -1,    -1,
      -1,    -1,    -1,   361,    -1,    -1,    -1,    -1,    -1,    -1,
    2917,  1811,    -1,  2920,  1814,  2922,    -1,    -1,    -1,    -1,
    2927,  5258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   226,   227,  2942,  2943,   458,    -1,   232,
      -1,  2948,   271,    -1,   465,   466,   467,   468,   469,   470,
      -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1859,
    1860,    -1,  2969,   256,    -1,  2972,    -1,    -1,    -1,  2976,
      -1,    -1,    -1,    -1,  1874,    -1,    -1,  1877,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2995,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5336,
     458,    -1,    -1,   461,   462,   463,   299,   465,   466,   467,
     468,   469,   470,  3020,    -1,    -1,    -1,   475,    -1,    -1,
     313,  1147,    -1,    -1,    -1,    -1,   319,   320,    -1,   322,
      -1,    -1,   361,    -1,   327,    -1,    -1,  1937,    -1,   332,
    1940,  1941,   335,    -1,    -1,    -1,    -1,    -1,    -1,   342,
    3057,  3058,  3059,    -1,    -1,   348,   349,    -1,    -1,    -1,
      -1,    -1,    -1,   356,    -1,    -1,    -1,   360,    -1,    -1,
      -1,    -1,    -1,    -1,  3081,    -1,    -1,   370,    -1,    -1,
      -1,    -1,    -1,    -1,  3091,    -1,  3093,    -1,    -1,    -1,
     383,    -1,    -1,    -1,  3101,    -1,    35,    -1,  5435,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     403,    -1,    -1,  3120,    -1,    -1,    -1,    56,    -1,    -1,
     413,    -1,    56,    -1,    -1,    -1,   419,    -1,    -1,   458,
      -1,   424,    -1,    -1,    -1,    -1,   465,   466,   467,   468,
     469,   470,    -1,   950,   437,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    -1,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   460,   975,    -1,
      -1,    -1,    -1,    -1,    -1,  3182,    -1,    -1,    -1,    -1,
      -1,   474,    -1,   990,   477,    -1,   120,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3202,    -1,    -1,    -1,  1325,
    3207,    -1,    -1,    -1,  1330,  1331,  3213,    -1,    -1,    -1,
     149,    -1,    -1,    -1,  3221,   149,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   607,    -1,    -1,    -1,    -1,  3246,
      -1,    -1,    -1,    -1,    -1,   184,  3253,  3254,    -1,    -1,
     184,    -1,    -1,  3260,    -1,  3262,    -1,    -1,    -1,    -1,
      20,    -1,    -1,    -1,    -1,    25,    -1,    -1,  3275,    -1,
    3277,    -1,    -1,    -1,    -1,    -1,   215,    -1,    -1,    -1,
      -1,   220,    -1,    -1,    -1,    -1,   220,   660,   661,    -1,
      -1,    -1,  3299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      60,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1438,    73,    -1,   254,  3323,    -1,    -1,  2219,
     254,    -1,  1448,    -1,    -1,    -1,  2226,    -1,    88,  2229,
    2230,    -1,    -1,  3340,  3341,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,  3355,    -1,
      -1,   285,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1490,  1491,    -1,    -1,    -1,   129,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1184,    -1,    -1,
     140,    -1,   755,    -1,  3391,    -1,    -1,    -1,   327,   323,
      -1,    -1,   331,   327,    -1,    -1,    -1,   331,    -1,    -1,
     160,   340,  3409,    -1,    -1,   165,   340,  1533,   781,   348,
    1536,  1537,    -1,    -1,   348,    -1,   789,   356,    -1,   792,
     793,   794,   356,    -1,  3431,    -1,    -1,  3434,    -1,   368,
      -1,    -1,    -1,    -1,   368,    -1,    -1,   376,    -1,    -1,
      -1,    -1,   376,    -1,    -1,    -1,    -1,  3454,    -1,    -1,
    3457,    -1,    -1,    -1,    -1,    -1,  3463,    -1,    -1,   398,
      -1,    -1,  3469,    -1,  3471,    -1,    -1,  3474,    -1,    -1,
      -1,  3478,  3479,  3480,  3481,  3482,    -1,   237,  3485,  3486,
    3487,  3488,  3489,  3490,  3491,  3492,  3493,  3494,    -1,    -1,
      -1,  3498,  3499,   432,    -1,    -1,  3503,   436,   432,    -1,
      -1,  3508,    -1,    -1,    -1,  3512,    -1,  3514,    -1,  3516,
      -1,   271,    -1,    -1,    -1,    -1,    -1,  3524,    -1,    -1,
    3527,    -1,  3529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3537,  3538,    -1,    -1,  3541,  3542,    -1,    -1,    -1,  3546,
    3547,    -1,    -1,    -1,   304,   305,  3553,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3563,    -1,    -1,  3566,
       8,  1592,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,  3578,    -1,    -1,    -1,    -1,    -1,   337,    -1,    -1,
      -1,    -1,    -1,   343,    32,    -1,    -1,    -1,    -1,    -1,
     350,  1717,    40,   353,    -1,  3602,    -1,    -1,    -1,    47,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3618,    -1,    -1,    -1,    -1,    -1,  3624,    -1,    -1,
      -1,    -1,    -1,   383,    72,    -1,    -1,    -1,    -1,  3636,
     390,    -1,    -1,     8,    -1,    -1,    11,    -1,   398,    -1,
      15,    16,    17,    22,    -1,   405,    -1,    -1,    -1,    28,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    -1,
    3667,    -1,    41,    -1,    28,    40,    -1,    -1,    -1,    -1,
     430,    -1,    47,    -1,    -1,    -1,    -1,    41,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    70,  1499,    -1,    -1,    -1,    -1,    72,    -1,    -1,
      -1,    -1,  1828,    -1,    -1,    -1,    70,    -1,    -1,    -1,
      -1,  3718,  1838,    -1,  1840,    -1,  3723,  3724,  3725,    -1,
    1846,    -1,    -1,    -1,    -1,    -1,    -1,  1853,    -1,    -1,
      -1,    -1,    -1,    -1,   182,    -1,  1767,    -1,    -1,   187,
    3747,  3748,    -1,   122,  1775,   124,    -1,    -1,    -1,    -1,
      -1,    -1,   131,    -1,    -1,   134,  1787,  1130,   122,  3766,
     124,   209,   210,    -1,    -1,    -1,    -1,   131,    -1,    -1,
     134,    -1,    -1,    -1,  1147,  3782,   224,    -1,  3785,    -1,
     159,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2694,   159,    -1,    -1,    -1,    22,
    2700,    -1,    -1,  2703,    -1,    28,  2706,   182,  1181,   257,
      -1,    -1,   187,    -1,   193,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   271,    -1,    -1,   274,    -1,    -1,   193,
      -1,  1204,  1863,    -1,   209,   210,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3852,    -1,    70,    -1,   224,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1983,  1984,  1890,
      -1,    -1,    -1,    -1,  1990,  1991,    -1,    -1,    -1,    -1,
    3877,  3878,    -1,   252,  3881,   254,    -1,    -1,    -1,    -1,
    3887,    -1,   257,    -1,    -1,   264,    -1,  3894,   252,    -1,
     254,    -1,  2018,    -1,   273,    -1,   271,   120,    -1,  3906,
     264,   124,    -1,  1710,    -1,    -1,   285,  1280,   131,   273,
      -1,   134,    -1,   361,    -1,    -1,  1289,    -1,    -1,    -1,
    1727,   285,    -1,    -1,  3931,  3932,  3933,    -1,    -1,    -1,
    1303,    -1,    -1,    -1,    -1,    -1,   159,    -1,    -1,    -1,
      -1,  1748,    -1,    -1,   323,    -1,  2846,   326,   327,  1322,
      -1,    -1,  1325,  1326,    -1,    -1,    -1,  1330,  1331,   323,
      -1,    -1,   326,   327,    -1,    -1,    -1,    -1,    -1,    -1,
     193,    -1,  3979,    -1,    -1,    -1,    -1,   356,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   361,    -1,    -1,    -1,
      -1,    -1,   356,    -1,    -1,  4002,    -1,  1804,  2898,  2125,
    2126,    -1,    -1,    -1,    -1,    -1,  4013,    -1,    -1,    -1,
     458,  1818,    -1,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,  1830,    -1,    -1,    -1,   475,    -1,   252,
      -1,   254,    -1,    -1,    -1,  1842,  4043,    -1,    -1,    -1,
      -1,   264,   421,    -1,    -1,    -1,  4053,  4054,    -1,  4056,
     273,    -1,    -1,  4060,  4061,    -1,    -1,   421,  4065,  4066,
    2186,    -1,   285,  4070,    -1,    -1,  4073,  4074,    -1,    -1,
      -1,  4078,    -1,    -1,    -1,    -1,    -1,  4084,    -1,  1886,
    1887,    -1,    -1,   458,    -1,    -1,   461,   462,   463,  4096,
     465,   466,   467,   468,   469,   470,    -1,  4104,    -1,     8,
     323,  4108,    11,   326,   327,    -1,    15,    16,    17,    22,
      -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,  2150,
      -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,  4136,
      -1,    40,    -1,   356,    -1,    -1,    -1,  2168,    47,    -1,
      -1,    -1,    -1,  2174,    -1,    -1,    -1,  2178,    -1,    -1,
      -1,    -1,    -1,    -1,  2280,    -1,  4163,    70,    -1,    -1,
      -1,    -1,    -1,    72,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,  2204,  4181,    -1,    -1,  1550,    -1,    -1,
      -1,    -1,    -1,  1556,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4198,    -1,    -1,    -1,    -1,  4203,    -1,   421,    -1,
      90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   124,    -1,  4220,    -1,  2022,    -1,    -1,   131,  2250,
      -1,   134,    -1,    -1,     8,    -1,    -1,    11,    -1,  4236,
     120,    15,    16,    17,  4241,    -1,  2362,  2268,    -1,    -1,
      -1,  4248,    -1,    -1,  2370,    -1,   159,  2373,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,  4264,    -1,   149,
      -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,  4275,    -1,
    2301,    -1,    -1,   182,    -1,    -1,    -1,    -1,   187,    -1,
     193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    72,    -1,
      -1,    -1,    -1,    -1,   184,    -1,  2327,    -1,    -1,  4306,
     209,   210,    -1,  2334,    -1,    -1,    -1,    -1,    -1,  2340,
      -1,    -1,    -1,    -1,    -1,   224,  2347,    -1,    -1,    -1,
    2351,    -1,    -1,    -1,  4331,  2356,    -1,    -1,    -1,    -1,
     220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4345,   252,
      -1,   254,    -1,    -1,    -1,  2376,    -1,    -1,   257,    -1,
    2381,   264,    -1,    -1,  2385,    -1,    -1,    -1,    -1,    -1,
     273,  4368,   271,    -1,   254,   274,    -1,  2398,  4375,    -1,
      -1,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2421,    -1,    -1,    -1,    -1,   285,   286,  1770,   182,    -1,
      -1,  1774,    -1,   187,    -1,    -1,    -1,    -1,    -1,  4416,
     323,  4418,    -1,   326,   327,    -1,  2223,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   209,   210,    -1,    -1,    -1,
    2237,    -1,    -1,   323,    -1,  4442,    -1,   327,    -1,    -1,
     224,   331,    -1,   356,    -1,    -1,    -1,    -1,    -1,    -1,
     340,    -1,   361,  4460,    -1,    -1,    -1,  4464,   348,    -1,
      -1,    -1,  4469,  2589,  2590,    -1,   356,    -1,    -1,  2595,
    2277,    -1,    -1,   257,    -1,    -1,    -1,    -1,   368,  4486,
    4487,    -1,    -1,  4490,    -1,   671,   376,   271,    -1,    -1,
     274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4505,    -1,
      -1,    -1,    -1,    -1,    -1,  4512,    -1,    -1,   421,    -1,
    4517,   697,    -1,  4520,  4521,    -1,    -1,    -1,    -1,    -1,
    4527,  4528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2656,    -1,    -1,    -1,  4541,    -1,  4543,    -1,    -1,    -1,
      -1,  4548,   432,  4550,    -1,    -1,    -1,  4554,    -1,   458,
      -1,    -1,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,    -1,    -1,    -1,    -1,   475,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   361,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4594,  4595,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4604,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    22,  1986,    -1,    -1,    -1,    -1,    28,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2664,    -1,  4642,    -1,    -1,    -1,    -1,
      -1,  4648,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2682,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2690,
      70,    -1,    -1,  3563,    -1,    -1,  3566,    -1,    -1,    -1,
      -1,    -1,    -1,  2480,   458,    -1,    -1,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,    -1,    -1,    -1,
      -1,   475,    -1,    -1,    -1,    -1,  4703,    -1,    -1,    22,
      -1,    -1,    -1,    -1,  2077,    28,    -1,    -1,    -1,  4716,
      -1,  4718,    35,    -1,   124,    -1,    -1,    -1,    -1,    -1,
      -1,   131,    -1,    -1,   134,    -1,  2852,    -1,  2854,    -1,
      -1,    54,    -1,    -1,  4741,  4742,  3636,  4744,    -1,  4746,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,   934,   159,
    2876,  2877,    -1,    -1,    -1,    -1,    -1,    22,    -1,  4766,
      -1,    -1,    -1,    28,   950,  4772,    -1,    -1,    -1,  4776,
      -1,    -1,    -1,    -1,    -1,  4782,    -1,    -1,    -1,  4786,
      -1,   104,    -1,   193,    -1,    -1,    -1,    -1,    -1,   975,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   124,    -1,    -1,   990,    70,    -1,    -1,   131,    -1,
      -1,   134,    -1,  2186,    -1,    -1,    -1,    -1,    -1,    -1,
    4827,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4835,    -1,
      -1,    -1,    -1,  4840,  4841,    -1,   159,    -1,  4845,    -1,
      -1,    -1,   252,    -1,   254,  4852,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   264,    -1,    -1,  4864,    22,   124,
      -1,    -1,    -1,   273,    28,    -1,   131,   190,    -1,   134,
     193,    -1,    22,  2680,    -1,   285,    -1,    -1,    28,    -1,
      -1,    -1,    -1,    -1,  2257,    -1,  4893,    -1,    -1,  1075,
    2697,    -1,    -1,    -1,   159,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2712,    70,    -1,    -1,    -1,
    4917,    -1,    -1,   323,    -1,   238,   326,   327,   241,    -1,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,   252,
      -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,  2969,    -1,
      -1,   264,    -1,    -1,  4951,  4952,   356,    -1,    -1,    -1,
     273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     124,   284,   285,  2336,    -1,  4972,    -1,   131,  4975,    -1,
     134,  4978,    -1,    -1,   124,    -1,    -1,    -1,    -1,    -1,
    2353,   131,  4989,    -1,   134,    -1,  4993,   252,  4995,   254,
    4997,    -1,    -1,    -1,  3894,   159,    -1,  5004,  1184,   264,
     323,    -1,    -1,   326,   327,   328,    -1,    -1,   273,   159,
       8,   421,    -1,    11,    -1,    -1,  5023,    15,    16,    17,
     285,    -1,    -1,    -1,    -1,    -1,    -1,   350,    -1,   193,
      -1,    -1,    -1,   356,    32,    -1,    -1,    -1,    -1,    -1,
      -1,  2414,    40,   193,    -1,    -1,    -1,   370,    -1,    47,
    3081,  5058,    -1,  5060,    -1,    -1,    -1,    -1,   323,    -1,
      -1,   326,   327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    72,  2448,    -1,    -1,  2451,    -1,
    2453,    -1,    -1,    -1,  2457,    -1,  2459,  2460,   252,    -1,
     254,   356,    -1,    -1,    -1,  2468,  2469,  2470,   421,    -1,
     264,    -1,   252,  5110,   254,    -1,    -1,    -1,    -1,   273,
      -1,  5118,    -1,    -1,   264,    -1,    -1,    -1,    -1,    -1,
    3246,   285,    -1,   273,    -1,    -1,    -1,    -1,  3254,    -1,
      -1,    -1,    -1,    -1,    -1,   285,  5143,  5144,  5145,    -1,
      -1,    -1,    -1,    -1,    -1,  5152,  5153,    -1,    -1,  5156,
      -1,    -1,  3278,  2526,    -1,  5162,   421,    -1,    -1,   323,
      -1,    -1,   326,   327,  5171,    -1,    -1,    -1,    -1,  2976,
      -1,  3202,    -1,   323,    -1,    -1,   326,   327,  5185,    -1,
      -1,    -1,    -1,    -1,   182,  2558,    -1,    -1,  2995,   187,
      -1,    -1,   356,  5200,  2567,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4104,    -1,   356,  1393,  4108,    -1,
      -1,   209,   210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,    -1,    -1,
      -1,    -1,  5239,    -1,  3360,    -1,    -1,  5244,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5253,    -1,    -1,  2622,
      -1,    -1,  5259,  5260,  5261,    -1,    -1,   421,    -1,   257,
      -1,    -1,    -1,    -1,  5271,    -1,    -1,    -1,    -1,    -1,
      -1,   421,  1458,   271,    -1,    -1,   274,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3091,    -1,  3093,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5304,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1499,    -1,  3441,    -1,    -1,    -1,    -1,
      -1,  5328,    -1,    -1,    -1,     8,  5333,    -1,    -1,    -1,
      -1,    14,    15,    -1,    -1,    -1,    -1,    20,    -1,    22,
      -1,    -1,    -1,    -1,    -1,    28,  1532,    30,    -1,    -1,
      -1,    -1,    -1,  5360,  5361,    -1,    -1,    -1,    -1,    -1,
    3391,    -1,    -1,   361,    -1,  5372,    49,    50,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3182,    -1,    -1,  3409,  5386,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    15,    16,    17,    -1,    -1,    -1,  5405,    -1,
      -1,    -1,    -1,  3434,    -1,    -1,    -1,    -1,  5415,    32,
      -1,    -1,    -1,    -1,  3221,    -1,    -1,    40,    -1,    -1,
      -1,  1607,  1608,  1609,    47,  5432,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5445,    -1,
    5447,    -1,    -1,    -1,    -1,  4345,    -1,    -1,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    -1,  5463,    -1,  5465,  5466,
     458,    -1,    -1,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,    -1,    -1,    -1,    -1,   475,    -1,    -1,
      -1,  2854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   197,    -1,  3323,    -1,    -1,    -1,
      -1,    -1,   205,    -1,  1710,   208,    -1,    -1,   211,   212,
      -1,   214,    -1,   216,    -1,    -1,   219,    -1,   221,    -1,
      -1,  1727,    -1,    -1,    -1,    -1,    -1,    -1,  3355,    -1,
    1736,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,
      -1,    -1,  1748,    -1,   187,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   209,   210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3724,  2972,
      -1,   224,    -1,    -1,    -1,  4505,     8,    -1,    -1,    11,
      -1,    -1,  4512,    15,    16,    17,    -1,  4517,  1804,    -1,
    4520,  4521,  3748,    -1,    -1,    -1,    -1,    -1,    -1,  3755,
      32,    -1,  1818,    -1,   257,    -1,  3667,    -1,    40,    -1,
      -1,  4541,    -1,    -1,  1830,    47,    -1,    -1,   271,    -1,
    3457,   274,    -1,    -1,  4554,    -1,  1842,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      72,  3478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3063,    22,    -1,    -1,    -1,    -1,  3503,    28,    -1,    -1,
    1886,  1887,    -1,    -1,  4604,    -1,  3832,  3833,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
    3537,    -1,    15,    16,    17,    -1,    -1,    -1,   361,    70,
      -1,    -1,    -1,    -1,    -1,  3118,    -1,    -1,  4648,    32,
      -1,  3782,    -1,    -1,  3785,    -1,    -1,    40,    -1,    -1,
      -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     182,    -1,    -1,    -1,    -1,   187,    -1,    -1,    -1,    72,
      -1,    -1,    -1,   124,    -1,    -1,    -1,    -1,    -1,    -1,
     131,    -1,    -1,   134,    -1,    -1,    -1,   209,   210,    -1,
      -1,  3184,    -1,    -1,    -1,    -1,  4716,    -1,    -1,    -1,
      -1,    -1,   224,    -1,    -1,    -1,    -1,    -1,   159,    -1,
      -1,    -1,    -1,    -1,    -1,   458,  2022,    -1,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,    -1,    -1,
    3976,    -1,   475,  3226,    -1,   257,  3887,    -1,    -1,    -1,
      -1,    -1,   193,    -1,    -1,    -1,    -1,  3240,    -1,   271,
      -1,    -1,   274,  3246,  2060,  3906,  4776,    -1,    -1,    -1,
      -1,  3254,    -1,    -1,    -1,    -1,    -1,  3260,    -1,  3262,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,
      -1,    -1,    -1,    -1,   187,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   252,    -1,   254,    -1,    -1,   209,   210,    -1,    -1,
      -1,   614,    -1,   264,    -1,  3308,    -1,    -1,    -1,   622,
      -1,   224,   273,    -1,    -1,    -1,   629,   630,  3979,    -1,
     633,    -1,   635,   636,   285,    -1,    -1,   640,    -1,   361,
      -1,    -1,    -1,    -1,    -1,    -1,  3339,  3340,   651,    -1,
      -1,  2157,    -1,    -1,   257,  2161,  2162,    -1,    -1,    -1,
      -1,    -1,    -1,   666,    -1,    -1,    -1,    -1,   271,    -1,
      -1,   274,   323,  4893,    -1,   326,   327,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   691,    -1,
     693,    -1,    -1,    -1,    -1,    -1,    -1,  4917,    -1,    -1,
     703,    -1,    -1,    -1,    -1,   356,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2223,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2237,   735,    -1,    -1,    -1,   458,    -1,    -1,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,    -1,
      -1,    -1,    -1,   475,  3881,  4975,    -1,    -1,   361,  4205,
      -1,    -1,    -1,   766,  4210,    -1,    -1,    -1,  4214,    -1,
     421,  2277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    22,    -1,    -1,  5004,    -1,    -1,    28,    -1,    -1,
      -1,    -1,    -1,  4239,  4240,    -1,    -1,    -1,  4244,  4245,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,   820,    -1,    -1,
      15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,    70,
    3523,    -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,
      -1,   854,    47,    -1,    -1,   458,    -1,    -1,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,    -1,    -1,
      -1,     8,   475,    -1,    11,    -1,    -1,    72,    15,    16,
      17,    -1,    -1,   124,    -1,  4236,    -1,    -1,    -1,    -1,
     131,    -1,    -1,   134,    -1,    32,    -1,  4248,  5118,    -1,
      -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,
      47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   159,    -1,
      -1,    -1,    -1,   926,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2440,    72,    -1,    -1,    -1,  4066,
      -1,    -1,    -1,    -1,   947,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   193,    -1,    -1,    -1,   959,    -1,    -1,    -1,
      -1,   964,    -1,    -1,    -1,  5185,    -1,    -1,    -1,    -1,
      -1,   974,    -1,    -1,  2480,    -1,   979,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   987,    -1,    -1,   182,     8,    -1,
     993,    11,   187,   996,    -1,    15,    16,    17,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   252,    32,   254,   209,   210,    -1,    -1,    -1,  5239,
      40,    -1,    -1,   264,    -1,    -1,    -1,    47,    -1,   224,
      -1,  3724,   273,  5253,  1037,    -1,    -1,    -1,    -1,  5259,
    5260,    -1,    -1,    -1,   285,   182,    -1,    -1,    -1,    -1,
     187,    -1,    72,    -1,  4181,  3748,  2562,    -1,    -1,    -1,
      -1,    -1,   257,  3756,    -1,    -1,  3759,    -1,  3761,    -1,
      -1,    -1,   209,   210,    -1,    -1,   271,    -1,    -1,   274,
      -1,    -1,    -1,    -1,    -1,   326,   327,   224,    -1,    -1,
      -1,  4442,    -1,  4220,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5328,    -1,
    3803,    -1,    -1,  5333,  4241,   356,    -1,    -1,    -1,    -1,
     257,   191,   192,  3816,    -1,   195,    -1,  3820,  3821,    -1,
    3823,    -1,    -1,    -1,   271,  3828,    -1,   274,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   215,    -1,    -1,  4594,  1152,
      -1,  1154,   222,  1156,    -1,  1158,    -1,  1160,  1161,  1162,
      -1,    -1,   182,    -1,  1167,    -1,   361,   187,    -1,    -1,
      -1,    -1,    -1,    -1,  2680,  1178,    -1,    -1,    -1,  4306,
     421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,
     210,  2697,    -1,    -1,    -1,    -1,    -1,  4548,    -1,  4550,
      -1,    -1,    -1,    -1,   224,    -1,  2712,    -1,    -1,    -1,
      -1,    -1,  5432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   361,  5445,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3927,    -1,    -1,   257,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5465,  5466,    -1,    -1,    -1,
      -1,   271,    -1,    -1,   274,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   458,    -1,    -1,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,
     475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3992,
    3993,  3994,    -1,  3996,  3997,  3998,  3999,  4000,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   458,    -1,    -1,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,    -1,    -1,    -1,  4464,   475,     8,
      -1,   361,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
    1353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    72,  4850,  4851,    -1,    -1,    -1,    -1,
      -1,  2917,    -1,    -1,  2920,    -1,  2922,    -1,  4864,    -1,
      -1,  2927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1434,  4125,    -1,  4127,    -1,    -1,    -1,   458,    -1,
      -1,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,    -1,    -1,    -1,    -1,   475,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2995,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,  1504,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   182,  3020,    -1,    -1,    -1,   187,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,
      -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,
     209,   210,    -1,    -1,    -1,    -1,   616,    -1,    -1,    -1,
     620,    -1,    -1,    -1,    -1,   224,    -1,    -1,    -1,    72,
      -1,    -1,    -1,    -1,   634,    -1,    -1,    -1,    -1,    -1,
      -1,   641,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3091,    -1,  3093,   257,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   271,    -1,  5050,   274,    -1,    -1,    -1,    -1,
      -1,  4304,  4305,    -1,    -1,  4742,    -1,    -1,    -1,    -1,
      -1,    -1,  4315,    -1,  4317,  4318,    -1,    -1,  4321,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
      -1,    -1,    -1,    -1,    -1,  4782,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,   182,
      -1,    40,    -1,    -1,   187,    -1,  3182,    -1,    47,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4381,    -1,
      -1,    -1,   361,    -1,    -1,    -1,   209,   210,    -1,    -1,
      -1,  3207,    -1,    72,    -1,    -1,    -1,  3213,  4835,    -1,
      -1,   224,    -1,  4840,  4841,  3221,    -1,    -1,    -1,    -1,
      -1,    -1,  4415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3246,    -1,    -1,    -1,   257,    -1,    -1,    -1,  3254,  1752,
    5196,    -1,  5198,    -1,    -1,  4448,    -1,    -1,   271,    -1,
      -1,   274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,
      -1,    -1,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,    -1,    -1,    -1,    -1,   475,    -1,    -1,    -1,
     880,   881,    -1,   182,    -1,    -1,    -1,  3323,   187,    -1,
    5171,    -1,    -1,    -1,    -1,  4952,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3341,    -1,    -1,    -1,    -1,
     209,   210,    -1,    -1,    -1,    -1,    -1,    -1,   361,  3355,
      -1,    -1,    -1,    -1,    -1,   224,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,    -1,    -1,    -1,    -1,    -1,  1879,    -1,  1881,    -1,
      -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,   257,    -1,
      -1,    -1,    -1,    40,    -1,  1898,    -1,  1900,    -1,    -1,
      47,  4594,   271,    -1,    -1,   274,    -1,    -1,   978,    -1,
      -1,  1914,    -1,  1916,    -1,  1918,    -1,  1920,    -1,  1922,
      -1,    -1,    -1,  1926,    -1,    72,    -1,    -1,    -1,    -1,
      -1,  5377,    -1,    -1,    -1,    -1,    -1,  1007,  1008,    -1,
    5386,    -1,    -1,    -1,  4637,   458,    -1,    -1,   461,   462,
     463,  3457,   465,   466,   467,   468,   469,   470,    -1,    -1,
      -1,    -1,   475,  1033,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   361,    -1,    -1,     8,    -1,  3503,    11,    -1,
      -1,  5447,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,  5463,    11,    32,
      -1,    -1,    15,    16,    17,    -1,    -1,    40,    -1,  5156,
      -1,  3537,    -1,    -1,    47,   182,    -1,  1107,  1108,    32,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,
      -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    72,
      -1,    -1,   209,   210,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,
      -1,    -1,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,    -1,    -1,    -1,    -1,   475,    -1,    -1,    -1,
     257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3624,    -1,
      -1,    -1,    -1,    -1,   271,    -1,    -1,   274,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2151,  2152,
      -1,    -1,    -1,    -1,   199,   200,    -1,  4850,  4851,    -1,
      -1,    -1,   207,    -1,   209,   210,    -1,  2170,  2171,   182,
      -1,  4864,  2175,  2176,   187,  4868,    -1,  2180,   223,    -1,
      -1,    -1,    -1,    -1,    -1,  4878,    -1,    -1,    -1,   182,
      -1,  2194,    -1,    -1,   187,    -1,   209,   210,  2201,    -1,
      -1,    -1,  2205,  2206,    -1,    -1,  2209,  2210,    -1,    -1,
      -1,   224,    -1,  2216,   361,    -1,   209,   210,  3724,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2231,    -1,
    2233,   224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3748,    -1,   257,    -1,    -1,    -1,    -1,  2252,
      -1,    -1,    -1,    -1,  2257,    -1,    -1,    -1,   271,    -1,
      -1,   274,    -1,    -1,   257,    -1,    -1,  2270,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2279,    -1,   271,  2282,
      -1,   274,  2285,  2286,  2287,    -1,    -1,    -1,    -1,  2292,
    2293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2302,
      -1,    -1,    -1,    -1,  2307,    -1,    -1,    -1,    -1,  2312,
      -1,   458,    -1,    -1,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,    -1,  2328,    -1,    -1,   475,    -1,
      -1,    -1,  2335,  2336,    -1,    -1,    -1,    -1,  2341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   361,  2352,
    2353,    -1,    -1,    -1,  2357,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2369,  5060,   361,  2372,
      -1,  5064,    -1,  5066,  2377,  3881,    -1,  5070,  5071,  2382,
    2383,    -1,    -1,    -1,  2387,    -1,    -1,  2390,    -1,    -1,
      -1,  2394,  2395,  2396,  2397,    -1,  2399,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1477,    -1,  2412,
    2413,    -1,  2415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2425,  2426,    -1,  3931,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,    -1,    -1,
      -1,    -1,   475,    -1,    -1,   458,    -1,    -1,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,    -1,    -1,
      -1,    -1,   475,    -1,    -1,    -1,    -1,  2490,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,  5196,    -1,  5198,    -1,    -1,  1578,  1579,
    1580,  1581,    -1,    -1,    32,  2518,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    -1,    -1,     8,    -1,    -1,    11,    47,
      -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,
    4056,    -1,    -1,    36,    72,    -1,    -1,    40,    -1,    -1,
    4066,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     625,    -1,    -1,    -1,    -1,    -1,   631,    -1,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   644,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5304,    -1,    -1,    -1,   660,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     675,   676,    -1,    -1,    -1,    -1,    -1,   682,   121,   684,
     685,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1719,
    1720,    -1,    -1,   698,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   708,   182,    -1,    -1,    -1,    -1,   187,
      -1,    -1,  1742,    -1,    -1,  4181,    -1,    -1,    -1,    -1,
      -1,    -1,  2685,    -1,  5377,    -1,    -1,    -1,    -1,    -1,
      -1,   209,   210,  5386,    -1,    -1,    -1,    -1,    -1,   182,
      -1,    -1,    -1,    -1,   187,    -1,   224,  1777,  1778,  1779,
    1780,    -1,    -1,  2716,  4220,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,   209,   210,    11,    -1,
      -1,    -1,    15,    16,    17,  4241,    -1,    -1,    -1,   257,
      -1,   224,    -1,    -1,    -1,    -1,    -1,    -1,   793,    32,
      -1,    -1,    -1,   271,  5447,    -1,   274,    40,    -1,    -1,
      -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,
    5463,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,    72,
      -1,   274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4306,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1895,    32,    -1,    -1,    -1,
      -1,  1901,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,
      -1,    47,    -1,   361,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   158,    -1,    -1,   361,    -1,
     163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   936,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,
      -1,    -1,    -1,    -1,   187,    -1,    -1,    -1,    -1,   954,
    4416,    -1,  4418,    -1,    -1,   960,    -1,    -1,   963,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   209,   210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   418,    -1,    -1,    -1,    -1,
     458,   224,    -1,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,    -1,    -1,   473,    -1,    -1,  4464,    -1,
    2030,    -1,    -1,    -1,    -1,    -1,    -1,  2970,    -1,    -1,
      -1,  2974,    -1,    -1,   257,   458,   182,  2980,   461,   462,
     463,   187,   465,   466,   467,   468,   469,   470,   271,   200,
      -1,   274,    -1,    -1,    -1,  2998,  2999,    -1,   209,    -1,
    3003,    -1,    -1,   209,   210,  3008,  3009,  3010,    -1,  3012,
      -1,    -1,   223,    -1,    -1,    -1,    -1,     8,   224,    -1,
      11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,
      -1,    -1,  3035,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    32,  3045,  3046,  3047,  3048,    -1,    -1,    -1,    40,
      -1,   257,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   271,    -1,  1112,   274,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   361,  3082,
      -1,    72,  3085,  3086,  3087,  1130,    -1,    -1,  4594,    -1,
      -1,    -1,   298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3103,    -1,  1147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
    3123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1175,    -1,    -1,    -1,    32,    -1,    -1,    35,    -1,    -1,
      -1,  1186,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,
      -1,  2221,  2222,    -1,    -1,   361,  1201,    -1,    -1,  1204,
      -1,    -1,  2232,    -1,  2234,    -1,   157,    -1,  2238,    -1,
      -1,   377,    -1,    -1,    72,   458,    -1,    -1,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,    -1,    -1,
      -1,   182,  3195,    -1,    -1,    -1,   187,    -1,    -1,    -1,
    3203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4718,    -1,    -1,    -1,    -1,    -1,   209,   210,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3234,    -1,   224,    -1,    -1,  4742,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   458,    -1,    -1,   461,   462,   463,  3261,   465,
     466,   467,   468,   469,   470,    -1,   257,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4782,  1322,    -1,    -1,
     271,    -1,    -1,   274,   182,  1330,  1331,    -1,    -1,   187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2368,    -1,
      -1,  2371,    -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,
    3313,   209,   210,    -1,    -1,  3318,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,    -1,  4835,
      -1,    -1,    -1,    -1,  4840,  4841,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3349,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1399,    -1,    -1,    -1,    -1,   257,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     361,    -1,    -1,   271,    -1,    -1,   274,    -1,    -1,    -1,
    2450,    -1,    -1,    -1,    -1,  3388,    -1,  3390,  2458,    -1,
      -1,  2461,    -1,    -1,    -1,    -1,    -1,  2467,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,
      -1,  2481,    28,    -1,   625,    -1,    -1,    -1,    -1,    35,
     631,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   644,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,  4951,  4952,    -1,    -1,   660,
      -1,    -1,  2522,    -1,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   361,    -1,   676,    -1,   458,    -1,    -1,
     461,   462,   463,   684,   465,   466,   467,   468,   469,   470,
    2550,    -1,    -1,    -1,    -1,    -1,    -1,   698,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   708,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   124,    -1,
      -1,    -1,    -1,    -1,    -1,   131,    -1,    -1,   134,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2605,    -1,  2607,    -1,    -1,
      -1,    -1,    -1,   159,    -1,    -1,    -1,  1592,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     458,    -1,    -1,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,    -1,   190,    -1,    -1,   193,    -1,    -1,
      -1,    -1,   793,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,
      16,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,
      -1,    -1,   238,    -1,    40,   241,    -1,    -1,    -1,    -1,
      -1,    47,    -1,    -1,    -1,    -1,   252,    -1,   254,    -1,
    3643,    -1,  3645,    -1,    -1,  2715,    -1,    -1,   264,  3652,
    5156,    -1,    -1,    -1,    -1,    -1,    72,   273,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3668,    -1,    -1,   284,   285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,  3684,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1743,    -1,
    3703,    32,    -1,    -1,    35,    -1,    -1,   323,    -1,    40,
     326,   327,   328,    -1,    -1,    -1,    47,    -1,  3721,    -1,
      -1,    -1,  1767,    -1,    -1,   936,    -1,    -1,  3731,    -1,
    1775,    -1,    -1,    -1,   350,    -1,    -1,    -1,    -1,    -1,
     356,    72,  1787,    -1,    -1,    -1,    -1,  3750,    -1,    -1,
      -1,    -1,    -1,    -1,   370,    -1,    -1,    -1,    -1,    -1,
    3763,  3764,  3765,    -1,    -1,    -1,   182,  3770,  3771,  3772,
    3773,   187,    -1,    -1,  3777,  3778,    -1,    -1,    -1,    -1,
    3783,  3784,    -1,  3786,  3787,  3788,  3789,  3790,  3791,    -1,
    3793,    -1,    -1,   209,   210,    -1,    -1,    -1,    -1,  3802,
      -1,    -1,  3805,  3806,    -1,   421,    -1,    -1,   224,    -1,
      -1,    -1,    -1,    -1,  1859,  1860,    -1,  1862,  1863,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3829,    -1,    -1,  1874,
      -1,  1876,  1877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   257,    -1,    -1,  1889,  1890,    -1,    -1,  3851,    -1,
      -1,   182,    -1,    -1,    -1,   271,   187,    -1,   274,    -1,
    1905,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   201,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,   209,   210,
     213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   224,  1937,   224,    -1,  1940,  1941,    -1,    -1,    -1,
      -1,  1112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2982,    -1,  2984,  2985,  2986,    -1,    -1,  1130,
      -1,    -1,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1147,    -1,    -1,    -1,
     271,    -1,    -1,   274,    -1,   361,  3949,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1175,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1186,    -1,    -1,    -1,    -1,
    3983,    -1,  2027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1201,    -1,    -1,  1204,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,
     361,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,
      47,    -1,   458,    -1,    -1,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2150,    -1,    -1,    -1,    -1,
      -1,  1322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1330,
    1331,    -1,    -1,  2168,    -1,    -1,    -1,   458,  2173,  2174,
     461,   462,   463,  2178,   465,   466,   467,   468,   469,   470,
      -1,  2186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3222,    -1,    -1,    -1,   163,    -1,    -1,  2204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   182,    -1,    -1,    -1,    -1,
     187,  2226,    -1,    -1,  2229,  2230,  4189,    -1,  1399,    -1,
    4193,  4194,  4195,  4196,    -1,    -1,  4199,    -1,    -1,    -1,
      -1,    -1,   209,   210,    -1,  2250,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,    -1,
      -1,    -1,    -1,  2268,  2269,    -1,    -1,    -1,  4231,  4232,
    4233,    -1,  4235,    -1,  4237,  4238,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4249,  4250,    -1,    -1,
     257,    -1,    -1,    -1,    -1,  2300,  2301,    -1,    -1,  2304,
      -1,    -1,    -1,    -1,   271,    -1,    -1,   274,    -1,    -1,
      -1,    -1,   605,  4276,    -1,    -1,    -1,    -1,   611,    -1,
      -1,    -1,  2327,    -1,  2329,    -1,    -1,    -1,    -1,  2334,
      -1,     8,    -1,    -1,    11,  2340,  4299,    -1,    15,    16,
      17,    -1,  2347,    -1,    -1,    -1,  2351,    -1,    -1,    -1,
      -1,  2356,    -1,    -1,    -1,    32,    -1,    -1,    35,    -1,
      -1,    -1,    -1,    40,    -1,  3395,    -1,    -1,    -1,    -1,
      47,  2376,    -1,    -1,    -1,    -1,  2381,    -1,    -1,    -1,
    2385,    -1,    -1,  2388,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2398,   361,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2411,    -1,    -1,    -1,
      -1,  4374,    -1,    -1,    -1,    -1,  2421,    -1,    -1,    -1,
      -1,  1592,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4428,    -1,    -1,    -1,    -1,
      -1,    -1,   765,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2489,    -1,    -1,    -1,    -1,    -1,
      -1,   458,    -1,    -1,   461,   462,   463,   790,   465,   466,
     467,   468,   469,   470,    -1,   182,    -1,    -1,    -1,    -1,
     187,    -1,    -1,    -1,    -1,    -1,   809,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    -1,    -1,    -1,    -1,
      25,    -1,   209,   210,    -1,    -1,    -1,    -1,   831,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2567,    -1,    -1,    60,    -1,     8,    -1,    -1,
      11,  4534,  1743,    -1,    15,    16,    17,    -1,    73,    74,
     257,    -1,   875,    -1,    -1,    -1,    -1,    -1,    -1,    84,
      -1,    32,    -1,    88,   271,    -1,  1767,   274,    -1,    40,
      -1,    -1,    -1,    -1,  1775,    -1,    47,    -1,    -1,    -1,
      -1,   106,    -1,    -1,    -1,    -1,  1787,  2622,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3657,  3658,  3659,
    3660,    72,    -1,  4596,   129,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   140,    -1,    -1,    -1,    -1,
      -1,  4614,    -1,   148,    -1,    -1,  4619,  4620,    -1,  2664,
      -1,    -1,    -1,    -1,    -1,   160,    -1,    -1,    -1,    -1,
     165,    -1,    -1,    -1,    -1,    -1,    -1,  2682,    -1,    -1,
      -1,    -1,    -1,    -1,   361,  2690,    -1,    -1,    -1,    -1,
      -1,  1862,  1863,    -1,    -1,  2700,   191,    -1,  2703,    -1,
      -1,  2706,    -1,    -1,    -1,  1876,    -1,  1000,    -1,  4672,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1889,  1890,
      -1,   216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4692,
      -1,    -1,    -1,    -1,  1905,    -1,  1029,  1030,  1031,    -1,
      -1,   182,   237,    -1,    -1,    -1,   187,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4728,    -1,  2772,   209,   210,
      -1,    -1,  4735,  2778,    -1,    -1,   271,    -1,    -1,    -1,
      -1,   458,    -1,   224,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,    -1,    -1,    -1,    -1,    -1,   294,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   304,
     305,    -1,    -1,   308,  3844,    -1,   257,    -1,    -1,    -1,
    3850,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     271,    -1,    -1,   274,    -1,    -1,    -1,    -1,  4801,   334,
      -1,    -1,   337,    -1,    -1,    -1,   341,    -1,   343,  2854,
      -1,    -1,    -1,    -1,    -1,   350,  2027,    -1,   353,    -1,
    4823,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4834,    -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,
      -1,  1174,    -1,   378,    -1,    -1,    -1,    -1,   383,     8,
      -1,   386,    11,    -1,    -1,   390,    15,    16,    17,    -1,
      -1,    -1,    -1,   398,    -1,   400,    -1,  1200,    -1,    -1,
     405,    -1,    -1,    32,    -1,    -1,    35,    -1,    -1,    -1,
     361,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,
      -1,    -1,    -1,    -1,  4897,   430,    -1,  2942,  2943,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     391,    -1,    -1,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2969,    -1,    -1,  2972,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2150,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4959,  2168,    -1,    -1,
      -1,    -1,  2173,  2174,    -1,    -1,    -1,  2178,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2186,    -1,   458,    -1,    -1,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
      -1,    -1,    -1,  2204,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1336,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3057,  3058,  3059,    -1,    -1,  5020,    -1,    -1,
      -1,    -1,    -1,   182,    -1,    -1,    -1,    -1,   187,    -1,
      -1,    -1,  5035,    -1,    -1,    -1,  3081,    -1,    -1,  2250,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     209,   210,    -1,  1386,    -1,    -1,  3101,  2268,  2269,    -1,
      -1,    -1,    -1,     8,    -1,   224,    11,    -1,    -1,    -1,
      15,    16,    17,    -1,    -1,  3120,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5089,    32,    -1,  2300,
    2301,    -1,    -1,  2304,    -1,    40,    -1,    -1,   257,    -1,
      -1,  5104,    47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   271,    -1,    -1,   274,  2327,    -1,  2329,    -1,
      -1,    -1,    -1,  2334,    -1,    -1,    -1,    72,    -1,  2340,
      -1,  1464,    -1,    -1,    -1,    -1,  2347,    -1,    -1,    -1,
    2351,  1474,    -1,    -1,    -1,  2356,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3202,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2376,    -1,    -1,    -1,    -1,
    2381,    -1,  1505,    -1,  2385,    -1,    -1,  2388,    -1,    -1,
      -1,  5184,    -1,    -1,    -1,    -1,    -1,  2398,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1528,    -1,    -1,  1531,    -1,
    2411,    -1,   361,    -1,    -1,    -1,   787,   788,  3253,    -1,
    2421,    -1,    -1,    -1,    -1,  3260,  4286,  3262,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5229,    -1,    -1,    -1,
    3275,  4301,  3277,    -1,    -1,    -1,    -1,   182,    -1,    -1,
      -1,    -1,   187,    -1,    -1,    -1,    -1,    -1,    -1,  1582,
      -1,    -1,    -1,    -1,  3299,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1596,   209,   210,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2489,   224,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3340,    -1,    -1,    -1,   458,
      -1,    -1,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   257,  5316,    -1,    -1,    -1,    -1,  4388,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,   274,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3391,    -1,    -1,    -1,
      -1,    -1,    -1,   934,   935,    -1,  2567,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1707,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3431,    -1,    -1,  3434,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2622,    -1,    -1,    -1,    -1,   361,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1761,    -1,
      -1,    -1,    -1,    -1,   671,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2664,    -1,    -1,    -1,  1790,    -1,    -1,
     697,    -1,    -1,    -1,  1797,   671,    -1,    -1,    -1,  3514,
      -1,  2682,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2690,
      -1,    -1,    -1,    -1,    -1,    -1,  4556,  4557,  4558,    -1,
      -1,   697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   458,    -1,    -1,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    -1,
      -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2772,    -1,    -1,    -1,    37,    -1,  2778,    -1,    -1,
    1903,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    60,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1943,  1944,    84,    -1,    -1,    -1,    88,    -1,    -1,    -1,
      -1,    -1,  3667,    -1,    -1,    -1,    -1,  1960,    -1,    -1,
      -1,    -1,    -1,    -1,   106,  1216,    -1,    -1,    -1,    -1,
     112,    -1,    -1,  2854,  4714,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   129,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1246,    -1,    -1,   140,    -1,
      -1,    -1,    -1,  3718,    -1,    -1,   148,    -1,  3723,    -1,
    3725,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,
      -1,    -1,    -1,  1274,  1275,  1276,   168,  1278,    -1,    -1,
     172,    -1,  3747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   950,    -1,    -1,    -1,  1298,    -1,   191,
      -1,  3766,    -1,    -1,  2057,    -1,    -1,    -1,    -1,    -1,
      -1,  2942,  2943,    -1,  2067,    -1,    -1,  3782,   975,    -1,
    3785,    -1,    -1,    -1,   950,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   990,    -1,    -1,   228,    -1,  2969,    -1,
      -1,  2972,    -1,  2096,    -1,   237,    -1,    -1,    -1,   975,
      -1,  2104,    -1,  2106,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   990,    -1,  4856,    -1,  4858,  1370,
      -1,    -1,    -1,  1374,  1375,    -1,    -1,    -1,    -1,   271,
      -1,    -1,   274,    -1,    -1,    -1,  2139,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3877,  3878,    -1,    -1,   308,    -1,  1075,    -1,
      -1,    -1,  3887,   315,    -1,    -1,  3057,  3058,  3059,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3906,   334,    -1,    -1,    -1,    -1,    -1,    -1,  1075,
    3081,   343,    -1,    -1,    -1,    -1,    -1,    -1,   350,    -1,
      -1,   353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     372,    -1,    -1,    -1,    -1,    -1,   378,    -1,    -1,  3120,
      -1,   383,    -1,    -1,   386,   387,    -1,   389,   390,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   400,    -1,
      -1,    -1,    -1,   405,  3979,    -1,    -1,    -1,    -1,   411,
    5010,    -1,   414,    -1,    -1,   417,    -1,  1184,  2281,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,    -1,
      -1,    -1,    -1,    -1,  2297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1184,    -1,
      -1,    -1,    -1,    -1,    -1,  2318,    -1,    -1,    -1,    -1,
      -1,  3202,    -1,    -1,    20,    -1,    -1,    -1,    -1,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1607,  1608,  1609,  5099,
      -1,    -1,    -1,    -1,    60,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3253,    -1,    -1,    -1,    -1,    73,    -1,  3260,
      -1,  3262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2392,
    2393,    -1,    88,    -1,  3275,    -1,  3277,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3299,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   129,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   140,    -1,    -1,    -1,    -1,  1325,
      -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,  3340,
      -1,    -1,  5202,    -1,   160,    -1,    -1,    -1,    -1,   165,
      -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
      -1,    -1,    -1,  4198,    -1,    -1,  1393,    -1,  4203,    -1,
      -1,    -1,    -1,    -1,    -1,   191,    -1,  2500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3391,    -1,    -1,    -1,    -1,    -1,    -1,  1393,    -1,    -1,
      -1,  4236,    -1,    -1,    -1,    -1,    -1,    -1,  3409,    -1,
      -1,    -1,    -1,  4248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3431,  1458,    -1,  3434,    -1,    -1,  5296,    -1,    -1,    -1,
    4275,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,  1458,    -1,    -1,    -1,    -1,    -1,   284,  5329,
    5330,    -1,  1499,    -1,    -1,    -1,    -1,    -1,   294,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   304,   305,
      -1,    -1,   308,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1499,    -1,  1532,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3514,    -1,    -1,    -1,    -1,   334,    -1,
      -1,   337,    -1,    -1,    -1,   341,    -1,   343,    -1,    -1,
      -1,    -1,    -1,  4368,   350,    -1,  1532,   353,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,
      -1,  2684,   378,    -1,    -1,    -1,    -1,   383,    -1,  5429,
     386,    -1,    -1,    -1,   390,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   398,    -1,   400,    -1,    -1,    -1,    -1,   405,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   417,    -1,    -1,    -1,    -1,    -1,  4442,    -1,  1980,
      -1,    -1,    -1,    -1,   430,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1993,    -1,  1995,    -1,    -1,  1998,  1999,  2000,
      -1,    -1,    -1,    -1,  2005,    -1,    -1,  2008,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2023,  2024,  2025,  2026,    -1,    25,    -1,    -1,
    2031,    -1,    -1,    -1,  2035,    -1,  3667,  2038,    -1,    -1,
    2041,  2042,  2043,  2044,  2045,  2046,  2047,  2048,  2049,    -1,
    2051,    -1,    -1,  1710,    -1,    -1,    -1,  2058,    -1,  2060,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1727,    -1,    -1,    -1,    -1,    73,    -1,    -1,    -1,  1736,
      -1,    -1,    -1,  4548,  1710,  4550,  2839,  3718,    -1,    -1,
      88,  1748,  3723,    -1,  3725,    -1,    -1,    -1,    -1,  2100,
      -1,  1727,    -1,    -1,    -1,    -1,    -1,    -1,   106,  2862,
    1736,    -1,   671,    -1,   112,    -1,  3747,    -1,    -1,    -1,
      -1,    -1,  1748,    -1,  2125,  2126,    -1,    -1,    -1,    -1,
    4595,   129,    -1,    -1,    -1,  3766,    -1,    -1,   697,  4604,
      -1,    -1,   140,    -1,    -1,    -1,    -1,  1804,    -1,    -1,
     148,  3782,    -1,    -1,  3785,    -1,    -1,    -1,    -1,    -1,
      -1,  1818,   160,    -1,    -1,    -1,    -1,   165,    -1,    -1,
      -1,    -1,    -1,  1830,   172,    -1,    -1,  4642,  1804,    -1,
      -1,    -1,    -1,  4648,    -1,  1842,    -1,    -1,    -1,    -1,
      -1,    -1,  1818,   191,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1830,    -1,  2207,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1842,    -1,   216,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1886,
    1887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   237,
      -1,   671,    -1,    -1,    -1,    -1,  3877,  3878,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3887,    -1,    -1,    -1,
    1886,  1887,    -1,    -1,    -1,    -1,    -1,   697,    -1,    -1,
      -1,    -1,    -1,   271,    -1,  3906,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   294,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   304,   305,    -1,    -1,
     308,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   334,    -1,    -1,   337,
      -1,    -1,    -1,   341,    -1,   343,  3099,    -1,  3979,    -1,
      -1,    -1,   350,    -1,    -1,   353,    -1,    -1,    -1,    -1,
      -1,    -1,  4827,    -1,    -1,  2022,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,
     378,    -1,    -1,    -1,   382,   383,    -1,  4852,   386,    -1,
      -1,   950,   390,    -1,    -1,    -1,  2022,    -1,    -1,  4864,
      -1,    -1,   400,    -1,    -1,    -1,    -1,   405,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   975,    -1,    -1,   417,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   990,   430,    -1,    -1,    -1,    -1,  2438,  2439,  2440,
      -1,    -1,    -1,  2444,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2479,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2157,    -1,    -1,    -1,  2161,  2162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3266,  3267,  3268,  1075,    -1,    -1,    -1,
     950,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3283,  2157,    -1,    -1,    -1,  2161,  2162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   975,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3306,    -1,    -1,    -1,    -1,    -1,    -1,
     990,    -1,    -1,  3316,  3317,    -1,  2223,  4198,  3321,    -1,
      -1,    -1,  4203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5058,    -1,  5060,    -1,  2223,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4236,    -1,    -1,    -1,    -1,
      -1,  2237,    -1,    -1,    -1,    -1,    -1,  4248,    -1,    -1,
    2277,    -1,    -1,    -1,    -1,  1184,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4275,  1075,    -1,    -1,    -1,    -1,
      -1,  2277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3432,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5153,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5171,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5185,    -1,  2723,    -1,    -1,    -1,    -1,  2728,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5200,    -1,  4368,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2753,    -1,  1184,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2764,    -1,  2766,  2767,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2777,    -1,    -1,  2780,
      -1,  2782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5259,  5260,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3560,  3561,  3562,
    2811,  4442,  2813,    -1,  2815,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2480,    -1,    -1,   671,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1393,    -1,    -1,    -1,    -1,  5304,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   697,    -1,  2480,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2869,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2884,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1458,
      -1,    -1,    -1,    -1,    -1,  2562,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4548,    -1,  4550,
      -1,  5386,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2562,    -1,    -1,    -1,
    1499,    -1,    -1,    -1,    -1,    -1,    -1,  2948,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1393,  4595,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1532,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5463,    -1,
    5465,  5466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2680,    -1,    -1,    -1,    -1,  1458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2680,  2712,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1499,
      -1,  2697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2712,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3848,    -1,    -1,    -1,    -1,
      -1,    -1,  1532,    -1,    -1,   950,  3859,    -1,    -1,    -1,
      -1,    -1,    -1,   671,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     975,    -1,    -1,    -1,    -1,    -1,    -1,  3890,    -1,   697,
      -1,    -1,    -1,    -1,    -1,   990,    -1,    -1,    -1,    -1,
      -1,  1710,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1727,    -1,
      -1,  3924,    -1,    -1,    -1,    -1,    -1,  1736,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1748,
      -1,    -1,    -1,    -1,    -1,    -1,  4827,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3207,    -1,    -1,    -1,
      -1,    -1,  3213,    -1,    -1,    -1,  3969,    -1,    -1,    -1,
      -1,  4852,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1075,    -1,    -1,  4864,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1804,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1818,
    2917,    -1,    -1,  2920,    -1,  2922,    -1,    -1,    -1,    -1,
    2927,  1830,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1710,    -1,    -1,  1842,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2917,    -1,    -1,  2920,    -1,  2922,  1727,    -1,    -1,
      -1,  2927,    -1,    -1,    -1,    -1,  1736,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1748,  2976,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1886,  1887,    -1,
      -1,    -1,  4085,  4086,  4087,  4088,    -1,    -1,  2995,  1184,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3020,    -1,    -1,    -1,    -1,    -1,  2995,
      -1,    -1,    -1,    -1,  1804,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1818,    -1,
      -1,    -1,   950,    -1,  3020,    -1,    -1,    -1,    -1,    -1,
    1830,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1842,    -1,    -1,    -1,    -1,   975,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5058,    -1,  5060,
      -1,    -1,   990,    -1,  3091,    -1,  3093,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3454,    -1,    -1,  1886,  1887,    -1,    -1,
      -1,    -1,  3463,  2022,    -1,  3091,    -1,  3093,  3469,    -1,
    3471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3498,  3499,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3516,    -1,  1075,    -1,    -1,
      -1,    -1,  5153,  3524,    -1,  3182,  3527,    -1,  3529,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3538,    -1,    -1,
    5171,    -1,    -1,    -1,    -1,  3546,  3547,    -1,  1393,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3182,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3221,    -1,    -1,    -1,    -1,  5200,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3578,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3246,
      -1,    -1,  2022,    -1,    -1,  3221,    -1,  3254,  2157,    -1,
      -1,  3602,  2161,  2162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1458,    -1,    -1,    -1,  3618,    -1,    -1,
    3246,    -1,    -1,    -1,    -1,    -1,  1184,    -1,  3254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1499,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2223,    -1,  3323,  4420,    -1,    -1,
      -1,    -1,    -1,  5304,    -1,    -1,    -1,    -1,  2237,    -1,
      -1,    -1,    -1,    -1,  3341,    -1,    -1,  1532,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3323,  3355,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3341,    -1,    -1,  2277,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2157,    -1,  3355,
      -1,  2161,  2162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5386,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2223,    -1,    -1,    -1,    -1,    -1,    -1,
    3457,    -1,    -1,    -1,    -1,    -1,    -1,  2237,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5447,    -1,    -1,    -1,
      -1,  3478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3457,  5463,    -1,    -1,  1393,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3503,  2277,    -1,    -1,
      -1,    -1,  3478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1710,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3503,    -1,    -1,
    3537,    -1,  1727,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1736,    -1,    -1,    -1,    -1,    -1,    -1,  4651,    -1,
    1458,    -1,    -1,  1748,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3537,    -1,  4666,    -1,    -1,    -1,    -1,  4671,    -1,
      -1,  2480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3932,  3933,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1499,    -1,  4696,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1804,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3624,    -1,    -1,
      -1,    -1,    -1,  1818,  1532,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   671,    -1,    -1,  1830,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1842,  3624,    -1,
      -1,  4002,    -1,  2562,    -1,    -1,    -1,    -1,   697,    -1,
      -1,    -1,  4013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1886,  1887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2480,    -1,  4053,  4054,    -1,    -1,    -1,    -1,    -1,  4060,
    4061,    -1,    -1,    -1,  4065,  4818,    -1,  3724,    -1,  4070,
      -1,    -1,  4073,  4074,    -1,    -1,    -1,  4078,    -1,    -1,
      -1,    -1,    -1,  4084,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3748,    -1,    -1,    -1,    -1,    -1,    -1,  3724,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2680,  3748,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2562,    -1,    -1,  4136,    -1,    -1,  2697,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1710,  2712,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4914,  4163,    -1,    -1,    -1,    -1,    -1,    -1,  1727,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2022,  1736,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1748,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3881,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1804,    -1,    -1,    -1,
    2680,    -1,    -1,    -1,    -1,  3881,    -1,    -1,    -1,    -1,
    1818,   950,    -1,  4264,    -1,    -1,    -1,  2697,    -1,    -1,
      -1,    -1,  1830,    -1,  3931,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2712,    -1,  1842,    -1,   975,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   990,    -1,    -1,    -1,  3931,    -1,    -1,    -1,    -1,
      -1,    -1,  2157,    -1,    -1,    -1,  2161,  2162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1886,  1887,
    4331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2917,    -1,
      -1,  2920,    -1,  2922,    -1,    -1,    -1,    -1,  2927,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2223,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1075,    -1,    -1,    -1,
      -1,    -1,  2237,    -1,    -1,    -1,    -1,    -1,    -1,  4056,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4066,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2976,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4056,    -1,  2277,    -1,    -1,    -1,  2995,    -1,    -1,    -1,
    4066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3020,    -1,    -1,  2022,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4486,  4487,  2917,    -1,  4490,
    2920,    -1,  2922,    -1,    -1,  1184,    -1,  2927,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4181,    -1,  4527,  4528,    -1,    -1,
      -1,    -1,  3091,    -1,  3093,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4543,    -1,    -1,    -1,  2976,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4181,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4220,    -1,  2995,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4241,    -1,    -1,    -1,    -1,    -1,
    3020,    -1,    -1,    -1,  4220,    -1,    -1,    -1,    -1,  2157,
      -1,    -1,    -1,  2161,  2162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4241,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3182,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2480,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4306,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3091,  3221,  3093,    -1,  2223,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2237,
    4306,    -1,    -1,    -1,    -1,    -1,    -1,  3246,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3254,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1393,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2562,    -1,  2277,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4744,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3182,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4418,    -1,    -1,  3323,    -1,    -1,    -1,    -1,  1458,
      -1,  4772,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3341,    -1,    -1,  4786,    -1,    -1,    -1,    -1,
      -1,  3221,  4418,    -1,    -1,    -1,  3355,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4464,    -1,    -1,
    1499,    -1,    -1,    -1,    -1,    -1,  3246,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3254,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2680,    -1,    -1,  4464,    -1,
      -1,    -1,    -1,  1532,  4845,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2712,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3323,    -1,    -1,    -1,    -1,  3457,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3478,
      -1,    -1,  2480,    -1,    -1,  3355,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4594,    -1,    -1,
      -1,    -1,    -1,    -1,  3503,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4594,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3537,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4997,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2562,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1710,  5023,    -1,    -1,    -1,    -1,  3457,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1727,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1736,  3478,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1748,
      -1,  4718,    -1,    -1,    -1,  3624,    -1,    -1,    -1,    -1,
      -1,    -1,  2917,  3503,    -1,  2920,    -1,  2922,    -1,    -1,
      -1,    -1,  2927,    -1,    -1,  4742,    -1,    -1,    -1,    -1,
      -1,    -1,  4718,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3537,    -1,  5110,
      -1,    -1,    -1,    -1,    -1,  1804,  4742,    -1,    -1,    -1,
      -1,    -1,  2680,    -1,    -1,  4782,    -1,    -1,    -1,  1818,
      -1,  2976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2697,
      -1,  1830,  5143,  5144,  5145,    -1,    -1,    -1,    -1,    -1,
    2995,    -1,    -1,  1842,  2712,    -1,  4782,    -1,    -1,    -1,
      -1,  5162,    -1,    -1,    -1,  3724,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3020,    -1,    -1,  4835,    -1,
      -1,    -1,    -1,  4840,  4841,    -1,    -1,    -1,    -1,  3748,
      -1,    -1,    -1,    -1,  3624,    -1,    -1,  1886,  1887,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4835,
      -1,    -1,    -1,    -1,  4840,  4841,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5244,    -1,    -1,  3091,    -1,  3093,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3724,  4952,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3748,    -1,
      -1,    -1,  3881,    -1,    -1,    -1,  4952,    -1,    -1,    -1,
      -1,    -1,    -1,  2022,    -1,    -1,    -1,  3182,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2917,
      -1,    -1,  2920,    -1,  2922,    -1,    -1,    -1,    -1,  2927,
      -1,  5372,  3931,    -1,    -1,    -1,  3221,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3246,    -1,    -1,  5405,    -1,    -1,    -1,    -1,  3254,
      -1,    -1,    -1,    -1,  5415,    -1,    -1,    -1,  2976,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1290,    -1,    -1,    -1,    -1,    -1,    -1,  2995,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3881,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3020,    -1,    -1,    -1,    -1,    -1,  2157,    -1,
      -1,    -1,  2161,  2162,    -1,    -1,    -1,    -1,  3323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1350,    -1,    -1,    -1,    -1,    -1,  3341,  4056,    -1,  5156,
      -1,  3931,    -1,    -1,    -1,    -1,    -1,  4066,    -1,    -1,
    3355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5156,    -1,    -1,  3091,  2223,  3093,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2237,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2277,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4181,    -1,  3182,    -1,  4056,    -1,    -1,    -1,
      -1,    -1,    -1,  3478,    -1,    -1,  4066,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3503,    -1,
      -1,  4220,    -1,  3221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4241,    -1,    -1,    -1,    -1,    -1,  3246,    -1,
      -1,    -1,  3537,    -1,    -1,    -1,  3254,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4306,    -1,    -1,
      -1,  4181,    -1,  1613,    -1,    -1,    -1,  1617,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3624,
      -1,    -1,    -1,  3341,    -1,    -1,    -1,    -1,    -1,    -1,
    4220,  2480,    -1,    -1,    -1,    -1,    -1,  3355,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2562,    -1,    -1,  4306,    -1,    -1,  3724,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3457,
      -1,    -1,    -1,  3748,    -1,  4464,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3503,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3537,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4418,    -1,
      -1,  2680,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2697,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2712,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4464,  4594,  3881,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3624,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3931,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1978,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1992,    -1,    -1,    -1,  1996,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2010,  2011,  2012,    -1,  2014,    -1,    -1,    -1,    -1,  4718,
      -1,    -1,    -1,    -1,  4594,    -1,  3724,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4742,    -1,    -1,    -1,    -1,    -1,    -1,
    3748,    -1,    -1,    -1,    -1,    -1,  2056,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4056,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4066,    -1,  4782,    -1,    -1,    -1,    -1,  2917,    -1,
      -1,  2920,    -1,  2922,    -1,    -1,    -1,    -1,  2927,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2124,    -1,    -1,    -1,    -1,  2129,
      -1,    -1,    -1,    -1,    -1,    -1,  4835,    -1,    -1,    -1,
      -1,  4840,  4841,    -1,    -1,    -1,    -1,  2976,  4718,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2995,    -1,    -1,    -1,
      -1,    -1,  4742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3881,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3020,    -1,    -1,    -1,    -1,  4181,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4782,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3931,    -1,  4220,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4952,    -1,    -1,  4241,    -1,    -1,    -1,
      -1,    -1,  3091,    -1,  3093,  4835,    -1,    -1,    -1,    -1,
    4840,  4841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4306,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3182,    -1,    -1,    -1,    -1,  4056,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4066,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4952,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3246,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3254,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5156,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4464,
      -1,    -1,    -1,  4181,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3323,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4220,    -1,    -1,    -1,  3355,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4241,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5156,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4306,  4594,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3457,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3478,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3503,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3537,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4418,    -1,    -1,    -1,    -1,    -1,  2726,    -1,    -1,    -1,
      -1,    -1,    -1,  4718,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2746,    -1,  2748,    -1,
      -1,  2751,  2752,    -1,  2754,    -1,  2756,  4742,    -1,    -1,
    2760,    -1,    -1,  2763,    -1,    -1,  4464,    -1,  2768,    -1,
      -1,    -1,    -1,    -1,  2774,    -1,    -1,    -1,    -1,  2779,
      -1,    -1,    -1,    -1,    -1,    -1,  2786,  2787,  2788,  2789,
      -1,    -1,    -1,  2793,  2794,  3624,  2796,  4782,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2808,    -1,
    2810,    -1,    -1,    -1,    -1,    -1,    -1,  2817,  2818,  2819,
    2820,  2821,  2822,  2823,  2824,  2825,  2826,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4835,    -1,    -1,    -1,    -1,  4840,  4841,    -1,    -1,    -1,
      -1,    -1,    -1,  2863,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3724,  4594,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3748,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2963,    -1,    -1,    -1,  4952,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4718,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4742,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3881,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4782,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3931,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4835,    -1,    -1,
      -1,    -1,  4840,  4841,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3211,  3212,    -1,    -1,    -1,  3216,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4056,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4066,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3249,
      -1,    -1,    -1,    -1,  4952,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3453,    -1,    -1,    -1,    -1,  5156,  3459,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3475,  3476,  4306,    -1,  3479,
    3480,  3481,  3482,    -1,    -1,  3485,  3486,  3487,  3488,  3489,
    3490,  3491,  3492,  3493,  3494,  3495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3517,    -1,    -1,
    3520,    -1,  3522,    -1,    -1,  3525,  3526,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3540,  3541,  3542,  3543,    -1,  3545,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3633,    -1,  4464,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4594,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3852,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4718,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4742,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4782,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4003,    -1,    -1,  4835,  4007,  4008,  4009,
      -1,  4840,  4841,    -1,    -1,  4015,  4016,  4017,  4018,    -1,
      -1,    -1,    -1,  4023,  4024,  4025,  4026,  4027,  4028,  4029,
    4030,  4031,  4032,  4033,  4034,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4059,
      -1,    -1,  4062,    -1,  4064,    -1,    -1,    -1,  4068,    -1,
      -1,  4071,  4072,    -1,    -1,  4075,  4076,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4122,  4952,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4135,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5156,    -1,    -1,
      -1,    -1,    -1,    -1,  4334,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4413,  4414,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4454,    -1,    -1,    -1,    -1,  4459,
    4460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4474,    -1,  4476,    -1,    -1,    -1,
    4480,  4481,  4482,    -1,    -1,  4485,    -1,    -1,  4488,  4489,
      -1,    -1,    -1,  4493,    -1,    -1,    -1,  4497,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4552,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4615,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4653,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4740,  4741,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4756,  4757,  4758,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4766,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4793,  4794,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4805,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4964,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4978,    -1,
      -1,  4981,    -1,    -1,    -1,  4985,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5034,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5150,    -1,  5152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5183,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5238,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5264,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5326,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5360,  5361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5411,  5412,    -1,    -1,    -1,  5416,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,  5442,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,
     465,   466,   467,    -1,    -1,    -1,    -1,    -1,    -1,   474,
     475,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
      -1,    -1,    -1,   465,   466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   474,   475,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
      -1,    -1,    -1,    -1,    -1,    -1,   465,   466,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   474,   475,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,   465,
     466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,   475,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,    -1,    -1,     3,    -1,
      -1,    -1,   465,   466,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   474,   475,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     475,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,    -1,    -1,   255,   256,
     257,   258,    -1,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,    -1,   400,    -1,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,   456,
     457,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,   475,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,   147,   148,   149,    -1,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,    -1,    -1,   255,
     256,   257,   258,    -1,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,    -1,   400,    -1,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,    -1,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,   455,
     456,   457,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,   475,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,   435,    -1,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,    -1,    -1,
      -1,   465,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     474,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,    -1,    -1,    -1,
      -1,    -1,    -1,   465,   466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   474,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,   465,   466,    -1,    -1,    -1,
      -1,    -1,   472,   473,   474,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,   465,   466,   467,
      -1,    -1,    -1,    -1,    -1,    -1,   474,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,   465,
     466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,   465,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     474,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,    -1,    -1,    -1,
      -1,    -1,    -1,   465,   466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   474,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,   465,   466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   474,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,   465,   466,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   474,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,   465,
     466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,   465,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     474,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,    -1,    -1,    -1,
      -1,    -1,    -1,   465,   466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   474,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,   465,   466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   474,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,   465,   466,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   474,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,   465,
     466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,    -1,    -1,    -1,    -1,    -1,
      -1,   465,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     474,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   465,   466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   474,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,    -1,
      -1,    -1,    -1,    -1,    -1,   465,   466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   474,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,   466,    -1,
      -1,     3,     4,     5,     6,     7,   474,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   465,   466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   474,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   465,   466,    -1,    -1,     3,
       4,     5,     6,     7,   474,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,    -1,     3,     4,     5,     6,
       7,    -1,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
     474,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,     3,     4,     5,     6,     7,    -1,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,   474,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,   474,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,    -1,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,    -1,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,     3,    -1,    -1,
      -1,    -1,   465,   466,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   474,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    60,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,   270,   271,   272,   273,    -1,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,   460,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    -1,    60,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,    -1,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,   223,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,   270,   271,   272,   273,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   474,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   474,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    -1,    60,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,    -1,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     474,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,     3,     4,     5,    -1,    -1,    -1,     9,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
       3,    -1,    -1,    -1,    -1,   465,   466,   467,    -1,    -1,
      -1,    -1,    -1,    -1,   474,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,   435,    -1,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,   460,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   474,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    -1,    -1,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    71,    -1,    -1,    -1,    75,    76,    77,
      78,    79,    -1,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,
     108,   109,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,   147,
     148,   149,   150,    -1,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,
     168,    -1,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,    -1,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,    -1,    -1,   211,    -1,   213,   214,   215,   216,   217,
      -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,
     228,    -1,    -1,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,    -1,   255,   256,    -1,
     258,    -1,   260,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
     278,    -1,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,    -1,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,   412,   413,   414,   415,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
      -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,   460,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   474,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      -1,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,   147,   148,   149,
     150,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,    -1,   198,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,    -1,
      -1,   211,    -1,   213,   214,   215,   216,   217,    -1,    -1,
     220,   221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,    -1,   255,   256,    -1,   258,    -1,
     260,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,    -1,   384,    -1,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,    -1,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   474,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
      -1,   384,    -1,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,    -1,   429,   430,   431,   432,
      -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   474,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,    -1,   384,    -1,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,    -1,
     429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,    -1,    -1,    -1,     3,     4,     5,    -1,    -1,     8,
       9,    -1,    -1,    -1,    -1,   474,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,    -1,   147,   148,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,    -1,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
      -1,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   455,   456,   457,    -1,
      -1,    -1,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,     3,     4,     5,    -1,    -1,     8,     9,    -1,
      -1,    -1,    -1,    -1,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      -1,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,   147,   148,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
      -1,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,    -1,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   455,   456,   457,    -1,     3,    -1,
     461,   462,   463,     8,   465,   466,   467,   468,   469,   470,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,     3,    -1,   461,   462,   463,     8,
     465,   466,   467,   468,   469,   470,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,    -1,   384,    -1,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,    -1,
     429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
       3,    -1,   461,   462,   463,     8,   465,   466,   467,   468,
     469,   470,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    -1,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    -1,
      93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,   147,   148,   149,   150,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,    -1,
      -1,    -1,   165,   166,   167,   168,    -1,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,    -1,   198,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
     213,   214,   215,   216,   217,    -1,    -1,   220,   221,    -1,
     223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,   258,    -1,   260,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
      -1,   384,    -1,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,    -1,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,    -1,   429,   430,   431,   432,
      -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,     3,    -1,   461,   462,
     463,     8,   465,   466,   467,   468,   469,   470,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,     3,    -1,   461,   462,   463,     8,   465,   466,
     467,   468,   469,   470,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,   147,   148,   149,   150,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,   198,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
     221,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,   258,    -1,   260,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,     3,    -1,
     461,   462,   463,     8,   465,   466,   467,   468,   469,   470,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    -1,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    -1,    93,    94,
      95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,   147,   148,   149,   150,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,
     165,   166,   167,   168,    -1,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,    -1,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,
     215,   216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,   258,    -1,   260,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,    -1,   384,
      -1,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,     3,    -1,   461,   462,   463,     8,
     465,   466,   467,   468,   469,   470,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,    -1,   384,    -1,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,    -1,
     429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,     3,
      -1,    -1,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    -1,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    -1,    93,    94,    95,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,   147,   148,
     149,   150,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,    -1,    -1,    -1,   165,   166,   167,   168,
      -1,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,    -1,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
      -1,    -1,   211,    -1,   213,   214,   215,   216,   217,    -1,
      -1,   220,   221,    -1,   223,    -1,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,   258,
      -1,   260,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,    -1,   384,    -1,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,    -1,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,    -1,
     429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    -1,    -1,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    -1,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    -1,    93,
      94,    95,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,   147,   148,   149,   150,    -1,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,    -1,    -1,
      -1,   165,   166,   167,   168,    -1,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,    -1,   198,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,   213,
     214,   215,   216,   217,    -1,    -1,   220,   221,    -1,   223,
      -1,    -1,   226,   227,   228,    -1,    -1,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
      -1,   255,   256,    -1,   258,    -1,   260,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,   278,    -1,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,    -1,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,    -1,
     384,    -1,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,   412,   413,
     414,   415,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,    -1,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,    -1,   147,   148,
     149,    -1,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,    -1,    -1,    -1,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,    -1,   222,   223,   224,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,    -1,    -1,   255,   256,   257,   258,
      -1,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,   275,   276,   277,   278,
     279,   280,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,    -1,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,    -1,    -1,   397,   398,
      -1,   400,    -1,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   455,   456,   457,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,   467,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    -1,    -1,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    -1,    -1,
      -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,   107,
     108,   109,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,    -1,   147,
     148,   149,    -1,    -1,   152,    -1,   154,   155,   156,   157,
      -1,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,    -1,   222,   223,   224,    -1,   226,   227,
     228,    -1,    -1,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,    -1,    -1,   255,   256,   257,
     258,    -1,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,   275,   276,   277,
     278,   279,   280,   281,    -1,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,    -1,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,    -1,   400,    -1,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,   412,   413,   414,   415,   416,    -1,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,     3,     4,     5,    -1,
      -1,    -1,     9,    -1,    -1,    -1,    -1,   455,   456,   457,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,   467,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,     4,     5,    -1,    -1,    -1,     9,   465,   466,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,     4,     5,    -1,
      -1,    -1,     9,   465,   466,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,     5,    -1,    -1,    -1,     9,   465,   466,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,     9,   465,   466,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,   163,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,     4,     5,    -1,    -1,    -1,     9,   465,   466,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,   160,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,   160,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,   160,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,   160,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,   270,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,   270,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,   270,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,     9,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    35,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    35,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    35,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    -1,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    -1,    93,    94,    95,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
     147,   148,   149,   150,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,   166,
     167,   168,    -1,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
      -1,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,   216,
     217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,   258,    -1,   260,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,    -1,   384,    -1,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,    -1,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    63,    64,    65,    -1,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,   109,   110,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,   147,   148,   149,   150,    -1,
     152,    -1,   154,   155,   156,   157,    -1,   159,    -1,   161,
      -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,    -1,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,    -1,   208,    -1,    -1,   211,
      -1,   213,   214,   215,   216,   217,    -1,    -1,   220,   221,
      -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,   258,    -1,   260,   261,
     262,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,    -1,   384,    -1,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,    -1,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,    -1,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,    -1,    -1,   255,   256,
     257,   258,    -1,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,   278,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,    -1,   400,    -1,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,   456,
     457,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    -1,    93,    94,    95,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,   147,   148,   149,   150,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,    -1,    -1,    -1,   165,
     166,   167,   168,    -1,   170,   171,    -1,   173,    -1,   175,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,    -1,   198,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,    -1,    -1,   211,    -1,   213,   214,   215,
     216,   217,    -1,    -1,   220,   221,    -1,   223,    -1,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,    -1,   255,
     256,    -1,   258,    -1,   260,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,    -1,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,    -1,   384,    -1,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,    -1,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    63,    64,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,   147,   148,   149,    -1,
      -1,   152,    -1,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,    -1,   170,
      -1,    -1,    -1,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,   197,    -1,   199,   200,
     201,   202,   203,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,    -1,   220,
      -1,   222,   223,   224,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,    -1,    -1,   255,   256,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,    -1,   279,   280,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,    -1,    -1,   397,   398,    -1,   400,
      -1,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,    -1,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   455,   456,   457,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    -1,
      -1,    61,    62,    63,    64,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,    99,
      -1,    -1,    -1,   103,   104,   105,   106,   107,   108,   109,
     110,   111,    -1,   113,    -1,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,   124,   125,    -1,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,   147,   148,   149,
      -1,    -1,   152,    -1,   154,   155,   156,   157,    -1,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,    -1,
     170,    -1,    -1,    -1,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,    -1,   196,   197,    -1,   199,
     200,   201,   202,   203,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,    -1,
     220,    -1,   222,   223,   224,    -1,   226,   227,   228,    -1,
      -1,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,    -1,
      -1,   261,   262,   263,   264,   265,    -1,   267,   268,    -1,
      -1,   271,   272,   273,    -1,    -1,   276,   277,    -1,   279,
     280,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,    -1,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
      -1,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,    -1,    -1,   397,   398,    -1,
     400,    -1,    -1,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,   419,
     420,   421,   422,   423,    -1,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   455,   456,   457,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    -1,    61,    62,    63,    64,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    95,    -1,    -1,    -1,
      99,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,    -1,   113,    -1,   115,   116,   117,   118,
     119,   120,    -1,   122,   123,   124,   125,    -1,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,    -1,   142,   143,   144,   145,    -1,   147,   148,
     149,    -1,    -1,   152,    -1,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
      -1,   170,    -1,    -1,    -1,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,    -1,   196,   197,    -1,
     199,   200,   201,   202,   203,   204,    -1,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
      -1,   220,    -1,   222,   223,   224,    -1,   226,   227,   228,
      -1,    -1,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,   258,
      -1,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
      -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,    -1,
     279,   280,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,    -1,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,    -1,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,    -1,    -1,   397,   398,
      -1,   400,    -1,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,   412,   413,   414,   415,   416,    -1,    -1,
     419,   420,   421,   422,   423,    -1,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   455,   456,   457,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    -1,    -1,    61,    62,    63,    64,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    87,
      88,    89,    90,    -1,    92,    93,    94,    95,    -1,    -1,
      -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,   107,
     108,   109,   110,   111,    -1,   113,    -1,   115,   116,   117,
     118,   119,   120,    -1,   122,   123,   124,   125,    -1,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,    -1,   142,   143,   144,   145,    -1,   147,
     148,   149,    -1,    -1,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,    -1,   170,    -1,    -1,    -1,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,   193,   194,    -1,   196,   197,
      -1,   199,   200,   201,   202,   203,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,   220,    -1,   222,   223,   224,    -1,   226,   227,
     228,    -1,    -1,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,    -1,    -1,   255,   256,   257,
     258,    -1,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,   277,
      -1,   279,   280,   281,    -1,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,    -1,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,    -1,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,    -1,    -1,   397,
     398,    -1,   400,    -1,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,   412,   413,   414,   415,   416,    -1,
      -1,   419,   420,   421,   422,   423,    -1,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,   456,   457,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    -1,    61,    62,    63,    64,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      87,    88,    89,    90,    -1,    92,    93,    94,    95,    -1,
      -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,    -1,   113,    -1,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,   124,   125,    -1,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,    -1,   152,    -1,   154,   155,   156,
     157,    -1,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,    -1,   196,
     197,    -1,   199,   200,   201,   202,   203,   204,    -1,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,   226,
     227,   228,    -1,    -1,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,    -1,    -1,   255,   256,
     257,   258,    -1,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,   276,
     277,    -1,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,    -1,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,    -1,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,    -1,    -1,
     397,   398,    -1,   400,    -1,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,   412,   413,   414,   415,   416,
      -1,    -1,   419,   420,   421,   422,   423,    -1,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,   456,
     457,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    -1,    -1,    61,    62,    63,    64,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    87,    88,    89,    90,    -1,    92,    93,    94,    95,
      -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,    -1,   113,    -1,   115,
     116,   117,   118,   119,   120,    -1,   122,   123,   124,   125,
      -1,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,   147,   148,   149,    -1,    -1,   152,    -1,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,    -1,   170,    -1,    -1,    -1,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,    -1,   199,   200,   201,   202,   203,   204,    -1,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,    -1,   220,    -1,   222,   223,   224,    -1,
     226,   227,   228,    -1,    -1,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,    -1,    -1,   255,
     256,   257,   258,    -1,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,    -1,
     276,   277,    -1,   279,   280,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,    -1,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,    -1,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,    -1,
      -1,   397,   398,    -1,   400,    -1,    -1,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,   412,   413,   414,   415,
     416,    -1,    -1,   419,   420,   421,   422,   423,    -1,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   455,
     456,   457,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    -1,    -1,    61,    62,    63,    64,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,    -1,   113,    -1,
     115,   116,   117,   118,   119,   120,    -1,   122,   123,   124,
     125,    -1,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,   147,   148,   149,    -1,    -1,   152,    -1,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,    -1,   170,    -1,    -1,    -1,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
      -1,   196,   197,    -1,   199,   200,   201,   202,   203,   204,
      -1,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,    -1,   220,    -1,   222,   223,   224,
      -1,   226,   227,   228,    -1,    -1,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,    -1,    -1,
     255,   256,   257,   258,    -1,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,    -1,    -1,   271,   272,   273,    -1,
      -1,   276,   277,    -1,   279,   280,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,    -1,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,    -1,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
      -1,    -1,   397,   398,    -1,   400,    -1,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,   412,   413,   414,
     415,   416,    -1,    -1,   419,   420,   421,   422,   423,    -1,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     455,   456,   457,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    58,    -1,    -1,    61,    62,    63,
      64,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    87,    88,    89,    90,    -1,    92,    93,
      94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,   103,
     104,   105,   106,   107,   108,   109,   110,   111,    -1,   113,
      -1,   115,   116,   117,   118,   119,   120,    -1,   122,   123,
     124,   125,    -1,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,    -1,   142,   143,
     144,   145,    -1,   147,   148,   149,    -1,    -1,   152,    -1,
     154,   155,   156,   157,    -1,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,    -1,   170,    -1,    -1,    -1,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
     194,    -1,   196,   197,    -1,   199,   200,   201,   202,   203,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,    -1,   220,    -1,   222,   223,
     224,    -1,   226,   227,   228,    -1,    -1,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,    -1,
      -1,   255,   256,   257,   258,    -1,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,    -1,    -1,   271,   272,   273,
      -1,    -1,   276,   277,    -1,   279,   280,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,    -1,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,    -1,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,    -1,    -1,   397,   398,    -1,   400,    -1,    -1,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,   412,   413,
     414,   415,   416,    -1,    -1,   419,   420,   421,   422,   423,
      -1,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   455,   456,   457,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    -1,    -1,    61,    62,
      63,    64,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,    -1,
     113,    -1,   115,   116,   117,   118,   119,   120,    -1,   122,
     123,   124,   125,    -1,    -1,   128,   129,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,   147,   148,   149,    -1,    -1,   152,
      -1,   154,   155,   156,   157,    -1,   159,    -1,   161,   162,
      -1,   164,   165,   166,   167,   168,    -1,   170,    -1,    -1,
      -1,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
     193,   194,    -1,   196,   197,    -1,   199,   200,   201,   202,
     203,   204,    -1,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,    -1,   220,    -1,   222,
     223,   224,    -1,   226,   227,   228,    -1,    -1,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
      -1,    -1,   255,   256,   257,   258,    -1,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,    -1,    -1,   271,   272,
     273,    -1,    -1,   276,   277,    -1,   279,   280,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,    -1,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,    -1,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,    -1,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,    -1,    -1,   397,   398,    -1,   400,    -1,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,   412,
     413,   414,   415,   416,    -1,    -1,   419,   420,   421,   422,
     423,    -1,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   455,   456,   457,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    -1,    -1,    49,    -1,    -1,
      -1,    53,    54,    55,    56,    57,    58,    -1,    -1,    61,
      62,    -1,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    -1,    85,    86,    87,    88,    89,    90,    -1,
      92,    93,    94,    95,    -1,    -1,    -1,    99,    -1,    -1,
      -1,   103,   104,   105,   106,   107,   108,    -1,    -1,   111,
      -1,   113,    -1,   115,   116,   117,   118,   119,   120,    -1,
     122,   123,   124,   125,    -1,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,    -1,
     142,   143,   144,   145,    -1,   147,   148,   149,    -1,    -1,
     152,    -1,   154,   155,    -1,   157,    -1,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,    -1,   170,    -1,
      -1,    -1,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,    -1,   196,   197,    -1,   199,   200,   201,
     202,    -1,    -1,    -1,    -1,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,    -1,   220,    -1,
     222,   223,   224,    -1,   226,   227,   228,    -1,    -1,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,    -1,   250,   251,
     252,    -1,    -1,   255,   256,   257,   258,    -1,    -1,   261,
      -1,   263,   264,   265,    -1,   267,   268,    -1,    -1,   271,
     272,   273,    -1,    -1,   276,   277,    -1,   279,   280,   281,
      -1,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,    -1,   296,    -1,   298,   299,   300,    -1,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,    -1,   356,   357,    -1,   359,   360,   361,
     362,   363,    -1,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,    -1,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,    -1,    -1,    -1,   397,   398,    -1,   400,    -1,
      -1,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
     412,   413,   414,   415,   416,    -1,    -1,   419,   420,   421,
     422,   423,    -1,    -1,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   455,   456,   457,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    -1,    -1,    -1,    -1,
      -1,    -1,    53,    54,    55,    56,    57,    58,    -1,    -1,
      61,    62,    -1,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    -1,    -1,    75,    76,    77,    78,    79,    -1,
      81,    82,    83,    -1,    85,    86,    87,    88,    89,    90,
      -1,    -1,    93,    94,    95,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,    -1,    -1,
     111,    -1,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,    -1,    -1,   128,   129,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,   147,   148,   149,    -1,
      -1,   152,    -1,   154,   155,    -1,   157,    -1,   159,    -1,
     161,    -1,    -1,    -1,   165,   166,   167,   168,    -1,   170,
      -1,    -1,    -1,   174,   175,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,   194,    -1,   196,    -1,    -1,   199,   200,
     201,   202,    -1,    -1,    -1,    -1,    -1,   208,    -1,    -1,
     211,    -1,   213,   214,   215,   216,   217,    -1,    -1,   220,
      -1,    -1,   223,    -1,    -1,   226,   227,   228,    -1,    -1,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,    -1,    -1,   250,
     251,   252,    -1,    -1,   255,   256,    -1,   258,    -1,    -1,
     261,    -1,   263,   264,   265,    -1,   267,   268,    -1,    -1,
     271,   272,   273,    -1,    -1,   276,   277,    -1,    -1,   280,
      -1,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
      -1,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,    -1,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,    -1,   356,   357,    -1,   359,   360,
      -1,   362,   363,    -1,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,    -1,
     381,   382,    -1,   384,    -1,   386,   387,   388,   389,   390,
      -1,   392,    -1,    -1,    -1,    -1,   397,   398,    -1,   400,
      -1,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,   412,   413,   414,   415,   416,    -1,    -1,   419,   420,
     421,   422,   423,    -1,    -1,    -1,   427,    -1,   429,   430,
     431,   432,    -1,    -1,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   455,   456,   457
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    18,    28,    30,    31,    46,    55,    67,    69,    70,
      76,    78,    89,    91,   108,   111,   125,   127,   131,   137,
     145,   147,   153,   169,   186,   226,   227,   232,   244,   256,
     299,   313,   319,   320,   322,   327,   332,   335,   342,   348,
     349,   356,   360,   370,   383,   403,   413,   419,   424,   437,
     460,   474,   481,   482,   483,   484,   485,   491,   492,   494,
     495,   496,   497,   499,   503,   515,   520,   521,   524,   525,
     526,   549,   552,   553,   569,   613,   614,   617,   620,   621,
     622,   630,   636,   638,   640,   641,   644,   647,   648,   652,
     661,   665,   666,   667,   668,   671,   673,   674,   675,   676,
     684,   685,   704,   708,   710,   711,   712,   722,   724,   731,
     732,   735,   736,   737,   738,   739,   747,   749,   753,   758,
     762,   763,   771,   772,   775,   780,   793,   820,   823,   824,
     825,   830,   833,   835,   837,   839,   840,   845,   846,   849,
     850,   851,   855,   856,   859,   860,   863,   864,   865,   872,
     874,   875,   876,   881,   883,   884,   890,   891,   892,   893,
     894,   895,   896,   898,   899,   901,   902,   904,   907,   910,
     919,   925,   928,   930,   931,   940,   942,   947,   952,   956,
     957,   958,   959,   960,   961,   964,   999,   397,   440,   877,
      25,    73,    88,   106,   112,   129,   140,   148,   160,   165,
     172,   191,   216,   237,   271,   294,   304,   305,   308,   334,
     337,   341,   343,   350,   353,   372,   378,   382,   383,   386,
     390,   400,   405,   417,   430,   637,   877,     3,    18,    19,
      20,    21,    22,    23,    24,    25,    27,    28,    29,    37,
      38,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    53,    54,    55,    56,    57,    58,    61,
      62,    63,    64,    65,    67,    68,    69,    70,    71,    73,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    85,
      86,    87,    88,    89,    90,    92,    93,    94,    95,    99,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   113,
     115,   116,   117,   118,   119,   120,   122,   123,   124,   125,
     128,   129,   130,   131,   132,   134,   135,   136,   138,   139,
     140,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     152,   154,   155,   156,   157,   159,   161,   162,   164,   165,
     166,   167,   168,   170,   171,   173,   174,   175,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   188,   189,
     190,   191,   192,   193,   194,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   206,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   220,   221,   222,   223,   224,
     226,   227,   228,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   255,   256,   257,   258,
     260,   261,   262,   263,   264,   265,   267,   268,   271,   272,
     273,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   293,   294,   295,
     296,   297,   298,   299,   300,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     350,   351,   352,   353,   354,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   381,   382,
     384,   385,   386,   387,   388,   389,   390,   392,   393,   394,
     397,   398,   399,   400,   401,   403,   404,   405,   406,   407,
     408,   409,   412,   413,   414,   415,   416,   419,   420,   421,
     422,   423,   424,   425,   427,   428,   429,   430,   431,   432,
     435,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,  1058,  1131,  1139,  1140,  1143,  1144,  1145,     3,    26,
     953,  1125,  1139,  1143,   428,   912,   269,   300,   877,    49,
     474,   560,    20,    25,    37,    60,    73,    84,   106,   112,
     129,   140,   148,   160,   168,   172,   228,   271,   274,   294,
     308,   334,   343,   353,   372,   378,   386,   387,   389,   390,
     400,   405,   411,   414,   417,   570,   619,   727,   781,   794,
      26,   299,  1125,   953,    26,   293,   351,   387,   389,     5,
     215,   831,   832,  1134,    20,    25,    37,    60,    73,    88,
     106,   129,   140,   148,   160,   165,   172,   191,   237,   271,
     284,   294,   305,   308,   334,   337,   341,   343,   350,   353,
     372,   378,   383,   386,   390,   398,   400,   405,   417,   430,
     637,   740,   741,   742,   877,  1125,    91,   428,   474,   614,
     617,   620,   910,   920,   928,   931,   940,   947,   952,   956,
       9,    19,    26,    44,   155,   161,   163,   187,   217,   251,
     302,   321,   465,   466,   759,   760,   953,  1133,  1135,    26,
      91,   317,   349,   764,   765,   766,  1139,   160,  1139,  1130,
    1134,   383,   967,   759,  1139,   397,  1125,   284,   237,   106,
     191,   343,   382,   383,   474,   841,   842,   342,  1139,    26,
     354,   393,   397,   507,   516,   517,  1139,    23,   169,   764,
     765,   300,   877,  1139,   214,    26,   126,   969,   970,    61,
      85,   228,   246,   334,   343,   354,   393,   397,   443,   504,
     505,   506,   507,    26,   354,   393,   397,   507,   397,   270,
    1010,  1123,  1139,   967,   467,  1139,   164,   474,   913,   474,
     315,   962,   963,  1125,   962,   957,   958,   961,     0,   477,
     474,   912,   141,   205,   275,   410,   971,   972,   957,   959,
     960,   117,   201,   416,   478,   810,  1131,   744,  1139,   744,
    1126,  1139,   303,   744,   400,  1125,   105,   383,   798,  1131,
    1139,  1145,     3,   102,   355,  1136,  1137,  1141,  1143,  1144,
    1145,    26,   181,  1123,   263,   430,     8,    15,    16,    17,
      68,   152,   461,   462,   463,   465,   466,   467,   468,   469,
     470,   827,   829,  1087,  1088,  1139,   181,  1125,   798,  1125,
      26,  1136,  1137,   798,  1125,  1125,   181,  1123,  1125,   744,
    1125,   327,   356,    26,   181,  1010,  1125,   346,  1125,   744,
      26,   235,  1136,  1137,   181,  1123,   215,   114,   211,   254,
     311,   878,   879,   880,   474,   472,   476,  1114,  1116,  1123,
    1129,  1139,    20,    25,    60,    73,    74,    84,    88,   106,
     129,   140,   148,   160,   165,   191,   216,   237,   271,   294,
     305,   308,   334,   337,   341,   343,   350,   353,   372,   378,
     383,   386,   390,   398,   400,   405,   430,   637,   750,   751,
    1134,   927,   931,   940,   947,   956,  1123,   239,  1131,  1125,
     474,   181,   744,   400,  1126,   744,   400,   181,  1125,   105,
     383,   387,   389,  1136,  1137,   387,   389,    68,   152,   827,
     325,  1125,  1125,  1136,   181,   500,  1139,   181,  1125,   181,
     744,  1125,  1125,   346,  1125,   744,   235,  1136,   315,   350,
     383,   430,   237,    88,   191,   165,   305,   341,   398,   404,
     631,    26,  1125,   954,   514,  1134,  1141,   832,   239,   181,
     810,   811,  1125,   181,   836,   181,  1126,     3,    48,    50,
      51,    63,    64,   109,   110,   130,   156,   181,   203,   204,
     206,   247,   249,   262,   312,   358,   364,   393,   394,   425,
     746,  1032,  1034,  1036,  1038,  1040,  1042,  1043,  1044,  1046,
    1047,  1048,  1050,  1051,  1140,  1143,   400,   105,   383,   181,
     797,   798,   181,  1137,  1138,    80,   430,    68,   152,   181,
     828,   829,    53,   181,   797,   181,  1138,   181,   797,   181,
    1125,   181,  1125,   346,   836,   181,   746,   181,   235,  1138,
     215,   181,   743,   744,   181,  1124,  1125,   181,  1125,   474,
     929,   570,   920,   424,   910,   921,   922,   923,  1141,   912,
    1135,   760,   761,    26,   761,  1135,   761,    26,   761,  1135,
     761,   761,   761,  1135,  1133,  1133,   953,   761,   303,   474,
     474,   590,   590,   590,   269,   395,   478,   590,   343,  1010,
    1011,   478,   873,  1134,   474,   926,    53,   430,   428,   843,
     844,  1123,  1125,  1139,    43,   457,   211,   476,   272,   272,
     269,   163,  1134,   395,   158,   754,   269,     4,     6,     7,
       8,    10,    34,    48,    50,    51,    59,    60,    63,    64,
      71,    73,    96,    97,    98,    99,   100,   101,   102,   109,
     110,   112,   146,   150,   151,   156,   171,   173,   203,   204,
     206,   221,   229,   230,   247,   249,   254,   259,   260,   262,
     271,   282,   295,   312,   339,   355,   364,   379,   393,   394,
     399,   401,   402,   411,   417,   425,   445,   446,   447,   448,
     450,   451,   452,   453,   458,   465,   466,   467,   474,   957,
    1035,  1038,  1041,  1042,  1043,  1045,  1046,  1047,  1050,  1051,
    1055,  1057,  1058,  1059,  1061,  1083,  1084,  1085,  1089,  1108,
    1113,  1120,  1121,  1131,  1132,  1133,  1134,  1139,  1119,  1120,
    1134,    26,   522,  1122,  1123,   354,   504,   112,   513,  1134,
     514,  1134,    43,    65,   504,   457,   365,   879,   272,   163,
     395,   463,    43,   457,   211,   880,   474,  1123,   467,  1116,
    1011,     3,   162,   164,   428,   905,   906,   910,   162,   914,
    1055,  1092,   962,   478,   474,   915,   475,   475,   483,   428,
     908,   909,   916,   917,   918,  1123,    26,   126,   968,   968,
      53,   968,   153,   158,   225,   266,   975,   977,   978,   993,
     995,   996,   997,   971,   972,   163,   207,  1010,  1012,   474,
     285,   323,   356,   474,   808,   285,   319,   323,   356,   476,
     745,   285,   323,   356,     3,    83,   135,   231,   285,   323,
     356,   386,   388,   437,   515,   518,   885,   886,   887,   888,
     776,    22,   131,   285,   323,   356,   421,   531,  1125,    22,
     131,   356,   416,   498,   441,   181,  1010,    56,    90,   120,
     149,   184,   220,   254,   285,   286,   323,   331,   340,   348,
     356,   368,   376,   432,   515,   519,   813,   821,   474,   795,
    1116,   323,   498,   187,   146,    22,    28,    41,    70,   120,
     124,   131,   134,   159,   193,   252,   254,   264,   273,   285,
     323,   326,   327,   356,   421,   527,   529,   530,   655,     4,
     465,   466,   628,  1135,    26,   181,  1123,   744,   744,   474,
     826,   285,   356,   476,   146,   269,   120,   285,   323,   356,
     821,    22,   131,   285,   323,   356,   187,   493,   323,   437,
     460,   486,   493,   120,   285,   323,   356,   821,   269,   285,
     323,   146,    35,    54,   104,   190,   238,   241,   252,   284,
     323,   328,   350,   356,   370,   527,   625,   626,   285,   323,
     429,   655,   663,   285,   323,   356,    83,   124,   134,   285,
     319,   323,   356,   517,   505,   507,   187,   146,    41,   122,
     323,   356,   527,   528,   285,   323,   327,   356,    81,   123,
     287,   388,   269,    22,    28,   131,   285,   323,   356,   550,
     551,   493,   158,   323,   486,   493,   146,   323,   356,   527,
    1125,   223,   114,   270,   442,   478,   878,    26,   126,   426,
     467,   475,   803,  1055,  1093,  1094,  1140,  1055,  1115,     3,
      26,    30,    31,    32,    33,    34,    35,    36,    39,    52,
      59,    60,    66,    72,    74,    84,    91,    96,    97,    98,
     100,   101,   102,   112,   114,   121,   126,   127,   133,   137,
     141,   151,   153,   158,   160,   163,   169,   172,   176,   187,
     195,   205,   207,   218,   219,   225,   229,   230,   254,   259,
     266,   269,   270,   274,   275,   292,   301,   317,   330,   349,
     355,   366,   380,   383,   391,   395,   396,   402,   410,   411,
     417,   418,   426,   433,   434,   436,   437,   467,  1128,  1142,
    1143,  1144,  1145,  1146,  1114,   418,   903,   269,   239,   810,
     474,  1125,  1032,   400,   105,   383,   798,   263,   430,    68,
     152,   829,  1125,   798,   798,  1125,   346,   158,  1125,  1032,
     215,   744,  1125,   475,   590,  1125,   474,   717,   808,    66,
    1032,   254,   163,   474,   713,  1125,   486,    35,   897,  1125,
     254,   486,   441,   181,  1123,   486,   744,   744,   713,   414,
     570,   269,   158,   857,   858,   486,   254,    43,   501,   254,
     405,   662,   254,   915,    83,   285,   639,    81,   123,   287,
     388,    24,    45,   202,   686,    35,   713,   158,   181,   486,
     430,   181,  1123,   181,   615,  1123,  1123,   430,   744,    80,
     782,  1131,  1131,  1125,   158,   637,    49,   103,   200,   252,
     345,   146,    57,   329,   478,   532,   532,   146,   474,   146,
     427,  1049,  1049,  1049,   474,  1037,  1037,   297,   474,  1039,
     146,    63,    64,  1049,  1037,  1034,   439,   460,   474,  1052,
     474,  1052,   478,   532,    34,  1033,   474,   107,   179,   240,
     243,   347,   455,   474,  1053,  1054,   745,  1037,   441,   146,
     478,   532,   146,   478,   181,   743,   181,   744,   181,   744,
     146,   478,   532,  1138,   146,   532,   146,   146,   532,   146,
     532,   146,    81,   123,   287,   388,   158,   146,   532,   146,
     158,   181,   181,   514,   146,   478,   532,   146,   478,   532,
     146,   269,  1092,   383,   475,   478,   151,   269,   402,   511,
     514,   628,   924,   920,   761,   953,   761,   953,   761,   953,
     761,   953,   761,   953,   953,   953,   761,   953,   474,   591,
     592,  1139,   591,    26,   106,   129,   160,   165,   215,   216,
     305,   337,   343,   350,   383,   386,   405,   767,  1122,  1138,
     766,  1125,   187,   478,   943,  1134,  1032,  1095,    35,  1138,
     782,   475,   478,   223,  1139,   158,   158,   767,  1138,   342,
    1139,   514,   269,   474,  1117,   472,   957,  1096,  1055,  1112,
     474,   474,   158,   474,   474,   957,   474,   474,   474,   474,
     474,   474,  1055,   474,   474,   474,   474,   474,   474,   474,
     474,   957,   474,   474,   474,   474,   474,   474,   474,   474,
    1055,  1055,  1055,   957,  1055,  1092,  1116,  1134,   474,  1134,
       3,     8,    11,    15,    16,    17,    32,    35,    40,    47,
      72,   182,   187,   209,   210,   224,   257,   271,   274,   361,
     458,   461,   462,   463,   465,   466,   467,   468,   469,   470,
    1087,  1089,  1091,   438,  1070,   281,  1055,   207,   478,   965,
     474,  1134,  1116,   965,   115,   183,   523,   478,    65,   112,
     514,    35,     3,   112,   228,   512,   628,  1051,  1134,  1134,
      86,   128,  1067,    95,   112,   508,   509,   511,   628,   112,
     508,   223,  1123,    87,   328,   748,   475,   478,   912,   475,
     478,   963,  1124,    35,   475,   478,   478,   915,   959,   959,
     973,   974,  1055,   959,   155,   251,   984,   213,   252,   311,
     359,   416,    26,   979,  1055,   465,   466,   980,   981,  1055,
    1057,   993,   994,   978,   977,   975,   976,   158,   996,   264,
     998,   975,   993,  1012,   932,  1123,    35,  1139,   356,  1092,
     395,   395,   343,   187,   198,   275,   278,   358,   426,   467,
     801,   802,   803,   805,   807,   809,  1032,  1140,   395,   429,
     395,   343,  1128,   476,   395,   395,   343,   225,   395,   395,
     386,   504,   285,   885,   887,   463,   889,   158,   169,   187,
     332,   777,   778,    66,    84,   142,   160,   301,   411,   587,
     588,    84,   112,   254,   395,    84,   395,   112,   254,   343,
      84,   124,   134,   285,   323,   709,   343,   645,    20,    25,
      60,    73,    88,   129,   140,   160,   165,   237,   271,   305,
     337,   343,   350,   353,   383,   390,   398,   405,   430,   637,
    1125,   146,   323,   356,   527,   269,   628,   269,   348,   220,
     395,  1139,   395,   259,   628,   116,   208,   343,   354,   397,
     506,   329,   356,   813,   822,   475,   796,   801,   395,   417,
     386,  1123,    74,   142,   181,   577,   587,  1139,    74,    84,
     847,   289,   269,   269,   339,   341,   400,    84,   847,    29,
     326,   339,   341,   400,   339,  1123,   159,   193,   264,   744,
     474,   395,   395,   180,   474,   536,   234,   386,   414,   437,
     439,   536,    84,   478,     4,     4,   285,   187,   146,   120,
     323,   356,   527,   418,   418,   253,  1032,   395,   343,   474,
     827,  1125,  1123,   269,   395,   395,   343,   822,   383,   383,
     395,   395,   383,   713,   106,   356,   518,   395,   488,   518,
     269,   395,   395,   343,   822,  1123,   395,   395,  1123,  1034,
     628,    53,   627,   628,   628,   104,   238,   241,    53,   395,
     486,   245,   343,   486,   252,   626,   395,   395,   259,  1134,
     655,   395,   395,   343,  1134,   395,   308,   395,   308,   713,
     386,  1010,   289,   289,    84,   395,   847,   343,   395,   395,
     536,   536,   744,   744,   744,   744,  1123,    42,   423,    42,
      42,   395,    42,   395,   423,   343,   478,   518,   417,   672,
    1137,   395,   488,   518,  1123,   395,   343,   285,   323,   311,
     324,   352,   510,   878,  1093,  1093,  1094,   475,    13,    14,
     478,   971,   972,   473,   479,  1129,  1139,  1123,   209,  1032,
     269,   209,   441,   209,   628,   744,   744,   209,   269,   209,
     209,   269,    81,   123,   287,   388,  1032,   269,   209,   209,
     209,   395,   437,   561,   405,     3,   718,   719,   713,   474,
      35,   146,   744,   714,   715,  1142,    24,   885,  1032,   269,
     146,   642,  1125,   254,   289,   474,   487,   727,   418,   315,
     430,  1123,    26,   383,   437,   817,   487,   146,  1137,    91,
     169,   502,   569,   621,   685,   762,   780,   881,   146,  1134,
     663,   664,   146,   269,  1134,  1137,   231,   744,   744,   744,
     744,   264,   117,   201,   403,   416,   687,   688,   138,   310,
     474,   672,   254,   487,  1123,   254,   623,   625,   254,    35,
     264,   289,   474,   590,   590,   181,   618,  1123,   158,   181,
     783,  1129,   474,   799,   799,    35,  1032,   215,   437,   439,
     955,   345,   811,   810,  1032,  1126,   474,  1092,  1133,   746,
    1049,  1049,    34,  1033,   393,   393,  1133,  1133,  1032,   472,
     472,  1133,   395,   395,   395,   474,   395,  1133,  1037,   797,
     798,  1138,  1137,   146,   532,   146,   418,   146,   418,   828,
     829,   532,   797,  1138,   797,  1125,  1125,  1032,   746,  1138,
     672,   146,   146,   532,   743,   744,  1124,  1125,  1125,   744,
     475,   181,  1123,   920,   922,   953,   953,   953,   953,   953,
     953,   591,   475,   478,   475,   166,   306,   338,   351,   384,
    1124,   743,   105,   353,   797,  1124,   263,   797,   797,  1124,
    1122,  1122,  1124,   743,   395,   437,   773,   141,   225,   669,
     670,    20,   144,   339,   359,   944,  1010,   258,   945,   475,
     478,   927,   395,  1123,   841,   842,   844,   765,   764,   765,
     163,   170,   774,  1139,    25,    74,   106,   129,   140,   160,
     165,   216,   237,   305,   308,   334,   337,   343,   350,   378,
     383,   386,   405,   430,   637,   755,   756,  1092,  1114,   473,
    1092,  1096,  1097,   433,  1109,  1110,  1055,  1092,   474,  1133,
    1133,     3,   107,   179,   240,   243,   347,   455,  1098,  1099,
    1134,  1092,  1092,  1092,  1133,  1133,  1055,   827,  1055,  1100,
     339,   465,   466,   474,  1056,  1057,  1089,  1102,   475,  1092,
    1055,  1092,  1103,  1055,    52,   163,   219,   396,  1055,  1092,
    1106,  1092,   245,  1057,  1055,  1065,  1066,  1067,   245,  1055,
    1067,   475,   478,  1133,  1053,  1032,  1055,  1055,  1055,  1055,
    1142,   393,    39,   380,  1118,   744,  1055,   474,   957,  1107,
     126,   128,   151,   254,   259,   264,   402,   412,  1055,   474,
    1055,   395,    47,   182,   187,   224,   361,  1055,  1055,  1055,
    1055,  1055,  1055,  1055,  1055,  1055,  1055,    26,    33,   366,
    1086,   172,   154,  1071,   339,   474,  1083,   168,   228,   383,
     387,   389,   414,   966,  1123,  1121,   163,  1000,  1093,  1000,
    1123,   397,   474,  1134,   478,   475,   180,   180,   532,   918,
     906,   910,   911,  1055,   475,   474,   918,   909,   916,   478,
      36,   121,   418,   791,   339,   340,   465,   466,   981,   983,
    1057,   359,   213,   270,   478,     4,   982,  1133,   982,   339,
     340,   983,  1122,   258,   363,   946,   994,   976,   418,   941,
     112,   283,   474,   933,   956,    35,  1139,   474,   948,   949,
     950,  1139,   475,  1137,  1125,  1125,   278,    53,  1140,   475,
     803,   805,   802,   805,  1140,   275,   475,   478,   745,  1137,
    1125,  1125,  1128,  1137,  1125,  1125,  1137,  1126,  1125,   112,
     511,  1135,   334,   417,   764,   343,   169,   764,   474,  1125,
     418,   784,   213,   213,   418,   474,   612,   181,  1125,   259,
    1137,  1125,  1125,  1055,   259,  1125,  1125,    29,   326,   395,
     395,  1125,   395,   646,   239,   810,   474,   744,   744,  1032,
     400,   105,   383,   798,   430,    68,   152,   829,   798,   798,
    1125,   744,  1125,   744,   346,   158,  1032,   744,   215,   175,
     252,   285,   323,   422,   649,   650,   651,  1010,   395,   847,
     343,   259,   148,   116,   208,  1137,  1125,   269,  1125,   475,
     478,  1136,  1138,  1125,   323,   527,   181,   577,   254,  1032,
    1125,  1133,  1139,  1123,  1125,   148,   223,  1125,    26,   417,
    1125,   181,  1125,   181,  1139,   341,   400,   341,   400,   223,
    1125,    26,   417,  1125,   223,   339,  1123,    22,   131,   356,
     656,   657,   658,   659,  1142,  1137,  1125,   112,   164,   255,
     418,   535,   538,   539,  1142,  1125,   267,    70,   267,  1125,
     530,   395,   386,  1123,   269,   395,   847,   343,  1127,  1139,
    1127,   478,   475,   478,  1137,  1125,   852,   853,  1142,   269,
     323,   395,   680,   148,  1137,  1125,  1125,  1011,  1011,  1137,
    1125,  1011,  1126,  1136,     3,    83,   136,   193,   291,   409,
     417,   420,   489,   148,  1137,  1125,  1125,   323,  1137,  1125,
     323,   356,   527,   625,   628,   744,  1125,   628,   744,  1125,
     628,  1137,  1125,  1137,  1125,  1125,  1137,   817,  1125,   861,
     862,  1142,  1125,   323,   356,   527,   528,  1123,  1123,  1125,
    1125,  1125,  1125,  1137,  1125,    22,    28,   131,   285,   323,
     356,   285,   323,   356,   713,   323,   356,   323,   356,   120,
     323,  1024,  1139,   181,   723,  1139,   181,  1139,  1137,  1125,
    1125,  1134,  1125,    22,   551,   353,  1136,   323,   356,   527,
    1125,  1125,   395,   395,    79,   408,   311,   478,   971,   971,
     971,  1055,  1055,   426,  1094,   475,  1055,  1115,   259,   752,
    1134,    35,   129,   744,   752,   752,   209,   418,   418,   752,
     744,   752,   752,   744,   215,   744,   752,   752,   752,   307,
     555,   267,   163,   395,   554,   191,   463,   475,   478,  1055,
    1032,   744,   475,   478,   463,   687,   579,  1142,  1125,    57,
     163,   343,   429,   643,   650,   651,   146,   264,   224,   571,
     573,   575,   577,   584,   587,    23,   187,   334,   381,   489,
     490,   158,  1127,   430,  1123,    35,   681,   384,  1011,   713,
     500,  1139,   501,   274,   570,  1125,   160,   744,  1092,   308,
    1134,   713,   713,   713,   713,   264,   269,   274,   474,   713,
    1022,  1023,  1024,   353,   146,   474,   146,   146,   145,   956,
     744,   264,   571,  1139,   437,   439,   608,   437,   537,   254,
      35,   590,  1134,   254,   269,   475,   800,   801,   806,    35,
     215,   331,   398,   436,   812,   813,   814,   812,   269,   215,
     514,   178,   178,   158,   532,    35,  1092,   475,   475,   532,
     472,   457,   457,   475,   475,  1133,   473,  1133,   475,   179,
     240,  1054,   240,  1054,  1054,  1133,   243,   475,   532,   743,
     744,  1127,   744,  1127,   532,   532,   532,   532,   215,   532,
     353,   158,   514,   532,   532,   269,   532,   254,   475,   592,
     187,   187,   187,   187,   187,   441,  1124,   628,   629,   172,
     768,   769,  1137,    23,   774,   395,   474,   163,   144,   359,
     144,   359,   339,   416,   242,  1032,  1137,   437,   616,  1123,
    1125,   163,   269,   768,    53,   532,   810,  1032,   400,   383,
     798,   263,   430,   798,   798,  1032,   215,   744,  1125,   475,
     473,   473,   478,  1055,   133,  1110,  1111,    35,   475,  1055,
     475,   475,   475,   163,   475,   475,   475,   475,   475,   478,
     475,   292,  1101,   475,   474,  1056,  1056,  1092,    11,    15,
      16,    17,   187,   209,   271,   461,   462,   463,   465,   466,
     467,   468,   469,   470,  1089,  1056,   475,   475,   158,   163,
    1104,  1105,   475,    35,  1106,  1092,  1106,  1106,   163,   475,
     475,  1142,   290,  1069,    35,   475,   478,  1055,  1142,   478,
    1055,  1117,  1055,   475,   457,  1056,  1056,   139,  1092,   163,
     126,   128,   151,   259,   264,   402,   412,   474,   139,   827,
    1055,   380,  1118,  1055,  1107,  1055,   395,   474,   957,   474,
     474,   280,  1075,   474,  1092,   387,   389,   387,   389,  1123,
     967,   967,   967,   218,   340,   454,   474,   957,  1001,  1002,
    1003,  1010,  1015,  1025,  1058,  1060,  1061,  1139,   434,  1020,
     971,  1020,   879,  1133,  1053,   509,   918,   927,   974,   271,
    1087,  1090,   459,   792,     4,  1133,   983,   270,   416,   980,
     233,  1001,   434,  1021,   424,   382,   417,   934,   935,   936,
    1139,   269,   937,  1139,   950,   951,   478,  1000,   463,  1117,
     809,   745,   805,   805,    53,   807,   469,  1138,  1138,   269,
    1124,   272,   269,  1055,   588,  1127,   474,   474,   474,   612,
     191,   591,   702,   146,   532,   395,  1137,  1125,   514,  1125,
    1032,  1125,   441,   744,   744,   744,   744,    81,   123,   287,
     388,  1032,  1125,   632,  1125,   175,   422,   395,   395,   632,
     649,   655,   323,   356,   527,  1125,  1125,  1125,   199,  1125,
     259,   801,   284,   356,   395,   254,   146,   273,   653,   702,
     356,    22,   131,   327,   328,   356,   531,   540,   541,   655,
     848,  1125,   348,   146,   532,   146,   532,  1125,  1125,  1125,
    1125,   348,   348,   223,   658,   659,   658,   475,   478,   660,
    1134,   191,   475,   478,   463,   476,  1137,  1125,   323,   356,
     527,   148,  1125,  1125,  1125,   285,   323,   356,    22,   131,
     285,   323,   356,  1032,   253,  1032,   475,   478,   463,  1123,
     395,  1138,   418,   677,  1125,   225,   291,   259,  1134,   291,
    1138,   415,  1125,   395,   395,   343,   478,   817,   284,   356,
      84,   395,   847,   343,   112,   158,   542,   395,   395,   235,
     235,   235,   395,   395,   343,   395,   395,   343,   395,   343,
     395,   343,   269,   395,   532,  1032,   254,  1134,   356,   848,
     146,   532,   395,   395,  1125,   395,   343,  1137,  1125,   475,
     475,   475,  1094,   473,  1032,   744,   209,   752,  1127,  1127,
     209,   209,  1125,   209,   373,   374,   556,  1134,   555,   175,
     253,   271,   465,   466,   628,   716,   805,  1090,  1134,  1146,
       3,   719,   475,   475,   163,   713,   715,   716,   269,    66,
      72,    84,   112,   114,   167,   195,   254,   259,   301,   317,
     411,   580,   581,   583,   145,   433,   486,   514,  1125,   514,
     653,  1123,  1123,  1123,   475,   478,  1138,   172,   334,  1138,
    1133,   405,  1123,   590,     3,   158,   682,    43,   501,   325,
     383,   662,   105,   915,   163,   861,   537,   591,  1123,   688,
     720,   721,  1134,   475,   478,  1125,   158,   591,  1123,   615,
    1123,  1125,   616,   474,   572,  1123,   475,   267,   536,   267,
     269,   609,   536,    35,   146,   956,   537,   395,   146,  1010,
     475,   478,   112,   463,   815,  1134,   514,   383,   804,   805,
     158,   816,   814,   117,   201,   349,   416,   870,  1125,   175,
     956,  1032,   475,  1133,  1052,  1052,   473,   473,   475,   532,
     418,   532,   418,   532,  1125,  1125,   672,   532,   744,   146,
     343,   343,   343,   343,   343,  1124,   478,  1137,   437,   478,
     770,   272,  1011,   353,   144,   144,   105,   252,  1138,   767,
     532,  1137,   209,   209,   209,   628,   209,   209,   209,   209,
     209,  1096,   391,  1055,   137,  1032,   475,  1055,  1055,  1055,
    1104,   475,  1092,   478,  1032,  1056,  1056,  1056,  1056,   126,
     128,   254,   264,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1055,  1055,  1105,  1104,  1032,   475,   475,
     475,  1092,   475,   478,    53,  1057,   475,  1142,  1066,   298,
     377,  1068,   475,   478,   429,  1062,    35,   475,  1134,  1055,
      32,    32,  1055,   475,  1055,   163,   474,  1095,  1055,   475,
     139,  1056,  1056,   139,   139,  1055,  1055,   972,   434,   474,
    1076,  1139,   475,  1092,   478,   967,   967,   967,   967,  1123,
    1123,  1123,   957,  1015,  1025,   163,   474,   957,  1002,  1003,
      35,  1004,  1005,  1139,   478,    92,   164,   197,   212,   222,
     248,   333,  1007,  1005,    35,  1004,  1006,  1139,  1005,   460,
    1019,  1116,  1055,   172,   985,   475,   985,   475,   475,   474,
     792,   155,   217,   270,    95,  1055,   330,   939,   423,   475,
     478,  1117,    82,   939,   475,   478,   949,  1021,  1055,   475,
     469,   809,   405,   166,   338,   344,   351,   384,   406,   779,
     158,   779,   475,   474,   595,   596,   786,  1060,  1139,   591,
     591,   702,  1129,   475,   114,   195,   252,   254,   703,  1125,
    1125,    35,  1125,   418,   418,   744,   744,   744,   744,   215,
     745,  1137,  1125,   395,   847,   343,   395,   199,    53,   386,
    1125,   146,   577,   474,   579,   372,   167,   180,   254,   536,
     486,   105,   167,   254,   372,   375,   536,   626,   356,   541,
     405,  1125,  1139,   348,   657,  1125,   539,   716,  1142,   284,
     356,   395,   847,   343,  1125,   395,   395,   395,   343,   165,
     271,   375,   725,   726,   165,   271,   733,   734,   395,   395,
     343,   475,   475,   475,   853,   253,   628,   805,   854,  1090,
    1134,  1146,   323,  1125,   474,   437,   678,  1135,  1134,  1134,
    1134,  1125,  1125,  1125,   862,    53,   386,  1125,  1125,  1125,
    1125,   424,  1125,  1125,   158,   158,   325,   158,   181,  1137,
    1125,  1125,  1137,  1125,  1125,  1125,  1125,  1125,  1125,   148,
    1125,    72,   533,   146,    24,    45,   405,  1139,  1125,  1134,
     655,  1125,  1125,   971,   475,   209,   752,   209,   209,   752,
     752,   209,   752,   486,   556,   632,   702,   437,   439,   744,
    1123,   474,   744,  1125,  1056,    29,    53,   582,   115,   183,
     114,   259,   213,  1123,   817,   305,   705,   706,  1139,   642,
     289,   474,   572,   585,   194,   602,   575,  1138,  1138,  1032,
     474,   537,    26,   117,   201,   349,   416,   683,   395,   679,
    1137,   181,  1123,   664,   441,   269,  1001,   817,   318,   689,
     475,   478,  1024,   653,   672,   475,   623,    35,   264,   289,
     474,   929,   574,   576,   578,   587,  1139,   289,   603,   604,
     572,   602,    78,   386,   610,   956,   618,   616,   610,  1134,
    1129,   784,   806,  1055,  1055,   478,   474,   812,   405,   478,
     395,   474,   632,   475,   473,  1127,  1127,   532,   353,   532,
    1124,  1124,  1124,  1124,  1124,   628,   169,   769,   475,  1125,
     105,   774,   163,   259,   757,  1134,   757,   757,   209,   757,
     757,   757,   757,   757,  1055,   475,   475,  1105,   475,  1055,
     163,   126,   128,   264,   474,   475,   444,  1064,  1092,   316,
      53,   435,   435,   475,  1055,   252,  1055,   478,  1063,  1034,
    1055,  1055,  1055,  1095,   475,  1055,    32,    32,  1055,  1055,
     139,   475,   475,  1055,  1077,  1139,   475,  1055,  1123,  1123,
    1123,  1123,  1005,  1006,  1005,   474,   449,  1057,   475,  1139,
     474,  1002,   212,   279,  1008,  1002,  1008,   212,  1007,  1008,
     212,   385,  1013,   474,  1139,   474,   276,    53,   176,   992,
    1134,   992,  1134,   827,   264,  1120,   956,   283,   956,   936,
     269,   474,   938,   463,   950,   939,   405,   475,   395,   764,
     163,   702,  1055,   475,   478,   437,    72,   789,   789,   475,
     475,   188,   593,   115,   183,   193,   114,   420,   532,  1032,
    1127,  1127,  1125,  1125,  1125,  1125,  1125,  1138,  1125,   577,
     654,   658,  1135,   582,   181,   259,   628,   582,   259,  1135,
    1139,  1032,   532,   532,   463,    53,   386,  1125,  1125,  1125,
    1125,  1137,  1125,  1125,  1133,  1133,  1032,   478,  1133,  1133,
     478,  1137,  1125,  1125,   395,  1055,    66,  1138,  1125,   395,
     395,   163,   187,   437,  1124,  1124,   744,  1124,   146,  1125,
     744,  1134,  1134,  1032,   532,   532,   475,   209,   752,   752,
     752,   752,   474,   557,   558,   418,   562,   563,   165,   198,
     165,   163,   701,  1055,   254,   581,   112,    35,   817,   590,
     418,   611,  1131,    32,   145,   187,   264,   571,   542,   143,
     189,   474,   353,   418,   591,    35,  1138,   677,   501,   254,
     474,   160,  1125,  1092,   250,   268,   690,   691,   692,   158,
     695,  1134,   353,   537,   956,   744,   264,   571,   616,   475,
     478,   437,   579,    53,   608,   542,   603,   117,   131,   298,
    1125,   437,   882,    35,   163,   269,   474,  1134,   803,   818,
     819,  1140,  1032,   158,  1123,   163,   395,   838,   196,   633,
     532,   532,   532,  1125,   272,   207,   532,   768,   757,   475,
    1056,   163,   474,  1095,   474,   475,   478,   475,  1057,   316,
     475,   423,   369,   475,   475,   475,  1055,  1055,  1055,   475,
     289,  1078,   475,  1016,  1017,  1060,   474,  1069,  1004,   474,
    1124,  1002,   269,   418,  1009,  1002,   212,  1002,  1131,  1023,
     474,  1023,  1139,    94,   173,   336,   474,   986,   987,   988,
     989,   990,   991,  1055,  1055,   436,  1072,  1072,   475,   953,
     934,    84,   785,   786,   127,  1055,   768,   269,   768,   475,
     593,   596,   271,   827,   744,   744,   790,   790,   317,   593,
     474,   817,   475,   395,   356,   945,   475,   478,    35,   146,
     533,   716,  1138,  1125,   395,   474,   798,   827,   829,   726,
     474,   474,   734,  1125,   475,   474,   356,   945,  1125,  1125,
     474,   474,   474,   437,   460,   900,   325,   900,   900,   158,
     533,   752,   564,   565,  1142,    49,    93,   118,   135,   139,
     159,   162,   177,   259,   267,   309,   559,   486,   119,   798,
      35,   834,   834,  1123,   702,   475,   180,   611,   236,   594,
     191,   474,   706,   305,   474,  1123,   475,   353,    26,    77,
      85,   113,   180,   192,   372,   375,   586,   586,  1122,  1125,
    1127,   475,   956,   678,   146,   105,   653,   163,   691,   339,
     383,   693,   132,   696,   433,   698,  1125,    35,   616,   572,
    1123,   475,   576,   273,     3,   605,  1143,   609,   603,   608,
     340,   340,    58,    66,   228,   956,   744,  1010,   785,   805,
     475,   478,   405,  1020,   367,   367,   475,   632,   252,   422,
     634,   635,  1125,   532,  1056,  1095,   475,  1065,  1092,    53,
     252,   456,    53,   971,   475,   478,    35,  1018,   112,  1030,
    1031,  1056,    75,  1124,   475,  1055,   474,  1002,  1009,   474,
     475,  1023,   475,   474,   357,   474,   475,   478,  1073,  1074,
    1139,   423,  1125,   475,   478,   255,   416,   770,   779,   532,
     789,   817,   474,   791,   791,  1123,   817,   591,   611,  1125,
     386,   658,   180,   418,   534,   356,   945,  1125,  1095,   158,
     729,   729,  1095,  1095,  1055,   386,   151,   238,   241,   259,
     402,   545,   547,   548,   628,  1134,   545,   546,   543,   544,
    1141,   743,   744,   743,   744,  1124,   532,   475,   478,   467,
     474,   511,   566,   628,   897,  1134,   897,   254,   259,   309,
     897,   897,   557,  1134,   834,    38,   185,   158,   252,   589,
     474,   624,   164,   288,   362,   269,   598,   599,   600,   386,
     475,  1131,     5,   707,   572,   602,  1125,   475,   653,   152,
     728,   537,   882,  1123,   441,  1001,   897,   339,   371,   697,
     474,   145,   653,   956,   603,   572,   602,   579,   474,   610,
     608,   609,    66,   272,    66,   616,   784,   475,   812,   818,
    1032,   127,   437,   437,   422,   632,   653,   475,   475,   475,
     316,   423,  1092,   174,   310,   340,  1079,  1019,  1016,   474,
    1056,   475,   478,    35,  1026,  1027,  1139,   475,  1124,  1092,
     475,  1092,   474,  1092,   987,   478,    35,   956,  1020,   786,
     356,   163,   790,   611,   827,   792,   792,   590,   611,   475,
     702,  1125,   624,  1055,   386,   475,   275,   346,   314,   730,
     730,   475,   475,   475,  1125,   475,   478,   475,   478,   475,
     478,  1133,   900,   565,   511,   567,   568,  1134,  1134,   259,
     591,   467,   591,  1134,  1134,   132,   193,   625,   117,   416,
     269,   600,   269,   599,  1125,   474,   475,   478,   542,   353,
     653,   744,    35,    35,   474,  1125,   694,  1139,  1055,   305,
     882,   608,   542,   603,   474,   606,   607,  1060,  1139,   609,
     610,   272,   272,   474,   188,   787,    27,   202,   871,   165,
     165,    47,    95,   407,  1055,  1080,  1081,  1080,  1080,   475,
    1023,   478,  1031,  1142,   475,   478,   158,  1032,   475,   475,
     475,   986,   475,  1074,  1076,   948,   768,   791,   434,   597,
     475,   594,   702,   945,  1125,   798,    53,   945,   395,   548,
     545,   543,   744,   475,   478,   591,   339,   475,    57,   252,
     329,   356,   601,   601,   475,     5,   353,  1125,   725,   956,
     653,   475,  1131,   609,   603,   608,  1055,   475,   478,   789,
     789,   610,   785,   474,   537,   255,   474,   866,   868,   872,
     931,   940,   947,   956,   798,   798,  1081,   339,   157,   296,
     157,   296,   142,  1082,  1082,  1082,   475,  1057,  1027,   276,
       3,   112,   254,   259,  1028,  1029,   324,  1014,   475,  1020,
     532,   792,   474,   702,   598,   945,   744,   474,   568,   698,
      21,   112,   259,  1125,   653,   882,   474,   610,   608,   609,
     475,   607,   790,   790,   475,   786,   788,   610,   867,   868,
     869,   957,   958,   478,   478,    32,    95,   172,   252,   392,
    1069,  1056,  1056,   259,  1029,   474,  1055,   702,   547,   145,
     653,     4,   699,   700,  1133,  1134,  1142,   609,   610,   789,
     787,   475,   478,  1020,   475,   477,   395,   163,  1081,   339,
     277,    75,  1055,   475,   475,   305,   475,   478,   610,   790,
     537,   786,   869,   367,   367,  1026,   475,  1131,   700,   610,
     437,   437,   475,   474,  1020,   165,   165,   699,   798,   798,
     475
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   480,   481,   482,   482,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   483,   483,
     484,   485,   486,   486,   486,   487,   487,   488,   488,   489,
     489,   489,   489,   489,   489,   489,   489,   489,   490,   490,
     490,   490,   490,   490,   491,   492,   492,   493,   493,   494,
     494,   494,   494,   495,   495,   495,   495,   495,   495,   496,
     497,   498,   498,   499,   499,   499,   499,   500,   500,   501,
     501,   502,   502,   502,   502,   502,   502,   503,   503,   503,
     504,   504,   504,   505,   505,   505,   505,   506,   506,   506,
     506,   506,   506,   506,   506,   506,   506,   506,   507,   507,
     508,   508,   509,   509,   510,   510,   510,   510,   511,   511,
     511,   511,   512,   512,   512,   512,   512,   512,   512,   513,
     513,   513,   514,   514,   515,   516,   516,   516,   516,   517,
     517,   518,   518,   519,   519,   520,   520,   520,   520,   520,
     521,   522,   522,   523,   523,   524,   525,   525,   525,   525,
     525,   526,   526,   526,   526,   526,   526,   526,   526,   526,
     526,   526,   526,   526,   526,   526,   526,   526,   526,   526,
     527,   527,   528,   528,   529,   530,   530,   530,   530,   530,
     530,   530,   530,   530,   530,   530,   530,   530,   530,   530,
     530,   530,   530,   530,   530,   530,   530,   530,   530,   530,
     530,   530,   530,   530,   530,   530,   530,   530,   530,   530,
     530,   530,   530,   530,   530,   530,   530,   530,   530,   530,
     530,   530,   530,   530,   530,   530,   530,   530,   530,   530,
     530,   530,   531,   531,   532,   532,   532,   533,   533,   534,
     534,   535,   535,   535,   535,   536,   537,   537,   538,   538,
     539,   539,   539,   539,   540,   540,   541,   541,   541,   541,
     542,   542,   542,   542,   543,   544,   544,   545,   545,   545,
     545,   545,   546,   546,   547,   547,   548,   548,   548,   549,
     550,   550,   551,   551,   551,   551,   552,   552,   553,   553,
     554,   554,   555,   555,   556,   556,   556,   557,   557,   558,
     558,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   560,   560,   561,   561,   562,
     562,   563,   563,   564,   564,   565,   566,   566,   566,   566,
     566,   567,   567,   568,   569,   569,   569,   569,   569,   569,
     570,   570,   570,   570,   570,   570,   570,   570,   571,   571,
     572,   572,   573,   573,   574,   574,   575,   575,   575,   576,
     576,   577,   578,   578,   579,   579,   580,   580,   580,   580,
     581,   581,   581,   581,   581,   581,   581,   581,   582,   582,
     583,   583,   583,   583,   584,   585,   585,   585,   586,   586,
     586,   586,   586,   586,   586,   586,   587,   587,   588,   588,
     588,   588,   588,   588,   588,   589,   589,   590,   590,   591,
     591,   592,   593,   593,   594,   594,   594,   594,   595,   595,
     596,   596,   597,   597,   598,   598,   598,   598,   598,   599,
     600,   601,   601,   601,   601,   601,   602,   602,   603,   603,
     604,   605,   605,   606,   606,   607,   607,   607,   608,   608,
     608,   608,   609,   609,   609,   609,   610,   610,   611,   611,
     612,   613,   613,   614,   614,   615,   616,   616,   616,   617,
     617,   618,   619,   619,   620,   621,   621,   622,   622,   623,
     623,   624,   624,   625,   625,   626,   626,   626,   626,   626,
     626,   626,   626,   626,   626,   626,   626,   626,   626,   627,
     627,   628,   628,   628,   628,   629,   629,   630,   630,   631,
     631,   632,   632,   633,   633,   634,   634,   635,   635,   636,
     636,   637,   637,   638,   639,   639,   640,   640,   641,   641,
     642,   642,   643,   643,   643,   643,   644,   645,   645,   646,
     647,   647,   647,   647,   647,   647,   647,   647,   647,   647,
     647,   647,   647,   647,   647,   647,   647,   647,   647,   647,
     647,   647,   647,   647,   647,   647,   647,   647,   648,   649,
     649,   649,   649,   650,   650,   651,   651,   652,   652,   653,
     653,   654,   654,   655,   656,   656,   657,   657,   657,   657,
     658,   659,   660,   661,   661,   662,   662,   663,   663,   664,
     664,   665,   665,   665,   666,   666,   666,   666,   667,   667,
     668,   669,   669,   670,   670,   671,   671,   672,   672,   673,
     673,   674,   675,   676,   677,   677,   678,   678,   679,   679,
     680,   680,   681,   681,   682,   682,   683,   683,   683,   683,
     683,   684,   685,   685,   686,   686,   686,   687,   687,   688,
     688,   688,   688,   688,   689,   689,   690,   690,   691,   692,
     692,   693,   693,   694,   695,   695,   696,   696,   697,   697,
     698,   698,   699,   699,   699,   700,   700,   700,   700,   701,
     701,   702,   702,   703,   703,   703,   703,   703,   703,   704,
     704,   705,   705,   706,   707,   707,   708,   709,   709,   709,
     709,   710,   711,   712,   712,   712,   712,   712,   712,   712,
     712,   712,   712,   712,   712,   712,   712,   712,   712,   713,
     714,   714,   715,   715,   716,   716,   716,   716,   716,   716,
     717,   718,   718,   719,   720,   720,   721,   721,   722,   722,
     722,   722,   723,   723,   724,   725,   725,   726,   726,   726,
     726,   726,   727,   727,   728,   728,   729,   729,   729,   730,
     730,   731,   732,   732,   733,   733,   734,   734,   735,   735,
     736,   736,   737,   738,   739,   739,   739,   739,   739,   739,
     739,   739,   739,   739,   739,   739,   740,   740,   740,   740,
     740,   740,   740,   740,   740,   740,   740,   740,   740,   741,
     741,   741,   741,   741,   741,   741,   742,   742,   742,   743,
     743,   744,   744,   745,   745,   746,   746,   747,   748,   748,
     748,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     750,   750,   750,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   750,   750,   751,   751,   751,   751,   751,   751,
     751,   751,   751,   751,   751,   751,   752,   752,   753,   753,
     753,   753,   753,   753,   753,   753,   753,   754,   754,   755,
     755,   755,   755,   755,   755,   756,   756,   756,   756,   756,
     756,   756,   756,   757,   757,   758,   758,   759,   759,   759,
     759,   759,   759,   759,   759,   759,   759,   759,   759,   759,
     759,   759,   759,   760,   760,   761,   761,   762,   763,   763,
     764,   764,   764,   764,   764,   765,   765,   766,   766,   766,
     766,   767,   767,   767,   767,   767,   767,   767,   767,   767,
     767,   767,   767,   767,   767,   767,   767,   767,   767,   767,
     767,   768,   768,   769,   769,   770,   770,   771,   772,   772,
     773,   773,   774,   774,   775,   776,   776,   777,   777,   777,
     778,   778,   778,   779,   779,   779,   779,   779,   779,   780,
     780,   781,   781,   782,   782,   783,   783,   784,   784,   785,
     785,   786,   786,   786,   787,   787,   788,   788,   789,   789,
     790,   790,   791,   791,   791,   792,   792,   792,   793,   793,
     793,   793,   794,   794,   795,   795,   796,   796,   797,   797,
     798,   798,   798,   798,   799,   799,   800,   800,   801,   801,
     801,   801,   801,   802,   802,   802,   802,   802,   803,   804,
     805,   805,   805,   806,   806,   806,   807,   808,   808,   808,
     808,   809,   809,   810,   811,   811,   812,   812,   813,   813,
     813,   813,   813,   813,   813,   813,   813,   813,   813,   813,
     813,   813,   813,   813,   814,   814,   814,   814,   814,   815,
     815,   816,   816,   817,   817,   818,   819,   819,   820,   820,
     820,   821,   821,   822,   822,   823,   823,   823,   823,   823,
     823,   824,   824,   825,   825,   826,   826,   826,   826,   827,
     827,   828,   828,   829,   830,   831,   831,   832,   832,   833,
     833,   833,   834,   834,   834,   835,   836,   836,   837,   838,
     838,   838,   838,   839,   840,   840,   840,   840,   841,   841,
     842,   842,   842,   843,   843,   844,   845,   845,   846,   846,
     846,   846,   846,   846,   846,   846,   846,   846,   846,   846,
     846,   846,   846,   846,   846,   846,   846,   846,   846,   846,
     846,   846,   846,   846,   846,   846,   846,   846,   846,   846,
     846,   846,   846,   846,   846,   846,   846,   846,   846,   846,
     846,   846,   846,   846,   846,   846,   846,   846,   846,   846,
     846,   847,   847,   848,   848,   849,   849,   849,   849,   849,
     849,   850,   850,   850,   850,   850,   850,   850,   850,   850,
     850,   850,   850,   850,   850,   850,   850,   850,   850,   850,
     850,   850,   850,   850,   850,   850,   850,   850,   851,   852,
     852,   853,   853,   854,   854,   854,   854,   854,   855,   855,
     855,   855,   855,   855,   855,   855,   855,   855,   855,   855,
     855,   855,   855,   855,   855,   855,   855,   855,   855,   855,
     855,   855,   856,   857,   857,   858,   858,   859,   859,   859,
     859,   860,   861,   861,   862,   863,   863,   863,   863,   863,
     863,   864,   864,   865,   866,   866,   866,   867,   867,   868,
     868,   868,   868,   868,   869,   869,   870,   870,   870,   870,
     871,   871,   871,   872,   873,   873,   874,   875,   875,   876,
     876,   876,   876,   876,   876,   876,   876,   876,   876,   876,
     876,   876,   876,   877,   877,   877,   878,   878,   878,   878,
     878,   879,   879,   879,   880,   880,   881,   881,   881,   881,
     882,   882,   882,   882,   883,   884,   885,   885,   886,   886,
     887,   887,   887,   888,   888,   888,   888,   888,   888,   888,
     889,   889,   890,   890,   890,   891,   892,   892,   893,   894,
     894,   895,   896,   896,   896,   896,   896,   896,   896,   897,
     897,   898,   899,   899,   899,   899,   899,   899,   900,   900,
     901,   902,   902,   902,   903,   903,   904,   904,   905,   905,
     906,   906,   906,   906,   906,   907,   907,   908,   908,   909,
     910,   910,   911,   911,   912,   912,   913,   913,   914,   914,
     915,   915,   916,   917,   917,   918,   918,   919,   919,   919,
     919,   920,   920,   920,   920,   920,   920,   920,   920,   920,
     921,   921,   922,   923,   923,   924,   924,   924,   925,   926,
     926,   927,   927,   927,   927,   928,   928,   929,   929,   930,
     930,   930,   930,   931,   932,   932,   933,   933,   933,   933,
     933,   934,   934,   935,   935,   936,   937,   937,   937,   938,
     938,   938,   939,   939,   940,   941,   941,   942,   943,   943,
     944,   944,   944,   944,   944,   944,   944,   944,   945,   945,
     946,   946,   946,   947,   948,   948,   949,   949,   950,   951,
     951,   952,   953,   954,   954,   954,   954,   954,   955,   955,
     955,   956,   956,   957,   957,   958,   958,   958,   958,   958,
     958,   958,   958,   959,   959,   960,   960,   960,   960,   960,
     960,   960,   961,   961,   961,   962,   962,   963,   964,   964,
     965,   965,   966,   966,   966,   966,   966,   966,   966,   966,
     966,   967,   967,   968,   968,   968,   969,   969,   970,   970,
     971,   971,   972,   973,   973,   974,   974,   975,   975,   975,
     975,   976,   976,   977,   977,   977,   977,   978,   978,   979,
     979,   980,   981,   981,   981,   982,   982,   983,   983,   984,
     984,   985,   985,   986,   986,   987,   987,   987,   987,   987,
     988,   989,   990,   991,   992,   992,   993,   993,   994,   994,
     995,   995,   996,   997,   997,   997,   997,   998,   998,   999,
     999,  1000,  1000,  1001,  1001,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1003,  1003,  1003,  1003,  1003,
    1003,  1004,  1004,  1004,  1004,  1005,  1005,  1006,  1006,  1006,
    1006,  1006,  1007,  1007,  1007,  1007,  1008,  1008,  1009,  1009,
    1010,  1010,  1010,  1010,  1011,  1011,  1012,  1012,  1012,  1013,
    1014,  1014,  1015,  1015,  1016,  1017,  1017,  1018,  1018,  1019,
    1019,  1020,  1020,  1021,  1021,  1021,  1022,  1022,  1023,  1023,
    1024,  1025,  1025,  1026,  1026,  1027,  1027,  1027,  1028,  1028,
    1029,  1029,  1029,  1029,  1030,  1030,  1031,  1031,  1032,  1032,
    1032,  1032,  1032,  1032,  1033,  1033,  1033,  1034,  1034,  1034,
    1034,  1034,  1034,  1034,  1035,  1035,  1035,  1035,  1036,  1036,
    1037,  1037,  1038,  1038,  1038,  1038,  1038,  1038,  1038,  1038,
    1038,  1038,  1038,  1039,  1039,  1040,  1040,  1041,  1041,  1042,
    1043,  1044,  1044,  1045,  1045,  1046,  1047,  1048,  1048,  1048,
    1048,  1048,  1048,  1049,  1049,  1050,  1050,  1050,  1050,  1051,
    1052,  1052,  1052,  1053,  1053,  1053,  1053,  1053,  1053,  1053,
    1053,  1053,  1053,  1053,  1053,  1053,  1053,  1054,  1054,  1055,
    1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,
    1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,
    1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,
    1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,
    1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,
    1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,  1055,
    1055,  1055,  1055,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1057,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1059,
    1059,  1060,  1060,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,  1061,
    1061,  1061,  1061,  1061,  1061,  1062,  1062,  1063,  1063,  1063,
    1063,  1064,  1065,  1065,  1066,  1066,  1067,  1067,  1068,  1068,
    1068,  1069,  1069,  1069,  1069,  1070,  1070,  1071,  1071,  1072,
    1072,  1073,  1073,  1074,  1075,  1075,  1075,  1076,  1077,  1077,
    1078,  1078,  1079,  1079,  1079,  1079,  1080,  1080,  1081,  1081,
    1081,  1081,  1081,  1082,  1082,  1082,  1082,  1082,  1083,  1083,
    1083,  1084,  1084,  1085,  1086,  1086,  1086,  1087,  1087,  1088,
    1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,  1088,
    1088,  1089,  1089,  1090,  1090,  1091,  1091,  1091,  1091,  1091,
    1091,  1092,  1092,  1093,  1093,  1094,  1094,  1094,  1095,  1095,
    1096,  1096,  1096,  1097,  1097,  1098,  1098,  1099,  1099,  1099,
    1099,  1099,  1099,  1099,  1099,  1100,  1100,  1101,  1102,  1102,
    1103,  1103,  1103,  1103,  1103,  1103,  1104,  1105,  1106,  1106,
    1106,  1107,  1107,  1108,  1109,  1109,  1110,  1111,  1111,  1112,
    1112,  1113,  1113,  1114,  1114,  1114,  1114,  1115,  1115,  1116,
    1116,  1117,  1117,  1118,  1118,  1119,  1119,  1120,  1120,  1121,
    1121,  1121,  1121,  1122,  1122,  1123,  1123,  1124,  1124,  1125,
    1126,  1127,  1128,  1129,  1130,  1131,  1131,  1132,  1132,  1132,
    1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,
    1133,  1134,  1135,  1135,  1135,  1136,  1137,  1137,  1137,  1138,
    1138,  1139,  1139,  1139,  1140,  1140,  1140,  1141,  1141,  1141,
    1141,  1142,  1142,  1142,  1142,  1142,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1143,  1143,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       2,     5,     1,     1,     0,     2,     0,     2,     0,     2,
       2,     3,     3,     1,     3,     3,     2,     1,     1,     2,
       2,     2,     3,     3,     5,     5,     5,     0,     3,     5,
       5,     5,     5,     3,     5,     3,     5,     3,     5,     5,
       6,     1,     1,     6,     4,     9,     7,     1,     0,     2,
       0,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       2,     5,     1,     3,     3,     3,     3,     1,     3,     3,
       2,     2,     2,     2,     3,     3,     3,     3,     1,     3,
       1,     3,     1,     1,     2,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     3,     5,     1,     1,     1,     1,
       1,     0,     1,     1,     2,     1,     2,     3,     2,     1,
       1,     2,     1,     2,     1,     2,     3,     4,     3,     2,
       4,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     4,     6,     4,     6,    10,    13,     4,     6,     4,
      10,    13,     4,     6,     4,     6,     5,     7,    11,    14,
       1,     3,     4,     3,     3,     2,     5,     3,     6,     4,
       6,     6,     6,     6,     5,     5,     6,     9,     4,     5,
       7,     6,     4,     8,     4,     2,     4,     3,     6,     4,
       3,     3,     3,     3,     2,     2,     3,     4,     4,     3,
       3,     3,     3,     3,     3,     4,     4,     3,     2,     3,
       2,     2,     3,     3,     2,     2,     3,     4,     4,     4,
       5,     1,     3,     2,     1,     1,     0,     2,     0,     2,
       0,     1,     1,     1,     3,     3,     2,     0,     1,     3,
       3,     1,     5,     3,     1,     2,     1,     3,     2,     3,
       6,     6,    10,     1,     2,     1,     3,     1,     1,     1,
       1,     1,     1,     3,     1,     3,     1,     1,     1,     4,
       1,     3,     4,     6,     4,     8,     2,     2,    11,     9,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     2,
       0,     1,     1,     1,     3,     3,     1,     1,     3,     3,
       3,     3,     4,     3,     2,     1,     0,     2,     0,     3,
       0,     1,     0,     1,     3,     2,     1,     1,     1,     3,
       0,     1,     3,     1,    12,    15,    11,    14,    13,    16,
       1,     1,     2,     2,     2,     2,     1,     0,     1,     0,
       3,     0,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     4,     2,     4,     2,     0,     3,     1,     1,     2,
       2,     1,     3,     4,     5,     2,     5,     5,     1,     2,
       1,     2,     2,     2,     3,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     5,     8,
       3,     9,     4,    10,    11,     2,     0,     3,     0,     1,
       3,     1,     4,     0,     2,     2,     2,     0,     1,     3,
       3,     6,     4,     0,     1,     1,     2,     2,     0,     3,
       3,     2,     1,     1,     2,     2,     4,     0,     1,     0,
       6,     1,     1,     1,     3,     3,     3,     5,     2,     2,
       2,     0,     3,     4,     4,     0,     2,     0,     4,     0,
       3,     8,    11,     7,    10,     5,     2,     3,     0,     8,
      11,     4,     1,     0,     6,     5,     8,     4,     6,     1,
       0,     3,     0,     1,     2,     2,     2,     1,     2,     3,
       2,     2,     2,     2,     3,     3,     3,     1,     3,     1,
       0,     1,     2,     2,     1,     1,     3,     6,    10,     1,
       0,     1,     2,     2,     0,     2,     2,     1,     0,     5,
       7,     1,     0,     7,     2,     0,     3,     5,     5,     8,
       2,     0,     2,     2,     2,     1,     5,     2,     0,     2,
       7,     6,    10,     6,     6,     6,     6,     7,     6,     9,
       9,     6,     6,     6,     7,     6,     8,     8,     8,     8,
       6,     6,     7,     7,     8,     6,     9,     6,     7,     2,
       2,     2,     2,     1,     2,     1,     0,     7,     6,     4,
       0,     1,     3,     4,     1,     3,     1,     2,     2,     2,
       2,     1,     1,    10,    13,     2,     0,     2,     2,     1,
       0,     5,     4,     4,    11,    14,    12,    15,     5,     7,
      11,     2,     1,     4,     0,     8,    11,     1,     1,     7,
       9,     8,    10,     8,     4,     0,     5,     0,     2,     0,
       2,     0,     2,     0,     2,     0,     1,     1,     1,     1,
       1,     8,    16,    20,     1,     1,     2,     1,     3,     1,
       1,     1,     3,     1,     2,     0,     1,     2,     4,     1,
       1,     1,     1,     1,     3,     0,     1,     0,     1,     1,
       4,     0,     1,     3,     0,     1,     1,     1,     1,     2,
       0,     0,     2,     2,     1,     2,     2,     2,     2,    11,
      13,     1,     3,     5,     1,     3,     5,     1,     2,     2,
       1,     8,     4,     5,     4,     4,     4,     3,     7,     8,
       6,     6,     6,     6,     6,     4,     7,     5,     8,     3,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     3,     3,     1,     0,     1,     3,     7,     9,
       9,     8,     3,     0,    13,     1,     3,     5,     5,     3,
       6,     2,     1,     0,     2,     0,     2,     4,     0,     1,
       0,     6,     8,     8,     1,     3,     5,     5,     7,     9,
       7,     9,     5,     6,     6,     4,     6,     4,     6,     8,
       4,     6,     4,     6,     5,     7,     1,     1,     1,     2,
       1,     2,     1,     1,     1,     3,     3,     3,     3,     2,
       2,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     2,     2,     3,     1,     3,     5,     2,     2,
       0,     6,     6,     6,     6,     6,     6,     6,     8,     9,
       8,     6,     6,     8,     9,     8,     9,     9,     7,    10,
       1,     1,     1,     1,     1,     1,     2,     1,     1,     2,
       3,     3,     3,     3,     2,     1,     2,     1,     3,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     8,     8,
       8,     8,     8,     8,     9,     8,     8,     2,     0,     1,
       2,     1,     1,     1,     2,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     2,     2,     1,     2,     3,
       3,     3,     3,     4,     4,     3,     3,     3,     4,     4,
       3,     4,     4,     1,     1,     1,     0,     7,     7,    10,
       1,     1,     2,     4,     5,     1,     3,     2,     2,     2,
       2,     1,     2,     2,     4,     3,     2,     2,     2,     2,
       2,     2,     3,     2,     2,     2,     5,     5,     5,     5,
       5,     1,     3,     1,     2,     3,     0,     6,     6,     9,
       3,     0,     3,     0,     5,     2,     0,     3,     3,     3,
       7,     7,    10,     1,     1,     1,     1,     1,     1,    15,
      18,     1,     0,     1,     0,     1,     0,     2,     0,     1,
       3,     5,     5,     7,     4,     0,     1,     3,     2,     0,
       1,     0,     1,     1,     0,     2,     2,     0,     8,    11,
       6,     6,     2,     0,     3,     2,     1,     3,     1,     3,
       2,     1,     1,     2,     3,     2,     1,     3,     3,     3,
       2,     2,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     4,     5,     1,     3,     3,     1,     3,     3,     5,
       6,     1,     3,     2,     1,     3,     1,     2,     4,     5,
       1,     1,     1,     1,     3,     3,     2,     2,     1,     2,
       2,     2,     1,     2,     2,     2,     2,     1,     1,     1,
       3,     3,     5,     2,     0,     2,     1,     3,     5,     5,
       5,     1,     2,     1,     0,     4,     6,     4,     6,     4,
       6,     4,     6,     4,     6,     3,     5,     5,     5,     1,
       3,     1,     3,     2,     2,     1,     2,     1,     2,    11,
      10,    10,     2,     2,     0,     9,     2,     0,    10,    11,
      11,     5,     5,     8,     3,     3,     6,     6,     1,     1,
       1,     1,     1,     1,     3,     1,     5,     5,     6,     6,
       6,     6,     6,     8,     8,     6,     6,     7,     9,     9,
       8,    10,     6,     6,     6,     6,     6,     6,     6,     8,
       6,     8,     6,     8,     7,     9,     6,     8,     7,     9,
       8,    10,     9,    11,     8,    10,     9,    11,     8,     8,
       7,     6,     6,     6,     6,     8,     8,     8,     8,     6,
       9,     1,     0,     2,     0,     7,     7,     7,     9,     8,
       7,     6,     6,     6,     6,     6,     6,     6,     9,     9,
       6,     6,     6,     8,     6,     8,     8,     8,     8,     6,
       8,     6,     8,     7,     9,     7,     9,     6,     7,     1,
       3,     3,     3,     1,     1,     1,     1,     1,     6,     6,
       6,     6,     6,     6,     7,     7,     6,     9,     9,     6,
       6,     6,     6,     6,     6,     8,     8,     8,     6,     7,
       6,     6,     5,     1,     0,     3,     3,     5,     6,     6,
       6,     8,     1,     3,     1,     5,     5,     6,     7,     4,
       4,     4,     6,    13,     1,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     1,     0,     3,     2,     0,     2,     2,     2,     2,
       3,     3,     2,     2,     2,     2,     3,     2,     5,     4,
       3,     3,     3,     1,     1,     0,     3,     2,     2,     1,
       2,     1,     3,     2,     1,     0,     9,    11,    12,    14,
       3,     4,     4,     0,     2,     5,     1,     0,     1,     2,
       3,     3,     3,     1,     2,     1,     1,     1,     1,     1,
       1,     0,     5,     4,     6,     4,     3,     5,     5,     4,
       4,     6,     4,     6,     6,     5,     7,     9,     6,     1,
       0,     6,    11,    11,    11,    13,     9,    11,     1,     1,
      10,     4,     2,     5,     2,     0,     6,     5,     1,     3,
       1,     1,     1,     1,     1,     3,     5,     1,     3,     1,
       1,     1,     1,     0,     1,     0,     1,     0,     1,     0,
       3,     0,     2,     1,     3,     1,     0,     2,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     2,     1,     1,     1,     1,     0,     5,     3,
       0,     1,     1,     1,     1,     3,     9,     3,     0,     2,
       3,     2,     3,     7,     1,     3,     1,     4,     4,     7,
       2,     1,     1,     1,     3,     2,     8,     5,     0,     4,
       3,     0,     2,     0,     7,     2,     0,     5,     3,     0,
       2,     2,     2,     3,     1,     3,     1,     2,     1,     0,
       1,     2,     0,     8,     1,     3,     3,     5,     2,     1,
       3,     7,     1,     0,     3,     2,     2,     2,     0,     2,
       2,     1,     1,     3,     3,     1,     2,     4,     4,     2,
       3,     5,     5,     1,     1,     9,     9,     1,     2,     4,
       4,     4,     2,     2,     3,     1,     3,     6,     1,     0,
       2,     0,     3,     3,     4,     4,     4,     4,     3,     2,
       1,     1,     0,     1,     1,     0,     1,     5,     1,     0,
       1,     0,     3,     1,     3,     4,     3,     2,     2,     1,
       1,     1,     0,     2,     4,     5,     4,     2,     3,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     3,     0,     1,     3,     1,     1,     1,     1,     1,
       2,     4,     4,     5,     2,     0,     1,     3,     1,     0,
       1,     2,     3,     2,     4,     2,     3,     2,     0,     4,
       5,     2,     0,     1,     3,     2,     3,     2,     3,     2,
       3,     2,     3,     1,     4,     3,     4,     5,     4,     5,
       4,     5,     2,     4,     1,     1,     0,     1,     4,     5,
       4,     0,     2,     2,     2,     1,     1,     0,     4,     2,
       1,     2,     2,     4,     1,     3,     1,     2,     3,     6,
       4,     0,     2,     6,     2,     1,     3,     4,     0,     2,
       0,     2,     0,     2,     4,     0,     1,     0,     1,     3,
       3,     7,    12,     1,     3,     2,     3,     3,     1,     2,
       2,     2,     2,     1,     1,     3,     3,     2,     2,     3,
       5,     6,     2,     3,     3,     4,     0,     1,     1,     1,
       1,     1,     2,     4,     1,     1,     1,     1,     2,     3,
       3,     0,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     2,     1,     3,     0,     1,     1,     1,     1,     5,
       2,     1,     1,     1,     1,     4,     1,     2,     2,     1,
       3,     3,     2,     1,     0,     5,     2,     5,     2,     1,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     3,
       3,     3,     3,     3,     3,     3,     0,     1,     4,     1,
       3,     3,     5,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       3,     3,     2,     2,     3,     5,     4,     6,     3,     5,
       4,     6,     4,     6,     5,     7,     3,     2,     4,     2,
       3,     3,     4,     3,     4,     3,     4,     5,     6,     6,
       7,     6,     7,     6,     7,     3,     4,     4,     6,     2,
       3,     4,     1,     1,     3,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     5,     6,     6,     7,     3,     4,     1,     1,
       2,     4,     1,     1,     1,     2,     2,     2,     2,     1,
       1,     4,     3,     5,     6,     8,     6,     6,     4,     4,
       1,     1,     1,     5,     1,     1,     4,     1,     4,     1,
       4,     1,     4,     1,     1,     1,     1,     1,     1,     6,
       4,     4,     4,     4,     6,     5,     5,     5,     4,     6,
       4,     4,     4,     4,     5,     7,     7,     9,     5,     4,
       6,     5,     7,     7,     7,     2,     3,     3,     3,     4,
       0,     4,     1,     3,     3,     1,     1,     1,     2,     2,
       0,     2,     4,     4,     6,     5,     0,     5,     0,     2,
       0,     1,     3,     3,     2,     2,     0,     6,     1,     0,
       3,     0,     3,     3,     3,     0,     1,     4,     2,     2,
       2,     2,     2,     3,     2,     2,     3,     0,     4,     3,
       5,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     1,     4,     1,     4,     1,     2,     1,
       2,     1,     3,     1,     3,     1,     3,     3,     1,     3,
       3,     3,     2,     1,     3,     3,     0,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     3,     2,     3,     0,
       3,     3,     2,     2,     1,     0,     2,     2,     3,     2,
       1,     1,     3,     5,     1,     2,     4,     2,     0,     1,
       0,     1,     2,     2,     2,     3,     5,     1,     0,     1,
       2,     0,     2,     1,     0,     1,     0,     1,     3,     3,
       2,     1,     1,     1,     3,     1,     2,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     1,     2,     6,     2,     3,     5,     1,     1,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 785 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 25379 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 801 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 25395 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 813 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 25406 "gram.c" /* yacc.c:1646  */
    break;

  case 129:
#line 947 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25412 "gram.c" /* yacc.c:1646  */
    break;

  case 130:
#line 957 "gram.y" /* yacc.c:1646  */
    {
					CallStmt *n = makeNode(CallStmt);
					n->funccall = castNode(FuncCall, (yyvsp[0].node));
					(yyval.node) = (Node *)n;
				}
#line 25422 "gram.c" /* yacc.c:1646  */
    break;

  case 131:
#line 972 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25434 "gram.c" /* yacc.c:1646  */
    break;

  case 132:
#line 982 "gram.y" /* yacc.c:1646  */
    {}
#line 25440 "gram.c" /* yacc.c:1646  */
    break;

  case 133:
#line 983 "gram.y" /* yacc.c:1646  */
    {}
#line 25446 "gram.c" /* yacc.c:1646  */
    break;

  case 134:
#line 984 "gram.y" /* yacc.c:1646  */
    {}
#line 25452 "gram.c" /* yacc.c:1646  */
    break;

  case 135:
#line 993 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 25458 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 994 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25464 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 998 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 25470 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 999 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25476 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1004 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 25485 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1009 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 25493 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1013 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 25507 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1023 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 25519 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1031 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 25527 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1035 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 25535 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1039 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 25543 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1044 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 25551 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1048 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(false), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 25600 "gram.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1095 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 25606 "gram.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1098 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 25614 "gram.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1102 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 25622 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1106 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 25630 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1110 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 25638 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1114 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 25646 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1128 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25658 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1146 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 25670 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1154 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 25682 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1164 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25688 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1165 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25694 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1170 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 25706 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1178 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 25718 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1186 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 25730 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1194 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 25742 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1215 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25753 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1222 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25764 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1229 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25775 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1236 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25786 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1243 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25797 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1250 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25808 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1267 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25820 "gram.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1285 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 25833 "gram.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1295 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 25839 "gram.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1296 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 25845 "gram.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1308 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 25859 "gram.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1318 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 25873 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1328 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 25892 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1343 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 25911 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1360 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25917 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1361 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25923 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1366 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 25933 "gram.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1372 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25939 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1400 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 25949 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1406 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 25959 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1412 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 25969 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1421 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 25981 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1429 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 25993 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1441 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26005 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1449 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 26017 "gram.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1457 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 26028 "gram.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1464 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 26039 "gram.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1472 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 26045 "gram.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1474 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 26056 "gram.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1482 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 26071 "gram.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1493 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 26083 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1501 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26095 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1509 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 26110 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1520 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26122 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1528 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26134 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1536 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 26145 "gram.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1543 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26157 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1552 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 26169 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1561 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26175 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1563 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 26181 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1566 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26187 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1567 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26193 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1571 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 26199 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1573 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 26205 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1576 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 26211 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1577 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 26217 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1578 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 26223 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1579 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 26229 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1583 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 26235 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1584 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 26241 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1585 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 26247 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1591 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26253 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1604 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 26261 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1608 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 26269 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1612 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 26288 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1627 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 26299 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1633 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 26305 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1634 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26311 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1635 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26317 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1639 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26323 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1640 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26329 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1641 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26335 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1645 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26341 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1646 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26347 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1650 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 26353 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1654 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 26359 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1656 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 26370 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1663 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 26381 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1670 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 26392 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1680 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 26403 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1687 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 26413 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1696 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 26419 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1697 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 26425 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1702 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 26431 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1703 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 26437 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1709 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26447 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1715 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 26457 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1721 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 26467 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1727 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 26477 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1733 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 26487 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1743 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 26498 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1752 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26504 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1753 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26510 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1757 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 26516 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1758 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 26522 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1767 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 26531 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1782 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 26541 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1788 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 26551 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1794 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 26561 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1800 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 26571 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1806 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 26581 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1825 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26594 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1834 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26607 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1843 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26620 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1852 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26633 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1861 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 26648 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1872 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 26663 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1883 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26676 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1892 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26689 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1901 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26702 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1910 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 26717 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1921 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 26732 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1932 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26745 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1941 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26758 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1950 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26771 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1959 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26784 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1968 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26797 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 1977 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26810 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 1986 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 26825 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 1997 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 26840 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2010 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26846 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2011 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26852 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2017 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 26868 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2030 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 26884 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2046 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 26900 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2062 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26912 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2071 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26924 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2080 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26936 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2089 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26948 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2098 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 26960 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2107 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 26971 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2115 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 26982 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2123 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 26994 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2132 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					if ((yyvsp[-3].ival) <= 0 || (yyvsp[-3].ival) > PG_INT16_MAX)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("column number must be in range from 1 to %d", PG_INT16_MAX),
								 parser_errposition((yylsp[-3]))));

					n->subtype = AT_SetStatistics;
					n->num = (int16) (yyvsp[-3].ival);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 27013 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2148 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27025 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2157 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27037 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2166 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 27049 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2175 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *)n;
				}
#line 27069 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2192 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27081 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2201 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27093 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2210 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27105 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2219 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27118 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2229 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27131 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2242 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 27149 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2257 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27161 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2266 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 27172 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2274 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27190 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2289 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27201 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2297 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 27214 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2307 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 27227 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2317 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
#line 27237 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2324 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 27247 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2331 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27258 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2339 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 27269 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2347 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *)n;
				}
#line 27279 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2354 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *)n;
				}
#line 27289 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2361 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27300 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2369 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27311 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2377 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27322 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2385 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 27332 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2392 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 27342 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2399 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27353 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2407 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 27363 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2414 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 27373 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2421 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27384 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2429 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27395 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2437 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27406 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2445 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27417 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2453 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 27428 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2461 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 27439 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2469 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 27452 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2479 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 27462 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2486 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 27473 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2494 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27484 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2502 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27495 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2510 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27506 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2518 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 27517 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2526 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 27527 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2533 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 27537 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2540 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 27547 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2547 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 27557 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2553 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27568 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2562 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27574 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2563 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 27580 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2567 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 27586 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2568 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 27592 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2569 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 27598 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2574 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 27610 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2581 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 27616 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2585 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27622 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2586 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 27628 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2591 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 27639 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2598 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 27650 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2605 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 27661 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2612 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 27672 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2621 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27678 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2624 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27684 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2625 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27690 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2629 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 27696 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2630 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 27702 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2636 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 27710 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2640 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 27718 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2644 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 27727 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2649 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 27735 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2656 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 27741 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2658 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27747 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2663 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 27755 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2667 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 27763 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2671 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 27778 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2682 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 27786 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2690 "gram.y" /* yacc.c:1646  */
    {
					ListCell   *lc;
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_HASH;
					n->modulus = n->remainder = -1;

					foreach (lc, (yyvsp[-1].list))
					{
						DefElem    *opt = lfirst_node(DefElem, lc);

						if (strcmp(opt->defname, "modulus") == 0)
						{
							if (n->modulus != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("modulus for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->modulus = defGetInt32(opt);
						}
						else if (strcmp(opt->defname, "remainder") == 0)
						{
							if (n->remainder != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("remainder for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->remainder = defGetInt32(opt);
						}
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized hash partition bound specification \"%s\"",
											opt->defname),
									 parser_errposition(opt->location)));
					}

					if (n->modulus == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("modulus for hash partition must be specified")));
					if (n->remainder == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("remainder for hash partition must be specified")));

					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 27841 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2743 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->is_default = false;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 27856 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2756 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->is_default = false;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 27872 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2770 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->is_default = true;
					n->location = (yylsp[0]);

					(yyval.partboundspec) = n;
				}
#line 27885 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2782 "gram.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem((yyvsp[-1].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
			}
#line 27893 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2789 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1((yyvsp[0].defelt));
			}
#line 27901 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2793 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
			}
#line 27909 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2799 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 27915 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2800 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 27921 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2801 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst(pstrdup("true"), (yylsp[0])); }
#line 27927 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2802 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst(pstrdup("false"), (yylsp[0])); }
#line 27933 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2803 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst((yylsp[0])); }
#line 27939 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2807 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 27945 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2809 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 27951 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2813 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 27957 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2815 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 27963 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2820 "gram.y" /* yacc.c:1646  */
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_MINVALUE;
					n->value = NULL;
					n->location = (yylsp[0]);

					(yyval.node) = (Node *) n;
				}
#line 27977 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2830 "gram.y" /* yacc.c:1646  */
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_MAXVALUE;
					n->value = NULL;
					n->location = (yylsp[0]);

					(yyval.node) = (Node *) n;
				}
#line 27991 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2840 "gram.y" /* yacc.c:1646  */
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_VALUE;
					n->value = (yyvsp[0].node);
					n->location = (yylsp[0]);

					(yyval.node) = (Node *) n;
				}
#line 28005 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2860 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 28019 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2872 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 28025 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2873 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 28031 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2879 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 28043 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 2888 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28056 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2898 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28069 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2908 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 28088 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2934 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28098 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2940 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 28108 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2974 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-5].boolean);
					n->is_program = (yyvsp[-4].boolean);
					n->filename = (yyvsp[-3].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-6].defelt))
						n->options = lappend(n->options, (yyvsp[-6].defelt));
					if ((yyvsp[-2].defelt))
						n->options = lappend(n->options, (yyvsp[-2].defelt));
					if ((yyvsp[0].list))
						n->options = list_concat(n->options, (yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 28140 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3002 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *)n;
				}
#line 28163 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3023 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 28169 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3024 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 28175 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3028 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 28181 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3029 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 28187 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3038 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28193 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3039 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28199 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3040 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28205 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3043 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28211 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3044 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28217 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3049 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28223 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3050 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28229 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3055 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 28237 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3059 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 28245 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3063 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 28253 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3067 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28261 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3071 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28269 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3075 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"), (yylsp[0]));
				}
#line 28277 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3079 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 28285 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3083 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28293 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3087 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 28301 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3091 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 28309 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3095 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star), (yylsp[-2]));
				}
#line 28317 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3099 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list), (yylsp[-3]));
				}
#line 28325 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3103 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 28333 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3107 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28341 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3116 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 28349 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3119 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 28355 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3124 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(true), (yylsp[-1]));
				}
#line 28363 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3127 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 28369 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3132 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 28377 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3135 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 28383 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3139 "gram.y" /* yacc.c:1646  */
    {}
#line 28389 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3140 "gram.y" /* yacc.c:1646  */
    {}
#line 28395 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3146 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 28403 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3150 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 28411 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3157 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 28419 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3163 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 28425 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3164 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 28431 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3165 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 28437 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3166 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 28443 "gram.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3167 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 28449 "gram.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3172 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 28457 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3176 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 28465 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3183 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 28471 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3196 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = (yyvsp[-4].list);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28491 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3214 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = (yyvsp[-4].list);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28511 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3232 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-9].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-4].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-5].list));
					n->ofTypename->location = (yylsp[-5]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28532 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3251 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-4].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-5].list));
					n->ofTypename->location = (yylsp[-5]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28553 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3270 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = list_make1((yyvsp[-6].range));
					n->partbound = (yyvsp[-4].partboundspec);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28574 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3289 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = list_make1((yyvsp[-6].range));
					n->partbound = (yyvsp[-4].partboundspec);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28595 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3318 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 28601 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3319 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 28607 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3320 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 28613 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3321 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 28619 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3323 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 28630 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3330 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 28641 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3336 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 28647 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3337 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 28653 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3341 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28659 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3342 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28665 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3346 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28671 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3347 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28677 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3352 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 28685 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3356 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 28693 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3363 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 28701 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3367 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 28709 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3373 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28715 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3374 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28721 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3375 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28727 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3379 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28733 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3380 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28739 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3384 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 28763 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3406 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 28786 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3425 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 28809 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3446 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 28815 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3447 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28821 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3452 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 28832 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3458 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28838 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3459 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28844 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3461 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 28861 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3492 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 28872 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3499 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 28883 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3506 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28898 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3517 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 28913 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3528 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *)n;
				}
#line 28929 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3540 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 28942 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3549 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 28955 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3558 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 28974 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3575 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 28980 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3576 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 28986 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3596 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 28997 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3603 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29008 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3610 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29019 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3617 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 29030 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3628 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 29041 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3637 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 29047 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3638 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 29053 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3639 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 29059 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3643 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 29065 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3644 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 29071 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3645 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 29077 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3646 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 29083 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3647 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 29089 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3648 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 29095 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3649 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 29101 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3650 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 29107 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3660 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 29118 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3666 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 29124 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3671 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 29141 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3685 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29160 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3700 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29179 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3716 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-8]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29198 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3731 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29217 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3748 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-9]);
					n->access_method	= (yyvsp[-8].str);
					n->exclusions		= (yyvsp[-6].list);
					n->including		= (yyvsp[-4].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 29238 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3766 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 29260 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3785 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = true; }
#line 29266 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3786 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = false; }
#line 29272 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3790 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29278 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3791 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29284 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3795 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29290 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3796 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 29296 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3800 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 29304 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3805 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29310 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3806 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29316 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3810 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 29324 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3814 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 29336 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3822 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 29344 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3826 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 29352 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3832 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 29358 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3834 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 29364 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3838 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 29372 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3843 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 29380 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3849 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 29386 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3850 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 29392 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3861 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 29398 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3863 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 29404 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3865 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 29410 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3867 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 29416 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3869 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 29422 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3872 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 29428 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3875 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 29434 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3879 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 29440 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3880 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 29446 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3881 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 29452 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3882 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 29458 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3883 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 29464 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3886 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29470 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3887 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29476 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3891 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 29482 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3892 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = NULL; }
#line 29488 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3896 "gram.y" /* yacc.c:1646  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = (yyvsp[-3].str);
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 29502 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3907 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29508 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3908 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 29514 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3911 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 29520 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3912 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 29526 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3916 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 29541 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3927 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 29556 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3938 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 29571 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3951 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29577 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 3952 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeDefElem("oids", (Node *) makeInteger(true), (yylsp[-1]))); }
#line 29583 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3953 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeDefElem("oids", (Node *) makeInteger(false), (yylsp[-1]))); }
#line 29589 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 3954 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29595 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3957 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 29601 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 3958 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 29607 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 3959 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 29613 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 3960 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 29619 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3963 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29625 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 3964 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29631 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 3967 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29637 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3968 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29643 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3971 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29649 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 3991 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 29664 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4003 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 29679 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4027 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 29696 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4040 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 29713 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4056 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 29728 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4069 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 29734 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4070 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 29740 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4071 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 29746 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4084 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 29763 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4097 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 29780 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4113 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-3].range);
					(yyval.into)->colNames = (yyvsp[-2].list);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 29795 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4125 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 29801 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4126 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 29807 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4139 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 29819 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4159 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 29833 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4169 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 29847 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4182 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29859 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4190 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29871 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4200 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29877 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4201 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29883 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4204 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29889 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4205 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29895 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4208 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29901 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4209 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29907 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4213 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].typnam), (yylsp[-1]));
				}
#line 29915 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4217 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 29923 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4221 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 29931 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4225 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 29939 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4229 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 29947 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4233 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 29955 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4237 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 29963 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4241 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 29971 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4245 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 29979 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4249 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 29987 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4253 "gram.y" /* yacc.c:1646  */
    {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 29996 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4258 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 30004 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4262 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 30012 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4266 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 30020 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4271 "gram.y" /* yacc.c:1646  */
    {}
#line 30026 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4272 "gram.y" /* yacc.c:1646  */
    {}
#line 30032 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4276 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 30038 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4277 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 30044 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4279 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 30053 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4283 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 30059 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4286 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 30065 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4287 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 30071 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4300 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 30087 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4313 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 30102 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4326 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 30108 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4327 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 30114 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4335 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 30120 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4336 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 30126 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4340 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30132 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4341 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30138 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4345 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30144 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4346 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30150 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4350 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30156 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4351 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30162 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4356 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 30176 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4366 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 30190 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4378 "gram.y" /* yacc.c:1646  */
    {}
#line 30196 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4379 "gram.y" /* yacc.c:1646  */
    {}
#line 30202 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4390 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30215 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4400 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 30221 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4401 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 30227 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4415 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30238 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4422 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30249 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4439 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30261 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4447 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30273 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4458 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30279 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4460 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30285 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4465 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30293 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4469 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30301 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4473 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30309 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4477 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 30317 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4489 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30328 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4499 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30334 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4501 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30340 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4506 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30348 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4519 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_ACCESS_METHOD;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 30361 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4528 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30374 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4537 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 30387 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4546 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30400 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4555 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30413 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4564 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 30426 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4573 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30439 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4582 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 30452 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4591 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30465 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4600 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 30478 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4609 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 30491 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4618 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30504 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4627 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 30517 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4636 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 30530 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4645 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 30543 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4654 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30556 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4663 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30569 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4672 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30582 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4681 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30595 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4690 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30608 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4699 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30621 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4708 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30634 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4717 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30647 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4726 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30660 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4735 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 30673 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4744 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 30686 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4753 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 30699 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4762 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 30712 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4780 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30724 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4790 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 30730 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4791 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 30736 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4792 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 30742 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4793 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 30748 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4797 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30754 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4798 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30760 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4802 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30766 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4803 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30772 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4814 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30784 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4822 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 30796 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4833 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30802 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4834 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30808 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4839 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 30816 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4843 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 30824 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4850 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30830 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4855 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 30838 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4859 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 30846 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4866 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 30854 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4870 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 30863 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4875 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 30872 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4880 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 30880 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4887 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 30888 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4893 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30894 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4898 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 30900 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4910 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 30915 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4922 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 30930 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4935 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30936 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4936 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30942 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4941 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30948 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4942 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30954 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4946 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30960 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4947 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30966 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4958 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 30979 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4967 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 30991 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4975 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31002 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4994 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31024 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 5014 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31046 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 5034 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31069 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 5055 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31092 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 5084 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 31105 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5093 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 31118 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5115 "gram.y" /* yacc.c:1646  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);
				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 31133 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5128 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 31139 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5129 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 31145 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5134 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 31156 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5141 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 31167 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5157 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 31180 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5166 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 31193 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5177 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 31199 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5178 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 31205 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5191 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31217 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5199 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31229 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5216 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31241 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5242 "gram.y" /* yacc.c:1646  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);
					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31257 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5258 "gram.y" /* yacc.c:1646  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);
					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31271 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5270 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31277 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5271 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31283 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5275 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31289 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5276 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31295 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5280 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31301 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5281 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 31307 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5285 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31313 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5286 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 31319 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5291 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
									 parser_errposition((yylsp[0]))));

				}
#line 31337 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5304 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31343 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5308 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31349 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5309 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 31355 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5313 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 31361 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5314 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "select"; }
#line 31367 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5315 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "insert"; }
#line 31373 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5316 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "update"; }
#line 31379 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5317 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "delete"; }
#line 31385 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5328 "gram.y" /* yacc.c:1646  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);
					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = AMTYPE_INDEX;
					(yyval.node) = (Node *) n;
				}
#line 31397 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5348 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->isconstraint  = false;
					n->deferrable	 = false;
					n->initdeferred  = false;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 31420 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5370 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = true;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					n->isconstraint  = true;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 31444 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5392 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 31450 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5393 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 31456 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5394 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 31462 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5399 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31468 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5401 "gram.y" /* yacc.c:1646  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 31491 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5423 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 31497 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5425 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 31503 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5427 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 31509 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5429 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 31515 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5431 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 31521 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5435 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31527 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5436 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31533 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5440 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31539 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5441 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 31545 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5446 "gram.y" /* yacc.c:1646  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);
					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *)n;
				}
#line 31557 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5456 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31563 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5457 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31569 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5461 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31575 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5470 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31581 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5474 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31587 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5479 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 31595 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5483 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = false;
				}
#line 31607 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5493 "gram.y" /* yacc.c:1646  */
    {}
#line 31613 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5494 "gram.y" /* yacc.c:1646  */
    {}
#line 31619 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5498 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31625 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5499 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31631 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5503 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 31637 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5504 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31643 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5508 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 31649 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5509 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 31655 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5510 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31661 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5515 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 31669 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5518 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 31675 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5519 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 31681 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5520 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 31687 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5524 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 31693 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5525 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 31699 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5530 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 31705 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5532 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 31733 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5558 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 31739 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5559 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 31745 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5560 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 31751 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5561 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 31757 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5562 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 31763 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5563 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 31769 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5578 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 31782 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5589 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 31795 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5601 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31801 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5603 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 31807 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5608 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 31813 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5613 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 31819 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5615 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 31825 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5620 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 31836 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5629 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 31842 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5630 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 31848 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5631 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 31854 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5632 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 31860 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5646 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-5].str);
					n->args = list_make1((yyvsp[-2].node));
					n->isconstraint  = true;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
#line 31880 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5665 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
#line 31895 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5687 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31909 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5697 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31924 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5708 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31938 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5718 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31952 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5728 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 31967 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5739 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 31980 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5748 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 31991 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5755 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32002 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5762 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32015 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5771 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32028 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5780 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32041 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5789 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32054 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5798 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32067 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5807 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 32081 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5817 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 32094 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5826 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 32108 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5837 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32114 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5840 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32120 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5841 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32126 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5845 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 32134 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5849 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 32142 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5855 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 32148 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5856 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 32154 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5857 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 32160 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5858 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 32166 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5859 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 32172 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5860 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 32178 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5863 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32184 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5866 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32190 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5867 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32196 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5876 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node), (yylsp[-2]));
				}
#line 32204 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5882 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32210 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5883 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32216 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5887 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 32222 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5889 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 32228 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5900 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 32243 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5911 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 32258 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5922 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 32273 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5933 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 32288 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5945 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32294 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5946 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32300 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5964 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32315 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5977 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32321 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5978 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32327 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5983 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);
					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32343 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5996 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32356 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 6005 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 32368 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 6013 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 32381 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 6022 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 32392 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 6030 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32398 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 6031 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32404 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 6034 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32410 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 6035 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32416 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 6038 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32422 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 6039 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32428 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 6040 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32434 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 6044 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = true;
				}
#line 32452 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 6057 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32458 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 6063 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32469 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 6073 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32482 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 6082 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32495 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 6093 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32501 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 6094 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32507 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 6099 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32519 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 6107 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 32531 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 6119 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32545 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 6129 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32559 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 6142 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32573 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 6152 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32587 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 6174 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32598 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 6184 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 32609 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 6202 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32623 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 6212 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32637 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 6222 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32651 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 6232 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32665 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 6242 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32679 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6252 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32693 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6262 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32707 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6272 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32721 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6282 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32735 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6292 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 32749 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6302 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 32763 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6312 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 32777 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6325 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 32783 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6326 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 32789 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6327 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 32795 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6328 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 32801 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6329 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 32807 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6330 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 32813 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6331 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 32819 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6332 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 32825 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6333 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 32831 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6334 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 32837 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6335 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 32843 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6336 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 32849 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6337 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 32855 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6342 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 32861 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6343 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 32867 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6344 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 32873 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6345 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 32879 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6346 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 32885 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6347 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 32891 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6348 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 32897 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6353 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 32903 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6354 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 32909 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6355 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 32915 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6359 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 32921 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6360 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 32927 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6363 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 32933 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6364 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 32939 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6368 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 32945 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6370 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 32951 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6374 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 32957 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6375 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 32963 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6386 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32975 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6396 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32981 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6397 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32987 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6398 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32993 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6433 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33005 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6441 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33017 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6449 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33029 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6457 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33041 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6465 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33053 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6473 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33065 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6481 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33077 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6489 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33089 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6497 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33106 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6510 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_POLICY;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33118 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6518 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33130 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6526 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33142 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6534 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33154 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6542 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33166 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6550 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33178 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6558 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33190 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6566 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33202 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6574 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33214 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6582 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33226 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6593 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 33232 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6594 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 33238 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6595 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 33244 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6596 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 33250 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6597 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 33256 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6598 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 33262 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6599 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 33268 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6600 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 33274 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6601 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 33280 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6602 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 33286 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6603 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 33292 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6604 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 33298 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6605 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 33304 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6606 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 33310 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6611 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 33316 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6612 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 33322 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6613 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 33328 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6614 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 33334 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6615 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 33340 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6616 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 33346 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6617 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 33352 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6618 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 33358 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6619 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 33364 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6620 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 33370 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6621 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 33376 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6622 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 33382 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6626 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33388 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6627 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33394 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6643 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33407 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6653 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33420 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6663 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33433 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6673 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33446 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6683 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33459 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6693 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33472 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6703 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33485 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6713 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33498 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6723 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33511 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6733 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33517 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6734 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33523 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6739 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 33529 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6740 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 33535 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6741 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 33541 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6742 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 33547 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6743 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 33553 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6744 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 33559 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6749 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 33565 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6750 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 33571 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6751 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 33577 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6752 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 33583 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6753 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 33589 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6754 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 33595 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6755 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 33601 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6756 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 33607 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6759 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33613 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6760 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33619 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6771 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = false;
					(yyval.node) = (Node *)n;
				}
#line 33629 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6777 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = true;
					(yyval.node) = (Node *)n;
				}
#line 33639 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6785 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33651 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6793 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33663 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6801 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33675 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6809 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33687 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6817 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33699 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6825 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 33711 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6833 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 33723 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6841 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 33735 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6849 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 33747 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6857 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 33759 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6865 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33771 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6873 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 33783 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6881 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 33795 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6889 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 33807 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6897 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 33819 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6905 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 33831 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6914 "gram.y" /* yacc.c:1646  */
    {}
#line 33837 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6915 "gram.y" /* yacc.c:1646  */
    {}
#line 33843 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6918 "gram.y" /* yacc.c:1646  */
    {}
#line 33849 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6919 "gram.y" /* yacc.c:1646  */
    {}
#line 33855 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6931 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 33871 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6947 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 33888 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6961 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 33905 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6986 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33911 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6988 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33917 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6990 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33923 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6992 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 33934 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6999 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 33945 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 7007 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 33951 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 7008 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 33957 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 7012 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 33968 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 7019 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 33979 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 7026 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 33990 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 7033 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 34001 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 7047 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34013 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 7055 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34025 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 7063 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34037 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7071 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34049 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7079 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34061 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7087 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34073 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7095 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34085 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7103 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34097 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7111 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34109 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7119 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34121 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7127 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34133 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7135 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34145 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7143 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SCHEMA;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34157 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7151 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34169 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7159 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34181 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7167 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34193 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7175 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34205 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7183 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34217 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7191 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34229 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7199 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 34241 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7210 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 34247 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7211 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 34253 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7215 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34259 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7216 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34265 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7221 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34271 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7222 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34277 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7233 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node*)n;
				}
#line 34291 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7246 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 34305 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7256 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 34319 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7267 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34325 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7268 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34331 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7271 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34337 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7272 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 34343 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7283 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 34354 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7292 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34360 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7293 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34366 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7298 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 34374 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7302 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 34382 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7306 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 34390 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7318 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34406 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7331 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34423 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7345 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 34440 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7360 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TABLE; }
#line 34446 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7361 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 34452 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7362 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 34458 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7363 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SEQUENCE; }
#line 34464 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7364 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TYPE; }
#line 34470 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7365 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SCHEMA; }
#line 34476 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7380 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-13].boolean);
					n->concurrent = (yyvsp[-11].boolean);
					n->idxname = (yyvsp[-10].str);
					n->relation = (yyvsp[-8].range);
					n->relationId = InvalidOid;
					n->accessMethod = (yyvsp[-7].str);
					n->indexParams = (yyvsp[-5].list);
					n->indexIncludingParams = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 34506 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7408 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-16].boolean);
					n->concurrent = (yyvsp[-14].boolean);
					n->idxname = (yyvsp[-10].str);
					n->relation = (yyvsp[-8].range);
					n->relationId = InvalidOid;
					n->accessMethod = (yyvsp[-7].str);
					n->indexParams = (yyvsp[-5].list);
					n->indexIncludingParams = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 34536 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7436 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34542 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7437 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34548 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7441 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34554 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7442 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34560 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7446 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34566 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7447 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34572 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7451 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34578 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7452 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 34584 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7455 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 34590 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7456 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 34596 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7465 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 34611 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7476 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 34626 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7487 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 34641 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7499 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34647 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7500 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34653 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7503 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 34659 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7504 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 34665 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7507 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34671 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7508 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34677 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7511 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34683 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7512 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34689 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7515 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 34695 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7516 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 34701 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7517 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 34707 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7520 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 34713 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7521 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 34719 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7522 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 34725 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7540 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-6].boolean);
					n->funcname = (yyvsp[-4].list);
					n->parameters = (yyvsp[-3].list);
					n->returnType = (yyvsp[-1].typnam);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34740 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7552 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-9].boolean);
					n->funcname = (yyvsp[-7].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-6].list), (yyvsp[-2].list));
					n->returnType = TableFuncTypeName((yyvsp[-2].list));
					n->returnType->location = (yylsp[-4]);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34756 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7565 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = false;
					n->replace = (yyvsp[-4].boolean);
					n->funcname = (yyvsp[-2].list);
					n->parameters = (yyvsp[-1].list);
					n->returnType = NULL;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34771 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7577 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->is_procedure = true;
					n->replace = (yyvsp[-4].boolean);
					n->funcname = (yyvsp[-2].list);
					n->parameters = (yyvsp[-1].list);
					n->returnType = NULL;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34786 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7590 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34792 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7591 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34798 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7594 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34804 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7595 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34810 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7599 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 34816 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7600 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 34822 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7604 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 34828 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7606 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 34834 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7611 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 34845 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7623 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 34856 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7630 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 34867 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7637 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 34879 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7651 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34885 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7652 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34891 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7656 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 34897 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7658 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 34903 "gram.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7673 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 34916 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7682 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 34929 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7691 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 34942 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7700 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 34955 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7709 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 34968 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7720 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 34974 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7721 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 34980 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7722 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 34986 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7723 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 34992 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7724 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 34998 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7735 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 35010 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7749 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 35016 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7751 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 35026 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7757 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 35037 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7767 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 35045 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7771 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 35054 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7776 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 35063 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7784 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 35077 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7825 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 35085 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7829 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 35093 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7833 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 35101 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7837 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 35110 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7844 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 35116 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7845 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 35122 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7850 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 35133 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7859 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 35139 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7861 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 35145 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7866 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35151 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7867 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35157 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7875 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(false), (yylsp[-3]));
				}
#line 35165 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7879 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(true), (yylsp[-4]));
				}
#line 35173 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7883 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 35181 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7887 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"), (yylsp[0]));
				}
#line 35189 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7891 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"), (yylsp[0]));
				}
#line 35197 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7895 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"), (yylsp[0]));
				}
#line 35205 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7899 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(true), (yylsp[-2]));
				}
#line 35213 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7903 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(false), (yylsp[-2]));
				}
#line 35221 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7907 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(true), (yylsp[-1]));
				}
#line 35229 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7911 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 35237 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7915 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 35245 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7919 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(false), (yylsp[-1]));
				}
#line 35253 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7923 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 35261 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7927 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 35269 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7931 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 35278 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7936 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35286 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7943 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 35294 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7947 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35302 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7951 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 35310 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7955 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(true), (yylsp[0]));
				}
#line 35318 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7959 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 35326 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7964 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35332 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7966 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 35340 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7972 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 35346 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7973 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 35352 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7977 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35358 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7978 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35364 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7982 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 35377 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7994 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 35385 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7998 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 35393 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 8013 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_FUNCTION;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35405 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8021 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_PROCEDURE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35417 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8029 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->objtype = OBJECT_ROUTINE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 35429 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8040 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35435 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8041 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35441 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8065 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35455 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8075 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35469 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8085 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35483 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8095 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35497 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8105 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35511 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8115 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35525 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8128 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35539 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8138 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35553 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8151 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35567 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8161 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35581 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8174 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 35593 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8182 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 35599 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8184 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 35605 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8186 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 35611 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8191 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35617 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8193 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 35623 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8197 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 35629 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8199 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 35635 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8204 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 35646 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8222 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35656 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8230 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35662 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8231 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35668 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8236 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 35676 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8240 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35684 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 8253 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 35698 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 8264 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 35712 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 8275 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 35726 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 8286 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 35732 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 8287 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 35738 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8288 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 35744 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8293 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 35758 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8304 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35764 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8305 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35770 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8316 "gram.y" /* yacc.c:1646  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);
					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 35784 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8328 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 35792 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8332 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 35800 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8336 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 35808 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 8340 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 35816 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 8347 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *)n;
				}
#line 35829 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 8367 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 35842 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 8376 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 35855 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 8385 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 35868 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 8394 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 35881 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 8404 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 35887 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8405 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 35893 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8408 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SCHEMA; }
#line 35899 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8409 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 35905 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8410 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 35911 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8413 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 35917 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8414 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 35923 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8417 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEXOPT_VERBOSE; }
#line 35929 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8428 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = false;
					(yyval.node) = (Node *)n;
				}
#line 35942 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8437 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = true;
					(yyval.node) = (Node *)n;
				}
#line 35955 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8454 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35968 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8463 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35981 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8472 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35994 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8481 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36007 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8490 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36020 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8499 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36033 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8508 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36046 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8517 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36059 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8526 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36072 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8535 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36085 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8544 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36098 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8553 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36111 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8562 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36125 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8572 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36139 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8582 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36152 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8591 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36165 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8600 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36178 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8609 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36191 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8618 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36204 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8627 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36217 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8636 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36231 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8646 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36245 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8656 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36259 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8666 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36273 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8676 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36287 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8686 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36301 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8696 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36315 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8706 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36329 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8716 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36343 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8726 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36357 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8736 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36371 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8746 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36385 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8756 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36400 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8767 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36415 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8778 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36430 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8789 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36445 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8800 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36459 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8810 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36473 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8820 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36488 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8831 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36503 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8842 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36517 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8852 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36531 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8862 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36543 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8870 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36556 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8879 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36569 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8888 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36582 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8897 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36595 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8906 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36608 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8915 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36621 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8924 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36634 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8933 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36647 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8942 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36660 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8951 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36676 "gram.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8964 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COLUMN; }
#line 36682 "gram.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8965 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 36688 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8968 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 36694 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8969 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 36700 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8980 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-4].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 36712 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8988 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-4].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 36724 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8996 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-4].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 36736 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 9004 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-4].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-6].str)));
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 36749 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 9013 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-4].range);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 36761 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 9021 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-4].range);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 36773 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 9038 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36786 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9047 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36799 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9056 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36812 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9065 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36825 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9074 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36838 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 9083 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36851 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 9092 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36864 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9101 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36877 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 9110 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36890 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9119 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36903 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 9128 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36916 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 9137 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36929 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 9146 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36942 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 9155 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36955 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 9164 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36968 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 9173 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36981 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 9182 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36994 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 9191 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37007 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 9200 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37020 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 9209 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37033 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 9218 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37046 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 9227 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37059 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 9236 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37072 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 9245 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37085 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 9254 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37098 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 9263 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 37111 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 9272 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 37124 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 9290 "gram.y" /* yacc.c:1646  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);
					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 37135 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 9298 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 37141 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 9299 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 37147 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 9303 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 37153 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 9305 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 37159 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 9310 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 37165 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 9311 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 37171 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 9312 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 37177 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 9313 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 37183 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 9314 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 37189 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 9324 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37201 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 9332 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37213 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 9340 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37225 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 9348 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37237 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 9356 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37249 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 9364 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37261 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 9372 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37273 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 9380 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].value);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37285 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 9388 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37297 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 9396 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37309 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 9404 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37321 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 9412 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37333 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 9420 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37345 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 9428 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37357 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 9436 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37369 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 9444 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37381 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 9452 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37393 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 9460 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37405 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 9468 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37417 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 9476 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37429 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 9484 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37441 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 9492 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37453 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 9500 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37465 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 9508 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 37477 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 9526 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					if ((yyvsp[-1].node) != NULL)
					{
						/* FOR TABLE */
						if (IsA((yyvsp[-1].node), List))
							n->tables = (List *)(yyvsp[-1].node);
						/* FOR ALL TABLES */
						else
							n->for_all_tables = true;
					}
					(yyval.node) = (Node *)n;
				}
#line 37497 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 9544 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37503 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 9545 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 37509 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 9550 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].list);
				}
#line 37517 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 9554 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeInteger(true);
				}
#line 37525 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 9574 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37536 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 9581 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_ADD;
					(yyval.node) = (Node *)n;
				}
#line 37548 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 9589 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_SET;
					(yyval.node) = (Node *)n;
				}
#line 37560 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 9597 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_DROP;
					(yyval.node) = (Node *)n;
				}
#line 37572 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 9614 "gram.y" /* yacc.c:1646  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37586 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 9627 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].value));
				}
#line 37594 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 9631 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value));
				}
#line 37602 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 9637 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 37608 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 9647 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37621 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 9656 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37634 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 9665 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37647 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 9674 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37661 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 9684 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(true), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 37675 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 9694 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(false), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 37689 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 9712 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37701 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 9720 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37713 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 9738 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37729 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 9752 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37735 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 9753 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37741 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 9754 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37747 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 9760 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 37757 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 9766 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 37767 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 9782 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37773 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 9783 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 37779 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 9786 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 37785 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 9787 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 37791 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 9788 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 37797 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 9789 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 37803 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 9793 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 37809 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 9794 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37815 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 9795 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37821 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9808 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37832 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9817 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37838 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9818 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 37844 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9822 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37854 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9831 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37864 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9837 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 37874 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9856 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 37885 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9863 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37896 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9870 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37907 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9877 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 37918 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9884 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 37929 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9891 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 37940 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9898 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37951 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9905 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37962 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9912 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37973 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 9919 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37984 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 9926 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 37995 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 9933 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38006 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 9940 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38017 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 9947 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38028 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 9955 "gram.y" /* yacc.c:1646  */
    {}
#line 38034 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 9956 "gram.y" /* yacc.c:1646  */
    {}
#line 38040 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 9957 "gram.y" /* yacc.c:1646  */
    {}
#line 38046 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 9962 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 38053 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 9965 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(true, (yylsp[-1])), (yylsp[-1])); }
#line 38060 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 9968 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 38067 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 9971 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(true, (yylsp[0])), (yylsp[0])); }
#line 38074 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 9974 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 38081 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 9981 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38087 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 9983 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 38093 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 9985 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 38099 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 9991 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38105 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 10005 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 38121 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 10018 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 38137 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 10031 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 38158 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 10049 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 38179 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 10068 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 38185 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 10069 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 38191 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 10070 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 38197 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 10071 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 38203 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 10082 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38213 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 10098 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38224 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 10107 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38230 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 10108 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38236 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 10112 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38242 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 10113 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 38248 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 10118 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 38256 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 10122 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 38264 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 10126 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 38272 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 10143 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38278 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 10144 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 38284 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 10145 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38290 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 10146 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38296 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 10147 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38302 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 10148 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38308 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 10149 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 38314 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 10156 "gram.y" /* yacc.c:1646  */
    {}
#line 38320 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 10157 "gram.y" /* yacc.c:1646  */
    {}
#line 38326 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 10169 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 38337 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 10176 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 38348 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 10183 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *)makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *)n;
				 }
#line 38360 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 10194 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 38371 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 10211 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38382 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 10218 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 38393 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 10234 "gram.y" /* yacc.c:1646  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);
					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 38403 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 10251 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 38413 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 10257 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 38423 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 10273 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 38436 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 10286 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 38448 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 10295 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 38459 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 10303 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 38470 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 10311 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 38482 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 10320 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 38496 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 10331 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 38510 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 10342 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 38522 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 10351 "gram.y" /* yacc.c:1646  */
    {}
#line 38528 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 10352 "gram.y" /* yacc.c:1646  */
    {}
#line 38534 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 10364 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38545 "gram.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 10374 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 38560 "gram.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 10385 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 38575 "gram.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 10396 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 38590 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 10407 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 38605 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 10418 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 38618 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 10427 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 38631 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 10438 "gram.y" /* yacc.c:1646  */
    {}
#line 38637 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 10439 "gram.y" /* yacc.c:1646  */
    {}
#line 38643 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 10455 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 38657 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 10477 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->verbose = (yyvsp[-2].boolean);
					(yyval.node) = (Node*)n;
				}
#line 38669 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 10485 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 38681 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 10494 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->verbose = (yyvsp[-3].boolean);
					(yyval.node) = (Node*)n;
				}
#line 38693 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 10504 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38699 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 10505 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 38705 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 10518 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-4].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_VERBOSE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_ANALYZE;
					n->rels = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38724 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 10533 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-2].ival);
					n->rels = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 38735 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 10542 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 38741 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 10543 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 38747 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 10547 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_ANALYZE; }
#line 38753 "gram.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 10548 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 38759 "gram.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 10549 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FREEZE; }
#line 38765 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 10550 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FULL; }
#line 38771 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 10552 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "disable_page_skipping") == 0)
						(yyval.ival) = VACOPT_DISABLE_PAGE_SKIPPING;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized VACUUM option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 38785 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 10564 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->rels = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38798 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 10573 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE | (yyvsp[-2].ival);
					n->rels = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 38809 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 10582 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 38815 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 10583 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 38821 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 10587 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 38827 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 10591 "gram.y" /* yacc.c:1646  */
    {}
#line 38833 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 10592 "gram.y" /* yacc.c:1646  */
    {}
#line 38839 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 10596 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38845 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 10597 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38851 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 10601 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38857 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 10602 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38863 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 10605 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38869 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 10606 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38875 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 10609 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38881 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 10610 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38887 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 10614 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38893 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 10615 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38899 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 10620 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeVacuumRelation((yyvsp[-1].range), InvalidOid, (yyvsp[0].list));
				}
#line 38907 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 10627 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38913 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 10629 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 38919 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 10633 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38925 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 10634 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38931 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 10648 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 38942 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 10655 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 38956 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 10665 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 38967 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 10672 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 38978 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 10694 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 38986 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 10698 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 38994 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 10705 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 39002 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 10711 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39008 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 10712 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 39014 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 10716 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 39020 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 10717 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 39026 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 10718 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39032 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 10729 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39044 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 10738 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39050 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 10739 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39056 "gram.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 10757 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 39067 "gram.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 10765 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 39086 "gram.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 10781 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39092 "gram.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 10782 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39098 "gram.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 10793 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 39108 "gram.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 10799 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 39118 "gram.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 10805 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 39128 "gram.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 10811 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 39138 "gram.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 10828 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 39150 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 10845 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 39158 "gram.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 10849 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 39167 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 10857 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 39177 "gram.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 10863 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 39188 "gram.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 10870 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 39198 "gram.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 10876 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 39209 "gram.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 10883 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 39219 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 10891 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 39225 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 10892 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 39231 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 10897 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 39237 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 10899 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 39243 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 10904 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 39255 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 10915 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 39268 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 10925 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 39281 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 10934 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = NULL;
				}
#line 39289 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 10941 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 39301 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 10950 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 39313 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 10958 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = NULL;
				}
#line 39321 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 10964 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39327 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 10965 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39333 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 10978 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 39347 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 10990 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39353 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 10991 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39359 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 11003 "gram.y" /* yacc.c:1646  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 39372 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 11013 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 39378 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 11014 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 39384 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 11017 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 39390 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 11018 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 39396 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 11019 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 39402 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 11020 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 39408 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 11021 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 39414 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 11022 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 39420 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 11023 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 39426 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 11024 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 39432 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 11027 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39438 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 11028 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39444 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 11032 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitError; }
#line 39450 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 11033 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitSkip; }
#line 39456 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 11034 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitBlock; }
#line 39462 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 11050 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 39477 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 11063 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39483 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 11064 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 39489 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 11069 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 39498 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 11074 "gram.y" /* yacc.c:1646  */
    {
					int ncolumns = list_length((yyvsp[-3].list));
					int i = 1;
					ListCell *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 39523 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 11098 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 39535 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 11108 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 39541 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 11109 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 39547 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 11120 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 39560 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 11130 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39566 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 11133 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 39572 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 11134 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 39578 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 11135 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 39584 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 11136 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 39590 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 11137 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 39596 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 11140 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 39602 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 11141 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 39608 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 11142 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 39614 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 11195 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 39620 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 11196 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 39626 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 11211 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39632 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 11213 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 39643 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 11220 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 39655 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 11228 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 39667 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 11236 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 39679 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 11244 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 39691 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 11252 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 39703 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 11260 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 39715 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 11270 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39721 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 11271 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39727 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 11301 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39743 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 11315 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 39760 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 11327 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39766 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 11329 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 39789 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 11348 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 39797 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 11352 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 39805 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 11356 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 39813 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 11373 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 39824 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 11380 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 39835 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 11387 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 39846 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 11396 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 39852 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 11397 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 39858 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 11401 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-5].str);
				n->aliascolnames = (yyvsp[-4].list);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 39871 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 11412 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 39877 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 11413 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 39883 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 11418 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 39898 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 11429 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 39904 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 11438 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 39913 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 11443 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 39922 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 11448 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 39931 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 11453 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 39940 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 11458 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 39952 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 11466 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 39964 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 11474 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 39973 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 11479 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 39982 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 11484 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 39991 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 11490 "gram.y" /* yacc.c:1646  */
    {}
#line 39997 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 11491 "gram.y" /* yacc.c:1646  */
    {}
#line 40003 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 11495 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 40009 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 11496 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 40015 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 11497 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 40021 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 11504 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 40027 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 11505 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40033 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 11509 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL;}
#line 40039 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 11510 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40045 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 11514 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list);}
#line 40051 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 11515 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40057 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 11519 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40063 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 11523 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 40069 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 11524 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 40075 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 11528 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 40088 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 11537 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 40101 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 11549 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 40107 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 11550 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 40113 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 11551 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 40119 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 11552 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 40125 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 11556 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40131 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 11557 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 40137 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 11562 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40143 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 11564 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 40156 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 11580 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 40162 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 11582 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 40168 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 11587 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40174 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 11590 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 40180 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 11594 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40186 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 11596 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 40195 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 11603 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40201 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 11623 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40207 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 11625 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40213 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 11627 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 40219 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 11631 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 40225 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 11632 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 40231 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 11636 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 40237 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 11637 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 40243 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 11640 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 40249 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 11641 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 40255 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 11666 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40261 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 11667 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40267 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 11671 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40273 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 11672 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 40279 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 11676 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40285 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 11677 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40291 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 11678 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40297 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 11679 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40303 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 11680 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40309 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 11685 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 40317 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 11698 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 40325 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 11705 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 40333 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 11712 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 40341 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 11718 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40347 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 11719 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 40353 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 11723 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40359 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 11724 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40365 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 11728 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40371 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 11729 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40377 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 11733 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40383 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 11734 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 40389 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 11739 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 40401 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 11749 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 40407 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 11750 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 40413 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 11751 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 40419 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 11752 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 40425 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 11756 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40431 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 11757 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40437 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 11768 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 40447 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 11774 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 40457 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 11791 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40463 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 11792 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40469 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 11796 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40475 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 11797 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 40481 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 11804 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 40490 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 11809 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);
					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 40502 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 11817 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 40513 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 11824 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 40525 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 11832 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 40535 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 11838 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 40546 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 11845 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 40585 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 11880 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same comment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 40614 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 11905 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 40622 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 11909 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 40631 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 11935 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 40639 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 11939 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 40655 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 11951 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = false;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 40672 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 11964 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 40690 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 11978 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = true;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 40705 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 11989 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = true;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 40721 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 12004 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 40731 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 12010 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 40740 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 12015 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 40750 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 12021 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 40759 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 12027 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 40765 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 12028 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 40771 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 12037 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 40779 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 12041 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 40787 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 12045 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 40797 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 12051 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 40807 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 12057 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 40815 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 12062 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 40821 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 12063 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 40827 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 12064 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 40833 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 12065 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 40839 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 12069 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 40845 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 12070 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 40851 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 12082 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 40857 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 12083 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40863 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 12089 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 40874 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 12096 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 40885 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 12103 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 40896 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 12110 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 40907 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 12120 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 40913 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 12121 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 40919 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 12135 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 40927 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 12139 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 40938 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 12146 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 40949 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 12159 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);
					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 40963 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 12171 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 40969 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 12172 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 40975 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 12188 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 40989 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 12198 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 41003 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 12210 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 41009 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 12214 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 41015 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 12215 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 41021 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 12218 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 41027 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 12219 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41033 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 12222 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 41039 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 12223 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 41045 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 12228 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41051 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 12229 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 41057 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 12234 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41063 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 12236 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 41075 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 12243 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 41081 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 12248 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41087 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 12249 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41093 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 12254 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 41101 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 12258 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 41109 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 12264 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 41132 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 12289 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 41146 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 12300 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *)n;
				}
#line 41160 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 12311 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41166 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 12312 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 41172 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 12317 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 41190 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 12331 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);
					ListCell		   *option;
					bool				nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = intVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 41251 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 12388 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 41266 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 12402 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 41272 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 12404 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 41278 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 12409 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 41284 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 12411 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 41290 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 12413 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(true), (yylsp[-1])); }
#line 41296 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 12415 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(false), (yylsp[0])); }
#line 41302 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 12420 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 41308 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 12422 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 41314 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 12427 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 41326 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 12435 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 41338 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 12455 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 41347 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 12460 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = true;
				}
#line 41357 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 12467 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 41366 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 12472 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = true;
				}
#line 41376 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 12478 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 41385 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 12483 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = true;
				}
#line 41395 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 12492 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 41401 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 12494 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 41407 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 12496 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 41413 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 12500 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41419 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 12501 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41425 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 12502 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41431 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 12503 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41437 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 12504 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41443 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 12506 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 41452 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 12511 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 41462 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 12530 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41468 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 12531 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41474 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 12532 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41480 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 12533 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 41486 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 12545 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41496 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 12551 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 41506 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 12558 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 41512 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 12559 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 41518 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 12566 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41527 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 12571 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41536 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 12576 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41545 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 12581 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41554 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 12586 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41563 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 12591 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41572 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 12596 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41581 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 12601 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41591 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 12607 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41601 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 12613 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41611 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 12619 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41620 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 12626 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 41645 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 12647 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 41653 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 12657 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 41661 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 12661 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 41669 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 12669 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 41677 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 12673 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 41686 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 12681 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 41699 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 12693 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41717 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 12714 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 41725 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 12718 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 41733 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 12724 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 41741 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 12728 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 41756 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 12741 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 41766 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 12749 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41778 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 12759 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 41784 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 12761 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 41790 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 12763 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 41796 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 12765 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 41802 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 12767 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 41808 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 12769 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 41814 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 12773 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 41820 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 12774 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 41826 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 12782 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 41839 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 12791 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41851 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 12799 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 41864 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 12808 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 41876 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 12819 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 41885 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 12826 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 41891 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 12827 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 41897 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 12828 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 41903 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 12833 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 41909 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 12835 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 41915 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 12837 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 41921 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 12839 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 41927 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 12841 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 41933 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 12843 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 41939 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 12845 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 41948 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 12850 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 41957 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 12855 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 41967 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 12861 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 41979 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 12869 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 41988 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 12874 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 41999 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 12881 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 42009 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 12887 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42015 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 12892 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 42023 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 12896 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 42032 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 12931 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42038 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 12933 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 42044 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 12935 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 42056 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 12943 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   (yylsp[-3]));
				}
#line 42066 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 12958 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 42072 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 12960 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 42078 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 12962 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42084 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 12964 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42090 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 12966 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42096 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 12968 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42102 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 12970 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42108 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 12972 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42114 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 12974 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42120 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 12976 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42126 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 12978 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42132 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 12980 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42138 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 12982 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42144 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 12984 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42150 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 12987 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42156 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 12989 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 42162 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 12991 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 42168 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 12994 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42174 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 12996 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42180 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 12998 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 42186 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 13000 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 42192 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 13003 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 42201 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 13008 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 42213 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 13016 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 42222 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 13021 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 42234 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 13029 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 42243 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 13034 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 42255 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 13042 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 42264 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 13047 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 42276 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 13056 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 42288 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 13064 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 42300 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 13072 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 42312 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 13080 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 42324 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 13098 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 42336 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 13106 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 42348 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 13114 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 42360 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 13122 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 42372 "gram.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 13130 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   (yylsp[-1]));
				}
#line 42392 "gram.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 13146 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 42404 "gram.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 13154 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 42416 "gram.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 13162 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 42428 "gram.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 13170 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 42440 "gram.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 13178 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 42452 "gram.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 13186 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 42464 "gram.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 13194 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 42472 "gram.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 13198 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 42480 "gram.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 13202 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 42488 "gram.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 13206 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 42496 "gram.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 13210 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 42508 "gram.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 13218 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 42520 "gram.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 13226 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 42532 "gram.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 13234 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 42544 "gram.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 13242 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 42568 "gram.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 13262 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 42594 "gram.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 13284 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 42609 "gram.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 13295 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 42620 "gram.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 13302 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 42640 "gram.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 13318 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 42649 "gram.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 13323 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 42659 "gram.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 13329 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);
					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 42677 "gram.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 13354 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42683 "gram.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 13356 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 42689 "gram.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 13358 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 42695 "gram.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 13360 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 42701 "gram.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 13362 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42707 "gram.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 13364 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42713 "gram.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 13366 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42719 "gram.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 13368 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42725 "gram.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 13370 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42731 "gram.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 13372 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42737 "gram.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 13374 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42743 "gram.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 13376 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42749 "gram.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 13378 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42755 "gram.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 13380 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42761 "gram.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 13382 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42767 "gram.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 13384 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42773 "gram.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 13386 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 42779 "gram.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 13388 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 42785 "gram.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 13390 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 42791 "gram.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 13392 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 42799 "gram.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 13396 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 42807 "gram.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 13400 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 42815 "gram.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 13404 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 42823 "gram.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 13408 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 42832 "gram.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 13413 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 42842 "gram.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 13428 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42848 "gram.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 13429 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42854 "gram.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 13431 "gram.y" /* yacc.c:1646  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 42873 "gram.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 13446 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else if (operator_precedence_warning)
					{
						/*
						 * If precedence warnings are enabled, insert
						 * AEXPR_PAREN nodes wrapping all explicitly
						 * parenthesized subexpressions; this prevents bogus
						 * warnings from being issued when the ordering has
						 * been forced by parentheses.  Take care that an
						 * AEXPR_PAREN node has the same exprLocation as its
						 * child, so as not to cause surprising changes in
						 * error cursor positioning.
						 *
						 * In principle we should not be relying on a GUC to
						 * decide whether to insert AEXPR_PAREN nodes.
						 * However, since they have no effect except to
						 * suppress warnings, it's probably safe enough; and
						 * we'd just as soon not waste cycles on dummy parse
						 * nodes if we don't have to.
						 */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_PAREN, NIL, (yyvsp[-2].node), NULL,
												 exprLocation((yyvsp[-2].node)));
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 42911 "gram.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 13480 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42917 "gram.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 13482 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42923 "gram.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 13484 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 42938 "gram.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 13495 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 42966 "gram.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 13519 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 42981 "gram.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 13530 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 42996 "gram.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 13541 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 43007 "gram.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 13548 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 43021 "gram.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 13558 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 43035 "gram.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 13568 "gram.y" /* yacc.c:1646  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);
				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *)g;
			  }
#line 43046 "gram.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 13577 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL, (yylsp[-2]));
				}
#line 43054 "gram.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 13581 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list), (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 43064 "gram.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 13587 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)), (yylsp[-5]));
					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 43075 "gram.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 13594 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)), (yylsp[-7]));
					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 43086 "gram.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 13601 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 43100 "gram.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 13611 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = true;
					(yyval.node) = (Node *)n;
				}
#line 43111 "gram.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 13618 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL, (yylsp[-3]));
					n->agg_star = true;
					(yyval.node) = (Node *)n;
				}
#line 43131 "gram.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 13646 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = true;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 43170 "gram.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 13681 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43176 "gram.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 13691 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43182 "gram.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 13692 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43188 "gram.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 13700 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   (yylsp[-4]));
				}
#line 43198 "gram.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 13706 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 43206 "gram.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 13710 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 43214 "gram.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 13714 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 43222 "gram.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 13718 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 43230 "gram.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 13722 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 43238 "gram.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 13726 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 43246 "gram.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 13730 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 43254 "gram.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 13734 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 43262 "gram.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 13738 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 43270 "gram.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 13742 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 43278 "gram.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 13746 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 43286 "gram.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 13750 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 43294 "gram.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 13754 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 43302 "gram.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 13758 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 43310 "gram.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 13762 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 43318 "gram.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 13766 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 43324 "gram.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 13768 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 43332 "gram.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 13772 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 43345 "gram.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 13781 "gram.y" /* yacc.c:1646  */
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 43354 "gram.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 13786 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 43365 "gram.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 13793 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str),
												list_make1((yyvsp[-3].node)),
												(yylsp[-5]));
				}
#line 43384 "gram.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 13808 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 43395 "gram.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 13815 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 43403 "gram.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 13819 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 43411 "gram.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 13823 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 43419 "gram.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 13827 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 43427 "gram.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 13831 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 43438 "gram.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 13838 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 43450 "gram.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 13846 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 43462 "gram.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 13854 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 43470 "gram.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 13858 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 43478 "gram.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 13862 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 43486 "gram.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 13866 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 43494 "gram.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 13870 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 43502 "gram.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 13874 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-4]));
				}
#line 43512 "gram.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 13880 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 43520 "gram.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 13884 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 43533 "gram.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 13893 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 43541 "gram.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 13897 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 43549 "gram.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 13901 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 43558 "gram.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 13906 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 43571 "gram.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 13920 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43577 "gram.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 13922 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 43583 "gram.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 13926 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 43589 "gram.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 13928 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 43595 "gram.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 13930 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 43601 "gram.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 13932 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 43607 "gram.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 13935 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43613 "gram.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 13938 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 43619 "gram.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 13939 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 43625 "gram.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 13943 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 43637 "gram.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 13951 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 43649 "gram.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 13960 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 43655 "gram.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 13961 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 43661 "gram.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 13964 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43667 "gram.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 13965 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43673 "gram.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 13966 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43679 "gram.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 13972 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 43687 "gram.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 13976 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 43695 "gram.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 13980 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 43703 "gram.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 13984 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 43711 "gram.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 13994 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43717 "gram.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 13995 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43723 "gram.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 13999 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 43729 "gram.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 14000 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 43735 "gram.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 14008 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43741 "gram.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 14009 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43747 "gram.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 14013 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 43753 "gram.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 14015 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 43759 "gram.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 14020 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 43769 "gram.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 14028 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 43775 "gram.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 14030 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 43792 "gram.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 14043 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 43798 "gram.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 14048 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 43816 "gram.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 14073 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43822 "gram.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 14074 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 43828 "gram.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 14077 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43834 "gram.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 14078 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43840 "gram.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 14087 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 43851 "gram.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 14094 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 43862 "gram.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 14101 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[-1].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_GROUPS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 43873 "gram.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 14108 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 43885 "gram.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 14118 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 43906 "gram.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 14135 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_OFFSET_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_OFFSET_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 43947 "gram.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 14180 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 43959 "gram.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 14188 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 43971 "gram.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 14196 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 43983 "gram.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 14204 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_OFFSET_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 43995 "gram.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 14212 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_OFFSET_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 44007 "gram.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 14222 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_CURRENT_ROW; }
#line 44013 "gram.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 14223 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_GROUP; }
#line 44019 "gram.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 14224 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_TIES; }
#line 44025 "gram.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 14225 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44031 "gram.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 14226 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44037 "gram.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 14240 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44043 "gram.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 14241 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44049 "gram.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 14242 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 44055 "gram.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 14245 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44061 "gram.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 14246 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44067 "gram.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 14249 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 44073 "gram.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 14252 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 44079 "gram.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 14253 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 44085 "gram.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 14254 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 44091 "gram.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 14257 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44097 "gram.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 14258 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44103 "gram.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 14261 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 44109 "gram.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 14262 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 44115 "gram.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 14263 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 44121 "gram.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 14264 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 44127 "gram.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 14265 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 44133 "gram.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 14266 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 44139 "gram.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 14267 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 44145 "gram.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 14268 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 44151 "gram.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 14269 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 44157 "gram.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 14270 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<="; }
#line 44163 "gram.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 14271 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">="; }
#line 44169 "gram.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 14272 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<>"; }
#line 44175 "gram.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 14276 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44181 "gram.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 14278 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44187 "gram.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 14283 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44193 "gram.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 14285 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44199 "gram.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 14290 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44205 "gram.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 14292 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44211 "gram.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 14294 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 44217 "gram.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 14296 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 44223 "gram.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 14298 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 44229 "gram.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 14300 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 44235 "gram.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 14312 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 44243 "gram.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 14316 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 44251 "gram.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 14323 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 44259 "gram.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 14327 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 44267 "gram.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 14333 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 44275 "gram.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 14337 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 44288 "gram.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 14346 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 44301 "gram.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 14356 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 44307 "gram.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 14357 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 44313 "gram.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 14361 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 44321 "gram.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 14365 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 44329 "gram.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 14369 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 44337 "gram.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 14374 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44343 "gram.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 14375 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 44349 "gram.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 14381 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 44357 "gram.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 14384 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44363 "gram.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 14391 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44369 "gram.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 14392 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 44375 "gram.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 14393 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 44381 "gram.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 14394 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 44387 "gram.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 14395 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 44393 "gram.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 14396 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 44399 "gram.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 14397 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 44405 "gram.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 14398 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44411 "gram.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 14409 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 44419 "gram.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 14413 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 44427 "gram.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 14420 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44433 "gram.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 14426 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 44439 "gram.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 14427 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44445 "gram.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 14444 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 44453 "gram.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 14448 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 44462 "gram.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 14453 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 44470 "gram.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 14457 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 44489 "gram.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 14472 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 44497 "gram.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 14476 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44503 "gram.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 14480 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44509 "gram.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 14483 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44515 "gram.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 14486 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 44521 "gram.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 14487 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44527 "gram.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 14488 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44533 "gram.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 14492 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 44544 "gram.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 14498 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 44550 "gram.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 14509 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 44564 "gram.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 14522 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44570 "gram.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 14523 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 44576 "gram.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 14528 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 44588 "gram.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 14538 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44594 "gram.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 14539 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 44600 "gram.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 14542 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44606 "gram.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 14543 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 44612 "gram.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 14547 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 44620 "gram.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 14551 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 44628 "gram.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 14558 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 44636 "gram.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 14562 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 44644 "gram.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 14566 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 44656 "gram.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 14574 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 44668 "gram.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 14584 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44674 "gram.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 14585 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 44680 "gram.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 14589 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44686 "gram.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 14590 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 44692 "gram.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 14594 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44698 "gram.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 14595 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 44704 "gram.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 14609 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44710 "gram.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 14610 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44716 "gram.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 14614 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 44722 "gram.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 14615 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 44728 "gram.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 14619 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 44740 "gram.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 14635 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 44752 "gram.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 14643 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 44764 "gram.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 14651 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 44780 "gram.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 14672 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 44786 "gram.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 14673 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 44792 "gram.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 14685 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 44800 "gram.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 14689 "gram.y" /* yacc.c:1646  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 44829 "gram.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 14716 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44835 "gram.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 14718 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 44841 "gram.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 14722 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44847 "gram.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 14725 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44853 "gram.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 14728 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44859 "gram.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 14730 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44865 "gram.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 14732 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44871 "gram.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 14734 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44877 "gram.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 14745 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 44883 "gram.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 14747 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 44892 "gram.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 14758 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 44900 "gram.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 14762 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 44908 "gram.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 14766 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 44916 "gram.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 14770 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 44924 "gram.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 14774 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 44937 "gram.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 14783 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 44948 "gram.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 14790 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 44984 "gram.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 14822 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 44992 "gram.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 14826 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 45002 "gram.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 14832 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 45013 "gram.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 14839 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(true, (yylsp[0]));
				}
#line 45021 "gram.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 14843 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(false, (yylsp[0]));
				}
#line 45029 "gram.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 14847 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 45037 "gram.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 14852 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 45043 "gram.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 14853 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45049 "gram.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 14855 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 45055 "gram.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 14856 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 45061 "gram.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 14857 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 45067 "gram.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 14862 "gram.y" /* yacc.c:1646  */
    {
					RoleSpec *spc = (RoleSpec *) (yyvsp[0].rolespec);
					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
							break;
					}
				}
#line 45102 "gram.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 14895 "gram.y" /* yacc.c:1646  */
    {
						/*
						 * "public" and "none" are not keywords, but they must
						 * be treated specially here.
						 */
						RoleSpec *n;
						if (strcmp((yyvsp[0].str), "public") == 0)
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
							n->roletype = ROLESPEC_PUBLIC;
						}
						else if (strcmp((yyvsp[0].str), "none") == 0)
						{
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"none"),
									 parser_errposition((yylsp[0]))));
						}
						else
						{
							n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
							n->rolename = pstrdup((yyvsp[0].str));
						}
						(yyval.rolespec) = n;
					}
#line 45133 "gram.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 14922 "gram.y" /* yacc.c:1646  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
					}
#line 45141 "gram.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 14926 "gram.y" /* yacc.c:1646  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
					}
#line 45149 "gram.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 14932 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 45155 "gram.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 14934 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 45161 "gram.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 14950 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45167 "gram.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 14951 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45173 "gram.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 14952 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45179 "gram.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 14957 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45185 "gram.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 14958 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45191 "gram.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 14959 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45197 "gram.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 14964 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45203 "gram.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 14965 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45209 "gram.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 14966 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45215 "gram.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 14967 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45221 "gram.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 14973 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45227 "gram.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 14974 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45233 "gram.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 14975 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45239 "gram.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 14976 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45245 "gram.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 14977 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 45251 "gram.c" /* yacc.c:1646  */
    break;


#line 45255 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15474 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
