/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return res_str;
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return res_str;
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return res_str;
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return res_str;
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return result;
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 647 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CARDINALITY = 262,
    SQL_CONNECT = 263,
    SQL_COUNT = 264,
    SQL_DATETIME_INTERVAL_CODE = 265,
    SQL_DATETIME_INTERVAL_PRECISION = 266,
    SQL_DESCRIBE = 267,
    SQL_DESCRIPTOR = 268,
    SQL_DISCONNECT = 269,
    SQL_FOUND = 270,
    SQL_FREE = 271,
    SQL_GET = 272,
    SQL_GO = 273,
    SQL_GOTO = 274,
    SQL_IDENTIFIED = 275,
    SQL_INDICATOR = 276,
    SQL_KEY_MEMBER = 277,
    SQL_LENGTH = 278,
    SQL_LONG = 279,
    SQL_NULLABLE = 280,
    SQL_OCTET_LENGTH = 281,
    SQL_OPEN = 282,
    SQL_OUTPUT = 283,
    SQL_REFERENCE = 284,
    SQL_RETURNED_LENGTH = 285,
    SQL_RETURNED_OCTET_LENGTH = 286,
    SQL_SCALE = 287,
    SQL_SECTION = 288,
    SQL_SHORT = 289,
    SQL_SIGNED = 290,
    SQL_SQLERROR = 291,
    SQL_SQLPRINT = 292,
    SQL_SQLWARNING = 293,
    SQL_START = 294,
    SQL_STOP = 295,
    SQL_STRUCT = 296,
    SQL_UNSIGNED = 297,
    SQL_VAR = 298,
    SQL_WHENEVER = 299,
    S_ADD = 300,
    S_AND = 301,
    S_ANYTHING = 302,
    S_AUTO = 303,
    S_CONST = 304,
    S_DEC = 305,
    S_DIV = 306,
    S_DOTPOINT = 307,
    S_EQUAL = 308,
    S_EXTERN = 309,
    S_INC = 310,
    S_LSHIFT = 311,
    S_MEMPOINT = 312,
    S_MEMBER = 313,
    S_MOD = 314,
    S_MUL = 315,
    S_NEQUAL = 316,
    S_OR = 317,
    S_REGISTER = 318,
    S_RSHIFT = 319,
    S_STATIC = 320,
    S_SUB = 321,
    S_VOLATILE = 322,
    S_TYPEDEF = 323,
    CSTRING = 324,
    CVARIABLE = 325,
    CPP_LINE = 326,
    IP = 327,
    DOLCONST = 328,
    ECONST = 329,
    NCONST = 330,
    UCONST = 331,
    UIDENT = 332,
    IDENT = 333,
    FCONST = 334,
    SCONST = 335,
    BCONST = 336,
    XCONST = 337,
    Op = 338,
    ICONST = 339,
    PARAM = 340,
    TYPECAST = 341,
    DOT_DOT = 342,
    COLON_EQUALS = 343,
    EQUALS_GREATER = 344,
    LESS_EQUALS = 345,
    GREATER_EQUALS = 346,
    NOT_EQUALS = 347,
    ABORT_P = 348,
    ABSOLUTE_P = 349,
    ACCESS = 350,
    ACTION = 351,
    ADD_P = 352,
    ADMIN = 353,
    AFTER = 354,
    AGGREGATE = 355,
    ALL = 356,
    ALSO = 357,
    ALTER = 358,
    ALWAYS = 359,
    ANALYSE = 360,
    ANALYZE = 361,
    AND = 362,
    ANY = 363,
    ARRAY = 364,
    AS = 365,
    ASC = 366,
    ASSERTION = 367,
    ASSIGNMENT = 368,
    ASYMMETRIC = 369,
    AT = 370,
    ATTACH = 371,
    ATTRIBUTE = 372,
    AUTHORIZATION = 373,
    BACKWARD = 374,
    BEFORE = 375,
    BEGIN_P = 376,
    BETWEEN = 377,
    BIGINT = 378,
    BINARY = 379,
    BIT = 380,
    BOOLEAN_P = 381,
    BOTH = 382,
    BY = 383,
    CACHE = 384,
    CALL = 385,
    CALLED = 386,
    CASCADE = 387,
    CASCADED = 388,
    CASE = 389,
    CAST = 390,
    CATALOG_P = 391,
    CHAIN = 392,
    CHAR_P = 393,
    CHARACTER = 394,
    CHARACTERISTICS = 395,
    CHECK = 396,
    CHECKPOINT = 397,
    CLASS = 398,
    CLOSE = 399,
    CLUSTER = 400,
    COALESCE = 401,
    COLLATE = 402,
    COLLATION = 403,
    COLUMN = 404,
    COLUMNS = 405,
    COMMENT = 406,
    COMMENTS = 407,
    COMMIT = 408,
    COMMITTED = 409,
    CONCURRENTLY = 410,
    CONFIGURATION = 411,
    CONFLICT = 412,
    CONNECTION = 413,
    CONSTRAINT = 414,
    CONSTRAINTS = 415,
    CONTENT_P = 416,
    CONTINUE_P = 417,
    CONVERSION_P = 418,
    COPY = 419,
    COST = 420,
    CREATE = 421,
    CROSS = 422,
    CSV = 423,
    CUBE = 424,
    CURRENT_P = 425,
    CURRENT_CATALOG = 426,
    CURRENT_DATE = 427,
    CURRENT_ROLE = 428,
    CURRENT_SCHEMA = 429,
    CURRENT_TIME = 430,
    CURRENT_TIMESTAMP = 431,
    CURRENT_USER = 432,
    CURSOR = 433,
    CYCLE = 434,
    DATA_P = 435,
    DATABASE = 436,
    DAY_P = 437,
    DEALLOCATE = 438,
    DEC = 439,
    DECIMAL_P = 440,
    DECLARE = 441,
    DEFAULT = 442,
    DEFAULTS = 443,
    DEFERRABLE = 444,
    DEFERRED = 445,
    DEFINER = 446,
    DELETE_P = 447,
    DELIMITER = 448,
    DELIMITERS = 449,
    DEPENDS = 450,
    DESC = 451,
    DETACH = 452,
    DICTIONARY = 453,
    DISABLE_P = 454,
    DISCARD = 455,
    DISTINCT = 456,
    DO = 457,
    DOCUMENT_P = 458,
    DOMAIN_P = 459,
    DOUBLE_P = 460,
    DROP = 461,
    EACH = 462,
    ELSE = 463,
    ENABLE_P = 464,
    ENCODING = 465,
    ENCRYPTED = 466,
    END_P = 467,
    ENUM_P = 468,
    ESCAPE = 469,
    EVENT = 470,
    EXCEPT = 471,
    EXCLUDE = 472,
    EXCLUDING = 473,
    EXCLUSIVE = 474,
    EXECUTE = 475,
    EXISTS = 476,
    EXPLAIN = 477,
    EXTENSION = 478,
    EXTERNAL = 479,
    EXTRACT = 480,
    FALSE_P = 481,
    FAMILY = 482,
    FETCH = 483,
    FILTER = 484,
    FIRST_P = 485,
    FLOAT_P = 486,
    FOLLOWING = 487,
    FOR = 488,
    FORCE = 489,
    FOREIGN = 490,
    FORWARD = 491,
    FREEZE = 492,
    FROM = 493,
    FULL = 494,
    FUNCTION = 495,
    FUNCTIONS = 496,
    GENERATED = 497,
    GLOBAL = 498,
    GRANT = 499,
    GRANTED = 500,
    GREATEST = 501,
    GROUP_P = 502,
    GROUPING = 503,
    GROUPS = 504,
    HANDLER = 505,
    HAVING = 506,
    HEADER_P = 507,
    HOLD = 508,
    HOUR_P = 509,
    IDENTITY_P = 510,
    IF_P = 511,
    ILIKE = 512,
    IMMEDIATE = 513,
    IMMUTABLE = 514,
    IMPLICIT_P = 515,
    IMPORT_P = 516,
    IN_P = 517,
    INCLUDE = 518,
    INCLUDING = 519,
    INCREMENT = 520,
    INDEX = 521,
    INDEXES = 522,
    INHERIT = 523,
    INHERITS = 524,
    INITIALLY = 525,
    INLINE_P = 526,
    INNER_P = 527,
    INOUT = 528,
    INPUT_P = 529,
    INSENSITIVE = 530,
    INSERT = 531,
    INSTEAD = 532,
    INT_P = 533,
    INTEGER = 534,
    INTERSECT = 535,
    INTERVAL = 536,
    INTO = 537,
    INVOKER = 538,
    IS = 539,
    ISNULL = 540,
    ISOLATION = 541,
    JOIN = 542,
    KEY = 543,
    LABEL = 544,
    LANGUAGE = 545,
    LARGE_P = 546,
    LAST_P = 547,
    LATERAL_P = 548,
    LEADING = 549,
    LEAKPROOF = 550,
    LEAST = 551,
    LEFT = 552,
    LEVEL = 553,
    LIKE = 554,
    LIMIT = 555,
    LISTEN = 556,
    LOAD = 557,
    LOCAL = 558,
    LOCALTIME = 559,
    LOCALTIMESTAMP = 560,
    LOCATION = 561,
    LOCK_P = 562,
    LOCKED = 563,
    LOGGED = 564,
    MAPPING = 565,
    MATCH = 566,
    MATERIALIZED = 567,
    MAXVALUE = 568,
    METHOD = 569,
    MINUTE_P = 570,
    MINVALUE = 571,
    MODE = 572,
    MONTH_P = 573,
    MOVE = 574,
    NAME_P = 575,
    NAMES = 576,
    NATIONAL = 577,
    NATURAL = 578,
    NCHAR = 579,
    NEW = 580,
    NEXT = 581,
    NO = 582,
    NONE = 583,
    NOT = 584,
    NOTHING = 585,
    NOTIFY = 586,
    NOTNULL = 587,
    NOWAIT = 588,
    NULL_P = 589,
    NULLIF = 590,
    NULLS_P = 591,
    NUMERIC = 592,
    OBJECT_P = 593,
    OF = 594,
    OFF = 595,
    OFFSET = 596,
    OIDS = 597,
    OLD = 598,
    ON = 599,
    ONLY = 600,
    OPERATOR = 601,
    OPTION = 602,
    OPTIONS = 603,
    OR = 604,
    ORDER = 605,
    ORDINALITY = 606,
    OTHERS = 607,
    OUT_P = 608,
    OUTER_P = 609,
    OVER = 610,
    OVERLAPS = 611,
    OVERLAY = 612,
    OVERRIDING = 613,
    OWNED = 614,
    OWNER = 615,
    PARALLEL = 616,
    PARSER = 617,
    PARTIAL = 618,
    PARTITION = 619,
    PASSING = 620,
    PASSWORD = 621,
    PLACING = 622,
    PLANS = 623,
    POLICY = 624,
    POSITION = 625,
    PRECEDING = 626,
    PRECISION = 627,
    PRESERVE = 628,
    PREPARE = 629,
    PREPARED = 630,
    PRIMARY = 631,
    PRIOR = 632,
    PRIVILEGES = 633,
    PROCEDURAL = 634,
    PROCEDURE = 635,
    PROCEDURES = 636,
    PROGRAM = 637,
    PUBLICATION = 638,
    QUOTE = 639,
    RANGE = 640,
    READ = 641,
    REAL = 642,
    REASSIGN = 643,
    RECHECK = 644,
    RECURSIVE = 645,
    REF = 646,
    REFERENCES = 647,
    REFERENCING = 648,
    REFRESH = 649,
    REINDEX = 650,
    RELATIVE_P = 651,
    RELEASE = 652,
    RENAME = 653,
    REPEATABLE = 654,
    REPLACE = 655,
    REPLICA = 656,
    RESET = 657,
    RESTART = 658,
    RESTRICT = 659,
    RETURNING = 660,
    RETURNS = 661,
    REVOKE = 662,
    RIGHT = 663,
    ROLE = 664,
    ROLLBACK = 665,
    ROLLUP = 666,
    ROUTINE = 667,
    ROUTINES = 668,
    ROW = 669,
    ROWS = 670,
    RULE = 671,
    SAVEPOINT = 672,
    SCHEMA = 673,
    SCHEMAS = 674,
    SCROLL = 675,
    SEARCH = 676,
    SECOND_P = 677,
    SECURITY = 678,
    SELECT = 679,
    SEQUENCE = 680,
    SEQUENCES = 681,
    SERIALIZABLE = 682,
    SERVER = 683,
    SESSION = 684,
    SESSION_USER = 685,
    SET = 686,
    SETS = 687,
    SETOF = 688,
    SHARE = 689,
    SHOW = 690,
    SIMILAR = 691,
    SIMPLE = 692,
    SKIP = 693,
    SMALLINT = 694,
    SNAPSHOT = 695,
    SOME = 696,
    SQL_P = 697,
    STABLE = 698,
    STANDALONE_P = 699,
    START = 700,
    STATEMENT = 701,
    STATISTICS = 702,
    STDIN = 703,
    STDOUT = 704,
    STORAGE = 705,
    STRICT_P = 706,
    STRIP_P = 707,
    SUBSCRIPTION = 708,
    SUBSTRING = 709,
    SYMMETRIC = 710,
    SYSID = 711,
    SYSTEM_P = 712,
    TABLE = 713,
    TABLES = 714,
    TABLESAMPLE = 715,
    TABLESPACE = 716,
    TEMP = 717,
    TEMPLATE = 718,
    TEMPORARY = 719,
    TEXT_P = 720,
    THEN = 721,
    TIES = 722,
    TIME = 723,
    TIMESTAMP = 724,
    TO = 725,
    TRAILING = 726,
    TRANSACTION = 727,
    TRANSFORM = 728,
    TREAT = 729,
    TRIGGER = 730,
    TRIM = 731,
    TRUE_P = 732,
    TRUNCATE = 733,
    TRUSTED = 734,
    TYPE_P = 735,
    TYPES_P = 736,
    UNBOUNDED = 737,
    UNCOMMITTED = 738,
    UNENCRYPTED = 739,
    UNION = 740,
    UNIQUE = 741,
    UNKNOWN = 742,
    UNLISTEN = 743,
    UNLOGGED = 744,
    UNTIL = 745,
    UPDATE = 746,
    USER = 747,
    USING = 748,
    VACUUM = 749,
    VALID = 750,
    VALIDATE = 751,
    VALIDATOR = 752,
    VALUE_P = 753,
    VALUES = 754,
    VARCHAR = 755,
    VARIADIC = 756,
    VARYING = 757,
    VERBOSE = 758,
    VERSION_P = 759,
    VIEW = 760,
    VIEWS = 761,
    VOLATILE = 762,
    WHEN = 763,
    WHERE = 764,
    WHITESPACE_P = 765,
    WINDOW = 766,
    WITH = 767,
    WITHIN = 768,
    WITHOUT = 769,
    WORK = 770,
    WRAPPER = 771,
    WRITE = 772,
    XML_P = 773,
    XMLATTRIBUTES = 774,
    XMLCONCAT = 775,
    XMLELEMENT = 776,
    XMLEXISTS = 777,
    XMLFOREST = 778,
    XMLNAMESPACES = 779,
    XMLPARSE = 780,
    XMLPI = 781,
    XMLROOT = 782,
    XMLSERIALIZE = 783,
    XMLTABLE = 784,
    YEAR_P = 785,
    YES_P = 786,
    ZONE = 787,
    NOT_LA = 788,
    NULLS_LA = 789,
    WITH_LA = 790,
    POSTFIXOP = 791,
    UMINUS = 792
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 581 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1240 "preproc.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1271 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   139270

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  557
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  810
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3200
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  6115

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   792

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   544,     2,     2,
     549,   550,   542,   540,   552,   541,   551,   543,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   554,   553,
     536,   538,   537,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   547,     2,   548,   545,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   555,     2,   556,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   539,   546
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1615,  1615,  1618,  1620,  1622,  1624,  1626,  1628,  1630,
    1632,  1634,  1636,  1638,  1640,  1642,  1644,  1646,  1648,  1650,
    1652,  1654,  1656,  1658,  1660,  1662,  1664,  1666,  1668,  1670,
    1672,  1674,  1676,  1678,  1680,  1682,  1684,  1686,  1704,  1706,
    1708,  1710,  1712,  1714,  1716,  1718,  1720,  1722,  1724,  1726,
    1728,  1730,  1732,  1734,  1736,  1738,  1740,  1742,  1744,  1746,
    1748,  1750,  1752,  1754,  1756,  1758,  1760,  1762,  1764,  1766,
    1768,  1770,  1772,  1774,  1776,  1780,  1782,  1784,  1786,  1788,
    1790,  1792,  1794,  1796,  1798,  1800,  1802,  1804,  1806,  1808,
    1810,  1812,  1814,  1816,  1818,  1820,  1822,  1824,  1826,  1828,
    1830,  1832,  1834,  1836,  1838,  1840,  1842,  1849,  1851,  1853,
    1855,  1857,  1859,  1861,  1863,  1865,  1867,  1869,  1871,  1877,
    1879,  1881,  1883,  1885,  1887,  1889,  1891,  1893,  1899,  1909,
    1913,  1919,  1923,  1933,  1943,  1944,  1958,  1965,  1971,  1982,
    1988,  1997,  2004,  2010,  2019,  2026,  2034,  2039,  2047,  2055,
    2059,  2064,  2070,  2075,  2081,  2086,  2092,  2096,  2100,  2104,
    2109,  2113,  2117,  2121,  2125,  2133,  2137,  2141,  2145,  2149,
    2153,  2161,  2169,  2173,  2182,  2184,  2192,  2196,  2200,  2204,
    2212,  2216,  2220,  2224,  2228,  2232,  2240,  2248,  2256,  2260,
    2268,  2272,  2276,  2281,  2290,  2295,  2301,  2306,  2312,  2316,
    2320,  2324,  2328,  2332,  2340,  2344,  2348,  2356,  2360,  2364,
    2372,  2376,  2380,  2384,  2385,  2389,  2393,  2397,  2402,  2406,
    2410,  2414,  2418,  2422,  2426,  2434,  2438,  2446,  2450,  2458,
    2462,  2476,  2480,  2484,  2488,  2496,  2500,  2504,  2508,  2516,
    2520,  2524,  2528,  2532,  2536,  2540,  2548,  2552,  2557,  2563,
    2567,  2575,  2583,  2587,  2591,  2595,  2603,  2607,  2615,  2619,
    2627,  2631,  2639,  2643,  2647,  2651,  2655,  2664,  2672,  2676,
    2684,  2688,  2696,  2704,  2708,  2712,  2716,  2720,  2728,  2732,
    2736,  2740,  2744,  2748,  2752,  2756,  2760,  2764,  2768,  2772,
    2776,  2780,  2784,  2788,  2792,  2796,  2800,  2808,  2812,  2820,
    2824,  2832,  2840,  2844,  2848,  2852,  2856,  2860,  2864,  2868,
    2872,  2876,  2880,  2884,  2888,  2892,  2896,  2900,  2904,  2908,
    2912,  2916,  2920,  2924,  2928,  2932,  2936,  2940,  2944,  2948,
    2952,  2956,  2960,  2964,  2968,  2972,  2976,  2980,  2984,  2988,
    2992,  2996,  3000,  3004,  3008,  3012,  3016,  3020,  3024,  3028,
    3032,  3036,  3040,  3044,  3048,  3052,  3056,  3060,  3064,  3072,
    3076,  3084,  3088,  3093,  3099,  3104,  3110,  3115,  3121,  3125,
    3129,  3133,  3141,  3149,  3154,  3160,  3164,  3172,  3176,  3180,
    3184,  3192,  3196,  3204,  3208,  3212,  3216,  3224,  3228,  3232,
    3236,  3244,  3252,  3256,  3264,  3268,  3272,  3276,  3280,  3288,
    3292,  3300,  3304,  3312,  3316,  3320,  3328,  3336,  3340,  3348,
    3352,  3356,  3360,  3368,  3373,  3381,  3389,  3397,  3401,  3409,
    3414,  3420,  3424,  3428,  3436,  3440,  3448,  3453,  3459,  3463,
    3467,  3471,  3475,  3479,  3483,  3487,  3491,  3495,  3499,  3503,
    3507,  3511,  3519,  3524,  3530,  3535,  3541,  3546,  3552,  3557,
    3563,  3567,  3575,  3583,  3587,  3591,  3595,  3600,  3606,  3610,
    3618,  3626,  3630,  3634,  3638,  3642,  3646,  3654,  3658,  3662,
    3666,  3670,  3674,  3678,  3683,  3689,  3694,  3700,  3705,  3711,
    3715,  3723,  3727,  3735,  3739,  3743,  3751,  3755,  3763,  3771,
    3775,  3783,  3788,  3794,  3798,  3802,  3806,  3814,  3818,  3822,
    3826,  3830,  3834,  3838,  3842,  3850,  3854,  3862,  3866,  3870,
    3874,  3882,  3890,  3894,  3899,  3905,  3909,  3913,  3917,  3921,
    3925,  3929,  3933,  3941,  3945,  3953,  3957,  3961,  3965,  3969,
    3973,  3977,  3985,  3990,  3996,  4001,  4007,  4011,  4019,  4027,
    4032,  4038,  4042,  4047,  4052,  4058,  4062,  4070,  4074,  4082,
    4087,  4093,  4097,  4101,  4105,  4110,  4116,  4124,  4132,  4136,
    4140,  4144,  4148,  4156,  4161,  4167,  4172,  4178,  4186,  4190,
    4198,  4202,  4210,  4214,  4218,  4226,  4230,  4234,  4239,  4245,
    4249,  4253,  4258,  4264,  4269,  4275,  4280,  4286,  4294,  4298,
    4306,  4314,  4318,  4323,  4329,  4333,  4341,  4349,  4354,  4360,
    4368,  4372,  4380,  4384,  4392,  4397,  4403,  4408,  4414,  4418,
    4426,  4430,  4434,  4438,  4442,  4446,  4450,  4454,  4458,  4462,
    4466,  4470,  4474,  4478,  4486,  4491,  4497,  4501,  4505,  4509,
    4517,  4521,  4529,  4533,  4541,  4546,  4552,  4556,  4564,  4569,
    4575,  4579,  4587,  4592,  4598,  4602,  4610,  4615,  4621,  4629,
    4634,  4640,  4644,  4652,  4656,  4664,  4669,  4675,  4679,  4683,
    4687,  4695,  4703,  4708,  4714,  4722,  4726,  4730,  4734,  4738,
    4742,  4746,  4750,  4754,  4758,  4762,  4766,  4770,  4774,  4778,
    4782,  4786,  4790,  4794,  4798,  4802,  4806,  4810,  4814,  4818,
    4822,  4826,  4830,  4838,  4846,  4850,  4854,  4858,  4866,  4870,
    4878,  4883,  4889,  4893,  4901,  4906,  4912,  4916,  4924,  4932,
    4936,  4944,  4948,  4952,  4956,  4964,  4972,  4980,  4988,  4992,
    5000,  5005,  5011,  5015,  5023,  5028,  5034,  5038,  5042,  5050,
    5054,  5058,  5062,  5070,  5074,  5082,  5090,  5094,  5102,  5107,
    5113,  5117,  5125,  5129,  5137,  5141,  5149,  5157,  5165,  5173,
    5178,  5184,  5189,  5195,  5200,  5206,  5211,  5217,  5222,  5228,
    5233,  5239,  5243,  5247,  5251,  5255,  5263,  5271,  5275,  5283,
    5287,  5291,  5299,  5303,  5311,  5315,  5319,  5323,  5327,  5335,
    5340,  5346,  5350,  5358,  5366,  5370,  5378,  5382,  5390,  5398,
    5403,  5409,  5414,  5420,  5424,  5432,  5437,  5443,  5447,  5452,
    5458,  5462,  5466,  5470,  5478,  5483,  5490,  5492,  5500,  5504,
    5508,  5512,  5516,  5520,  5528,  5532,  5540,  5544,  5552,  5560,
    5564,  5572,  5580,  5584,  5588,  5592,  5600,  5609,  5618,  5622,
    5626,  5630,  5634,  5638,  5642,  5646,  5650,  5654,  5658,  5662,
    5666,  5670,  5674,  5678,  5686,  5694,  5698,  5706,  5710,  5718,
    5722,  5726,  5730,  5734,  5738,  5746,  5754,  5758,  5766,  5774,
    5779,  5785,  5789,  5797,  5801,  5805,  5809,  5817,  5822,  5828,
    5836,  5840,  5848,  5852,  5856,  5860,  5864,  5872,  5877,  5883,
    5888,  5894,  5898,  5903,  5909,  5915,  5921,  5929,  5933,  5941,
    5945,  5953,  5957,  5965,  5969,  5977,  5981,  5989,  5997,  6005,
    6009,  6013,  6017,  6021,  6025,  6029,  6033,  6037,  6041,  6045,
    6049,  6057,  6061,  6065,  6069,  6073,  6077,  6081,  6085,  6089,
    6093,  6097,  6101,  6105,  6113,  6117,  6121,  6125,  6129,  6133,
    6137,  6145,  6149,  6153,  6161,  6165,  6173,  6177,  6185,  6189,
    6197,  6201,  6202,  6210,  6214,  6219,  6225,  6229,  6233,  6237,
    6241,  6245,  6249,  6253,  6257,  6261,  6265,  6269,  6273,  6277,
    6281,  6285,  6289,  6293,  6297,  6305,  6309,  6313,  6317,  6321,
    6325,  6329,  6333,  6337,  6341,  6345,  6349,  6353,  6357,  6365,
    6369,  6373,  6377,  6381,  6385,  6389,  6393,  6397,  6401,  6405,
    6409,  6417,  6421,  6429,  6433,  6437,  6441,  6445,  6449,  6453,
    6457,  6461,  6469,  6474,  6480,  6484,  6488,  6492,  6496,  6500,
    6508,  6512,  6516,  6520,  6524,  6528,  6532,  6536,  6544,  6548,
    6556,  6560,  6564,  6568,  6574,  6580,  6586,  6592,  6598,  6604,
    6610,  6620,  6631,  6642,  6653,  6664,  6675,  6686,  6702,  6718,
    6734,  6745,  6761,  6772,  6788,  6803,  6807,  6815,  6820,  6826,
    6834,  6838,  6846,  6850,  6854,  6858,  6862,  6870,  6874,  6882,
    6886,  6890,  6894,  6902,  6906,  6910,  6914,  6918,  6922,  6926,
    6930,  6934,  6938,  6942,  6946,  6950,  6954,  6958,  6962,  6966,
    6970,  6974,  6978,  6986,  6990,  6998,  7002,  7010,  7015,  7021,
    7029,  7033,  7041,  7046,  7052,  7057,  7063,  7071,  7076,  7082,
    7086,  7090,  7098,  7102,  7106,  7114,  7118,  7122,  7126,  7130,
    7134,  7142,  7146,  7154,  7159,  7165,  7170,  7176,  7181,  7187,
    7192,  7198,  7202,  7210,  7214,  7218,  7226,  7231,  7237,  7241,
    7249,  7254,  7260,  7265,  7271,  7275,  7280,  7286,  7290,  7295,
    7301,  7305,  7309,  7313,  7321,  7326,  7332,  7336,  7344,  7348,
    7356,  7360,  7368,  7372,  7376,  7380,  7388,  7392,  7400,  7404,
    7412,  7416,  7420,  7424,  7428,  7436,  7440,  7444,  7448,  7452,
    7460,  7468,  7476,  7480,  7484,  7492,  7496,  7500,  7508,  7517,
    7521,  7525,  7529,  7537,  7541,  7549,  7557,  7561,  7569,  7573,
    7581,  7585,  7589,  7593,  7597,  7601,  7605,  7609,  7613,  7617,
    7621,  7625,  7629,  7633,  7637,  7641,  7649,  7653,  7657,  7661,
    7665,  7673,  7677,  7685,  7689,  7697,  7702,  7708,  7716,  7720,
    7728,  7732,  7736,  7744,  7748,  7756,  7761,  7767,  7771,  7775,
    7779,  7783,  7787,  7795,  7799,  7807,  7811,  7819,  7823,  7827,
    7831,  7839,  7843,  7851,  7855,  7863,  7871,  7879,  7883,  7891,
    7895,  7903,  7907,  7911,  7919,  7923,  7928,  7934,  7942,  7947,
    7953,  7961,  7965,  7969,  7973,  7981,  7989,  7993,  7997,  8001,
    8009,  8013,  8021,  8025,  8029,  8037,  8041,  8049,  8057,  8061,
    8069,  8073,  8077,  8081,  8085,  8089,  8093,  8097,  8101,  8105,
    8109,  8113,  8117,  8121,  8125,  8129,  8133,  8137,  8141,  8145,
    8149,  8153,  8157,  8161,  8165,  8169,  8173,  8177,  8181,  8185,
    8189,  8193,  8197,  8201,  8205,  8209,  8213,  8217,  8221,  8225,
    8229,  8233,  8237,  8241,  8245,  8249,  8253,  8257,  8261,  8265,
    8269,  8273,  8277,  8285,  8290,  8296,  8301,  8307,  8311,  8315,
    8319,  8323,  8327,  8335,  8339,  8343,  8347,  8351,  8355,  8359,
    8363,  8367,  8371,  8375,  8379,  8383,  8387,  8391,  8395,  8399,
    8403,  8407,  8411,  8415,  8419,  8423,  8427,  8431,  8435,  8439,
    8447,  8455,  8459,  8467,  8471,  8479,  8483,  8487,  8491,  8495,
    8503,  8507,  8511,  8515,  8519,  8523,  8527,  8531,  8535,  8539,
    8543,  8547,  8551,  8555,  8559,  8563,  8567,  8571,  8575,  8579,
    8583,  8587,  8591,  8595,  8603,  8611,  8616,  8622,  8626,  8634,
    8638,  8642,  8646,  8654,  8662,  8666,  8674,  8682,  8686,  8690,
    8694,  8698,  8702,  8710,  8714,  8722,  8730,  8734,  8738,  8746,
    8750,  8758,  8762,  8766,  8770,  8774,  8782,  8787,  8793,  8797,
    8801,  8805,  8813,  8817,  8822,  8828,  8836,  8841,  8847,  8855,
    8859,  8867,  8871,  8875,  8879,  8883,  8887,  8891,  8895,  8899,
    8903,  8907,  8911,  8915,  8919,  8927,  8931,  8936,  8942,  8946,
    8950,  8954,  8958,  8966,  8970,  8974,  8982,  8987,  8993,  8997,
    9001,  9006,  9015,  9019,  9023,  9028,  9034,  9042,  9050,  9055,
    9061,  9065,  9073,  9077,  9081,  9089,  9093,  9097,  9101,  9105,
    9109,  9113,  9121,  9126,  9132,  9136,  9140,  9148,  9156,  9160,
    9168,  9176,  9180,  9188,  9196,  9200,  9204,  9208,  9212,  9216,
    9220,  9228,  9233,  9239,  9247,  9251,  9255,  9259,  9263,  9267,
    9275,  9279,  9287,  9295,  9299,  9303,  9311,  9316,  9322,  9326,
    9334,  9338,  9346,  9350,  9354,  9358,  9362,  9370,  9374,  9382,
    9386,  9394,  9402,  9406,  9414,  9419,  9425,  9430,  9436,  9441,
    9447,  9452,  9458,  9463,  9469,  9477,  9481,  9489,  9494,  9500,
    9504,  9508,  9512,  9520,  9524,  9528,  9532,  9536,  9540,  9544,
    9548,  9552,  9560,  9564,  9572,  9580,  9584,  9592,  9596,  9601,
    9607,  9613,  9623,  9628,  9634,  9638,  9642,  9646,  9654,  9656,
    9664,  9669,  9675,  9683,  9687,  9695,  9699,  9703,  9707,  9711,
    9719,  9723,  9731,  9735,  9743,  9751,  9755,  9760,  9766,  9770,
    9775,  9781,  9786,  9792,  9800,  9805,  9811,  9819,  9824,  9830,
    9834,  9838,  9842,  9846,  9850,  9854,  9858,  9866,  9871,  9877,
    9881,  9886,  9892,  9900,  9904,  9912,  9916,  9924,  9932,  9936,
    9944,  9997, 10001, 10014, 10016, 10020, 10024, 10028, 10037, 10043,
   10047, 10055, 10059, 10067, 10071, 10079, 10083, 10087, 10091, 10095,
   10099, 10103, 10107, 10115, 10119, 10127, 10131, 10135, 10139, 10143,
   10147, 10151, 10159, 10163, 10167, 10175, 10179, 10187, 10195, 10200,
   10206, 10211, 10213, 10219, 10223, 10227, 10231, 10235, 10239, 10243,
   10247, 10251, 10259, 10264, 10270, 10274, 10279, 10285, 10289, 10297,
   10302, 10308, 10313, 10319, 10327, 10331, 10339, 10343, 10351, 10355,
   10359, 10363, 10371, 10376, 10382, 10386, 10391, 10395, 10403, 10407,
   10415, 10419, 10427, 10435, 10439, 10443, 10451, 10455, 10463, 10467,
   10475, 10479, 10487, 10492, 10498, 10502, 10510, 10514, 10518, 10522,
   10526, 10534, 10542, 10550, 10558, 10566, 10571, 10577, 10581, 10589,
   10594, 10600, 10604, 10612, 10620, 10624, 10628, 10632, 10640, 10645,
   10651, 10655, 10663, 10668, 10674, 10678, 10686, 10690, 10694, 10698,
   10702, 10706, 10710, 10717, 10724, 10728, 10736, 10740, 10744, 10748,
   10752, 10756, 10764, 10768, 10772, 10776, 10784, 10789, 10795, 10799,
   10803, 10807, 10812, 10818, 10822, 10826, 10830, 10838, 10843, 10849,
   10853, 10861, 10865, 10869, 10873, 10881, 10885, 10893, 10897, 10901,
   10909, 10917, 10922, 10928, 10932, 10940, 10948, 10952, 10960, 10965,
   10971, 10976, 10982, 10987, 10993, 10997, 11003, 11009, 11014, 11020,
   11024, 11032, 11040, 11044, 11052, 11056, 11064, 11068, 11072, 11080,
   11084, 11092, 11096, 11100, 11104, 11112, 11116, 11124, 11128, 11136,
   11138, 11140, 11144, 11148, 11152, 11160, 11170, 11181, 11190, 11194,
   11198, 11202, 11206, 11210, 11214, 11222, 11226, 11230, 11234, 11242,
   11246, 11254, 11259, 11265, 11269, 11273, 11277, 11281, 11285, 11289,
   11293, 11297, 11301, 11305, 11313, 11318, 11324, 11328, 11336, 11340,
   11348, 11356, 11364, 11368, 11376, 11380, 11388, 11396, 11404, 11408,
   11412, 11416, 11420, 11424, 11432, 11437, 11443, 11447, 11451, 11455,
   11463, 11471, 11475, 11480, 11486, 11490, 11494, 11498, 11502, 11506,
   11510, 11514, 11518, 11522, 11526, 11530, 11534, 11539, 11545, 11549,
   11557, 11561, 11565, 11569, 11573, 11577, 11581, 11585, 11589, 11593,
   11597, 11601, 11605, 11609, 11613, 11617, 11621, 11625, 11629, 11633,
   11637, 11641, 11645, 11649, 11653, 11657, 11661, 11665, 11669, 11673,
   11677, 11681, 11685, 11689, 11693, 11697, 11701, 11705, 11709, 11713,
   11717, 11721, 11725, 11729, 11733, 11737, 11741, 11745, 11749, 11753,
   11757, 11761, 11765, 11769, 11773, 11777, 11781, 11785, 11789, 11793,
   11797, 11802, 11806, 11810, 11818, 11822, 11826, 11830, 11834, 11838,
   11842, 11846, 11850, 11854, 11858, 11862, 11866, 11870, 11874, 11878,
   11882, 11886, 11890, 11894, 11898, 11902, 11906, 11910, 11914, 11922,
   11926, 11930, 11934, 11938, 11942, 11946, 11950, 11954, 11958, 11962,
   11966, 11970, 11974, 11982, 11986, 11990, 11994, 11998, 12002, 12006,
   12014, 12018, 12026, 12030, 12038, 12042, 12046, 12050, 12054, 12058,
   12062, 12066, 12070, 12074, 12078, 12082, 12086, 12090, 12094, 12098,
   12102, 12106, 12110, 12114, 12118, 12122, 12126, 12130, 12134, 12138,
   12142, 12146, 12150, 12154, 12158, 12162, 12166, 12170, 12174, 12178,
   12182, 12186, 12190, 12194, 12198, 12202, 12210, 12214, 12222, 12226,
   12230, 12235, 12241, 12249, 12253, 12261, 12265, 12273, 12277, 12285,
   12289, 12294, 12300, 12304, 12308, 12312, 12320, 12325, 12331, 12336,
   12342, 12347, 12353, 12357, 12365, 12373, 12377, 12382, 12388, 12396,
   12400, 12407, 12412, 12418, 12422, 12426, 12431, 12437, 12441, 12449,
   12453, 12457, 12461, 12465, 12473, 12477, 12481, 12485, 12490, 12496,
   12500, 12504, 12512, 12516, 12524, 12532, 12536, 12540, 12548, 12552,
   12560, 12564, 12568, 12572, 12576, 12580, 12584, 12588, 12592, 12596,
   12600, 12604, 12612, 12616, 12624, 12628, 12636, 12640, 12644, 12648,
   12652, 12656, 12664, 12668, 12676, 12680, 12688, 12692, 12696, 12704,
   12708, 12716, 12720, 12724, 12732, 12736, 12744, 12749, 12755, 12759,
   12763, 12767, 12771, 12775, 12779, 12783, 12791, 12795, 12803, 12811,
   12816, 12822, 12826, 12830, 12834, 12838, 12843, 12849, 12857, 12865,
   12869, 12873, 12881, 12885, 12893, 12901, 12905, 12913, 12921, 12926,
   12932, 12937, 12943, 12947, 12955, 12959, 12963, 12967, 12975, 12980,
   12986, 12990, 12999, 13001, 13009, 13014, 13020, 13025, 13031, 13035,
   13043, 13047, 13051, 13055, 13063, 13067, 13075, 13079, 13087, 13091,
   13099, 13107, 13115, 13123, 13131, 13139, 13147, 13151, 13159, 13163,
   13167, 13171, 13175, 13179, 13183, 13187, 13191, 13195, 13199, 13203,
   13207, 13211, 13212, 13217, 13223, 13227, 13228, 13232, 13240, 13248,
   13252, 13256, 13264, 13268, 13276, 13280, 13284, 13288, 13296, 13300,
   13304, 13308, 13312, 13316, 13320, 13324, 13328, 13332, 13336, 13340,
   13344, 13348, 13352, 13356, 13360, 13364, 13368, 13372, 13376, 13380,
   13384, 13388, 13392, 13396, 13400, 13404, 13408, 13412, 13416, 13420,
   13424, 13428, 13432, 13436, 13440, 13444, 13448, 13452, 13456, 13460,
   13464, 13468, 13472, 13476, 13480, 13484, 13488, 13492, 13496, 13500,
   13504, 13508, 13512, 13516, 13520, 13524, 13528, 13532, 13536, 13540,
   13544, 13548, 13552, 13556, 13560, 13564, 13568, 13572, 13576, 13580,
   13584, 13588, 13592, 13596, 13600, 13604, 13608, 13612, 13616, 13620,
   13624, 13628, 13632, 13636, 13640, 13644, 13648, 13652, 13656, 13660,
   13664, 13668, 13672, 13676, 13680, 13684, 13688, 13692, 13696, 13700,
   13704, 13708, 13712, 13716, 13720, 13724, 13728, 13732, 13736, 13740,
   13744, 13748, 13752, 13756, 13760, 13764, 13768, 13772, 13776, 13780,
   13784, 13788, 13792, 13796, 13800, 13804, 13808, 13812, 13816, 13820,
   13824, 13828, 13832, 13836, 13840, 13844, 13848, 13852, 13856, 13860,
   13864, 13868, 13872, 13876, 13880, 13884, 13888, 13892, 13896, 13900,
   13904, 13908, 13912, 13916, 13920, 13924, 13928, 13932, 13936, 13940,
   13944, 13948, 13952, 13956, 13960, 13964, 13968, 13972, 13976, 13980,
   13984, 13988, 13992, 13996, 14000, 14004, 14008, 14012, 14016, 14020,
   14024, 14028, 14032, 14036, 14040, 14044, 14048, 14052, 14056, 14060,
   14064, 14068, 14072, 14076, 14080, 14084, 14088, 14092, 14096, 14100,
   14104, 14108, 14112, 14116, 14120, 14124, 14128, 14132, 14136, 14140,
   14144, 14148, 14152, 14156, 14160, 14164, 14168, 14172, 14176, 14180,
   14184, 14188, 14192, 14196, 14200, 14204, 14208, 14212, 14216, 14220,
   14224, 14228, 14232, 14236, 14240, 14244, 14248, 14252, 14256, 14260,
   14264, 14268, 14272, 14276, 14280, 14284, 14288, 14292, 14296, 14300,
   14304, 14308, 14312, 14316, 14320, 14324, 14328, 14332, 14336, 14340,
   14344, 14348, 14352, 14356, 14360, 14364, 14368, 14372, 14376, 14380,
   14384, 14388, 14392, 14396, 14400, 14404, 14408, 14412, 14416, 14424,
   14428, 14432, 14436, 14440, 14444, 14448, 14452, 14456, 14460, 14464,
   14468, 14472, 14476, 14480, 14484, 14488, 14492, 14496, 14500, 14504,
   14508, 14512, 14516, 14520, 14524, 14528, 14532, 14536, 14540, 14544,
   14548, 14552, 14556, 14560, 14564, 14568, 14572, 14576, 14580, 14584,
   14588, 14592, 14596, 14600, 14604, 14608, 14616, 14620, 14624, 14628,
   14632, 14636, 14640, 14644, 14648, 14652, 14656, 14660, 14664, 14668,
   14672, 14676, 14680, 14684, 14688, 14692, 14696, 14700, 14704, 14712,
   14716, 14720, 14724, 14728, 14732, 14736, 14740, 14744, 14748, 14752,
   14756, 14760, 14764, 14768, 14772, 14776, 14780, 14784, 14788, 14792,
   14796, 14800, 14804, 14808, 14812, 14816, 14820, 14824, 14828, 14832,
   14836, 14840, 14844, 14848, 14852, 14856, 14860, 14864, 14868, 14872,
   14876, 14880, 14884, 14888, 14892, 14896, 14900, 14904, 14908, 14912,
   14916, 14920, 14924, 14928, 14932, 14936, 14940, 14944, 14948, 14952,
   14956, 14960, 14964, 14968, 14972, 14976, 14980, 14984, 14988, 14992,
   14996, 15000, 15004, 15008, 15018, 15019, 15022, 15023, 15024, 15030,
   15031, 15032, 15033, 15034, 15047, 15047, 15056, 15071, 15073, 15076,
   15078, 15082, 15094, 15110, 15114, 15125, 15126, 15129, 15141, 15150,
   15151, 15154, 15155, 15156, 15159, 15160, 15163, 15164, 15167, 15168,
   15171, 15173, 15175, 15177, 15181, 15188, 15195, 15211, 15245, 15255,
   15258, 15262, 15275, 15276, 15278, 15280, 15284, 15298, 15305, 15366,
   15375, 15377, 15378, 15381, 15383, 15384, 15387, 15388, 15389, 15390,
   15391, 15398, 15397, 15407, 15409, 15411, 15412, 15415, 15416, 15417,
   15418, 15421, 15422, 15426, 15425, 15442, 15440, 15456, 15455, 15469,
   15475, 15476, 15479, 15481, 15482, 15485, 15486, 15487, 15488, 15491,
   15492, 15495, 15503, 15520, 15528, 15551, 15657, 15691, 15693, 15695,
   15699, 15703, 15702, 15753, 15755, 15754, 15769, 15775, 15782, 15787,
   15793, 15794, 15797, 15798, 15799, 15800, 15801, 15802, 15803, 15811,
   15819, 15822, 15823, 15824, 15825, 15826, 15827, 15835, 15843, 15844,
   15845, 15848, 15849, 15852, 15854, 15863, 15951, 15952, 15959, 15960,
   15961, 15967, 15976, 15979, 15980, 15981, 15982, 15985, 15986, 15987,
   15990, 15992, 16000, 16001, 16007, 16015, 16016, 16019, 16020, 16023,
   16028, 16035, 16040, 16047, 16054, 16054, 16056, 16063, 16064, 16067,
   16068, 16069, 16070, 16071, 16072, 16073, 16074, 16075, 16081, 16088,
   16100, 16106, 16113, 16121, 16122, 16134, 16145, 16156, 16160, 16161,
   16164, 16169, 16173, 16174, 16177, 16183, 16191, 16197, 16204, 16208,
   16209, 16212, 16215, 16219, 16220, 16223, 16229, 16238, 16243, 16253,
   16263, 16275, 16276, 16277, 16278, 16279, 16280, 16281, 16282, 16283,
   16284, 16285, 16286, 16287, 16288, 16289, 16296, 16297, 16300, 16301,
   16308, 16309, 16310, 16317, 16316, 16333, 16334, 16341, 16340, 16410,
   16416, 16422, 16430, 16436, 16442, 16448, 16454, 16460, 16466, 16472,
   16478, 16484, 16495, 16496, 16499, 16500, 16501, 16502, 16503, 16504,
   16505, 16506, 16507, 16508, 16509, 16510, 16511, 16512, 16513, 16514,
   16515, 16516, 16517, 16518, 16519, 16520, 16523, 16524, 16525, 16526,
   16527, 16528, 16532, 16533, 16534, 16535, 16536, 16537, 16538, 16541,
   16544, 16545, 16546, 16547, 16548, 16549, 16550, 16551, 16564, 16565,
   16566, 16567, 16568, 16569, 16570, 16575, 16576, 16577, 16578, 16579,
   16580, 16586, 16587, 16588, 16589, 16590, 16591, 16592, 16593, 16594,
   16595, 16596, 16599, 16600, 16601, 16602, 16603, 16606, 16607, 16608,
   16609, 16612, 16613, 16614, 16615, 16616, 16617, 16618, 16635, 16636,
   16637, 16640, 16641, 16642, 16643, 16644, 16645, 16649, 16649, 16652,
   16658, 16659, 16662, 16664, 16669, 16679, 16690, 16697, 16698, 16699,
   16702, 16735, 16737, 16739, 16742, 16752, 16762, 16772, 16773, 16776,
   16778, 16779, 16780, 16783, 16785, 16793, 16794, 16795, 16799, 16800,
   16804, 16805, 16808, 16809, 16812, 16813, 16814, 16815, 16816, 16819,
   16820, 16821, 16822, 16823, 16824, 16825, 16826, 16827, 16828, 16829,
   16830, 16831, 16832, 16833, 16834, 16835, 16836, 16837, 16838, 16839,
   16840, 16841, 16842, 16843, 16844, 16845, 16846, 16847, 16848, 16849,
   16850, 16851, 16852, 16853, 16854, 16855, 16856, 16857, 16858, 16859,
   16860, 16861, 16862, 16863, 16864, 16865, 16866, 16867, 16868, 16869,
   16870, 16871, 16872, 16873, 16874, 16877, 16878, 16879, 16880, 16883,
   16884, 16885, 16886, 16887, 16888, 16889, 16890, 16891, 16892, 16899,
   16900, 16901, 16902, 16905, 16906, 16909, 16910, 16913, 16914, 16925,
   16926
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CARDINALITY", "SQL_CONNECT", "SQL_COUNT",
  "SQL_DATETIME_INTERVAL_CODE", "SQL_DATETIME_INTERVAL_PRECISION",
  "SQL_DESCRIBE", "SQL_DESCRIPTOR", "SQL_DISCONNECT", "SQL_FOUND",
  "SQL_FREE", "SQL_GET", "SQL_GO", "SQL_GOTO", "SQL_IDENTIFIED",
  "SQL_INDICATOR", "SQL_KEY_MEMBER", "SQL_LENGTH", "SQL_LONG",
  "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN", "SQL_OUTPUT",
  "SQL_REFERENCE", "SQL_RETURNED_LENGTH", "SQL_RETURNED_OCTET_LENGTH",
  "SQL_SCALE", "SQL_SECTION", "SQL_SHORT", "SQL_SIGNED", "SQL_SQLERROR",
  "SQL_SQLPRINT", "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT",
  "SQL_UNSIGNED", "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND",
  "S_ANYTHING", "S_AUTO", "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT",
  "S_EQUAL", "S_EXTERN", "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER",
  "S_MOD", "S_MUL", "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT",
  "S_STATIC", "S_SUB", "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE",
  "CPP_LINE", "IP", "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT",
  "IDENT", "FCONST", "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM",
  "TYPECAST", "DOT_DOT", "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS",
  "GREATER_EQUALS", "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS",
  "ACTION", "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER",
  "ALWAYS", "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC",
  "ASSERTION", "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE",
  "AUTHORIZATION", "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT",
  "BINARY", "BIT", "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALL", "CALLED",
  "CASCADE", "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P",
  "CHARACTER", "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE",
  "CLUSTER", "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS",
  "COMMENT", "COMMENTS", "COMMIT", "COMMITTED", "CONCURRENTLY",
  "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS",
  "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE",
  "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DEPENDS", "DESC", "DETACH", "DICTIONARY", "DISABLE_P",
  "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P",
  "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P",
  "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL",
  "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P",
  "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM",
  "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL", "GRANT",
  "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "GROUPS", "HANDLER",
  "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE",
  "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDE",
  "INCLUDING", "INCREMENT", "INDEX", "INDEXES", "INHERIT", "INHERITS",
  "INITIALLY", "INLINE_P", "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE",
  "INSERT", "INSTEAD", "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO",
  "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL",
  "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF",
  "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL",
  "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED",
  "MAPPING", "MATCH", "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P",
  "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL",
  "NATURAL", "NCHAR", "NEW", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "OLD", "ON", "ONLY",
  "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OTHERS",
  "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED",
  "OWNER", "PARALLEL", "PARSER", "PARTIAL", "PARTITION", "PASSING",
  "PASSWORD", "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING",
  "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR",
  "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROCEDURES", "PROGRAM",
  "PUBLICATION", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX",
  "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA",
  "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE",
  "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROUTINE", "ROUTINES", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH",
  "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETS",
  "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP", "SMALLINT",
  "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P",
  "STRIP_P", "SUBSCRIPTION", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIES", "TIME", "TIMESTAMP", "TO",
  "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM",
  "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED",
  "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN",
  "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID",
  "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC",
  "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN",
  "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES", "XMLPARSE", "XMLPI",
  "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P", "YES_P", "ZONE",
  "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'", "'='", "POSTFIXOP", "'+'",
  "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('", "')'",
  "'.'", "','", "';'", "':'", "'{'", "'}'", "$accept", "prog", "stmt",
  "CallStmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "DropRoleStmt", "CreateGroupStmt", "AlterGroupStmt", "add_drop",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_drop_behavior", "opt_collate_clause", "alter_using",
  "replica_identity", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "partbound_datum",
  "partbound_datum_list", "range_datum_list", "PartitionRangeDatum",
  "AlterCompositeTypeStmt", "alter_type_cmds", "alter_type_cmd",
  "ClosePortalStmt", "CopyStmt", "copy_from", "opt_program",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "opt_c_include",
  "key_match", "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type_any_name", "drop_type_name",
  "drop_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type_any_name", "comment_type_name", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type_any_name",
  "security_label_type_name", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_include", "index_including_params", "opt_collate", "opt_class",
  "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterOwnerStmt",
  "CreatePublicationStmt", "opt_publication_for_tables",
  "publication_for_tables", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "publication_name_list",
  "publication_name_item", "AlterSubscriptionStmt", "DropSubscriptionStmt",
  "RuleStmt", "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterCollationStmt", "AlterSystemStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "any_with", "CreateConversionStmt",
  "ClusterStmt", "cluster_index_specification", "VacuumStmt",
  "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_option_list", "analyze_option_elem", "analyze_keyword",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "DeclareCursorStmt", "cursor_name",
  "cursor_options", "opt_hold", "SelectStmt", "select_with_parens",
  "select_no_parens", "select_clause", "simple_select", "with_clause",
  "cte_list", "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "all_or_distinct", "distinct_clause",
  "opt_all_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "select_fetch_first_value", "I_or_F_const", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "opt_window_exclusion_clause", "row", "explicit_row",
  "implicit_row", "sub_type", "all_Op", "MathOp", "qual_Op", "qual_all_Op",
  "subquery_Op", "expr_list", "func_arg_list", "func_arg_expr",
  "type_list", "array_expr", "array_expr_list", "extract_list",
  "extract_arg", "overlay_list", "overlay_placing", "position_list",
  "substr_list", "substr_from", "substr_for", "trim_list", "in_expr",
  "case_expr", "when_clause_list", "when_clause", "case_default",
  "case_arg", "columnref", "indirection_el", "opt_slice_bound",
  "indirection", "opt_indirection", "opt_asymmetric", "opt_target_list",
  "target_list", "target_el", "qualified_name_list", "qualified_name",
  "name_list", "name", "database_name", "access_method", "attr_name",
  "index_name", "file_name", "func_name", "AexprConst", "Iconst",
  "SignedIconst", "RoleId", "RoleSpec", "role_list", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,   784,
     785,   786,   787,   788,   789,   790,    60,    62,    61,   791,
      43,    45,    42,    47,    37,    94,   792,    91,    93,    40,
      41,    46,    44,    59,    58,   123,   125
};
# endif

#define YYPACT_NINF -5290

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5290)))

#define YYTABLE_NINF -3040

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-3040)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -5290,  1360, 10804, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, 36754, -5290,
   -5290, -5290, -5290, -5290, 35462,  1379, -5290, -5290,130898, -5290,
   -5290, -5290,  1029, 87593, -5290, 90755,  1563, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, 94444, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, 72819,  1406, -5290,   466, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290,  1504, 14782, -5290, -5290,
   91282, -5290,   178, -5290, -5290, -5290, -5290, -5290, 74403, -5290,
   -5290, 91809,  1139, -5290, -5290,  1345,  1649, -5290,   141, 18793,
   -5290, -5290, 83904, 88647, -5290, -5290, 94971,   810,  2676, 16247,
    1504, 36223, 95498, -5290,  1158, -5290, 69086, -5290, -5290, -5290,
   88120, -5290, -5290, -5290,  1518, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290,101822,  2836,  1322, 69622, -5290,
   -5290, -5290, -5290,101822, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, 96025, -5290,  1497,  1601,   392,102349,102876,
   85485, -5290,  1705, -5290,101822,  1640,  1597, 71763, -5290,103403,
   -5290, -5290,  1513, -5290, 96552, -5290, -5290, -5290, -5290, -5290,
    1322, -5290, 72819, 68028,    80,  1496, -5290, -5290,103930, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
  101822,  2145,  1452, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290,   -63, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290,   881, -5290,   906,   998,
    1831,   803,  1508, -5290, -5290, -5290, 20153, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290,127112,  2540, -5290, -5290, -5290,  1544,
   -5290,  1596, -5290, -5290, -5290,  1921, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290,  1031, -5290, -5290, -5290, -5290,  2195,126064,
   94444, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, 83377, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290,   180, -5290, -5290, -5290, -5290, -5290, 94444,
   94444, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, 94444,  1808, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,   944,
    2031, -5290, -5290, 72819,  2760,  2760,  2303,127112, -5290, -5290,
   -5290, 74403,101822,101822,101822,  1988,101822,  1899,101822,   140,
   74403,135511, 97079,  2067,  1911, 63189,104457, -5290, 74403,101822,
  133667, 74403,101822,101822,104984,101822,101822,101822,  1235, 92336,
  101822,  2006,101822,101822,134128,105511,  2146, -5290,  2414,  1642,
   -5290,  1956, -5290,   282, -5290,  1589, -5290,   305,   342,   361,
   -5290, -5290, -5290,101822,  9807,  2836, -5290, -5290,  2145,101822,
    2220, 74403,101822,  2015,106038,  2133,101822, -5290,101822,  2144,
  106565,   401,  2110,135511,  2262, 63729,  2237,101822,101822,135511,
  107092,107619,108146,101822,101822, -5290, -5290,  2243,101822,101822,
   -5290,  2357,135972,  1858,  2364,  2526,  2473,  1543, -5290, -5290,
    2671,  2212, -5290, -5290,  2706, 94444, -5290, 92863, -5290, -5290,
   -5290,  2574, -5290, -5290, -5290, -5290, -5290, -5290,132745,  2676,
   -5290, -5290,  2481, 74931,101822,  2532, -5290, -5290,108673, 79683,
    2326, -5290,   743, 75459,136433,  2664,  2293, 64269,  2682, -5290,
   75987, -5290,136894, 76515, -5290, -5290, -5290, -5290, -5290,109200,
   -5290,109727,  2407,  2532, -5290, 80211,137355, -5290,  2559,110254,
  110781,111308, -5290, 11415, -5290,  2305,  2578,  2315,  1788, 94444,
   94444,  1115,128558, -5290, -5290,  1139, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290,   173,  1886, 70158,   337, 70694, -5290,
   -5290,   815,  1044,  1071,   173,  2802,  2802,   758, 94444, -5290,
   -5290,  1886, -5290,   932,   875,  2345,  2345,  2345,  2562,   -51,
   -5290,  2345,  2505, -5290, -5290, -5290, -5290, 96552, 70158, 70694,
   -5290,  2384,  2836,   102,  2811,  2437, -5290, -5290, -5290, -5290,
   -5290,  2448,101822,101822,101822, -5290, -5290, -5290,  2828,  2432,
    2689, -5290,  2417, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290,  2641,  2666,  2658,    83,  2836,  2548, -5290,  2796,
   -5290,  2696, 42721, 42721,   849, 94444,  2836, 71230, 97606,121848,
     251,132745,  2836,111835,  2527,  2151,  2716, -5290, -5290, -5290,
     628, -5290,  2948,  2544,  2784,   759,  1642, 59980, -5290,  2539,
    1589, 96552,127636, -5290, -5290, -5290, -5290,   768,  2843, 46536,
  101822,  2537, -5290,  2547,  2537,  2542,  2567,  1831, -5290,  2594,
  101822,  1631,  1631,  2981,  1631,  1653,  2201, -5290,  2324, -5290,
    2874,  2847, 96552,  2569,  1504,  2581, -5290, -5290, -5290,  2599,
   -5290,  2591,  2601, -5290,   967,  2871, -5290, -5290, -5290, -5290,
    2680,  2701,  2704,  2708,  2608,  2709,   221, -5290, -5290, -5290,
   -5290,  2974, -5290, -5290, -5290, -5290, -5290, -5290,  3075,  3062,
  131362,131362,   780,   873,   184,   263, -5290, -5290, -5290,  2923,
   -5290, -5290,  2922,  2739,101822, -5290, -5290,101822, -5290,112362,
   -5290, -5290,  2760,  2599,  1806,  2672,  2183,  2669,  2051,  3095,
   -5290,   742,101822,   252,  2712, 98133,  5428,  2683,  2693,  1589,
    2831,   900,  2987,  3015,  7071,   221, 98660, -5290, -5290, -5290,
   -5290,101822,101822, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290,  2699,  1305, -5290, -5290,  2707,  3031,  2911,  8587,
    1302,  3003,  2866,  1632,  9450,  2931,  1986,  3064,  8494,  1825,
    2097,  1249,112889,122375,  3024,  3069,  7215,  2169,   986,  2953,
     901,  3003,  3068,  2920,  1632,  3081,  9062,101822,  2781, -5290,
    3019,  3138,    57, -5290,   280, -5290, 37290, 46536, 66970, -5290,
    1589,  2850,  3008,  1152,  3032, 74403,  2798, -5290, -5290,101822,
   -5290, -5290, 80739,  2884, -5290,   747, 74403, -5290,  3022,  2867,
   64809,101822, 74403, -5290, -5290, 74403,101822, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290,  2950,  3148,101822, 80739, -5290,  3096,
  101822,101822, -5290,  2837, -5290, -5290, -5290, -5290,  2345,101822,
    2842,  3274, 80739,  3090,   271,101822,   -45,  3312,101822,  3100,
     -45,  2917,113416, -5290, -5290,   -45, -5290, -5290,101822,101822,
    2885,  1925,  3099,  3214,   -45,  3121,  3343,  3362,  3156,  3012,
    3170,  2547,  3342,  3155,  1026,  1121,   132,  2192,   -45,  3016,
  113943,114470,101822,  3039,101822,  3369, 74403, 74403,101822,  3296,
   -5290,  3166, 99187, -5290,  2994,  2671, -5290, -5290, -5290, -5290,
   -5290,  1109, -5290, -5290, -5290, -5290, -5290,  3332, -5290,   139,
     209,  3336,  3013,  3340, -5290, -5290,  3063, -5290,  3063,  3063,
    3028,  3028,  3204,  3034,  3359, -5290, -5290, -5290,  2572,  3063,
    3028, -5290, 81795, -5290,  1893,  2044, -5290,   143, -5290,  3481,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,  3047, -5290,
    1058, -5290,  2184, -5290, -5290, -5290, -5290,  3089, -5290,  3376,
     152, -5290,  3389, -5290,  3059,114997, -5290,115524,116051,  3399,
     157, -5290,135511,  3404,   152,  3408,  3059,  3409,   152,  3417,
     209,  3424, -5290,  1434,  3420,  3435,   143,  3440,  2200,  3059,
  133206,  3449,   222, -5290,  3455,   245, -5290,  3456,  3334, 23441,
   11415, -5290, 25824,  1929, -5290, -5290, -5290, -5290, -5290, -5290,
   46536,   908,  3221, -5290, -5290, -5290,  2193, -5290,129960, -5290,
    1115,  1886, -5290, 94444,  1886, 94444,   758,  1886, 94444,  1886,
   94444,   758,  1886, 94444, 94444, 94444,  1886, -5290, -5290,   302,
     235, -5290, -5290, -5290, -5290, -5290, 94444,  3131,101822,101822,
   -5290, -5290, -5290, 89174,135511, 89701, -5290,101822, -5290,   349,
   94444, -5290, 94444, -5290,  2836, -5290, -5290,  2578, 80739,  3571,
  135511,  3369, -5290,  2230, -5290, -5290, -5290, -5290, -5290, -5290,
    3384,101822,  3450,  3451, 89174,135511, -5290,116578,132745,  3345,
    3141, -5290, -5290, -5290, -5290,  2245,  2918,   186,  3011, 46536,
    3142,   186,   186,  3146,  3464, -5290, -5290, -5290,   371,  3149,
    3150, -5290,   398,   398, -5290,  3151,  3152, -5290,   423,  3153,
    3161,  3027,   460,  3162,  3176,  3178,  2572,   186, 46536, -5290,
    3179,   398,  3181,  3188,  3189,  3143,  3192, -5290,  3187,  3193,
     452,   515,  3194,  3195, -5290,  3151, -5290,   478,  3196,  3197,
    3198,  3199,  3200,  3201,  3202,  3203, 46536, 46536, 46536, -5290,
   41086,  1589,  2836, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290,   496,  6190, -5290,  3227, -5290, -5290,  3349, -5290, -5290,
   46536, -5290, -5290,    71, -5290,   532, -5290, -5290,  1589, -5290,
   -5290,  1585, -5290, -5290, -5290, -5290,  3471,  3205,  2339,  2339,
     231, -5290, 91282, 91282, -5290, -5290,  1562,  3207, -5290,  1848,
   -5290, -5290, -5290, -5290, -5290, -5290,132284,  3644, -5290,  2973,
    2836,   280,  1179,  3585,129022,129491,  3478,  3478,  3463, -5290,
   -5290,101822, -5290, -5290,  1589,   119,  3479, -5290, -5290, -5290,
    2256, -5290, -5290, -5290, -5290,  1139, 17247,  2287,  2537,101822,
  101822,  3652, -5290, -5290, -5290,  2290, -5290, -5290,  3212, -5290,
    2547, -5290, -5290,  1831,  1831, 46536,  1831,   182,  1459, 43266,
   47081,  3532,  3426,  1535,  1673,  3537, -5290,  3432,  1653,  2201,
   96552,101822,117105,  3341, 46536, -5290,  2599,  3231,  2162, -5290,
   82850,126588,126588,  3496, -5290, -5290,  1247,   108,  3353,  3459,
    2802,  1336,  2446,  2446, -5290, -5290,  3228, -5290,  3593, 91282,
    3291,131362, -5290, -5290,101822, -5290, -5290, 99714, -5290, -5290,
   -5290,   393,  3232, -5290,  3247,101822, -5290,  3773,  2446,  2446,
   -5290, -5290,  3236, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290,127112,101822, -5290,  3241,  3242,  3239,  3244, -5290,127636,
    3326,  3328,  3381, 67499, -5290,  3330,  3297,  3333,  3386, 72819,
    3251,  3337,  3338,  3388,  3509, -5290, -5290,  3344,  3346,122902,
   -5290, -5290,  1652, -5290, -5290, -5290,  1652, -5290,  3273, -5290,
    1910,  1067,  1436,  3347,   295,   763,  3654, -5290,  1275, -5290,
   -5290,  3400, -5290,  6037,101822,  3598,  9530,  3476,   221,  3480,
    3402, -5290, -5290,  3528,  3360,101822,  3361,  3495,   221,   817,
  123429, -5290, -5290, -5290, -5290, -5290, -5290,  7005, 40020, -5290,
    2126,  3365,  3348,  3371,101822, 84431,  1354,  3473,  3494,  3497,
    1461,  2272,   679,  3428,101822,  1802,  3504,101822,  3295,  3375,
    3377,  3591,  3303,  2072,  3694,  3309, -5290, -5290, -5290,  3502,
    3602,  3634,  8479,  3372,  3378, 78099, -5290,  3398,   -11, 65349,
  101822,101822,  3525,  3407,  3411,123956,  7005,  3414,  3416,  3413,
    3415,   -26,  3689,  1940,  3418, -5290, -5290, -5290,  1940,  3534,
    3419,  3421,124483,  7005,101822,  3422,  3423,101822, 81795,   221,
   -5290,  3756,   221,   221,  2234,  3758,  3425,   591,  3567,  2117,
     -45,  3309,  2755, -5290,  3430,  3431,  1669, -5290,  3542,  3433,
    3434,  3484,  2836, -5290, -5290,  3436,  3511,  3441,  1153, -5290,
   -5290,  1746,  3457, 96552,  3548,  3552,   169,  2616,  3309, -5290,
    3447,  3452,  3303,  3303,101822,101822,101822,101822,101822,   171,
    3779,  3802,  3453,   289,  3503,  3368, -5290,  1940,134589,  3454,
   -5290,  1940,101822,  3462,  2654,  3309,  2034, -5290,  1927, -5290,
   -5290, -5290,  1642, -5290, 46536, 46536, 46536,  3383, -5290,  2630,
   17247,   853, -5290,  2670,  8572,  3380, -5290, -5290, -5290, -5290,
  101822, -5290,101822, -5290,  3653, 80739,  3592,  3657, -5290,  3429,
   -5290,  3660,   221, -5290,101822,101822,  3662,  3594,  3663,  3667,
    3614,  1484, 80739,  3616,  3677, -5290,  3678,  3680,  3500,  3465,
    3485, 67499, -5290,  2885,  3427,  3857,  3745,101822, 72819, -5290,
    3875,  1652, -5290, 80739,  3635,  3759, -5290,101822,  3658,   518,
   -5290,  3794,  3489, -5290, -5290,    36,101822,   234,  3482, -5290,
   -5290,  3767,135511,  1206,  3769,  2836,  3488,  3772,  3651,  2836,
  135511,  3690,101822,101822,101822,101822, -5290, -5290,  3659,   766,
     211, -5290,134589,  3668, -5290,101822,  3670,  2755,  3671,  3891,
     979,  2345,117632,  3771, -5290,118159,  3458,  3458,  3896, 80739,
    3719, -5290, -5290,  3460,  2802, -5290,  2994, -5290,  2334, -5290,
    3596, -5290, 74403, -5290, -5290, 74403, -5290, -5290, -5290, 80739,
  101822, -5290,  3468, -5290, -5290, 46536, -5290, -5290, -5290,  2802,
   -5290, 80739,  3063,  3063, -5290, -5290,  3903,  3545,  3546,  2802,
   -5290,  2802, -5290, 80739, -5290,  3472,  3474,  2802,  3550, -5290,
    3553,  2802, -5290,  2271, -5290, -5290, 74403, 74403, -5290,135511,
  135511,  3797,   222,  3801,  3533,  3804,  3539, 65349, 65349, -5290,
     264, 74403, -5290,135511, 74403, -5290,101822, -5290,101822, -5290,
   -5290, -5290, -5290, 80739, 80739, -5290,135511,134589,  3806,  3809,
     209,101822,101822, -5290,101822,101822, -5290,101822,101822, -5290,
   25007,  2136, -5290, 11415, -5290,  2317,  3478, -5290,  1808,101822,
    1633,  1115,137816, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, 94444, -5290, 94444,   758, -5290, -5290, 94444, -5290, 94444,
     758, -5290, 94444, -5290, -5290, -5290, 94444,101822,  4021,  3492,
   -5290,  1585, -5290,101822,  2323, -5290, -5290,  2335,  1639,101822,
  101822,   737, 74403,101822,  3698, 74403, 74403,101822,101822,101822,
  101822,101822,  3570,  3207,   -37, -5290,  1494,   844, 96552,  3708,
   -5290, -5290, -5290, -5290, -5290,  2350,  2145,   650,101822,  1382,
    2448, -5290, -5290, 89701, 88120,  3808,   101,101822, -5290, -5290,
    5831, 46536, 42176, -5290, -5290, 17247,  3543, 46536, 46536,  3498,
    2802,  2802, -5290,  1390, 46536, 46536, 46536,  2802,  2802, 14066,
   46536, 65349, 46536, 50351, 38382, 46536, 46536, 41631, -5290, 46536,
    3738, 51986, 46536,  1179,  3749, 46536,  1179, 14066,  3988,  3988,
    1496,  1279,  6582,  3523,  1589, -5290,  2802,   889,   313, 80739,
   46536, 46536, 46536, 46536, 72819,  3608,   190,101822, 46536,  3529,
    1715, -5290, 46536, -5290,  3530, 46536,  3610,  1216, 46536, 46536,
   46536, 46536, 46536, 46536, 46536, 46536, 46536, -5290, 53582,   347,
   -5290,  3834,  3854,  1272,   569, 90228, 42721,  3846, -5290, 37290,
   -5290,   293, 94444, -5290, -5290,  1589,  3846, -5290, -5290, -5290,
   -5290, -5290,   393,  3535, -5290,  3547, -5290, -5290, -5290, -5290,
   -5290,101822,  3644, -5290, -5290,  3619, -5290, -5290, -5290, -5290,
     542, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,  3540,
   -5290, -5290, -5290, -5290,  3540, -5290, -5290,  3478,  3544,  3838,
    3840,   209,127112,101822,   768,  2750, -5290, 46536, -5290,  2374,
    3551,101822,  2594,101822, -5290,  3816, -5290,  3554, -5290, 13037,
    3816, -5290, -5290, 50896,  3665,  3814,  3752, -5290, -5290, -5290,
    3555, 17247, 46536, 46536, -5290,  2500, 17247,  2504, -5290, -5290,
   -5290, -5290, -5290, -5290,  1767, -5290,101822,  1238,  3532,  1673,
    3612,  1490,  3998,101822, -5290, 60512,  2381,  2375, -5290,  2599,
   -5290, -5290, 22225, -5290, 34911, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290,  3559, -5290, -5290, -5290, -5290, -5290,
     221,  3564,  4084, -5290,131362, -5290, -5290, -5290,  4021, -5290,
    2706, -5290,  2706,  4110, -5290, 94444, -5290, -5290, -5290, -5290,
     652, -5290, -5290, 11415, 11415, -5290,135511,101822,101822,  3770,
   -5290,  3994, -5290, 81795, -5290,  3579, -5290, 81267, 77043, -5290,
   -5290,  1131, -5290,  1338,135511, -5290,101822,101822, -5290, 72819,
  135511,101822,101822, -5290,135511,101822,101822, -5290, -5290, -5290,
   -5290, -5290,130429,    24, 88120,  3712, 86012, -5290, -5290,  3583,
  101822,  3640,  3847,  3848,  1148, -5290, -5290,118686, -5290,  3800,
  135511,101822,101822, 46536,  3805,101822,101822, -5290,   316,  3673,
    3675, -5290,101822,  3676,  3837, 74403,  3604,101822,101822, 80739,
    3679,   785, 74403,  3661, 65889, 74403, 74403,101822,101822,101822,
  101822,  3735,  3924, 80739,101822,  3868,  1714, 96552,   216,  2770,
    3309,  3825, -5290,  3939,  1440, -5290,135511, -5290,101822,  3823,
   -5290, -5290, -5290, 86539,  4051,  3730, -5290, -5290,125010, -5290,
   -5290, -5290,  2405, -5290,135511,135511,101822,  9806,119213,  1489,
    3842, -5290, -5290, 80739, -5290,101822,100241,101822,101822,  3949,
    3876,101822, 93390,119740,120267,  1403,  1499,  3877,101822, 93917,
    3879, -5290,  3764,101822, -5290, -5290, 73347,135511,101822,   716,
   72819, -5290, -5290,101822, -5290,  3839,   206, -5290,101822,  7734,
    3709,  3721,101822,  3841,   307,  2839,  3309,101822,101822,  3631,
    2409,135511,101822, 72819, -5290,  3843,    41,  3961,135511,101822,
   86539, -5290, 96552, 96552,135511,101822, 96552, -5290,101822,121848,
   -5290,135511,  1556, -5290,  3967,135511,101822, 86539, -5290,  3793,
  135511,101822, 10815, -5290, -5290, -5290,   221, -5290, -5290, -5290,
   -5290, -5290,101822,101822,   221,101822,101822,   221,   226, -5290,
  135511,101822, -5290, -5290, -5290,135511,101822,101822, -5290,135511,
    3482,101822, 72819, -5290,101822,  7561,101822,101822,101822,101822,
  101822,101822,135511,101822, -5290, -5290,  1073,  1790,  1615,  1711,
     943,101822,  3942,101822,120794,135511,101822,101822,  2836,101822,
    1217, -5290, -5290,  3766, -5290,135511,  1556, -5290, 11584,101822,
  101822,  3725,  3731,   153,  3818, -5290, -5290, -5290,   946,   946,
    3855, -5290, 46536, 46536, 43811,  3656, -5290, -5290, 46536, -5290,
   -5290, -5290,  1733,  4097,121321,  1733, -5290,  1733,  3925,  3715,
    3717,  1733,101822,  1733,  1733,101822, -5290, -5290, -5290, -5290,
    3921,101822,  1733,  1733,  1733,  3830,  3872,   112,  3950,  2415,
   -5290,  3681, -5290, 46536, 80739,101822, -5290,  2445, -5290,  3683,
     766, -5290, -5290, 72819,101822,   348,  1002,  3996,  3884, 84958,
    2738,  3982,101822,  3722,101822,  4121,  3774, 96552,  2885, -5290,
    2738,101822, -5290,  2406, 88120, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290,101822, -5290, -5290,  3999,101822, 46536,  3852, -5290,
    2836,  2885,  2885,  2885,  2885, -5290, -5290, -5290, -5290,  3897,
    1102, -5290,  3688,  2885,101822,  3810,  4019,  2738,  3693,  4022,
   -5290,  2755,  4024,  4026,101822,  3908, 84958,  2377,  3736,  3920,
    4147,  2345,  2836,  3929,  3915, -5290, 40553,  6741,  7874,  3916,
    3971,132745, 99187, -5290,  3720,  4009,  4013,  4034, -5290,   139,
   -5290,  4159, -5290, 46536,  2449,  3723,   143, -5290, -5290,  3724,
    3474,  3743,  3748,  3727,  3732, -5290,  2802, 57852,  3733,  1270,
    3952,  3734, -5290,   152, -5290,  3059, -5290,101822, -5290,101822,
  101822,101822,101822,   157, -5290, -5290,   152,  3059,   152,   209,
   -5290,  3991,   143,  3059,  3859,  4052,132745, -5290,   222, -5290,
     245, -5290,  3944,   209, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290,  2345,  2334, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, 94444,  2706, -5290,  2464, -5290,101822,
   -5290,  4027,  4028,  4031,  4032,  4033,  3744,  3746,  3781,101822,
    3747,  3744,   221,  3747,  3747,  3744,  3207,  3207,  3744,  3746,
  135050,  4203,  4057, -5290,  3833,  3755,  4067,   842, -5290,   871,
    1356,  3990, -5290, -5290, -5290, -5290, 80739, -5290,135511,  3796,
  101822,101822, -5290,    91,  3965,  3762,135050,  4182,   209, -5290,
   74403, -5290, -5290, 80739,  3844,  3858, 74403,  3977,  3815, 74403,
   -5290, -5290, 74403, -5290, -5290, -5290, -5290, -5290, 80739, -5290,
    4035,101822,101822,  2467, -5290,  2149, -5290,  2152, 46536,   352,
   -5290, 14284,  2480, 46536,  3776,  3777, -5290, -5290, -5290, -5290,
   -5290, -5290,  3782,  4083, -5290, -5290,  2483,  2487,  2506,  3783,
    3786,  4822,  3787, 15642,  3788,  3775, 50351, 50351, 41086,  3106,
   -5290, 50351,  3790,  3987,  2512, 14151,  3792,  3795, 16030, 44356,
   46536, 44356, 44356, 16266,  3792,  3798,  2517, 72819,  3981, 16729,
    2538, -5290, 46536, 72819,  6239, 46536, -5290, 46536,  3799, -5290,
   -5290,  3030,  3030,  3030, 14066, -5290,  3826, -5290, 50351, 50351,
   -5290,  3191, 41086, -5290, -5290,  4112, -5290, -5290,  1769, -5290,
    3820, -5290, -5290,  3711, 65349,  6901, 46536,   192, 46536,  3529,
   46536,  3885,  3030,  3030,  3030,   603,   603,   165,   165,   165,
    2098,   569, -5290, -5290, -5290,  3824,  3828,  3831,  4002,  3832,
   46536, -5290,  2443,  2494,101822,  8895, 13171, 13560, -5290, -5290,
   -5290, 54659,  3850,   853, -5290, -5290, -5290,  3850,  1524,  4110,
     393, -5290,  1642,  2802,   889,129960, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290,101822, 17247, -5290,  2145, -5290,
   -5290, -5290, 46536, -5290, -5290,  2595,  3851,    53,  4030,  2446,
    2446,  2500,  4037, -5290, -5290,  3881, -5290, 46536, -5290,  2566,
    2593, -5290, -5290, -5290, -5290,  3207, -5290,  4059, -5290, -5290,
   -5290, 54659,  3886,  3887,  1462, 59448,  4049, -5290,101822, -5290,
  101822,    96, -5290,  3865, -5290, -5290, -5290, -5290,  2087, -5290,
   -5290, -5290, -5290, -5290, -5290,  3853, -5290,  3863, -5290,  3867,
   -5290, -5290, -5290, -5290,   210,  3860,  3869,  3870,   -77, -5290,
   -5290, -5290, -5290, 77043,  2184, -5290, 81267, -5290, 81267, -5290,
    2184,  4266, -5290, 77043,  2069, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,135511,135511,
    4063,101822,  4062,  4073, 46536,   993,101822,  3873,  3878,  1751,
    4158,101822, -5290,  4204,   209, -5290, -5290,  3956, -5290, 17247,
   -5290, -5290, -5290, -5290, -5290,135511,101822, -5290,132745, -5290,
  101822, -5290, 80739, -5290, -5290, -5290,101822,  3912,101822, -5290,
  101822,101822,101822, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
    1493, 80739, -5290, -5290,101822,101822,   738,  3959,  3960,101822,
   -5290,   762,  3542, 11915,101822,101822,101822,  4157,101822, -5290,
   -5290, -5290, -5290,  4098, -5290, -5290, 77043, -5290,  3059,  1328,
    3963,  3309,  4105, -5290,  4214,  4088, -5290,  4006,  1074, -5290,
   -5290,101822,  4015, -5290, -5290, -5290, -5290,  4218,   209,  4219,
     209,101822,101822,101822,101822,  4020, -5290, -5290, -5290, -5290,
    4023,  4144, -5290, 72819, 72819, 72819,  2543, -5290, -5290,  2836,
   -5290, -5290, -5290, -5290, -5290, -5290,  4178, -5290,  2556, -5290,
    1834, -5290, -5290, -5290, -5290, -5290, -5290,135511,101822, 11971,
    4222,101822,101822,101822,  2232, -5290,  1315, 80739, -5290, 78627,
   -5290, -5290,  2575, -5290,  3909,101822,  3978,135511,  3957,101822,
   -5290, -5290, -5290,  3899,  3899, -5290, -5290,  3899, -5290, -5290,
    4152,  4087, -5290,  1917,  4089,135511,  3964, -5290, -5290,101822,
   -5290, -5290, -5290,  3986, -5290, -5290,  3989,  2861,  3309,  2755,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290,  1456, -5290, -5290,  1548,   250,
    3070,  3309, -5290,  2003, -5290,  3995, -5290,  3997, -5290, -5290,
   -5290,  4148,  4150,  4151,  4000,  4001,  4046,  4007,  4008,  4048,
   -5290,  4010,  4050,  4011,  4054,  4125,  4014,   209, 80739,  4156,
    2836,  4045,  4267,   209, -5290,  4025, -5290,  4038, -5290,  4372,
   -5290,101822, -5290,  4039,  3173,  3309, -5290, -5290,135511,101822,
   -5290, -5290, -5290, 46536,  3941,  3943,  3946, 17247, 17247, 46536,
   -5290, -5290, 17247,  3954, -5290, -5290, -5290, 80739,101822,  4210,
   -5290, -5290,  1733,101822,101822, -5290,  4213, -5290, -5290,  4216,
  101822,  4220, -5290, -5290, -5290, -5290,   315, -5290, -5290, -5290,
    3830,  4255, -5290,  2574, 62108,  6713,  3962,   299, -5290, 72819,
   62108,  1954,  1952,   404,   -45, -5290,132745,101822,132745, -5290,
    1002,  4088,101822,101822,101822,  3966,  3969, -5290, -5290, -5290,
   -5290,135511,   822,135511,  2802, -5290, -5290,  4042, -5290,101822,
    2345,  2574,  4281, -5290,  3899, -5290,  4399,  3362,  1206,  4118,
    2018,  3012,  4339,  2547,   159, 72819,  3736, -5290, -5290, -5290,
   -5290,101822,101822,   766,  2836, -5290,  3974,  3973, -5290,101822,
    4293,101822,101822,101822,101822,  2145,  3979,101822,  3980, 80739,
      18,  4187,  4188,  3303,  4421,  4312,  2145,  3736,  4064,  4317,
   96552, -5290,  2592,   200, -5290,  2836,132745, 77571,  4308, -5290,
    7874, -5290, -5290,  7874,   961,101822,  4292, -5290,101822, -5290,
   -5290, 58916, -5290, 80739,  2603, -5290, -5290, -5290,  2802, -5290,
   -5290,  1729,  1729,  4003, -5290, 58384, -5290,  4005, -5290,  2310,
   -5290, -5290, -5290,   222,  4053,   209,  4055,   209, -5290, -5290,
   -5290, -5290,101822, -5290,101822,134589,   209, -5290, -5290,101822,
   -5290,  4311, -5290, -5290, -5290, -5290,  4131,  4132,  4137,  4138,
    4139,101822,  3744, -5290,  4016,135511,  1606, -5290, -5290,  4205,
   -5290, -5290, 96552,  4130, -5290, -5290, -5290, -5290,  4340,  4341,
   -5290, -5290, -5290,   202, -5290, -5290, -5290,135511, 89174,   281,
  135511, -5290,  4277,  4278, -5290, -5290,  4279,   221, -5290,  4282,
    4283,  4285, -5290,  4286,  4289, -5290, -5290, -5290,  4018, 16863,
   46536, -5290,  4362, 80739, -5290,  6849, -5290, -5290, -5290, 46536,
   -5290, -5290, -5290, -5290, -5290, 46536, -5290, 46536,  4338, -5290,
   38928,  4491,  4491,  4029, 80739, 50351, 50351, 50351, 50351,  2004,
    3181, 50351, 50351, 50351, 50351, 50351, 50351, 50351, 50351, 50351,
   51441,   654, -5290,  4224, 46536, 46536,  4345,  4338, -5290, 80739,
    4036,  3792,  4040,  4043, 46536, -5290, -5290,  2611, 52518,  4047,
   72819, -5290, 46536, 14820,  2617,  4078, 17024,  1589,  7375,  2836,
   46536,  3412,  4789, 46536,  2643, 46536,  4346, -5290, -5290, -5290,
    4056, -5290, -5290, 80739, 46536,  4061,  3856, 50351, 50351,  4077,
   -5290,  4103, 46536, 41086, -5290,  3855,  4074, 61044, -5290, 39474,
    4060,  1322,  1322,  1322,  1322, -5290,101822,101822,101822, 55191,
    4347,  4066, 54127,100768,  4072,  1833, -5290,100768,101295,100768,
   -5290,  4071, -5290,  1589, 46536,  4342,  4076,  4342, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290,  4079, -5290,  4069, -5290, -5290,   280,  4080,
   -5290, -5290,   210, -5290,  4082, -5290,  4085, -5290,  3851,   760,
   -5290, -5290, -5290,  4247, -5290, -5290, -5290, -5290,  4072, 44901,
    4228, -5290, -5290, -5290,  4111,  2655, -5290, -5290,  4451,  4228,
   -5290, -5290,  2660, 60512,  3886, 46536,  1589,  2802,  4091, -5290,
    2706,  1524, -5290, -5290, -5290, -5290, -5290,  2675,  2154, -5290,
   -5290, 77043, -5290,  4155,  3059,  3059,  2308,  3744,  4404,  2308,
    7710, -5290, -5290, 55723,101822,101822, -5290,101822,  2687,  1634,
  101822, -5290,101822, -5290, -5290, -5290, -5290,  4528, -5290,101822,
   -5290, -5290,  4146,  4149,101822,101822,101822,101822,  4350, -5290,
   -5290,  2669, -5290, -5290,135511,101822, -5290, -5290, -5290,   335,
    3174,  3309, -5290,  4171, -5290, -5290, -5290,  4375, -5290,  4523,
    4191,101822,  4432,101822,  4107, -5290,  1634,  4207,  4422,  1507,
    3303,  2115,  5534, -5290,    62, -5290, -5290,  4183, -5290, -5290,
  101822, -5290,101822, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
    4244, -5290, -5290, -5290, -5290, 73347, -5290, -5290,101822, -5290,
   72819, 62108, 72819, -5290,  1553,   357,  3180,  3309,101822, -5290,
    4199, -5290,  4200,  4201,  4256,  1043,  1035,  4209,  4217,  4257,
    4141,  4142,  4153, -5290, 72819, 62649,  4290,101822,  3059,  4135,
    4168, -5290,   173,  2836, -5290, -5290,  2836,  3059,  2836, -5290,
  101822,101822,101822, 72819, -5290,  4566,  4236,101822,101822,101822,
  101822, -5290,  4202, -5290,101822,101822,  4465,  1092,  2282,135511,
  101822,101822,135511,101822,101822,101822,101822,101822,101822,  4479,
  101822, -5290,  4562,  4490,  2495,  4532,  4233,101822, -5290,101822,
    2836,  3542,101822,101822, -5290, -5290, -5290, -5290, -5290,  3855,
   -5290,  4165,  4433,  1733, -5290,  4434,  4437,  1733,  1733,  4438,
    1733, -5290, -5290,   -45, -5290,   315,101822, -5290,  3681, -5290,
    4085,  2446,  2446, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
    2612,101822, -5290, -5290, -5290,101822,  4176,101822,101822, 50351,
   -5290,  2355,  2007,   197, -5290,  4439,101822,  3482, -5290, -5290,
   -5290,  4348,101822, -5290, -5290, -5290, -5290, -5290,   719,  3979,
   -5290,  4460, 84958,  3059,135511,135511,  3059, -5290, 80739,  4181,
    3736, -5290,   684,  4261,135511,  1206,  1804,114470,  3488,  4221,
    4388, 54659,  1456, -5290,  4184,  4349, -5290,  4185,  4186, -5290,
   -5290,101822,  4088,134589,  2718,  2755,  1123,  2315,  3796, 87066,
    4369,  3979,  4460, -5290, -5290, -5290,  4581,  4284, -5290,  2145,
  101822,  3796,  4284,  2836,101822,  3640, -5290, 77043, 46536, 46536,
   -5290,  4194, -5290,  4190,  7874, -5290,  4263,  4195, -5290, -5290,
   -5290, -5290, -5290,  4287,  4206,101822,  4665, -5290, -5290,  4208,
   -5290,  4211, -5290, -5290, -5290,  2283,127112, 58384, 58384, 58384,
   58384, 58384, -5290, -5290,101822, -5290,101822, -5290,   209, -5290,
    4321, -5290,   209,  2145,101822,101822,101822,101822,101822,  3744,
     221, -5290,  4508,135050, -5290, -5290,  2728,101822, -5290, -5290,
   -5290,  4573,   101,  4516, -5290, -5290,  2107,  2107,  2107,  4476,
    2107,  2107,  2107,  2107,  2107, -5290, 46536, 17247, -5290,  4212,
   -5290, 17247,  8010, 17247,  4345, -5290,  2731, 46536, -5290,  4890,
    4890,  4890,  5004,  4525, -5290,  1515,  4215,  4890,  4890,  4890,
     228,   228,   161,   161,   161,  4491,   654, 17247, 17247, -5290,
   -5290,  4226, -5290, -5290, -5290,  3792, -5290, 47626,  4370,  4638,
   -5290, -5290, -5290,  4258,  4259,  4227, -5290, 46536, 48171,  4229,
   81795,  4411, -5290,   907, 46536, 46536,  4457, -5290, 17516, 46536,
   80739,  2741,  4457,   360, 46536,  4855,  4927, 46536, 46536,  4117,
    8646,  4230, 46536,125537, -5290, -5290, -5290,  2764, 46536,101822,
  101822,101822,101822, -5290, -5290, -5290,100768,101295,100768,  4223,
   53050, 57319,  1833,  4232,101822, -5290, -5290,  4225, 54659,  4483,
    4424, -5290, 54659,  4424,  1985,  4424,  4492,  4324, 61576, -5290,
   -5290,  4237, -5290,  4436, -5290,  2126, 17247,  4657,  4537,  2836,
    4537,  1524,   558,  2836, -5290, -5290, 65349, -5290, -5290, -5290,
   -5290,  4450, 17247, 42721, -5290,  2145,  1611,101822,  1589,    15,
   -5290,  4252,101822, -5290,  4228, 17247, -5290, 11415, -5290, -5290,
   -5290, -5290,  4313,  2774, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290,  4322, 88120,  4553, -5290, 46536,  2780, -5290,  4295,  4647,
     125,  2783,  2789,  1634, -5290,  4533, -5290,  2052,  4527,   388,
   -5290,   209, -5290, 80739, -5290,101822,101822, -5290, -5290, -5290,
   -5290,101822,  3251, -5290, -5290,101822,101822,101822,101822, -5290,
  135511,101822, -5290,101822, -5290, 72819,  1952,   173,  2355,  4541,
    4464, -5290,   221, -5290,  2355,  4468,   173,101822, -5290, -5290,
    2096, -5290, 80739,   209,   209, -5290, -5290, -5290, -5290, -5290,
    4271,  4671,  4343,101822,101822,101822, -5290,101822,135511,101822,
  101822,  2802,  2802, 80739,  4260, -5290,  2802,  2802,  4268, -5290,
  135511,101822,101822, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290,  4351, -5290, 46536,  4670, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290,135511,101822,  4352,
   -5290,  4354, -5290,   811, -5290, -5290,101822,101822,101822,101822,
    4592, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290,101822, -5290,101822, -5290, -5290,  2836,  2836, 80739,   209,
     209, -5290, -5290, -5290, -5290,  4265,  4535,  1733, -5290,  1733,
    1733, -5290, -5290,  1733, -5290,  4280,   287, -5290,  1634,  2022,
    4588, -5290,  4593, 46536, -5290,  1080,  5004, -5290,  4643,  4722,
   -5290, -5290, -5290, -5290,  3482,  2345,  4344, 74403,   304, -5290,
    4571,   348,  4495, 84958,  2003,  1800,  4294,  4407, -5290,  3059,
    3059,  4353,101822,  4726, -5290, -5290, -5290, -5290, -5290, -5290,
  135511,  3957, -5290,  1130,  4603,101822, 46536,  4072, -5290,  2219,
    4606, -5290,  2836, -5290, -5290,  4413,  3736, -5290,101822,  4503,
   84958,  3796, -5290,  2813, -5290, -5290, -5290,  4332,  4717,  2377,
   -5290,  2003,  4369,  1145,101822, -5290,  4335,  4738, -5290, -5290,
    4612,  4507,  4303, -5290, 17247, 17247,  2836, 82323,  7874, 80739,
    4620,101822,   721,  4583,101822, -5290,   209, -5290, -5290,  4305,
    2270,  2270, -5290, -5290, -5290,   209,   209, -5290,101822, -5290,
    3744,  3744,  3744,  3744,  3744, -5290,  4510, -5290, -5290,  4576,
   -5290,   209,135050, -5290, -5290, -5290, -5290, -5290,  2107, -5290,
   -5290, -5290, -5290, -5290, 17247, -5290, -5290, -5290, -5290,  9251,
   50351,  4621, -5290,  4315, 80739, -5290,  4325,  2814,  2817, 51986,
    4469, -5290, -5290, -5290,  9843,  4364, 17247,  4426,  4316,  4323,
    4457,  4457, 17516,  2832, -5290,  4457, 46536, 46536,  4457,  4457,
   46536, -5290, -5290,  9989,  4512, -5290, -5290, 10393, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, 73875,  4328,  3981,100768,  4329,
  101822,  1833, 54659, -5290, -5290,  1832, -5290, 54659,  4584, -5290,
   54659, 74403, -5290,101822,  4333,101822, -5290, 48716, 46536,  4374,
   -5290,  4374, -5290,  2446, -5290, -5290, -5290, -5290, -5290,  4336,
   94444,   332, -5290,  1462, -5290, -5290,  4728, 55723,  4686, 46536,
   -5290, -5290, -5290, -5290, -5290,135050,  4545,135050,  1634, 11454,
    4533, 55723, 66429,101822,101822,101822,  4498,  4533,  4355,  3482,
   -5290, -5290, -5290, -5290, -5290, -5290,  4356, -5290, -5290, -5290,
   -5290,  4427, -5290, -5290,   866,  3708, -5290,  2846, -5290, -5290,
    4782,  4673, -5290, -5290, -5290, -5290, -5290, -5290,  4562, -5290,
   -5290, 62108,135511,101822, -5290,  4428, -5290, -5290, -5290, -5290,
   -5290, 56787, 65349, -5290,  1043,  4358,  4360,  1035, -5290, -5290,
   -5290,101822, 11986,  4367,   905,  3708,101822,101822,  4368,  4371,
    4373,  1812,  1339,  2048,  3744,  4666, -5290, -5290, -5290, -5290,
    4562, -5290, -5290, -5290,  1733, -5290, -5290, -5290, -5290, 72819,
   -5290,  2402, -5290,   -45,  4706, 74403,  4791,  4791,101822, -5290,
   12039,  4568, -5290, -5290,  4648,  4344,  4600,  4652, -5290,  4376,
  101822,  4539,  4378,101822,  4380,  4493,  1110,  1110,101822,101822,
  101822,  2852,  2145,  3059,  4168,  1206, 84958,  4743,  4088,   215,
   -5290, -5290,  2219, -5290,  1713,  4721,  4423, -5290,101822,  4823,
    3979,101822,  4382, -5290, -5290, 87066,  4586,  1952,138738,  4188,
    4369,  2377,  4521, -5290,  4524, -5290,   243, -5290,  2145,101822,
   96552, 55723, -5290, 81267, -5290,  2856, -5290, -5290,  4462,  3850,
    4501,  4506,  4390,101822,   573, -5290,  4414, -5290, -5290, -5290,
   -5290, -5290, -5290,101822, -5290,   281, -5290, -5290,  5060, 50351,
   80739,  2857, 46536, -5290, 46536, -5290,  4821, -5290, -5290, -5290,
     570, -5290, -5290, -5290,  4457,  4457,  4457, -5290,  4826,  3855,
   -5290, -5290,  2862,  4845, 49806,  4806, -5290,101822,  2875, -5290,
   46536,  4408, -5290, -5290, 54659,  1832,  4409,  2876,101822,  2887,
   80739,  4410,   -31,  4412, 37836,  4415, -5290, -5290, -5290, -5290,
   -5290, 17247, 17247,101822, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290,  4466,101822,  2892, -5290,   809, 17247,  1606,  2308,   281,
    4647,  3482, -5290,  4417, -5290, -5290, -5290,  1560,  1560,101822,
    3482,101822,  4344, -5290,101822,  4499, -5290, -5290, 72819,  4708,
   -5290,  4475, -5290,   930,  3708,101822, 80739, -5290,    76,  4737,
   -5290, 80739, 80739, -5290, -5290, -5290, 46536,  4511, -5290, -5290,
   -5290,  2322,  1698,138277, -5290, -5290,101822,101822,101822,101822,
  101822,   209, -5290,  2904, -5290,128097, -5290, -5290,  3312,  2836,
    3312,   123, -5290, -5290,  3312, -5290,  3312, -5290,  4280,  2836,
    4791,  1119, -5290, -5290, -5290,  1963,  4644,  4425, -5290,  1053,
    4631,  4517,  4435, -5290, 74403,  4897,  3979,  4460,101822, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,  2908,
    4088,  4756,  3736,  4335, -5290,  4470, -5290, 54659, -5290, -5290,
   -5290,  3312, -5290,  1703,  4440,  4764,  4088,  2145,  4369,  3979,
    4460, -5290, -5290,  4443, -5290, -5290,  4284,  2377,  4188, -5290,
   -5290,  4846,  4646,  4854,  3796, -5290,  3640,  2915, -5290,  7874,
   82323, 80739,  4794,  4494,  4509, -5290, -5290,  4514,101822, -5290,
   -5290,  2653,  4920,  4088, -5290,  5060,  2919, -5290,  2926,  2927,
    4613,  4522, -5290, 46536,  1550,  4071, 73875,  4456, -5290, 50351,
    2934, -5290,  4058,101822,  2955, -5290, 17247,101822, -5290, -5290,
   46536, -5290,  2956, -5290, 46536,  4458, 46536, -5290, 48716,  4463,
   -5290,  4915,  2145, -5290,  3850, 55723, -5290,  4596, -5290,  4790,
   -5290,101822,  4344, 65349,  3851,  3851,  2345,  4344,  2959, -5290,
   -5290,101822, -5290,  4425, 46536, -5290,  4570, -5290, -5290,  2960,
    1367,  4640,  4640,  2968,  2975, 12142,101822, -5290, -5290, -5290,
   -5290, -5290, -5290,  2978, -5290, -5290, -5290, -5290,  2982, -5290,
    2983,  2802,  3746,  2048,  3746, -5290,  3744, -5290, -5290, 72819,
   -5290,131823, -5290, -5290, -5290,  2836, -5290,  2836,  4698,101822,
   68557,  2836,  2836, -5290, -5290, -5290, -5290, -5290,  4829,  4765,
   -5290,  2755, -5290, -5290, -5290, -5290,   318, -5290,  4694,  4695,
  101822, -5290,  4496, -5290,  2986,  2003,  4614,  4088, -5290, -5290,
  101822,  4930,  4931, -5290,101822,  4072,101822, -5290, -5290, -5290,
   46536,  4663, -5290,  4335,  2377,  2003,  4369,  1952, 56255, -5290,
    4188,  4284,  4697, -5290,  4701, -5290,  4500,  4787,  7874, -5290,
   -5290,   272,  4811,  4812, -5290, -5290, -5290, -5290, -5290,101822,
   -5290, -5290, -5290, -5290, -5290, -5290,  3792, 45446, 45446, 45446,
    4504, -5290, -5290,101822,  5004,  4505, 49806, 72819,  2989, -5290,
   79155, -5290,  2990,  2999, -5290,  3002, 48716,  3029, -5290,101822,
    4513, -5290, -5290, -5290, 60512,135050,  1560,  4544,  4515, -5290,
   -5290,  4600, -5290, -5290,  1634,  3708, -5290, 17247,101822, 74403,
    4928, -5290, -5290, -5290, -5290, -5290, -5290, -5290,  3708,  4589,
    2322, -5290,  1698, -5290,138277, -5290,101822, -5290, -5290,  3043,
   -5290, -5290, -5290,101822,  4184, -5290,  4184, -5290, -5290,  4649,
   -5290,  2886,   903,   903,  4866, -5290,  4575, -5290, -5290,  4518,
   -5290,  4981,  4636,101822, -5290, -5290,  1043,  2145,  4088, -5290,
   -5290, 12678, 74403, -5290,  4188,  4369,  2377, 46536,  3050, -5290,
    4647,   125,  4284, -5290, -5290, -5290, 55723,  4520,  3736, -5290,
   -5290,  2845, 74403, 74403, -5290, 49261,  4653,   956, 14918,  4857,
   -5290,  4857,  4857, -5290,  3051, 51986, -5290, -5290, -5290,101822,
    4720,  1874, -5290,  4676, -5290,  3056, -5290, -5290, -5290,  1506,
     281,  3851,  4529, -5290, -5290,  4631,  1634, -5290,  3708, -5290,
  101822, -5290,  4531, -5290, -5290, -5290, -5290, -5290,131823,  4184,
    4423, -5290, -5290,  4976, -5290,  1126, -5290, -5290, -5290, -5290,
  101822,  4088,  4260,  4335, -5290, -5290,  4534,  4284,  2377,  4188,
   12764, -5290, 56255,101822,101822, -5290,  3071, 55723,  4284, -5290,
    2474, -5290, -5290, -5290, -5290, -5290, -5290, -5290,  4530,  4546,
    4969, -5290, -5290, -5290, -5290, -5290,  1192, -5290, -5290, -5290,
   -5290,  3981, -5290, -5290, 50351,  4747, -5290,  1874, -5290, 50351,
    4540, -5290, -5290, -5290, -5290, -5290, 46536,  1634, -5290, -5290,
   -5290,  2322, -5290,  4871, -5290, -5290, -5290,  4088, -5290, -5290,
   72291, -5290,  4188,  4284,  4647, -5290, -5290, -5290,  4787, -5290,
    3072,  3850,  1838, -5290, -5290,  2105,  2567,  4607,  4848, 45991,
    4679, -5290,  4748, -5290,  4949,  5004, -5290, -5290,  5004, 46536,
   12892,  1634,  3076,  4723, -5290,  3102, -5290, -5290, -5290, -5290,
   -5290,  4284, -5290,101822,  3736, -5290, 55723, -5290, -5290,  2474,
    4659,  4660, -5290, -5290, -5290,101822, 12946, -5290, -5290, 74403,
   -5290, 72291, -5290, -5290,  4284, -5290, -5290,  4597,  4598,  3107,
   -5290,  4555, -5290,  3850,  4868,  4872, -5290, 72291, -5290, 74403,
   74403,  3108, -5290, -5290, -5290
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2724,     0,     2,     1,  3153,  3157,  3161,  3162,  3079,  3163,
    3164,  3129,  3130,  3131,  3132,  3133,  3134,  3135,  3136,  3137,
    3138,  3139,  3140,  3142,  3141,  3143,  3144,  3145,  3146,  3147,
    3148,  3149,  3150,  3152,  3151,  3101,  2731,  3098,  3095,  3096,
    3097,  3102,  3100,  3093,  3094,  2283,  3166,  3154,  3167,  3155,
    3156,  3158,  3159,  3128,  3160,  3168,  3169,  3170,  3165,  3173,
    3124,  3125,  3123,  3126,  3127,  3171,  3172,  3115,  3116,  3117,
    3118,  3174,  2732,  2733,  3120,  2725,  2729,  2791,  2862,  3121,
    3122,  3119,  2730,  3114,  2862,     0,  2984,  2985,     0,  2986,
    2987,  2988,  2914,  2876,  2989,     0,     0,  2990,  2991,  2992,
    2993,  2994,  2995,  2996,  2997,     0,  2998,  2999,  3000,  3001,
    2861,  3002,  3003,  3004,  3005,  2838,  2844,  2967,     0,  2818,
    2819,  2815,  2817,  2816,  2820,  2803,  1467,   647,  1553,  1552,
       0,  2626,  1467,  2579,  2580,  2627,  2581,  2582,     0,  2583,
     272,     0,  1557,  2584,  2628,     0,  1467,  2629,   443,  1145,
    2630,  2631,  2746,     0,  2585,  2586,     0,     0,     0,   647,
    1467,     0,     0,  2587,  1689,  2588,     0,  2589,  2632,  2633,
       0,  2590,  2591,  2634,     0,  2635,  2592,  2593,  2594,  2636,
    2637,  2638,  2595,  2639,  2640,     0,     0,  1703,     0,  2596,
    2641,  2597,  2598,     0,  2642,  2599,  2600,  2601,  2643,  2644,
    2602,  2603,  2604,     0,  2605,     0,     0,     0,     0,     0,
       0,  2645,  1467,  2606,     0,     0,  1710,     0,  2607,     0,
    2646,  2608,     0,  2609,     0,  2647,  2610,  2611,  2612,  2613,
    1703,  2963,  2839,     0,  1559,     0,  2614,  2648,     0,  2615,
    2616,  2617,  2618,  2619,  2620,  2621,  2622,  2623,  2624,  2625,
       0,     0,     0,    35,    70,    71,    29,    28,    90,    53,
      16,    61,   124,   123,   125,    40,    36,    78,    24,    26,
      37,    41,    63,    65,    54,   102,    62,    22,    60,    85,
      66,    88,    48,    10,    11,    49,    12,    50,    13,    51,
      14,    98,    72,    91,    33,    59,    21,    42,    68,    69,
       3,    44,    80,    76,     9,    55,    56,    58,    82,    83,
      84,   107,    86,   119,    39,   116,    95,    96,   113,    97,
     114,     7,    99,    52,    15,   110,   109,   111,    79,    45,
      81,    67,    89,   108,    25,   112,    17,    18,    20,    19,
      57,    27,    64,    30,    87,   115,   105,   101,   120,   118,
     126,   103,    73,     5,     6,    92,     4,    23,    47,     8,
      32,    31,    46,    38,   122,    34,  1557,    94,   106,    93,
     100,    77,   104,   121,    75,   117,  1674,  1661,  1712,  1673,
    1688,     0,  1677,  3058,  3059,    43,  1689,   128,   129,   134,
    2728,  2780,  2781,  2782,  2862,  2813,  2814,  2807,  2823,  2833,
    2822,  2826,  2834,  2821,  2840,     0,   131,   133,   135,   138,
     132,   127,   130,   137,   142,   136,   141,   139,   140,   143,
     144,   145,  3060,  1937,  3057,    74,  2798,  2797,     0,  2862,
       0,  3090,  2298,  2299,  2300,  2301,  2302,  2303,  2304,  2305,
    2306,  2307,  2308,  2309,  2310,  2311,  2312,  2313,  2314,  2315,
    2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,  2324,  2325,
    2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,  2334,  2335,
    2336,  2337,  2338,  2339,  2340,  2341,  2342,  2343,  2344,  2290,
    2345,  2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,  2354,
    2355,  2356,  2357,  2358,  2359,  2360,  2361,  2362,  2363,  2364,
    2365,  2366,  2367,  2368,  2369,  2370,  2371,  2372,  2373,  2374,
    2375,  2376,  2377,  2378,  2379,  2380,  2381,  2382,  2383,  2384,
    2385,  2386,  2387,  2388,  2389,  2390,  2391,  2392,  2393,  2394,
    2395,  2396,  2397,  2398,  2399,  2400,  2401,  2402,  2403,  2404,
    2405,  2406,  2407,  2408,  2409,  2410,  2411,  2412,  2413,  2414,
    2415,  2416,  2417,  2418,  2419,  2420,  2421,  2422,  2423,  2424,
    2425,  2426,  2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,
    2435,  2436,  2437,  2438,  2439,  2440,  2441,  2442,  2443,  2444,
    2445,  2446,  2447,  2448,  2449,  2450,  2451,  2452,  2453,  2454,
    2455,  2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,  2464,
    2465,  2466,  2467,  2470,  2468,  2469,  2471,  2472,  2473,  2474,
    2475,  2476,  2477,  2478,  2479,  2480,  2481,  2482,  2483,  2484,
    2485,  2486,  2487,  2488,  2489,  2490,  2491,  2492,  2493,  2494,
    2495,  2496,  2497,  2498,  2499,  2500,  2501,  2502,  2503,  2504,
    2505,  2506,  2507,  2508,  2509,  2510,  2511,  2512,  2513,  2514,
    2515,  2516,  2291,  2517,  2518,  2519,  2520,  2521,  2522,  2523,
    2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,  2533,
    2534,  2535,  2536,  2537,  2538,  2539,  2540,  2541,  2542,  2543,
    2544,  2746,  2545,  2546,  2547,  2548,  2549,  2550,  2551,  2552,
    2553,  2554,  2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,
    2563,  2564,  2565,  2566,  2567,  2568,  2569,  2570,  2571,  2572,
    2573,  2574,  2575,  2576,  2577,  2578,  2764,  2288,  2289,  2295,
    2296,  2297,  2739,  2760,  2766,  3086,  2765,  2294,  2913,     0,
       0,  3006,  3007,  3008,  3009,  3010,  3011,  3061,  3062,  3063,
    3064,  3065,  3067,  3066,  2875,  3033,  3070,  2874,  3071,  2878,
    3072,  3073,  3074,  3075,  3034,  3076,  2877,  3068,  3030,  2879,
    2872,  2873,  3031,  2982,  2983,  2261,  3032,  3029,  3069,  2767,
    3028,  2883,  2882,  1651,  3085,  2260,  1652,     0,  2885,  3012,
    3013,  3014,  3015,  3017,  3016,  3018,  2649,  2650,  2651,  2652,
    2653,  2654,  2655,  2656,  2657,  2658,  2659,  2660,  3043,  2661,
    2662,  2663,  3056,  2664,  2665,  3044,  2666,  2667,  2668,  2669,
    2670,  2671,  2672,  2673,  2674,  2675,  2676,  2677,  2678,  2679,
    2680,  2681,  2682,  2683,  2684,  2685,  2686,  2687,  2688,  2689,
    3045,  3046,  2690,  2691,  2692,  2693,  2694,  2695,  2696,  2697,
    2698,  2699,  2700,  2701,  2702,  2703,  2704,  2705,  2706,  2707,
    2708,  2709,  2710,  2711,  2712,  2713,  3047,  2714,  2715,  3048,
    2716,  2717,  2718,  3049,  2719,  2720,  2721,  2722,  2723,  3053,
    3054,  3055,  3042,  2836,  3019,  3041,  3052,  3050,  3051,  2846,
    2842,  2850,  2845,     0,     0,     0,     0,  2862,  1466,  1465,
    1451,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   646,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2736,     0,  1477,
     147,     0,  3037,  3031,  3040,     0,  2266,  3032,  3029,  3028,
     414,   413,  1556,  1534,   647,     0,  1454,   442,  1689,     0,
       0,     0,     0,     0,     0,     0,     0,   877,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     195,     0,     0,     0,     0,   468,   467,     0,     0,     0,
    1113,   473,     0,     0,     0,     0,     0,   635,  2745,  2740,
    2750,     0,  2743,  2744,  3028,     0,  3177,  2468,  2776,  2777,
    3175,  2528,  1653,   273,   276,   277,   274,   275,     0,  1246,
    1247,  1249,     0,     0,     0,  1259,   917,   918,     0,     0,
       0,   926,     0,     0,     0,   915,     0,     0,     0,   931,
       0,   928,     0,     0,   932,   929,   912,   930,   919,     0,
     911,     0,     0,  1259,   933,     0,     0,   913,     0,     0,
       0,     0,  1455,     0,  2828,  2829,  2397,  1601,   474,     0,
       0,  1689,     0,  1579,  1580,  1557,  1569,  1581,  1574,  1576,
    1575,  1577,  1573,  1578,  2299,  1048,  2314,  1048,  2385,  1045,
    1046,  1048,  1048,  1048,  2488,     0,     0,  1020,     0,  1031,
    2284,  1048,  2285,  3086,  1053,   535,   535,   535,     0,  1052,
    1057,   535,     0,  1448,  1486,  2265,  1702,     0,  2314,  2385,
    1021,  1447,  2545,  1593,     0,     0,  1274,  1270,  1272,  1273,
    1271,     0,     0,     0,  2506,  1459,   257,  3026,  2516,  2610,
    2545,  3027,   256,   251,   252,  3021,  3022,  3024,   225,  3025,
    3023,  3020,  2303,     0,     0,  1052,     0,  1456,  1457,  1003,
    1709,  1707,     0,  2247,     0,     0,  2323,     0,  2337,  2423,
     248,  2499,  2507,  2516,  2610,  2545,  2576,   204,   214,   209,
       0,   266,  2516,  2610,  2545,     0,  1477,     0,  1678,  1811,
    2256,     0,     0,  2837,  1450,  1449,  1558,     0,  1561,     0,
    2483,  1682,  1685,  1563,  1683,  1674,     0,     0,  2727,     0,
    1568,  1706,  1706,     0,  1706,     0,  1666,  1674,  1669,  1673,
       0,     0,     0,     0,  1467,     0,  2805,  2833,  2812,  2868,
    2809,     0,     0,  2858,  2854,  2851,  2859,  2860,  2853,  2841,
    1926,  1927,  1928,  1925,  1938,  1924,     0,  2786,  1929,  2825,
    2792,     0,  2800,  2799,  3103,  3104,  2915,  2738,  2757,     0,
       0,     0,     0,     0,     0,     0,  2884,  2886,  2888,  2848,
    2847,  2843,     0,     0,     0,  2973,  2974,     0,  2972,     0,
    2969,  2971,     0,  2868,     0,     0,     0,   936,     0,  1489,
    1098,     0,     0,     0,     0,     0,     0,     0,  1153,  1154,
       0,  2288,     0,  2396,     0,     0,     0,  2158,  2169,  2170,
    2171,  2327,  2380,  2166,  2167,  2168,  2160,  2161,  2162,  2163,
    2164,  2165,     0,     0,  1241,  2159,     0,  2396,     0,     0,
       0,   174,     0,   151,     0,     0,     0,  2396,     0,     0,
       0,     0,     0,     0,     0,  2396,     0,     0,     0,     0,
       0,   174,  2428,     0,   151,  2396,     0,     0,     0,  1471,
       0,     0,     0,  1473,  1476,  1452,     0,  2239,     0,  2240,
    2267,  1537,     0,  2256,     0,     0,     0,   972,   965,     0,
     973,   980,     0,     0,   982,     0,     0,   966,     0,     0,
       0,     0,     0,   985,   986,     0,     0,   987,   967,   988,
     968,   989,   969,   990,     0,     0,     0,     0,   970,     0,
       0,     0,  1463,     0,  1595,  1597,  1596,  1594,   535,     0,
       0,     0,     0,  2396,     0,     0,   151,  1522,     0,  2396,
     151,     0,     0,   472,   471,   151,   470,   469,  2327,  2380,
       0,  1144,     0,  1406,   151,  2396,     0,   197,  2396,   721,
    2396,  1563,     0,   650,     0,     0,   832,  2428,   151,     0,
       0,     0,     0,     0,     0,  1116,     0,     0,     0,     0,
     634,   647,     0,  2749,  2755,     0,  2747,  2916,  3178,  3176,
    2871,     0,  1250,   249,   250,  1248,   924,  2396,  1186,   363,
     363,     0,     0,  2396,  1508,  1886,  1915,  1893,  1915,  1915,
    1882,  1882,  2364,  1895,  2396,  1883,  1884,  1920,     0,  1915,
    1882,  1887,     0,  1885,  1923,  1923,  1910,   363,   940,  1867,
    1868,  1869,  1870,  1896,  1897,  1871,  1902,  1903,  1907,  1872,
    1937,  3038,  1882,  3039,  3036,  3035,   925,     0,   916,  2396,
     363,  1150,  2396,  2292,   184,     0,   914,  2327,  2380,  2396,
     363,  1243,     0,  2396,   363,  2396,   180,  2396,   363,  2396,
     363,  2396,   651,     0,     0,  2396,   363,  2396,  2428,   182,
       0,  2396,   363,   934,  2396,   363,  2258,  2396,     0,     0,
       0,  3108,  3112,     0,  3110,  3105,  2827,  2881,  2880,  2779,
       0,  3189,     0,  1653,  1571,  1586,     0,  1582,  1589,  1585,
    1689,  1048,  1047,     0,  1048,     0,  3199,  1048,     0,  1048,
       0,  3199,  1048,     0,     0,     0,  1048,  2286,  2287,     0,
       0,  3198,  3194,  3197,  1022,  1032,     0,  1054,     0,     0,
    1061,  1060,  1059,     0,     0,     0,  1062,     0,  1815,  1628,
       0,  1029,     0,  1027,     0,  1445,  1462,     0,     0,     0,
       0,  1116,  1277,     0,  1275,  1266,  1267,  1458,   255,   253,
       0,     0,     0,     0,     0,     0,  1464,     0,     0,     0,
       0,  3092,  2272,  2172,  3091,     0,  2580,  2581,  2582,  2231,
       0,  3033,  2583,  2584,  2628,  2068,  2055,  2064,  2069,  2056,
    2058,  2065,  2585,  2586,  2003,  2587,  2588,  2279,  2589,  2590,
    2591,  2593,  2594,  2595,  2060,  2062,  2596,  2597,     0,  2280,
    2599,  2600,  2450,  2602,  2603,  2605,  2606,  2066,  2608,  2609,
    2610,  2611,  2612,  2613,  2278,     0,  2067,  2614,  2616,  2617,
    2618,  2619,  2621,  2622,  2623,  2624,     0,     0,     0,  2253,
       0,  2035,     0,  1875,  1876,  1898,  1899,  1877,  1904,  1905,
    1878,     0,  2252,  1940,  2117,  2034,  2051,     0,  2040,  2041,
       0,  2033,  2029,  1692,  2248,     0,  2030,  2268,  2232,  2282,
    2281,  3086,  2242,  2271,  2269,  2270,  1692,  2246,     0,     0,
       0,   217,     0,     0,  2962,   268,     0,   269,  2254,  2516,
     205,   247,   219,   246,   220,   218,     0,  2325,   206,     0,
       0,   207,     0,     0,     0,     0,     0,     0,     0,   262,
    1453,     0,  1813,  1812,  2257,   945,     0,  1544,  1545,  1543,
       0,  1540,  1542,  1546,  1560,  1557,  2182,     0,  1684,     0,
       0,     0,  1664,  1663,  1551,     0,  1549,  1565,  1567,  1547,
    1563,  1704,  1705,     0,     0,     0,     0,     0,     0,     0,
       0,  1760,  1720,  1721,  1723,  1757,  1761,  1769,     0,  1670,
       0,     0,  1817,     0,     0,  2726,  2868,  2869,     0,  2863,
       0,  2862,  2862,  2856,  2855,  2852,     0,     0,     0,     0,
       0,     0,     0,     0,  2783,   629,  2785,   626,     0,     0,
    2759,     0,  2763,  2761,     0,  2908,  2911,     0,  2909,  2910,
    2912,     0,  2917,  2918,     0,     0,  3099,     0,     0,     0,
    2899,  2887,  2894,  2896,  2898,  2897,  2906,  2902,  2905,  2907,
    2849,  2862,     0,  2975,  2981,  2978,  2339,     0,  2970,     0,
       0,     0,     0,     0,  1185,     0,     0,     0,     0,     0,
     937,     0,     0,     0,     0,  1497,  1498,  1499,     0,     0,
    1500,  1501,  1489,   259,  1507,  1505,  1488,  1490,  1503,  1495,
       0,     0,     0,     0,     0,     0,     0,  1514,     0,   188,
     189,     0,   663,   647,     0,  2396,     0,     0,     0,     0,
       0,  1193,  1200,     0,     0,     0,     0,     0,     0,     0,
       0,  1194,  1192,  1195,   261,  1204,  1223,  1226,     0,  1152,
    1155,     0,     0,     0,     0,     0,  1334,     0,     0,     0,
       0,  1334,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   284,   286,   297,   358,     0,
       0,  2396,     0,     0,     0,     0,  1245,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1226,     0,     0,     0,
       0,     0,     0,     0,     0,   149,   150,   155,     0,     0,
       0,     0,     0,  1226,     0,     0,     0,     0,     0,     0,
     612,   625,     0,     0,     0,     0,     0,   622,     0,     0,
     151,   289,   602,   608,     0,     0,     0,   728,   727,     0,
       0,     0,     0,  1422,  1421,     0,     0,     0,     0,  1512,
    1511,     0,     0,     0,     0,     0,  1334,     0,   278,   280,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   406,   407,     0,     0,     0,
     155,     0,     0,     0,     0,   291,     0,  2793,     0,  1472,
    1469,  1470,     0,  1475,     0,     0,     0,     0,  2043,     0,
    2186,  1712,  2184,  2266,  2238,     0,  2235,  2234,  2263,  2241,
       0,  1533,     0,   979,     0,     0,     0,     0,   981,     0,
     974,     0,     0,   971,  2327,  2380,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   984,     0,     0,     0,   445,
       0,     0,   829,     0,     0,     0,     0,     0,     0,   840,
       0,  1489,  1521,     0,     0,     0,   656,     0,  2396,     0,
     153,   878,     0,   830,   473,     0,     0,     0,  1216,  1405,
     153,     0,     0,   191,     0,     0,   725,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   770,   769,     0,     0,
       0,   831,     0,     0,   153,     0,  2396,   605,  2396,     0,
     535,   535,     0,     0,  1115,  1118,     0,     0,     0,     0,
       0,  2753,  2748,  2751,     0,  2741,  2755,  1656,  1658,  1657,
       0,  1655,     0,   361,   362,     0,  1233,   827,  1258,     0,
       0,  1914,  1901,  1909,  1908,     0,  1891,  1890,  1889,     0,
    1888,     0,  1915,  1915,  1913,  1892,  1867,     0,     0,     0,
    1919,     0,  1917,     0,   907,  1863,  1859,     0,  1926,  1925,
    1924,     0,  1873,  1882,  1879,   927,     0,     0,  1227,     0,
       0,  2396,   363,  2396,     0,  2396,     0,     0,     0,  1235,
     363,     0,  1229,     0,     0,  1231,     0,  1423,     0,   923,
     921,   920,   922,     0,     0,   905,     0,     0,     0,  2396,
     363,     0,     0,   900,     0,     0,   902,     0,     0,  3106,
       0,     0,  3109,     0,  2830,     0,  3195,  1598,  3192,     0,
       0,  1689,     0,   236,   237,   235,  1587,   238,  1588,  1584,
    1570,     0,  1040,     0,  3199,  3200,  1025,     0,  1035,     0,
    3199,  1023,     0,  1036,  1033,  1034,     0,     0,     0,  3193,
    3077,  3083,  1039,     0,     0,   536,   538,     0,     0,  2348,
    2363,     0,  2386,  2416,  2417,  2474,  2502,  2507,  2512,     0,
    2539,  2550,     0,  1063,  1093,  1058,   739,     0,     0,  1638,
    1030,  1028,  1446,  1591,  2189,     0,  1689,     0,     0,     0,
       0,   254,   226,     0,     0,     0,  1095,  2506,  1461,  1002,
     647,     0,     0,  2038,  2039,  2230,     0,     0,     0,     0,
       0,     0,  2037,  2197,     0,     0,     0,     0,     0,  1963,
       0,     0,     0,  2210,     0,  2216,     0,     0,  2000,     0,
       0,     0,     0,     0,     0,     0,     0,  1964,  1944,  1945,
    3034,  2035,  2182,     0,  2036,  2275,     0,  1937,  2172,     0,
    2169,  2170,  2171,     0,     0,     0,  2245,     0,  2180,     0,
       0,  1978,  2178,  1980,     0,     0,     0,     0,  2166,  2167,
    2168,  2160,  2161,  2162,  2163,  2164,  2165,  2176,  1960,     0,
    2251,     0,  2119,     0,  1959,     0,     0,  1773,  1691,     0,
    2273,  2233,     0,  3084,  3087,  2031,  1773,  2959,  2958,  2957,
    2956,  2927,     0,  2921,  2922,     0,  2960,  2961,   270,   271,
     267,     0,     0,   222,   221,     0,   244,   245,   216,   243,
       0,   239,   240,   224,  2108,  2107,   223,   215,   212,   210,
     227,   229,   230,   213,   211,   265,   263,     0,     0,     0,
       0,   363,  2862,  1568,     0,  1555,  1770,     0,  1686,     0,
       0,  1568,     0,     0,  1564,  1681,  1680,  1713,  1714,  1136,
    1679,  1740,  1741,     0,     0,     0,     0,  1766,  1764,  1731,
    1724,  1730,     0,     0,  1728,     0,  1732,  1940,  1759,  1668,
    1718,  1719,  1722,  1667,     0,  1762,     0,  1641,  1760,  1723,
    1625,     0,  1603,     0,  1818,     0,     0,     0,  2870,  2868,
    2808,  1867,  2862,  2801,  2862,  2857,  2789,  1931,  1932,  1933,
    1934,  1935,  1936,  2790,     0,  2787,  1930,  2788,   627,   628,
       0,     0,     0,  2756,     0,  2737,  2762,  2893,  2524,  2925,
       0,  2926,     0,     0,  2890,     0,  2900,  2903,  2901,  2904,
       0,  1867,  2976,  3080,  3080,  1867,     0,     0,     0,  1165,
    1167,     0,  1166,     0,  1169,     0,  1178,     0,     0,  1164,
    1183,     0,  1172,  1170,     0,  1510,     0,     0,   938,     0,
       0,     0,     0,  1496,     0,     0,  2539,   258,  1499,  1504,
    1491,  1502,     0,     0,     0,     0,     0,  1097,  1096,     0,
       0,  1120,     0,     0,     0,  1517,   524,     0,   360,     0,
       0,     0,     0,     0,     0,     0,     0,   825,   822,     0,
       0,   821,     0,   661,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   701,     0,  1334,     0,
     733,     0,  1202,     0,     0,  1201,     0,  1205,     0,     0,
    1203,  1198,  1199,  2507,  2516,  2545,   260,  1225,     0,  1224,
    1220,  1147,     0,  1148,     0,     0,     0,     0,     0,  2373,
    2396,   302,   322,     0,  1333,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   345,     0,     0,   348,   347,     0,     0,     0,     0,
       0,   352,   331,     0,   332,     0,     0,   351,     0,     0,
       0,     0,     0,     0,  1334,     0,   293,     0,     0,     0,
       0,     0,     0,     0,  1242,     0,   756,     0,     0,     0,
    2507,  1221,     0,     0,     0,     0,     0,  1409,     0,     0,
     177,     0,   172,   176,     0,     0,     0,  2507,  1222,     0,
       0,     0,     0,   610,   611,   624,     0,   615,   616,   613,
     617,   618,     0,     0,     0,     0,     0,     0,     0,   609,
       0,     0,   723,   722,   726,     0,     0,     0,  1418,     0,
    1216,     0,     0,  1417,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1279,  1278,     0,     0,     0,     0,
       0,     0,   868,     0,     0,     0,     0,     0,     0,     0,
       0,   179,   743,     0,   742,     0,   173,   178,     0,     0,
       0,     0,     0,     0,     0,   234,  1468,  1474,  1712,  1712,
    1712,  2049,     0,     0,     0,     0,  1711,  2236,  2239,  1536,
    2264,  1535,     0,     0,     0,     0,   983,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   975,   976,   977,   978,
       0,     0,     0,     0,     0,   420,     0,     0,     0,     0,
     856,  3035,   828,     0,     0,     0,   842,     0,   845,   848,
       0,  1487,   492,     0,     0,   653,   701,     0,     0,   476,
     186,     0,     0,     0,     0,   758,     0,     0,     0,  1404,
     148,   195,   197,   474,     0,   196,   198,   200,   201,   202,
     199,   203,     0,   720,   724,     0,     0,     0,     0,   649,
       0,     0,     0,     0,     0,   771,   775,   774,   778,   776,
       0,   772,     0,     0,  1838,     0,     0,   171,     0,     0,
     600,   604,     0,  2734,     0,     0,   476,   578,   374,  2396,
       0,   535,     0,  2396,     0,  1117,     0,     0,     0,     0,
       0,     0,     0,  2754,     0,     0,     0,     0,  1654,   363,
    1187,     0,  1509,     0,     0,     0,   363,  1912,  1911,  1864,
    1860,     0,     0,     0,     0,   941,     0,     0,     0,     0,
       0,     0,  1880,   363,  1151,   185,  2293,     0,   909,     0,
       0,     0,     0,   363,  1244,   897,   363,   181,   363,   363,
     652,     0,   363,   183,     0,     0,     0,   644,   363,   935,
     363,  2259,     0,   363,  3107,  3113,  3111,  1600,  3196,  3190,
    3191,   535,  1658,  1572,  1583,  1037,  1044,  1026,  1043,  1042,
    1024,  1041,  1038,  2892,     0,     0,  3082,     0,  1055,     0,
     534,     0,     0,     0,     0,     0,  1071,  1072,     0,     0,
    1068,  1073,     0,  1069,  1070,  1075,  1065,  1064,  1076,  1077,
       0,     0,  1095,   737,     0,     0,     0,     0,  1635,     0,
    1633,     0,  1816,  1637,  1626,  1592,     0,  1590,     0,   593,
       0,     0,  1276,     0,     0,  1052,     0,     0,   363,  1460,
       0,  1004,  1010,     0,     0,     0,     0,     0,     0,     0,
    1013,  1014,     0,  1015,  1006,  1016,  1007,  1017,     0,  1008,
       0,     0,     0,     0,  2193,     0,  2194,     0,     0,  2229,
    2225,     0,     0,     0,     0,     0,  2201,  2202,  2203,  2200,
    2204,  2199,     0,     0,  2205,  2198,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2606,     0,     0,     0,     0,
    2004,     0,     0,  2153,     0,  2182,  2215,     0,     0,     0,
       0,     0,     0,  2182,  2221,     0,     0,     0,     0,  2106,
       0,  2103,     0,     0,     0,     0,  2242,     0,     0,  2276,
    1941,  1955,  1956,  1957,  1961,  2250,     0,  2244,     0,     0,
    1942,  1969,     0,  2222,  1996,     0,  2001,  1984,     0,  1977,
       0,  1982,  1986,  1965,     0,  1962,     0,  2245,  2181,     0,
    2179,     0,  1952,  1953,  1954,  1946,  1947,  1948,  1949,  1950,
    1951,  1958,  2157,  2155,  2156,     0,     0,     0,  2127,     0,
       0,  1981,  2389,  2423,     0,  1703,  1703,  1703,  1690,  1701,
    2249,     0,  1833,  1712,  3089,  3088,  2243,  1833,     0,     0,
       0,  2255,     0,     0,  1937,     0,   264,  1814,   943,   944,
     942,  1867,  1539,  1541,  1554,  1568,  2183,  1562,  1689,  1548,
    1550,  1566,     0,  1134,  1135,     0,  1139,  2606,  2504,     0,
       0,     0,     0,  1733,  1767,     0,  1758,     0,  1734,  2268,
    2269,  1735,  1738,  1739,  1729,  1768,  1639,     0,  1763,  1672,
    1671,     0,  1836,     0,     0,     0,  1617,  1605,     0,  1819,
       0,  1773,  1643,     0,  2242,  1771,  2806,  2864,  2811,  2832,
    2802,  2835,  1939,  2784,  2824,     0,  2758,  2928,  2929,     0,
    2919,  2920,  2889,  2895,  2966,     0,  3081,     0,     0,  1380,
    1280,  1343,  1168,     0,  1882,  1179,     0,  1163,     0,  1162,
    1882,     0,  1180,     0,  1882,  1381,  1281,  1344,   939,  1382,
    1282,  1345,  1383,  1283,  1506,  1494,  1493,  1492,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   806,  2396,   363,  1515,  1384,     0,  1284,   359,
    1516,  1346,  1520,   824,   823,     0,     0,  1347,     0,   662,
       0,   666,     0,   668,   669,   670,     0,     0,     0,   671,
       0,  2327,  2380,   673,   676,   677,   678,   685,   690,   680,
       0,     0,   692,   686,     0,     0,     0,     0,     0,     0,
     698,   700,     0,     0,     0,     0,     0,     0,     0,  1196,
    1197,  1385,  1287,     0,  1348,  1146,     0,  1288,   187,     0,
       0,   285,  2396,   304,     0,   705,   806,     0,  1336,   301,
     329,     0,     0,   344,   339,   340,   338,  2396,   363,  2396,
     363,     0,     0,     0,     0,     0,   341,   336,   337,   333,
       0,     0,   346,  2302,  2365,  2517,     0,   709,   711,     0,
     716,   349,  1308,   370,   369,   368,     0,   353,     0,   375,
     378,   350,   327,   330,   328,   324,   298,     0,     0,     0,
       0,     0,     0,     0,     0,  2262,     0,     0,  1237,     0,
    1388,  1349,     0,  1371,     0,     0,     0,     0,   750,     0,
    1391,  1294,  1352,  1410,  1412,  1402,  1295,  1411,   175,  1323,
       0,     0,   160,     0,     0,     0,     0,   154,   164,     0,
    1392,  1296,  1353,     0,  1393,  1297,     0,     0,   290,   603,
     614,   619,  1302,   623,   620,  1361,   621,  1400,  1298,  1396,
    1326,  1356,  1403,  1419,  1299,  1216,  1414,  1416,     0,  1334,
       0,   279,   281,     0,   300,     0,  1300,     0,  1354,  1395,
    1325,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1523,     0,     0,     0,     0,     0,     0,   363,     0,     0,
       0,  1336,  2396,   363,  1394,     0,  1331,     0,  1369,     0,
     408,     0,  1324,     0,     0,   292,  1304,  1363,     0,     0,
     232,   231,   233,     0,     0,     0,     0,  2187,  2188,     0,
    2185,  2044,  2238,     0,   992,   950,   991,     0,  2363,     0,
     949,   951,     0,     0,     0,   952,     0,   956,   957,     0,
       0,     0,   948,   946,   947,   419,     0,   444,   417,   418,
     420,     0,   855,     0,     0,     0,     0,     0,   844,     0,
       0,     0,  1513,     0,   151,   660,     0,     0,     0,   655,
     700,   705,     0,     0,     0,     0,   475,   479,   483,   484,
     485,     0,     0,     0,     0,   165,   152,     0,   886,     0,
     535,     0,   760,  1408,  1407,  1215,     0,   197,   190,     0,
       0,   721,     0,  1563,     0,     0,   374,   839,   837,   836,
     838,     0,     0,     0,   860,   835,     0,  1837,  1839,     0,
       0,     0,     0,     0,     0,     0,   478,     0,     0,   538,
       0,     0,   582,     0,     0,     0,     0,   374,     0,     0,
       0,  1157,     0,  1175,  1158,     0,     0,     0,     0,  1209,
    1142,  1210,  1188,  1143,     0,     0,   632,  2752,  2746,  1659,
    1660,     0,  1234,     0,     0,  1881,  1894,   908,     0,  1922,
    1921,  1923,  1923,     0,  1865,     0,  3179,  3187,  3186,     0,
    1906,  1874,  1228,   363,     0,   363,     0,   363,  1236,  1230,
    1232,  1424,     0,   906,     0,     0,   363,   899,   901,     0,
     903,     0,  2891,  3078,  1056,   537,     0,     0,     0,     0,
       0,     0,  1067,   630,  1074,     0,  1088,  1083,  1085,     0,
    1089,   736,     0,     0,  1636,  1629,  1631,  1630,     0,     0,
    1627,  2190,   898,     0,   599,  1268,  1269,     0,     0,   363,
       0,  1090,     0,     0,  1011,  1005,     0,     0,  1009,     0,
       0,     0,  1012,     0,     0,  1708,  2191,  2192,     0,     0,
       0,  2226,     0,     0,  2081,     0,  2057,  2059,  2071,     0,
    2082,  2042,  2083,  2061,  2063,     0,  2173,     0,     0,  2072,
       0,  2006,  2007,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2022,  2021,  2073,  2152,     0,     0,  2213,  2214,  2074,     0,
       0,  2220,     0,     0,     0,  2079,  2084,     0,     0,     0,
       0,  2090,     0,  2111,     0,     0,     0,  2032,  2183,     0,
       0,     0,     0,     0,     0,     0,     0,  2002,  1985,  1979,
       0,  1983,  1987,     0,     0,     0,  1973,     0,     0,  1971,
    1997,  1967,     0,     0,  1998,     0,     0,     0,  2050,     0,
       0,  1703,  1703,  1703,  1703,  1700,     0,     0,     0,     0,
    2504,  2625,     0,  1797,  1772,  1774,  1784,  1797,  1802,  1797,
    2052,  1831,  2053,  2256,     0,  1743,     0,  1743,  2941,  2943,
    2944,  2945,  2946,  2947,  2949,  2950,  2952,  2953,  2954,  2942,
    2948,  2951,  2955,  2932,  2933,     0,  2923,  2924,   208,     0,
     241,   228,  2966,  1538,     0,  1715,     0,  2174,  1139,     0,
    1717,  1736,  1737,     0,  1727,  1765,  1725,  1640,  1624,     0,
    1622,  1609,  1611,  1610,     0,     0,  1612,  2242,     0,  1622,
    1604,  1648,     0,     0,  1836,     0,  1647,     0,  2866,  2794,
       0,     0,  2965,  2968,  2980,  2977,  2804,     0,  1882,  1160,
    1161,     0,  1184,     0,  1100,  1101,     0,  1099,     0,     0,
       0,   523,  1119,     0,     0,     0,   806,     0,     0,   527,
       0,  1518,     0,  1401,  1322,   664,   665,     0,   679,     0,
     688,   687,     0,     0,     0,     0,     0,     0,     0,   672,
     694,   636,   695,   697,     0,     0,   696,   699,   702,  1334,
       0,   734,  1310,     0,  1367,  1190,  1337,     0,  1149,     0,
       0,     0,     0,     0,     0,   492,   323,     0,     0,     0,
       0,   151,     0,   306,   315,   381,   321,     0,  1342,   355,
       0,   326,     0,   319,   342,   334,   343,   335,   354,   356,
       0,   713,   714,   712,   708,     0,   715,   717,     0,   372,
       0,     0,     0,  1387,     0,  1334,     0,   294,     0,  1306,
       0,  1365,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1370,     0,     0,     0,     0,   755,     0,
     752,  1338,     0,     0,   157,   156,     0,   163,     0,  1339,
       0,     0,     0,     0,  1420,     0,     0,     0,     0,     0,
       0,   390,     0,   299,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   409,   365,     0,   863,     0,     0,     0,   411,     0,
       0,     0,     0,     0,  1386,  1289,  2047,  2048,  2045,  1712,
    2237,     0,     0,     0,   963,     0,     0,     0,     0,     0,
       0,   422,   423,   151,   421,     0,     0,   857,     0,   854,
    2450,  2160,  2161,   852,   858,   849,   851,   850,   853,   806,
       0,     0,   841,   846,   847,     0,     0,     0,     0,     0,
     507,     0,     0,     0,   498,     0,     0,  1216,   491,   494,
     495,     0,     0,   656,   659,   657,   658,   693,     0,   478,
     514,   564,     0,   167,     0,     0,   168,   166,     0,     0,
     374,   757,     0,   754,     0,   193,   474,     0,   725,     0,
       0,     0,  1216,   648,   777,   780,   773,     0,   859,   861,
     833,     0,   705,     0,     0,   605,     0,  1601,   593,     0,
     566,   478,   564,   576,   575,   577,     0,   584,   373,     0,
       0,   593,   584,     0,     0,  1120,  1156,     0,     0,     0,
    1206,  1211,  1207,     0,     0,  1171,     0,  1208,  1189,  1440,
    1441,  1438,  1439,     0,     0,     0,  2769,  1650,  2778,     0,
    1900,     0,  1918,  1916,  1861,     0,  2862,     0,     0,     0,
       0,     0,  1866,   910,     0,   893,     0,   895,   363,   744,
       0,   645,   363,     0,     0,     0,     0,     0,     0,  1066,
       0,  1086,     0,     0,  1049,  1092,     0,     0,  1634,  1632,
     591,     0,  1095,     0,  1050,  1094,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2195,     0,  2228,  2224,     0,
    2054,  2196,     0,  2208,  2207,  2153,     0,     0,  2005,  2017,
    2018,  2019,  2209,     0,  2027,     0,     0,  2014,  2015,  2016,
    2008,  2009,  2010,  2011,  2012,  2013,  2020,  2218,  2217,  2211,
    2212,     0,  2076,  2077,  2078,  2219,  2085,     0,  2317,  2112,
    2089,  2105,  2104,     0,     0,     0,  2092,     0,     0,  2101,
       0,  2154,  2277,  1943,     0,     0,  1970,  2223,  1988,     0,
       0,     0,  1966,  2173,     0,     0,     0,     0,     0,  1975,
       0,     0,     0,  2130,  2125,  2126,  2150,     0,     0,     0,
       0,     0,     0,  1694,  1693,  1699,  1797,  1802,  1797,     0,
       0,  1674,     0,  1784,     0,  1796,  1782,  1795,     0,     0,
    1808,  1806,     0,  1808,     0,  1808,     0,  1776,     0,  1798,
    1778,  1795,  1780,     0,  1823,  2257,  1832,     0,  1756,  2044,
    1756,     0,     0,     0,  2964,  1687,     0,  1716,  1137,  1138,
    1726,     0,  1834,     0,  1623,     0,     0,     0,  1614,  1620,
    1602,     0,     0,  1644,  1622,  1645,  2810,     0,  2865,  2930,
    2931,  1181,     0,     0,  1173,  1106,  1107,  1110,  1108,  1105,
    1109,     0,     0,     0,   806,     0,     0,   545,     0,  1131,
    1131,     0,     0,   529,   587,   540,   809,     0,     0,     0,
     807,   363,  1285,     0,   689,     0,     0,   684,   682,   681,
     683,     0,   637,  1399,  1286,     0,     0,     0,     0,  1191,
       0,     0,  1309,     0,   303,     0,   488,     0,     0,   316,
       0,   312,     0,  1335,     0,     0,     0,     0,   311,   385,
       0,   382,     0,   363,   363,   357,   710,   371,   376,   377,
     380,     0,     0,     0,     0,     0,  1341,     0,     0,     0,
       0,     0,     0,     0,   887,   870,     0,     0,   888,   889,
       0,     0,     0,  1239,  1240,  1238,  1372,  1373,  1378,  1375,
    1374,  1377,  1376,  1379,     0,  1292,     0,     0,   748,   161,
     158,   159,   162,  1320,  1303,  1362,  1415,     0,     0,     0,
    1301,     0,  1355,     0,  1316,  1312,     0,     0,     0,     0,
       0,  1398,  1330,  1360,  1397,  1328,  1358,  1327,  1357,  1329,
    1359,     0,  1321,     0,  1841,   867,     0,     0,     0,   363,
     363,   866,   746,  1305,  1364,     0,     0,     0,   953,     0,
       0,   955,   958,     0,   960,   427,   447,   766,   826,     0,
       0,   843,   805,     0,   496,     0,   502,   505,     0,     0,
     509,   510,   508,   497,  1216,   535,   586,     0,     0,   816,
       0,   654,     0,   476,     0,   511,     0,     0,   480,   170,
     169,     0,     0,     0,   761,   765,   763,   762,   764,   759,
       0,   750,   197,     0,     0,     0,     0,   588,  1413,     0,
     790,   834,     0,  1840,   740,     0,   374,   601,     0,     0,
     476,   593,  2735,     0,   481,   486,   487,   492,     0,   578,
     565,     0,   566,     0,     0,   590,  1485,     0,   594,   596,
       0,     0,     0,  1159,  1176,  1177,     0,     0,  1140,     0,
       0,     0,     0,   639,     0,  2742,   363,  1862,  3180,     0,
    3181,  3182,  3183,  3184,  3185,   363,   363,  1265,     0,   904,
    1080,  1081,  1082,  1079,  1078,   631,     0,  1084,   738,     0,
     592,   363,     0,  1019,   997,  1018,   996,   998,     0,  1000,
    1001,   995,   993,   994,  2227,  2070,  2080,  2206,  2152,  2183,
       0,     0,  2028,     0,     0,  2075,  2615,     0,     0,     0,
       0,  2109,  2110,  2091,     0,  2440,  2096,     0,     0,     0,
    1994,  1992,  1989,     0,  1990,  1974,     0,     0,  1972,  1968,
       0,  1999,  2116,     0,  2132,  2129,  2149,  2183,  1698,  1697,
    1696,  1695,  1783,  1779,  1781,     0,  2620,     0,  1786,  1793,
       0,  1775,     0,  1807,  1803,     0,  1804,     0,     0,  1805,
       0,     0,  1777,     0,  1793,     0,  1830,     0,     0,  2121,
    2274,  2121,  2934,     0,  2937,  2935,  2936,  2940,   242,     0,
       0,  3195,  1606,     0,  1607,  1613,     0,     0,     0,     0,
    1649,  1642,  2867,  1174,  1182,     0,     0,     0,   525,     0,
     540,     0,     0,     0,  1133,  1133,     0,   540,     0,  1216,
     811,   810,   813,   808,   812,  1519,     0,   674,   675,   691,
    1311,     0,  1368,  1318,     0,  1638,   305,     0,   706,   310,
       0,     0,   307,   384,   386,   308,   309,   313,   365,   325,
     318,     0,     0,     0,  1307,     0,  1366,  1314,  1389,  1290,
    1350,     0,     0,   876,     0,     0,     0,     0,  1390,  1291,
    1351,     0,     0,     0,     0,  1638,     0,     0,     0,     0,
       0,     0,     0,     0,  1528,     0,  1340,   364,   865,   864,
     365,   410,  1332,  2046,     0,   954,   961,   962,   959,     0,
     416,   424,   448,   151,     0,     0,  1256,  1256,     0,   806,
       0,     0,   493,   506,     0,   586,   544,     0,   499,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   753,   752,   192,   476,     0,   705,     0,
     784,   785,   779,   781,     0,   792,   796,   862,     0,     0,
     478,     0,     0,  1599,   477,     0,     0,   489,     0,   582,
     566,   578,     0,   579,     0,   583,     0,  1478,     0,     0,
       0,     0,  1212,     0,  1218,     0,  1170,  1213,     0,  1833,
       0,     0,     0,     0,   643,  2768,  2772,  1257,  3188,   894,
     896,   745,  1087,     0,  1091,   363,   999,  2154,  2023,     0,
       0,     0,     0,  2086,     0,  2087,  2114,  2113,  2093,  2097,
       0,  2094,  2095,  1991,  1995,  1993,  1976,  2118,     0,  1712,
    2151,  1826,     0,  1829,     0,     0,  1785,     0,     0,  1787,
       0,     0,  1789,  1791,     0,     0,     0,     0,     0,     0,
    2260,  2344,  2591,  2501,     0,  1742,  1744,  1747,  1749,  1748,
    1750,  1746,  1755,     0,  1676,  1675,  2939,  2938,  2175,  1835,
    1621,     0,     0,     0,  1121,     0,  1646,  1088,     0,   363,
    1131,  1216,   546,  2450,   547,  1130,  1132,  1136,  1136,     0,
    1216,     0,   586,   667,     0,     0,   287,   704,     0,     0,
     317,   367,   379,     0,  1638,     0,     0,   874,   883,   883,
     871,     0,     0,   890,  1293,   749,     0,     0,   282,  1317,
    1313,     0,     0,     0,  1530,  1531,     0,     0,     0,     0,
       0,   363,   964,     0,   450,   457,   428,   433,  1522,     0,
    1522,     0,   430,   434,  1522,   429,  1522,   426,   427,     0,
    1256,     0,  1253,  1252,   804,     0,   533,   607,   500,     0,
     555,     0,     0,   817,     0,     0,   478,   564,     0,   522,
     515,   516,   517,   518,   519,   520,   521,   513,   512,     0,
     705,   880,   374,  1485,   747,     0,   718,     0,   782,   787,
     786,  1522,   791,     0,     0,     0,   705,     0,   566,   478,
     564,   482,   492,     0,   569,   568,   584,   578,   582,   580,
     581,     0,     0,     0,   593,  1532,  1120,     0,  1217,     0,
       0,     0,     0,     0,     0,  1260,   638,     0,     0,   642,
     633,     0,  2770,   705,  1051,  2024,     0,  2025,     0,     0,
       0,  2099,  2098,     0,  2136,  1831,     0,     0,  1825,     0,
       0,  1855,     0,     0,     0,  1794,  1810,     0,  1790,  1788,
       0,  1799,     0,  1801,     0,     0,     0,  1751,     0,  2120,
    2122,     0,     0,  1619,  1833,     0,  1616,     0,  1102,     0,
    1103,  1133,   586,     0,  1139,  1139,   535,   586,     0,   806,
    1319,     0,   707,   607,     0,   320,     0,   295,  1315,     0,
       0,   885,   885,     0,     0,     0,     0,   397,   404,   403,
     398,   396,   405,     0,   401,   395,   394,   399,     0,   392,
       0,     0,  1524,     0,  1525,  1526,  1529,   412,   425,     0,
     455,     0,   453,   452,   454,     0,   441,     0,     0,     0,
       0,     0,     0,   415,   446,  1251,  1255,  1254,     0,     0,
     501,     0,   503,   541,   542,   543,     0,   504,   551,   552,
       0,   814,     0,   819,     0,     0,     0,   705,   563,   729,
       0,     0,     0,  1479,     0,   589,     0,   793,   794,   789,
       0,     0,   741,  1485,   578,     0,   566,   490,     0,   463,
     582,   584,     0,  1482,     0,   595,     0,  1127,  1141,  1219,
    1214,  1444,     0,     0,   641,   640,  2773,  2775,  2774,     0,
     735,  2026,  2102,  2088,  2115,  2100,  2131,     0,     0,     0,
       0,  1824,  1827,     0,  1858,     0,     0,     0,     0,  1844,
       0,  1792,     0,     0,  1800,     0,     0,     0,  1745,     0,
       0,  1608,  1618,  1122,     0,     0,  1136,   550,     0,  1124,
    1123,   544,   806,   539,   526,  1638,   314,   366,     0,     0,
       0,   881,   884,   872,   873,   892,   891,   751,  1638,     0,
       0,   388,     0,   387,     0,   391,     0,   451,   460,     0,
     458,   431,   436,     0,   440,   438,   437,   432,   435,     0,
     532,     0,     0,     0,     0,   553,     0,   554,   585,     0,
     818,     0,     0,     0,   731,   879,     0,     0,   705,   783,
     788,     0,     0,  1480,   582,   566,   578,     0,     0,   570,
    1131,  1131,   584,   461,  1483,  1484,     0,     0,   374,  1443,
    1442,  1689,     0,     0,  2771,  2579,     0,  2552,     0,  2148,
    2137,  2148,  2148,  2128,     0,     0,  1856,  1857,  1842,     0,
       0,  1846,  1809,  1822,  1753,     0,  1752,  2123,  2124,  1833,
     363,  1139,     0,   806,   548,   555,   528,   288,  1638,   875,
       0,   283,     0,   402,   400,   393,  1527,   456,     0,   439,
     796,   606,   560,     0,   559,     0,   557,   556,   815,   820,
       0,   705,   869,  1485,   719,   795,     0,   584,   578,   582,
       0,   567,     0,  1133,  1133,   465,     0,     0,   584,  1426,
    1689,  1425,  1427,  1435,  1432,  1434,  1433,  1431,  1263,  1264,
       0,  2141,  2140,  2139,  2143,  2142,     0,  2135,  2133,  2134,
    1828,     0,  1845,  1848,     0,     0,  1854,  1847,  1849,     0,
       0,  1820,  1754,  1615,  1104,  1125,     0,   530,   806,   296,
     882,     0,   459,     0,   558,   562,   561,   705,   730,  1481,
     799,   464,   582,   584,  1131,   571,   573,   572,  1127,  1128,
       0,  1833,     0,  1436,  1430,  1674,  1661,     0,     0,     0,
       0,  2145,     0,  2146,     0,  1852,  1853,  1850,  1851,     0,
       0,   531,     0,     0,   732,     0,   797,   800,   803,   801,
     802,   584,   462,  1133,   374,  1126,     0,  1111,  1428,  1689,
       0,     0,  2138,  2144,  2147,     0,     0,   549,   389,     0,
     767,     0,   466,   574,   584,  1129,  1429,     0,     0,     0,
    1821,     0,   798,  1833,     0,     0,  1843,   799,  1112,     0,
       0,     0,  1261,  1262,   768
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5290, -5290,  4725, -5290, -5290, -1314,    77,  2996, -1880, -5290,
   -5290, -5290,  1232, -5290, -5290, -5290, -5290,  3829, -5290,  2076,
   -2949, -5290, -5290,   -35,  3789, -1762,   -42,  3324,  1718, -5290,
   -1570, -5290, -5290,  -939,    14, -5290,  3812,   511, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -1224,  2199, -5290,  2276,
    1519,  6131, -3876, -5290, -5290, -1923, -3751, -5290,   796, -5290,
     824, -4766,  -715, -5290, -5064, -5290,  -891,  -709, -5290, -5290,
    2182, -5290, -5290, -5290,  1314,   701,  -381, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290,  -561, -5290, -5290,  -807,   407,  -105,
   -2931, -4330, -5290, -5290,   660,  -188, -1952, -5290, -4140, -5290,
     198, -2558, -5290, -5290, -5290,  -149, -1914,  1635, -5290, -1085,
   -1585,  1970, -3833,  -660, -5290,   -29, -5290,  -772,  -564,  -558,
    -690, -4354, -4827, -5290, -5290, -5290,  -794, -4847, -5116, -4359,
   -4738,  1650, -5290, -5290, -4355,   427,   651, -5290,   442,   472,
   -5290,   667,  -477, -1308, -2049, -5290, -1043, -5290, -5290, -5290,
   -3496, -5290, -5290, -5290, -5290,   -64, -5290, -5290, -5290, -5290,
     714, -5290, -5290, -5290, -5290, -5290, -5290, -2625,  2164,  2165,
   -5290, -3700, -5290, -1288, -5290,   863, -3530,  1558, -5290, -5290,
    1324,  3871,   699, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -2148, -5290, -5290, -5290, -5290,   207,  -112, -5290, -5290, -5290,
   -5290, -5290, -5290,   477, -5290,  2185,  1320, -5290, -5290,  -118,
   -5290, -5290, -5290, -5290, -5290, -5290,  -743,  -898,  -877, -5290,
   -3534, -5290, -5290, -5290,   -83, -5290, -5290, -5290, -5290, -5290,
   -5290, -1259, -5290,  1391, -3711, -5290, -5290,  1396, -5290, -5290,
   -5290, -5290, -5290,  -655,   -21,  3021, -5290,  -255,  -447, -5290,
   -5290, -5290,   -20, -5290, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -1507, 12632, -1235,  -906, -5290, -5290, -5290, -5290, -5290,
   -2708, -5290, -5290, -5290, -5290, -3911, -5290,  5038,     9,  -780,
     484, -5290,  -207,   -96,  3606, -1586, -3189,   639,  -213, -5290,
   -5290, -5290, -3080, -5290, -5290, -5290, -5290, -4077,   500, -5290,
    3597, -5290, -4397, -5117, -4143,  -801, -5290, -4644, -4991, -5159,
   -4062, -5290, -5290, -5290, -5290,  -879,  -894,  2993, -5290, -1938,
    2546, -1311, -5290, -2570,   704,  1742,  3836, -3274,  -821,  2985,
   -3038, -1050, -3826, -5290, -5290, -2863,  -342, -5290, -5290,  1298,
     162, -5290, -5290, -5290, -5290,  -964,  2932,  -901, -5290, -5290,
    4241, -5290, -4393, -5290,  4231, -5290, -5290, -5290, -5290,  2822,
    2823, -5290,  2824, -5290, -5290, -1911,  1492, -5290, -5290, -5290,
   -5290,   909, -5290, -5290, -5290, -5290, -5290, -5290, -5290,  1380,
     884, -5290, -5290, -5290, -5290, -5290,  -642,  -818, -5290, -5290,
     501, -5290, -5290, -5290, -5290,  1861, -1296, -1090,  4086,   502,
   -5289, -5290, -5290, -1590, -5290,  3319, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290, -2768, -5290, -5290, -5013, -5290,
   -5290, -5290, -5290, -5290,  2684, -5290, -5290,  2674,   -91, -5290,
    -250, -5290, -5290, -1387,  2678, -5290, -2382, -5290,  -926, -5290,
    2905, -5290, -5290, -5290, -5290, -2256,   509,   752,   -73, -5290,
   -5290,    99, -5290,   519, -5290, -5290, -3980,   -70, -5290, -5290,
   -5290, -5290, -4987, -5290,   -69,  -536,  1062, -3336, -5290,   516,
      -4,  3696,  2108,   -56,   584,  -244,  -259,  -223,   -76,   -67,
    3466, -5290,  3515, -5290,  -204,  2266, -5290, -5290, -1179,  -347,
   -5290,  1860,  -991,  2657,  3444,  3442, -5290,  1852,  2688, -2407,
   -2405, -5290,  1136,  -512,  -343, -5290, -5290, -5290, -5290,   556,
    -979,  2673, -5290,  3467, -5290, -5290, -5290, -2346, -3364, -3973,
    1155, -3970, -3912,   592,   574, -1059,  -115,  -144, -1135,  3461,
   -5290, -5290,  1164,  -312, -5290, -5290,  -310, -3342,  1094, -5290,
   -4897, -2826,  1170,  -775,  -606, -5290,  -693, -5290,  -481,  5589,
   -2122, -1466, -5290, -5290, -1438,  8274, -5290, -5290, -5290, 26827,
   27942, -5290, -5290, 28790, 29009, -5290, -1268, 29393, 15205, -1444,
   -1421, -1723, 26263, -1980,  -349,    22, -5290, -4047, -2373, -5290,
   -5290, -5290,   -66,  1226, -1463, -5290, -4945, -5290, -5290,   158,
   -5290,  -489, -5290,  -488, -5290, -5290, -5290, -2763, -4318, -2867,
    2800, -5290, -5290, -5290,  -880, -5290, 30218, -3239, -5290,   976,
   -1842, -2029, -3965, -2333, -5290, -5290, -5290, -5290, -5290, -5290,
   -5290, -1633, -3838,  -539,  1962, -5290, -5290,  2055, -5290, -5290,
   -5290, -1312,  2359, -1131, -3132,  1971, -5290, -1113,  2809, -1143,
   13849,  -999, 25773,  -113, -2779, -1713, -2084, -5290,  6563, -5290,
    3938,  -132,  -736,  5776,  -848,  -995,  8961,  6815,  5497, -3701,
   -5290, -5290,   568, -5290, -5290, -5290,  4661,  1410, -5290,  3880,
   -5290,  2239,  3087, -5290, -5290,  2690, -1026,   -22, -5290,  -433,
   -5290,  -126, -5290, -5290, -5290,   238, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290, -5290, -5290,  3486, -5290, -5290, -1650, -5290,
   -5290, -5290, -5290, -5290,  4952,  -373, -5290,  4297,  -370, -5290,
   -5290, -5290, -5290, -5290, -5290, -5290, -5290, -5290,  3501,  2714,
   -5290,  4095, -5290, -5290, -5290,     3,  3739, -5290, -5290, -5290,
   -1379,  -668,  4108,  4116,  2692, -5290, -5290, -5290, -5290, -5290,
   -5290, -5290, -5290,  2703, -5290, -5290,  1957, -2464,  2710, -5290,
   -5290,  1159, -5290, -5290,   640, -5290,  1165, -5290,  3618, -5290,
   -5290, -5290,  1208, -5290, -5290, -5290,  -607, 19613,   -19,    38,
     351,  1778, -5290, 11538, 26934,   537,  3541,   -46, 15741, 22417,
    3255, -5290,  4960,  2719,  2209, -1138, -5290,  4134,  3014, 17566,
   -5290, -1137,    33,  1823, -5290,    -2,  -713, -1369,  3835,  -812,
   -2290, -5290,  5405, -5290, -3637, -5290, -1156,   239,  4326, -1396
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   252,   253,   254,  2047,  3030,  2882,  3855,  3856,
     255,   256,  2043,   257,   258,   259,   260,  1963,   261,  1436,
    2213,  3045,   262,  2717,  1168,  1169,  1170,  2569,  2570,  2966,
    2571,  2558,  1782,  2367,  1984,  1133,  1134,  1944,  1985,   264,
     265,  1776,  2550,   266,   267,   268,  2015,  2099,  2016,  2017,
    1957,  2266,  4924,  5665,  3647,  2847,  3904,  3648,  3649,  4304,
    4305,  4383,  5689,  5690,  5682,  5688,  5683,  5684,   269,  2115,
    2116,   270,   271,  3820,  3816,  4433,  5280,  5281,  5517,   949,
    3007,  5283,  5284,  5503,  5504,  5703,  5849,  5850,  3046,  2205,
    3898,  4520,  3846,  5013,  3847,  5014,  3848,  5015,  3832,  4468,
    4469,  4959,  4470,  3849,  4975,  5547,  3850,  2736,  5720,  3087,
    2397,  2395,  5199,  5530,  4786,  4787,  5933,  5727,  5728,  5729,
    5956,  4977,  5019,  5020,  5573,  5888,  5889,  3902,  4527,  5025,
    5298,  3532,   273,  2239,  4004,  1063,  3090,   984,  1064,  3047,
     277,  3080,  5722,  3081,  2073,  2896,  5685,  3984,   278,  1461,
    4270,  5364,  5599,  5600,   279,   926,   280,  2221,   281,   282,
    3025,  3839,   283,  2753,  3549,   284,   285,  3580,  3581,  3582,
     286,  4295,  5217,  2018,  3636,  3637,  3638,  3639,  4326,   287,
    2216,  3054,  3055,   288,   289,   290,   291,  3215,  3216,   292,
    2953,   293,   294,   295,   296,  4360,  4888,  4991,  3678,  3862,
    4493,  4989,   297,  3048,  2229,  3070,  3071,  5000,  5322,  5323,
    5324,  5561,  5879,  5326,  5563,  5749,  5565,  6065,  6066,  5289,
    4249,  4800,   299,  4968,  4969,  5734,   300,  2751,   301,   302,
     303,  2189,  3017,  3018,  4444,  2182,  3009,  3010,  4507,  4508,
     304,  3760,   305,  4864,  4865,   985,  5741,  5671,  5833,   306,
     307,  4868,  4869,   308,   309,   310,   311,   312,  1049,  1050,
    1051,  1562,  1563,  3504,  1507,   313,  2581,   314,  1400,  1401,
    3795,   315,  1659,  3261,  3262,  5074,   316,  1087,  1592,  1593,
    3049,   318,  1098,  3235,  1100,  2412,  3986,  3987,  4594,   319,
     320,  3212,  3238,   321,  1950,  2727,  2728,  4781,  3050,   986,
    2245,  3094,  3527,  5443,  5444,  5898,  6040,  5194,  5457,  3426,
    4190,   323,   987,  1989,  2802,  1530,  1531,  3097,  3912,  2696,
    2697,  2698,  4544,  2699,  3914,  2700,  1924,  2701,  1478,  1479,
    3920,  3921,  3922,  4540,  4547,  3039,  5354,  5355,   324,  1987,
    2800,   325,   326,   327,  2026,  1312,  1540,  1541,   328,  1009,
    1010,   329,  5522,   330,  1482,   331,  5362,   332,   333,  1122,
    1123,  1643,  1644,   334,   335,  2816,  4307,   336,   337,   338,
    3672,  3673,  4880,   339,   340,  2208,  2209,   341,   342,  3725,
    3726,   343,   344,   345,  5981,  6042,  6043,  6044,  4553,  5901,
    5983,  1635,   347,   348,   349,   929,  1353,  1354,  1355,  3051,
    5347,   351,   352,  1945,  1946,  1947,  1948,  2722,   353,   354,
     355,   356,   357,   358,   359,  2193,   360,   361,  5496,   362,
     363,  2151,   364,  1810,  1811,   365,  1825,  1826,   366,  3415,
     943,  1188,  1815,  1821,  1827,  1828,  1829,   367,  1066,  1586,
    1587,  1588,  2369,   368,  1639,  1403,  1067,  1581,  1068,  2631,
    3456,  4204,  4205,  4206,  4209,  5178,  4754,  1069,  3452,   372,
    2419,  3221,  3224,  3448,  1070,  3461,  3462,  3463,  4212,  1071,
    1089,  1471,  3107,  1072,  1731,   377,   378,   379,  1197,  1191,
    1192,   381,  2527,  3388,  1107,  1833,  1152,  1153,  1205,  2976,
    2597,  2598,  2622,  2623,  1842,  1843,  2610,  2614,  2615,  3438,
    3432,  2603,  4738,  5425,  5426,  5427,  5428,  5429,  5430,  5159,
    2618,  2619,  1845,  1846,  1847,  2627,   382,  3392,  4144,  4145,
    4146,  4715,  4716,  4730,  4726,  5144,  5412,  4147,  1629,  1853,
    5152,  6011,  4148,  5401,  5402,  5618,  4734,  4155,  4200,  3886,
    3887,  3888,  4149,  5798,  5799,  6007,  6008,  5620,  5621,  2702,
    2296,  1509,  1732,  1510,  2304,  1733,  2280,  1512,  1734,  1735,
    1736,  1515,  1737,  1738,  1739,  1518,  2272,  1740,  1741,  2290,
    1237,  1238,  1816,  5622,  1743,  1744,  1745,  4151,  1746,  4669,
    5108,  5097,  3320,  3321,  2566,  4665,  4089,  2522,  3378,  5434,
    5639,  5640,  4128,  4694,  5124,  5399,  5790,  5909,  5910,  5997,
    1747,  1748,  1749,  3375,  2517,  1315,  1750,  4446,  2519,  3314,
    2141,  2142,  2425,  2444,  3267,  3282,  3283,  3294,  4048,  3302,
    3307,  4076,  4077,  3315,  3344,  1751,  3269,  3270,  4032,  2446,
    1752,  1359,  2145,  1360,  2535,  3339,  1766,  1753,  1754,  2413,
    1179,  5408,   773,   756,  3664,  2147,  1362,  1104,  1755,  1756,
    1757,  1875,   716,  1533,  1534,   718,   757,   758,   932,   870,
       2,    75,  1073,  3895,   386,   387,   989,   990,   991,  1463,
    1464,  2252,  2255,  1880,  2665,   722,   723,   774,  5045,  5365,
    5602,  1057,   388,   389,   390,   391,  1876,  2661,  1239,    76,
      84,    77,  1240,   428,   429,  2642,   392,   887,   393,  1856,
    1219,  4218,   394,   395,   396,   397,   398,  1054,   399,  1221,
     400,  1222,   401,   402,   403,   404,  1229,   405,  1858,  1859,
    4768,  1860,   406,   407,   760,   761,  1579,   408,   409,  1256,
    1257,  1611,  1612,  1886,  1901,  1902,  1903,   410,   730,   411,
     412,   413,  1892,  1893,   414,  2543,  2544,  2670,  2545,   415,
    3477,  3478,   416,  4173,  4174,  5165,  4175,   417,  2539,   418,
     419,  1182,  4223,   420,   883,   421,  1270,   762,   763,   764,
     934,   873,  1138,   775,   936,  3640,   875,   876,   766,   767,
     768,  2389,    78,  3485,  2390,  1759,   776,  1760,  2533,  1761,
    1762,  1763,  1764,  1765,  1909,   770,  1246,  1571,  1572,  3486,
    1574,    82,  1575,   425,  3949,  2357,  1613,  3169,  2375,  2376
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,  1430,   380,  1144,  1313,   370,  1286,  1196,   371,   373,
    1620,  1621,  1622,  1473,  1319,  1777,  1626,  1324,  2366,  1799,
    2072,  1216,   375,  2909,  1217,  1314,  1181,  1000,  2312,  1848,
    2120,  1206,   423,  2394,  1091,    79,  2286,  2735,   423,   988,
    1767,  2077,  1930,  2811,   983,  2139,  1805,  4009,  2149,  1804,
    2803,  1565,  2276,  2277,  2218,  4157,  1091,  3723,  2133,   422,
    3923,  2292,  2285,  3166,  1254,   422,  2979,  1589,  2435,  1472,
    1274,   759,  4296,  1065,  1099,  1791,   424,  1113,  3398,  3666,
    1178,  2812,   424,  4276,  3075,  1314,   727,  4198,   380,  2841,
    2824,   772,   263,  3868,  4548,  1048,   422,  4548,  3845,  2302,
    4788,   778,  2191,  4321,  2071,  4323,  2196,  2970,   759,  3266,
    1258,  2200,  2098,   424,  1145,  3757,  1200,  1904,  1906,  4454,
    2210,  1208,  2125,  4447,  4211,  4503,  4747,  3497,  3499,  4447,
     992,   999,  3990,   927,  2234,  1584,   939,   941,  5032,  1556,
     999,  4477,   422,  2649,  2651,  2652,  5195,  1314,  4681,  4974,
     994,  1544,  1002,   871,  1548,  4826,  4532,  1209,  1990,   424,
     930,  3095,  4783,  5012,  3120,  1290,  1473,  1132,  5022,  4712,
    3227,  2203,  5339,  5029,  1322,  1088,  5028,  1175,  4729,  2934,
    2935,   999,  1167,  1194,  1546,  2930,  4188,  2231,  1343,  3154,
    3397,  5021,  5405,  1874,  4097,  5341,  4789,  1088,  1559,   871,
    1249,  3412,  2356,  2352,  5458,  2381,  3441,  1141,  5305,  3419,
    3444,  2643,  2643,   422,  1841,  1141,  2708,  1141,  2796,  4227,
    2273,  2274,  1784,  5576,  1882,  1883,  1844,  1425,  5466,  4760,
     424,  2284,  1804,  1434,  5587,  4727,  1986,  4732,  4649,  4222,
    2541,  1573,  2230,   431,  2276,  2277,  1448,  4054,  1895,  5498,
    5499,  2489,  2019,  3858,   431,  5340,  5417,    45,  5419, -1915,
   -1915, -1915, -1915,  2285,  5743,   947, -1915,  2292,  5488,  1986,
     871,  2263,  5193,  2796,  1986,  2263,  1895,  3800,  1271,  3801,
    2495,  2579,  1467,  3805,  2263,  3807,  3808,  2303,  2941,  2263,
    2796,   431,  2968,  2969,  3812,  3813,  3814,  1598,  5654,  5655,
      43,  1603,  1604,  1605,  3337,    45,  3337,  3780,  4565,  5670,
     380,  1616,  2497,   370,  4054,  2387,   371,   373,  2814,  1186,
    1284,  1655,   427,  2179,    37,    38,    39,    40,  2928,  4007,
     375,    44,  4216,   431,  3391,  3036,    37,    38,    39,    40,
    1637,  2263,    43,    44,  1661,  1896,  3237,    45,   423,  1959,
    3818,  3653,  2719,  2525,  2263, -3038, -3038, -3038, -3038,  5176,
    4523,  3955, -3038,  3957,   928,  2814, -2267, -2267, -2267, -2267,
   -3038, -3038,   431, -2267,  5899,   422,  5581,  2263, -3039, -3039,
   -3039, -3039,  4600,   423,  5582, -3039,  4962,  4538,    37,    38,
      39,    40,   424, -3039, -3039,    44,  2263,  4501, -1738,  2814,
     263,  5635,  2130,  2273,  2274,  2899,  2946,  2862,  1245,  4377,
     422,  5300,  2601,  2263, -2158, -3036, -3036, -3036, -3036,  1624,
    3543, -2158, -3036,  2650,  3072,  2358,  3033,   424,  5687,  2284,
   -3036, -3036,  2876,  3518, -3035, -3035, -3035, -3035,  1781,  3676,
     942, -3035,  1770,  2594, -2631, -2631, -2631, -2631,  3372, -3035,
   -3035, -2631,  5708,  5557,  2741,  3373,  2814,  5709,  1960, -2631,
   -2631, -2177,  5761,   431,  5883,  4301,   872,  2045, -2177,  1349,
    3127, -1882, -1882, -1882, -1882,  3211,  4226,    45, -1882,  2166,
    3835,  -449,  2161,  3299,  2814,   272,  1199,  5667,  2168, -2437,
    2046,  2169,  2149,  4840,  5578,  2133, -1895, -1895, -1895, -1895,
    1314,  1625,   884, -1895,   885,   274,  2814,  5710,  2602,  2187,
    5862,  3677,   872,  5577,  1273,  2310,  3519,  1217,  2455,  3468,
     275,  5632,  2580,  2188,  5301, -1923, -1923, -1923, -1923,  4601,
    1234,  4963, -1923, -1920, -1920, -1920, -1920,  4451,  2863,  2900,
   -1920,  3034,  2901,  2264,  2154,  2368,  5583,  2264,  3654,  5900,
     276, -1910, -1910, -1910, -1910,   298,  2264,  5528, -1910,  3484,
    4030,  2264,   317,  3488,  5177,  1473,  1350,  2840,   988,    37,
      38,    39,    40,  1116,  2131,  1079,    44,  5203,   322,   346,
     350,  1421,  3819,   872,  1885,  1888,  3836,   369, -1923, -1923,
   -1923, -1923,  2893,  1473,   374, -1923,  3073,  2528,  1285,  1080,
    2484,  3021,  4050,  1252,  1253,    37,    38,    39,    40,  1351,
    2528,  2417,    44,  2264,  1609,    37,    38,    39,    40, -2382,
    4849,  2340,    44,  2526,  4471,  2025,  2264,  2531,   431,  1187,
    4447,    37,    38,    39,    40,  1625,  3781,    43,    44,  2929,
    2575,  2576,    45,  1625,  5892,  3338,   385,  4117,  4213,  2264,
     888,  1638,   874,  2310,  4882,  2489,  5333,  5931,  1117,   992,
    5816,  -151,   376,  1473,  2370,  1918,  1352,  1243,  2264,  2942,
    -151,  2418,  1357,  1250,  6029,  -151,  1358,  1897,  2149,   994,
    5846,  2188,  1891,  1961,  2495,  2264,  3584,  3393,  2271,  2489,
     948,  2265,  3037,   889,  2320,  2293,  5076,  5077,   874,  5079,
    5080,  5081,  5082,  5083,  2307,  1897,  4069,   999,   999,  2318,
    2516,  2587,  4793,  1085,  1086,  5113,  2497,  3544,  2495,  2439,
    4378, -2437,   431,  1251,  5659,    37,    38,    39,    40,  2542,
    5760,    43,    44,  1661,  1896, -1915,    45,  4729,  4539,  4983,
    4054,  5754,  2780,  1962,  2388,  5141,  2559,  4242,   376,  5145,
    2497,  2572,  2572,  2904, -2158,  1245,  2907,  3127,  2351,  2947,
    3074,  1872,  1873,  4431,  4432,  2742,  3837,  2587,  5967,   874,
    4066,  4067,  4068,  4069,  2342,  1336,  2414,  3661,  5944,  5976,
    5282,  1279,  2877,  2825,  5181,  4984,  5087,  2948,  3374, -2437,
    2914,  1473,  2427,   272,  5132,   886,  5134,  2345,  2856,  1473,
    1473, -2177, -2437,  1898,  1899,  4815,  5651,  2436,  3187,  5863,
    1118,  2371,  5004,   274,  2373,  1590,  2310,  2377,  1196,  2379,
    2188,  2589,  2382,  2139,  2139,  2139,  2386,  4853,   275,  2923,
   -2382, -3038,  2132,  4593,  3158,  1195,  2967,    35,  5937,  1951,
    1357,   423, -2267,  1416,  1358,    41,    42,  2554,  2188,  1119,
    1120,  5941,  3838,  6033, -3039,  2666,  3603,  2628,   276,  1422,
    3268,  1849,  4374,   298,   422,  3132,  1793,  3585,   422,  2629,
     317,  1469,   380,   128,   129,  1404,  4985,  5337,  1405,  1406,
    1399,   424,  3028,  5204,  2526,   424,   322,   346,   350,   939,
   -2382, -3036,  1407,  3197,  5523,   369,  5914,  5611,   939,   727,
    5597,  2418,   374,  3643,  3209,  1484,   939,  5884,   727,   939,
   -3035,  1003,  4472,  1258,  5817,  4948,  6071,  3198,  4495,  5822,
   -2631,   871,   727,  1527,  3012,  2782,  4229,  2159,  4230,  5886,
    5050,  5051,  5052,  5053,  5054,  2790,  4177,  2799,  1208,  3217,
    4947,  1121,  1591,  3662,  1597,  3790,  1602,  2275,  1952,   939,
    2743,  6019,  1606,  1582,   385,  3644,  4277,  4773,  3066,  5360,
    4986,   727,  2975,  1628,  1207,  3557,  2287,   727,  1259,  5872,
     376,  1585,  2279,  1245,  1209,   999,  1597,  1602,  3177,  3170,
     727,  2352,  6036,  6037,  3180,   380,  2799,  2288,  4272,  5885,
    4748,  1863,  3470,  2489,  3470,  1210,  3508,  1959,  2109,  1470,
    5568,  2289,  3697,  2799,  2110,  1807,   727,  1808,  2791, -1920,
    3322,   939,  3575,  3325,  3117,  3118,  2894,  1525,  4152,  2897,
    2898,   939,   727,  3441,  4425,  4426,  4193, -1910,   939,  2287,
     727,   939,  2909,  4183,  1578,  5952,  2796,  1628,   999,  5969,
    1609,  1609,  3067,  1525,   727,  2486,  3645, -1662,  4788,  5258,
    2288,    81,  4749,  1079,  2497,  1583,  6054,   728,  5968,  5043,
     727,  3994,  1884,  3218,  2291,  2864,  3329,  3029,  1852,  4484,
    5598,  2298,  1596,  5259,  1601,  4758,  3697,  1080,  4152,  1211,
    2826,  2529,  6093,  4972,  1615,  1595,    79,  1600,  5403,  3576,
    3996,  3403,  2744,  2827,  4424,  2828,  1812, -2418,  1794,  5163,
    2792,  5612,  1953,  2045,  1631,  1633,  1960,  2111,  4987,  2511,
    2512,  2513,  2514,  2515,  2516,  4214,  4881,  1630,  1632,  2988,
    3228,  6032,  1201,  1818,  1780, -1662,  2046,  5715,  1788,  5381,
    4789,  -151,  -151,  1245,  2729,   759,  1806,  4997,  3755,  5646,
    1954,  1966,  2104,  1231,  4789,  2513,  2514,  2515,  2516,  1314,
     939,   939,  3516,  4549,  2829,  1887,  3088,  1141,  3913,   727,
    1774,  1141,  4184,   422, -1665,  3199,  1795,  5376,  5406,  5409,
    3741,  4298,  2149,  1955,  5413,  4988,  3742,  5415,  1004,  1651,
     424,  2745,  2222,  5736,  2105,  1813,  1202,   939,  5992,  5766,
    1609,  5361,  1898,  1899,  4064,  4065,  4066,  4067,  4068,  4069,
    3168,  1528,  2310,  1203,  1232,  2160,  5735,  2299,  2729,  3646,
    2731,  5539,  4548,  1230, -2767,  4277,  5756,  5759,  2139,  2149,
    2226,  4456,  1260,  3396,  2223, -1662,  2730,  2286,  2732,  5765,
    5953,  4485,  5716,  2257,   872,  4273,  1005,  4550,  1956,  5755,
    2298,  2227, -1665,  3558,  3068,  1864,  5973,  5974,   727,   727,
    5188,  1610,  3575,  1617,  4445,  5329,  1203,  3069,  3219,  3579,
    4445,  2112,  5540,   128,   129,  3206,  3207,  4459,  4973,  1877,
    5541,  1809,  1006,  1610,  1007,  4866,  3995,  1949,  3220,  3743,
    4299,  1058,  1079,  4861,  2731,  1231, -1662,  2258,  1907,  4182,
    1132,  2091,  5723,  1943,  1212,  5218,  1203,  5465,  5542,  2113,
    5647,  1059,  2732,   729,  4789,  3997,  1080,  5954, -2418,  1079,
    1651,  1234,  1231,  6025,  3769,  -703,  4051,  4052,  3084,  1768,
    2110,  4071,  4461,  5260,  1058,  4907, -2439,  5993,  1877,  3576,
    1141,  1141,  2114,  1080,  5955,  1060,  5487,  5342,  3357,   422,
    2564,  3756, -1665,  3085,  1059,  3160,  1232,  4545,  2106,  1233,
    2484,  5343,  5471, -2471,   939,   939,   424,  5451,  4101,  4102,
       3,  5666,  6050,   939,  5460,  5543,  1610,  1589, -2418,  2733,
    1525,  5649,  3043,  1232,   939,  3116,  2299,  5544,  1060,  5717,
     939,  4867,  2565,   939,  2259,  4551,  3496,  1769,  2224,  4862,
    6073,  1204,   430, -1662,  5501,  1525,   871,  2250,  2228,  2037,
    3196,  1255,  5893, -1665,  3201,  2974,  2649,  2082,  3205,  5291,
    1525,  3208,  4345,  3134,  4464,  5606,  5724,  3144,  2310,  2300,
    1262,  3406,  2008,  2111,  1618, -2767,  5180,  3133,  3152,  2646,
     879, -1662,  5757,  3744, -1662,  3173,  2260,  1314,  1314,  6051,
     880,  5628,  3146,  2733,  3110,  3148,  3882, -1882,  2083,  2107,
    3044,  3883,  4552,  1234,   939,   939,  4465,  2310,  2084,    35,
    6026,  3135,  5008,    37,    38,    39,    40,    41,    42,  3084,
      44,  3745,  4466,  3358,  2747,  3147,  4300,  4301,  3359,  2734,
    1234,  3501,  2310,  3445,  2748, -2767,  1196,  5009,  3153,  2225,
    5725,  2617,  4908,  4863,  3085, -1674, -2264,  3292,  3783,  3579,
    1525,  2647,  5813,  2814,  3746,  4302,  5038, -1674,  2038,   206,
   -1665,  5669, -1674,  2815,   380,  3360,  5673,  5674,  5344,  6052,
    5472,  4346,  5071,  3200,  2647, -1882,  3203,  3204,  3086,  2261,
    4447,  4158,   376,  5975,  4159,  4160,  2922, -2439,  2681,   216,
     727,  1217,  1904,  1906,   881,  4161,  4162,  4163, -1665,  4164,
    4165, -1665,   206,  2734,  4166,  4167,  4168,  5545,   727, -1674,
    5546,  1235,  2648,  1116, -2471,  2585,  4467,    81,    81,  5403,
      81,  3446,  3276,   224,  2595,  2596,   777,  2600,   939, -1674,
    1236,  1314,   216,  3601,  3709,  2648,   727,  5990,  2300,  2372,
    2329,  2374,  5819,  5820,  2378,  2737,  2380, -2439,  4789,  2383,
    2384,  2385,    79,    79,  4966,    79,  2532,  2301,  6031,  2085,
    1209,  1209,  2392,  1209,   235,  1578,   224,  3473,  5556,  6041,
   -1674,  1877,   727,  2738, -2471,    35,  2420,   238,  2421, -1674,
    3953,  3589,  2330,    41,    42,  2749,  1525,  1332,   727,  4998,
    2996,  3530,   942,  2086,  3277,   376,  1195,  2087,  1117,  4264,
     250,  2655,  3361,   727,  2656,   431,   727,   235,  4288,  6053,
    2909,  1061,  2039,  2139,   251,  2027,  1333,   939,  3708,  1234,
     238,  3423,  5010,  2750,  6072,  4347,  3447,  3453,  3750,  5316,
    2088,  3502,  2997,  3503,   882,  5003,  3379,  4289, -1882,   944,
    1258,  4265,  1234,   250,  2738,  4615,   939,  3531,  1150,  1357,
    2040,  3731,  2188,  1358,  4169,  3278,  1852,  1062,  3279,   872,
    3213,  5890,  6092,  4348,  3690,  4938,  5091,  5830,  5092,  4941,
    4942,    35,  4944,  3590,   939,   939,   939,  1473,   939,    41,
      42,  6082,  1831,  2041,  3775,  6103,  2028,  3683,  3684,  5497,
    2520,  3687,    37,    38,    39,    40,  4349,  2604,   939,    44,
     759,   759,  2548,  1102,  3790,  5525,  3424,  2257,  2657,  4290,
    4419,  4445,  4829,  1837, -1674,  2739,  4152,  3691,   431,  4152,
    3998,    37,    38,    39,    40,  2546,  2547,    43,    44,  3865,
    1106,  1207,    45,  1456,   727,  4879,  2605,  2562,  5831,  3784,
    3785,  3786,   727,   727,  3214,  5055,  2331,  5056,  1151,  5787,
    1118,  5742,  3877,  3878,  3879,  3880,    37,    38,    39,    40,
    1934,  3172,  3280,    44,  3885,   423,   423,  4580,  4379,  3621,
    2549,  3380,  1877,  4796,  3692,    80,  1357,  1877,  1877,  1822,
    1358,  1349,  1832,   939,  6039,  1839,  4830,   939,   939,  1119,
    1120,   422,   422,   422,  4170,  2606,  2998,  3999,  3454,  4789,
    5739,  5494,   939,  3710,  5093,  4266,  1114,   759,   424,   424,
     424,  3713,  1935,  3563,  3716,   423,  5752,  5596,  3559,  6015,
    4152,  3564,  3565,  2685,  5495,  2820, -1882,  2821,  3622,   727,
    3191,  1837,  2663,  5375,  1314, -1882,  1838,  2275, -1882,  1929,
   -1882,  2345,   422,  2607,  2042,  2148,  4171,  2332,   871,  2775,
     422,  1837,  3864,  5780,  4797,  2658,  2659,  4375,  2259,   424,
     422,   726,  4851,  1115,   216,  3623,  3345,   424,  3346,  4202,
    3281,  1525,  3693,  1457,  5677,  5890,  1223,   424,  1350,  1149,
    4789,  2677,  2679,  6095,  3551,  5788,  2822,  1141,  5662,  1055,
    1949,  3347,  4548,    35,  1949,  1224,  4248,  2999,   224,  2925,
    2608,    41,    42,  1839,  4203,  1225,  4267,  3598,  1936,  1458,
    2260,  4798,  3482,  4799,  3575,  5789,  1786,   871,  3038,  5173,
    4106,  1351,  4107,  1839,  3624,   993,   888,  4524,  1141,  4376,
    4528,  1011,  3526,  4180,  4852,  1176,  1525,   890,  2552,   235,
      37,    38,    39,    40,  1840,  4108,  5447,    44,  5449,  4719,
    4719,  1877,   238,  2912,  4172,  1198,  3907,   946,  4373,  1105,
    1183,  1877,  2718,  3751,  1840,  4154,  1459,  5592,  5306,   889,
    3192,  1052,  1460,  1525,   945,   250,  5207,  5208,  1352,  4789,
   -2288,   962,  5680,  1141,  -174,   216,  2832,  5874, -1120,  3455,
    3694,  3576,  5304,  5315,  3348,  1189,  3752,   962,  3695,  3349,
    1141,  3696,  3193,  2261,  3350,  2604,  1525,  1943,  4213,  1226,
    1213,  6004,  1943,  -174,  5307,  3194,  3132,  3794,  3597,   224,
    2833,  4720,  4720,  1147,  3577,  4629,  4630,  4631,  4632,  5332,
    1146,  4637,  4638,  4639,  4640,  4641,  4642,  4643,  4644,  4645,
    4646,   964,  1877,  4456,  2605,  1877,  1877,  1220,  3195,  4457,
    -598,  5295,  5775,  4109,  4721,  4721,  1473,   964,  4110,  3753,
     235,  4458,  3578,  1940,  3300,  1941,   727,  5747,  4592,  4722,
    4722,   888,  3318,   238,  1079,  5824,  1227,  5559,  4152,  4723,
    4723,  1943,   939,   939,   939,  1943,  1357,  4685,  4686,  4459,
    1358,  4460,  3754,  2723,  2045,  3689,   250,  5978,  1080,  5748,
    3747, -2831,  4796,  1525,  2724,  4724,  4724,  3112,  4593,  3983,
     251,  1473,  3926,  4794,   889,  1817,  1920,  2046,   962,   422,
    1525,  5560,  2725,  2008,   376,  5681,  5410,   888,  5964,  3011,
      37,    38,    39,    40,  2489,  2074,   424,    44,  3748,  1949,
    4381,  1525,  3351,  5745,  4461,  1877,  5718,  4960,  2871,  1228,
    3982,  2607,  3352,  6005,  1921,  4633,  2058,  4634,  6006,  3411,
     727,  3579,  1217,  2495,  4156,  2888,  1794,  3966,   727,  3772,
     889,  3749,  4462,  2075,  4720,  2059,   871,  3234,   964,  5275,
     727,  5276,  5277,  4797,     8,  5278,  4382,  1922,  1872,  1873,
    4725,  4725,  5200,  2287,  3530,  2497,  4111,  1525,  1449,  2443,
     975,  4364,   976,  4839,  3433,   216,  4112,  4721,  2608,  4228,
     939,  6028,  5285,   939,  2288,  4961,   975,  1525,   976,  2452,
    5220,  1585,  5147,   939,  3222,  2060,  5224,   981,  5164,  1525,
     872,  4463,  4723,  1450,  1795,   380,  4464,  3040,  5936,   224,
    4798,  1525,  4799,  2204,  4278,  5286,  4504,  1651,  4455,  2468,
    4245,  1255,  5812,  3883,   939,   939,  4514,   727,   727,  1261,
    5201,  3077,  4178,  2963,  2481,  -474,  1451,  2726,  1272,   939,
    4306,   727,   939,  6094,  5494,  5411,  2964,  6064,  4465,  2076,
     235,  1525,  1525,  4635,   727,   727,  5462,  3233,  4834,  2188,
    1349,  4824,   209,  4636,  4466,  4152,  2055,  5495,    81,  4152,
     380,    81,  4016,  1404,  2965,  4019,  1405,  1406,  4020,  4281,
     727,  2061,  2572,  1452,  2345,  5005,  1280,  3175,  4816,  3176,
    1407,  2879,  4331,  3178,  1282,  3179,  3260,  4831,  3181,  4838,
     251,  2842,  3182,    79,  2056,  4332,    79,   975,  6078,   976,
    4115,  6079,   431,  4725,  2961,    37,    38,    39,    40,  6017,
     939,    43,    44,   939,   939,  1295,    45,  2287,  1449,  2062,
    1473,  1931,  2063,  2899,  2204,  4624,  1296,  1207,  1207,  4012,
    1207,  2814,  4603,  2908,  4854,  2232,  2842,  1338,  2288, -1711,
    -474,  2823,  2962,  2337, -1711,  4337,  1347,  1350,  4467,   939,
     939,  5073,  2289,  1450,  4650,   939,   939,  1348,  2233,  1932,
    5031,  3285,   939,   939,   939,  2065,  2338,  2079,   939,  4957,
     939,   939,   939,   939,   939,   939,  2148,   939,  2832,   939,
     939,  3972,  2139,   939,  1314,   422,  4497,  5182,  2139,  4956,
    1351,  2353,  1933,  4958,  6061,  2354,  4500,  1525,   939,   939,
     939,   939,   424,  1812,  3414,  2080,   939,  4562,  4563,  2067,
     939, -1711,  2833,   939,   993,  1356,   939,   939,   939,   939,
     939,   939,   939,   939,   939,  4909,   939,  3520,  -383,  3523,
    4473,  2068,  4237,  1452,   939,    43,  5506,   939,  2081,  2100,
      45,  5551,   871,  2843,  1409,  2906,   423,  1352,  4910,   872,
    1201,  2070, -1711,  1925,  5320,  4187,  -383,  2900,  5677,  4775,
    2901,  5768, -1712,  1473,  2880,  2048,  2355, -1712,  2287,  2883,
    5494,  2844,  5321,   422,  1412,   955,  5502,  2101,  4452,   216,
    5507,  2102,  1423,  2117,  1424,  3457,  2121,  1926,  2843,  2288,
     424,  1927,  1813,  5495,  2845,   939,  2846,  6013,  5652,   120,
    3517,  1790,  4342,  2291,  4926,  5508,   423,  5657,   423,  3913,
    2103,   939,  3513,   224,  1202,  5016,  2844,   124,  1415,  4255,
     939,   939,  5509,  4233,  1928,  4927,  5510,  2036,  2275,  1418,
    2709,  2840,  2053,   422, -1712,   422,  5930,  2045,  2951,  2845,
    4343,  2846,  2957,  3583,  3127,  5678,  5511,  1431,  5679,  5512,
     424,  4217,   424,    35,   235,  3440,  3440,  1577,   431,   962,
    2046,    41,    42,  1245,  5513,  1822,  5680,   238, -1662,  4791,
    4792,  4445,   727,  4344,  1444, -1712,  2840,  -383,  -383,  -597,
    4234,  4235, -1114,  1357,  1203, -2267,  1453,  1358,  1297,  2537,
     250,    81,    81,  2538,   727,  1298,  1299,  1300,  2353,  1454,
     422,  1525,  3165,  1877,   251,  1525,  1525,  4026,  4772,  6077,
    4027,  2587,   727,  2275,  4028,  2709,  2483,   424,   727,   964,
    2282,  2283,   727,  1907,  2639,  2640,    79,    79,  2972,  2973,
     727,  4776,    35,   431,  1426,  3019,  1427,  4777,  1628,  1628,
      41,    42,  1628,  2275,  4778,  1929,  5514,    45,   727,  1455,
    5705,   939,  5707,  2361,  5515,  2362,  5711,   871,  5712,    37,
      38,    39,    40,   939,  1462,  3869,    44,  1525, -1170, -1170,
     939,  6108,  4152,   939,   939,  3688,  1465,  4779,  1402,  4152,
    4080,  1525,  4082,  4083,  4152,  4490,   431,  4152,  1263,  1264,
    2429,  4443,  2430,  5588,   727,  3396,  5516,  4443,  1481,  4780,
    3132,  4839,  2442,  5746,   251,  1476,  1141,  1265,  1536,  5681,
    1266,  1526,   727,   727,  4152,   193,  2583,    35,  2584,  1204,
    1542,  1525,  4569,  4570,  4571,    41,    42,   422,  4152,  1535,
    2275,   422,  2709,  4567,  4568,  4569,  4570,  4571,  1553,  4358,
    2636,  1474,  1011,  5048,   424,   727,  3851,  2586,   424,  2587,
    2591,  1473,  2592,  1473,   422,   872,  3105,  4367,  3106,  1560,
    4567,  4568,  4569,  4570,  4571,   128,   129,  4596,  4572,   727,
    1053,   424,  1872,  1873,  1580,  2058,   727,  3167,   975,  2587,
     976,  5216,   727,  3188,   871,  3189,    80,  1141,   871,   727,
    3698,   978,  2133,   727,  2059,  3190,    45,  3189,   727,  3900,
    1267,  3901,   980,  1628,  1619,  2204,  3690,  4474,   216,  4476,
    3225,   871,  3226,   422,  3396,  4131,  1623,  4132,   727,    37,
      38,    39,    40,   727,  3442,  3443,    44,   727, -1733, -1733,
     424,  1473,  1268,  1627,  3417,  2842,  2345,  2639,  3466,  1877,
     727,  3465,   224,  2587,  2060,  1636,  1634,  1877,  3870,  1640,
    1877,  4186,  1641,   727,  4187,   376,  1648,  3300,  3300,  3691,
    4187,  1642,  3300,   727,  3698,  3595,  4133,  3596,  4134,  3668,
     871,  3669,  1269,  2842,  1649,  3822,  1008,  3823,  1651,  1656,
     939,   939,   939,   235,  4609,  1650,   939,  4542,  4152,  1771,
   -1736, -1736,  4589,  1783,  1474,  1785,   238,  4832,  1652,  3300,
    3300, -1886, -1886, -1886, -1886,  3828,  2058,  3829, -1886,  3935,
    3852,  2587,  1654,  4483,   422,  4486,  3692, -1737, -1737,   250,
     376,   939,  1525,  1653,  3974,  2059,  3189,  4025,  1657,  2587,
    2061,   424,  4735,   251, -1437,  5911,  5912, -1437,  3698,  1658,
    4034,  3335,  2587,  4040,  2931,  2587,  4812,  4041,  3698,  2587,
    1660,  4152,    35,   431,  5998,  5999,    37,    38,    39,    40,
      41,    42,    43,    44,  1196,   939,  4042,    45,  2587,  1789,
     872,   871,  4073,  1792,  2587,  2060,  1796,  4086,  2062,  2587,
    1798,  2063,  2960,   726,   726,  3698,  1797,  2843,  1908,  2842,
    1814,  1803,  2908,  3343, -1893, -1893, -1893, -1893,  4091,  1819,
    4092, -1893,  1822,  4324,  1525,  4325,  1820,  1824,  1196,   727,
   -1884, -1884, -1884, -1884,  3693,  2844,  4329, -1884,  4330,  1835,
    5378,   939,  1850,  2488,  2065,  2843,  2489,  1823,  1854,  4945,
   -3040, -3040, -3040,  4932,  4949,  4353,  4950,  4354,  2845,  1851,
    2846,  1303,  1304,  1305,  1855,  1306,  1307,  1308,  1309,  1310,
    1311,  1857,  4536,  2844,  4537,  2495,  1861,  3853,  2842,  1865,
    1866,  2061,  2496,  4560,   727,  2587,  1862,  1870,  2067,  4602,
    2556,  4656,  1245,  4657,    35,  2840,  2845,  4666,  2846,  4667,
    2842,  1867,    41,    42,  1868,  5979,   193,  2497,  1869,  1871,
    2068,  4136,  4137,  4138,  4152,  1879,  1878,   872,  3586,  1663,
    1881,   872,  4054,  4677,  3854,  2587,  4055,  4056,  4057,  2062,
    2070,  1910,  2063,  2840,  5109,  4756,  1911,  4757,   727,  1912,
    4761,  1196,  4762,  2908,   872,   376, -1887, -1887, -1887, -1887,
    1929,  1923,  3694, -1887,  1525,  4771,   727,  3503,  1964,  1991,
    3695,  2843,  1988,  3696,   727,  1877,  1994,  4795,   939,  3189,
    4935,  1525, -3037,  4152,   939,  2065,  2148,   939,  2025,  1993,
     939,  3114,  2030,  1934,  1497,  2031,  1525,  3663,  2029,  2844,
   -1885, -1885, -1885, -1885,  2044,  2042,   939, -1885,  5006,   216,
    3189,   939,  4152,   872,  2488,  2054,  2557,  2489,  5068,  4372,
    2418,  5088,  2845,  2587,  2846,  2057,  2092,  2498,  4443,  2067,
    2093,  5114,  2499,  3226,   939,   939,   939,  2108,   422,   939,
    2843,  2118,  2122,   224,   422,  1935,  2495,   939,   939,   939,
     939,  2068,  4878, -3040,  5126,   424,  2587,  2128,  2119,  2840,
     939,   424,  2843,   939,  5184,   939,  3503,  2129,  2844,  2502,
    5190,  2070,  5191,  5196,  2127,  3189,   939,   939,  2497,  5197,
     939,  3189,   380,  2150,   235,  1404,  2153,  2155,  1405,  1406,
    2844,  2845,  2152,  2846,   939,   871,   939,   238,   939,  2158,
    2162,   871,  1407,  5334,  5383,  5335,  5384,  5385,  4058,  2587,
     878,  2171,  2163,  2845,   872,  2846,  2504,  3650,   939,  2842,
     250,  2172,  5393,  1474,  3226,  4152,  2175,  2178,  2840,   939,
    4059,  2181,    80,    80,  5980,    80,  5467,  5311,  5468,  5605,
    3674,  1936,  5552,   727,  3189,  4103,  5589,  5607,  5590,  3226,
    2840,  1474,  5615,  4150,  5616,  2184,   878,  3263,  3265,  2186,
     939,  5016,  2192,  2149,  3272,  5625,  5631,  2345,  4511,  2195,
    3286,  3287,  3288,  2197,  2188,   939,  5951,  5633,  1877,  4511,
    3304,  3306,  5644,  2206,  5645,  3316,  3396,  2207, -3040,   939,
    2211,  4187,  4060, -3040,  5698,  1937,  5699,  2422,  5738,  3727,
    2551,  2212,  4192,  4192,  1140,  5767,  2506,  5645,  1834,  5781,
    1836,  3226,  1140,  4150,  1140,  4187,  5782,  5783,  4092,  2587,
    -194,  1474,  2842,  2842,  5795,  2214,  5796,   878,  4380,  2842,
   -3040,  1525,  2215,  1938,  1525,  1663,  1525,   209,  4054,  2217,
    2219,  1525,  4055,  4056,  4057,  5801,  5804,  2345,  4511,  5823,
    5829,  3189,  3226,  1872,  1873,  2220,   727,   727,  5835,  4674,
    3226,  2235,   939,  4152,  2244,  5836,  1939,  3226,  5839,  2249,
    5840,  2843,  5841,  5843,  5842,  5844,  5870,  2504,  5871,  5918,
    5922,  5919,  2345,   727,  2242,   907,   727,  5065,  2254,  5923,
    1525,  2587,  5924,  2262,  2587,  2485,  1940,  2268,  1941,  2844,
    3833,  2270,  2269,  2507,  2487,  2271, -3040, -3040, -3040,  1525,
    2511,  2512,  2513,  2514,  2515,  2516,  2278,  2275,  2530,  5926,
    2281,  2587,  2845,  2279,  2846,  5060,  5061,  5062,  5063,  5064,
    2295,  4413,  4817,  5947,  1525,  5948,  2297,  2306,  4855,  4152,
    5971,  6000,  5972,  4511,  4152,  2305,  6012,  1942,  5638,  1474,
    2309,  2310,  2561,  2563,   422,   422,   422,  1474,  1474,  2840,
    2317,  6038,  6075,  5645,  6076,  2321,  6088, -3040,  5840,  2323,
    2324,   424,   424,   424,  2843,  2843,  4979,  4980,  2326,  5794,
    5171,  2843,  4061,  4062,  4063,  2328,  4064,  4065,  4066,  4067,
    4068,  4069,  6090,  2333,  6091,   727,  2334,  6106,  6114,  5919,
    6091,  2336,  2844,  2844,  5146,  1525,  5149,  1525,   872,  2844,
    2341,   871,   871,   871,   872,   727,  2344,  2347,  2348,  2359,
    2393,  2426,  2431,  2433,  2434,  2845,  2845,  2846,  2846,  2440,
    2441,  2447,  2845,   727,  2846,  2448,  4059,  2449,  2450,  2451,
     251,  2453,  2454,  4152,   726,  2523,  3300,  3300,  3300,  3300,
    2455,  2456,  3300,  3300,  3300,  3300,  3300,  3300,  3300,  3300,
    3300,  3300,  2840,  2840, -3040,  2457,  5353,  2458,  2460,  2840,
    2461,  2511,  2512,  2513,  2514,  2515,  2516,  2462,  2463,  4659,
    2521,  2464,  2465,  2466,  2467,  2469,  2470,  2471,  2472,  2473,
    2474,  2475,  2476,  2525,  2555,  2567,  1525,  2526,  4060,  2551,
    1609,  2577,  2590,  2582,  2593,  1838,  4535,  1840,  3300,  3300,
    2624,  2626,  2635,  2638,  2645,  1234,   727,  2653,  4691,  2662,
    2660,   939,  5169,  2664,  2672,  2673,  2675,   939,  2680,  5223,
    2683, -2984, -2979,  2684,  2488,  1525,  2686,  2489,  2687,  2688,
    2704,  2705,  2709,  2706,  2707,  4558,  2712,  2710,  2711,  2713,
     422,  2721,  2909,  2746,  2714,   988,  2715,  2740,  2752,  2777,
    2781,  4438,  1525,  2785,  2783,  2784,  2495,   424,  1525,  2789,
    2786,  2788,  2806, -3040,   727,  2804,   727,  2817,  2818,  4518,
    2805,  2819,  2830,  2834,  2836,  2837,  2839,  2838,  1628,   727,
    4531,   727,  2840,  2848,  4087,  2852,   422,  1877,  2497,  4491,
    4094,  2849,  2850,  1877,  2851,  2857,  1314,   871,  2861,  2867,
    2878,  2858,  2872,   424,  2873,  4557,  5658,  2868,  2884,  1196,
    5296,  2869,  2481,  2874,  2895,  2875,  2902,  2905,  2881,  2885,
    2008,  2886,  2890,  2891,  2920,  2903,  2943,  1525,  1196,  2913,
    2910,  2911,  2917,  2915,  2916,  2918,  2919,  5261,  5262,   999,
    5264,  2921,  2926,   871,   727,  1525,  2927,  2932,  2924,  2944,
    2950,  2949,  2933,  2945,  2955,  4114,  2481,  4699,  4700,  4701,
    4702,  1525,  2959,  2971,  2978,  5702,  2984,  2982,  2992,  2488,
      74,  2985,  2489,  3343,  2987,  2986,  2991,  2993,  4061,  4062,
    4063,  2994,  4064,  4065,  4066,  4067,  4068,  4069,  2995,  4124,
    3001,  3002,  3003,   727,  3004,  3008,  3015,  3014, -3040,  5518,
    3005,  2495,  5214, -3040,  3020,  4143,  3013,  3006, -3040,  3023,
    3024,   957,  3032,   727,   872,   872,   872,  3027,  3041,  5692,
    3052,  5694,  2076,  3056,  3038,  3057,  3060,  3076,  3065,  3079,
    3082,  3083,   376,  2497,  3092,   727,  3099,  3096,   727,  3101,
   -3040,  3102,  3119,  3121,  3122,  3168,  3108,  3113,  3137,  3126,
    3129,  3127,  3139,  3130,  6055,  3141,  3140,  3155,   939,  6058,
    3156,  1525,  3142,  3874,  3184,  4143,  3202,   939,  3053,  1195,
    3210,  3223,  3058,   939,  3185,   939,  3236,  3273,   939,  5254,
    1877,  3268,  1525,   939,   939,   939,   939,  2504,  3317,   939,
     939,   939,   939,   939,   939,   939,   939,   939,   939,  3323,
    4684,   422,   939,   939,  2489,  3327,  3336,  1525,  3342,  3354,
    3356,  3376,   939,  3377,  3391,  3400,   939,  3399,   424,  3934,
     939,  3402,  3405,  3408,  3407,  3409,  1202,  3436,   939,  3434,
    3418,   939,  3435,   939,  1090,  3451,  3422,  3437,  3458,  3472,
    3300,  1525,   939, -3040,  3474,   939,   939,  3475, -3040,  2541,
     939,   939,  3493,  3492,  5854,  5856,  1090,   939,   871,  3495,
    3521,  5848,  3524,  3526,  3535,  3528,  3529,   939,   878,  3540,
     939,  1663,  5313,  3545,  4054,  3546,  3548, -3040,  4055,  4056,
    4057,  3550,   939,  3552,  3556, -3040,  3570,  3571,  3574,  3587,
    2488,  4150,  3588,  2489,  4150,  5549,  3560,  3593,  5797,  1786,
    1790,  3604,  3611,    80,  3612,  3625,    80,  3630,  3631,  3657,
     872,  3652,  3658,  3667,  3679,  3660,  2488,  3675,  4443,  2489,
    3699,  3703,  2495,  5049,  3771,  3778,  1217,   939,  3759, -3040,
    2488,  3779,  2504,  2489,  3782,  1203,  3791,  3797,  3803,  3802,
    3804,  3810,  3815,   939,  3817,  3857,  3821,  3842,  2495,  3824,
    5614,  3830,   724,  3843,  2497, -3040,   872,  3859,  5454,  1525,
    4889,  3861,  2495,  3863,  3872,  3875,  3881,  3884,  3889, -3040,
    3890,   939,  3891,  3892, -3040,  3893,  3894,  3897,  3903,  3905,
    2497,  2511,  2512,  2513,  2514,  2515,  2516,  3906,  3909,  3910,
    3924,  3925,  3929,  3928,  2497,  4150,  3930,  3931,  5949,  3933,
    2656,  3938,   727,  3936,  4053,  3939,  3284,  3941,  5478,  5353,
    3940,  3962,  3942,  3950,  3951,  3965,  4081,  3964,  3969,  3976,
    3977,  4687, -3040,  3978,  3979,  3980,  2345,  3981,  2342,  2307,
    1092,  3989,  3237,  3991,  3992,  3993,   422,  4000,  4003,  4008,
    4010,   422,  1314,   422,  1625,  4017,  4015,  4688,  4104,  4014,
    4018,  4039,  1092,   424,  4050,  4022,  4036,  4037,   424,  1525,
     424,  5120,  4038,  4043, -3040,   422,  4044,  4046,  4049, -3040,
    4072,  5479,  4059, -2150,  2587,  4078,  4088,  5477,  4085,  4099,
    4105,  4187,   424,  1525,   422,  4122,  4130,  4127,  4100,  4154,
   -3040,  5137,  1314,   871,  1877, -3040,  3019,  4197,   871,  4113,
     871,   424,  4195,  4123, -3040, -1739, -3040,  4125,  5848, -3040,
    4126,  4129,  4194,  3404,  5473,  4189,  4201,   727,  1877, -3040,
     727,  5520,   871,  4208,  4231,  4199,  2511,  2512,  2513,  2514,
    2515,  2516, -3040,  4215,  4060,  4221,  4219,  4236,  5624,  4238,
    4224,   871,  3727,  5861,  1140,  4220, -3040,  4239,  1140,  5624,
    4225,  2353,  4243,  2504,  4247,  4250,  4252,  4244,  4259,  4274,
    4275,  4285,  4287,  4291,  4292,  4293,  4294,  4297,  4309,  4310,
    4312,   872,  4320,  4318,  4328,  4338,  4319,  4355,  4357,  2504,
    4359,  2418,  4362,  4363,  4368,  4366,  4370,   939,  4386,  4371,
    4387,  4388,  5704,  2504,  4391,  4384,  4394,  4385,  4396,  4399,
    4389,  4390,  4398,  5026,  2658,  2659,  4405,  4392,  4393,   376,
    4395,  4397,   727,   727,  4400,  4403,  1525,   726,  4407,  2941,
     376,  4416,   727,  4417,  4423,  4409,  4418,  4427,  5691,   939,
    4428,  5696,  4420,  1908,  4430,  4436,    80,    80,  4410,  4412,
    1473,   727,  4450, -3040,  4492,   376,  4481,  4494,  4496,  4499,
     423,  4482,  4488,  4150,  4510,  4511,  4513,  4557,  4519,  4525,
    4522,  4529,  4526,  4530,  4533,  1525,   939,   939,  4534, -3040,
    2488,  4546,  4555,  2489,  4583,  1474,  4574,   422,  4576,  4584,
    4585,  4564,  4595, -3040,  4566,  4586,  4587,  4588,  4597,  4598,
    4599,  4606,  4607,  4608,   424,  2442,  4610,  4611,  4590,  4612,
    4613,  5821,  2495,  4614,  4618,  5186,  4075,  4054,  4074, -3040,
   -2149,  4627,  4668,  4692,  4679,  4709,  4652,  1140,  1140,  4737,
    4653,   727,  4750,  4654,  4061,  4062,  4063,  4660,  4064,  4065,
    4066,  4067,  4068,  4069,  2497,  4680,  4733,  4742,  4759,  4755,
   -3040,  4683,  4698,   878,   939,  4710,  1785,  2511,  2512,  2513,
    2514,  2515,  2516,  1877,  4718,   939,  4739,  4661,  5802,  4767,
    4743,  4741,  4745,  4753,  4746,  4774, -3040,  4782,  4803,  4805,
    4811,  4818,  4806,  2511,  2512,  2513,  2514,  2515,  2516,  4819,
   -3040,  4820,  4821,  4823,  4827,   939,  4825,  2511,  2512,  2513,
    2514,  2515,  2516,  4842,  4828,   939,   939,  4845,  1525,  4857,
    4858,  4859,   939,   939,  4860,  4872,   872,   939,  1525,  4870,
    4887,   872,   939,   872,  4886,   939,   939,  4871,  4884,  5818,
     939,  4873,  4874,  1785,  4897,  5219,   939,  4898,  4906,  5172,
    5174,  4903,  4921,  4875,  5226,   872,  1473,  2481,   939,  4923,
    1785,  4925,  4833,  4928, -3040,  4936,   939,  4937,  4939, -3040,
     939,  4940,  4943,  4706,   872,  4953,  4711,  4964,  4967,  4976,
    4982,  4990,  4996,  5018,  5023,  5001,  3189,  4995,  5002,  5037,
    4150,  3300,  4999,  5039,  4150,  5024,  5036,  5040,  5044,  5058,
    5386,   939,  5066,  5070,  5072,  5042, -3040,  5041,  5046,  5047,
    5078,  5099,  5085,  5090,  5094,    81,  5100, -2151,  5101,  5102,
    5142,  3767,  5135,  1314,  5140,  5166,  5095,  5103,  5143,  5150,
    5122,  5107,  5138,   939,  5151,  5157,  5155,  5156,  5158,  5170,
    5179,  5187,  5185,  5183,  5193,  5202,  5198,  5221,  5222,  5232,
      79,  1525,  5225,  2504,  5233,  3796,   422,  5192,  3796,  5231,
    3796,  5253,  5244,  5265,  3796,  5273,  3796,  3796,   727,  5274,
    5247,  5251,  5256,   424,  5257,  3796,  3796,  3796,  5287,  5279,
    5293,  5288,  5294,  5302,  5303,  5309,  5312,  5297,  5317,  5325,
    1525,  5328,  5331,  5308,  5336,  5338,  5310,  5346,  5348,  5691,
    5349,  5350,  5351,  5358,  5363,  5368,   727,  5372,  5373,  5379,
    5387,  1525,  5389,   871,  5380,  1877,  5391,  3650,   727,  4850,
    5390,  5414,  1663,  5392,  5382,  4054,  5398,  5404,  5407,  4055,
    4056,  4057,  5418,  3876,   939,  5433,  5438,  5442,  5445,  5448,
    5459,  3674,  5469, -3040,  5470,   727,  4675,  5464,  5475,  5500,
    5519,  5521,  4963,  5527,  5461,  2488,  5463,  5481,  2489,  5482,
    3727,  5529,  2490,  2491,  2492,  3908,  5486,  5491,  5531,  5534,
    5492,  5538,  5493,  5555,  1474,  5532,  1525,  5535,  5562,  2493,
    5537,  5564,  5570,  5567,  5572,  5939,  5579,  2495,  1663,  5580,
    5595,  4054,  5591,  5593,  2496,  4055,  4056,  4057,  5594,  5610,
    3948,   939,  5601,  1473,  5613,  5617,  5623,  5627,  5630,  5634,
    5661,  5636,  5116,  5663,  5642,   939,  5653,  5638,  5664,  2497,
    5670,  5719,  5676,  1663,  5721,  5726,  4054,  5733,  5730,  1474,
   -3040, -3040, -3040,  5740,  5751,  5731,  5744,  5762,   727,  5750,
   -3040,    74,  5758,  5763,   939,  5764,  5771,  2511,  2512,  2513,
    2514,  2515,  2516,  5779,  5784,  5793,  5772,  5806,  5988,  5989,
    1663,  5774,  1090,  4054,  1090,  5809,  1090,  4055,  4056,  4057,
    5785,  5773,  1090,  1607,  1608,  5810,  4626,  5814,  5815,  5832,
    3300,  5828,  5853,  5860,  5117,  1525,  5859,  1525,  5864,  5866,
    5876,  5877,  5873,  5882,  5894,  5869,  1090,  1090,  5895,  5896,
    5897,  5902,  5903,  5932,  5913,  3300,  5940,  5915,  5862,  5942,
    4655,  5959,  4693,  5950,  5960,  5934,  5863,  5991,  5958,  5977,
     727,  6003,  6024,  4059,  5996,  6010,  6049,  6080,  6016,  2498,
    6021,  6056,  6047,  6030,  2499,  4143,  6081,  1663,   939,  6059,
    4054,  6063,  1525,  6083,  4055,  4056,  4057,   939,  6048,  6085,
    6084,  6097,  6098,  6089,  6107,  4697,  2500,  2501,  6109,  6104,
    6105,  1215,  6110,   376,   939,   939,  2956,  3866,   939,  2574,
    1992,  2502,  2090,  4181,  3732,  3656,  4848,  4303,  4841,  5945,
    6062,  5943,  3770,   939,  4435,  4060,  4946,  5713,  5847,  4059,
     939,  6022,  4978,  1663,  2089,   939,  4054,  5571,   939,   939,
    4055,  4056,  4057,  5292,  2503,   939,   939,  4150,  5548,  3975,
    4241,  5935,  5452,  6018,  4150,  5867,  5439,   376,  2504,  4150,
    5865,  2505,  4150,  5957,  1090,   939,   872,   939,  6035,  4246,
    1196,  5027,  5007,   727,   878,   727,  5826,  4971,  4846,   939,
    3840,  3841,  4322,  1900,  1140,  4498,  5437,  4994,  5314,  4150,
    2078,  4060,  5554,  4506,  5558,  3831,  5586,  6023,  1092,  6111,
    1092,  4059,  1092,  4150,  6102,  6112,  6113,  5533,  1092,  4437,
    4453,  5962,  3031,  5480,  5672,  5834,  1110,  5483,  1474,  1525,
     727,  2415,  5067,  1090,  5648,  1140,  4060,  6074,  2428,   939,
    3098,  5033,  1092,  1092,  3498,  4232,  2183,  3109,  5769,  3143,
    1475,  3230,  3231,  4406,  3232,  4502,  5553,  4896,  2506,  5982,
     422,  6096,  1800,  4876,  1877,  2720,  3420,  3174,  3413,  5011,
    3300,  3421,  5441,  4060,  1554,  4763,  5175,   424,  5929,  2360,
    3971,  2536,  4185,   939,  2620,  2588,  3450,  2621,  4059,  4196,
    1140,  3431,  5584,  4740,  5925,  5808,  5161,  4713,  5148,  5133,
    5629,  3449,  4143,  4707,  5792,  5791,  4143,  1140,  4764,  4708,
    6099,  2630,  2625,  6002,  6057,  5916,  5608,   871,  4662,  5435,
    5927,  4120,  5928,  3381,  4031,  4061,  4062,  4063,  4118,  4064,
    4065,  4066,  4067,  4068,  4069,  3390,  5575,  3793,  4556,   376,
     376,  3927,  1248,  3104, -3040,  2256,  5904,  1218,  2644,   939,
    4060,  1525,  1576,  3467,  3476,  2507,  4176,  2637,  2508,  2509,
    2510,  1889,  2511,  2512,  2513,  2514,  2515,  2516,  1919,  1890,
    1092,  1474,  3483,  4150,  4045,  3480,  2423,   939,  1525,  4769,
     939,  5162,   939,  3481,   724,   724,  4770,  2540,  1241,  1905,
    4744,  4061,  4062,  4063,  3973,  4064,  4065,  4066,  4067,  4068,
    4069,  2641,   939,  3487,  2350,  3186,  4060,    83,   939,     0,
    5440,     0,   939,  1614,     0,     0,     0,     0,  1525,     0,
       0,     0,   939,     0,     0,     0, -3040, -3040, -3040,  1092,
    4064,  4065,  4066,  4067,  4068,  4069,  4150,     0,     0,     0,
       0,     0,     0,   878,     0,     0,     0,  3300,     0,   422,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4327,  4061,  4062,  4063,   424,  4064,  4065,  4066,
    4067,  4068,  4069,     0,  1525,     0,     0,     0,     0,  1525,
    1525,     0,     0,     0,   939,     0,     0,     0,     0,     0,
       0,   727,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   727,     0,     0,   871,    74,    74,     0,
      74,  5753,     0,     0,     0,     0,  4365,     0,     0,     0,
       0,     0,     0,     0,  1877,  1877,  1090,     0,     0,     0,
       0,     0,   939,     0,     0,     0,     0,     0,  1877,     0,
    4061,  4062,  4063,     0,  4064,  4065,  4066,  4067,  4068,  4069,
       0,     0,     0,     0,     0,   939,     0,     0,     0,  1967,
       0,     0,     0,     0,     0,     0,  6001,     0,     0,     0,
       0,     0,     0,     0,     0,   384,     0,     0,     0,  4150,
       0,   384,     0,  4404,     0,   721,  5811,     0,  1525,  1525,
       0,     0,     0,  1968,     0,     0,  4061,  4062,  4063,  5778,
    4064,  4065,  4066,  4067,  4068,  4069,     0,     0,     0,     0,
       0,   939,   384,     0,   939,     0,     0,   939,     0,     0,
       0,     0,     0,  1969,     0,  3796,     0,     0,   939,     0,
     872,     0,   939,  5098,   939,     0,   939,     0,  4150,  4434,
       0,     0,     0,   939,  2058,     0,     0,  4448,     0,     0,
       0,     0,  1970,  4448,     0,  3300,     0,     0,   384,  1474,
    3300,  1474,   939,  2059,     0,     0,     0,  4150,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     422,     0,     0,     0,     0,     0,     0,  1971,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   424,     0,   727,
       0,     0,     0,     0,     0,     0,     0,  4509,     0,     0,
       0,     0,     0,  2060,  4833,     0,     0,     0,     0,     0,
       0,  2743,  1092,  1972,     0,     0,  4143,  1090,     0,   384,
       0,  4143,  1090,  1090,  4143,     0,  6046,   871,  4541,  1474,
       0,     0,     0,     0,     0,     0,     0,     0,   939,   878,
       0,     0,     0,     0,     0,     0,   939,  1973,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3948,     0,
       0,     0,     0,     0,     0,     0,  4834,     0,   422,     0,
    4150,     0,     0,     0,     0,   939,   939,   939,  1974,  1975,
       0,     0,     0,     0,   939,   424,     0,     0,  1525,  2061,
       0,     0,     0,     0,   939,     0,     0,     0,  2654,     0,
    1607,  1608,     0,   727,     0,     0,  5505,     0,     0,   872,
       0,  5963,     0,     0,     0,   380,  1976,   939,  5984,  2669,
     209,  5985,  5986,     0,  1977,   871,  2676,  2678,     0,     0,
       0,     0,   727,  1978,     0,  5987,     0,  2062,     0,     0,
    2063,  1979,     0,     0,     0,     0,     0,     0,     0,  1980,
       0,  2908,     0,  4835,   717,     0,     0,     0,     0,     0,
       0,  1981,     0,  1877,     0,  1877,     0,     0,     0,  1982,
     939,     0,     0,     0,     0,   939,     0,     0,     0,     0,
       0,   384,     0,  2065,   939,     0,   376,     0,     0,     0,
     939,   939,     0,   939,   380,     0,  1090,  5984,     0,     0,
    5985,  5986,     0,   939,     0,     0,  1090,     0,  4150,  6009,
       0,     0,  4672,  1092,  5987,     0,   384,     0,  1092,  1092,
       0,  3240,   376,     0,     0,  1983,     0,  2067,     0,     0,
       0,     0,     0,     0,     0,     0,   727,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2068,
       0,     0,     0,     0,   878,     0,     0,     0,     0,     0,
     939,     0,  5319,     0,     0,   939,     0,     0,     0,  2070,
    3241,  4836,     0,     0,  4837,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4150,     0,     0,  1090,  4143,  4150,
    1090,  1090,   939,   380,     0,  6009,  5984,   939,  2481,  5985,
    5986,   422,  3242,     0,   939,   724,     0,     0,     0,     0,
       0,     0,     0,  5987,     0,     0,     0,     0,   424,     0,
       0,     0,     0,     0,     0,  3243,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3244,   939,     0,     0,
     872,     0,     0,  1140,  1877,     0,     0,   939,     0,     0,
       0,     0,     0,  6069,     0,     0,  3245,     0,   871,     0,
       0,  3246,   422,     0,   939,     0,     0,     0,     0,     0,
       0,     0,     0,  2840,     0,     0,     0,   939,   422,   424,
       0,   878,     0,     0,     0,   878,     0,     0,  4150,     0,
    1090,     0,  1092,     0,     0,   424,     0,   939,   939,     0,
       0,     0,  1092,     0,     0,     0,     0,     0,   878,     0,
       0,     0,  3247,     0,  6069,     0,     0,     0,     0,   871,
       0,     0,  2754,     0,  1140,     0,     0,  2755,     0,     0,
    6069,  4143,     0,  3248,     0,   871,     0,     0,   872,     0,
       0,   376,     0,     0,  4448,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2756,     0,     0,     0,     0,   878,  4883,     0,
       0,     0,     0,     0,     0,  2757,  4890,     0,     0,  4891,
       0,  4892,  3103,  1092,     0,     0,  1092,  1092,     0,     0,
    2758,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     907,  3249,     0,     0,  3250,     0,     0,  3115,     0,     0,
       0,     0,     0,     0,     0,     0,   376,  3123,     0,  3124,
       0,     0,     0,  4931,     0,  3128,  5505,     0,     0,  3131,
    3251,  2759,     0,  3252,     0,     0,  3796,     0,     0,  3253,
    3796,  3796,  2760,  3796,     0,     0,  3254,     0,  4434,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,  2761,  2488,     0,     0,  2489,  2762,   878,     0,
    2490,  2491,  2492,     0,  3255,     0,     0,     0,    74,  3256,
       0,    74,  3257,     0,     0,     0,  1092,  2493,     0,     0,
    2494,     0,     0,     0,     0,  2495,     0,     0,     0,     0,
       0,  3258,  2496,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2488,     0,     0,  2489,     0,     0,     0,  2490,
    2491,  2492,     0,     0,  5917,     0,  3259,  2497,     0,     0,
       0,     0,     0,     0,     0,     0,  2493,     0,     0,  2763,
       0,     0,     0,     0,  2495,     0,  5030,     0,     0,     0,
    5609,  2496,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     384,   872,     0,  2764,   384,     0,  2497,     0,  3274,  3275,
    3948,  3948,  3948,  3948,  3948,  3289,  3290,  1288,   721,     0,
    2483,     0,     0,     0,     0,  1288,     0,   721,  1288,     0,
       0,     0,     0,     0,     0,     0,   907,  2765,     0,     0,
       0,   721,     0,     0,  3328,     0,     0,     0,     0,  5075,
    5075,  5075,     0,  5075,  5075,  5075,  5075,  5075,     0,     0,
       0,     0,   872,     0,     0,     0,     0,  2498,     0,  2766,
       0,     0,  2499,     0,     0,  2767,     0,     0,   872,     0,
     721,   376,  2768,     0,     0,  2769,   721,     0,     0,     0,
       0,     0,     0,     0,  2500,  2501,     0,     0,     0,   721,
    2669,     0,     0,     0,     0,   376,     0,     0,     0,  2502,
       0,     0,     0,     0,     0,  2770,  2498,     0,     0,     0,
       0,  2499,  2771,     0,     0,   721,     0,     0,     0,     0,
    2772,     0,     0,     0,     0,     0,     0,  2773,     0,     0,
    1288,   721,  2503,  2500,  2501,     0,     0,  1288,     0,   721,
    1288,     0,     0,     0,     0,     0,  2504,     0,  2502,  2505,
       0,     0,  2774,   721,     0,     0,     0,     0,     0,     0,
    3439,  3439,     0,     0,     0,     0,     0,     0,     0,   721,
       0,     0,  5160,     0,  6045,  5167,  5168,  6068,     0,     0,
       0,  2503,   878,     0,     0,     0,     0,     0,   878,     0,
       0,     0,     0,     0,     0,  2504,     0,     0,  2505,  5786,
      80,     0,     0,     0,     0,     0,     0,     0,  1090,     0,
       0,     0,     0,     0,     0,     0,  5803,     0,  1508,     0,
    5805,     0,  5807,     0,     0,     0,     0,     0,  1900,     0,
       0,    74,    74,     0,     0,     0,  2506,     0,  6068,     0,
       0,     0,     0,     0,  1508,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6068,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   721,     0,
    1090,     0,     0,   376,     0,  2488,     0,     0,  2489,     0,
       0,     0,  2490,  2491,  2492,  2506,     0,  1291,     0,   384,
       0,     0,     0,     0,     0,     0,  1323,     0,     0,  2493,
       0,     0,     0,     0,     0,     0,     0,  2495,     0,     0,
    1344,   931,     0,     0,  2496,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2507,     0,     0,  2508,  2509,  2510,  2497,
    2511,  2512,  2513,  2514,  2515,  2516,     0,     0,     0,   717,
       0,     0,     0,     0,     0,   717,     0,   721,   721,  5268,
    5269,     0,     0,     0,  3607,     0,     0,     0,   717,     0,
    3796,     0,  3796,  3796,     0,     0,  3796,     0,     0,     0,
       0,     0,  2507,     0,     0,  2508,  2509,  2510,     0,  2511,
    2512,  2513,  2514,  2515,  2516,     0,     0,     0,     0,     0,
       0,  4095,     0,     0,  1092,     0,  2488,     0,   724,  2489,
       0,     0,     0,  2490,  2491,  2492,     0,     0,     0,     0,
       0,     0,     0,     0,  1905,     0,     0,     0,     0,     0,
    2493,     0,     0,     0,     0,  5327,     0,     0,  2495,     0,
       0,     0,     0,     0,  1090,  2496,     0,     0,     0,  2498,
       0,     0,  1090,     0,  2499,  1090,     0,     0,     0,     0,
       0,  3915,     0,     0,     0,   384,  1092,     0,     0,  5352,
    2497,     0,     0,     0,     0,     0,  2500,  2501,     0,     0,
       0,     0,  1967,  1288,     0,     0,     0,     0,     0,  1288,
       0,  2502,  1288,     0,     0,     0,     0,     0,   878,   878,
     878,     0,     0,   383,     0,     0,     0,     0,     0,   383,
       0,  5075,     0,   720,     0,     0,  1968,     0,     0,     0,
       0,     0,     0,     0,  2503,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2504,     0,
     383,  2505,  2488,     0,     0,  2489,     0,     0,     0,  2490,
    2491,  2492,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2493,     0,     0,     0,
       0,  2157,     0,     0,  2495,  1970,     0,     0,     0,     0,
    2498,  2496,     0,     0,     0,  2499,   383,     0,     0,     0,
       0,     0,     0,     0,  2488,     0,  2174,  2489,     0,     0,
       0,  2490,  2491,  2492,     0,     0,  2497,  2500,  2501,     0,
    1971,  2185,     0,     0,     0,     0,     0,     0,  2493,     0,
       0,     0,  2502,     0,     0,     0,  2495,     0,  2506,     0,
       0,     0,     0,  2496,  1136,     0,   717,   717,     0,     0,
    1092,  3916,  1136,     0,  1136,     0,  1972,     0,  1092,   721,
       0,  1092,     0,     0,     0,  2503,     0,   383,  2497,     0,
       0,     0,     0,     0,  4448,     0,     0,   721,     0,  2504,
       0,     0,  2505,     0,  3943,  3946,     0,     0,     0,     0,
    1973,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   878,   721,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3796,     0,     0,
       0,     0,  1975,     0,     0,     0,  2498,     0,     0,     0,
       0,  2499,     0,     0,     0,  2507,     0,     0,  2508,  2509,
    2510,   721,  2511,  2512,  2513,  2514,  2515,  2516,     0,     0,
     878,     0,  3326,  2500,  2501,     0,  1967,   721,     0,     0,
    1090,     0,     0,   209,     0,     0,     0,  3917,  2502,  2506,
       0,     0,   721,     0,     0,   721,  1978,     0,  2498,     0,
       0,     0,     0,  2499,  1979,     0,     0,     0,  1995,     0,
    1968,     0,  2798,     0,  1996,     0,     0,     0,     0,     0,
       0,  2503,     0,     0,  1981,  2500,  2501,  1997,     0,     0,
       0,     0,  1982,     0,     0,  2504,     0,     0,  2505,     0,
    2502,     0,     0,     0,     0,     0,     0,     0,     0,   383,
       0,     0,     0,     0,  3918,     0,  1998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2424,     0,  1970,
       0,     0,     0,  2503,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   383,     0,  2507,  2504,  1983,  2508,
    2509,  2510,  3919,  2511,  2512,  2513,  2514,  2515,  2516,     0,
       0,     0,     0,  4449,  1971,     0,  1999,     0,     0,     0,
    2000,     0,     0,     0,     0,     0,     0,  2001,     0,     0,
    2002,     0,     0,   721,     0,  2506,     0,     0,     0,     0,
       0,   721,   721,     0,     0,     0,     0,     0,     0,     0,
    1972,     0,     0,     0,     0,  2003,     0,     0,     0,     0,
       0,     0,  1995,     0,  5686,  5686,     0,     0,  1996,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1474,     0,
       0,  2094,  5706,     0,  1973,     0,  1092,  2506,  2669,  2004,
       0,  4179,  5714,  1090,     0,   878,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   384,   384,   384,
    1998,     0,     0,     0,     0,     0,  1975,  4191,  4191,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   721,     0,
       0,     0,  2507,     0,     0,  2508,  2509,  2510,     0,  2511,
    2512,  2513,  2514,  2515,  2516,     0,     0,     0,  2005,  4620,
    2006,     0,     0,     0,     0,     0,     0,   209,   384,  2797,
    2007,  1977,  2095,     0,  2000,     0,   384,     0,     0,  2008,
    1978,  2001,     0,     0,  2002,     0,   384,     0,  1979,     0,
       0,  2009,     0,     0,  2507,     0,  2798,  2508,  2509,  2510,
       0,  2511,  2512,  2513,  2514,  2515,  2516,     0,  1981,  2003,
       0,     0,     0,     0,  1275,     0,  1982,     0,  2488,     0,
       0,  2489,     0,  1287,     0,  2490,  2491,  2492,     0,  2010,
       0,  1287,  2011,  2012,  1287,     0,     0,     0,     0,     0,
       0,     0,  2493,  2004,     0,     0,     0,     0,     0,     0,
    2495,     0,     0,     0,     0,     0,     0,  2496,     0,     0,
       0,     0,  2013,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1983,     0,  1410,     0,     0,     0,     0,     0,
       0,     0,  2497,     0,  1474,     0,     0,     0,  5851,     0,
    5852,     0,     0,     0,  5857,  5858,     0,     0,     0,  1092,
       0,     0,  2005,     0,  2006,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2007,     0,     0,     0,     0,     0,
       0,     0,     0,  2008,     0,     0,     0,  2014,     0,     0,
       0,     0,     0,     0,     0,  2009,  1275,     0,     0,     0,
     878,     0,     0,     0,     0,   878,  1287,   878,     0,     0,
       0,     0,     0,  1287,     0,     0,  1287,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   878,
       0,  2267,     0,  2096,  2860,   721,  2011,  2012,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   878,     0,
       0,     0,  2498,     0,     0,     0,     0,  2499,  2294,     0,
       0,     0,     0,     0,     0,     0,  2097,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   717,  1995,  2500,
    2501,  2308,     0,  5686,  1996,  5686,     0,     0,     0,     0,
       0,  2319,     0,     0,  2502,  2322,     0,  2094,     0,  2325,
       0,  2327,     0,     0,     0,   384,     0,  2335,     0,     0,
       0,     0,     0,  2343,     0,     0,  2346,     0,   383,     0,
       0,     0,   383,     0,     0,     0,  1998,  2503,     0,   721,
       0,  2014,     0,     0,     0,     0,   720,   721,     0,     0,
       0,  2504,     0,     0,  2505,   720,     0,     0,     0,   721,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,     0,     0,     0,  2983,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2095,     0,
    2000,  3000,  1090,     0,     0,     0,     0,  2001,  1090,     0,
    2002,  1474,     0,     0,     0,     0,     0,     0,   720,     0,
       0,     0,  3022,     0,   720,     0,     0,     0,     0,     0,
       0,     0,  4487,  2488,     0,  2003,  2489,   720,     0,     0,
    2490,  2491,  2492,  1288,  1288,     0,   721,   721,     0,     0,
       0,  2506,     0,     0,     0,     0,     0,  2493,  1288,     0,
     721,  1288,     0,   720,     0,  2495,     0,     0,     0,  2004,
       0,  1995,  2496,   721,   721,     0,     0,  1996,  3100,   720,
       0,     0,     0,     0,  5686,     0,     0,   720,     0,     0,
       0,     0,     0,  6070,     0,     0,     0,  2497,  3111,   721,
       0,   720,     0,     0,     0,     0,     0,     0,     0,     0,
    1508,     0,     0,     0,     0,     0,  4561,   720,     0,  1998,
       0,     0,  3125,  3946,     0,     0,     0,     0,  2005,     0,
    2006,     0,     0,     0,  2954,     0,     0,     0,     0,  1288,
    2007,     0,  1288,  1288,     0,     0,     0,     0,  2507,  2008,
       0,  2508,  2509,  2510,  6070,  2511,  2512,  2513,  2514,  2515,
    2516,  2009,  3151,  1508,     0,  4671,     0,     0,  1275,     0,
    6070,     0,     0,  2000,     0,     0,     0,     0,     0,  1287,
    2001,     0,     0,  2002,     0,  1287,     0,     0,  1287,     0,
       0,     0,     0,     0,     0,  1090,     0,     0,  1092,  3729,
       0,     0,  2011,  2012,  1092,     0,     0,  2498,  2003,     0,
       0,     0,  2499,     0,  1136,     0,   720,     0,  1136,     0,
       0,     0,     0,     0,  3915,     0,     0,     0,  3042,     0,
       0,   384,  3730,     0,  2500,  2501,  3059,   383,     0,     0,
       0,     0,  2004,     0,     0,  1967,     0,     0,  2954,  2502,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2246,
    2247,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1968,
       0,     0,  2503,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2504,  2014,     0,  2505,
       0,  2005,     0,  2006,     0,   720,   720,     0,     0,     0,
       0,     0,     0,  2007,     0,     0,     0,     0,  3330,   384,
     878,     0,  2008,     0,     0,     0,  3136,     0,     0,     0,
       0,     0,     0,  2488,  2009,     0,  2489,     0,  1970,     0,
    2490,  2491,  2492,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2954,     0,     0,     0,  2493,     0,     0,
       0,     0,     0,     0,     0,  2495,     0,     0,     0,     0,
       0,     0,  2496,  1971,     0,  2011,  2012,     0,     0,   384,
       0,   384,     0,     0,     0,     0,  2506,  1136,  1136,     0,
       0,  1092,     0,     0,     0,  4766,     0,  2497,     0,     0,
       0,   721,     0,     0,  3916,  2013,     0,     0,     0,  1972,
       0,     0,     0,   383,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   721,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   721,     0,  1973,     0,     0,   384,   721,     0,     0,
       0,   721,     0,     0,     0,     0,     0,     0,     0,   721,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2014,     0,     0,     0,     0,  1975,     0,   721,     0,     0,
       0,     0,     0,  2507,     0,     0,  2508,  2509,  2510,     0,
    2511,  2512,  2513,  2514,  2515,  2516,     0,     0,     0,  1288,
    4784,     0,  1288,  1288,     0,     0,     0,  2498,     0,  1090,
       0,     0,  2499,     0,     0,     0,   209,     0,     0,     0,
    1977,     0,     0,   721,     0,     0,     0,     0,     0,  1978,
       0,     0,     0,  1090,  2500,  2501,     0,  1979,     0,     0,
    1090,   721,   721,     0,     0,  2798,     0,     0,     0,  2502,
       0,     0,     0,     0,     0,     0,     0,  1981,     0,     0,
       0,     0,     0,     0,     0,  1982,     0,     0,     0,     0,
       0,     0,     0,   384,   721,     0,     0,   384,     0,     0,
       0,     0,  2503,     0,     0,     0,     0,  3918,  3555,     0,
       0,     0,     0,     0,     0,     0,  2504,   720,   721,  2505,
     384,     0,  3572,     0,     0,   721,     0,     0,     0,     0,
       0,   721,     0,     0,     0,   720,     0,     0,   721,  1607,
    1608,  1983,   721,     0,     0,  3919,     0,   721,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3605,   720,     0,     0,     0,   721,     0,     0,
       0,     0,   721,     0,     0,     0,   721,     0,     0,   384,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   721,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   720,
     717,     0,   721,  3138,     0,     0,  2506,     0,     0,     0,
       0,  3145,   721,     0,     0,   720,     0,     0,     0,     0,
       0,     0,  3489,     0,     0,  1092,     0,     0,     0,     0,
     720,  3157,     0,   720,     0,     0,     0,     0,     0,     0,
    3505,     0,     0,     0,     0,     0,  3509,     0,     0,  1092,
    3512,     0,     0,     0,     0,     0,  1092,     0,     0,     0,
       0,     0,     0,     0,     0,  3946,  3946,  3946,  3946,  3946,
       0,     0,     0,     0,     0,     0,  3536,     0,     0,     0,
     384,     0,     0,     0,     0,     0,     0,     0,  1090,     0,
       0,     0,     0,     0,   878,     0,     0,     0,     0,     0,
       0,     0,     0,  2507,     0,     0,  2508,  2509,  2510,     0,
    2511,  2512,  2513,  2514,  2515,  2516,     0,     0,     0,     0,
    5086,     0,  3591,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1995,     0,     0,     0,
     717,     0,  1996,     0,     0,     0,     0,     0,     0,     0,
       0,  1995,     0,     0,     0,     0,     0,  1996,   721,     0,
       0,   720,     0,  3826,  2058,     0,     0,     0,     0,   720,
     720,     0,     0,  3641,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2059,  1998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3670,     0,  1998,
       0,     0,     0,     0,  3680,     0,     0,     0,     0,     0,
    3685,     0,     0,   721,     0,  2488,     0,   717,  2489,     0,
       0,  3700,  2490,  2491,  2492,     0,  3704,     0,     0,     0,
       0,     0,     0,  2060,  2853,   383,   383,   383,  2000,  2493,
    2669,     0,     0,     0,     0,  2001,  3717,  2495,  2002,     0,
       0,  3719,     0,  2000,  2496,  3722,   720,     0,     0,     0,
    2001,     0,     0,  2002,     0,    74,     0,   721,  3739,     0,
       0,     0,  3410,  2003,     0,     0,     0,     0,  1967,  2497,
       0,  3764,     0,   878,  1092,   721,   383,     0,  2003,  2488,
       0,   717,  2489,   721,   383,     0,  2490,  2491,  2492,     0,
       0,     0,     0,  1288,   383,     0,  1288,  2004,     0,  1288,
       0,     0,  1968,  2493,  1136,     0,     0,     0,     0,  2061,
       0,  2495,  2004,     0,     0,  1090,     0,     0,  2496,     0,
    1090,     0,     0,     0,  1090,     0,     0,     0,     0,     0,
       0,     0,  2032,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2497,     0,  1136,     0,     0,     0,  5241,
    5242,     0,     0,     0,  5245,  5246,  2005,  2062,  2006,     0,
    2063,  1970,     0,     0,   384,  4001,     0,     0,  2007,     0,
     384,  2064,     0,  2006,     0,  1275,     0,  2008,  1275,  2498,
       0,     0,  4013,  2007,  2499,     0,     0,     0,     0,  2009,
       0,     0,  2008,     0,     0,     0,  1971,  4021,     0,     0,
    1136,     0,     0,  2065,  2009,     0,  2500,  2501,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1136,     0,  1287,
    1287,  2502,     0,     0,     0,     0,     0,  2854,     0,     0,
    2011,  2012,  1972,     0,  1287,     0,     0,  1287,     0,     0,
       0,     0,  2066,     0,     0,  2011,  2012,  2067,     0,     0,
       0,     0,   721,  2498,  2503,     0,     0,     0,  2499,     0,
    2855,     0,     0,     0,     0,     0,  1973,     0,  2504,  2068,
       0,  2505,     0,     0,     0,  2069,     0,     0,     0,     0,
    2500,  2501,     0,   720,     0,     0,     0,     0,     0,  2070,
       0,     0,     0,     0,     0,  2502,     0,  2033,  1975,     0,
       0,     0,     0,     0,   878,     0,     0,     0,     0,     0,
       0,  1092,     0,     0,     0,  1287,  1092,     0,  1287,  1287,
    1092,     0,     0,     0,     0,  2014,     0,     0,  2503,     0,
       0,     0,     0,     0,     0,  2034,  3988,     0,     0,   209,
    2014,     0,  2504,  1977,     0,  2505,     0,     0,     0,     0,
       0,     0,  1978,   383,  4002,     0,     0,     0,  2506,     0,
    1979,     0,  3988,     0,     0,   721,   721,     0,  2035,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,     0,
    1981,     0,     0,     0,     0,   720,     0,     0,  1982,     0,
       0,     0,   721,     0,     0,   721,     0,   720,     0,   719,
       0,     0,   878,     0,     0,     0,     0,     0,     0,     0,
       0, -2540,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   869,     0,     0,     0,
       0,     0,  2506,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1983,     0,     0,     0,     0,     0,
       0,  5436,     0,     0,     0,  2507,     0,     0,  2508,  2509,
    2510, -2540,  2511,  2512,  2513,  2514,  2515,  2516,     0,     0,
    2977,     0,   869, -2540,   720,   720,     0,     0, -2540,     0,
     384,   384,   384, -2540,     0,     0,     0,     0,   720, -2540,
       0,  4257, -2540,     0,     0,     0, -2540,     0,     0,     0,
       0,   720,   720,     0,   721,     0,     0,     0,     0,  1995,
    4268,     0,     0,     0,     0,  1996,     0,     0,     0,  1090,
    1135,     0,     0,     0,   721, -2540,     0,   720,  1135,  2507,
    1135,     0,  2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,
    2515,  2516,   721,   869,     0, -2540,  5121,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2540,     0,     0, -2540,
    3932,     0,     0,     0,     0, -2540,     0,  3937,     0,     0,
       0,     0,     0,     0,     0,     0,  4350,     0,  4352,     0,
       0,  2000,     0,     0,  3952,     0,     0,     0,  2001,     0,
       0,  2002,     0,     0,  3958,   721,     0,  3959,     0,  3960,
    3961,     0,     0,  3963,     0,   878,     0,     0,     0,  3967,
       0,  3968,     0,  1511,  3970,     0,  2003,     0,     0,     0,
   -2540,     0,     0,     0,     0,     0,     0,     0,     0,   383,
       0,     0,     0,     0,     0,     0,     0,     0,  1275,  1511,
       0,  4253,     0,     0,     0,  1287,   384,     0,  1287,  1287,
    2004,     0,     0,   721,  2488,   721,     0,  2489,     0,     0,
       0,  2490,  2491,  2492,     0,     0,   878,  4402,   721,     0,
     721,     0,     0,  1106,     0,     0,     0,     0,  2493,     0,
       0,     0,   878,     0,     0,  1092,  2495,     0,     0,  4011,
       0,     0,   384,  2496,     0,     0,     0,     0,     0,     0,
   -2540,     0,     0,     0,     0,     0,  4421,     0,     0,  2005,
       0,  2006,     0,     0,     0,     0,     0,   383,  2497,     0,
       0,  2007,     0,     0, -2540,     0, -2540, -2540,     0,     0,
    2008,     0,     0,   721,     0,     0,     0,     0,     0,     0,
       0,     0,  2009,     0,     0,     0,     0,     0,     0,  1090,
    1090,     0,     0,  4333,     0,     0,     0,     0,     0,     0,
       0,     0, -2540,  1090,     0, -2540, -2540,     0, -2540,     0,
       0,     0,     0,     0,     0,     0,     0,   383,     0,   383,
    2123,     0,   721,  2011,  2012,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,     0,   721,     0,     0,     0,     0,     0,  3605,     0,
       0,     0,     0,  2124,     0,     0,     0,     0,     0,     0,
       0,   720,     0,     0,   721,     0,     0,   721,  2498,     0,
       0,     0,     0,  2499,     0,     0,     0,     0,     0,   720,
       0,     0,  4559,     0,   383,   720,     0,     0,     0,   720,
       0,     0,     0,     0,     0,  2500,  2501,   720,     0,  5776,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2502,     0,     0,     0,  4414,   720,     0,     0,  2014,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1967,     0,  2503,     0,     0,     0,   384,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2504,     0,     0,
    2505,   720,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1136,     0,  1968,     0,     0,     0,   720,
     720,     0,  4619,     0,     0,  1092,  1092,  1995,     0,  5845,
       0,     0,     0,  1996,     0,     0,     0,     0,     0,  1092,
       0,     0,     0,  4628,     0,  2049,  1511,     0,     0,     0,
       0,   383,   720,     0,     0,   383,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4251,     0,     0,  4651,     0,
       0,  1511,     0,     0,  1970,  1998,   720,     0,   383,     0,
       0,     0,     0,   720,     0,     0,  1511,  2506,     0,   720,
       0,     0,     0,     0,  1136,     0,   720,     0,     0,     0,
     720,     0,  2424,     0,     0,   720,     0,     0,     0,  1971,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,     0,     0,  2000,
     720,     0,     0,     0,   720,  5777,  2001,   383,     0,  2002,
       0,  2954,     0,     0,     0,  1972,     0,   720,     0,  4311,
       0,  4313,     0,     0,     0,     0,     0,     0,     0,     0,
     720,  4591,     0,     0,  2003,     0,     0,     0,     0,     0,
     720,   721,     0,     0,     0,     0,  1511,     0,  1090,  1973,
    1090,     0,     0,     0,  2507,     0,  4605,  2508,  2509,  2510,
       0,  2511,  2512,  2513,  2514,  2515,  2516,     0,  2004,     0,
       0,  5377,     0,  1275,     0,     0,     0,     0,     0,  1287,
    2050,  1975,  1287,     0,     0,  1287,     0,     0,     0,     0,
       0,     0,   384,     0,     0,     0,     0,   384,     0,   384,
       0,     0,     0,     0,     0,     0,     0,     0,   383,     0,
       0,     0,     0,     0,   869,     0,     0,     0,  2051,     0,
       0,   384,   209,     0,     0,     0,  1977,  2005,     0,  2006,
       0,     0,   719,     0,     0,  1978,     0,     0,     0,  2007,
     384,   719,     0,  1979,     0,     0,     0,     0,  2008,     0,
       0,  2052,     0,     0,     0,   719,   721,     0,  4401,   721,
    2009,     0,     0,  1981,  4408,     0,     0,     0,     0,     0,
       0,  1982,  1364,  1995,     0,     0,     0,  1365,     0,  1996,
       0,     0,  1511,     0,     0,     0,   720,     0,     0,     0,
       0,     0,     0,     0,   719,     0,  2488,     0,  2778,  2489,
     719,  2011,  2012,  2490,  2491,  2492,     0,     0,     0,     0,
       0,     0,  1366,   719,     0,     0,     0,     0,     0,     0,
    2493,  1998,     0,     0,   931,  1367,  1368,  1983,  2495,  1090,
       0,  2779,     0,     0,     0,  2496,  1369,     0,  6067,   719,
    1370,   720,     0,     0,  1092,     0,  1092,     0,     0,     0,
       0,   721,   721,     0,     0,   719,     0,     0,  1371,     0,
    2497,   721,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2000,     0,   719,     0,     0,
     721,  1372,  2001,     0,   931,  2002,     0,     0,     0,     0,
       0,     0,  1373,   719,     0,   720,  2014,     0,     0,  6067,
    1374,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2003,     0,  1375,   720,     0,  6067,     0,  1376,     0,     0,
    4813,   720,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   384,     0,     0,     0,     0,     0,     0,
       0,     0,  2488,  1377,  2004,  2489,     0,  4981,     0,  2490,
    2491,  2492,     0,     0,  4573,     0,  4575,     0,  4577,     0,
     721,     0,     0,     0,     0,     0,  2493,  4581,  1378,     0,
    2498,     0,     0,     0,  2495,  2499,     0,     0,     0,     0,
       0,  2496,     0,     0,     0,     0,     0,     0,     0,  1379,
    1135,     0,   719,     0,  1135,     0,     0,  2500,  2501,     0,
       0,     0,   383,  2005,     0,  2006,  2497,     0,   383,     0,
    4604,     0,  2502,     0,     0,  2007,     0,     0,     0,     0,
       0,     0,     0,  1380,  2008,  1092,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4911,  2009,     0,  4914,     0,
       0,     0,     0,     0,     0,  2503,  1381,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   907,  1382,     0,  2504,
    1383,     0,  2505,     0,     0,     0,     0,  1511,     0,     0,
       0,     0,     0,     0,  3600,     0,     0,  2011,  2012,     0,
       0,   719,   719,     0,     0,     0,  1384,     0,     0,  1385,
     720,     0,     0,  1386,     0,  1387,     0,     0,     0,     0,
       0,     0,  1388,     0,     0,  1389,     0,  2013,     0,     0,
       0,     0,     0,     0,     0,     0,  2498,     0,     0,     0,
       0,  2499,     0,     0,  1390,     0,     0,     0,     0,     0,
    1391,     0,  1511,     0,     0,  1392,     0,     0,  1393,  2424,
    4992,     0,  1394,  2500,  2501,     0,     0,     0,     0,  2506,
    1395,     0,  1396,     0,     0,     0,     0,  1397,  2502,  2954,
       0,     0,     0,  1135,  1135,     0,     0,     0,     0,  1511,
       0,     0,  2014,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1398,     0,     0,     0,     0,   721,     0,   869,
       0,  2503,   384,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1511,   720,   720,  2504,     0,     0,  2505,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   721,     0,     0,     0,     0,
     720,     0,     0,   720,     0,     0,     0,   721,     0,  3988,
       0,     0,     0,     0,     0,     0,  2507,     0,     0,  2508,
    2509,  2510,     0,  2511,  2512,  2513,  2514,  2515,  2516,     0,
       0,     0,  5206,  5388,   721,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2506,     0,     0,     0,  1511,
       0,  5228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1511,     0,   383,   383,
     383,     0,  5243,     0,     0,  1511,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1511,     0,     0,
       0,     0,   720,     0,     0,     0,  2488,     0,     0,  2489,
       0,     0,     0,  2490,  2491,  2492,     0,   721,     0,     0,
       0,     0,   720,     0,     0,     0,     0,     0,     0,     0,
    2493,     0,     0,   719,     0,     0,     0,     0,  2495,     0,
     720,     0,     0,     0,     0,  2496,     0,  5270,     0,     0,
       0,   719,  2507,  1511,     0,  2508,  2509,  2510,     0,  2511,
    2512,  2513,  2514,  2515,  2516,     0,     0,     0,     0,  5397,
    2497,     0,     0,  1511,     0,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,  1511,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1511,     0,   721,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,   720,     0,     0,     0,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,  1511,  1511,     0,
       0,     0,     0,     0,     0,     0,   719,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,  5357,     0,
       0,     0,     0,     0,  5238,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   383,     0,  5248,     0,     0,     0,
    2498,   720,     0,   720,     0,  2499,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   720,     0,
       0,     0,     0,     0,     0,     0,     0,  2500,  2501,     0,
       0,     0,   721,  2424,   721,     0,     0,     0,     0,     0,
     383,     0,  2502,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   931,     0,     0,   931,     0,     0,     0,  5057,
       0,     0,     0,  5059,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2503,     0,     0,     0,   721,
       0,   720,     0,     0,     0,     0,     0,     0,  1288,  2504,
       0,     0,  2505,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,   719,   719,     0,     0,     0,
       0,     0,     0,  1511,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   384,     0,     0,     0,
     720,     0,  1288,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,     0,     0,     0,     0,   931,     0,     0,     4,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   869,   720,     0,     0,   720,     0,     0,     5,  2506,
       0,     0,     0,     0,     0,     0,     0,     0,     6,     7,
       0,     0,   719,     8,     0,     9,    10,     0,  3988,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,    36,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
     869,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1135,     0,     0,     0,     0,   383,     0,     0,     0,     0,
       0,     0,  1995,     0,     0,     0,     0,     0,  1996,     0,
       0,     0,     0,     0,     0,  2058,  2507,     0,     0,  2508,
    2509,  2510,  5205,  2511,  2512,  2513,  2514,  2515,  2516,     0,
       0,  1135,    46,  5400,  2059,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1998,  3988,     0,  3988,     0,   384,     0,  1511,     0,  2424,
       0,  1511,  1511,     0,  5229,  5230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     721,     0,     0,     0,  2060,     0,  1135,     0,     0,     0,
       0,     0,   721,     0,     0,     0,     0,     0,     0,  4402,
       0,     0,     0,  1135,  2000,     0,     0,    47,     0,     0,
       0,  2001,     0,     0,  2002,     0,     0,     0,     0,     0,
       0,     0,     0,  1511,     0,    48,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1511,     0,  2003,
       0,     0,     0,     0,     0,     0,     0,     0,    49,     0,
    5271,  5272,     0,     0,   931,  2424,     0,     0,     0,     0,
    2424,  2424,     0,     0,     0,     0,     0,     0,     0,   719,
    2061,     0,    50,  2004,     0,     0,     0,  1511,     0,   720,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    51,
       0,     0,    52,     0,     0,     0,     0,     0,  2062,     0,
       0,  2063,     0,     0,     0,     0,     0,     0,    53,     0,
     383,     0,  2064,     0,  2006,   383,     0,   383,     0,   869,
       0,     0,     0,     0,  2007,     0,     0,     0,     0,     0,
       0,     0,     0,  2008,     0,     0,     0,     0,     0,   383,
       0,     0,     0,   719,  2065,  2009,     0,  5367,     0,     0,
    5770,   719,     0,     0,     0,     0,  5369,  5370,   383,     0,
       0,     0,     0,   719,     0,     0,   384,     0,   721,     0,
       0,     0,  5374,     0,   720,     0,     0,   720,     0,     0,
       0,     0,     0,  3706,     0,     0,  2011,  2012,  2067,     0,
       0,     0,     0,     0,     0,     0,    54,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2068,     0,     0,     0,     0,     0,  3707,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2070,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     719,   719,     0,     0,    55,     0,     0,     0,     0,     0,
       0,   931,     0,     0,   719,   931,     0,     0,  1511,    56,
       0,     0,     0,     0,   384,     0,     0,   719,   719,   720,
     720,     0,     0,     0,    57,     0,     0,     0,     0,   720,
       0,  2014,   721,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   719,     0,     0,  1288,     0,   720,     0,
       0,     0,     0,     0,    58,     0,     0,     0,     0,     0,
       0,   721,    59,     0,    60,    61,    62,    63,    64,     0,
       0,    65,    66,    67,    68,     0,    69,    70,    71,    72,
      73,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1511,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   383,     0,     0,     0,     0,     0,     0,     0,  5921,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1288,
    1288,     0,     0,     0,     0,     0,     0,     0,   720,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     5,
       0,     0,     0,     0,     0,   721,     0,     0,     0,     6,
       7,     0,     0,     0,     0,   869,     9,    10,     0,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
    1511,     0,     0,     0,     0,     0,  5604,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1511,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   384,     0,     0,
    5299,     0,  1511,     0,     0,     0,     0,  2488,     0,     0,
    2489,     0,     0,     0,  2490,  2491,  2492,     0,     0,     0,
       0,     0,     0,    46,     0,     0,     0,     0,     0,     0,
       0,  2493,     0,     0,     0,     0,     0,     0,     0,  2495,
       0,     0,     0,     0,     0,     0,  2496,     0,     0,     0,
    5650,     0,     0,     0,     0,     0,     0,     0,   384,     0,
       0,  3988,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2497,     0,     0,   384,     0,  1288,  1288,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   719,     0,     0,    47,     0,
       0,   765,  5697,     0,     0,   720,     0,     0,     0,     0,
     383,     0,     0,     0,     0,     0,    48,   719,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   719,     0,     0,   765,    49,
     869,   719,     0,   720,     0,   719,   935,     0,     0,     0,
       0,  1995,     0,   719,     0,   720,     0,  1996,     0,     0,
     765,     0,     0,    50,     0,     0,     0,     0,   931,     0,
       0,   719,     0,     0,     0,   931,     0,     0,  1101,     0,
     931,  2498,   720,   931,  5416,     0,  2499,     0,     0,     0,
       0,     0,     0,  1103,     0,     0,     0,     0,     0,  1998,
      51,  1111,     0,    52,     0,     0,     0,     0,  2500,  2501,
     931,     0,     0,     0,     0,     0,  1125,   719,  1101,    53,
       0,     0,  1148,  2502,   931,     0,     0,     0,     0,  1135,
       0,     0,  1180,     0,     0,   719,   719,  1511,     0,     0,
    1511,  1185,  1511,     0,     0,     0,     0,  1511,     0,     0,
       0,     0,     0,  2000,     0,     0,  2503,     0,     0,     0,
    2001,     0,     0,  2002,     0,     0,     0,   869,   719,     0,
    2504,   869,     0,  2505,  1287,   720,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2003,     0,
       0,     0,   719,     0,   869,     0,  1511,     0,     0,   719,
       0,     0,     0,     0,     0,   719,     0,    54,     0,     0,
    1135,     0,   719,     0,     0,  1511,   719,     0,  1287,     0,
       0,   719,  2004,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1511,   719,     0,     0,     0,     0,   719,     0,     0,     0,
     719,     0,     0,   869,     0,    55,     0,   720,     0,     0,
    2506,     0,     0,   719,     0,     0,     0,     0,     0,     0,
      56,     0,     0,     0,     0,     0,   719,     0,     0,     0,
       0,  2005,     0,  2006,   931,    57,   719,     0,     0,     0,
       0,     0,     0,  2007,     0,     0,     0,     0,     0,     0,
       0,     0,  2008,     0,     0,     0,     0,     0,     0,     0,
       0,  1511,     0,  1511,  2009,    58,     0,     0,     0,     0,
       0,     0,     0,    59,     0,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1569,     0,     0,     0,     0,    71,
    1570,     0,     0,     0,     0,     0,     0,   931,     0,     0,
       0,     0,  3773,     0,   869,  2011,  2012,  2507,     0,     0,
    2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,  2515,  2516,
     720,     0,   720,     0,  5450,     0,     0,     0,     0,     0,
       0,     0,  1995,     0,     0,  3774,     0,     0,  1996,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1511,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1998,  6014,   719,     0,     0,     0,     0,     0,  1995,  2488,
       0,  1511,  2489,     0,  1996,     0,  2490,  2491,  2492,     0,
    2014,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2493,   383,     0,     0,  5732,  1511,     0,
       0,  2495,     0,     0,  1511,     0,     0,     0,  2496,     0,
       0,     0,     0,     0,  2000,     0,  1998,   719,     0,     0,
     931,  2001,  2488,     0,  2002,  2489,     0,     0,     0,  2490,
    2491,  2492,     0,  2497,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2493,     0,     0,  2003,
       0,     0,     0,     0,  2495,     0,     0,     0,     0,     0,
       0,  2496,     0,     0,     0,     0,     0,     0,     0,     0,
    2000,   719,     0,  1511,     0,     0,     0,  2001,     0,   931,
    2002,     0,     0,  2004,     0,     0,  2497,     0,     0,   719,
       0,  1511,     0,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,  2003,     0,  1511,   931,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   765,
       0,     0,     0,     0,     0,  2488,     0,     0,  2489,     0,
       0,     0,  2490,  2491,  2492,     0,     0,     0,     0,  2004,
       0,     0,  2005,  2498,  2006,     0,     0,     0,  2499,  2493,
       0,     0,     0,     0,  2007,     0,     0,  2495,     0,     0,
       0,     0,     0,  2008,  2496,     0,     0,     0,     0,     0,
    2500,  2501,     0,     0,     0,  2009,     0,     0,   869,     0,
       0,     0,     0,   383,   869,  2502,     0,     0,     0,  2497,
       0,     0,     0,     0,     0,     0,  2498,     0,  2005,     0,
    2006,  2499,     0,     0,     0,     0,     0,  1511,   720,     0,
    2007,     0,     0,  4279,     0,     0,  2011,  2012,  2503,  2008,
     720,   931,     0,  2500,  2501,     0,     0,     0,  1511,     0,
       0,  2009,  2504,     0,     0,  2505,     0,     0,  2502,     0,
       0,     0,     0,     0,     0,     0,  4280,     0,     0,     0,
       0,     0,     0,  1511,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   719,     0,     0,  4335,
       0,  2503,  2011,  2012,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2504,     0,  1511,  2505,     0,
       0,     0,  1287,     0,     0,     0,     0,     0,     0,  2498,
       0,     0,  4336,     0,  2499,     0,     0,     0,     0,     0,
       0,  2014,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2506,     0,     0,     0,  2500,  2501,     0,   935,
    1277,  1277,   765,     0,  1277,     0,     0,     0,  1289,     0,
    1180,  2502,     0,  1316,     0,  5966,  1289,     0,     0,  1289,
       0,     0,  1180,     0,  1277,     0,     0,  1180,     0,   931,
       0,  1277,     0,  1180,     0,  1287,  1287,  2014,     0,     0,
       0,     0,     0,     0,  2503,  2506,     0,     0,     0,   719,
     719,  1363,     0,     0,     0,     0,     0,  1180,  2504,   935,
       0,  2505,  1277,     0,   765,     0,  1277,     0,     0,     0,
       0,     0,     0,  1316,     0,  1511,   719,     0,  1437,   719,
    1277,     0,     0,     0,   383,     0,   720,  1277,     0,  2507,
       0,     0,  2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,
    2515,  2516,     0,     0,     0,   931,  5485,     0,     0,     0,
     931,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   935,     0,     0,     0,     0,   765,     0,     0,     0,
       0,  1289,     0,     0,     0,  1316,     0,     0,  1289,     0,
       0,  1289,  2507,     0,     0,  2508,  2509,  2510,  2506,  2511,
    2512,  2513,  2514,  2515,  2516,     0,     0,  1277,     0,  5526,
       0,     0,     0,     0,   869,   869,   869,     0,     0,     0,
       0,     0,     0,     0,     0,  1511,     0,     0,     0,     0,
       0,     0,   383,     0,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1511,
     720,     0,     0,     0,     0,     0,     0,     0,   719,   931,
       0,     0,     0,     0,     0,  1180,     0,     0,     0,     0,
       0,     0,  6101,     0,     0,     0,   719,     0,     0,   720,
    1180,     0,  1647,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1287,  1287,     0,  2507,     0,     0,  2508,  2509,
    2510,     0,  2511,  2512,  2513,  2514,  2515,  2516,     0,     0,
    1758,  1758,  5837,     0,     0,   765,  1180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1180,     0,     0,     0,  1180,
       0,     0,     0,     0,     0,     0,     0,  1758,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1180,   719,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1180,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2488,  1511,   720,  2489,     0,     0,     0,  2490,  2491,
    2492,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2493,     0,     0,     0,     0,
     869,     0,     0,  2495,     0,     0,     0,   719,     0,   719,
    2496,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1511,   719,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,  1180,     0,  2497,     0,     0,     0,     0,
       0,     0,     0,     0,  1180,     0,   869,     0,     0,  1277,
    1277,     0,     0,     0,     0,   383,     0,  2488,     0,     0,
    2489,     0,     0,     0,  2490,  2491,  2492,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2493,     0,     0,     0,     0,     0,   719,     0,  2495,
       0,     0,     0,     0,     0,     0,  2496,     0,     0,     0,
       0,     0,     0,     0,  1758,  1758,     0,     0,     0,     0,
       0,     0,     0,   935,     0,     0,   383,     0,     0,     0,
       0,  2497,     0,     0,  1289,     0,     0,     0,  1316,     0,
    1289,     0,   383,  1289,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,  2498,     0,     0,  1277,     0,
    2499,     0,     0,     0,  1511,     0,   719,     0,     0,     0,
       0,     0,     0,     0,  1511,     0,     0,     0,     0,     0,
    1180,     0,  2500,  2501,     0,     0,  1277,  1277,   719,     0,
       0,   719,     0,     0,     0,  2488,     0,  2502,  2489,     0,
       0,     0,  2490,  2491,  2492,     0,     0,     0,  1180,  1180,
    1180,     0,  1277,     0,   935,   935,     0,     0,     0,  2493,
    2253,     0,     0,     0,     0,     0,     0,  2495,     0,     0,
    2503,     0,     0,     0,  2496,     0,     0,     0,     0,     0,
       0,  2498,     0,     0,  2504,     0,  2499,  2505,     0,  2488,
       0,     0,  2489,     0,     0,     0,  2490,  2491,  2492,  2497,
       0,     0,     0,     0,     0,     0,     0,     0,  2500,  2501,
       0,   869,     0,  2493,     0,     0,     0,     0,     0,     0,
       0,  2495,     0,  2502,     0,     0,     0,     0,  2496,     0,
       0,     0,     0,  1277,     0,  1277,  1277,  1511,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2497,     0,     0,  2503,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2504,     0,     0,  2505,  2506,     0,  1511,     0,  1758,     0,
    2488,     0,     0,  2489,     0,     0,     0,  2490,  2491,  2492,
       0,     0,     0,     0,     0,     0,     0,  1511,     0,     0,
       0,     0,     0,     0,  2493,     0,     0,     0,  3423,  2498,
       0,     0,  2495,     0,  2499,     0,  2396,  2396,     0,  2496,
       0,  1180,     0,  1101,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2500,  2501,     0,     0,
       0,     0,     0,     0,  2497,     0,     0,     0,     0,  2432,
       0,  2502,  1180,     0,     0,  2438,     0,     0,     0,     0,
    2506,     0,  1511,  2498,     0,     0,     0,  1758,  2499,     0,
       0,  2507,     0,     0,  2508,  2509,  2510,     0,  2511,  2512,
    2513,  2514,  2515,  2516,  2503,     0,     0,     0,  5965,     0,
    2500,  2501,     0,  3424,     0,   719,  1758,     0,  2504,     0,
       0,  2505,     0,     0,     0,  2502,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1758,  1758,  1758,     0,  1758,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2503,     0,
       0,     0,     0,     0,     0,     0,   869,     0,  1758,     0,
       0,   869,  2504,   869,  2498,  2505,     0,  2507,     0,  2499,
    2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,  2515,  2516,
     765,   765,     0,  1511,  6034,   869,     0,     0,     0,     0,
       0,  2500,  2501,     0,     0,     0,     0,     0,  2506,     0,
       0,     0,     0,     0,   869,     0,  2502, -2542,     0,  1180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     719,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1511,  2503,
       0,     0,     0,  1758,     0,     0,     0,  1758,  1758,     0,
       0,     0,  2506,  2504,     0,     0,  2505, -2542,  1180,  1180,
    2634,     0,  1758,     0,     0,     0,     0,     0,     0, -2542,
       0,     0,     0,     0, -2542,     0,     0,     0,     0, -2542,
       0,     0,     0,     0,     0, -2542,     0,   765, -2542,     0,
       0,     0, -2542,     0,     0,  2507,     0,     0,  2508,  2509,
    2510,     0,  2511,  2512,  2513,  2514,  2515,  2516,     0,     0,
       0,     0,  6087,     0,     0,   719,   719,     0,     0,     0,
       0, -2542,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2542,     0,  2506,   719,     0,     0,     0,     0,  2507,
       0,     0,  2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,
    2515,  2516,     0,     0,     0,     0,  6100,     0,     0,     0,
       0,     0,     0,     0,     0,  1511,     0,     0,     0,     0,
       0,     0, -2542,  2787,     0, -2542,     0,     0,     0,     0,
       0, -2542,     0,     0,  1276,  1278,     0,     0,  1281,     0,
    3425,     0,  1180,  2813,     0,     0,     0,     0,     0,     0,
       0,     0,  1180,     0,     0,  1277,     0,     0,  1330,     0,
       0,     0,     0,     0,   719,  1340,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1316,     0,  1180,
    2507,     0,     0,  2508,  2509,  2510, -2542,  2511,  2512,  2513,
    2514,  2515,  2516,     0,     0,     0,  1414,     0,     0,     0,
    1417,     0,  1180,     0,     0,  1180,     0,     0,     0,     0,
       0,     0,     0,     0,  1441,     0,     0,     0,     0,     0,
       0,  1446,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1511,     0,  1106,
       0,  1180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1277,  1277,  1277,  1277,  1180,     0,     0,     0,
       0,     0,     0,     0,  1511,     0, -2542,     0,     0,     0,
    1180,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1758,  1758,  1758,     0,     0,     0,     0,     0,
   -2542,     0, -2542, -2542,     0,     0,     0,     0,  2980,     0,
    1180,     0,     0,     0,  1511,     0,     0,     0,     0,     0,
       0,     0,  1277,  1277,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2542,     0,
       0, -2542, -2542,     0, -2542,  1277, -2557,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1180,     0,     0,     0,     0,     0,
    1511,     0,     0,     0,     0,  1511,  1511,     0,     0,     0,
    1277,  1277,  1277,  1277,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1180,     0,     0, -2557,     0,     0,     0,
    1180,   719,     0,  2980,     0,     0,   869,     0, -2557,     0,
       0,     0,     0, -2557,     0,     0,     0,     0, -2557,     0,
     935,     0,     0,   935, -2557,     0,     0, -2557,   765,     0,
       0, -2557,     0,  1758,     0,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
   -2557,     0,     0,     0,  1289,  1289,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1316,  1316,     0,   719,  1289,
   -2557,     0,  1289,     0,     0,  1511,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1277,
    1277,     0,     0,     0,     0,     0,  1277,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1180,     0,     0,
       0, -2557,     0,     0, -2557,     0,     0,     0,     0,     0,
   -2557,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2396,     0,  2023,  2024,     0,     0,     0,  1277,     0,
    1289,     0,     0,  1289,  1289,     0,  1180,  1180,     0,  1277,
       0,   719,     0,     0,     0,     0,  1180,     0,     0,     0,
       0,     0,     0,     0,     0, -2557,  1180,     0,     0,     0,
       0,  1101,  1101,     0,     0,  3239,     0,     0,     0,  1758,
    1758,     0,     0,     0,     0,  1758,  1758,     0,     0,     0,
       0,     0,  1758,  1758,  1758,     0,     0,     0,  1758,  1316,
    1758,  1758,  1758,  1758,  1758,  1758,     0,  1758,     0,  1758,
    1758,     0,     0,  1758,     0,     0,     0,     0,  1106,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1758,  1758,
    1758,  1758,  2176,   719,     0,  1277,  1758,     0,     0,     0,
    1758,     0,     0,  1758,     0, -2557,  1758,  1758,  1758,  1758,
    1758,  1758,  1758,  1758,  1758,     0,  1758,     0,     0,     0,
    2201,  2202,     0,  1180,  1758,     0,     0,  1758,     0, -2557,
       0, -2557, -2557,     0,  1511,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2243,     0,     0,  1180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2557,     0,     0,
   -2557, -2557,     0, -2557,     0,     0,     0,     0,     0,     0,
       0,  1180,     0,     0,     0,  1758,     0,     0,     0,  1180,
       0,  1180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1758,     0,     0,     0,     0,   719,     0,   719,  2488,
    1758,  1758,  2489,     0,     0,     0,  2490,  2491,  2492,     0,
       0,     0,     0,     0,  1180,     0,     0,     0,     0,  2314,
    2316,  3459,     0,  3464,     0,     0,     0,     0,     0,     0,
       0,  2495,     0,     0,     0,     0,     0,     0,  2496,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2497,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2488,     0,     0,  2489,     0,     0,
     869,  2490,  2491,  2492,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   765,     0,     0,     0,     0,  2493,     0,
       0,     0,  1101,     0,  1101,     0,  2495,     0,     0,     0,
       0,     0,     0,  2496,     0,     0,     0,     0,     0,     0,
       0,  1758,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   935,     0,  1277,  1277,     0,  2497,  5574,
    1289,     0,  1316,  1289,  1289,     0,  1277,     0,  1277,     0,
       0,     0,  1277,     0,     0,  1180,     0,     0,     0,     0,
       0,     0,     0,  2498,     0,     0,     0,     0,  2499,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2813,     0,     0,     0,
    2500,  2501,     0,     0,  3608,  1180,     0,     0,     0,     0,
       0,     0,  3620,     0,     0,  2502,     0,  2488,     0,     0,
    2489,  1180,     0,     0,  2490,  2491,  2492,     0,     0,     0,
       0,     0,     0,     0,  4074,     0,     0,     0,     0,  4075,
    1180,  2493,     0,     0,  4033,  3665,  3665,     0,  2503,  2495,
       0,     0,     0,     0,     0,     0,  2496,     0,  2498,     0,
    1180,  1180,  2504,  2499,  1180,     0,   765,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   869,
       0,  2497,     0,     0,     0,  2500,  2501,     0,     0,     0,
    1277,     0,     0,  1277,     0,     0,     0,     0,     0,     0,
    2502,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1180,  1180,   719,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3758,
       0,  3761,  3763,  2503,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2504,     0,     0,
    2505,     0,  2506,     0,     0,     0,     0,     0,     0,     0,
    1758,  1758,  1758,     0,     0,     0,  1758,     0,     0,     0,
       0,     0,  1277,     0,     0,     0,     0,     0,     0,     0,
    1277,     0,     0,  1277,     0,     0,     0,     0,     0,  1277,
       0,  2498,     0,     0,     0,     0,  2499,     0,     0,     0,
       0,  1758,     0,  1277,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2813,  2500,  2501,
    3665,     0,  1180,     0,     0,  1180,     0,     0,     0,  3867,
       0,     0,  1101,  2502,     0,     0,     0,  2506,     0,     0,
       0,     0,     0,     0,  1277,  1758,     0,     0,     0,  2507,
       0,     0,  2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,
    2515,  2516,  3758,     0,     0,     0,  2503,     0,     0,     0,
       0,     0,  1277,     0,  3899,     0,     0,     0,     0,     0,
    2504,     0,     0,  2505,     0,     0,     0,     0,     0,  2835,
    2253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1758,     0,     0,     0,     0,     0,     0,     0,     0,
     869,     0,   719,     0,     0,  3947,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1277,     0,  1277,  3665,  1277,
    3665,     0,     0,     0,  2507,     0,     0,  2508,  2509,  2510,
       0,  2511,  2512,  2513,  2514,  2515,  2516,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2506,     0,     0,     0,     0,     0,     0,  2396,     0,     0,
       0,     0,     0,     0,     0,     0,  2936,  2937,  2938,  2939,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1294,     0,     0,     0,     0,     0,     0,   869,     0,
       0,     0,     0,  1328,     0,     0,     0,     0,  1180,     0,
       0,     0,     0,     0,  1346,     0,   719,     0,   935,     0,
       0,     0,     0,     0,  1289,     0,     0,  1289,     0,     0,
    1289,     0,  1361,     0,     0,     0,  2989,  2990,  1408,  1277,
       0,     0,     0,     0,     0,   719,  1758,     0,     0,     0,
       0,  1758,     0,     0,     0,     0,     0,  2507,     0,  3016,
    2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,  2515,  2516,
       0,     0,     0,     0,  1758,  1758,  1758,     0,     0,  1758,
       0,     0,     0,     0,     0,     0,     0,  1758,  1758,  1758,
    1758,     0,     0,     0,  3061,  3062,  3063,  3064,     0,     0,
    1758,     0,     0,  1758,     0,  1758,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1758,  1758,     0,     0,
    1758,     0,   891,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1316,     0,  1758,     0,  1758,     0,  1758,     0,
       0,     0,     0,  2488,     0,     0,  2489,     0,     0,   719,
    2490,  2491,  2492,     0,     0,     0,     0,     0,  1758,     0,
       0,     0,  1180,     0,     0,     0,     0,  2493,     0,  4153,
     892,     0,     0,     0,     0,  2495,     0,     0,     0,     0,
       0,     0,  2496,     0,     0,   893,     0,     0,     0,     0,
       0,     0,     0,  1180,     0,     0,     0,     0,     0,     0,
    1758,     0,     0,   894,     0,     0,     0,  2497,     0,   895,
       0,  1645,     0,     0,  3159,  1758,     0,     0,     0,     0,
    3163,     0,     0,     0,     0,     0,   896,     0,     0,  4153,
       0,   869,     0,  4207,     0,     0,  4210,   897,  3464,     0,
       0,  2488,     0,     0,  2489,   898,     0,  1778,  2490,  2491,
    2492,     0,     0,     0,     0,     0,     0,   899,     0,     0,
       0,     0,   900,     0,     0,  2493,  1802,     0,     0,   901,
       0,     0,     0,  2495,     0,     0,     0,     0,     0,     0,
    2496,     0,     0,     0,     0,     0,     0,     0,   902,  1830,
       0,     0,   869,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1758,     0,  3665,  2497,     0,     0,   869,  2396,
       0,     0,     0,   903,     0,     0,     0,  2498,     0,     0,
       0,     0,  2499,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   904,     0,  1277,     0,  1277,  1277,
    1277,     0,     0,     0,  2500,  2501,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2502,
       0,     0,     0,     0,     0,     0,     0,     0,   905,  3340,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2022,     0,     0,     0,     0,
    5994,   906,  2503,     0,     0,     0,     0,     0,     0,     0,
       0,   907,   908,     0,     0,   909,  2504,     0,     0,  2505,
       0,     0,     0,     0,     0,  2498,     0,     0,     0,     0,
    2499,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   910,     0,  4663,   911,     0,     0,     0,   912,     0,
     913,     0,  2500,  2501,     0,     0,     0,   914,     0,     0,
     915,     0,     0,  1180,     0,     0,     0,  2502,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   916,
       0,     0,     0,     0,     0,   917,     0,     0,     0,   918,
     919,     0,     0,   920,     0,     0,     0,   921,     0,     0,
    2503,     0,     0,     0,     0,     0,  2506,   922,     0,     0,
       0,     0,   923,     0,  2504,     0,     0,  2505,     0,     0,
       0,  2199,  4664,     0,   924,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   925,     0,  5995,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2237,
    2240,  2241,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1758,     0,     0,     0,     0,     0,  1758,     0,     0,
       0,     0,     0,     0,     0,     0,  1277,     0,     0,     0,
       0,  3665,  3665,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2507,  2506,     0,  2508,  2509,  2510,     0,
    2511,  2512,  2513,  2514,  2515,  2516,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1180,  1180,  1180,     0,     0,     0,     0,     0,     0,  3553,
    3554,     0,     0,     0,     0,     0,     0,  1180,     0,     0,
    3567,     0,  3569,     0,     0,     0,  3573,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2396,
    1180,     0,     0,     0,     0,     0,     0,     0,     0,  2396,
    1180,  1180,     0,     0,     0,  1180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1180,     0,
       0,  2507,     0,     0,  2508,  2509,  2510,     0,  2511,  2512,
    2513,  2514,  2515,  2516,     0,     0,   765,     0,     0,     0,
       0,     0,  1778,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3947,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1778,     0,     0,     0,  1277,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1180,     0,     0,     0,  3711,     0,     0,  3714,     0,     0,
       0,     0,     0,     0,     0,     0,  1180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1758,     0,
       0,     0,     0,     0,     0,     0,     0,  1758,     0,     0,
       0,     0,     0,  1758,     0,  1758,     0,     0,  1758,     0,
       0,     0,     0,  1758,  1758,  1758,  1758,     0,     0,  1758,
    1758,  1758,  1758,  1758,  1758,  1758,  1758,  1758,  1758,     0,
       0,     0,  1758,  1758,     0,     0,  3799,     0,     0,     0,
       0,     0,  1758,     0,  3806,     0,  1758,  3809,     0,     0,
    1758,     0,     0,  3811,     0,     0,     0,     0,  1758,     0,
       0,  1758,     0,  1758,     0,     0,     0,  3827,     0,     0,
    2578,     0,  1758,     0,     0,  1758,  1758,     0,     0,     0,
    1758,  1758,     0,     0,     0,  4695,     0,  1758,     0,     0,
       0,     0,     0,     0,  1180,  1180,  1180,   935,     0,     0,
    4153,  4717,     0,     0,     0,  4717,  4731,  4717,  3873,     0,
       0,     0,  1758,     0,     0,     0,     0,     0,     0,     0,
    2632,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3896,     0,     0,     0,
       0,     0,     0,     0,     0,  2488,     0,     0,  2489,     0,
       0,     0,  2490,  2491,  2492,     0,     0,  1758,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2493,
       0,  3464,     0,  1758,     0,     0,     0,  2495,     0,     0,
       0,     0,     0,     0,  2496,     0,     0,     0,     0,     0,
       0,  3954,     0,  3956,     0,     0,     0,     0,     0,     0,
       0,  4790,  2396,  2396,     0,  2980,     0,     0,     0,  2497,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1277,  1277,  1277,  1277,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2813,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2807,     0,     0,     0,     0,     0,     0,
    4844,     0,     0,  2831,     0,     0,   877,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   937,
    2866,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4023,     0,     0,     0,     0,     0,  2498,
       0,     0,   877,  2889,  2499,     0,  2892,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2500,  2501,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2502,     0,     0,     0,  4929,     0,     0,     0,     0,
    1139,     0,     0,     0,     0,     0,     0,  2940,  1139,     0,
    1139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2958,     0,   877,  2503,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2504,  1277,
       0,  2505,     0,  1180,     0,  1277,     0,  1758,     0,     0,
       0,  2981,     0,     0,  1180,     0,     0,     0,     0,  4047,
    4970,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2813,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1180,     0,     0,     0,  4153,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3758,
       0,     0,     0,     0,     0,  3035,     0,  5017,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1180,     0,
       0,     0,  2980,     0,     0,     0,  1758,  1758,  2506,     0,
       0,     0,     0,     0,  3078,     0,     0,     0,     0,     0,
       0,  3091,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3947,  3947,  3947,  3947,  3947,
       0,     0,  3665,  2488,  3665,     0,  2489,     0,     0,     0,
    2490,  2491,  2492,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2493,     0,     0,
    4079,     0,     0,     0,     0,  2495,     0,     0,     0,     0,
       0,     0,  2496,     0,  1758,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1758,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2507,     0,  2497,  2508,  2509,
    2510,     0,  2511,  2512,  2513,  2514,  2515,  2516,     0,     0,
    4260,     0,  4261,  4262,  4263,  1758,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1758,  1758,     0,  3171,     0,
       0,     0,  1758,  1758,     0,     0,     0,  1758,     0,     0,
       0,     0,  1758,     0,  1520,  1758,  1758,     0,     0,     0,
    1758,  5125,     0,     0,     0,     0,  1758,  1180,  1180,  1180,
    1180,     0,     0,     0,  4717,  4731,  4717,     0,  1758,  4717,
    1520,     0,  5139,     0,     0,     0,  4153,  1778,  1778,     0,
    4153,     0,     0,     0,     0,     0,  5154,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3229,     0,     0,
       0,     0,     0,     0,  1316,     0,     0,  2498,     0,     0,
       0,  1758,  2499,     0,     0,  4207,     0,     0,     0,     0,
    3464,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2500,  2501,     0,     0,     0,     0,
    1101,     0,     0,  1758,     0,     0,     0,     0,     0,  2502,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1012,  3665,  3665,     0,     0,  1013,     0,  2488,
       0,     0,  2489,     0,     0,     0,  2490,  2491,  2492,  1014,
       0,  2813,  2503,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2493,  3389,  5227,  2504,     0,     0,  2505,
       0,  2495,  1015,     0,     0,     0,     0,     0,  2496,     0,
       0,     0,     0,     0,     0,  1016,     0,     0,     0,     0,
    3401,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1017,     0,     0,  2497,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1758,     0,     0,     0,  1018,     0,
    4422,     0,  1830,     0,     0,     0,     0,     0,     0,     0,
    1830,     0,  1830,     0,     0,     0,  1277,     0,     0,     0,
       0,  1019,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1277,  1020,     0,     0,     0,  2506,     0,     0,     0,
    1021,     0,     0,     0,     0,  1778,     0,     0,     0,     0,
       0,     0,  1022,     0,     0,     0,     0,  1023,     0,     0,
       0,  1758,     0,     0,  1024,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4084,   935,     0,     0,     0,     0,
       0,  2813,     0,  1025,     0,     0,     0,     0,     0,     0,
    2396,     0,     0,  2498,     0,     0,     0,     0,  2499,     0,
       0,     0,     0,     0,  1758,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1277,     0,  2813,     0,
    2500,  2501,     0,     0,     0,     0,     0,     0,     0,  1026,
       0,     0,     0,  2507,     0,  2502,  2508,  2509,  2510,     0,
    2511,  2512,  2513,  2514,  2515,  2516,     0,  1520,     0,  1180,
       0,     0,  5366,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1027,     0,     0,     0,     0,  2503,     0,
       0,  4582,  1520,     0,     0,     0,  1028,     0,     0,     0,
       0,     0,  2504,     0,     0,  2505,  1029,  1520,     0,     0,
       0,     0,     0,     0,   877,     0,   907,  1030,  1758,     0,
    1031,     0,   937,     0,     0,     0,     0,  1758,     0,     0,
       0,   937,     0,     0,     0,     0,     0,     0,     0,   937,
       0,     0,   937,     0,  1758,  1758,  1032,     0,  1758,  1033,
       0,     0,     0,  1034,     0,  1035,  3609,     0,     0,     0,
       0,     0,  1036,   935,     0,  1037,  4717,     0,     0,     0,
    4153,     0,  3632,     0,     0,  4153,     0,     0,  4153,   935,
       0,  3758,   937,  5420,  1038,  1758,  1758,     0,     0,     0,
    1039,  3659,  2506,     0,     0,  1040,     0,  1520,  1041,     0,
       0,     0,  1042,     0,     0,  4790,     0,  1758,     0,     0,
    1043,     0,  1044,     0,     0,     0,     0,  1045,     0,  4790,
    1316,  1277,  1277,  1277,     0,     0,     0,     0,     0,  1046,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1047,     0,   937,     0,     0,     0,     0,     0,
    1523,     0,     0,     0,   937,     0,     0,     0,     0,     0,
       0,   937,     0,     0,   937,  3733,  3734,     0,     0,  1289,
    1316,     0,     0,     0,     0,     0,  1523,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2507,
       0,     0,  2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,
    2515,  2516,  2488,     0,     0,  2489,     0,     0,     0,  2490,
    2491,  2492,     0,  1289,     0,     0,  1180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2493,     0,  4970,  4090,
       0,  1180,     0,  1520,  2495,     0,  1180,     0,  3665,     0,
       0,  2496,     0,     0,  2813,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1180,
       0,     0,     0,  5017,     0,     0,  2497,     0,     0,     0,
       0,     0,     0,  3860,     0,     0,     0,  1277,  1180,  4790,
       0,     0,     0,   937,   937,     0,  4807,  4808,  4809,  4810,
    1139,     0,     0,     0,  1139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1758,     0,     0,
    1758,     0,  1758,     0,     0,     0,     0,     0,     0,     0,
     937,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1758,     0,     0,     0,  2488,     0,  1758,  2489,
       0,     0,  4153,  2490,  2491,  2492,  5420,     0,     0,     0,
       0,     0,  1758,     0,     0,     0,     0,     0,     0,     0,
    2493,  5641,     0,     0,     0,     0,     0,     0,  2495,     0,
       0,     0,     0,     0,     0,  2496,  2498,     0,     0,     0,
       0,  2499,     0,     0,  2560,     0,     0,  1180,     0,  2396,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2497,     0,     0,  2500,  2501,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1758,     0,     0,     0,  2502,     0,
       0,     0,     0,     0,  1277,  1277,  1277,  1277,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2503,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   935,  1139,  1139,  2504,     0,     0,  2505,  4005,
       0,     0,     0,  4951,     0,     0,     0,     0,     0,  4954,
       0,     0,     0,     0,     0,  4153,     0,   937,   937,   877,
       0,     0,     0,     0,     0,     0,   937,  2488,     0,     0,
    2489,     0,     0,  1523,  2490,  2491,  2492,   937,     0,     0,
    2498,     0,     0,   937,     0,  2499,   937,     0,  1520,     0,
       0,  2493,     0,     0,  4670,     0,     0,     0,  1523,  2495,
       0,     0,     0,     0,     0,     0,  2496,  2500,  2501,     0,
       0,  1758,     0,  1523,   935,     0,     0,  1758,     0,     0,
       0,  5800,  2502,     0,     0,  2506,     0,     0,  1758,     0,
       0,  2497,  1758,     0,  1758,     0,  1758,     0,     0,     0,
       0,     0,     0,  4790,     0,     0,     0,     0,     0,  1277,
       0,  1316,     0,  1520,     0,  2503,     0,   937,   937,     0,
       0,     0,  1758,     0,     0,     0,     0,     0,     0,  2504,
       0,     0,  2505,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1520,     0,     0,  4135,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1523,     0,     0,     0,  2396,  2396,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2507,  1520,  1830,  2508,  2509,  2510,     0,  2511,
    2512,  2513,  2514,  2515,  2516,     0,     0,     0,  1277,     0,
       0,  2498,     0,     0,  5880,     0,  2499,     0,  1758,     0,
       0,     0,     0,     0,     0,     0,  5891,     0,     0,  2506,
       0,     0,     0,     0,     0,     0,     0,     0,  2500,  2501,
       0,     0,     0,     0,     0,     0,     0,  5366,     0,     0,
       0,   937,     0,  2502,     0,  1758,  1758,  1758,     0,  4616,
    2488,  3758,     0,  2489,  1758,     0,     0,  2490,  2491,  2492,
       0,     0,     0,     0,  1758,     0,     0,  5641,     0,     0,
       0,     0,  3464,     0,  2493,     0,  2503,     0,     0,     0,
    1520,     0,  2495,     0,     0,     0,     0,  1289,     0,  2496,
    2504,     0,     0,  2505,     0,     0,     0,  1520,     0,  1523,
       0,     0,     0,     0,  1277,     0,  1520,     0,     0,     0,
       0,  2396,     0,     0,  2497,     0,  2507,     0,  1520,  2508,
    2509,  2510,     0,  2511,  2512,  2513,  2514,  2515,  2516,     0,
     937,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     935,     0,     0,     0,     0,  1758,     0,     0,     0,     0,
       0,     0,     0,     0,  4790,     0,     0,     0,     0,   937,
    1289,  1289,     0,  1758,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1758,  1520,     0,     0,  5800,     0,     0,
    2506,     0,     0,     0,     0,     0,     0,   937,   937,   937,
       0,   937,     0,     0,  1520,     0,     0,     0,  1277,     0,
       0,     0,     0,     0,     0,     0,  1520,     0,     0,     0,
       0,   937,     0,     0,     0,     0,     0,     0,  1520,     0,
       0,     0,     0,     0,  2498,     0,     0,     0,     0,  2499,
    5891,  1277,  1277,     0,     0,  4790,     0,     0,     0,     0,
       0,     0,     0,     0,  4356,     0,     0,     0,     0,     0,
       0,  2500,  2501,     0,     0,     0,     0,     0,  1520,  1520,
    5263,     0,  1758,     0,     0,     0,  2502,  1758,     0,     0,
       0,     0,     0,     0,  1758,  5267,     0,  2507,     0,     0,
    2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,  2515,  2516,
       0,     0,     0,     0,     0,     0,   937,     0,     0,  2503,
     937,   937,     0,     0,     0,     0,     0,  1758,     0,     0,
       0,     0,     0,  2504,     0,   937,  2505,  1758,     0,  2488,
       0,     0,  2489,     0,     0,     0,  2490,  2491,  2492,     0,
       0,  1277,     0,     0,  4790,     0,     0,     0,     0,     0,
       0,     0,     0,  5800,     0,     0,     0,   935,     0,     0,
       0,  2495,     0,     0,     0,     0,     0,     0,  2496,     0,
    5330,     0,     0,     0,     0,     0,     0,  1289,  1289,     0,
       0,     0,     0,     0,   725,     0,     0,     0,     0,   769,
       0,   769,     0,  2497,  1523,     0,     0,     0,     0,     0,
     877,   769,     0,     0,     0,     0,     0,     0,     0,     0,
    1139,     0,     0,  2506,     0,     0,     0,     0,     0,     0,
       0,  4478,  4479,  4480,  1520,     0,   769,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   769,  4489,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   769,   769,
       0,  1139,   769,     0,     0,     0,     0,     0,   769,  1523,
       0,  4505,  1093,     0,     0,     0,     0,     0,     0,     0,
       0,  4515,  4516,     0,     0,     0,  4521,     0,     0,     0,
       0,     0,     0,     0,  1093,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1523,     0,     0,   769,
       0,     0,     0,  2498,     0,     0,  1139,     0,  2499,     0,
    2507,     0,     0,  2508,  2509,  2510,     0,  2511,  2512,  2513,
    2514,  2515,  2516,  1139,     0,     0,     0,     0,     0,  1523,
   -3040, -3040,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2502,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5455,  5456,  5456,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -3040,     0,
       0,     0,     0,     0,     0,     0,     0,  1778,     0,     0,
       0,     0,  2504,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   937,   937,   937,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1523,     0,  1520,     0,
       0,     0,  1520,  1520,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1523,     0,     0,     0,     0,     0,     0,
       0,     0,  1523,     0,     0,     0,     0,     0,     0,   877,
       0,     0,     0,     0,  1523,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2506,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1520,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1520,     0,
       0,  5585,     0,     0,     0,  4703,  4704,  4705,     0,     0,
    1523,     0,     0,     0,     0,     0,   769,     0,     0,     0,
       0,     0,     0,   937,     0,     0,   937,     0,     0,     0,
    1523,     0,     0,     0,     0,     0,   937,     0,  1520,     0,
       0,     0,  1523,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1523,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   937,   937,  2507,
       0,     0,  2508,  2509,  2510,     0,  2511,  2512,  2513,  2514,
    2515,  2516,   937,     0,     0,   937,     0,     0,     0,     0,
       0,     0,     0,     0,  1523,  1523,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5693,
       0,  5695,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   937,     0,     0,   937,   937,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   937,   937,     0,     0,     0,     0,   937,   937,
       0,     0,     0,     0,     0,   937,   937,   937,     0,     0,
       0,   937,     0,   937,   937,   937,   937,   937,   937,     0,
     937,     0,   937,   937,     0,     0,   937,     0,     0,  1520,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1523,   937,   937,   937,   937,   877,     0,     0,     0,   937,
       0,     0,     0,   937,     0,     0,   937,   769,     0,   937,
     937,   937,   937,   937,   937,   937,   937,   937,     0,   937,
       0,     0,     0,     0,     0,     0,     0,   937,     0,     0,
     937,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5456,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   769,   769,     0,     0,     0,
       0,  1520,     0,     0,  4952,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4965,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   937,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   769,   937,     0,  4993,     0,     0,     0,
       0,     0,     0,   937,   937,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5875,     0,     0,     0,     0,     0,     0,  3091,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1520,     0,     0,  1523,     0,     0,     0,  1523,  1523,
       0,     0,     0,     0,     0,     0,     0,     0,  1520,     0,
     877,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1520,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5946,     0,
       0,     0,     0,     0,   937,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   937,     0,     0,     0,
    1523,     0,     0,   937,     0,     0,   937,   937,     0,     0,
       0,     0,     0,     0,  1523,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1139,
       0,     0,     0,     0,     0,     0,     0,     0,  5128,  5129,
    5130,  5131,     0,     0,  1523,     0,     0,     0,     0,     0,
    1466,   769,     0,   769,     0,     0,     0,     0,     0,     0,
       0,     0,  6020,     0,     0,     0,     0,   877,     0,     0,
       0,   877,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   877,  5456,  5456,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1139,     0,   769,     0,     0,   769,   769,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     725,     0,  1093,     0,  1093,     0,     0,     0,     0,     0,
     725,     0,     0,     0,   769,     0,     0,     0,     0,     0,
       0,     0,     0,   877,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1093,  1093,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1520,     0,
       0,  1520,     0,  1520,     0,  5456,     0,     0,  1520,     0,
       0,     0,     0,   937,   937,   937,     0,     0,     0,   937,
       0,   769,     0,   769,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   937,  1523,     0,  1520,     0,     0,
       0,     0,     0,     0,   877,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1520,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   937,     0,
       0,  1520,   725,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   725,   725,     0,     0,
    1894,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1523,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   937,     0,     0,     0,     0,     0,
       0,   725,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1520,     0,  1520,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   950,     0,
    5359,     0,     0,   951,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   952,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   953,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   954,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   955,     0,     0,     0,  -878,     0,     0,     0,
       0,     0,     0,  1520,     0,     0,     0,  1523,     0,     0,
       0,     0,     0,     0,   956,     0,     0,     0,     0,     0,
     957,   937,     0,     0,  1523,     0,     0,   937,     0,     0,
     937,     0,     0,   937,     0,     0,     0,   958,     0,  1523,
       0,     0,  1520,     0,     0,     0,     0,     0,   959,   937,
       0,     0,     0,     0,   937,     0,   960,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   961,  1520,
       0,     0,     0,     0,     0,  1520,   962,   937,   937,   937,
     963,     0,   937,     0,     0,     0,     0,     0,     0,     0,
     937,   937,   937,   937,     0,     0,     0,     0,   877, -1114,
       0,     0,     0,   937,   877,     0,   937,     0,   937,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   937,
     937,     0,     0,   937,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   964,   937,     0,   937,
       0,   937,     0,     0,  1520,  -598,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   937,  1520,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   937,     0,     0,     0,     0,  5524,  1520,   965,
       0,     0,   966,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5536,     0,   725,     0,     0,  1778,     0,   769,
       0,   769,   967,   937,   769,     0,   769,     0,     0,   769,
     769,   769,     0,     0,     0,  2391,   968,     0,   937,     0,
    5569,     0,   769,  -474,     0,     0,     0,     0,     0,     0,
       0,     0,   937,     0,     0,     0,   769,     0,   769,     0,
       0,     0,   969,   769,     0,     0,     0,     0,     0,     0,
       0,   970,     0,     0,     0,     0,     0,     0,  -474,     0,
       0,   971,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1523,     0,     0,  1523,  1520,  1523,
     972,     0,     0,     0,  1523,     0,   973,     0,     0,     0,
       0,  -474,     0,     0,   974,   975,     0,   976,   977,  1520,
       0,     0,     0,     0,     0,   937,     0,     0,   978,     0,
       0,     0,     0,   979,     0,     0,     0,     0,     0,   980,
       0,     0,   981,     0,  1520,   982,     0,     0,     0,     0,
       0,     0,     0,  1523,     0,     0,     0,     0,  -474,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5656,     0,
       0,     0,  1523,     0,     0,     0,     0,     0,  1520,     0,
       0,     0,     0,     0,     0,     0,     0,  2534,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1523,   769,   769,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   725,     0,     0,     0,     0,
     725,   725,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   877,   877,   877,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1523,     0,
    1523,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1520,     0,     0,     0,
       0,     0,     0,     0,     0,   769,     0,   725,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2671,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1523,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   937,     0,     0,     0,     0,     0,
     937,     0,     0,     0,   725,     0,  1520,     0,  1523,     0,
       0,     0,     0,     0,   725,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1520,     0,     0,     0,     0,  1523,     0,     0,     0,     0,
     877,  1523,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   877,     0,     0,     0,
       0,     0,     0,     0,     0,   725,     0,     0,   725,   725,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1523,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1523,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1523,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1520,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   725,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1520,     0,     0,     0,     0,     0,     0,     0,
       0,   933,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   937,     0,     0,  1523,     0,     0,     0,     0,     0,
     937,     0,     0,     0,     0,     0,   937,     0,   937,     0,
       0,   937,     0,     0,     0,  1523,   937,   937,   937,   937,
       0,     0,   937,   937,   937,   937,   937,   937,   937,   937,
     937,   937,     0,     0,     0,   937,   937,     0,     0,     0,
    1523,     0,  1137,     0,     0,   937,     0,     0,     0,   937,
    1137,   877,  1137,   937,     0,     0,     0,     0,     0,     0,
       0,   937,     0,     0,   937,     0,   937,     0,     0,     0,
       0,     0,     0,     0,  1523,   937,     0,     0,   937,   937,
       0,     0,     0,   937,   937,     0,     0,     0,     0,     0,
     937,     0,     0,     0,     0,  1520,     0,     0,     0,     0,
     937,     0,     0,   937,     0,  1520,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   937,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   769,     0,   769,
     937,     0,     0,   769,     0,   769,     0,     0,   769,     0,
       0,     0,   769,     0,     0,     0,   937,  2534,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1523,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   937,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1520,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1520,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   877,     0,  1520,     0,
       0,   877,  1523,   877,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2391,     0,     0,     0,   877,  1523,     0,  3395,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2671,     0,
       0,     0,     0,     0,   877,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1520,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    85,     0,     0,     0,
       0,    88,     0,     0,     0,    92,     0,    93,     0,    95,
      96,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     105,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   117,   118,     0,     0,
     937,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   725,     0,     0,  1523,
     725,     0,     0,     0,     0,     0,  3479,     0,  1894,     0,
       0,   769,   937,     0,  1520,     0,   126,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   127,     0,   128,   129,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1214,     0,     0,     0,  1523,   937,
     937,     0,     0,   138,     0,     0,     0,     0,   725,     0,
       0,     0,     0,     0,     0,   140,     0,   141,   142,  1520,
       0,     0,     0,     0,   145,     0,   146,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   148,     0,   149,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   152,     0,   153,     0,     0,   156,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   157,     0,   158,     0,   937,     0,   159,
       0,     0,     0,     0,     0,   160,     0,     0,   937,     0,
       0,     0,     0,   162,     0,   164,     0,     0,     0,     0,
       0,   166,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   170,   937,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   937,   937,
       0,  1523,     0,     0,   174,   937,   937,     0,     0,     0,
     937,  1523,     0,     0,     0,   937,     0,     0,   937,   937,
       0,     0,     0,   937,     0,     0,  1520,     0,     0,   937,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   937,     0,     0,   185,   186,     0,     0,     0,   937,
     187,     0,   725,   937,     0,     0,     0,     0,     0,     0,
     725,     0,   188,   725,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   193,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   937,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   933,     0,     0,     0,     0,     0,
       0,     0,     0,   933,     0,     0,     0,     0,     0,     0,
       0,   933,     0,     0,   933,     0,   937,   203,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   205,     0,     0,  1523,     0,     0,   206,   207,     0,
     208,     0,     0,     0,     0,   209,     0,     0,  1520,     0,
     210,     0,     0,   212,   933,     0,   877,     0,     0,     0,
     214,     0,     0,     0,     0,     0,   215,   216,     0,     0,
       0,     0,     0,  1523,   217,  1520,     0,     0,   219,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   222,     0,
       0,     0,     0,     0,  1523,     0,     0,     0,     0,     0,
       0,   224,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1520,   933,   937,     0,     0,
       0,   230,  1521,   231,     0,     0,   933,     0,     0,     0,
       0,   233,     0,   933,     0,     0,   933,   234,     0,     0,
       0,     0,   235,     0,     0,     0,     0,     0,  1521,     0,
       0,     0,     0,     0,     0,   238,     0,     0,     0,  1523,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1520,     0,     0,     0,     0,  1520,  1520,   250,     0,
       0,     0,     0,     0,   937,     0,     0,     0,     0,     0,
       0,     0,   251,     0,     0,     0,  -146,     0,   937,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   937,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     769,  2391,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   933,   933,     0,   725,     0,
       0,     0,  1137,     0,     0,     0,  1137,     0,  1523,     0,
    1523,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1520,     0,     0,     0,
       0,     0,   933,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   937,     0,     0,     0,  1523,     0,     0,     0,     0,
     937,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   937,   937,     0,
       0,   937,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   937,     0,     0,     0,
       0,     0,     0,   937,     0,     0,     0,     0,   937,     0,
       0,   937,   937,     0,     0,     0,     0,     0,   937,   937,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   937,     0,
     937,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   937,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1137,  1137,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2671,     0,     0,   933,
     933,   725,  1523,     0,     0,     0,     0,     0,   933,     0,
       0,     0,   937,     0,     0,  1521,     0,     0,     0,   933,
       0,     0,     0,     0,     0,   933,     0,     0,   933,     0,
       0,     0,     0,     0,     0,  1520,     0,     0,     0,     0,
    1521,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     877,     0,     0,     0,     0,  1521,   937,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   933,
     933,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   937,     0,  1523,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1521,     0,     0,     0,     0,
     937,  1523,     0,   937,     0,   937,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   937,     0,     0,     0,     0,
       0,   937,     0,     0,     0,   937,     0,     0,     0,     0,
       0,  1523,     0,     0,     0,   937,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   933,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   877,
       0,     0,     0,     0,     0,     0,     0,  1523,     0,     0,
       0,     0,  1523,  1523,     0,     0,     0,   937,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1521,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   937,     0,     0,     0,     0,
       0,     0,   933,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   937,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   933,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1523,  1523,     0,     0,     0,     0,     0,     0,   933,
     933,   933,     0,   933,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   937,     0,     0,   937,     0,     0,
     937,     0,     0,   933,     0,     0,     0,     0,     0,     0,
       0,   937,     0,     0,     0,   937,     0,   937,     0,   937,
       0,     0,     0,     0,     0,     0,   937,     0,     0,     0,
     725,     0,     0,     0,     0,     0,   725,     0,     0,     0,
       0,     0,     0,     0,     0,   937,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     877,     0,     0,     0,     0,     0,     0,     0,   933,     0,
       0,     0,   933,   933,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   933,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   937,     0,     0,     0,     0,     0,   769,     0,   937,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   937,   937,
     937,     0,     0,     0,     0,     0,  1521,   937,   877,     0,
       0,  1523,     0,     0,     0,     0,     0,   937,     0,     0,
       0,     0,  1137,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     937,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   725,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1137,     0,     0,     0,     0,     0,     0,
       0,  1521,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   937,     0,     0,     0,     0,   937,     0,
       0,     0,     0,     0,     0,     0,     0,   937,  1521,     0,
       0,     0,     0,   937,   937,     0,   937,     0,  1137,     0,
       0,     0,     0,     0,     0,     0,   937,     0,     0,     0,
       0,     0,     0,     0,     0,  1137,     0,     0,     0,     0,
       0,  1521,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   937,     0,     0,     0,     0,   937,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   937,     0,   933,   933,   933,
     937,     0,     0,     0,     0,     0,     0,   937,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1521,     0,
       0,   877,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1521,  3479,     0,     0,     0,
     937,     0,     0,     0,  1521,     0,     0,     0,     0,     0,
     937,     0,     0,     0,     0,     0,  1521,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   937,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     937,     0,   877,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   877,     0,
     937,   937,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1521,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   933,     0,     0,   933,     0,
       0,     0,  1521,     0,     0,     0,     0,     0,   933,     0,
       0,     0,     0,     0,  1521,     0,     0,   725,     0,     0,
       0,     0,     0,     0,     0,     0,  1521,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   933,
     933,   725,     0,     0,     0,     0,     0,     0,   725,     0,
       0,     0,     0,     0,   933,     0,     0,   933,     0,     0,
       0,     0,     0,     0,     0,     0,  1521,  1521,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   933,     0,     0,   933,   933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   933,   933,     0,     0,     0,     0,
     933,   933,     0,     0,     0,     0,     0,   933,   933,   933,
       0,     0,     0,   933,     0,   933,   933,   933,   933,   933,
     933,     0,   933,     0,   933,   933,     0,     0,   933,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1521,   933,   933,   933,   933,     0,     0,     0,
       0,   933,     0,     0,     0,   933,     0,     0,   933,     0,
       0,   933,   933,   933,   933,   933,   933,   933,   933,   933,
       0,   933,     0,     0,     0,     0,     0,     0,     0,   933,
       0,     0,   933,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   725,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     933,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   933,     0,     0,     0,
       0,     0,     0,     0,     0,   933,   933,     0,     0,     0,
       0,    86,    87,     0,    89,    90,    91,     0,     0,     0,
      94,     0,     0,    97,    98,    99,   100,   101,   102,     0,
     103,   104,     0,     0,     0,   106,   107,   108,   109,     0,
     110,   111,   112,   113,     0,   114,   115,   116,     0,     0,
       0,     0,     0,   119,   120,     0,     0,     0,     0,   121,
       0,     0,     0,     0,     0,     0,     0,     0,   122,     0,
     123,     0,   124,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,  1521,     0,  2671,     0,
    1521,  1521,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   131,     0,     0,     0,   133,   134,   135,
     136,   137,     0,     0,     0,     0,   933,     0,     0,     0,
       0,     0,     0,     0,   139,     0,     0,     0,   933,     0,
       0,   143,  1521,   144,     0,   933,     0,     0,   933,   933,
     147,     0,     0,     0,     0,     0,  1521,     0,     0,     0,
       0,     0,   150,   725,     0,     0,     0,     0,   725,   151,
       0,     0,   725,     0,     0,     0,     0,     0,     0,   154,
     155,  1137,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1521,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   161,     0,
       0,     0,     0,     0,     0,     0,   163,     0,     0,     0,
     165,     0,     0,     0,     0,     0,   167,     0,     0,     0,
       0,     0,   168,     0,   169,     0,     0,     0,     0,     0,
       0,   171,     0,   172,     0,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1137,     0,     0,     0,     0,   175,   176,     0,
       0,     0,     0,     0,   177,     0,   178,     0,     0,   179,
     180,     0,   181,     0,     0,     0,     0,     0,     0,     0,
       0,   182,   183,     0,   184,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   189,   190,   191,
       0,     0,     0,   192,     0,   938,     0,   194,     0,     0,
     195,     0,   196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,   200,     0,     0,   933,   933,   933,     0,     0,
       0,   933,     0,     0,     0,   201,     0,   202,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   933,  1521,     0,     0,
       0,     0,     0,   211,     0,     0,     0,     0,     0,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,     0,
       0,   220,     0,     0,   221,     0,     0,     0,     0,     0,
     933,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,   225,     0,     0,     0,     0,
       0,     0,     0,   226,   227,     0,     0,     0,     0,   228,
       0,   229,     0,     0,     0,     0,     0,     0,     0,  1521,
     232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,   933,     0,   237,     0,
       0,     0,     0,     0,     0,     0,   769,     0,     0,     0,
       0,     0,     0,     0,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3469,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   725,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1521,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   933,     0,     0,  1521,     0,     0,   933,
       0,     0,   933,     0,     0,   933,     0,     0,     0,     0,
       0,  1521,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   933,     0,     0,     0,     0,   933,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   933,
     933,   933,     0,     0,   933,     0,     0,     0,     0,     0,
       0,     0,   933,   933,   933,   933,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   933,     0,     0,   933,     0,
     933,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   933,   933,     0,     0,   933,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   933,
       0,   933,     0,   933,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   933,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   933,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   933,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     933,     0,     0,     0,     0,     0,     0,   725,   725,     0,
       0,     0,     0,     0,   933,     0,     0,     0,     0,     0,
       0,   725,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1521,     0,     0,  1521,
       0,  1521,     0,     0,     0,     0,  1521,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   933,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1521,     0,   725,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1521,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1521,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1521,     0,  1521,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   938,     0,
       0,     0,     0,     0,     0,     0,     0,   938,     0,     0,
       0,     0,     0,     0,     0,   938,     0,     0,   938,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   938,     0,
       0,  1521,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   933,     0,     0,     0,
       0,     0,   933,     0,     0,     0,   725,     0,   725,     0,
    1521,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     938,     0,     0,     0,     0,     0,  1524,  1521,     0,     0,
     938,     0,     0,  1521,     0,     0,     4,   938,     0,     0,
     938,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1524,     0,     0,     5,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     6,     7,     0,     0,     0,
       0,     0,     9,    10,     0,     0,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,     0,  1521,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
    1521,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1521,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   938,
     938,     0,     0,     0,     0,     0,     0,     0,     0,    46,
       0,     0,     0,     0,     0,     0,     0,   725,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   938,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   933,     0,     0,  1521,     0,     0,     0,
       0,     0,   933,     0,    47,     0,     0,     0,   933,     0,
     933,     0,     0,   933,     0,     0,     0,  1521,   933,   933,
     933,   933,    48,     0,   933,   933,   933,   933,   933,   933,
     933,   933,   933,   933,     0,     0,     0,   933,   933,     0,
       0,     0,  1521,     0,     0,    49,     0,   933,     0,     0,
       0,   933,     0,     0,     0,   933,     0,     0,     0,     0,
       0,     0,     0,   933,     0,     0,   933,     0,   933,    50,
       0,     0,     0,     0,     0,     0,  1521,   933,     0,     0,
     933,   933,     0,     0,     0,   933,   933,     0,     0,     0,
       0,     0,   933,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   933,     0,     0,   933,    51,     0,     0,    52,
       0,     0,     0,     0,     0,     0,     0,   933,     0,     0,
       0,     0,     0,   938,   938,    53,     0,     0,     0,     0,
       0,     0,   938,     0,     0,     0,     0,     0,     0,  1524,
       0,     0,     0,   938,     0,     0,     0,     0,     0,   938,
       0,     0,   938,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   933,     0,  1524,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   933,  1524,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1521,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   933,     0,     0,     0,
       0,     0,     0,    54,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   938,   938,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    55,     0,     0,     0,     0,     0,     0,     0,  1524,
       0,     0,     0,     0,     0,     0,    56,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    57,     0,     0,  1521,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1521,     0,
       0,    58,     0,     0,     0,     0,     0,     0,     0,    59,
       0,    60,    61,    62,    63,    64,     0,     0,    65,    66,
    1569,  2349,     0,     0,     0,    71,     0,   938,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1524,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   933,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   938,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1521,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   933,   938,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   938,   938,   938,     0,   938,     0,     0,
    1521,   933,   933,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   938,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     933,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   938,     0,     0,     0,   938,   938,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     933,   938,     0,     0,     0,     0,     0,     0,     0,     0,
     933,   933,     0,  1521,     0,     0,     0,   933,   933,     0,
       0,     0,   933,  1521,     0,     0,     0,   933,     0,     0,
     933,   933,     0,     0,     0,   933,     0,     0,     0,     0,
       0,   933,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   933,     0,     0,     0,     0,     0,     0,
       0,   933,     0,     0,     0,   933,     0,     0,     0,     0,
    1524,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   933,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   933,     0,
       0,     0,     0,     0,     0,  1524,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1521,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1524,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1521,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1524,  1521,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1521,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   938,   938,   938,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   933,     0,     0,     0,
       0,     0,  1524,     0,     0,     0,     0,     0,     0,     0,
     933,     0,     0,     0,     0,     0,     0,     0,     0,  1524,
       0,     0,     0,     0,     0,     0,     0,     0,  1524,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   933,
    1524,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1521,     0,  1521,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1524,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   938,
       0,     0,   938,     0,     0,     0,  1524,     0,     0,     0,
       0,     0,   938,     0,     0,     0,     0,     0,  1524,     0,
       0,     0,     0,   933,     0,     0,     0,  1521,     0,     0,
    1524,     0,   933,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   938,   938,     0,     0,     0,     0,   933,
     933,     0,     0,   933,     0,     0,     0,     0,   938,     0,
       0,   938,     0,     0,     0,     0,     0,     0,   933,     0,
    1524,  1524,     0,     0,     0,   933,     0,     0,     0,     0,
     933,     0,     0,   933,   933,     0,     0,     0,     0,     0,
     933,   933,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     933,     0,   933,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   933,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   938,
       0,     0,   938,   938,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1521,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   933,     0,     0,     0,   938,   938,
       0,     0,     0,     0,   938,   938,     0,     0,     0,     0,
       0,   938,   938,   938,     0,     0,     0,   938,     0,   938,
     938,   938,   938,   938,   938,     0,   938,     0,   938,   938,
       0,     0,   938,     0,     0,     0,     0,     0,   933,     0,
       0,     0,     0,     0,     0,     0,  1524,   938,   938,   938,
     938,     0,     0,     0,     0,   938,     0,     0,     0,   938,
       0,     0,   938,     0,     0,   938,   938,   938,   938,   938,
     938,   938,   938,   938,     0,   938,     0,     0,     0,     0,
       0,     0,     0,   938,     0,     0,   938,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   933,     0,  1521,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   933,  1521,     0,   933,     0,   933,     0,     0,
       0,     0,     0,     0,   938,     0,     0,     0,     0,     0,
       0,     0,     4,     0,     0,     0,     0,   933,     0,     0,
     938,     0,     0,   933,     0,     0,     0,   933,     0,   938,
     938,     5,     0,  1521,     0,     0,     0,   933,     0,     0,
       0,     6,     7,     0,     0,     0,     0,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,  1521,
       0,    45,     0,     0,  1521,  1521,     0,     0,     0,   933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1524,     0,     0,     0,  1524,  1524,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    46,     0,   933,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     938,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     933,     0,   938,     0,     0,     0,  1524,     0,     0,   938,
       0,     0,   938,   938,     0,     0,     0,     0,     0,     0,
    1524,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1521,  1521,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      47,     0,     0,     0,     0,     0,   933,     0,     0,   933,
    1524,     0,   933,     0,     0,     0,     0,     0,    48,     0,
       0,     0,     0,   933,     0,     0,     0,   933,     0,   933,
       0,   933,     0,     0,     0,     0,     0,     0,   933,     0,
       0,    49,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   933,     0,     0,
       0,     0,     0,     0,     0,    50,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    51,     0,     0,    52,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    53,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   933,     0,     0,     0,     0,     0,     0,
       0,   933,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   938,
     938,   938,     0,     0,     0,   938,     0,     0,     0,     0,
     933,   933,   933,     0,     0,     0,     0,     0,     0,   933,
       0,     0,     0,  1521,     0,     0,     0,     0,     0,   933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    54,
     938,  1524,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   933,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   938,     0,     0,    55,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    56,     0,     0,   933,     0,     0,     0,     0,
     933,     0,     0,     0,     0,     0,     0,    57,     0,   933,
       0,     0,     0,  1524,     0,   933,   933,     0,   933,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   933,     0,
     938,     0,     0,     0,     0,     0,     0,    58,     0,     0,
       0,     0,     0,     0,     0,    59,     0,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1569,  3164,     0,     0,
       0,    71,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   933,     0,     0,     0,     0,
     933,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   933,     0,     0,
       0,     0,   933,     0,     0,     0,     0,     0,     0,   933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1524,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   938,     0,     0,
    1524,     0,   933,   938,     0,     0,   938,     0,     0,   938,
       0,     0,   933,     0,     0,  1524,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   938,     0,     0,     0,   933,
     938,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   933,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   938,   938,   938,     0,     0,   938,     0,
       0,     0,   933,   933,     0,     0,   938,   938,   938,   938,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   938,
       0,     0,   938,     0,   938,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   938,   938,     0,     0,   938,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   938,     0,   938,     0,   938,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   938,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   938,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     4,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   938,
       0,     0,     0,     0,     0,     0,     0,     0,     5,     0,
       0,     0,     0,     0,   938,     0,     0,     0,     6,     7,
       0,     0,     0,     0,     0,     9,    10,     0,   938,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
    1524,     0,     0,  1524,     0,  1524,     0,     0,     0,     0,
    1524,     0,     0,     0,     0,     0,   998,     0,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,     0,
       0,   938,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    46,     0,     0,     0,     0,     0,     0,  1524,
       0,     0,     0,     0,     0,     0,   998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1524,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1193,     0,  1524,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1193,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    47,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    48,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    49,     0,
       0,     0,     0,     0,  1524,     0,  1524,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    50,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    51,
       0,     0,    52,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    53,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1524,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     938,     0,     0,  1244,     0,     0,   938,     0,     0,     0,
       0,     0,     0,     0,  1524,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1524,     0,     0,     0,     0,    54,  1524,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    55,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    56,
       0,     0,     0,     0,     0,     0,  1524,     0,     0,     0,
       0,     0,     0,     0,    57,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1524,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1524,     0,     0,     0,    58,     0,     0,     0,     0,     0,
       0,     0,    59,     0,    60,    61,    62,    63,    64,     0,
       0,    65,    66,  1569,     0,     0,     0,     0,    71,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   938,     0,     0,
    1524,     0,     0,     0,     0,     0,   938,     0,     0,     0,
       0,     0,   938,     0,   938,     0,     0,   938,     0,     0,
       0,  1524,   938,   938,   938,   938,     0,     0,   938,   938,
     938,   938,   938,   938,   938,   938,   938,   938,     0,     0,
       0,   938,   938,     0,     0,     0,  1524,     0,     0,     0,
       0,   938,   998,   998,     0,   938,     0,     0,     0,   938,
       0,     0,     0,     0,     0,     0,     0,   938,     0,     0,
     938,     0,   938,     0,     0,     0,     0,     0,     0,     0,
    1524,   938,     0,     0,   938,   938,     0,     0,     0,   938,
     938,     0,     0,     0,     0,     0,   938,     0,     0,     0,
    1244,     0,     0,     0,     0,     0,   938,     0,     0,   938,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   938,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   938,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   938,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1524,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     938,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1283,     0,     0,     0,     0,     0,     0,     0,  1318,
       0,     0,  1320,     0,     0,  1325,  1326,     0,  1329,     0,
    1331,     0,     0,  1337,     0,  1339,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1411,     0,     0,     0,     0,
       0,     0,     0,  1420,     0,     0,     0,     0,     0,     0,
    1432,  1433,     0,     0,  1439,     0,  1442,  1443,  1524,     0,
       0,  1445,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1244,     0,
     998,     0,  1524,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1480,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1550,     0,  1552,     0,     0,     0,     0,     0,
       0,     0,     0,  1566,  1568,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   938,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1646,     0,     0,     0,
       0,     0,     0,     0,     0,  1524,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   938,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1244,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1524,   938,   938,     0,     0,     0,
       0,     0,     0,  1193,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   938,     0,     0,     0,  1913,     0,     0,
    1914,     0,  1917,     0,   938,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1958,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   938,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   938,   938,     0,  1524,     0,     0,
       0,   938,   938,     0,     0,     0,   938,  1524,     0,     0,
       0,   938,     0,     0,   938,   938,     0,     0,     0,   938,
       0,     0,     0,     0,     0,   938,     0,     0,     0,     0,
    2126,     0,     0,     0,     0,     0,     0,   938,     0,     0,
       0,     0,     0,     0,     0,   938,     0,     0,     0,   938,
       0,     0,  2156,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2167,     0,     0,     0,     0,  2170,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2173,
     938,     0,     0,     0,  2177,     0,     0,     0,     0,     0,
       0,     0,  2180,     0,     0,     0,     0,     0,  2190,     0,
       0,  2194,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   938,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1524,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2248,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1524,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1524,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   938,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1524,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     938,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   938,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2416,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   938,     0,  1742,  1742,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1524,     0,  1524,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   938,     0,     0,
       0,  1524,     0,     0,     0,     0,   938,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   938,   938,     0,     0,   938,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   938,     0,     0,     0,     0,     0,     0,   938,
       0,     0,     0,     0,   938,     0,     0,   938,   938,     0,
       0,     0,     0,     0,   938,   938,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1193,  1566,   938,     0,   938,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   938,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2140,
    2144,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1524,     0,
       0,     0,     0,     0,     0,     0,     0,  2667,   938,     0,
    2667,     0,     0,     0,     0,     0,     0,     0,  2674,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2682,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   938,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2776,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   938,     0,
    1524,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   938,  1524,     0,   938,
       0,   938,     0,  2865,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   938,     0,     0,     0,     0,     0,   938,     0,     0,
       0,   938,     0,     0,     0,     0,     0,  1524,     0,     0,
       0,   938,     0,     0,     0,     0,  1513,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1513,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1524,     0,     0,     0,     0,  1524,  1524,
       0,     0,     0,   938,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2445,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   938,     0,  1522,     0,     0,     0,     0,     0,     0,
       0,  2459,     0,     0,     0,     0,     0,     0,     0,     0,
    3026,     0,     0,     0,   938,     0,     0,     0,     0,  1522,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2477,
    2478,  2479,     0,  2482,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1524,  1524,     0,
       0,     0,     0,  2524,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     938,     0,     0,   938,     0,     0,   938,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   938,     0,     0,
       0,   938,     0,   938,     0,   938,     0,     0,     0,     0,
       0,     0,   938,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   938,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2599,  3149,
       0,  3150,  2611,  2616,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1566,  3161,     0,
    3162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3183,     0,     0,     0,     0,     0,     0,   938,     0,     0,
       0,     0,  1566,     0,     0,   938,  1566,     0,     0,     0,
    1566,     0,     0,  1566,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1513,
       0,     0,     0,     0,   938,   938,   938,     0,     0,     0,
       0,     0,     0,   938,     0,     0,     0,  1524,     0,     0,
       0,     0,     0,   938,  1513,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1513,
       0,     0,     0,     0,     0,     0,   938,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2143,     0,     0,     0,     0,     0,     0,     0,     0,   938,
       0,     0,     0,     0,   938,  3394,  1522,     0,     0,     0,
       0,     0,     0,   938,     0,     0,     0,     0,     0,   938,
     938,     0,   938,     0,     0,     0,     0,     0,     0,  1513,
       0,  1522,   938,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1522,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   938,
       0,     0,     0,     0,   938,     0,     0,  2140,  2140,  2140,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   938,     0,     0,     0,     0,   938,     0,     0,     0,
       0,     0,     0,   938,     0,     0,  1522,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1244,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3490,  3491,     0,     0,     0,  1513,   938,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   938,     0,     0,  3506,
    3507,     0,     0,     0,  3510,  3511,     0,     0,     0,  3514,
       0,     0,     0,   938,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3525,     0,     0,   938,     0,     0,     0,
    3534,     0,     0,     0,  3537,  3538,     0,     0,  3541,  3542,
       0,     0,     0,     0,     0,  3547,   938,   938,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3566,     0,  3568,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3592,     0,     0,     0,     0,  3594,     0,     0,     0,
       0,     0,  1522,     0,     0,     0,     0,     0,     0,  3599,
       0,     0,     0,     0,     0,     0,     0,     0,  3606,     0,
       0,  3610,     0,     0,  3613,  3616,  3618,     0,     0,     0,
       0,  3626,  3629,     0,     0,     0,     0,     0,     0,     0,
       0,  3642,     0,     0,     0,     0,  3651,     0,     0,     0,
       0,  3655,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3671,     0,     0,     0,     0,
       0,     0,  3681,  3682,     0,     0,     0,     0,  3686,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3701,
    3702,     0,     0,     0,  3705,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3712,     0,     0,  3715,
       0,     0,     0,     0,  3718,     0,     0,     0,     0,  3720,
    3721,     0,     0,     0,  3724,     0,     0,  3728,     0,     0,
       0,  3735,  3736,  3737,  3738,     0,  3740,     0,     0,     0,
    3271,     0,     0,     0,     0,     0,     0,     0,     0,  3765,
    3766,     0,  3768,  3291,     0,  3293,     0,     0,  3305,  3308,
    3313,     0,  3776,  3777,     0,  3319,     0,     0,  3324,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1513,     0,     0,  3331,  3332,  3333,  3334,     0,     0,     0,
       0,  3341,     0,     0,     0,  3353,     0,     0,  3355,     0,
       0,  3362,  3363,  3364,  3365,  3366,  3367,  3368,  3369,  3370,
       0,  3371,     0,     0,     0,     0,     0,     0,     0,  1742,
       0,     0,  2140,     0,     0,     0,     0,  3834,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1513,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3871,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3416,     0,  1513,     0,     0,     0,     0,  2703,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2478,  2479,     0,     0,     0,
       0,     0,     0,     0,     0,  1513,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2703,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1244,     0,  1522,
       0,  1514,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1566,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1513,     0,     0,     0,     0,  1514,     0,     0,
       0,     0,  1522,     0,     0,     0,     0,     0,     0,  1513,
       0,     0,     0,     0,  4006,     0,  3539,     0,  1513,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1513,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4024,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2143,  2143,
    2143,     0,     0,     0,     0,     0,  1513,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1522,
       0,     0,     0,     0,     0,     0,  1513,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1522,     0,  1513,     0,
       0,     0,     0,     0,     0,  2703,     0,     0,     0,     0,
    1513,     0,     0,     0,     0,     0,     0,  1522,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1513,  1513,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1522,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1522,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1522,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1522,     0,     0,
       0,     0,     0,     0,     0,  3787,  3788,  2140,     0,     0,
       0,  3792,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1522,  1522,     0,
       0,     0,     0,     0,     0,     0,  3825,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1566,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1514,     0,  1513,     0,     0,  4254,
       0,     0,     0,  4256,     0,     0,     0,     0,     0,  4258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1514,
       0,     0,     0,     0,     0,     0,     0,  4269,  4271,     0,
       0,     0,  4271,     0,  1514,     0,     0,  4282,  4283,  4284,
       0,  4286,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4308,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4314,  4315,  4316,  4317,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1522,     0,     0,     0,     0,     0,     0,
       0,  4334,     0,     0,  4339,  4340,  4341,     0,     0,     0,
       0,     0,     0,     0,  1514,     0,     0,     0,     0,     0,
       0,     0,  4361,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2143,     0,     0,     0,     0,     0,     0,
       0,     0,  4369,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1513,     0,     0,     0,  1513,  1513,     0,     0,     0,     0,
       0,  4029,     0,     0,     0,     0,  4035,     0,     0,     0,
       0,     0,     0,     0,  4411,     0,     0,     0,     0,     0,
       0,     0,  4415,     0,     0,     0,     0,     0,     0,     0,
       0,  2482,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3313,     0,  3313,  3313,     0,     0,     0,     0,
    1514,     0,     0,  4429,     0,  4093,  1513,     0,  4096,     0,
    4098,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1513,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4475,     0,     0,     0,     0,     0,     0,     0,     0,  4116,
       0,  4119,     0,  4121,     0,     0,     0,  3494,     0,     0,
       0,  2703,  3500,     0,     0,     0,     0,     0,     0,     0,
    1513,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4512,     0,     0,     0,     0,  4517,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2599,     0,     0,     0,     0,
       0,     0,     0,  1522,     0,     0,     0,     0,  4554,     0,
    2616,     0,     0,     0,   998,     0,     0,  1522,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4578,     0,  4579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1522,     0,     0,
       0,     0,     0,     0,  1566,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4240,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1516,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1516,     0,     0,     0,     0,
       0,  1513,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1514,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2143,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1513,     0,     0,     0,     0,     0,     0,
    1514,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1522,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1514,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1514,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4801,     0,  4802,     0,     0,  1517,     0,
    2703,     0,  4804,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2140,     0,  4814,     0,
       0,     0,  2140,  1513,  1517,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4822,     0,     0,     0,     0,     0,
    1513,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4843,     0,  1513,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1514,     0,     0,
       0,  4847,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4856,     0,     0,  1514,     0,     0,     0,     0,     0,
       0,     0,     0,  1514,     0,     0,     0,     0,     0,     0,
    4885,     0,     0,     0,     0,  1514,     0,     0,     0,     0,
       0,     0,     0,  4893,  4894,  4895,     0,     0,     0,     0,
    4899,  4900,  4901,  4902,     0,     0,     0,  4904,  4905,     0,
    1522,     0,  1516,  4912,  4913,     0,  4915,  4916,  4917,  4918,
    4919,  4920,     0,  4922,     0,     0,     0,  1522,     0,     0,
       0,     0,  4930,     0,     0,  4933,  4934,  1516,     0,     0,
       0,  1514,  1522,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1516,     0,     0,     0,     0,     0,     0,  4271,
       0,  1514,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1514,     0,     0,     0,     0,     0,     0,
       0,  4955,     0,     0,     0,  1514,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1514,  1514,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1516,  4617,     0,     0,     0,     0,     0,     0,
       0,     0,  4621,     0,     0,     0,     0,     0,  4622,     0,
    4623,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1513,     0,     0,  1513,     0,  1513,     0,     0,  4271,     0,
    1513,     0,     0,     0,     0,     0,     0,  4647,  4648,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3319,     0,  1566,  1566,  1566,
    1566,  1566,     0,  4673,     0,     0,  4676,     0,  4678,     0,
    5069,     0,     0,     0,     0,     0,     0,  4682,     0,  1513,
       0,  1517,     0,     0,     0,  4689,  4690,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1513,     0,
       0,     0,     0,     0,     0,     0,  1517,     0,     0,     0,
       0,     0,  1519,     0,     0,     0,     0,  4736,     0,     0,
       0,  1517,     0,  1513,     0,     0,     0,  2703,  1516,     0,
    3500,  1514,  3500,     0,     0,     0,     0,  2703,  1519,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4752,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4765,     0,
       0,     0,     0,     0,     0,     0,  1522,     0,     0,     0,
       0,     0,     0,     0,  1513,     0,  1513,     0,     0,     0,
       0,     0,     0,     0,     0,  1522,     0,     0,     0,     0,
       0,  1517,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2703,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5209,  1513,     0,     0,  5210,  5211,
    5212,  5213,     0,     0,  5215,     0,     0,     0,     0,     0,
       0,  1522,     0,  1522,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1513,     0,  5234,  5235,  5236,     0,
    5237,     0,  5239,  5240,     0,  1514,     0,     0,     0,  1514,
    1514,     0,     0,     0,  5249,  5250,     0,  1517,     0,     0,
       0,  1513,     0,     0,     0,     0,     0,  1513,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5255,     0,     0,     0,     0,     0,     0,     0,  1566,
    1566,     0,  1566,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1522,     0,  5266,     0,     0,     0,     0,     0,
       0,  1514,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1516,     0,  1514,     0,  2143,     0,     0,
       0,     0,     0,  2143,     0,     0,  1513,     0,     0,     0,
       0,  1522,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1513,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1514,     0,     0,  3500,     0,
    1513,     0,     0,     0,  3500,  1519,     0,     0,  5318,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1516,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1519,     0,     0,     0,     0,     0,     0,  5345,     0,     0,
       0,  5034,  5035,     0,     0,  1519,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1516,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5371,     0,  1522,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1516,     0,
       0,  3500,     0,     0,     0,     0,     0,     0,     0,     0,
    1513,     0,     0,     0,     0,     0,     0,  1522,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5084,
       0,  1513,     0,     0,     0,     0,     0,     0,     0,     0,
    5089,     0,     0,     0,     0,  1519,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1513,     0,     0,     0,
       0,     0,     0,  1566,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1566,     0,
    5104,  5106,  1517,     0,     0,     0,     0,  5110,  5111,     0,
    1513,     0,  5112,     0,     0,  1516,     0,  5115,     0,     0,
    5118,  5119,     0,     0,     0,  5123,  1514,     0,     0,     0,
       0,  5127,  1516,     0,     0,     0,     0,  1522,     0,     0,
       0,  1516,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1516,     0,     0,     0,     0,  1522,     0,
       0,     0,     0,     0,     0,     0,     0,  1517,     0,     0,
       0,     0,     0,     0,     0,     0,  5474,     0,     0,     0,
       0,     0,     0,  1522,     0,     0,  1742,     0,     0,     0,
       0,     0,     0,     0,  5484,     0,     0,     0,     0,  5489,
    5490,  1519,     0,     0,  1517,     0,     0,     0,  1514,  1516,
       0,     0,     0,     0,     0,     0,     0,  1522,  5189,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1513,  1516,
       0,     0,     0,     0,     0,     0,     0,  1517,     0,     0,
       0,  1516,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5550,  1516,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5566,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1516,  1516,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4271,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5603,     0,     0,  5252,
       0,     0,     0,     0,     0,     0,     0,     0,  1513,     0,
       0,     0,     0,     0,  1517,  2703,     0,     0,  1514,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1566,  1517,  1513,     0,     0,  1514,     0,     0,     0,     0,
    1517,  1566,     0,     0,     0,     0,     0,     0,     0,     0,
    1514,     0,  1517,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5643,  5290,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5660,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5668,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1517,     0,
       0,     0,     0,     0,     0,  3500,     0,     0,     0,     0,
       0,     0,     0,  1566,     0,     0,     0,     0,  1517,  1516,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3500,
    1517,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1517,     0,     0,     0,     0,     0,     0,     0,
       0,  5737,     0,     0,     0,  1513,  1519,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1517,  1517,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1513,     0,     0,     0,     0,     0,
       0,  4271,     0,     0,     0,     0,     0,     0,     0,  5394,
    5395,  1519,     0,  5396,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1566,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1519,     0,
    5431,  5432,  1522,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5825,  1514,     0,     0,  1514,     0,
    1514,     0,  5446,     0,     0,  1514,     0,     0,     0,  5838,
       0,  1519,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2703,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1516,     0,     0,     0,  1516,  1516,     0,
       0,     0,     0,     0,  1514,     0,     0,  1513,  1517,     0,
       0,     0,     0,  5868,     0,     0,     0,  1513,     0,     0,
       0,     0,     0,  1514,     0,     0,     0,  5878,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1514,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1519,  1516,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1516,     0,  1519,     0,     0,     0,     0,
       0,     0,     0,     0,  1519,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1519,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5938,     0,  1516,  1522,     0,     0,     0,     0,  1514,
       0,  1514,     0,     0,  1522,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1513,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1519,     0,     0,  3319,  5961,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1519,     0,     0,     0,     0,     0,     0,  1513,
       0,     0,     0,  5626,  1519,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1519,  2482,     0,     0,
    1513,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1514,     0,  1517,     0,     0,     0,  1517,  1517,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1519,  1519,     0,     0,
       0,     0,     0,  6027,     0,     0,     0,  1522,     0,  1514,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5675,
       0,     0,     0,     0,     0,  1513,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1514,     0,  1517,     0,
       0,     0,  1514,     0,     0,     0,  1522,     0,     0,     0,
       0,     0,  1517,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1522,     0,     0,
       0,     0,     0,     0,  1516,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1517,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1514,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1514,
       0,     0,  1522,     0,     0,     0,  1513,     0,     0,     0,
       0,     0,     0,     0,     0,  1514,     0,     0,     0,     0,
       0,     0,  1519,     0,     0,     0,  1516,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5431,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1513,     0,     0,     0,     0,     0,  5827,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2518,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5356,     0,  1522,     0,  1514,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1514,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5881,     0,     0,  1516,     0,     0,     0,
       0,  1514,     0,  1517,     0,     0,     0,     0,  1522,     0,
       0,     0,     0,  1516,  2518,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1516,     0,
    5908,  5908,  5908,     0,     0,  1514,     0,     0,  1513,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5431,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1519,     0,     0,     0,
    1519,  1519,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1517,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5970,     0,  1519,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3500,  1519,     0,  5908,     0,
       0,     0,     0,  1514,     0,     0,     0,     0,     0,     0,
    1513,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1519,  1513,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1517,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1513,     0,     0,
       0,     0,  1517,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1517,     0,     0,
       0,     0,     0,  1514,     0,     0,     0,     0,     0,  6060,
       0,     0,     0,  1516,     0,     0,  1516,  3500,  1516,     0,
       0,     0,     0,  1516,     0,     0,     0,  1514,     0,     0,
       0,     0,     0,  1513,     0,     0,     0,     0,  1513,  1513,
       0,     0,  5908,     0,  1522,     0,     0,     0,     0,     0,
       0,     0,  6086,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1516,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1522,     0,     0,     0,  2518,     0,
       0,  1516,  2518,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1516,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1519,     0,     0,
    1522,     0,     0,     0,     0,  1522,  1522,     0,  1513,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1514,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1516,     0,  1516,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1514,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1519,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1517,     0,     0,  1517,     0,  1517,     0,     0,
       0,     0,  1517,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5356,  1522,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1516,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1517,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1517,     0,     0,     0,     0,     0,     0,  1516,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1517,     0,     0,     0,     0,
       0,     0,  1514,     0,  1516,     0,     0,     0,     0,  1519,
    1516,     0,  1514,     0,     0,     0,     0,  1513,     0,     0,
       0,     0,     0,     0,     0,     0,  1519,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1519,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2518,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1517,  2518,  1517,     0,
       0,  3301,     0,     0,     0,     0,     0,     0,     0,  1516,
       0,     0,     0,     0,     0,  2518,  2518,  2518,     0,     0,
    2518,     0,     0,     0,     0,     0,     0,  1516,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1516,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1522,     0,     0,     0,     0,     0,
       0,     0,  2518,     0,     0,  1514,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1517,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1514,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1514,  1517,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2518,     0,     0,
       0,     0,     0,  1516,     0,     0,     0,     0,     0,  2518,
       0,     0,     0,  1517,  2518,     0,     0,     0,     0,  1517,
       0,     0,     0,     0,  1516,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1516,
    1514,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1519,     0,     0,  1519,
       0,  1519,     0,     0,     0,     0,  1519,     0,     0,     0,
       0,     0,     0,  1516,     0,     0,     0,     0,  1517,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1517,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1517,     0,     0,  1519,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1519,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1514,     0,     0,     0,     0,     0,     0,     0,  1519,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1516,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1514,     0,     0,     0,
       0,     0,  1517,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1519,     0,  1519,  1517,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1517,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1516,  1517,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1516,     0,     0,     0,     0,
       0,  1519,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1514,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1519,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1519,     0,     0,
       0,     0,     0,  1519,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1517,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1516,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1519,     0,     0,  1514,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1519,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1514,     0,     0,     0,  1519,  1516,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1517,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1514,     0,  1517,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1514,     0,
       0,     0,     0,  1514,  1514,     0,  1519,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1519,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1516,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1516,     0,  1519,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2518,
       0,     0,     0,     0,     0,     0,     0,  1517,     0,     0,
       0,     0,     0,     0,     0,     0,  1519,     0,     0,  2518,
       0,  2518,     0,     0,  3301,  3301,     0,  4070,     0,  3301,
       0,     0,     0,  2518,     0,     0,  2518,     0,     0,     0,
       0,  2518,     0,  1514,     0,     0,     0,  2518,     0,     0,
       0,     0,  2518,     0,     0,     0,  1517,     0,     0,  2518,
    2518,  2518,  2518,     0,     0,     0,  3301,  3301,     0,  2518,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2518,     0,  2518,     0,     0,     0,     0,     0,     0,
    2518,  2518,  2518,  2518,  2518,  2518,  2518,  2518,  2518,  2518,
       0,     0,     0,  1516,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1519,     0,     0,     0,     0,     0,
       0,     0,  1516,     0,  2518,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1516,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1517,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1517,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1516,     0,
       0,     0,     0,     0,  1519,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1514,     0,     0,     0,     0,     0,  1519,     0,
       0,     0,     0,     0,     0,     0,     0,  2518,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1517,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1516,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1517,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1517,     0,     0,     0,     0,     0,     0,     0,
       0,  1519,     0,     0,  1516,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1519,     0,     0,     0,     0,     0,     0,  1517,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2518,  2518,     0,     0,     0,
    2518,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1516,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2518,     0,     0,     0,     0,  1517,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1519,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1519,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1517,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1516,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1516,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1519,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1516,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1519,     0,     0,     0,     0,
    1517,     0,     0,     0,     0,     0,     0,  2518,     0,     0,
       0,     0,     0,  2518,     0,     0,  1519,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1516,     0,     0,  4070,
    4070,  1516,  1516,  3301,  3301,  3301,  3301,     0,     0,  3301,
    3301,  3301,  3301,  3301,  3301,  3301,  3301,  3301,  3301,  4070,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2518,     0,     0,  2518,     0,  2518,     0,     0,  4070,
    4070,  1519,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2518,  3301,  3301,  2518,     0,  2518,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1517,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1516,     0,     0,     0,     0,     0,     0,     0,  1517,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1517,
       0,     0,  1519,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2518,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1517,     0,  1519,     0,     0,
    1517,  1517,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1516,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1517,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1519,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3301,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1519,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1519,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1517,
       0,     0,     0,  1519,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2518,     0,     0,     0,  2518,
    2518,  2518,     0,     0,     0,     0,     0,  4070,  4070,  4070,
    4070,     0,     0,     0,     0,  4070,  4070,  4070,  4070,  4070,
    4070,  4070,  4070,  4070,  4070,  2518,  2518,     0,     0,  1519,
       0,     0,     0,     0,  1519,  1519,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2518,     0,     0,  2518,     0,  2518,     0,     0,     0,
    2518,     0,     0,  4070,  4070,     0,     0,  2518,  2518,     0,
       0,     0,     0,     0,     0,     0,     0,    86,    87,     0,
      89,    90,    91,     0,     0,     0,    94,     0,     0,    97,
      98,    99,   100,   101,   102,     0,   103,   104,     0,     0,
       0,   106,   107,   108,   109,     0,   110,   111,   112,   113,
       0,   114,   115,   116,  2518,     0,     0,     0,     0,   119,
     120,     0,     0,     0,     0,   121,     0,     0,     0,     0,
    2518,     0,     0,     0,   122,     0,   123,     0,   124,     0,
      35,     0,     0,  2518,  1519,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   131,
       0,     0,     0,   133,   134,   135,   136,   137,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     139,     0,     0,     0,     0,     0,     0,   143,     0,   144,
       0,     0,     0,     0,     0,     0,   147,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   150,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   154,   155,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   161,     0,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,     0,   167,     0,     0,     0,     0,     0,   168,     0,
     169,     0,     0,     0,     0,     0,     0,   171,     0,   172,
       0,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,  4070,     0,     0,     0,     0,     0,
       0,     0,     0,   175,   176,     0,     0,     0,     0,     0,
     177,     0,   178,  1519,     0,   179,   180,     0,   181,     0,
       0,     0,     0,     0,     0,     0,     0,   182,   183,     0,
     184,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   189,   190,   191,     0,     0,     0,   192,
       0,     0,     0,   194,     0,     0,   195,     0,   196,     0,
       0,     0,  2518,  2518,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,  2518,     0,     0,     0,     0,  2518,  3301,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,  2518,     0,  2518,   213,     0,     0,  2518,  2518,
    2518,     0,     0,  2518,     0,     0,  2518,  2518,     0,     0,
       0,  2518,     0,     0,   218,  2518,     0,   220,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   223,     0,     0,     0,     0,
       0,   225,     0,     0,     0,     0,     0,     0,     0,   226,
     227,     0,     0,     0,     0,   228,     0,   229,     0,     0,
       0,     0,     0,     0,     0,     0,   232,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2518,     0,     0,
       0,   236,     0,     0,   237,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3471,    86,    87,
    2518,    89,    90,    91,     0,     0,     0,    94,     0,     0,
      97,    98,    99,   100,   101,   102,     0,   103,   104,     0,
       0,     0,   106,   107,   108,   109,     0,   110,   111,   112,
     113, -2795,   114,   115,   116,     0,     0,     0,  2518,     0,
     119,   120,     0,     0,     0,     0,   121,     0,     0,     0,
       0,     0,     0,     0,     0,   122,     0,   123,     0,   124,
     125,    35,     0,   426,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     131,     0,     0,     0,   133,   134,   135,   136,   137,     0,
       0,     0,     0,     0,     0,     0,  4070,  3301,     0,     0,
       0,   139,     0,     0,     0,     0,     0,     0,   143,     0,
     144,     0,  2518,  2518,  2518,     0,     0,   147,     0,     0,
       0,     0,  3301,     0,     0,     0,     0,     0,     0,   150,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   154,   155,     0,  2518,
    2518,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2518,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   161,     0,     0,     0,     0,
       0,     0,     0,   163,     0,     0,     0,   165,     0,     0,
       0,     0,     0,   167,     0,     0,     0,     0,     0,   168,
       0,   169,     0,     0,     0,     0,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   175,   176,     0,     0,     0,     0,
       0,   177,     0,   178,     0,     0,   179,   180,     0,   181,
       0,     0,     0,     0,     0,     0,     0,     0,   182,   183,
       0,   184,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   189,   190,   191,     0,     0,     0,
     192,     0,     0,     0,   194,     0,     0,   195,     0,   196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,   198,     0,   199,   200,
       0,     0,     0,  4070,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,  3301,     0,     0,
    4070,     0,     0,     0,  2518,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,     0,     0,     0,     0,     0,   213,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2518,     0,   218,     0,     0,   220,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,   225,     0,     0,     0,     0,     0,     0,     0,
     226,   227,     0,     0,     0,     0,   228,     0,   229,     0,
       0,     0,     0,     0,     0,     0,     0,   232,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,     0,     0,   237,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4070,     0,  3301,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2518,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2518,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2518,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2518,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3301,     0,     0,     0,     0,  3301,   779,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,   780,   103,   104,
     734,   781,     0,   106,   107,   108,   109,   782,   783,   111,
     112,   113,     0,   114,   784,   785,   735,   736,     0,     0,
       0,   737,   738,  4070,     0,     0,  4070,   739,  2518,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,  2518,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   786,   440,   441,   442,   787,   788,
     789,   790,   791,   792,   793,   443,   444,   794,   445,   446,
     447,   131,   448,   449,   450,   133,   134,   135,   136,   137,
     795,   451,   452,   453,   454,   455,   456,   796,   797,   457,
     458,   798,   139,   459,   799,   460,   461,   462,   463,   143,
     800,   144,   801,   464,   465,   466,   467,   468,   147,   469,
     470,   802,   803,   471,   472,   473,   474,   475,   476,   804,
     150,   477,   478,   805,   806,   807,   808,   151,   809,   810,
     811,   480,   481,   482,   483,   748,   484,   154,   155,   485,
     812,   486,   813,   487,   488,   489,   490,   491,   492,   814,
     493,   494,   495,   496,   815,   816,   497,   498,   499,   500,
     501,   817,   502,   503,   504,   818,   505,   506,   507,   819,
     508,   509,   510,   511,   163,   512,   513,   514,   165,   820,
     515,   821,   516,   517,   167,   518,   822,   519,   823,   520,
     168,   824,   169,   521,   522,   523,   524,   825,   525,   171,
     826,   172,   526,   527,   827,   528,   529,   750,   530,   531,
     173,   532,   533,   534,   535,   828,   536,   537,   538,   539,
     540,   541,   542,   829,   543,   175,   176,   830,   544,   545,
     546,   831,   177,   832,   178,   833,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,   834,   835,   554,   182,
     183,   555,   184,   836,   556,   557,   558,   837,   838,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,   190,   191,   573,   574,
     575,   192,   839,   576,   577,   194,   578,   840,   195,   579,
     196,   580,   581,   582,   841,   583,   584,   842,   843,   585,
     586,   587,   844,   845,   588,   589,   197,   198,   590,   199,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     846,   600,   601,   201,   602,   202,   603,   604,   605,   847,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,   848,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   849,   632,
     633,   211,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,   753,   646,   850,   647,   648,
     649,   650,   651,   851,   653,   654,   218,   655,   656,   220,
     657,   658,   221,   659,   852,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,   853,   672,
     673,   854,   674,   225,   675,   676,   677,   678,   679,   855,
     680,   226,   227,   856,   857,   682,   683,   228,   684,   229,
     858,   685,   686,   687,   688,   689,   690,   691,   859,   860,
     692,   693,   694,   695,   696,   861,   862,   697,   698,   699,
     700,   701,   863,   236,   864,   702,   237,   703,   704,   705,
     706,   865,   866,   707,   867,   868,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,     0,    85,     0,     0,
      86,    87,    88,    89,    90,    91,    92,     0,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,  1053,   103,
     104,   105,     0,     0,   106,   107,   108,   109,     0,   110,
     111,   112,   113,     0,   114,   115,   116,   117,   118,     0,
       0,     0,   119,   120,     0,     0,     0,     0,   121,     0,
       0,     0,     0,     0,     0,     0,     0,   122,     0,   123,
       0,   124,   125,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   126,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   127,     0,   128,
     129,     0,     0,     0,     0,     0,     0,     0,     0,   130,
       0,     0,   131,     0,     0,   132,   133,   134,   135,   136,
     137,     0,     0,     0,   138,     0,     0,     0,     0,     0,
       0,     0,     0,   139,     0,     0,   140,     0,   141,   142,
     143,     0,   144,     0,     0,   145,     0,   146,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,   148,     0,
     149,   150,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,   152,     0,   153,   154,   155,
     156,     0,     0,     0,     0,     0, -1689,     0,     0,     0,
       0,     0,     0,     0,   157,     0,   158,     0,     0,     0,
     159,     0,     0,     0,     0,     0,   160,   161,     0,     0,
       0,     0,     0,     0,   162,   163,   164,     0,     0,   165,
       0,     0,   166,     0,     0,   167,     0,     0,     0,     0,
       0,   168,     0,   169,     0,     0,     0,     0,   170,     0,
     171,     0,   172,     0,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,   174,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   175,   176,     0,     0,
   -1689,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,   185,   186,     0,     0,     0,
       0,   187,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,     0,     0,   189,   190,   191,     0,
       0,     0,   192,     0,     0,   193,   194,     0,     0,   195,
       0,   196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   197,   198,     0,
     199,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,   203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,   205,     0,     0,     0,     0,     0,   206,   207,
       0,   208,     0,     0,     0,     0,   209,     0,     0,     0,
       0,   210,   211,     0,   212,     0,     0,     0,   213,     0,
       0,   214,     0,     0,     0,     0,     0,   215,   216,     0,
       0,     0,     0,     0,     0,   217,     0,   218,     0,   219,
     220,     0,     0,   221,     0,     0,     0,     0,     0,   222,
       0,     0,     0,     0,     0,     0,     0,     0,   223,     0,
       0,     0,   224,     0,   225,     0,     0,     0,     0,     0,
       0,     0,   226,   227,     0,     0,     0,     0,   228,     0,
     229,     0,   230,     0,   231,     0,     0,     0,     0,   232,
       0,     0,   233,     0,     0, -1689,     0,     0,   234,     0,
       0,     0,     0,   235,   236,     0,     0,   237,     0,     0,
       0,     0,     0,     0,     0,     0,   238,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,     0,     0,     0,     0,     0,   250,
       0,     0,     0,     0,     0,   779,    86,    87,   731,    89,
      90,    91,   732,   251,   733,    94,     0,  -146,    97,    98,
      99,   100,   101,   102,   780,   103,   104,   734,   781,     0,
     106,   107,   108,   109,   782,   783,   111,   112,   113,     0,
     114,   784,   785,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
     431,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,  2134,   440,   441,   442,     0,     0,     0,     0,  1665,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450,   133,  1666,   135,  1667,  1668,     0,   451,   452,
     453,   454,   455,   456,  1669,  1670,   457,   458,  1671,  1672,
     459,     0,   460,   461,   462,   463,  1673,     0,  1674,     0,
     464,   465,   466,   467,   468,   147,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
       0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,   481,
     482,   483,   748,   484,  1682,  1683,   485,  1684,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,  2135,     0,   497,   498,  1492,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,  1685,   512,   513,   514,  1686,  1687,   515,     0,   516,
     517,  1688,   518,     0,   519,     0,   520,   168,     0,   169,
     521,   522,   523,   524,     0,   525,  1689,     0,  1690,   526,
     527,     0,   528,   529,   750,   530,   531,   173,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,  1495,  1691,
       0,  1692,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,  1693,   183,   555,   184,
       0,   556,   557,   558,  1694,  1695,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,  1696,   190,  1697,   573,   574,   575,   192,  1698,
     576,   577,   194,   578,  1699,  1700,   579,  1701,   580,   581,
     582,     0,   583,   584,     0,     0,  1702,   586,   587,     0,
       0,   588,   589,   197,   198,   590,   199,  1703,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
    1704,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,  1705,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,  1706,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
    1707,   653,   654,   218,   655,   656,   220,   657,   658,  1708,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,  1709,     0,   672,   673,     0,   674,
     225,   675,   676,   677,   678,   679,     0,   680,  1710,  1711,
       0,     0,   682,   683,  1712,   684,  1713,  1714,   685,   686,
     687,   688,   689,   690,   691,     0,  1715,   692,   693,   694,
     695,   696,  1716,     0,   697,   698,   699,   700,   701,   754,
    1717,  2136,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
    1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,   249,
     755,   714,   715,  1726,     0,     0,     0,     0,     0,     0,
    1727,  1728,  2137,     0,     0,     0,     0,     0,     0,  1730,
    2138,   779,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
     780,   103,   104,   734,   781,     0,   106,   107,   108,   109,
     782,   783,   111,   112,   113,     0,   114,   784,   785,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,   431,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1661,  1662,  1663,
      45,  1664,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,  1665,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,   133,  1666,
     135,  1667,  1668,     0,   451,   452,   453,   454,   455,   456,
    1669,  1670,   457,   458,  1671,  1672,   459,     0,   460,   461,
     462,   463,  1673,     0,  1674,     0,   464,   465,   466,   467,
     468,   147,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,     0,  1675,  1676,  1677,
    1678,  1679,  1680,  1681,   480,   481,   482,   483,   748,   484,
    1682,  1683,   485,  1684,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,  1492,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,  1685,   512,   513,
     514,  1686,  1687,   515,     0,   516,   517,  1688,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,  1689,     0,  1690,   526,   527,     0,   528,   529,
     750,   530,   531,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,  1495,  1691,     0,  1692,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,  1693,   183,   555,   184,     0,   556,   557,   558,
    1694,  1695,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,  1696,   190,
    1697,   573,   574,   575,   192,  1698,   576,   577,   194,   578,
    1699,  1700,   579,  1701,   580,   581,   582,     0,   583,   584,
       0,     0,  1702,   586,   587,     0,     0,   588,   589,   197,
     198,   590,   199,  1703,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,  1704,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,  1705,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
    1706,   639,   640,   641,   642,   643,   644,   645,   753,   646,
     216,   647,   648,   649,   650,   651,  1707,   653,   654,   218,
     655,   656,   220,   657,   658,  1708,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
    1709,     0,   672,   673,   224,   674,   225,   675,   676,   677,
     678,   679,     0,   680,  1710,  1711,     0,     0,   682,   683,
    1712,   684,  1713,  1714,   685,   686,   687,   688,   689,   690,
     691,     0,  1715,   692,   693,   694,   695,   696,  1716,     0,
     697,   698,   699,   700,   701,  2480,  1717,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,   238,   708,
     709,   710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,
     244,  1722,  1723,  1724,  1725,   249,   755,   714,   715,  1726,
       0,   250,     0,     0,     0,     0,  1727,  1728,     0,     0,
       0,     0,     0,     0,     0,  1730,  5637,   779,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,   780,   103,   104,   734,
     781,     0,   106,   107,   108,   109,   782,   783,   111,   112,
     113,     0,   114,   784,   785,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,   431,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1661,  1662,  1663,    45,  1664,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,  1665,     0,     0,   443,   444,     0,   445,   446,   447,
     131,   448,   449,   450,   133,  1666,   135,  1667,  1668,     0,
     451,   452,   453,   454,   455,   456,  1669,  1670,   457,   458,
    1671,  1672,   459,     0,   460,   461,   462,   463,  1673,     0,
    1674,     0,   464,   465,   466,   467,   468,   147,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,   150,
     477,   478,     0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,
     480,   481,   482,   483,   748,   484,  1682,  1683,   485,  1684,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,  1492,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,  1685,   512,   513,   514,  1686,  1687,   515,
       0,   516,   517,  1688,   518,     0,   519,     0,   520,   168,
       0,   169,   521,   522,   523,   524,     0,   525,  1689,     0,
    1690,   526,   527,     0,   528,   529,   750,   530,   531,   173,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,   175,   176,     0,   544,   545,   546,
    1495,  1691,     0,  1692,     0,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,  1693,   183,
     555,   184,     0,   556,   557,   558,  1694,  1695,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,  1696,   190,  1697,   573,   574,   575,
     192,  1698,   576,   577,   194,   578,  1699,  1700,   579,  1701,
     580,   581,   582,     0,   583,   584,     0,     0,  1702,   586,
     587,     0,     0,   588,   589,   197,   198,   590,   199,  1703,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,  1704,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,  1705,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
     211,   634,   635,   636,   637,   638,  1706,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,  1707,   653,   654,   218,   655,   656,   220,   657,
     658,  1708,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,  1709,     0,   672,   673,
       0,   674,   225,   675,   676,   677,   678,   679,     0,   680,
    1710,  1711,     0,     0,   682,   683,  1712,   684,  1713,  1714,
     685,   686,   687,   688,   689,   690,   691,     0,  1715,   692,
     693,   694,   695,   696,  1716,     0,   697,   698,   699,   700,
     701,   754,  1717,     0,   702,   237,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,  1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,
    1725,   249,   755,   714,   715,  1726,     0,     0,     0,     0,
       0,     0,  1727,  1728,     0,     0,     0,     0,     0,     0,
       0,  1730,  3303,   779,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,   780,   103,   104,   734,   781,     0,   106,   107,
     108,   109,   782,   783,   111,   112,   113,     0,   114,   784,
     785,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,   431,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1661,
    1662,  1663,    45,  1664,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,  1665,     0,     0,
     443,   444,     0,   445,   446,   447,   131,   448,   449,   450,
     133,  1666,   135,  1667,  1668,     0,   451,   452,   453,   454,
     455,   456,  1669,  1670,   457,   458,  1671,  1672,   459,     0,
     460,   461,   462,   463,  1673,     0,  1674,     0,   464,   465,
     466,   467,   468,   147,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,   150,   477,   478,     0,  1675,
    1676,  1677,  1678,  1679,  1680,  1681,   480,   481,   482,   483,
     748,   484,  1682,  1683,   485,  1684,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,  1492,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,  1685,
     512,   513,   514,  1686,  1687,   515,     0,   516,   517,  1688,
     518,     0,   519,     0,   520,   168,     0,   169,   521,   522,
     523,   524,     0,   525,  1689,     0,  1690,   526,   527,     0,
     528,   529,   750,   530,   531,   173,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
     175,   176,     0,   544,   545,   546,  1495,  1691,     0,  1692,
       0,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,     0,     0,   554,  1693,   183,   555,   184,     0,   556,
     557,   558,  1694,  1695,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
    1696,   190,  1697,   573,   574,   575,   192,  1698,   576,   577,
     194,   578,  1699,  1700,   579,  1701,   580,   581,   582,     0,
     583,   584,     0,     0,  1702,   586,   587,     0,     0,   588,
     589,   197,   198,   590,   199,  1703,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,  1704,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,  1705,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,   211,   634,   635,   636,
     637,   638,  1706,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,  1707,   653,
     654,   218,   655,   656,   220,   657,   658,  1708,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,  1709,     0,   672,   673,     0,   674,   225,   675,
     676,   677,   678,   679,     0,   680,  1710,  1711,     0,     0,
     682,   683,  1712,   684,  1713,  1714,   685,   686,   687,   688,
     689,   690,   691,     0,  1715,   692,   693,   694,   695,   696,
    1716,     0,   697,   698,   699,   700,   701,   754,  1717,     0,
     702,   237,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,  1718,  1719,
    1720,  1721,   244,  1722,  1723,  1724,  1725,   249,   755,   714,
     715,  1726,     0,     0,     0,     0,     0,     0,  1727,  1728,
       0,     0,     0,     0,     0,     0,     0,  1730,  4625,   779,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,   780,   103,
     104,   734,   781,     0,   106,   107,   108,   109,   782,   783,
     111,   112,   113,     0,   114,   784,   785,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,   431,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1661,  1662,  1663,    45,  1664,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,  1665,     0,     0,   443,   444,     0,   445,
     446,   447,   131,   448,   449,   450,   133,  1666,   135,  1667,
    1668,     0,   451,   452,   453,   454,   455,   456,  1669,  1670,
     457,   458,  1671,  1672,   459,     0,   460,   461,   462,   463,
    1673,     0,  1674,     0,   464,   465,   466,   467,   468,   147,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,   150,   477,   478,     0,  1675,  1676,  1677,  1678,  1679,
    1680,  1681,   480,   481,   482,   483,   748,   484,  1682,  1683,
     485,  1684,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,  1492,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,  1685,   512,   513,   514,  1686,
    1687,   515,     0,   516,   517,  1688,   518,     0,   519,     0,
     520,   168,     0,   169,   521,   522,   523,   524,     0,   525,
    1689,     0,  1690,   526,   527,     0,   528,   529,   750,   530,
     531,   173,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,   175,   176,     0,   544,
     545,   546,  1495,  1691,     0,  1692,     0,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,     0,     0,   554,
    1693,   183,   555,   184,     0,   556,   557,   558,  1694,  1695,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,  1696,   190,  1697,   573,
     574,   575,   192,  1698,   576,   577,   194,   578,  1699,  1700,
     579,  1701,   580,   581,   582,     0,   583,   584,     0,     0,
    1702,   586,   587,     0,     0,   588,   589,   197,   198,   590,
     199,  1703,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,  1704,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,  1705,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,   211,   634,   635,   636,   637,   638,  1706,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,  1707,   653,   654,   218,   655,   656,
     220,   657,   658,  1708,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,  1709,     0,
     672,   673,     0,   674,   225,   675,   676,   677,   678,   679,
       0,   680,  1710,  1711,     0,     0,   682,   683,  1712,   684,
    1713,  1714,   685,   686,   687,   688,   689,   690,   691,     0,
    1715,   692,   693,   694,   695,   696,  1716,     0,   697,   698,
     699,   700,   701,   754,  1717,     0,   702,   237,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,  1718,  1719,  1720,  1721,   244,  1722,
    1723,  1724,  1725,   249,   755,   714,   715,  1726,     0,     0,
       0,     0,     0,     0,  1727,  1728,     0,     0,     0,     0,
       0,     0,     0,  1730,  4696,   779,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,   780,   103,   104,   734,   781,     0,
     106,   107,   108,   109,   782,   783,   111,   112,   113,     0,
     114,   784,   785,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450,     0,  1485,   135,  1486,  1487,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,  1488,  1489,
     459,     0,   460,   461,   462,   463,     0,     0,   144,     0,
     464,   465,   466,   467,   468,   147,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
       0,     0,     0,     0,   151,     0,     0,     0,   480,   481,
     482,   483,   748,   484,  1490,  1491,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,  1492,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,     0,   512,   513,   514,     0,     0,   515,     0,   516,
     517,  1493,   518,     0,   519,     0,   520,   168,     0,   169,
     521,   522,   523,   524,     0,   525,     0,     0,     0,   526,
     527,     0,   528,   529,   750,   530,   531,   173,   532,   533,
     534,   535,  2689,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,  2690,     0,   544,   545,   546,  1495,  1496,
       0,  1497,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,     0,   183,   555,   184,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,  1498,   190,  1499,   573,   574,   575,     0,     0,
     576,   577,   194,   578,     0,     0,   579,  1500,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,  2692,   198,   590,   199,     0,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
       0,   602,     0,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,  1501,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,     0,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,  2693,   655,   656,   220,   657,   658,  1503,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,     0,   674,
     225,   675,   676,   677,   678,   679,     0,   680,  1504,  1505,
       0,     0,   682,   683,     0,   684,     0,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,     0,
    1506,  2694,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     755,   714,   715,     0,     0,     0,     0,     0,   779,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
    2801,    97,    98,    99,   100,   101,   102,   780,   103,   104,
     734,   781,     0,   106,   107,   108,   109,   782,   783,   111,
     112,   113,     0,   114,   784,   785,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,   131,   448,   449,   450,     0,  1485,   135,  1486,  1487,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,  1488,  1489,   459,     0,   460,   461,   462,   463,     0,
       0,   144,     0,   464,   465,   466,   467,   468,   147,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
     150,   477,   478,     0,     0,     0,     0,   151,     0,     0,
       0,   480,   481,   482,   483,   748,   484,  1490,  1491,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,  1492,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,     0,   512,   513,   514,     0,     0,
     515,     0,   516,   517,  1493,   518,     0,   519,     0,   520,
     168,     0,   169,   521,   522,   523,   524,     0,   525,     0,
       0,     0,   526,   527,     0,   528,   529,   750,   530,   531,
     173,   532,   533,   534,   535,  2689,   536,   537,   538,   539,
     540,   541,   542,     0,   543,   175,  2690,     0,   544,   545,
     546,  1495,  1496,     0,  1497,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,     0,
     183,   555,   184,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,  1498,   190,  1499,   573,   574,
     575,     0,     0,   576,   577,   194,   578,     0,     0,   579,
    1500,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,  2692,   198,   590,   199,
       0,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,     0,   602,     0,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
    1501,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,   211,   634,   635,   636,   637,   638,     0,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,  2693,   655,   656,   220,
     657,   658,  1503,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,     0,   674,   225,   675,   676,   677,   678,   679,     0,
     680,  1504,  1505,     0,     0,   682,   683,     0,   684,     0,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,     0,  1506,  2694,   702,   237,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   755,   714,   715,     0,     0,     0,     0,
       0,   779,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,  3911,    97,    98,    99,   100,   101,   102,
     780,   103,   104,   734,   781,     0,   106,   107,   108,   109,
     782,   783,   111,   112,   113,     0,   114,   784,   785,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,   431,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1661,  1662,  1663,
      45,  1664,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,  1665,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,   133,  1666,
     135,  1667,  1668,     0,   451,   452,   453,   454,   455,   456,
    1669,  1670,   457,   458,  1671,  1672,   459,     0,   460,   461,
     462,   463,  1673,     0,  1674,     0,   464,   465,   466,   467,
     468,   147,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,     0,  1675,  1676,  1677,
    1678,  1679,  1680,  1681,   480,   481,   482,   483,   748,   484,
    1682,  1683,   485,  1684,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,  1492,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,  1685,   512,   513,
     514,  1686,  1687,   515,     0,   516,   517,  1688,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,  1689,     0,  1690,   526,   527,     0,   528,   529,
     750,   530,   531,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,  1495,  1691,     0,  1692,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,  1693,   183,   555,   184,     0,   556,   557,   558,
    1694,  1695,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,  1696,   190,
    1697,   573,   574,   575,   192,  1698,   576,   577,   194,   578,
    1699,  1700,   579,  1701,   580,   581,   582,     0,   583,   584,
       0,     0,  1702,   586,   587,     0,     0,   588,   589,   197,
     198,   590,   199,  1703,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,  1704,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,  1705,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
    1706,   639,   640,   641,   642,   643,   644,   645,   753,   646,
     216,   647,   648,   649,   650,   651,  1707,   653,   654,   218,
     655,   656,   220,   657,   658,  1708,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
    1709,     0,   672,   673,   224,   674,   225,   675,   676,   677,
     678,   679,     0,   680,  1710,  1711,     0,     0,   682,   683,
    1712,   684,  1713,  1714,   685,   686,   687,   688,   689,   690,
     691,     0,  1715,   692,   693,   694,   695,   696,  1716,     0,
     697,   698,   699,   700,   701,  2480,  1717,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,   238,   708,
     709,   710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,
     244,  1722,  1723,  1724,  1725,   249,   755,   714,   715,  1726,
       0,   250,     0,     0,     0,     0,  1727,  1728,     0,     0,
       0,     0,     0,     0,     0,  1730,   779,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,   780,   103,   104,   734,   781,
       0,   106,   107,   108,   109,   782,   783,   111,   112,   113,
       0,   114,   784,   785,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,   431,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
    1665,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450,   133,  1666,   135,  1667,  1668,  3309,   451,
     452,   453,   454,   455,   456,  1669,  1670,   457,   458,  1671,
    1672,   459,     0,   460,   461,   462,   463,  1673,     0,  1674,
       0,   464,   465,   466,   467,   468,   147,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,     0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,
     481,   482,   483,   748,   484,  1682,  1683,   485,  1684,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,  1492,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,  1685,   512,   513,   514,  1686,  1687,   515,     0,
     516,   517,  1688,   518,     0,   519,     0,   520,   168,  3310,
     169,   521,   522,   523,   524,     0,   525,  1689,     0,  1690,
     526,   527,     0,   528,   529,   750,   530,   531,   173,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1495,
    1691,     0,  1692,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,  3311,   554,  1693,   183,   555,
     184,     0,   556,   557,   558,  1694,  1695,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,  1696,   190,  1697,   573,   574,   575,   192,
    1698,   576,   577,   194,   578,  1699,  1700,   579,  1701,   580,
     581,   582,     0,   583,   584,     0,     0,  1702,   586,   587,
       0,     0,   588,   589,   197,   198,   590,   199,  1703,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,  1704,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,  1705,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,  1706,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,  1707,   653,   654,   218,   655,   656,   220,   657,   658,
    1708,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,  1709,     0,   672,   673,     0,
     674,   225,   675,   676,   677,   678,   679,     0,   680,  1710,
    1711,     0,  3312,   682,   683,  1712,   684,  1713,  1714,   685,
     686,   687,   688,   689,   690,   691,     0,  1715,   692,   693,
     694,   695,   696,  1716,     0,   697,   698,   699,   700,   701,
     754,  1717,     0,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,  1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,
     249,   755,   714,   715,  1726,     0,     0,     0,     0,     0,
       0,  1727,  1728,     0,     0,     0,     0,     0,     0,     0,
    1730,   779,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
     780,   103,   104,   734,   781,     0,   106,   107,   108,   109,
     782,   783,   111,   112,   113,     0,   114,   784,   785,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,   431,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1661,  1662,  1663,
      45,  1664,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,  1665,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,   133,  1666,
     135,  1667,  1668,     0,   451,   452,   453,   454,   455,   456,
    1669,  1670,   457,   458,  1671,  1672,   459,     0,   460,   461,
     462,   463,  1673,     0,  1674,     0,   464,   465,   466,   467,
     468,   147,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,     0,  1675,  1676,  1677,
    1678,  1679,  1680,  1681,   480,   481,   482,   483,   748,   484,
    1682,  1683,   485,  1684,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,  1492,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,  1685,   512,   513,
     514,  1686,  1687,   515,     0,   516,   517,  1688,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,  1689,     0,  1690,   526,   527,     0,   528,   529,
     750,   530,   531,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,  1495,  1691,     0,  1692,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,  1693,   183,   555,   184,     0,   556,   557,   558,
    1694,  1695,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,  1696,   190,
    1697,   573,   574,   575,   192,  1698,   576,   577,   194,   578,
    1699,  1700,   579,  1701,   580,   581,   582,     0,   583,   584,
       0,     0,  1702,   586,   587,     0,     0,   588,   589,   197,
     198,   590,   199,  1703,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,  1704,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,  1705,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
    1706,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,  1707,   653,   654,   218,
     655,   656,   220,   657,   658,  1708,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
    1709,     0,   672,   673,     0,   674,   225,   675,   676,   677,
     678,   679,     0,   680,  1710,  1711,     0,     0,   682,   683,
    1712,   684,  1713,  1714,   685,   686,   687,   688,   689,   690,
     691,     0,  1715,   692,   693,   694,   695,   696,  1716,     0,
     697,   698,   699,   700,   701,   754,  1717,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,
     244,  1722,  1723,  1724,  1725,   249,   755,   714,   715,  1726,
       0,     0,     0,     0,     0,     0,  1727,  1728,     0,     0,
       0,     0,     0,  2442,  3264,  1730,   779,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,   780,   103,   104,   734,   781,
       0,   106,   107,   108,   109,   782,   783,   111,   112,   113,
       0,   114,   784,   785,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,   431,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
    1665,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450,   133,  1666,   135,  1667,  1668,     0,   451,
     452,   453,   454,   455,   456,  1669,  1670,   457,   458,  1671,
    1672,   459,     0,   460,   461,   462,   463,  1673,     0,  1674,
       0,   464,   465,   466,   467,   468,   147,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,     0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,
     481,   482,   483,   748,   484,  1682,  1683,   485,  1684,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,  1492,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,  1685,   512,   513,   514,  1686,  1687,   515,     0,
     516,   517,  1688,   518,     0,   519,     0,   520,   168,     0,
     169,   521,   522,   523,   524,     0,   525,  1689,     0,  1690,
     526,   527,     0,   528,   529,   750,   530,   531,   173,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1495,
    1691,     0,  1692,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1693,   183,   555,
     184,     0,   556,   557,   558,  1694,  1695,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,  1696,   190,  1697,   573,   574,   575,   192,
    1698,   576,   577,   194,   578,  1699,  1700,   579,  1701,   580,
     581,   582,     0,   583,   584,     0,     0,  1702,   586,   587,
       0,     0,   588,   589,   197,   198,   590,   199,  1703,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,  1704,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,  1705,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,  1706,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,  1707,   653,   654,   218,   655,   656,   220,   657,   658,
    1708,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,  1709,     0,   672,   673,     0,
     674,   225,   675,   676,   677,   678,   679,     0,   680,  1710,
    1711,     0,     0,   682,   683,  1712,   684,  1713,  1714,   685,
     686,   687,   688,   689,   690,   691,     0,  1715,   692,   693,
     694,   695,   696,  1716,     0,   697,   698,   699,   700,   701,
     754,  1717,     0,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,  1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,
     249,   755,   714,   715,  1726,     0,     0,     0,     0,     0,
       0,  1727,  1728,  1729,     0,     0,     0,     0,     0,     0,
    1730,   779,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
     780,   103,   104,   734,   781,     0,   106,   107,   108,   109,
     782,   783,   111,   112,   113,     0,   114,   784,   785,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,   431,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1661,  1662,  1663,
      45,  1664,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,  2609,   440,   441,
     442,     0,     0,     0,     0,  1665,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,   133,  1666,
     135,  1667,  1668,     0,   451,   452,   453,   454,   455,   456,
    1669,  1670,   457,   458,  1671,  1672,   459,     0,   460,   461,
     462,   463,  1673,     0,  1674,     0,   464,   465,   466,   467,
     468,   147,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,     0,  1675,  1676,  1677,
    1678,  1679,  1680,  1681,   480,   481,   482,   483,   748,   484,
    1682,  1683,   485,  1684,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,  1492,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,  1685,   512,   513,
     514,  1686,  1687,   515,     0,   516,   517,  1688,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,  1689,     0,  1690,   526,   527,     0,   528,   529,
     750,   530,   531,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,  1495,  1691,     0,  1692,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,  1693,   183,   555,   184,     0,   556,   557,   558,
    1694,  1695,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,  1696,   190,
    1697,   573,   574,   575,   192,  1698,   576,   577,   194,   578,
    1699,  1700,   579,  1701,   580,   581,   582,     0,   583,   584,
       0,     0,  1702,   586,   587,     0,     0,   588,   589,   197,
     198,   590,   199,  1703,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,  1704,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,  1705,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
    1706,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,  1707,   653,   654,   218,
     655,   656,   220,   657,   658,  1708,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
    1709,     0,   672,   673,     0,   674,   225,   675,   676,   677,
     678,   679,     0,   680,  1710,  1711,     0,     0,   682,   683,
    1712,   684,  1713,  1714,   685,   686,   687,   688,   689,   690,
     691,     0,  1715,   692,   693,   694,   695,   696,  1716,     0,
     697,   698,   699,   700,   701,   754,  1717,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,
     244,  1722,  1723,  1724,  1725,   249,   755,   714,   715,  1726,
       0,     0,     0,     0,     0,     0,  1727,  1728,     0,     0,
       0,     0,     0,     0,     0,  1730,   779,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,   780,   103,   104,   734,   781,
       0,   106,   107,   108,   109,   782,   783,   111,   112,   113,
       0,   114,   784,   785,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,   431,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
    1665,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450,   133,  1666,   135,  1667,  1668,     0,   451,
     452,   453,   454,   455,   456,  1669,  1670,   457,   458,  1671,
    1672,   459,     0,   460,   461,   462,   463,  1673,     0,  1674,
       0,   464,   465,   466,   467,   468,   147,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,     0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,
     481,   482,   483,   748,   484,  1682,  1683,   485,  1684,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,  1492,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,  1685,   512,   513,   514,  1686,  1687,   515,     0,
     516,   517,  1688,   518,     0,   519,     0,   520,   168,     0,
     169,   521,   522,   523,   524,     0,   525,  1689,     0,  1690,
     526,   527,     0,   528,   529,   750,   530,   531,   173,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1495,
    1691,     0,  1692,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1693,   183,   555,
     184,     0,   556,   557,   558,  1694,  1695,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,  1696,   190,  1697,   573,   574,   575,   192,
    1698,   576,   577,   194,   578,  1699,  1700,   579,  1701,   580,
     581,   582,     0,   583,   584,     0,     0,  1702,   586,   587,
       0,     0,   588,   589,   197,   198,   590,   199,  1703,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,  1704,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,  1705,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,  1706,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,  1707,   653,   654,   218,   655,   656,   220,   657,   658,
    1708,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,  1709,     0,   672,   673,     0,
     674,   225,   675,   676,   677,   678,   679,     0,   680,  1710,
    1711,     0,     0,   682,   683,  1712,   684,  1713,  1714,   685,
     686,   687,   688,   689,   690,   691,     0,  1715,   692,   693,
     694,   695,   696,  1716,     0,   697,   698,   699,   700,   701,
     754,  1717,  3789,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,  1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,
     249,   755,   714,   715,  1726,     0,     0,     0,     0,     0,
       0,  1727,  1728,     0,     0,     0,     0,     0,     0,     0,
    1730,   779,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
     780,   103,   104,   734,   781,     0,   106,   107,   108,   109,
     782,   783,   111,   112,   113,     0,   114,   784,   785,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,   431,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1661,  1662,  1663,
      45,  1664,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,  1665,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,   133,  1666,
     135,  1667,  1668,     0,   451,   452,   453,   454,   455,   456,
    1669,  1670,   457,   458,  1671,  1672,   459,     0,   460,   461,
     462,   463,  1673,     0,  1674,     0,   464,   465,   466,   467,
     468,   147,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,     0,  1675,  1676,  1677,
    1678,  1679,  1680,  1681,   480,   481,   482,   483,   748,   484,
    1682,  1683,   485,  1684,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,  1492,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,  1685,   512,   513,
     514,  1686,  1687,   515,     0,   516,   517,  1688,   518,     0,
     519,     0,   520,   168,  3310,   169,   521,   522,   523,   524,
       0,   525,  1689,     0,  1690,   526,   527,     0,   528,   529,
     750,   530,   531,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,  1495,  1691,     0,  1692,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,  1693,   183,   555,   184,     0,   556,   557,   558,
    1694,  1695,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,  1696,   190,
    1697,   573,   574,   575,   192,  1698,   576,   577,   194,   578,
    1699,  1700,   579,  1701,   580,   581,   582,     0,   583,   584,
       0,     0,  1702,   586,   587,     0,     0,   588,   589,   197,
     198,   590,   199,  1703,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,  1704,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,  1705,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
    1706,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,  1707,   653,   654,   218,
     655,   656,   220,   657,   658,  1708,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
    1709,     0,   672,   673,     0,   674,   225,   675,   676,   677,
     678,   679,     0,   680,  1710,  1711,     0,     0,   682,   683,
    1712,   684,  1713,  1714,   685,   686,   687,   688,   689,   690,
     691,     0,  1715,   692,   693,   694,   695,   696,  1716,     0,
     697,   698,   699,   700,   701,   754,  1717,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,
     244,  1722,  1723,  1724,  1725,   249,   755,   714,   715,  1726,
       0,     0,     0,     0,     0,     0,  1727,  1728,     0,     0,
       0,     0,     0,     0,     0,  1730,   779,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,   780,   103,   104,   734,   781,
       0,   106,   107,   108,   109,   782,   783,   111,   112,   113,
       0,   114,   784,   785,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,   431,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
    1665,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450,   133,  1666,   135,  1667,  1668,     0,   451,
     452,   453,   454,   455,   456,  1669,  1670,   457,   458,  1671,
    1672,   459,     0,   460,   461,   462,   463,  1673,     0,  1674,
       0,   464,   465,   466,   467,   468,   147,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,  4751,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,
     481,   482,   483,   748,   484,  1682,  1683,   485,  1684,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,  1492,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,  1685,   512,   513,   514,  1686,  1687,   515,     0,
     516,   517,  1688,   518,     0,   519,     0,   520,   168,     0,
     169,   521,   522,   523,   524,     0,   525,  1689,     0,  1690,
     526,   527,     0,   528,   529,   750,   530,   531,   173,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1495,
    1691,     0,  1692,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1693,   183,   555,
     184,     0,   556,   557,   558,  1694,  1695,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,  1696,   190,  1697,   573,   574,   575,   192,
    1698,   576,   577,   194,   578,  1699,  1700,   579,  1701,   580,
     581,   582,     0,   583,   584,     0,     0,  1702,   586,   587,
       0,     0,   588,   589,   197,   198,   590,   199,  1703,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,  1704,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,  1705,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,  1706,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,  1707,   653,   654,   218,   655,   656,   220,   657,   658,
    1708,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,  1709,     0,   672,   673,     0,
     674,   225,   675,   676,   677,   678,   679,     0,   680,  1710,
    1711,     0,     0,   682,   683,  1712,   684,  1713,  1714,   685,
     686,   687,   688,   689,   690,   691,     0,  1715,   692,   693,
     694,   695,   696,  1716,     0,   697,   698,   699,   700,   701,
     754,  1717,     0,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,  1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,
     249,   755,   714,   715,  1726,     0,     0,     0,     0,     0,
       0,  1727,  1728,     0,     0,     0,     0,     0,     0,     0,
    1730,   779,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
     780,   103,   104,   734,   781,     0,   106,   107,   108,   109,
     782,   783,   111,   112,   113,     0,   114,   784,   785,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,   431,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1661,  1662,  1663,
      45,  1664,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,  1665,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,  5905,  1666,
     135,  1667,  1668,     0,   451,   452,   453,   454,   455,   456,
    1669,  1670,   457,   458,  1671,  1672,   459,     0,   460,   461,
     462,   463,  1673,     0,  1674,     0,   464,   465,   466,   467,
     468,   147,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,  5906,  1675,  1676,  1677,
    1678,  1679,  1680,  1681,   480,   481,   482,   483,   748,   484,
    1682,  1683,   485,  1684,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,  1492,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,  1685,   512,   513,
     514,  1686,  1687,   515,     0,   516,   517,  1688,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,  1689,     0,  1690,   526,   527,     0,   528,   529,
     750,   530,   531,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,  1495,  1691,     0,  1692,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,  1693,   183,   555,   184,     0,   556,   557,   558,
    1694,  1695,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,  1696,   190,
    1697,   573,   574,   575,   192,  1698,   576,   577,   194,   578,
    1699,  1700,   579,  1701,   580,   581,   582,     0,   583,   584,
       0,     0,  1702,   586,   587,     0,     0,   588,   589,   197,
     198,   590,   199,  1703,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,  1704,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,  1705,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
    1706,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,  1707,   653,   654,   218,
     655,   656,   220,   657,   658,  1708,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
    1709,     0,   672,   673,     0,   674,   225,   675,   676,   677,
     678,   679,     0,   680,  1710,  1711,     0,     0,   682,   683,
    1712,   684,  1713,  1714,   685,   686,   687,   688,  5907,   690,
     691,     0,  1715,   692,   693,   694,   695,   696,  1716,     0,
     697,   698,   699,   700,   701,   754,  1717,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,
     244,  1722,  1723,  1724,  1725,   249,   755,   714,   715,  1726,
       0,     0,     0,     0,     0,     0,  1727,  1728,     0,     0,
       0,     0,     0,     0,     0,  1730,   779,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,   780,   103,   104,   734,   781,
       0,   106,   107,   108,   109,   782,   783,   111,   112,   113,
       0,   114,   784,   785,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,   431,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
    1665,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450,   133,  1666,   135,  1667,  1668,     0,   451,
     452,   453,   454,   455,   456,  1669,  1670,   457,   458,  1671,
    1672,   459,     0,   460,   461,   462,   463,  1673,     0,  1674,
       0,   464,   465,   466,   467,   468,   147,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,  5906,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,
     481,   482,   483,   748,   484,  1682,  1683,   485,  1684,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,  1492,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,  1685,   512,   513,   514,  1686,  1687,   515,     0,
     516,   517,  1688,   518,     0,   519,     0,   520,   168,     0,
     169,   521,   522,   523,   524,     0,   525,  1689,     0,  1690,
     526,   527,     0,   528,   529,   750,   530,   531,   173,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1495,
    1691,     0,  1692,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1693,   183,   555,
     184,     0,   556,   557,   558,  1694,  1695,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,  1696,   190,  1697,   573,   574,   575,   192,
    1698,   576,   577,   194,   578,  1699,  1700,   579,  1701,   580,
     581,   582,     0,   583,   584,     0,     0,  1702,   586,   587,
       0,     0,   588,   589,   197,   198,   590,   199,  1703,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,  1704,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,  1705,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,  1706,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,  1707,   653,   654,   218,   655,   656,   220,   657,   658,
    1708,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,  1709,     0,   672,   673,     0,
     674,   225,   675,   676,   677,   678,   679,     0,   680,  1710,
    1711,     0,     0,   682,   683,  1712,   684,  1713,  1714,   685,
     686,   687,   688,  5907,   690,   691,     0,  1715,   692,   693,
     694,   695,   696,  1716,     0,   697,   698,   699,   700,   701,
     754,  1717,     0,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,  1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,
     249,   755,   714,   715,  1726,     0,     0,     0,     0,     0,
       0,  1727,  1728,     0,     0,     0,     0,     0,     0,     0,
    1730,   779,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
     780,   103,   104,   734,   781,     0,   106,   107,   108,   109,
     782,   783,   111,   112,   113,     0,   114,   784,   785,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,   431,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1661,  1662,  1663,
      45,  1664,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,  1665,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,   133,  1666,
     135,  1667,  1668,     0,   451,   452,   453,   454,   455,   456,
    1669,  1670,   457,   458,  1671,  1672,   459,     0,   460,   461,
     462,   463,  1673,     0,  1674,     0,   464,   465,   466,   467,
     468,   147,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,     0,  1675,  1676,  1677,
    1678,  1679,  1680,  1681,   480,   481,   482,   483,   748,   484,
    1682,  1683,   485,  1684,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,  1492,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,  1685,   512,   513,
     514,  1686,  1687,   515,     0,   516,   517,  1688,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,  1689,     0,  1690,   526,   527,     0,   528,   529,
     750,   530,   531,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,  1495,  1691,     0,  1692,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,  1693,   183,   555,   184,     0,   556,   557,   558,
    1694,  1695,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,  1696,   190,
    1697,   573,   574,   575,   192,  1698,   576,   577,   194,   578,
    1699,  1700,   579,  1701,   580,   581,   582,     0,   583,   584,
       0,     0,  1702,   586,   587,     0,     0,   588,   589,   197,
     198,   590,   199,  1703,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,  1704,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,  1705,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
    1706,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,  1707,   653,   654,   218,
     655,   656,   220,   657,   658,  1708,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
    1709,     0,   672,   673,     0,   674,   225,   675,   676,   677,
     678,   679,     0,   680,  1710,  1711,     0,     0,   682,   683,
    1712,   684,  1713,  1714,   685,   686,   687,   688,   689,   690,
     691,     0,  1715,   692,   693,   694,   695,   696,  1716,     0,
     697,   698,   699,   700,   701,   754,  1717,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,
     244,  1722,  1723,  1724,  1725,   249,   755,   714,   715,  1726,
       0,     0,     0,     0,     0,     0,  1727,  1728,     0,     0,
       0,     0,     0,     0,     0,  1730,   779,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,   780,   103,   104,   734,   781,
       0,   106,   107,   108,   109,   782,   783,   111,   112,   113,
       0,   114,   784,   785,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,   431,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
    1665,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450,   133,  1666,   135,  1667,  1668,     0,   451,
     452,   453,   454,   455,   456,  1669,  1670,   457,   458,  1671,
    1672,   459,     0,   460,   461,   462,   463,  1673,     0,  1674,
       0,   464,   465,   466,   467,   468,   147,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,     0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,
     481,   482,   483,   748,   484,  1682,  1683,   485,  1684,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,  1492,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,  1685,   512,   513,   514,  1686,  1687,   515,     0,
     516,   517,  1688,   518,     0,   519,     0,   520,   168,     0,
     169,   521,   522,   523,   524,     0,   525,  1689,     0,  1690,
     526,   527,     0,   528,   529,   750,   530,   531,   173,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1495,
    1691,     0,  1692,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1693,   183,   555,
     184,     0,   556,   557,   558,  1694,  1695,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,  1696,   190,  1697,   573,   574,   575,   192,
    1698,   576,   577,   194,   578,  1699,  1700,   579,  1701,   580,
     581,   582,     0,   583,   584,     0,     0,  1702,   586,   587,
       0,     0,   588,   589,   197,   198,   590,   199,  1703,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,  1704,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,  1705,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,  1706,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,  1707,   653,   654,   218,   655,   656,   220,   657,   658,
    1708,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,  1709,     0,   672,   673,     0,
     674,   225,   675,   676,   677,   678,   679,     0,   680,  1710,
    1711,     0,     0,   682,   683,  1712,   684,  1713,  1714,   685,
     686,   687,   688,   689,   690,   691,     0,  1715,   692,   693,
     694,   695,   696,  1716,     0,   697,   698,   699,   700,   701,
     754,  1717,     0,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,  1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,
     249,   755,   714,   715,  1726,     0,     0,     0,     0,     0,
       0,  2612,  2613,     0,     0,     0,     0,     0,     0,     0,
    1730,   779,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
     780,   103,   104,   734,   781,     0,   106,   107,   108,   109,
     782,   783,   111,   112,   113,     0,   114,   784,   785,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,   431,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1661,  1662,  1663,
      45,  1664,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,  1665,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,   133,  1666,
     135,  1667,  1668,     0,   451,   452,   453,   454,   455,   456,
    1669,  1670,   457,   458,  1671,  1672,   459,     0,   460,   461,
     462,   463,  1673,     0,  1674,     0,   464,   465,   466,   467,
     468,   147,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,     0,  1675,  1676,  1677,
    1678,  1679,  1680,  1681,   480,   481,   482,   483,   748,   484,
    1682,  1683,   485,  1684,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,  1492,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,  1685,   512,   513,
     514,  1686,  1687,   515,     0,   516,   517,  1688,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,  1689,     0,  1690,   526,   527,     0,   528,   529,
     750,   530,   531,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,  1495,  1691,     0,  1692,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,  1693,   183,   555,   184,     0,   556,   557,   558,
    1694,  1695,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,  1696,   190,
    1697,   573,   574,   575,   192,  1698,   576,   577,   194,   578,
    1699,  1700,   579,  1701,   580,   581,   582,     0,   583,   584,
       0,     0,  1702,   586,   587,     0,     0,   588,   589,   197,
     198,   590,   199,  1703,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,  1704,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,  1705,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
    1706,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,  1707,   653,   654,   218,
     655,   656,   220,   657,   658,  1708,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
    1709,     0,   672,   673,     0,   674,   225,   675,   676,   677,
     678,   679,     0,   680,  1710,  1711,     0,     0,   682,   683,
    1712,   684,  1713,  1714,   685,   686,   687,   688,   689,   690,
     691,     0,  1715,   692,   693,   694,   695,   696,  1716,     0,
     697,   698,   699,   700,   701,   754,  1717,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,  5096,  1718,  1719,  1720,  1721,
     244,  1722,  1723,  1724,  1725,   249,   755,   714,   715,  1726,
       0,     0,     0,     0,     0,     0,  1727,  1728,     0,     0,
       0,     0,     0,     0,     0,  1730,   779,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,   780,   103,   104,   734,   781,
       0,   106,   107,   108,   109,   782,   783,   111,   112,   113,
       0,   114,   784,   785,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,   431,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
    1665,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450,   133,  1666,   135,  1667,  1668,     0,   451,
     452,   453,   454,   455,   456,  1669,  1670,   457,   458,  1671,
    1672,   459,     0,   460,   461,   462,   463,  1673,     0,  1674,
       0,   464,   465,   466,   467,   468,   147,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,     0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,
     481,   482,   483,   748,   484,  1682,  1683,   485,  1684,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,  1492,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,  1685,   512,   513,   514,  1686,  1687,   515,     0,
     516,   517,  1688,   518,     0,   519,     0,   520,   168,     0,
     169,   521,   522,   523,   524,     0,   525,  1689,     0,  1690,
     526,   527,     0,   528,   529,   750,   530,   531,   173,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1495,
    1691,     0,  1692,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1693,   183,   555,
     184,     0,   556,   557,   558,  1694,  1695,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,  1696,   190,  1697,   573,   574,  5105,   192,
    1698,   576,   577,   194,   578,  1699,  1700,   579,  1701,   580,
     581,   582,     0,   583,   584,     0,     0,  1702,   586,   587,
       0,     0,   588,   589,   197,   198,   590,   199,  1703,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,  1704,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,  1705,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,  1706,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,  1707,   653,   654,   218,   655,   656,   220,   657,   658,
    1708,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,  1709,     0,   672,   673,     0,
     674,   225,   675,   676,   677,   678,   679,     0,   680,  1710,
    1711,     0,     0,   682,   683,  1712,   684,  1713,  1714,   685,
     686,   687,   688,   689,   690,   691,     0,  1715,   692,   693,
     694,   695,   696,  1716,     0,   697,   698,   699,   700,   701,
     754,  1717,     0,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,  1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,
     249,   755,   714,   715,  1726,     0,     0,     0,     0,     0,
       0,  1727,  1728,     0,     0,     0,     0,     0,     0,     0,
    1730,   779,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
     780,   103,   104,   734,   781,     0,   106,   107,   108,   109,
     782,   783,   111,   112,   113,     0,   114,   784,   785,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,   431,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1661,  1662,  1663,
      45,  1664,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,  1665,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,   133,  1666,
     135,  1667,  1668,     0,   451,   452,   453,   454,   455,   456,
    1669,  1670,   457,   458,  1671,  1672,   459,     0,   460,   461,
     462,   463,  1673,     0,  1674,     0,   464,   465,   466,   467,
     468,   147,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,  5421,     0,  1675,  1676,  1677,
    1678,  1679,  1680,  1681,   480,   481,   482,   483,   748,   484,
    1682,  1683,   485,  1684,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,  1492,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,  1685,   512,   513,
     514,  1686,  1687,   515,     0,   516,   517,  1688,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,  1689,     0,  5422,   526,   527,     0,   528,   529,
     750,   530,   531,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,  1495,  1691,     0,  1692,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,  1693,   183,   555,   184,     0,   556,   557,   558,
    1694,  1695,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,  1696,   190,
    1697,   573,   574,   575,   192,  1698,   576,   577,   194,   578,
    1699,  1700,   579,  1701,   580,   581,   582,     0,   583,   584,
       0,     0,  1702,   586,   587,     0,     0,   588,   589,   197,
     198,   590,   199,  1703,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,  1704,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,  1705,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,  5423,   637,   638,
    1706,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,  1707,   653,   654,   218,
     655,   656,   220,   657,   658,  1708,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
    1709,     0,   672,   673,     0,   674,   225,   675,   676,   677,
     678,   679,     0,   680,  1710,  1711,     0,     0,   682,   683,
    1712,   684,  1713,  1714,   685,   686,   687,   688,   689,   690,
     691,     0,  1715,   692,   693,   694,   695,   696,  1716,     0,
     697,   698,   699,   700,   701,   754,  1717,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,
     244,  1722,  1723,  1724,  1725,   249,   755,   714,   715,  1726,
       0,     0,     0,     0,     0,     0,  1727,  1728,     0,     0,
       0,     0,     0,     0,     0,  5424,   779,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,   780,   103,   104,   734,   781,
       0,   106,   107,   108,   109,   782,   783,   111,   112,   113,
       0,   114,   784,   785,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,   431,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
    1665,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450, -3040,  1666,   135,  1667,  1668,     0,   451,
     452,   453,   454,   455,   456,  1669,  1670,   457,   458,  1671,
    1672,   459,     0,   460,   461,   462,   463,  1673,     0,  1674,
       0,   464,   465,   466,   467,   468,   147,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,  5906,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,
     481,   482,   483,   748,   484,  1682,  1683,   485,  1684,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,  1492,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,  1685,   512,   513,   514,  1686,  1687,   515,     0,
     516,   517,  1688,   518,     0,   519,     0,   520,   168,     0,
     169,   521,   522,   523,   524,     0,   525,  1689,     0,  1690,
     526,   527,     0,   528,   529,   750,   530,   531, -3040,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1495,
    1691,     0,  1692,     0,   547,     0,     0,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1693,   183,   555,
   -3040,     0,   556,   557,   558,  1694,  1695,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,  1696,   190,  1697,   573,   574,   575,   192,
    1698,   576,   577,     0,   578,  1699,  1700,   579,  1701,   580,
     581,   582,     0,   583,   584,     0,     0,  1702,   586,   587,
       0,     0,   588,   589,   197,   198,   590,   199,  1703,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,  1704,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,  1705,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,  1706,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,  1707,   653,   654,   218,   655,   656, -3040,   657,   658,
    1708,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,  1709,     0,   672,   673,     0,
     674,   225,   675,   676,   677,   678,   679,     0,   680,  1710,
    1711,     0,     0,   682,   683,  1712,   684,  1713,  1714,   685,
     686,   687,   688,  5907,   690,   691,     0,  1715,   692,   693,
     694,   695,   696,  1716,     0,   697,   698,   699,   700,   701,
     754,  1717,     0,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,  1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,
     249,   755,   714,   715, -3040,     0,     0,     0,     0,     0,
       0,  1727,  1728,     0,     0,     0,     0,     0,     0,     0,
    1730,   779,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
     780,   103,   104,   734,   781,     0,   106,   107,   108,   109,
     782,   783,   111,   112,   113,     0,   114,   784,   785,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,   431,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1661,  1662,  1663,
      45,  1664,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,  1665,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,   133,  1666,
     135,  1667,  1668,     0,   451,   452,   453,   454,   455,   456,
    1669,  1670,   457,   458,  1671,  1672,   459,     0,   460,   461,
     462,   463,  1673,     0,  1674,     0,   464,   465,   466,   467,
     468,   147,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,     0,  1675,  1676,  1677,
    1678,  1679,  1680,  1681,   480,   481,   482,   483,   748,   484,
    1682,  1683,   485,  5619,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,  1492,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,  1685,   512,   513,
     514,  1686,  1687,   515,     0,   516,   517,  1688,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,  1689,     0,  1690,   526,   527,     0,   528,   529,
     750,   530,   531,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,  1495,  1691,     0,  1692,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,  1693,   183,   555,   184,     0,   556,   557,   558,
    1694,  1695,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,  1696,   190,
    1697,   573,   574,   575,   192,     0,   576,   577,   194,   578,
    1699,  1700,   579,  1701,   580,   581,   582,     0,   583,   584,
       0,     0,  1702,   586,   587,     0,     0,   588,   589,   197,
     198,   590,   199,  1703,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,  1704,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,  1705,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
    3295,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,  1707,   653,   654,   218,
     655,   656,   220,   657,   658,  1708,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
    1709,     0,   672,   673,     0,   674,   225,   675,   676,   677,
     678,   679,     0,   680,  1710,  1711,     0,     0,   682,   683,
    1712,   684,  1713,  1714,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,  1716,     0,
     697,   698,   699,   700,   701,   754,  1717,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,
     244,  1722,  1723,  1724,  1725,   249,   755,   714,   715,     0,
       0,     0,     0,     0,     0,     0,  3296,  3297,     0,     0,
       0,     0,     0,     0,     0,  3298,   779,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,   780,   103,   104,   734,   781,
       0,   106,   107,   108,   109,   782,   783,   111,   112,   113,
       0,   114,   784,   785,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,   431,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
    1665,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450,   133,  1666,   135,  1667,  1668,     0,   451,
     452,   453,   454,   455,   456,  1669,  1670,   457,   458,  1671,
    1672,   459,     0,   460,   461,   462,   463,  1673,     0,  1674,
       0,   464,   465,   466,   467,   468,   147,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,     0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,
     481,   482,   483,   748,   484,  1682,  1683,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,  1492,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,  1685,   512,   513,   514,  1686,  1687,   515,     0,
     516,   517,  1688,   518,     0,   519,     0,   520,   168,     0,
     169,   521,   522,   523,   524,     0,   525,  1689,     0,  1690,
     526,   527,     0,   528,   529,   750,   530,   531,   173,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1495,
    1691,     0,  1692,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1693,   183,   555,
     184,     0,   556,   557,   558,  1694,  1695,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,  1696,   190,  1697,   573,   574,   575,   192,
       0,   576,   577,   194,   578,  1699,  1700,   579,  1701,   580,
     581,   582,     0,   583,   584,     0,     0,  1702,   586,   587,
       0,     0,   588,   589,   197,   198,   590,   199,  1703,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,  1704,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,  1705,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,  3295,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,  1707,   653,   654,   218,   655,   656,   220,   657,   658,
    1708,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,  1709,     0,   672,   673,     0,
     674,   225,   675,   676,   677,   678,   679,     0,   680,  1710,
    1711,     0,     0,   682,   683,  1712,   684,  1713,  1714,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,  1716,     0,   697,   698,   699,   700,   701,
     754,  1717,     0,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,  1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,
     249,   755,   714,   715,     0,     0,     0,     0,     0,     0,
       0,  3296,  3297,     0,     0,     0,     0,     0,     0,     0,
    3298,   779,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
     780,   103,   104,   734,   781,     0,   106,   107,   108,   109,
     782,   783,   111,   112,   113,     0,   114,   784,   785,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,   431,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1661,  1662,     0,
      45,  1664,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,  1665,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,   133,  1666,
     135,  1667,  1668,     0,   451,   452,   453,   454,   455,   456,
    1669,  1670,   457,   458,  1671,  1672,   459,     0,   460,   461,
     462,   463,  1673,     0,  1674,     0,   464,   465,   466,   467,
     468,   147,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,     0,  1675,  1676,  1677,
    1678,  1679,  1680,  1681,   480,   481,   482,   483,   748,   484,
    1682,  1683,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,  1492,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,  1685,   512,   513,
     514,  1686,  1687,   515,     0,   516,   517,  1688,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,  1689,     0,  1690,   526,   527,     0,   528,   529,
     750,   530,   531,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,  1495,  1691,     0,  1692,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,  1693,   183,   555,   184,     0,   556,   557,   558,
    1694,  1695,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,  1696,   190,
    1697,   573,   574,   575,   192,     0,   576,   577,   194,   578,
    1699,  1700,   579,  1701,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
     198,   590,   199,  1703,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,  1704,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,  1705,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
    3427,  3428,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,  1707,   653,   654,   218,
     655,   656,   220,   657,   658,  1708,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
    1709,     0,   672,   673,     0,   674,   225,   675,   676,   677,
     678,   679,     0,   680,  1710,  1711,     0,     0,   682,   683,
    1712,   684,  1713,  1714,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,  1716,     0,
     697,   698,   699,   700,   701,   754,  1717,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,
     244,  1722,  1723,  1724,  1725,   249,   755,   714,   715,     0,
       0,     0,     0,     0,     0,     0,  3429,  3430,     0,     0,
       0,     0,     0,     0,     0,  3298,   779,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,   780,   103,   104,   734,   781,
       0,   106,   107,   108,   109,   782,   783,   111,   112,   113,
       0,   114,   784,   785,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,   431,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1661,  1662,  1663,    45,  1664,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
    1665,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450,   133,  1666,   135,  1667,  1668,     0,   451,
     452,   453,   454,   455,   456,  1669,  1670,   457,   458,  1671,
    1672,   459,     0,   460,   461,   462,   463,  1673,     0,  1674,
       0,   464,   465,   466,   467,   468,   147,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,     0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,
     481,   482,   483,   748,   484,  1682,  1683,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,  1492,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,  1685,   512,   513,   514,  1686,  1687,   515,     0,
     516,   517,  1688,   518,     0,   519,     0,   520,   168,     0,
     169,   521,   522,   523,   524,     0,   525,  1689,     0,  1690,
     526,   527,     0,   528,   529,   750,   530,   531,   173,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,  1495,
    1691,     0,  1692,     0,   547,     0,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1693,   183,   555,
     184,     0,   556,   557,   558,  1694,  1695,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,  1696,   190,  1697,   573,   574,   575,   192,
       0,   576,   577,   194,   578,  1699,  1700,   579,  1701,   580,
     581,   582,     0,   583,   584,     0,     0,  1702,   586,   587,
       0,     0,   588,   589,   197,   198,   590,   199,  1703,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,  1704,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,  1705,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,  3295,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,  1707,   653,   654,   218,   655,   656,   220,   657,   658,
    1708,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,  1709,     0,   672,   673,     0,
     674,   225,   675,   676,   677,   678,   679,     0,   680,  1710,
    1711,     0,     0,   682,   683,  1712,   684,  1713,  1714,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,  1716,     0,   697,   698,   699,   700,   701,
     754,  1717,     0,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,  1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,
     249,   755,   714,   715,     0,     0,     0,     0,     0,     0,
       0,  3296,  3297,     0,     0,     0,     0,     0,     0,     0,
    3298,   779,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
     780,   103,   104,   734,   781,     0,   106,   107,   108,   109,
     782,   783,   111,   112,   113,     0,   114,   784,   785,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,   431,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1661,  1662,     0,
      45,  1664,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,  1665,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,   133,  1666,
     135,  1667,  1668,     0,   451,   452,   453,   454,   455,   456,
    1669,  1670,   457,   458,  1671,  1672,   459,     0,   460,   461,
     462,   463,  1673,     0,  1674,     0,   464,   465,   466,   467,
     468,   147,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,     0,  1675,  1676,  1677,
    1678,  1679,  1680,  1681,   480,   481,   482,   483,   748,   484,
    1682,  1683,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,  1492,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,  1685,   512,   513,
     514,  1686,  1687,   515,     0,   516,   517,  1688,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,  1689,     0,  1690,   526,   527,     0,   528,   529,
     750,   530,   531,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,  1495,  1691,     0,  1692,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,  1693,   183,   555,   184,     0,   556,   557,   558,
    1694,  1695,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,  1696,   190,
    1697,   573,   574,   575,   192,     0,   576,   577,   194,   578,
    1699,  1700,   579,  1701,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
     198,   590,   199,  1703,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,  1704,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,  1705,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
    3295,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,  1707,   653,   654,   218,
     655,   656,   220,   657,   658,  1708,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
    1709,     0,   672,   673,     0,   674,   225,   675,   676,   677,
     678,   679,     0,   680,  1710,  1711,     0,     0,   682,   683,
    1712,   684,  1713,  1714,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,  1716,     0,
     697,   698,   699,   700,   701,   754,  1717,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,
     244,  1722,  1723,  1724,  1725,   249,   755,   714,   715,     0,
       0,     0,     0,   779,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,  3298,    97,    98,    99,   100,
     101,   102,   780,   103,   104,   734,   781,     0,   106,   107,
     108,   109,   782,   783,   111,   112,   113,     0,   114,   784,
     785,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,   431,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1661,
    1662,     0,    45,  1664,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,  1665,     0,     0,
     443,   444,     0,   445,   446,   447,   131,   448,   449,   450,
     133,  1666,   135,  1667,  1668,     0,  4658,   452,   453,   454,
     455,   456,  1669,  1670,   457,   458,  1671,  1672,   459,     0,
     460,   461,   462,   463,  1673,     0,  1674,     0,   464,   465,
     466,   467,   468,   147,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,   150,   477,   478,     0,  1675,
    1676,  1677,  1678,  1679,  1680,  1681,   480,   481,   482,   483,
     748,   484,  1682,  1683,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,  1492,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,  1685,
     512,   513,   514,  1686,  1687,   515,     0,   516,   517,  1688,
     518,     0,   519,     0,   520,   168,     0,   169,   521,   522,
     523,   524,     0,   525,  1689,     0,  1690,   526,   527,     0,
     528,   529,   750,   530,   531,   173,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
     175,   176,     0,   544,   545,   546,  1495,  1691,     0,  1692,
       0,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,     0,     0,   554,  1693,   183,   555,   184,     0,   556,
     557,   558,  1694,  1695,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
    1696,   190,  1697,   573,   574,   575,   192,     0,   576,   577,
     194,   578,  1699,  1700,   579,  1701,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,   198,   590,   199,  1703,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,  1704,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,  1705,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,   211,   634,   635,   636,
     637,   638,  3295,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,  1707,   653,
     654,   218,   655,   656,   220,   657,   658,  1708,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,  1709,     0,   672,   673,     0,   674,   225,   675,
     676,   677,   678,   679,     0,   680,  1710,  1711,     0,     0,
     682,   683,  1712,   684,  1713,  1714,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
    1716,     0,   697,   698,   699,   700,   701,   754,  1717,     0,
     702,   237,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,  1718,  1719,
    1720,  1721,   244,  1722,  1723,  1724,  1725,   249,   755,   714,
     715,     0,     0,     0,     0,   779,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,  3298,    97,    98,
      99,   100,   101,   102,   780,   103,   104,   734,   781,     0,
     106,   107,   108,   109,   782,   783,   111,   112,   113,     0,
     114,   784,   785,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
     431,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1661,  1662,     0,    45,  1664,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,  1665,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450,   133,  1666,   135,  1667,  1668,     0,   451,   452,
     453,   454,   455,   456,  1669,  1670,   457,   458,  1671,  1672,
     459,     0,   460,   461,   462,   463,  1673,     0,  1674,     0,
     464,   465,   466,   467,   468,   147,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
       0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,   481,
     482,   483,   748,   484,  1682,  1683,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,  1492,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,  1685,   512,   513,   514,  1686,  1687,   515,     0,   516,
     517,  1688,   518,     0,   519,     0,   520,   168,     0,   169,
     521,   522,   523,   524,     0,   525,  1689,     0,  1690,   526,
     527,     0,   528,   529,   750,   530,   531,   173,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,  1495,  1691,
       0,  1692,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,  1693,   183,   555,   184,
       0,   556,   557,   558,  1694,  1695,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,  1696,   190,  1697,   573,   574,   575,   192,     0,
     576,   577,   194,   578,  1699,  1700,   579,  1701,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,   198,   590,   199,  1703,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
    1704,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,  1705,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,  3295,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
    1707,   653,   654,   218,   655,   656,   220,   657,   658,  1708,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,  1709,     0,   672,   673,     0,   674,
     225,   675,   676,   677,   678,   679,     0,   680,  1710,  1711,
       0,     0,   682,   683,  1712,   684,  1713,  1714,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,  1716,     0,   697,   698,   699,   700,   701,   754,
    1717,     0,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
    1718,  1719,  1720,  1721,  5136,  1722,  1723,  1724,  1725,   249,
     755,   714,   715,     0,     0,     0,     0,   779,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,  3298,
      97,    98,    99,   100,   101,   102,   780,   103,   104,   734,
     781,     0,   106,   107,   108,   109,   782,   783,   111,   112,
     113,     0,   114,   784,   785,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,   431,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1661,  1662,  1663,    45,  1664,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,  1665,     0,     0,   443,   444,     0,   445,   446,   447,
     131,   448,   449,   450,     0,  1666,   135,  1667,  1668,     0,
     451,   452,   453,   454,   455,   456,  1669,  1670,   457,   458,
    1671,  1672,   459,     0,   460,   461,   462,   463,  1673,     0,
    1674,     0,   464,   465,   466,   467,   468,   147,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,   150,
     477,   478,     0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,
     480,   481,   482,   483,   748,   484,  1682,  1683,   485,  1684,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,  1492,   500,   501,
       0,   502,   503,   504,     0,   505,     0,   507,     0,   508,
     509,   510,   511,  1685,   512,   513,   514,  1686,  1687,   515,
       0,   516,   517,  1688,   518,     0,   519,     0,   520,   168,
       0,   169,   521,   522,   523,   524,     0,   525,  1689,     0,
    1690,   526,   527,     0,   528,   529,   750,   530,   531,     0,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,   175,   176,     0,   544,   545,   546,
    1495,  1691,     0,  1692,     0,   547,     0,     0,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,  1693,   183,
     555,     0,     0,   556,   557,   558,  1694,  1695,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,  1696,   190,  1697,   573,   574,   575,
     192,  1698,   576,   577,     0,   578,  1699,  1700,   579,  1701,
     580,   581,   582,     0,   583,   584,     0,     0,  1702,   586,
     587,     0,     0,   588,   589,   197,   198,   590,   199,  1703,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,  1704,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,  1705,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
     211,   634,   635,   636,   637,   638,  1706,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,  1707,   653,   654,   218,   655,   656,     0,   657,
     658,  1708,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,  1709,     0,   672,   673,
       0,   674,   225,   675,   676,   677,   678,   679,     0,   680,
    1710,  1711,     0,     0,   682,   683,  1712,   684,  1713,  1714,
     685,   686,   687,   688,   689,   690,   691,     0,  1715,   692,
     693,   694,   695,   696,  1716,     0,   697,   698,   699,   700,
     701,   754,  1717,     0,   702,   237,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,  1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,
    1725,   249,   755,   714,   715,     0,     0,     0,     0,     0,
       0,     0,  1727,  1728,     0,     0,     0,     0,     0,     0,
       0,  1730,   779,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,   780,   103,   104,   734,   781,     0,   106,   107,   108,
     109,   782,   783,   111,   112,   113,     0,   114,   784,   785,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,   131,   448,   449,   450,   133,
     134,   135,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,  1670,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,  1673,     0,  1674,     0,   464,   465,   466,
     467,   468,   147,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,   150,   477,   478,     0,  1675,  1676,
    1677,  1678,  1679,  1680,  1681,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,  1686,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,   168,     0,   169,   521,   522,   523,
     524,     0,   525,  1689,     0,   172,   526,   527,     0,   528,
     529,   750,   530,   531,   173,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
    4139,     0,   554,  1693,   183,   555,   184,     0,   556,   557,
     558,  1694,  1695,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
     190,   191,   573,   574,   575,   192,     0,   576,   577,   194,
     578,     0,  1700,   579,   196,   580,   581,   582,     0,   583,
     584,     0,  1177,   585,   586,   587,     0,     0,   588,   589,
     197,   198,   590,   199,  1703,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,  1704,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,   211,   634,   635,   636,   637,
     638,   213,  4140,   640,   641,   642,   643,   644,   645,   753,
     646,   216,   647,   648,   649,   650,   651,  1707,   653,   654,
     218,   655,   656,   220,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,  1709,     0,   672,   673,   224,   674,   225,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,  1712,   684,  1713,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,  1716,
       0,   697,   698,   699,   700,   701,  2480,   236,     0,   702,
     237,   703,   704,   705,   706,     0,     0,   707,     0,   238,
     708,   709,   710,   711,   712,   713,   239,  1718,  1719,  1720,
    1721,   244,  1722,  1723,  1724,  1725,  4141,   755,   714,   715,
       0,     0,   250,     0,   779,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,  4142,    97,    98,    99,
     100,   101,   102,   780,   103,   104,   734,   781,     0,   106,
     107,   108,   109,   782,   783,   111,   112,   113,     0,   114,
     784,   785,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,   131,   448,   449,
     450,   133,   134,   135,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,  1670,   457,   458,   745,   139,   459,
       0,   460,   461,   462,   463,  1673,     0,  1674,     0,   464,
     465,   466,   467,   468,   147,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,   150,   477,   478,     0,
    1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,  1686,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,   168,     0,   169,   521,
     522,   523,   524,     0,   525,  1689,     0,   172,   526,   527,
       0,   528,   529,   750,   530,   531,   173,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,  4139,     0,   554,  1693,   183,   555,   184,     0,
     556,   557,   558,  1694,  1695,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,   190,   191,   573,   574,   575,   192,     0,   576,
     577,   194,   578,     0,  1700,   579,   196,   580,   581,   582,
       0,   583,   584,     0,  1177,   585,   586,   587,     0,     0,
     588,   589,   197,   198,   590,   199,  1703,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,  1704,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,   211,   634,   635,
     636,   637,   638,   213,  4140,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,  1707,
     653,   654,   218,   655,   656,   220,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,  1709,     0,   672,   673,     0,   674,   225,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,  1712,   684,  1713,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,  1716,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,   237,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,  1718,
    1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,  4141,   755,
     714,   715,     0,     0,     0,     0,   779,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,  4142,    97,
      98,    99,   100,   101,   102,   780,   103,   104,   734,   781,
       0,   106,   107,   108,   109,   782,   783,   111,   112,   113,
       0,   114,   784,   785,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450,   133,   134,   135,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,  1670,   457,   458,   745,
     139,   459,     0,   460,   461,   462,   463,  1673,     0,  1674,
       0,   464,   465,   466,   467,   468,   147,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,     0,  1675,  1676,  1677,  1678,  1679,  1680,  1681,   480,
     481,   482,   483,   748,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,  1686,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,   168,     0,
     169,   521,   522,   523,   524,     0,   525,  1689,     0,   172,
     526,   527,     0,   528,   529,   750,   530,   531,   173,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,  1693,   183,   555,
     184,     0,   556,   557,   558,  1694,  1695,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,   190,   191,   573,   574,   575,   192,
       0,   576,   577,   194,   578,     0,  1700,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,   198,   590,   199,  1703,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,  1704,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,   213,  4140,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,  1707,   653,   654,   218,   655,   656,   220,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,  1709,     0,   672,   673,     0,
     674,   225,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,  1712,   684,  1713,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,  1716,     0,   697,   698,   699,   700,   701,
     754,   236,     0,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,  1718,  1719,  1720,  1721,   244,  1722,  1723,  1724,  1725,
    4141,   755,   714,   715,     0,     0,     0,     0,   779,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
     251,    97,    98,    99,   100,   101,   102,   780,   103,   104,
     734,   781,     0,   106,   107,   108,   109,   782,   783,   111,
     112,   113,     0,   114,   784,   785,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,   131,   448,   449,   450,   133,   134,   135,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,  1670,   457,
     458,   745,   139,   459,     0,   460,   461,   462,   463,  1673,
       0,  1674,     0,   464,   465,   466,   467,   468,   147,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
     150,   477,   478,     0,  1675,  1676,  1677,  1678,  1679,  1680,
    1681,   480,   481,   482,   483,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,  1686,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
     168,     0,   169,   521,   522,   523,   524,     0,   525,  1689,
       0,   172,   526,   527,     0,   528,   529,   750,   530,   531,
     173,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,  1693,
     183,   555,   184,     0,   556,   557,   558,  1694,  1695,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,   190,   191,   573,   574,
     575,   192,     0,   576,   577,   194,   578,     0,  1700,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,   198,   590,   199,
    1703,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,  1704,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,   211,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,  1707,   653,   654,   218,   655,   656,   220,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,  1709,     0,   672,
     673,     0,   674,   225,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,  1712,   684,  1713,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,  1716,     0,   697,   698,   699,
     700,   701,   754,   236,     0,   702,   237,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,  1718,  1719,  1720,  1721,   244,  1722,  1723,
    1724,  1725,   249,   755,   714,   715,     0,     0,     0,     0,
     779,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,  4785,    97,    98,    99,   100,   101,   102,   780,
     103,   104,   734,   781,     0,   106,   107,   108,   109,   782,
     783,   111,   112,   113,     0,   114,   784,   785,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,   133,   134,   135,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
    1670,   457,   458,   745,   139,   459,     0,   460,   461,   462,
     463,  1673,     0,  1674,     0,   464,   465,   466,   467,   468,
     147,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,   478,     0,  1675,  1676,  1677,  1678,
    1679,  1680,  1681,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
    1686,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,   168,     0,   169,   521,   522,   523,   524,     0,
     525,  1689,     0,   172,   526,   527,     0,   528,   529,   750,
     530,   531,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1693,   183,   555,   184,     0,   556,   557,   558,  1694,
    1695,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,   190,   191,
     573,   574,   575,   192,     0,   576,   577,   194,   578,     0,
    1700,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,   198,
     590,   199,  1703,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,  1704,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,  1707,   653,   654,   218,   655,
     656,   220,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,  1709,
       0,   672,   673,     0,   674,   225,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,  1712,
     684,  1713,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,  1716,     0,   697,
     698,   699,   700,   701,   754,   236,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,   244,
    1722,  1723,  1724,  1725,   249,   755,   714,   715,     0,     0,
       0,     0,   779,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,  5887,    97,    98,    99,   100,   101,
     102,   780,   103,   104,   734,   781,     0,   106,   107,   108,
     109,   782,   783,   111,   112,   113,     0,   114,   784,   785,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,   131,   448,   449,   450,   133,
     134,   135,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,   144,     0,   464,   465,   466,
     467,   468,   147,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,   150,   477,   478,     0,     0,     0,
       0,   151,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,   168,     0,   169,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,   531,   173,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,   182,   183,   555,   184,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
     190,   191,   573,   574,   575,   192,     0,   576,   577,   194,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,   198,   590,   199,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,   211,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,   220,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,   225,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
     237,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
       0,     0,     0,     0,     0,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,  5476,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,  4714,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0, -1797,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0, -1797,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,   531,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543, -1797,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548, -1797,   549,   550,   551,
     552,   553,     0,     0,   554,   182, -1797,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189, -1797,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633, -1797,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,     0,     0,     0,     0,     0,     0,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,  1822,
      97,    98,    99,   100,   101,   102,     0,   103,   104,   734,
       0,     0,   106,   107,   108,   109,     0,     0,   111,   112,
     113,     0,   114,     0,     0,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
       0,   448,   449,   450,   133,   134,     0,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     745,   139,   459,     0,   460,   461,   462,   463,   143,     0,
       0,     0,   464,   465,   466,   467,   468,     0,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,     0,
     477,   478,     0,     0,     0,     0,     0,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,     0,
       0,     0,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,   531,     0,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,     0,   590,     0,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
       0,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,   218,   655,   656,     0,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,     0,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,   754,   236,     0,   702,     0,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,     0,     0,     0,     0,     0,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
    3944,  3945,    97,    98,    99,   100,   101,   102,     0,   103,
     104,   734,     0,     0,   106,   107,   108,   109,     0,     0,
     111,   112,   113,     0,   114,     0,     0,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,     0,   448,   449,   450,   133,   134,     0,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,   745,   139,   459,     0,   460,   461,   462,   463,
     143,     0,     0,     0,   464,   465,   466,   467,   468,     0,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,     0,   477,   478,     0,     0,     0,     0,     0,     0,
       0,     0,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,     0,     0,     0,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,   750,   530,
     531,     0,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,     0,   590,
       0,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,     0,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,     0,   653,   654,   218,   655,   656,
       0,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,     0,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,   754,   236,     0,   702,     0,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   755,   714,   715,     0,     0,     0,
       0,     0,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,  3945,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,   431,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,   448,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,     0,     0,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,   531,     0,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
     216,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,   224,   674,     0,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,  2480,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,   238,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,     0,
       0,   250,     0,     0,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,   251,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,   216,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,   224,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,  2480,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
     238,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,     0,     0,   250,     0,     0,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,   251,    97,    98,
      99,   100,   101,   102,     0,   103,   104,   734,     0,     0,
     106,   107,   108,   109,     0,     0,   111,   112,   113,     0,
     114,     0,     0,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,     0,   448,
     449,   450,   133,   134,     0,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   745,   139,
     459,     0,   460,   461,   462,   463,   143,     0,     0,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,     0,   477,   478,
       0,     0,     0,     0,     0,     0,     0,     0,   480,   481,
     482,   483,   748,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,     0,     0,     0,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,   750,   530,   531,     0,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,     0,   590,     0,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,     0,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,   218,   655,   656,     0,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
       0,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,   754,
     236,     0,   702,     0,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,     0,     0,     0,     0,     0,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,  1801,
      97,    98,    99,   100,   101,   102,     0,   103,   104,   734,
       0,     0,   106,   107,   108,   109,     0,     0,   111,   112,
     113,     0,   114,     0,     0,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
       0,   448,   449,   450,   133,   134,     0,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     745,   139,   459,     0,   460,   461,   462,   463,   143,     0,
       0,     0,   464,   465,   466,   467,   468,     0,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,     0,
     477,   478,     0,     0,     0,     0,     0,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,     0,
       0,     0,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,   531,     0,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,     0,   590,     0,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
       0,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,   218,   655,   656,     0,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,     0,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,   754,   236,     0,   702,     0,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,     0,     0,     0,     0,     0,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,  3460,    97,    98,    99,   100,   101,   102,     0,   103,
     104,   734,     0,     0,   106,   107,   108,   109,     0,     0,
     111,   112,   113,     0,   114,     0,     0,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,     0,   448,   449,   450,   133,   134,     0,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,   745,   139,   459,     0,   460,   461,   462,   463,
     143,     0,     0,     0,   464,   465,   466,   467,   468,     0,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,     0,   477,   478,     0,     0,     0,     0,     0,     0,
       0,     0,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,     0,     0,     0,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,   750,   530,
     531,     0,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,     0,   590,
       0,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,     0,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,     0,   653,   654,   218,   655,   656,
       0,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,     0,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,   754,   236,     0,   702,     0,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   755,   714,   715,     0,     0,     0,
       0,     0,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,  4693,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,   448,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,     0,     0,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,   531,     0,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,     0,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,   754,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,     0,
       0,     0,     0,   779,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,  5153,    97,    98,    99,   100,
     101,   102,   780,   103,   104,   734,   781,     0,   106,   107,
     108,   109,   782,   783,   111,   112,   113,     0,   114,   784,
     785,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,   431,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,  1297,    45,     0,     0,     0,     0,     0,  1298,  1299,
    1300,   432,   433,   434,   435,   436,   437,   438,   439,   786,
     440,   441,   442,   787,   788,   789,   790,   791,   792,   793,
     443,   444,   794,   445,   446,   447,   131,   448,   449,   450,
       0,  1485,   135,  1486,  1487,   795,   451,   452,   453,   454,
     455,   456,   796,   797,   457,   458,  1488,  1489,   459,   799,
     460,   461,   462,   463,     0,   800,   144,   801,   464,   465,
     466,   467,   468,   147,   469,   470,   746,   803,   471,   472,
     473,   474,   475,   476,   804,   150,   477,   478,     0,   806,
     807,   808,   151,   809,   810,   811,   480,   481,   482,   483,
     748,   484,  1490,  1491,   485,   812,   486,   813,   487,   488,
     489,   490,   491,   492,   814,   493,   494,   495,   496,   815,
     816,   497,   498,  1492,   500,   501,   817,   502,   503,   504,
     818,   505,   506,   507,   819,   508,   509,   510,   511,     0,
     512,   513,   514,     0,   820,   515,   821,   516,   517,  1493,
     518,   822,   519,   823,   520,   168,   824,   169,   521,   522,
     523,   524,   825,   525,     0,   826,     0,   526,   527,   827,
     528,   529,   750,   530,   531,   173,   532,   533,   534,   535,
     828,   536,   537,   538,   539,   540,   541,   542,   829,   543,
     175,     0,     0,   544,   545,   546,  1495,  1496,   832,  1497,
     833,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,   834,   835,   554,     0,   183,   555,   184,   836,   556,
     557,   558,   837,   838,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
    1498,   190,  1499,   573,   574,   575,  4439,   839,   576,   577,
     194,   578,   840,     0,   579,  1500,   580,   581,   582,   841,
     583,   584,   842,   843,  4440,   586,   587,   844,   845,   588,
     589,     0,   198,   590,   199,     0,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   846,   600,   601,     0,   602,
       0,   603,   604,   605,   847,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,  1501,   616,   617,   618,   619,
     848,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   849,   632,   633,   211,   634,   635,   636,
     637,   638,     0,   639,   640,   641,   642,   643,   644,   645,
     753,   646,   850,   647,   648,   649,   650,   651,   851,   653,
     654,  2693,   655,   656,   220,   657,   658,  1503,   659,   852,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,     0,   853,   672,   673,   854,   674,   225,   675,
     676,   677,   678,   679,   855,   680,  1504,  1505,     0,   857,
     682,   683,     0,   684,     0,   858,   685,   686,   687,   688,
     689,   690,   691,     0,   860,   692,   693,   694,   695,   696,
     861,   862,   697,   698,   699,   700,   701,     0,  1506,   864,
     702,   237,   703,   704,   705,   706,   865,   866,   707,   867,
     868,   708,   709,   710,   711,   712,   713,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   755,   714,
     715,     0,     0,     0,  1303,  1304,  1305,     0,  4441,  4442,
    1308,  1309,  1310,  1311,   779,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,   780,   103,   104,   734,   781,     0,   106,
     107,   108,   109,   782,   783,   111,   112,   113,     0,   114,
     784,   785,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,   431,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,  1297,    45,     0,     0,     0,     0,     0,  1298,
    1299,  1300,   432,   433,   434,   435,   436,   437,   438,   439,
     786,   440,   441,   442,   787,   788,   789,   790,   791,   792,
     793,   443,   444,   794,   445,   446,   447,   131,   448,   449,
     450,     0,  1485,   135,  1486,  1487,   795,   451,   452,   453,
     454,   455,   456,   796,   797,   457,   458,  1488,  1489,   459,
     799,   460,   461,   462,   463,     0,   800,   144,   801,   464,
     465,   466,   467,   468,   147,   469,   470,   746,   803,   471,
     472,   473,   474,   475,   476,   804,   150,   477,   478,     0,
     806,   807,   808,   151,   809,   810,   811,   480,   481,   482,
     483,   748,   484,  1490,  1491,   485,   812,   486,   813,   487,
     488,   489,   490,   491,   492,   814,   493,   494,   495,   496,
     815,   816,   497,   498,  1492,   500,   501,   817,   502,   503,
     504,   818,   505,   506,   507,   819,   508,   509,   510,   511,
       0,   512,   513,   514,     0,   820,   515,   821,   516,   517,
    1493,   518,   822,   519,   823,   520,   168,   824,   169,   521,
     522,   523,   524,   825,   525,     0,   826,     0,   526,   527,
     827,   528,   529,   750,   530,   531,   173,   532,   533,   534,
     535,   828,   536,   537,   538,   539,   540,   541,   542,   829,
     543,   175,     0,     0,   544,   545,   546,  1495,  1496,   832,
    1497,   833,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,   834,   835,   554,     0,   183,   555,   184,   836,
     556,   557,   558,   837,   838,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,  1498,   190,  1499,   573,   574,   575,  4877,   839,   576,
     577,   194,   578,   840,     0,   579,  1500,   580,   581,   582,
     841,   583,   584,   842,   843,  4440,   586,   587,   844,   845,
     588,   589,     0,   198,   590,   199,     0,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   846,   600,   601,     0,
     602,     0,   603,   604,   605,   847,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,  1501,   616,   617,   618,
     619,   848,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   849,   632,   633,   211,   634,   635,
     636,   637,   638,     0,   639,   640,   641,   642,   643,   644,
     645,   753,   646,   850,   647,   648,   649,   650,   651,   851,
     653,   654,  2693,   655,   656,   220,   657,   658,  1503,   659,
     852,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,     0,   853,   672,   673,   854,   674,   225,
     675,   676,   677,   678,   679,   855,   680,  1504,  1505,     0,
     857,   682,   683,     0,   684,     0,   858,   685,   686,   687,
     688,   689,   690,   691,     0,   860,   692,   693,   694,   695,
     696,   861,   862,   697,   698,   699,   700,   701,     0,  1506,
     864,   702,   237,   703,   704,   705,   706,   865,   866,   707,
     867,   868,   708,   709,   710,   711,   712,   713,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   755,
     714,   715,     0,     0,     0,  1303,  1304,  1305,     0,  4441,
    4442,  1308,  1309,  1310,  1311,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1297,     0,     0,     0,     0,     0,     0,  1298,
    1299,  1300,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,  1301,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,  1302,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,   531,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,     0,     0,     0,  1303,  1304,  1305,     0,  1306,
    1307,  1308,  1309,  1310,  1311,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1297,     0,     0,     0,     0,     0,     0,  1298,
    1299,  1300,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,  1428,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,  1429,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,   531,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,     0,     0,     0,  1303,  1304,  1305,     0,  1306,
    1307,  1308,  1309,  1310,  1311,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1297,     0,     0,     0,     0,     0,     0,  1298,
    1299,  1300,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,  1537,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,  1538,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,  1539,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,     0,     0,     0,  1303,  1304,  1305,     0,  1306,
    1307,  1308,  1309,  1310,  1311,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1297,     0,     0,     0,     0,     0,     0,  1298,
    1299,  1300,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,  2164,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,  2165,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,   531,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,     0,     0,     0,  1303,  1304,  1305,     0,  1306,
    1307,  1308,  1309,  1310,  1311,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1297,     0,     0,     0,     0,     0,     0,  1298,
    1299,  1300,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,   531,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,     0,     0,     0,  1303,  1304,  1305,     0,  1306,
    1307,  1308,  1309,  1310,  1311,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1297,     0,     0,     0,     0,     0,     0,  1298,
    1299,  1300,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,  3561,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,  3562,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,   531,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,     0,     0,     0,  1303,  1304,  1305,     0,  1306,
    1307,  1308,  1309,  1310,  1311,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1297,     0,     0,     0,     0,     0,     0,  1298,
    1299,  1300,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,   531,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,  5453,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,     0,     0,     0,  1303,  1304,  1305,     0,  1306,
    1307,  1308,  1309,  1310,  1311,   779,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,   780,   103,   104,   734,   781,     0,
     106,   107,   108,   109,   782,   783,   111,   112,   113,     0,
     114,   784,   785,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   786,   440,   441,   442,   787,   788,   789,   790,   791,
     792,   793,   443,   444,   794,   445,   446,   447,   131,   448,
     449,   450,   133,   134,   135,   136,   137,   795,   451,   452,
     453,   454,   455,   456,   796,   797,   457,   458,   798,   139,
     459,   799,   460,   461,   462,   463,   143,   800,   144,   801,
     464,   465,   466,   467,   468,   147,   469,   470,   802,   803,
     471,   472,   473,   474,   475,   476,   804,   150,   477,   478,
     805,   806,   807,   808,   151,   809,   810,   811,   480,   481,
     482,   483,   748,   484,   154,   155,   485,   812,   486,   813,
     487,   488,   489,   490,   491,   492,   814,   493,   494,   495,
     496,   815,   816,   497,   498,   499,   500,   501,   817,   502,
     503,   504,   818,   505,   506,   507,   819,   508,   509,   510,
     511,   163,   512,   513,   514,   165,   820,   515,   821,   516,
     517,   167,   518,   822,   519,   823,   520,   168,   824,   169,
     521,   522,   523,   524,   825,   525,   171,   826,   172,   526,
     527,   827,   528,   529,   750,   530,   531,   173,   532,   533,
     534,   535,   828,   536,   537,   538,   539,   540,   541,   542,
     829,   543,   175,   176,   830,   544,   545,   546,   831,   177,
     832,   178,   833,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,   834,   835,   554,   182,   183,   555,   184,
     836,   556,   557,   558,   837,   838,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,   190,   191,   573,   574,   575,   192,   839,
     576,   577,   194,   578,   840,   195,   579,   196,   580,   581,
     582,   841,   583,   584,   842,   843,   585,   586,   587,   844,
     845,   588,   589,   197,   198,   590,   199,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   846,   600,   601,
     201,   602,   202,   603,   604,   605,   847,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,   848,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   849,   632,   633,   211,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,   753,   646,   850,   647,   648,   649,   650,   651,
     851,   653,   654,   218,   655,   656,   220,   657,   658,   221,
     659,   852,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,   853,   672,   673,   854,   674,
     225,   675,   676,   677,   678,   679,   855,   680,   226,   227,
     856,   857,   682,   683,   228,   684,   229,   858,   685,   686,
     687,   688,   689,   690,   691,   859,   860,   692,   693,   694,
     695,   696,   861,   862,   697,   698,   699,   700,   701,   863,
     236,   864,   702,   237,   703,   704,   705,   706,   865,   866,
     707,   867,   868,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,     0,   779,    86,    87,   731,    89,    90,
      91,   732,  2146,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,   780,   103,   104,   734,   781,     0,   106,
     107,   108,   109,   782,   783,   111,   112,   113,     0,   114,
     784,   785,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,   131,   448,   449,
     450,     0,  1485,   135,  1486,  1487,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,  1488,  1489,   459,
       0,   460,   461,   462,   463,     0,     0,   144,     0,   464,
     465,   466,   467,   468,   147,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,   150,   477,   478,     0,
       0,     0,     0,   151,     0,     0,     0,   480,   481,   482,
     483,   748,   484,  1490,  1491,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,  1492,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
       0,   512,   513,   514,     0,     0,   515,     0,   516,   517,
    1493,   518,     0,   519,     0,   520,   168,     0,   169,   521,
     522,   523,   524,     0,   525,     0,     0,     0,   526,   527,
       0,   528,   529,   750,   530,   531,   173,   532,   533,   534,
     535,  2689,   536,   537,   538,   539,   540,   541,   542,     0,
     543,   175,  2690,     0,   544,   545,   546,  1495,  1496,     0,
    1497,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,     0,   183,   555,   184,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,  1498,   190,  1499,   573,   574,   575,     0,     0,   576,
     577,   194,   578,     0,     0,   579,  1500,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,  2691,
     588,   589,  2692,   198,   590,   199,     0,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,     0,
     602,     0,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,  1501,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,   211,   634,   635,
     636,   637,   638,     0,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,  2693,   655,   656,   220,   657,   658,  1503,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,     0,   674,   225,
     675,   676,   677,   678,   679,     0,   680,  1504,  1505,     0,
       0,   682,   683,     0,   684,     0,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,     0,  1506,
    2694,   702,   237,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   755,
     714,   715,     0,     0,    86,    87,   731,    89,    90,    91,
     732,  2695,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,     0,     0,    86,    87,   731,    89,    90,    91,   732,
    1184,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,     0,     0,     0,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,   531,     0,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,     0,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
       0,     0,    86,    87,   731,    89,    90,    91,   732,  5855,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,   431,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,   432,
    1074,   434,   435,   436,   437,   438,   439,  1075,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,  1076,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,  1077,   167,   518,     0,
     519,     0,  1078,     0,  1079,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,   531,     0,   532,   533,   534,   535,  1080,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,  1081,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,     0,
     191,   573,  1082,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,  1083,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,  1084,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,     0,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,   754,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,     0,
       0,     0,     0,     0,     0,     0,  1085,  1086,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,     0,   103,   104,   734,
       0,     0,   106,   107,   108,   109,     0,     0,   111,   112,
     113,     0,   114,     0,     0,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,   431,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,   432,  1074,   434,   435,   436,
     437,   438,   439,  1075,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
       0,  1108,   449,   450,   133,   134,     0,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     745,   139,   459,     0,   460,   461,   462,   463,   143,     0,
       0,     0,   464,   465,   466,   467,   468,     0,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,     0,
     477,   478,     0,     0,     0,     0,     0,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,  1077,   167,   518,     0,   519,     0,  1109,     0,
    1079,     0,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,   531,     0,
     532,   533,   534,   535,  1080,   536,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,  1081,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,   189,     0,   191,   573,  1082,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,     0,   590,     0,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,  1083,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,  1084,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
       0,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,   218,   655,   656,     0,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,     0,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,   754,   236,     0,   702,     0,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,     0,     0,     0,     0,     0,
       0,     0,  1085,  1086,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,   431,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,  1594,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,  1079,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,   532,   533,   534,   535,
    1080,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,     0,     0,     0,     0,     0,     0,     0,  1085,  1086,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,     0,   103,
     104,   734,     0,     0,   106,   107,   108,   109,     0,     0,
     111,   112,   113,     0,   114,     0,     0,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,   431,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,  1599,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,     0,   448,   449,   450,   133,   134,     0,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,   745,   139,   459,     0,   460,   461,   462,   463,
     143,     0,     0,     0,   464,   465,   466,   467,   468,     0,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,     0,   477,   478,     0,     0,     0,     0,     0,     0,
       0,     0,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,     0,  1079,     0,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,   750,   530,
     531,     0,   532,   533,   534,   535,  1080,   536,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,     0,   590,
       0,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,     0,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,     0,   653,   654,   218,   655,   656,
       0,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,     0,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,   754,   236,     0,   702,     0,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   755,   714,   715,     0,     0,     0,
       0,     0,     0,     0,  1085,  1086,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,     0,   103,   104,   734,     0,     0,
     106,   107,   108,   109,     0,     0,   111,   112,   113,     0,
     114,     0,     0,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
     431,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,     0,   448,
     449,   450,   133,   134,     0,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   745,   139,
     459,     0,   460,   461,   462,   463,   143,     0,     0,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,     0,   477,   478,
       0,     0,     0,     0,     0,     0,     0,     0,   480,   481,
     482,   483,   748,   484,   154,   155,   485,   749,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,     0,     0,     0,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,   750,   530,   531,     0,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,     0,   590,     0,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,     0,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,   218,   655,   656,     0,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
       0,   675,   676,   677,   678,   679,     0,   680,   226,   227,
    1772,     0,   682,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,   754,
     236,     0,   702,     0,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,     0,     0,     0,     0,  1154,  1773,    86,
      87,   731,    89,    90,    91,   732,  1155,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,     0,   103,   104,
     734,     0,     0,   106,   107,   108,   109,     0,     0,   111,
     112,   113,     0,   114,     0,     0,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,     0,   448,   449,   450,   133,   134,     0,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,  1156,
     458,  1127,   139,   459,     0,   460,   461,   462,   463,   143,
       0,     0,     0,   464,   465,   466,   467,   468,     0,   469,
     470,  1157,     0,  1158,   472,   473,   474,   475,   476,     0,
       0,   477,   478,     0,     0,     0,     0,     0,     0,     0,
       0,   480,   481,   482,   483,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
       0,     0,     0,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,   531,
       0,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,  1159,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,  1160,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,     0,   590,     0,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,     0,  1161,   635,   636,   637,   638,   213,   639,   640,
     641,  1162,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,  1163,     0,   653,   654,   218,   655,   656,     0,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,     0,   675,   676,   677,   678,   679,     0,
     680,  1164,   227,     0,     0,  1165,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,  1131,   236,     0,   702,     0,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,  1166,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,   779,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,   780,   103,   104,   734,   781,
       0,   106,   107,   108,   109,   782,   783,   111,   112,   113,
       0,   114,   784,   785,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   786,   440,   441,   442,   787,   788,   789,   790,
     791,   792,   793,   443,   444,   794,   445,   446,   447,   131,
     448,   449,   450,   133,   134,   135,   136,   137,   795,   451,
     452,   453,   454,   455,   456,   796,   797,   457,   458,   798,
     139,   459,   799,   460,   461,   462,   463,   143,   800,   144,
     801,   464,   465,   466,   467,   468,   147,   469,   470,   802,
     803,   471,   472,   473,   474,   475,   476,   804,   150,   477,
     478,   805,   806,   807,   808,   151,   809,   810,   811,   480,
     481,   482,   483,   748,   484,   154,   155,   485,   812,   486,
     813,   487,   488,   489,   490,   491,   492,   814,   493,   494,
     495,   496,   815,   816,   497,   498,   499,   500,   501,   817,
     502,   503,   504,   818,   505,   506,   507,   819,   508,   509,
     510,   511,   163,   512,   513,   514,   165,   820,   515,   821,
     516,   517,   167,   518,   822,   519,   823,   520,   168,   824,
     169,   521,   522,   523,   524,   825,   525,   171,   826,   172,
     526,   527,   827,   528,   529,   750,   530,   531,   173,   532,
     533,   534,   535,   828,   536,   537,   538,   539,   540,   541,
     542,   829,   543,   175,   176,   830,   544,   545,   546,   831,
     177,   832,   178,   833,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,   834,   835,   554,   182,   183,   555,
     184,   836,   556,   557,   558,   837,   838,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,   190,   191,   573,   574,   575,   192,
     839,   576,   577,   194,   578,   840,   195,   579,   196,   580,
     581,   582,   841,   583,   584,   842,   843,   585,   586,   587,
     844,   845,   588,   589,   197,   198,   590,   199,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   846,   600,
     601,   201,   602,   202,   603,   604,   605,   847,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,   848,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   849,   632,   633,   211,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,   753,   646,   850,   647,   648,   649,   650,
     651,   851,   653,   654,   218,   655,   656,   220,   657,   658,
     221,   659,   852,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,   853,   672,   673,   854,
     674,   225,   675,   676,   677,   678,   679,   855,   680,   226,
     227,   856,   857,   682,   683,   228,   684,   229,   858,   685,
     686,   687,   688,   689,   690,   691,   859,   860,   692,   693,
     694,   695,   696,   861,   862,   697,   698,   699,   700,   701,
     863,   236,   864,   702,   237,   703,   704,   705,   706,   865,
     866,   707,   867,   868,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,   779,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,   780,   103,   104,   734,   781,     0,   106,
     107,   108,   109,   782,   783,   111,   112,   113,     0,   114,
     784,   785,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     786,   440,   441,   442,   787,   788,   789,   790,   791,   792,
     793,   443,   444,   794,   445,   446,   447,   131,   448,   449,
     450,   133,   134,   135,   136,   137,   795,   451,   452,   453,
     454,   455,   456,   796,   797,   457,   458,   798,   139,   459,
     799,   460,   461,   462,   463,   143,   800,   144,   801,   464,
     465,   466,   467,   468,   147,   469,   470,   802,   803,   471,
     472,   473,   474,   475,   476,   804,   150,   477,   478,   805,
     806,   807,   808,   151,   809,   810,   811,   480,   481,   482,
     483,   748,   484,   154,   155,   485,   812,   486,   813,   487,
     488,   489,   490,   491,   492,   814,   493,   494,   495,   496,
     815,   816,   497,   498,   499,   500,   501,   817,   502,   503,
     504,   818,   505,   506,   507,   819,   508,   509,   510,   511,
     163,   512,   513,   514,   165,   820,   515,   821,   516,   517,
     167,   518,   822,   519,   823,   520,   168,   824,   169,   521,
     522,   523,   524,   825,   525,   171,   826,   172,   526,   527,
     827,   528,   529,   750,   530,   531,   173,   532,   533,   534,
     535,   828,   536,   537,   538,   539,   540,   541,   542,   829,
     543,   175,   176,   830,   544,   545,   546,   831,   177,   832,
     178,   833,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,   834,   835,   554,   182,   183,   555,   184,   836,
     556,   557,   558,   837,   838,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,   190,   191,   573,   574,   575,   192,   839,   576,
     577,   194,   578,   840,   195,   579,   196,   580,   581,   582,
     841,   583,   584,   842,   843,   585,   586,   587,   844,   845,
     588,   589,   197,   198,   590,   199,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   846,   600,   601,   201,
     602,   202,   603,   604,   605,   847,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,   848,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   849,   632,   633,   211,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,   850,   647,   648,   649,   650,   651,   851,
     653,   654,   218,   655,   656,   220,   657,   658,   221,   659,
     852,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,   853,   672,   673,   854,   674,   225,
     675,   676,   677,   678,   679,   855,   680,   226,   227,   856,
     857,   682,   683,   228,   684,   229,   858,   685,   686,   687,
     688,   689,   690,   691,   859,   860,   692,   693,   694,   695,
     696,   861,   862,   697,   698,   699,   700,   701,   863,   236,
     864,   702,   237,   703,   704,   705,   706,   865,   866,   707,
     867,   868,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,   779,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,   780,   103,   104,   734,   781,     0,   106,   107,   108,
     109,   782,   783,   111,   112,   113,     0,   114,   784,   785,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,  3633,   437,   438,   439,   786,   440,
     441,   442,   787,   788,   789,   790,   791,   792,   793,   443,
     444,   794,   445,   446,   447,   131,   448,   449,   450,   133,
     134,   135,   136,   137,   795,   451,   452,   453,   454,   455,
     456,   796,   797,   457,   458,   798,   139,   459,   799,   460,
     461,   462,   463,   143,   800,   144,   801,   464,   465,   466,
     467,   468,   147,   469,   470,   802,   803,   471,   472,   473,
     474,   475,   476,   804,   150,   477,   478,   805,   806,   807,
     808,   151,   809,   810,   811,   480,   481,   482,   483,   748,
     484,   154,   155,   485,   812,   486,   813,   487,   488,   489,
     490,   491,   492,   814,   493,   494,   495,   496,   815,   816,
     497,   498,   499,  3634,   501,   817,   502,   503,   504,   818,
     505,   506,   507,   819,   508,   509,   510,   511,   163,   512,
     513,   514,   165,   820,   515,   821,   516,   517,   167,   518,
     822,   519,   823,   520,   168,   824,   169,   521,   522,   523,
     524,   825,   525,   171,   826,   172,   526,   527,   827,   528,
     529,   750,   530,   531,   173,   532,   533,   534,   535,   828,
     536,   537,   538,   539,   540,   541,   542,   829,   543,   175,
     176,   830,   544,   545,   546,   831,   177,   832,   178,   833,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
     834,   835,   554,   182,   183,   555,   184,   836,   556,   557,
     558,   837,   838,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
     190,   191,   573,   574,   575,   192,   839,   576,   577,   194,
     578,   840,   195,   579,   196,   580,   581,   582,   841,   583,
     584,   842,   843,   585,   586,   587,   844,   845,   588,   589,
     197,   198,   590,   199,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   846,   600,   601,   201,   602,   202,
     603,   604,   605,   847,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,   848,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   849,   632,   633,   211,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,   850,   647,   648,   649,   650,   651,   851,  3635,   654,
     218,   655,   656,   220,   657,   658,   221,   659,   852,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,   853,   672,   673,   854,   674,   225,   675,   676,
     677,   678,   679,   855,   680,   226,   227,   856,   857,   682,
     683,   228,   684,   229,   858,   685,   686,   687,   688,   689,
     690,   691,   859,   860,   692,   693,   694,   695,   696,   861,
     862,   697,   698,   699,   700,   701,   863,   236,   864,   702,
     237,   703,   704,   705,   706,   865,   866,   707,   867,   868,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
     779,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,   780,
     103,   104,   734,   781,     0,   106,   107,   108,   109,   782,
     783,   111,   112,   113,     0,   114,   784,   785,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,   133,   134,   135,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
    1670,   457,   458,   745,   139,   459,     0,   460,   461,   462,
     463,  1673,     0,  1674,     0,   464,   465,   466,   467,   468,
     147,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,   478,     0,  1675,  1676,  1677,  1678,
    1679,  1680,  1681,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
    1686,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,   168,     0,   169,   521,   522,   523,   524,     0,
     525,  1689,     0,   172,   526,   527,     0,   528,   529,   750,
     530,   531,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,  1693,   183,   555,   184,     0,   556,   557,   558,  1694,
    1695,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,   190,   191,
     573,   574,   575,   192,     0,   576,   577,   194,   578,     0,
    1700,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,   198,
     590,   199,  1703,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,  1704,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,  1707,   653,   654,   218,   655,
     656,   220,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,  1709,
       0,   672,   673,     0,   674,   225,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,  1712,
     684,  1713,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,  1716,     0,   697,
     698,   699,   700,   701,   754,   236,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,  1718,  1719,  1720,  1721,   244,
    1722,  1723,  1724,  1725,   249,   755,   714,   715,   779,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,   780,   103,   104,
     734,   781,     0,   106,   107,   108,   109,   782,   783,   111,
     112,   113,     0,   114,   784,   785,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,   131,   448,   449,   450,   133,   134,   135,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   745,   139,   459,     0,   460,   461,   462,   463,   143,
       0,   144,     0,   464,   465,   466,   467,   468,   147,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
     150,   477,   478,     0,     0,     0,     0,   151,     0,     0,
       0,   480,   481,   482,   483,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
     168,     0,   169,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,   531,
     173,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,   182,
     183,   555,   184,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,   190,   191,   573,   574,
     575,   192,     0,   576,   577,   194,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,   198,   590,   199,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,   211,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,   218,   655,   656,   220,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,   225,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,   754,   236,     0,   702,   237,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,   779,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,   780,   103,   104,   734,   781,
       0,   106,   107,   108,   109,   782,   783,   111,   112,   113,
       0,   114,   784,   785,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450,   133,   134,   135,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   745,
     139,   459,     0,   460,   461,   462,   463,   143,     0,   144,
       0,   464,   465,   466,   467,   468,   147,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,     0,     0,     0,     0,   151,     0,     0,     0,   480,
     481,   482,   483,   748,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,   168,     0,
     169,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,   750,   530,  1477,   173,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,   182,   183,   555,
     184,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,   190,   191,   573,   574,   575,   192,
       0,   576,   577,   194,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,   198,   590,   199,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,   220,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,   225,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
     754,   236,     0,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,   779,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,   780,   103,   104,   734,   781,     0,   106,
     107,   108,   109,   782,   783,   111,   112,   113,     0,   114,
     784,   785,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,   131,   448,   449,
     450,   133,   134,   135,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,   461,   462,   463,   143,     0,   144,     0,   464,
     465,   466,   467,   468,   147,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,   150,   477,   478,     0,
       0,     0,     0,   151,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,   168,     0,   169,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,  1529,   173,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,   182,   183,   555,   184,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,   190,   191,   573,   574,   575,   192,     0,   576,
     577,   194,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,   198,   590,   199,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,   211,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,   220,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,   225,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,   237,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,   779,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,   780,   103,   104,   734,   781,     0,   106,   107,   108,
     109,   782,   783,   111,   112,   113,     0,   114,   784,   785,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,   131,   448,   449,   450,   133,
     134,   135,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,   144,     0,   464,   465,   466,
     467,   468,   147,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,   150,   477,   478,     0,     0,     0,
       0,   151,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,   168,     0,   169,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,  1543,   173,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,   182,   183,   555,   184,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
     190,   191,   573,   574,   575,   192,     0,   576,   577,   194,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,   198,   590,   199,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,   211,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,   220,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,   225,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
     237,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
     779,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,   780,
     103,   104,   734,   781,     0,   106,   107,   108,   109,   782,
     783,   111,   112,   113,     0,   114,   784,   785,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,   133,   134,   135,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   745,   139,   459,     0,   460,   461,   462,
     463,   143,     0,   144,     0,   464,   465,   466,   467,   468,
     147,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,   478,     0,     0,     0,     0,   151,
       0,     0,     0,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,   168,     0,   169,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,   750,
     530,  1547,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,   182,   183,   555,   184,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,   190,   191,
     573,   574,   575,   192,     0,   576,   577,   194,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,   198,
     590,   199,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,     0,   653,   654,   218,   655,
     656,   220,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,   225,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,   754,   236,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,   779,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,   780,   103,   104,
     734,   781,     0,   106,   107,   108,   109,   782,   783,   111,
     112,   113,     0,   114,   784,   785,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,   131,   448,   449,   450,     0,  1485,   135,  1486,  1487,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,  1488,  1489,   459,     0,   460,   461,   462,   463,     0,
       0,   144,     0,   464,   465,   466,   467,   468,   147,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
     150,   477,   478,     0,     0,     0,     0,   151,     0,     0,
       0,   480,   481,   482,   483,   748,   484,  1490,  1491,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,  1492,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,     0,   512,   513,   514,     0,     0,
     515,     0,   516,   517,  1493,   518,     0,   519,     0,   520,
     168,     0,   169,   521,   522,   523,   524,     0,   525,     0,
       0,     0,   526,   527,     0,   528,   529,   750,   530,   531,
     173,   532,   533,   534,   535,  2689,   536,   537,   538,   539,
     540,   541,   542,     0,   543,   175,  2690,     0,   544,   545,
     546,  1495,  1496,     0,  1497,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,     0,
     183,   555,   184,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,  1498,   190,  1499,   573,   574,
     575,     0,     0,   576,   577,   194,   578,     0,     0,   579,
    1500,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,  2692,   198,   590,   199,
       0,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,     0,   602,     0,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
    1501,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,   211,   634,   635,   636,   637,   638,     0,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,  2693,   655,   656,   220,
     657,   658,  1503,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,     0,   674,   225,   675,   676,   677,   678,   679,     0,
     680,  1504,  1505,     0,     0,   682,   683,     0,   684,     0,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,     0,  1506,  2694,   702,   237,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   755,   714,   715,   779,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,   780,   103,   104,   734,   781,
       0,   106,   107,   108,   109,   782,   783,   111,   112,   113,
       0,   114,   784,   785,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450,     0,  1485,   135,  1486,  1487,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,  1488,
    1489,   459,     0,   460,   461,   462,   463,     0,     0,   144,
       0,   464,   465,   466,   467,   468,   147,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,     0,     0,     0,     0,   151,     0,     0,     0,   480,
     481,   482,   483,   748,   484,  1490,  1491,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,  1492,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,     0,   512,   513,   514,     0,     0,   515,     0,
     516,   517,  1493,   518,     0,   519,     0,   520,   168,     0,
     169,   521,   522,   523,   524,     0,   525,     0,     0,     0,
     526,   527,     0,   528,   529,   750,   530,   531,   173,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,     0,     0,   544,   545,   546,  1495,
    1496,     0,  1497,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,     0,   183,   555,
     184,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,  1498,   190,  1499,   573,   574,   575,     0,
       0,   576,   577,   194,   578,  2789,     0,   579,  1500,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,     0,   198,   590,   199,     0,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,     0,   602,     0,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,  1501,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,     0,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,  2693,   655,   656,   220,   657,   658,
    1503,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,  4543,
     674,   225,   675,   676,   677,   678,   679,     0,   680,  1504,
    1505,     0,     0,   682,   683,     0,   684,     0,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
       0,  1506,     0,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   755,   714,   715,   779,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,   780,   103,   104,   734,   781,     0,   106,
     107,   108,   109,   782,   783,   111,   112,   113,     0,   114,
     784,   785,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,   131,   448,   449,
     450,     0,  1485,   135,  1486,  1487,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,  1488,  1489,   459,
       0,   460,   461,   462,   463,     0,     0,   144,     0,   464,
     465,   466,   467,   468,   147,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,   150,   477,   478,     0,
       0,     0,     0,   151,     0,     0,     0,   480,   481,   482,
     483,   748,   484,  1490,  1491,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,  1492,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
       0,   512,   513,   514,     0,     0,   515,     0,   516,   517,
    1493,   518,     0,   519,     0,   520,   168,     0,   169,   521,
     522,   523,   524,     0,   525,     0,     0,     0,   526,   527,
       0,   528,   529,   750,   530,   531,   173,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,   175,     0,     0,   544,   545,   546,  1495,  1496,     0,
    1497,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,     0,   183,   555,   184,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,  1498,   190,  1499,   573,   574,   575,  2859,     0,   576,
     577,   194,   578,     0,     0,   579,  1500,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,     0,   198,   590,   199,     0,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,     0,
     602,     0,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,  1501,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,   211,   634,   635,
     636,   637,   638,     0,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,  1502,   655,   656,   220,   657,   658,  1503,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,     0,   674,   225,
     675,   676,   677,   678,   679,     0,   680,  1504,  1505,     0,
       0,   682,   683,     0,   684,     0,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,     0,  1506,
       0,   702,   237,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   755,
     714,   715,   779,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,   780,   103,   104,   734,   781,     0,   106,   107,   108,
     109,   782,   783,   111,   112,   113,     0,   114,   784,   785,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,   131,   448,   449,   450,     0,
    1485,   135,  1486,  1487,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,  1488,  1489,   459,     0,   460,
     461,   462,   463,     0,     0,   144,     0,   464,   465,   466,
     467,   468,   147,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,   150,   477,   478,     0,     0,     0,
       0,   151,     0,     0,     0,   480,   481,   482,   483,   748,
     484,  1490,  1491,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,  1492,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,     0,   512,
     513,   514,     0,     0,   515,     0,   516,   517,  1493,   518,
       0,   519,     0,   520,   168,     0,   169,   521,   522,   523,
     524,     0,   525,     0,     0,     0,   526,   527,     0,   528,
     529,   750,   530,   531,   173,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,   175,
       0,     0,   544,   545,   546,  1495,  1496,     0,  1497,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,     0,   183,   555,   184,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,  1498,
     190,  1499,   573,   574,   575,  4351,     0,   576,   577,   194,
     578,     0,     0,   579,  1500,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
       0,   198,   590,   199,     0,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,     0,   602,     0,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,  1501,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,   211,   634,   635,   636,   637,
     638,     0,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
    1502,   655,   656,   220,   657,   658,  1503,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,     0,   674,   225,   675,   676,
     677,   678,   679,     0,   680,  1504,  1505,     0,     0,   682,
     683,     0,   684,     0,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,     0,  1506,     0,   702,
     237,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   755,   714,   715,
     779,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,   780,
     103,   104,   734,   781,     0,   106,   107,   108,   109,   782,
     783,   111,   112,   113,     0,   114,   784,   785,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,     0,  1485,   135,
    1486,  1487,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,  1488,  1489,   459,     0,   460,   461,   462,
     463,     0,     0,   144,     0,   464,   465,   466,   467,   468,
     147,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,   478,     0,     0,     0,     0,   151,
       0,     0,     0,   480,   481,   482,   483,   748,   484,  1490,
    1491,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
    1492,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,     0,   512,   513,   514,
       0,     0,   515,     0,   516,   517,  1493,   518,  5920,   519,
       0,   520,   168,     0,   169,   521,   522,   523,   524,     0,
     525,     0,     0,     0,   526,   527,     0,   528,   529,   750,
     530,   531,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,     0,     0,
     544,   545,   546,  1495,  1496,     0,  1497,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,     0,   183,   555,   184,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,  1498,   190,  1499,
     573,   574,   575,     0,     0,   576,   577,   194,   578,     0,
       0,   579,  1500,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,     0,   198,
     590,   199,     0,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,     0,   602,     0,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,  1501,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,   636,   637,   638,     0,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,     0,   653,   654,  1502,   655,
     656,   220,   657,   658,  1503,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,     0,   674,   225,   675,   676,   677,   678,
     679,     0,   680,  1504,  1505,     0,     0,   682,   683,     0,
     684,     0,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,     0,  1506,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   755,   714,   715,   779,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,   780,   103,   104,
     734,   781,     0,   106,   107,   108,   109,   782,   783,   111,
     112,   113,     0,   114,   784,   785,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,   131,   448,   449,   450,     0,  1485,   135,  1486,  1487,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,  1488,  1489,   459,     0,   460,   461,   462,   463,     0,
       0,   144,     0,   464,   465,   466,   467,   468,   147,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
     150,   477,   478,     0,     0,     0,     0,   151,     0,     0,
       0,   480,   481,   482,   483,   748,   484,  1490,  1491,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,  1492,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,     0,   512,   513,   514,     0,     0,
     515,     0,   516,   517,  1493,   518,     0,   519,     0,   520,
     168,     0,   169,   521,   522,   523,   524,     0,   525,     0,
       0,     0,   526,   527,     0,   528,   529,   750,   530,  1494,
     173,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,   175,     0,     0,   544,   545,
     546,  1495,  1496,     0,  1497,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,     0,
     183,   555,   184,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,  1498,   190,  1499,   573,   574,
     575,     0,     0,   576,   577,   194,   578,     0,     0,   579,
    1500,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,     0,   198,   590,   199,
       0,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,     0,   602,     0,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
    1501,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,   211,   634,   635,   636,   637,   638,     0,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,  1502,   655,   656,   220,
     657,   658,  1503,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,     0,   674,   225,   675,   676,   677,   678,   679,     0,
     680,  1504,  1505,     0,     0,   682,   683,     0,   684,     0,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,     0,  1506,     0,   702,   237,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   755,   714,   715,   779,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,   780,   103,   104,   734,   781,
       0,   106,   107,   108,   109,   782,   783,   111,   112,   113,
       0,   114,   784,   785,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450,     0,  1485,   135,  1486,  1487,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,  1488,
    1489,   459,     0,   460,   461,   462,   463,     0,     0,   144,
       0,   464,   465,   466,   467,   468,   147,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,     0,     0,     0,     0,   151,     0,     0,     0,   480,
     481,   482,   483,   748,   484,  1490,  1491,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,  1492,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,     0,   512,   513,   514,     0,     0,   515,     0,
     516,   517,  1493,   518,     0,   519,     0,   520,   168,     0,
     169,   521,   522,   523,   524,     0,   525,     0,     0,     0,
     526,   527,     0,   528,   529,   750,   530,  1555,   173,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,     0,     0,   544,   545,   546,  1495,
    1496,     0,  1497,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,     0,   183,   555,
     184,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,  1498,   190,  1499,   573,   574,   575,     0,
       0,   576,   577,   194,   578,     0,     0,   579,  1500,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,     0,   198,   590,   199,     0,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,     0,   602,     0,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,  1501,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,     0,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,  1502,   655,   656,   220,   657,   658,
    1503,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,     0,
     674,   225,   675,   676,   677,   678,   679,     0,   680,  1504,
    1505,     0,     0,   682,   683,     0,   684,     0,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
       0,  1506,     0,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   755,   714,   715,   779,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,   780,   103,   104,   734,   781,     0,   106,
     107,   108,   109,   782,   783,   111,   112,   113,     0,   114,
     784,   785,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,   131,   448,   449,
     450,     0,  1485,   135,  1486,  1487,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,  1488,  1489,   459,
       0,   460,   461,   462,   463,     0,     0,   144,     0,   464,
     465,   466,   467,   468,   147,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,   150,   477,   478,     0,
       0,     0,     0,   151,     0,     0,     0,   480,   481,   482,
     483,   748,   484,  1490,  1491,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,  1492,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
       0,   512,   513,   514,     0,     0,   515,     0,   516,   517,
    1493,   518,     0,   519,     0,   520,   168,     0,   169,   521,
     522,   523,   524,     0,   525,     0,     0,     0,   526,   527,
       0,   528,   529,   750,   530,   531,   173,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,   175,     0,     0,   544,   545,   546,  1495,  1496,     0,
    1497,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,     0,   183,   555,   184,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,  1498,   190,  1499,   573,   574,   575,     0,     0,   576,
     577,   194,   578,     0,     0,   579,  1500,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,     0,   198,   590,   199,     0,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,     0,
     602,     0,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,  1501,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,   211,   634,   635,
     636,   637,   638,     0,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,  1502,   655,   656,   220,   657,   658,  1503,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,     0,   674,   225,
     675,   676,   677,   678,   679,     0,   680,  1504,  1505,     0,
       0,   682,   683,     0,   684,     0,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,     0,  1506,
       0,   702,   237,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   755,
     714,   715,   779,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,   780,   103,   104,   734,   781,     0,   106,   107,   108,
     109,   782,   783,   111,   112,   113,     0,   114,   784,   785,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,   131,   448,   449,   450,     0,
    1485,   135,  1486,  1487,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,  1488,  1489,   459,     0,   460,
     461,   462,   463,     0,     0,   144,     0,   464,   465,   466,
     467,   468,   147,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,   150,   477,   478,     0,     0,     0,
       0,   151,     0,     0,     0,   480,   481,   482,   483,   748,
     484,  1490,  1491,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,  1492,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,     0,   512,
     513,   514,     0,     0,   515,     0,   516,   517,  1493,   518,
       0,   519,     0,   520,   168,     0,   169,   521,   522,   523,
     524,     0,   525,     0,     0,     0,   526,   527,     0,   528,
     529,   750,   530,   531,   173,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,   175,
       0,     0,   544,   545,   546,  1495,  1496,     0,  1497,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,     0,   183,   555,   184,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,  1498,
     190,  1499,   573,   574,   575,     0,     0,   576,   577,   194,
     578,     0,     0,   579,  1500,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
       0,   198,   590,   199,     0,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,     0,   602,     0,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,  1501,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,   211,   634,   635,   636,   637,
     638,     0,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
    2693,   655,   656,   220,   657,   658,  1503,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,     0,   674,   225,   675,   676,
     677,   678,   679,     0,   680,  1504,  1505,     0,     0,   682,
     683,     0,   684,     0,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,     0,  1506,     0,   702,
     237,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   755,   714,   715,
     779,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,   780,
     103,   104,   734,   781,     0,   106,   107,   108,   109,   782,
     783,   111,   112,   113,     0,   114,   784,   785,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,     0,  1485,   135,
    1486,  1487,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,  1488,  1489,   459,     0,   460,   461,   462,
     463,     0,     0,   144,     0,   464,   465,   466,   467,   468,
     147,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,   478,     0,     0,     0,     0,   151,
       0,     0,     0,   480,   481,   482,   483,   748,   484,  1490,
    1491,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
    1492,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,     0,   512,   513,   514,
       0,     0,   515,     0,   516,   517,  1493,   518,     0,   519,
       0,   520,   168,     0,   169,   521,   522,   523,   524,     0,
     525,     0,     0,     0,   526,   527,     0,   528,   529,   750,
     530,   531,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,     0,     0,
     544,   545,   546,  1495,  1496,     0,  1497,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,     0,   183,   555,   184,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,  1498,   190,  1499,
     573,   574,   575,     0,     0,   576,   577,   194,   578,     0,
       0,   579,  1500,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,     0,   198,
     590,   199,     0,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,     0,   602,     0,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,  1501,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,   636,   637,   638,     0,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,     0,   653,   654,     0,   655,
     656,   220,   657,   658,  1503,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,     0,   674,   225,   675,   676,   677,   678,
     679,     0,   680,  1504,  1505,     0,     0,   682,   683,     0,
     684,     0,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,     0,  1506,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   755,   714,   715,   779,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,   780,   103,   104,
     734,   781,     0,   106,   107,   108,   109,   782,   783,   111,
     112,   113,     0,   114,   784,   785,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,   131,   448,   449,   450,     0,     0,   135,     0,     0,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,     0,     0,   459,     0,   460,   461,   462,   463,     0,
       0,   144,     0,   464,   465,   466,   467,   468,   147,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
     150,   477,   478,     0,     0,     0,     0,   151,     0,     0,
       0,   480,   481,   482,   483,   748,   484,     0,     0,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,     0,   512,   513,   514,     0,     0,
     515,     0,   516,   517,     0,   518,     0,   519,     0,   520,
     168,     0,   169,   521,   522,   523,   524,     0,   525,     0,
       0,     0,   526,   527,     0,   528,   529,   750,   530,   531,
     173,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,   175,     0,     0,   544,   545,
     546,     0,     0,     0,     0,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,     0,
     183,   555,   184,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,     0,   190,     0,   573,   574,
     575,     0,     0,   576,   577,   194,   578,     0,     0,   579,
       0,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,     0,   198,   590,   199,
       0,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,     0,   602,     0,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
       0,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,   211,   634,   635,   636,   637,   638,     0,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,     0,   655,   656,   220,
     657,   658,     0,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,     0,   674,   225,   675,   676,   677,   678,   679,     0,
     680,     0,     0,     0,     0,   682,   683,     0,   684,     0,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,     0,     0,     0,   702,   237,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   755,   714,   715,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,     0,   103,   104,   734,     0,     0,
     106,   107,   108,   109,     0,     0,   111,   112,   113,     0,
     114,     0,     0,   735,   736,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   786,   440,   441,   442,   787,   788,   789,   790,   791,
     792,   793,   443,   444,   794,   445,   446,   447,   131,   448,
     449,   450,   133,   134,   135,   136,   137,   795,   451,   452,
     453,   454,   455,   456,   796,   797,   457,   458,     0,   139,
     459,   799,   460,   461,   462,   463,   143,   800,   144,   801,
     464,   465,   466,   467,   468,   147,   469,   470,   802,   803,
     471,   472,   473,   474,   475,   476,   804,   150,   477,   478,
       0,   806,   807,   808,   151,   809,   810,   811,   480,   481,
     482,   483,     0,   484,   154,   155,   485,   812,   486,   813,
     487,   488,   489,   490,   491,   492,   814,   493,   494,   495,
     496,   815,   816,   497,   498,   499,   500,   501,   817,   502,
     503,   504,   818,   505,   506,   507,   819,   508,   509,   510,
     511,   163,   512,   513,   514,   165,   820,   515,   821,   516,
     517,   167,   518,   822,   519,   823,   520,   168,   824,   169,
     521,   522,   523,   524,   825,   525,   171,   826,   172,   526,
     527,   827,   528,   529,     0,   530,   531,   173,   532,   533,
     534,   535,   828,   536,   537,   538,   539,   540,   541,   542,
     829,   543,   175,   176,     0,   544,   545,   546,     0,   177,
     832,   178,   833,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,   834,   835,   554,   182,   183,   555,   184,
     836,   556,   557,   558,   837,   838,   559,   560,   561,   562,
     563,   564,   565,   566,   567,     0,   568,   569,     0,   570,
     571,   572,   189,   190,   191,   573,   574,   575,   192,   839,
     576,   577,   194,   578,   840,   195,   579,   196,   580,   581,
     582,   841,   583,   584,   842,   843,   585,   586,   587,   844,
     845,   588,   589,   197,   198,   590,   199,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   846,   600,   601,
     201,   602,   202,   603,   604,   605,   847,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,   848,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   849,   632,   633,   211,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,     0,   646,   850,   647,   648,   649,   650,   651,
     851,   653,   654,   218,   655,   656,   220,   657,   658,   221,
     659,   852,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,   853,   672,   673,   854,   674,
     225,   675,   676,   677,   678,   679,   855,   680,   226,   227,
       0,   857,   682,   683,   228,   684,   229,   858,   685,   686,
     687,   688,   689,   690,   691,     0,   860,   692,   693,   694,
     695,   696,   861,   862,   697,   698,   699,   700,   701,     0,
     236,   864,   702,   237,   703,   704,   705,   706,   865,   866,
     707,   867,   868,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
       0,   714,   715,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,   431,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,  1247,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,     0,     0,     0,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,   531,     0,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,     0,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,     0,   103,
     104,   734,     0,     0,   106,   107,   108,   109,     0,     0,
     111,   112,   113,     0,   114,     0,     0,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,   431,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,     0,   448,   449,   450,   133,   134,     0,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,   745,   139,   459,     0,   460,   461,   462,   463,
     143,     0,     0,     0,   464,   465,   466,   467,   468,     0,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,     0,   477,   478,     0,     0,     0,     0,     0,     0,
       0,     0,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,     0,     0,     0,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,   750,   530,
     531,     0,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,     0,   590,
       0,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,     0,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,     0,   653,   654,   218,   655,   656,
       0,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,     0,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,   754,   236,     0,   702,     0,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   755,   714,   715,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,     0,   103,   104,   734,     0,
       0,   106,   107,   108,   109,     0,     0,   111,   112,   113,
       0,   114,     0,     0,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,     0,
     448,   449,   450,   133,   134,     0,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   745,
     139,   459,  2729,   460,   461,   462,   463,   143,     0,     0,
    2808,   464,   465,   466,   467,   468,     0,   469,   470,   746,
    2730,   471,   472,   473,   474,   475,   476,     0,     0,   477,
     478,     0,     0,     0,     0,     0,     0,     0,     0,   480,
     481,   482,   483,   748,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,  2809,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,  2732,   520,     0,     0,
       0,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,   750,   530,  2810,     0,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,     0,   590,     0,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,  2733,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,     0,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,     0,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,     0,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,  2734,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
     754,   236,     0,   702,     0,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,  2729,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,  2730,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,  2809,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,  2732,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,  3844,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,  2733,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,  2734,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,     0,
     103,   104,   734,     0,     0,   106,   107,   108,   109,     0,
       0,   111,   112,   113,     0,   114,     0,     0,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,  1142,   438,   439,  1094,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,     0,   448,   449,   450,   133,   134,     0,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   745,   139,   459,     0,   460,   461,   462,
     463,   143,     0,     0,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,  1095,     0,   477,   478,     0,     0,     0,     0,     0,
       0,     0,     0,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,     0,     0,     0,   521,   522,   523,   524,  1143,
     525,   171,     0,   172,   526,   527,     0,   528,   529,   750,
     530,   531,     0,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,     0,
     590,     0,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,  1096,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,     0,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,  1097,
     647,   648,   649,   650,   651,     0,   653,   654,   218,   655,
     656,     0,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,     0,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,   754,   236,     0,   702,     0,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,     0,   103,   104,   734,
       0,     0,   106,   107,   108,   109,     0,     0,   111,   112,
     113,     0,   114,     0,     0,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,  1094,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
       0,   448,   449,   450,   133,   134,     0,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     745,   139,   459,     0,   460,   461,   462,   463,   143,     0,
       0,     0,   464,   465,   466,   467,   468,     0,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,  1095,     0,
     477,   478,     0,     0,     0,     0,     0,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,     0,
       0,     0,   521,   522,   523,   524,  3522,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,   531,     0,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,     0,   590,     0,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,  1096,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
       0,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,   753,   646,  1097,   647,   648,   649,
     650,   651,     0,   653,   654,   218,   655,   656,     0,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,     0,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,   754,   236,     0,   702,     0,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,   531,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,   448,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,  2729,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   746,  2730,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,  2809,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,  2732,   520,     0,     0,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,   531,     0,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,  2733,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,     0,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,  2734,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,   754,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,     0,   103,   104,
     734,     0,     0,   106,   107,   108,   109,     0,     0,   111,
     112,   113,     0,   114,     0,     0,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,   431,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   744,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,     0,   448,   449,   450,   133,   134,     0,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   745,   139,   459,     0,   460,   461,   462,   463,   143,
       0,     0,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
       0,   477,   478,   747,     0,     0,     0,     0,     0,     0,
       0,   480,   481,   482,   483,   748,   484,   154,   155,   485,
     749,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
       0,     0,     0,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,   531,
       0,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,     0,   590,     0,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,     0,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,   218,   655,   656,     0,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,     0,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,   754,   236,     0,   702,     0,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,     0,   103,   104,   734,     0,     0,
     106,   107,   108,   109,     0,     0,   111,   112,   113,     0,
     114,     0,     0,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,  1094,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,     0,   448,
     449,   450,   133,   134,     0,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   745,   139,
     459,     0,   460,   461,   462,   463,   143,     0,     0,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,  1095,     0,   477,   478,
       0,     0,     0,     0,     0,     0,     0,     0,   480,   481,
     482,   483,   748,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,     0,     0,     0,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,   750,   530,   531,     0,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,     0,   590,     0,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,  1096,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,     0,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,   753,   646,  1097,   647,   648,   649,   650,   651,
       0,   653,   654,   218,   655,   656,     0,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
       0,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,   754,
     236,     0,   702,     0,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,    86,    87,   731,    89,    90,    91,   732,
     995,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,   431,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   996,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,     0,     0,     0,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,   531,     0,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   997,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,     0,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,     0,   103,
     104,   734,     0,     0,   106,   107,   108,   109,     0,     0,
     111,   112,   113,     0,   114,     0,     0,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,  2398,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,     0,   448,   449,   450,   133,   134,     0,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,   745,   139,   459,     0,   460,   461,   462,   463,
     143,     0,     0,     0,   464,   465,   466,   467,   468,     0,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,     0,   477,   478,     0,     0,     0,     0,     0,     0,
       0,     0,   480,   481,   482,  2399,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,  2400,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,  2401,
     520,     0,     0,     0,  2402,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,   750,   530,
     531,     0,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,  2403,  2404,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,     0,   590,
       0,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,  2405,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,     0,   634,   635,   636,  2406,   638,   213,   639,
     640,   641,  2407,   643,   644,   645,   753,   646,     0,  2408,
     648,   649,   650,   651,     0,   653,   654,   218,   655,   656,
       0,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,  2409,   674,     0,  2410,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,  2411,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,   754,   236,     0,   702,     0,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   755,   714,   715,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,     0,   103,   104,   734,     0,
       0,   106,   107,   108,   109,     0,     0,   111,   112,   113,
       0,   114,     0,     0,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,     0,
     448,   449,   450,   133,   134,     0,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   745,
     139,   459,     0,   460,   461,   462,   463,   143,     0,     0,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,  1095,     0,   477,
     478,     0,     0,     0,     0,     0,     0,     0,     0,   480,
     481,   482,   483,   748,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,     0,     0,
       0,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,   750,   530,   531,     0,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,     0,   590,     0,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,  1096,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,     0,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,   753,   646,  1097,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,     0,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,     0,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
     754,   236,     0,   702,     0,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,    86,    87,   731,    89,    90,    91,
     732,  2387,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,   431,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,  3382,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,  3383,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
    2668,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,  3384,   674,     0,   675,
    3385,   677,  3386,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,  3387,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,     0,
     103,   104,   734,     0,     0,   106,   107,   108,   109,     0,
       0,   111,   112,   113,     0,   114,     0,     0,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,   431,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   771,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,     0,   448,   449,   450,   133,   134,     0,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   745,   139,   459,     0,   460,   461,   462,
     463,   143,     0,     0,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,     0,   477,   478,     0,     0,     0,     0,     0,
       0,     0,     0,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,     0,     0,     0,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,   750,
     530,   531,     0,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,     0,
     590,     0,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,     0,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,     0,   653,   654,   218,   655,
     656,     0,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,     0,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,   754,   236,     0,   702,     0,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,     0,   103,   104,   734,
       0,     0,   106,   107,   108,   109,     0,     0,   111,   112,
     113,     0,   114,     0,     0,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,   431,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
       0,   448,   449,   450,   133,   134,     0,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     745,   139,   459,     0,   460,   461,   462,   463,   143,     0,
       0,     0,   464,   465,   466,   467,   468,     0,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,     0,
     477,   478,     0,     0,     0,     0,     0,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,   749,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,     0,
       0,     0,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,   531,     0,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,     0,   590,     0,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
       0,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,   218,   655,   656,     0,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,     0,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,   754,   236,     0,   702,     0,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,   431,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     940,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,   531,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,  1334,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,   448,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,     0,     0,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,  1335,     0,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,  1177,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,     0,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,   754,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,     0,   103,   104,
     734,     0,     0,   106,   107,   108,   109,     0,     0,   111,
     112,   113,     0,   114,     0,     0,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,   431,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,  1468,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,     0,   448,   449,   450,   133,   134,     0,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   745,   139,   459,     0,   460,   461,   462,   463,   143,
       0,     0,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
       0,   477,   478,     0,     0,     0,     0,     0,     0,     0,
       0,   480,   481,   482,   483,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
       0,     0,     0,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,   531,
       0,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,     0,   590,     0,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,     0,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,   218,   655,   656,     0,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,     0,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,   754,   236,     0,   702,     0,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,     0,   103,   104,   734,     0,     0,
     106,   107,   108,   109,     0,     0,   111,   112,   113,     0,
     114,     0,     0,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,  3614,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,     0,   448,
     449,   450,   133,   134,     0,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   745,   139,
     459,     0,   460,   461,   462,   463,   143,     0,     0,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,     0,   477,   478,
       0,     0,     0,     0,     0,     0,     0,     0,   480,   481,
     482,   483,   748,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,     0,     0,     0,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,   750,   530,   531,     0,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,     0,   590,     0,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,     0,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,   218,   655,   656,     0,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
       0,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,  3615,     0,   697,   698,   699,   700,   701,   754,
     236,     0,   702,     0,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,  3627,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,     0,     0,     0,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,   531,     0,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,     0,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,  3628,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,     0,   103,
     104,   734,     0,     0,   106,   107,   108,   109,     0,     0,
     111,   112,   113,     0,   114,     0,     0,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,   431,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,     0,   448,   449,   450,   133,   134,     0,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,   745,   139,   459,     0,   460,   461,   462,   463,
     143,     0,     0,     0,   464,   465,   466,   467,   468,     0,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,     0,   477,   478,     0,     0,     0,     0,     0,     0,
       0,     0,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,     0,     0,     0,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,   750,   530,
     531,     0,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,     0,   590,
       0,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,     0,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,     0,   653,   654,   218,   655,   656,
       0,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,     0,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,   754,   236,     0,   702,     0,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   755,   714,   715,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,     0,   103,   104,   734,     0,
       0,   106,   107,   108,   109,     0,     0,   111,   112,   113,
       0,   114,     0,     0,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,   431,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,     0,
     448,   449,   450,   133,   134,     0,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   745,
     139,   459,     0,   460,   461,   462,   463,   143,     0,     0,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,     0,   477,
     478,     0,     0,     0,     0,     0,     0,     0,     0,   480,
     481,   482,   483,   748,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,     0,     0,
       0,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,   750,   530,   531,     0,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,     0,   590,     0,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,     0,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,     0,   657,   658,
     221,   659,     0,   660,   661,   662,   663,  1001,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,     0,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
     754,   236,     0,   702,     0,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,   431,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,  1056,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,     0,
     103,   104,   734,     0,     0,   106,   107,   108,   109,     0,
       0,   111,   112,   113,     0,   114,     0,     0,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,   431,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,     0,   448,   449,   450,   133,   134,     0,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   745,   139,   459,     0,   460,   461,   462,
     463,   143,     0,     0,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,     0,   477,   478,     0,     0,     0,     0,     0,
       0,     0,     0,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,     0,     0,     0,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,   750,
     530,   531,     0,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,     0,
     590,     0,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,     0,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,     0,   653,   654,   218,   655,
     656,     0,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,     0,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,  1112,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,   754,   236,     0,   702,     0,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,     0,   103,   104,   734,
       0,     0,   106,   107,   108,   109,     0,     0,   111,   112,
     113,     0,   114,     0,     0,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
       0,   448,   449,   450,   133,   134,     0,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     745,   139,   459,     0,   460,   461,   462,   463,   143,     0,
       0,     0,   464,   465,   466,   467,   468,     0,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,     0,
     477,   478,     0,     0,     0,     0,     0,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,     0,
       0,     0,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,   531,     0,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,  1177,   585,   586,
     587,     0,     0,   588,   589,   197,     0,   590,     0,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
       0,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,   218,   655,   656,     0,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,     0,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,   754,   236,     0,   702,     0,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
    1292,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,  1293,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,  1775,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,   448,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,     0,     0,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,   531,     0,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,     0,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,   754,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,     0,   103,   104,
     734,     0,     0,   106,   107,   108,   109,     0,     0,   111,
     112,   113,     0,   114,     0,     0,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,     0,   448,   449,   450,   133,   134,     0,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   745,   139,   459,     0,   460,   461,   462,   463,   143,
       0,     0,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
       0,   477,   478,     0,     0,     0,     0,     0,     0,     0,
       0,   480,   481,   482,   483,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
       0,     0,     0,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,  1965,
       0,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,  1177,   585,
     586,   587,     0,     0,   588,   589,   197,     0,   590,     0,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,     0,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,   218,   655,   656,     0,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,     0,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,   754,   236,     0,   702,     0,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,     0,   103,   104,   734,     0,     0,
     106,   107,   108,   109,     0,     0,   111,   112,   113,     0,
     114,     0,     0,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,  2020,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,     0,   448,
     449,   450,   133,   134,     0,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   745,   139,
     459,     0,   460,   461,   462,   463,   143,     0,     0,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,     0,   477,   478,
       0,     0,     0,     0,     0,     0,     0,     0,   480,   481,
     482,   483,   748,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,     0,     0,     0,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,   750,   530,  2021,     0,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,     0,   590,     0,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,     0,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,   218,   655,   656,     0,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
       0,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,   754,
     236,     0,   702,     0,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,  2251,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,     0,     0,     0,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,   531,     0,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,     0,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
      86,    87,   731,    89,    90,    91,   732,  2387,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,     0,   103,
     104,   734,     0,     0,   106,   107,   108,   109,     0,     0,
     111,   112,   113,     0,   114,     0,     0,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,     0,   448,   449,   450,   133,   134,     0,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,   745,   139,   459,     0,   460,   461,   462,   463,
     143,     0,     0,     0,   464,   465,   466,   467,   468,     0,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,     0,   477,   478,     0,     0,     0,     0,     0,     0,
       0,     0,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,     0,     0,     0,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,   750,   530,
     531,     0,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,     0,   590,
       0,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,     0,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,     0,   653,   654,   218,   655,   656,
       0,   657,   658,   221,   659,     0,  2668,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,     0,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,   754,   236,     0,   702,     0,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   755,   714,   715,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,     0,   103,   104,   734,     0,
       0,   106,   107,   108,   109,     0,     0,   111,   112,   113,
       0,   114,     0,     0,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,     0,
     448,   449,   450,   133,   134,     0,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   745,
     139,   459,     0,   460,   461,   462,   463,   143,     0,     0,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,     0,   477,
     478,     0,     0,     0,     0,     0,     0,     0,     0,   480,
     481,   482,   483,   748,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,     0,     0,
       0,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,   750,   530,   531,     0,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,     0,   590,     0,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,     0,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,     0,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,     0,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
     754,   236,     0,   702,     0,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,  4714,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,     0,
     103,   104,   734,     0,     0,   106,   107,   108,   109,     0,
       0,   111,   112,   113,     0,   114,     0,     0,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,  4728,     0,   443,   444,     0,
     445,   446,   447,     0,   448,   449,   450,   133,   134,     0,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   745,   139,   459,     0,   460,   461,   462,
     463,   143,     0,     0,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,     0,   477,   478,     0,     0,     0,     0,     0,
       0,     0,     0,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,     0,     0,     0,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,   750,
     530,   531,     0,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,     0,
     590,     0,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,     0,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,     0,   653,   654,   218,   655,
     656,     0,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,     0,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,   754,   236,     0,   702,     0,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,     0,   103,   104,   734,
       0,     0,   106,   107,   108,   109,     0,     0,   111,   112,
     113,     0,   114,     0,     0,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
       0,   448,   449,   450,   133,   134,     0,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     745,   139,   459,     0,   460,   461,   462,   463,   143,     0,
       0,     0,   464,   465,   466,   467,   468,     0,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,     0,
     477,   478,     0,     0,     0,     0,     0,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,     0,
       0,     0,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,   531,     0,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,     0,   590,     0,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
       0,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,   218,   655,   656,     0,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,     0,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,   754,   236,     0,   702,     0,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,   531,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,  1124,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,  1126,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,   448,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,  1127,   139,   459,     0,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,     0,     0,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,   531,     0,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,  1128,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,     0,   675,   676,   677,
     678,   679,     0,   680,  1129,   227,     0,     0,  1130,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,  1131,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,     0,   103,   104,
     734,     0,     0,   106,   107,   108,   109,     0,     0,   111,
     112,   113,     0,   114,     0,     0,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,  1171,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,     0,   448,   449,   450,   133,   134,     0,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,  1127,   139,   459,     0,   460,   461,   462,   463,   143,
       0,     0,     0,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,   475,   476,     0,
       0,   477,   478,     0,     0,     0,     0,     0,     0,     0,
       0,   480,   481,   482,   483,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
       0,     0,     0,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,   531,
       0,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,     0,   590,     0,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,     0,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,  1172,     0,   653,   654,   218,   655,   656,     0,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,     0,   675,   676,   677,   678,   679,     0,
     680,  1173,   227,     0,     0,  1174,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,  1131,   236,     0,   702,     0,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,     0,   103,   104,   734,     0,     0,
     106,   107,   108,   109,     0,     0,   111,   112,   113,     0,
     114,     0,     0,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,     0,   448,
     449,   450,   133,   134,     0,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   745,   139,
     459,     0,   460,   461,   462,   463,   143,     0,     0,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,     0,   477,   478,
       0,     0,     0,     0,     0,     0,     0,     0,   480,   481,
     482,   483,   748,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,     0,     0,     0,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,   750,   530,   531,     0,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,     0,   590,     0,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
    1190,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,     0,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,   218,   655,   656,     0,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
       0,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,   754,
     236,     0,   702,     0,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,     0,     0,     0,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,  1317,     0,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,     0,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,     0,   103,
     104,   734,     0,     0,   106,   107,   108,   109,     0,     0,
     111,   112,   113,     0,   114,     0,     0,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,     0,   448,   449,   450,   133,   134,     0,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,   745,   139,   459,     0,   460,   461,   462,   463,
     143,     0,     0,     0,   464,   465,   466,   467,   468,     0,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,     0,   477,   478,     0,     0,     0,     0,     0,     0,
       0,     0,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,     0,     0,     0,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,   750,   530,
    1327,     0,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,     0,   590,
       0,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,     0,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,     0,   653,   654,   218,   655,   656,
       0,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,     0,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,   754,   236,     0,   702,     0,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   755,   714,   715,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,     0,   103,   104,   734,     0,
       0,   106,   107,   108,   109,     0,     0,   111,   112,   113,
       0,   114,     0,     0,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,     0,
     448,   449,   450,   133,   134,     0,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   745,
     139,   459,     0,   460,   461,   462,   463,   143,     0,     0,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,     0,   477,
     478,     0,     0,     0,     0,     0,     0,     0,     0,   480,
     481,   482,   483,   748,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,     0,     0,
       0,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,   750,   530,  1345,     0,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,     0,   590,     0,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,     0,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,     0,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,     0,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
     754,   236,     0,   702,     0,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,  1413,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,     0,
     103,   104,   734,     0,     0,   106,   107,   108,   109,     0,
       0,   111,   112,   113,     0,   114,     0,     0,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,     0,   448,   449,   450,   133,   134,     0,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   745,   139,   459,     0,   460,   461,   462,
     463,   143,     0,     0,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,     0,   477,   478,     0,     0,     0,     0,     0,
       0,     0,     0,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,     0,     0,     0,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,   750,
     530,  1419,     0,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,     0,
     590,     0,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,     0,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,     0,   653,   654,   218,   655,
     656,     0,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,     0,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,   754,   236,     0,   702,     0,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,     0,   103,   104,   734,
       0,     0,   106,   107,   108,   109,     0,     0,   111,   112,
     113,     0,   114,     0,     0,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
       0,   448,   449,   450,   133,   134,     0,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     745,   139,   459,     0,   460,   461,   462,   463,   143,     0,
       0,     0,   464,   465,   466,   467,   468,     0,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,     0,
     477,   478,     0,     0,     0,     0,     0,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,     0,
       0,     0,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,  1435,     0,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,     0,   590,     0,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
       0,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,   218,   655,   656,     0,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,     0,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,   754,   236,     0,   702,     0,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,  1438,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,   448,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,     0,     0,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,  1440,     0,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,     0,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,   754,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,     0,   103,   104,
     734,     0,     0,   106,   107,   108,   109,     0,     0,   111,
     112,   113,     0,   114,     0,     0,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,     0,   448,   449,   450,   133,   134,     0,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   745,   139,   459,     0,   460,   461,   462,   463,   143,
       0,     0,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
       0,   477,   478,     0,     0,     0,     0,     0,     0,     0,
       0,   480,   481,   482,   483,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
       0,     0,     0,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,  1483,
       0,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,     0,   590,     0,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,     0,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,   218,   655,   656,     0,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,     0,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,   754,   236,     0,   702,     0,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,     0,   103,   104,   734,     0,     0,
     106,   107,   108,   109,     0,     0,   111,   112,   113,     0,
     114,     0,     0,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,     0,   448,
     449,   450,   133,   134,     0,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   745,   139,
     459,     0,   460,   461,   462,   463,   143,     0,     0,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,     0,   477,   478,
       0,     0,     0,     0,     0,     0,     0,     0,   480,   481,
     482,   483,   748,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,     0,     0,     0,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,   750,   530,  1549,     0,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,     0,   590,     0,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,     0,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,   218,   655,   656,     0,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
       0,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,   754,
     236,     0,   702,     0,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,     0,     0,     0,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,  1551,     0,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,     0,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,     0,   103,
     104,   734,     0,     0,   106,   107,   108,   109,     0,     0,
     111,   112,   113,     0,   114,     0,     0,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,     0,   448,   449,   450,   133,   134,     0,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,   745,   139,   459,     0,   460,   461,   462,   463,
     143,     0,     0,     0,   464,   465,   466,   467,   468,     0,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,     0,   477,   478,     0,     0,     0,     0,     0,     0,
       0,     0,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,     0,     0,     0,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,   750,   530,
    1561,     0,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,     0,   590,
       0,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,     0,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,     0,   653,   654,   218,   655,   656,
       0,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,     0,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,   754,   236,     0,   702,     0,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   755,   714,   715,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,     0,   103,   104,   734,     0,
       0,   106,   107,   108,   109,     0,     0,   111,   112,   113,
       0,   114,     0,     0,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,     0,
     448,   449,   450,   133,   134,     0,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   745,
     139,   459,     0,   460,   461,   462,   463,   143,     0,     0,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,     0,   477,
     478,     0,     0,     0,     0,     0,     0,     0,     0,   480,
     481,   482,   483,   748,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,     0,     0,
       0,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,   750,   530,  1564,     0,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,     0,   590,     0,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,     0,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,     0,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,     0,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
     754,   236,     0,   702,     0,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,  1567,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,     0,
     103,   104,   734,     0,     0,   106,   107,   108,   109,     0,
       0,   111,   112,   113,     0,   114,     0,     0,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,  1786,   448,   449,   450,   133,   134,     0,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,  1156,   458,  1127,   139,  1787,     0,   460,   461,   462,
     463,   143,     0,     0,     0,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,   475,
     476,     0,     0,   477,   478,     0,     0,     0,     0,     0,
       0,     0,     0,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,     0,     0,     0,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,   750,
     530,   531,     0,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,  1160,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,     0,
     590,     0,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,     0,  1161,   635,   636,   637,   638,   213,
     639,   640,   641,  1162,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,  1779,     0,   653,   654,   218,   655,
     656,     0,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,     0,   675,   676,   677,   678,
     679,     0,   680,  1164,   227,     0,     0,  1165,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,  1131,   236,     0,   702,     0,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,  1166,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,  1915,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,     0,   103,   104,   734,
       0,     0,   106,   107,   108,   109,     0,     0,   111,   112,
     113,     0,   114,     0,     0,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
       0,   448,   449,   450,   133,   134,     0,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     745,   139,   459,     0,   460,   461,   462,   463,   143,     0,
       0,     0,   464,   465,   466,   467,   468,     0,   469,   470,
     746,     0,   471,   472,  1916,   474,   475,   476,     0,     0,
     477,   478,     0,     0,     0,     0,     0,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,     0,
       0,     0,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,   531,     0,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,     0,   590,     0,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
       0,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,   218,   655,   656,     0,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,     0,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,   754,   236,     0,   702,     0,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
    1126,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,  1127,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,   531,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,  1131,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,   448,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,     0,     0,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,  2198,     0,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,     0,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,   754,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,     0,   103,   104,
     734,     0,     0,   106,   107,   108,   109,     0,     0,   111,
     112,   113,     0,   114,     0,     0,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,     0,   448,   449,   450,   133,   134,     0,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   745,   139,   459,     0,   460,   461,   462,   463,   143,
       0,     0,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
       0,   477,   478,     0,     0,     0,     0,     0,     0,     0,
       0,   480,   481,   482,   483,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
       0,     0,     0,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,  2236,
       0,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,     0,   590,     0,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,     0,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,   218,   655,   656,     0,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,     0,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,   754,   236,     0,   702,     0,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,     0,   103,   104,   734,     0,     0,
     106,   107,   108,   109,     0,     0,   111,   112,   113,     0,
     114,     0,     0,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,     0,   448,
     449,   450,   133,   134,     0,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   745,   139,
     459,     0,   460,   461,   462,   463,   143,     0,     0,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,     0,   477,   478,
       0,     0,     0,     0,     0,     0,     0,     0,   480,   481,
     482,   483,   748,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,     0,     0,     0,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,   750,   530,  2238,     0,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,     0,   590,     0,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,     0,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,   218,   655,   656,     0,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
       0,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,   754,
     236,     0,   702,     0,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,     0,     0,     0,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,  2311,     0,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,     0,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,     0,   103,
     104,   734,     0,     0,   106,   107,   108,   109,     0,     0,
     111,   112,   113,     0,   114,     0,     0,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,     0,   448,   449,   450,   133,   134,     0,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,   745,   139,   459,     0,   460,   461,   462,   463,
     143,     0,     0,     0,   464,   465,   466,   467,   468,     0,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,     0,   477,   478,     0,     0,     0,     0,     0,     0,
       0,     0,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,     0,     0,     0,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,   750,   530,
    2313,     0,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,     0,   590,
       0,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,     0,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,     0,   653,   654,   218,   655,   656,
       0,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,     0,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,   754,   236,     0,   702,     0,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   755,   714,   715,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,     0,   103,   104,   734,     0,
       0,   106,   107,   108,   109,     0,     0,   111,   112,   113,
       0,   114,     0,     0,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,     0,
     448,   449,   450,   133,   134,     0,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   745,
     139,   459,     0,   460,   461,   462,   463,   143,     0,     0,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,     0,   477,
     478,     0,     0,     0,     0,     0,     0,     0,     0,   480,
     481,   482,   483,   748,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,     0,     0,
       0,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,   750,   530,  2315,     0,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,     0,   590,     0,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,     0,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,     0,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,     0,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
     754,   236,     0,   702,     0,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,   745,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   746,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,   572,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,   213,   639,   640,  2437,   642,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   754,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,     0,
     103,   104,   734,     0,     0,   106,   107,   108,   109,     0,
       0,   111,   112,   113,     0,   114,     0,     0,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,  2633,     0,   443,   444,     0,
     445,   446,   447,     0,   448,   449,   450,   133,   134,     0,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   745,   139,   459,     0,   460,   461,   462,
     463,   143,     0,     0,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   746,     0,   471,   472,   473,   474,   475,
     476,     0,     0,   477,   478,     0,     0,     0,     0,     0,
       0,     0,     0,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,     0,     0,     0,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,   750,
     530,   531,     0,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,     0,
     590,     0,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,     0,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,     0,     0,   654,   218,   655,
     656,     0,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,     0,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,   754,   236,     0,   702,     0,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,     0,   103,   104,   734,
       0,     0,   106,   107,   108,   109,     0,     0,   111,   112,
     113,     0,   114,     0,     0,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
       0,   448,   449,   450,   133,   134,     0,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     745,   139,   459,     0,   460,   461,   462,   463,   143,     0,
       0,     0,   464,   465,   466,   467,   468,     0,   469,   470,
     746,     0,   471,   472,   473,   474,   475,   476,     0,     0,
     477,   478,     0,     0,     0,     0,     0,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,     0,
       0,     0,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,  3089,     0,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,   572,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,     0,   590,     0,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
       0,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,   218,   655,   656,     0,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,     0,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,   754,   236,     0,   702,     0,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   745,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   746,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,  3093,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
     572,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,   754,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,   448,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   745,   139,   459,     0,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   746,     0,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,     0,     0,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,  3533,     0,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,   572,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,     0,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,   754,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,     0,   103,   104,
     734,     0,     0,   106,   107,   108,   109,     0,     0,   111,
     112,   113,     0,   114,     0,     0,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,     0,   448,   449,   450,   133,   134,     0,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   745,   139,   459,     0,   460,   461,   462,   463,   143,
       0,     0,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   746,     0,   471,   472,   473,   474,   475,   476,     0,
       0,   477,   478,     0,     0,     0,     0,     0,     0,     0,
       0,   480,   481,   482,   483,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
       0,     0,     0,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,  3602,
       0,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,   572,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,     0,   590,     0,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,     0,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,   218,   655,   656,     0,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,     0,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,   754,   236,     0,   702,     0,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,     0,   103,   104,   734,     0,     0,
     106,   107,   108,   109,     0,     0,   111,   112,   113,     0,
     114,     0,     0,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,     0,   448,
     449,   450,   133,   134,     0,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   745,   139,
     459,     0,   460,   461,   462,   463,   143,     0,     0,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   746,     0,
     471,   472,   473,   474,   475,   476,     0,     0,   477,   478,
       0,     0,     0,     0,     0,     0,     0,     0,   480,   481,
     482,   483,   748,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,     0,     0,     0,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,   750,   530,  3617,     0,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,   572,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,     0,   590,     0,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,     0,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,   218,   655,   656,     0,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
       0,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,   754,
     236,     0,   702,     0,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,     0,     0,     0,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,   750,   530,  3619,     0,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,     0,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
      86,    87,   731,    89,    90,    91,   732,     0,   733,    94,
       0,     0,    97,    98,    99,   100,   101,   102,     0,   103,
     104,   734,     0,     0,   106,   107,   108,   109,     0,     0,
     111,   112,   113,     0,   114,     0,     0,   735,   736,     0,
       0,     0,   737,   738,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,   740,     0,   741,
       0,   742,   743,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,     0,   448,   449,   450,   133,   134,     0,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,   745,   139,   459,     0,   460,   461,   462,   463,
     143,     0,     0,     0,   464,   465,   466,   467,   468,     0,
     469,   470,   746,     0,   471,   472,   473,   474,   475,   476,
       0,     0,   477,   478,     0,     0,     0,     0,     0,     0,
       0,     0,   480,   481,   482,   483,   748,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,     0,     0,     0,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,   750,   530,
    3762,     0,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,     0,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,     0,     0,
     548,     0,   549,   550,   551,   552,   553,     0,     0,   554,
     182,     0,   555,     0,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   751,
     568,   569,   752,   570,   571,   572,   189,     0,   191,   573,
     574,   575,   192,     0,   576,   577,     0,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,     0,   590,
       0,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,     0,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,   753,   646,     0,   647,
     648,   649,   650,   651,     0,   653,   654,   218,   655,   656,
       0,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,     0,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,   754,   236,     0,   702,     0,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   755,   714,   715,    86,    87,   731,
      89,    90,    91,   732,     0,   733,    94,     0,     0,    97,
      98,    99,   100,   101,   102,     0,   103,   104,   734,     0,
       0,   106,   107,   108,   109,     0,     0,   111,   112,   113,
       0,   114,     0,     0,   735,   736,     0,     0,     0,   737,
     738,     0,     0,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   740,     0,   741,     0,   742,   743,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,     0,
     448,   449,   450,   133,   134,     0,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   745,
     139,   459,     0,   460,   461,   462,   463,   143,     0,     0,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   746,
       0,   471,   472,   473,   474,   475,   476,     0,     0,   477,
     478,     0,     0,     0,     0,     0,     0,     0,     0,   480,
     481,   482,   483,   748,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,  3798,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,     0,     0,
       0,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,   750,   530,   531,     0,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,     0,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,     0,     0,   548,     0,   549,
     550,   551,   552,   553,     0,     0,   554,   182,     0,   555,
       0,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   751,   568,   569,   752,
     570,   571,   572,   189,     0,   191,   573,   574,   575,   192,
       0,   576,   577,     0,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,     0,   590,     0,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,     0,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,   753,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,     0,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,     0,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
     754,   236,     0,   702,     0,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   755,   714,   715,    86,    87,   731,    89,    90,    91,
     732,     0,   733,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,   734,     0,     0,   106,   107,
     108,   109,     0,     0,   111,   112,   113,     0,   114,     0,
       0,   735,   736,     0,     0,     0,   737,   738,     0,     0,
       0,     0,   739,     0,     0,     0,     0,     0,     0,     0,
       0,   740,     0,   741,     0,   742,   743,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
     133,   134,     0,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,  1156,   458,  1127,   139,   459,     0,
     460,   461,   462,   463,   143,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
     748,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,   750,   530,   531,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,   182,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   751,   568,   569,   752,   570,   571,  1160,
     189,     0,   191,   573,   574,   575,   192,     0,   576,   577,
       0,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,     0,   590,     0,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,  1161,   635,   636,
     637,   638,   213,   639,   640,   641,  1162,   643,   644,   645,
     753,   646,     0,   647,   648,   649,   650,  1779,     0,   653,
     654,   218,   655,   656,     0,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,  1164,   227,     0,     0,
    1165,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,  1131,   236,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,  1166,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   755,   714,
     715,    86,    87,   731,    89,    90,    91,   732,     0,   733,
      94,     0,     0,    97,    98,    99,   100,   101,   102,     0,
     103,   104,   734,     0,     0,   106,   107,   108,   109,     0,
       0,   111,   112,   113,     0,   114,     0,     0,   735,   736,
       0,     0,     0,   737,   738,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,   740,     0,
     741,     0,   742,   743,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,     0,   448,   449,   450,   133,   134,     0,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,  1127,   139,   459,     0,   460,   461,   462,
     463,   143,     0,     0,     0,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,   475,
     476,     0,     0,   477,   478,     0,     0,     0,     0,     0,
       0,     0,     0,   480,   481,   482,   483,   748,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,     0,     0,     0,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,   750,
     530,   531,     0,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,     0,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,     0,
       0,   548,     0,   549,   550,   551,   552,   553,     0,     0,
     554,   182,     0,   555,     0,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     751,   568,   569,   752,   570,   571,   572,   189,     0,   191,
     573,   574,   575,   192,     0,   576,   577,     0,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,     0,
     590,     0,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,     0,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,   753,   646,     0,
     647,   648,   649,   650,   651,     0,   653,   654,   218,   655,
     656,     0,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,     0,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,  1131,   236,     0,   702,     0,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   755,   714,   715,    86,    87,
     731,    89,    90,    91,   732,     0,   733,    94,     0,     0,
      97,    98,    99,   100,   101,   102,     0,   103,   104,   734,
       0,     0,   106,   107,   108,   109,     0,     0,   111,   112,
     113,     0,   114,     0,     0,   735,   736,     0,     0,     0,
     737,   738,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,     0,   740,     0,   741,     0,   742,
     743,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
       0,   448,   449,   450,   133,   134,     0,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,  1156,   458,
    1127,   139,   459,     0,   460,   461,   462,   463,   143,     0,
       0,     0,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,   475,   476,     0,     0,
     477,   478,     0,     0,     0,     0,     0,     0,     0,     0,
     480,   481,   482,   483,   748,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,     0,
       0,     0,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,   750,   530,   531,     0,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,     0,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,     0,     0,   548,     0,
     549,   550,   551,   552,   553,     0,     0,   554,   182,     0,
     555,     0,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   751,   568,   569,
     752,   570,   571,  1160,   189,     0,   191,   573,   574,   575,
     192,     0,   576,   577,     0,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,     0,   590,     0,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
       0,  1161,   635,   636,   637,   638,   213,   639,   640,   641,
    1162,   643,   644,   645,   753,   646,     0,   647,   648,   649,
     650,  1779,     0,   653,   654,   218,   655,   656,     0,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,     0,  2716,   676,   677,   678,   679,     0,   680,
    1164,   227,     0,     0,  1165,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,  1131,   236,     0,   702,     0,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
    1166,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   755,   714,   715,    86,    87,   731,    89,    90,
      91,   732,     0,   733,    94,     0,     0,    97,    98,    99,
     100,   101,   102,     0,   103,   104,   734,     0,     0,   106,
     107,   108,   109,     0,     0,   111,   112,   113,     0,   114,
       0,     0,   735,   736,     0,     0,     0,   737,   738,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,   740,     0,   741,     0,   742,   743,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,     0,   448,   449,
     450,   133,   134,     0,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,  1156,   458,  1127,   139,   459,
       0,   460,   461,   462,   463,   143,     0,     0,     0,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,   475,   476,     0,     0,   477,   478,     0,
       0,     0,     0,     0,     0,     0,     0,   480,   481,   482,
     483,   748,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,     0,     0,     0,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,   750,   530,   531,     0,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,     0,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,     0,     0,   548,     0,   549,   550,   551,
     552,   553,     0,     0,   554,   182,     0,   555,     0,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   751,   568,   569,   752,   570,   571,
    1160,   189,     0,   191,   573,   574,   575,   192,     0,   576,
     577,     0,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,     0,   590,     0,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,     0,  1161,   635,
     636,   637,   638,   213,   639,   640,   641,  2793,   643,   644,
     645,   753,   646,     0,   647,   648,   649,   650,  2794,     0,
     653,   654,   218,   655,   656,     0,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,     0,
     675,   676,   677,   678,   679,     0,   680,  1164,   227,     0,
       0,  2795,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,  1131,   236,
       0,   702,     0,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,  1166,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   755,
     714,   715,    86,    87,   731,    89,    90,    91,   732,     0,
     733,    94,     0,     0,    97,    98,    99,   100,   101,   102,
       0,   103,   104,   734,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,   735,
     736,     0,     0,     0,   737,   738,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,   740,
       0,   741,     0,   742,   743,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,     0,   448,   449,   450,   133,   134,
       0,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,  1156,   458,  1127,   139,   459,     0,   460,   461,
     462,   463,   143,     0,     0,     0,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
     475,   476,     0,     0,   477,   478,     0,     0,     0,     0,
       0,     0,     0,     0,   480,   481,   482,   483,   748,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,     0,     0,     0,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
     750,   530,   531,     0,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,     0,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
       0,     0,   548,     0,   549,   550,   551,   552,   553,     0,
       0,   554,   182,     0,   555,     0,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   751,   568,   569,   752,   570,   571,  1160,   189,     0,
     191,   573,   574,   575,   192,     0,   576,   577,     0,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
       0,   590,     0,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,     0,  1161,   635,   636,   637,   638,
     213,   639,   640,   641,  2870,   643,   644,   645,   753,   646,
       0,   647,   648,   649,   650,  2794,     0,   653,   654,   218,
     655,   656,     0,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,     0,   675,   676,   677,
     678,   679,     0,   680,  1164,   227,     0,     0,  2795,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,  1131,   236,     0,   702,     0,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,  1166,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   755,   714,   715,    86,
      87,   731,    89,    90,    91,   732,     0,   733,    94,     0,
       0,    97,    98,    99,   100,   101,   102,     0,   103,   104,
     734,     0,     0,   106,   107,   108,   109,     0,     0,   111,
     112,   113,     0,   114,     0,     0,   735,   736,     0,     0,
       0,   737,   738,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,   740,     0,   741,     0,
     742,   743,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,     0,   448,   449,   450,   133,   134,     0,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,  1156,
     458,  1127,   139,   459,     0,   460,   461,   462,   463,   143,
       0,     0,     0,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,   475,   476,     0,
       0,   477,   478,     0,     0,     0,     0,     0,     0,     0,
       0,   480,   481,   482,   483,   748,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
       0,     0,     0,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,   750,   530,   531,
       0,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,     0,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,     0,     0,   548,
       0,   549,   550,   551,   552,   553,     0,     0,   554,   182,
       0,   555,     0,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   751,   568,
     569,   752,   570,   571,  1160,   189,     0,   191,   573,   574,
     575,   192,     0,   576,   577,     0,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,     0,   590,     0,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,     0,  1161,   635,   636,   637,   638,   213,   639,   640,
     641,  2887,   643,   644,   645,   753,   646,     0,   647,   648,
     649,   650,  2794,     0,   653,   654,   218,   655,   656,     0,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,     0,   675,   676,   677,   678,   679,     0,
     680,  1164,   227,     0,     0,  2795,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,  1131,   236,     0,   702,     0,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,  1166,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   755,   714,   715,    86,    87,   731,    89,
      90,    91,   732,     0,   733,    94,     0,     0,    97,    98,
      99,   100,   101,   102,     0,   103,   104,   734,     0,     0,
     106,   107,   108,   109,     0,     0,   111,   112,   113,     0,
     114,     0,     0,   735,   736,     0,     0,     0,   737,   738,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,   740,     0,   741,     0,   742,   743,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,     0,   448,
     449,   450,   133,   134,     0,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,  1156,   458,  1127,   139,
     459,     0,   460,   461,   462,   463,   143,     0,     0,     0,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,   475,   476,     0,     0,   477,   478,
       0,     0,     0,     0,     0,     0,     0,     0,   480,   481,
     482,   483,   748,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,     0,     0,     0,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,   750,   530,   531,     0,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,     0,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,     0,     0,   548,     0,   549,   550,
     551,   552,   553,     0,     0,   554,   182,     0,   555,     0,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   751,   568,   569,   752,   570,
     571,  1160,   189,     0,   191,   573,   574,   575,   192,     0,
     576,   577,     0,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,     0,   590,     0,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,     0,  1161,
     635,   636,   637,   638,   213,   639,   640,   641,  1162,   643,
     644,   645,   753,   646,     0,   647,   648,   649,   650,  2794,
       0,   653,   654,   218,   655,   656,     0,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
       0,   675,   676,   677,   678,   679,     0,   680,  1164,   227,
       0,     0,  2795,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,  1131,
     236,     0,   702,     0,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,  1166,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     755,   714,   715,    86,    87,   731,    89,    90,    91,   732,
       0,   733,    94,     0,     0,    97,    98,    99,   100,   101,
     102,     0,   103,   104,   734,     0,     0,   106,   107,   108,
     109,     0,     0,   111,   112,   113,     0,   114,     0,     0,
     735,   736,     0,     0,     0,   737,   738,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
     740,     0,   741,     0,   742,   743,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,     0,   448,   449,   450,   133,
     134,     0,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   745,   139,   459,     0,   460,
     461,   462,   463,   143,     0,     0,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   746,     0,   471,   472,   473,
     474,   475,   476,     0,     0,   477,   478,     0,     0,     0,
       0,     0,     0,     0,     0,   480,   481,   482,   483,   748,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,     0,     0,     0,   521,   522,   523,
     524,     0,   525,   171,     0,   172,     0,   527,     0,   528,
     529,   750,   530,   531,     0,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,     0,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,     0,     0,   548,     0,   549,   550,   551,   552,   553,
       0,     0,   554,   182,     0,   555,     0,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   751,   568,   569,   752,   570,   571,   572,   189,
       0,   191,   573,   574,   575,   192,     0,   576,   577,     0,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,     0,   590,     0,   200,   591,   592,   593,   594,   595,
     596,     0,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,     0,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,     0,   634,   635,   636,   637,
     638,   213,     0,   640,   641,   642,   643,   644,   645,   753,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,     0,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,     0,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,   754,   236,     0,   702,
       0,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   755,   714,   715,
      86,    87,     0,    89,    90,    91,     0,     0,     0,    94,
       0,     0,    97,    98,    99,   100,   101,   102,     0,   103,
     104,     0,     0,     0,   106,   107,   108,   109,     0,   110,
     111,   112,   113, -2796,   114,   115,   116,     0,     0,     0,
       0,     0,   119,   120,     0,     0,     0,     0,   121,     0,
       0,     0,     0,     0,     0,     0,     0,   122,     0,   123,
       0,   124,   125,    35,     0,  1242,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   131,     0,     0,     0,   133,   134,   135,   136,
     137,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   139,     0,     0,     0,     0,     0,     0,
     143,     0,   144,     0,     0,     0,     0,     0,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   150,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   161,     0,     0,
       0,     0,     0,     0,     0,   163,     0,     0,     0,   165,
       0,     0,     0,     0,     0,   167,     0,     0,     0,     0,
       0,   168,     0,   169,     0,     0,     0,     0,     0,     0,
     171,     0,   172,     0,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   175,   176,     0,     0,
       0,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   189,   190,   191,     0,
       0,     0,   192,     0,     0,     0,   194,     0,     0,   195,
       0,   196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   197,   198,     0,
     199,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,     0,     0,     0,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   218,     0,     0,
     220,     0,     0,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,     0,
       0,     0,     0,     0,   225,     0,     0,     0,     0,     0,
       0,     0,   226,   227,     0,     0,     0,     0,   228,     0,
     229,     0,     0,     0,     0,     0,     0,     0,     0,   232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,     0,     0,   237,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    86,    87,     0,    89,    90,    91,
       0,     0,     0,    94,     0,     0,    97,    98,    99,   100,
     101,   102,     0,   103,   104,     0,     0,     0,   106,   107,
     108,   109,     0,   110,   111,   112,   113,     0,   114,   115,
     116,     0,     0,     0,     0,     0,   119,   120,     0,     0,
       0,     0,   121,     0,     0,     0,     0,     0,     0,     0,
       0,   122,     0,   123,     0,   124,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   131,     0,     0,     0,
     133,   134,   135,   136,   137,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   139,     0,     0,
       0,     0,     0,     0,   143,     0,   144,     0,     0,     0,
       0,     0,     0,   147,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   150,     0,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   154,   155,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,     0,   163,
       0,     0,     0,   165,     0,     0,     0,     0,     0,   167,
       0,     0,     0,     0,     0,   168,     0,   169,     0,     0,
       0,     0,     0,     0,   171,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     175,   176,     0,     0,     0,     0,     0,   177,     0,   178,
       0,     0,   179,   180,     0,   181,     0,     0,     0,     0,
       0,     0,     0,     0,   182,   183,     0,   184,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     189,   190,   191,     0,     0,     0,   192,     0,     0,     0,
     194,     0,     0,   195,     0,   196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   197,   198,     0,   199,   200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,     0,     0,     0,
       0,     0,   213,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,     0,     0,     0,     0,     0,   225,     0,
       0,     0,     0,     0,     0,     0,   226,   227,     0,     0,
       0,     0,   228,     0,   229,     0,     0,     0,     0,     0,
       0,     0,     0,   232,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,     0,
       0,   237,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    86,    87,
       0,    89,    90,    91,     0,     0,     0,    94,     0,     0,
      97,    98,    99,   100,   101,   102,     0,   103,   104,     0,
       0,     0,   106,   107,   108,   109,     0,   110,   111,   112,
     113,     0,   114,   115,   116,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     131,     0,     0,     0,   133,   134,   135,   136,   137,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   139,     0,     0,     0,     0,     0,     0,   143,     0,
     144,     0,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   154,   155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   161,     0,     0,     0,     0,
       0,     0,     0,   163,     0,     0,     0,   165,     0,     0,
       0,     0,     0,   167,     0,     0,     0,     0,     0,   168,
       0,   169,     0,     0,     0,     0,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   175,   176,     0,     0,     0,     0,
       0,   177,     0,   178,     0,     0,   179,   180,     0,   181,
       0,     0,     0,     0,     0,     0,     0,     0,   182,   183,
       0,   184,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   189,   190,   191,     0,     0,     0,
     192,     0,     0,     0,   194,     0,     0,   195,     0,   196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,   198,     0,   199,   200,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,     0,     0,     0,     0,     0,   213,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,     0,     0,   220,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,   225,     0,     0,     0,     0,     0,     0,     0,
     226,   227,     0,     0,     0,     0,   228,     0,   229,     0,
       0,     0,     0,     0,     0,     0,     0,   232,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,     0,     0,   237,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    86,    87,     0,    89,    90,    91,     0,     0,
       0,    94,     0,     0,    97,    98,    99,   100,   101,   102,
       0,   103,   104,     0,     0,     0,   106,   107,   108,   109,
       0,     0,   111,   112,   113,     0,   114,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   131,     0,     0,     0,   133,   134,
     135,   136,   137,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   139,     0,     0,     0,     0,
       0,     0,   143,     0,   144,     0,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   150,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     154,   155,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   163,     0,     0,
       0,   165,     0,     0,     0,     0,     0,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,     0,
       0,     0,   171,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   175,   176,
       0,     0,     0,     0,     0,   177,     0,   178,     0,     0,
     179,   180,     0,   181,     0,     0,     0,     0,     0,     0,
       0,     0,   182,   183,     0,   184,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   189,   190,
     191,     0,     0,     0,   192,     0,     0,     0,   194,     0,
       0,   195,     0,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   197,
     198,     0,   199,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   204,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,     0,     0,     0,     0,     0,
     213,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
       0,     0,   220,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,     0,     0,   225,     0,     0,     0,
       0,     0,     0,     0,   226,   227,     0,     0,     0,     0,
     228,     0,   229,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,     0,     0,   237,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    35,   431,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,   131,   448,   449,   450,   133,
     134,   135,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,     0,   139,   459,     0,   460,
     461,   462,   463,   143,     0,   144,     0,   464,   465,   466,
     467,   468,   147,   469,   470,     0,     0,   471,   472,   473,
     474,   475,   476,     0,   150,   477,   478,     0,     0,     0,
       0,   151,     0,     0,     0,   480,   481,   482,   483,     0,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,  2363,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,   168,     0,   169,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,     0,   530,   531,   173,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,   182,   183,   555,   184,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,     0,   568,   569,     0,   570,   571,   572,   189,
     190,   191,   573,   574,   575,   192,     0,   576,   577,   194,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,  2364,     0,   585,   586,   587,     0,     0,   588,   589,
     197,   198,   590,   199,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,   211,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,     0,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,   220,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,   225,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,  2365,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,     0,   236,     0,   702,
     237,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    35,   714,   715,
       0,     0,     0,     0,     0,    41,    42,  1872,  1873,  5700,
       0,     0,     0,     0,     0,     0,  5701,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,   128,   129,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,   131,   448,   449,   450,
     133,   134,   135,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,     0,   139,   459,     0,
     460,   461,   462,   463,   143,     0,   144,     0,   464,   465,
     466,   467,   468,   147,   469,   470,     0,     0,   471,   472,
     473,   474,   475,   476,     0,   150,   477,   478,     0,     0,
       0,     0,   151,     0,     0,     0,   480,   481,   482,   483,
       0,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,   168,     0,   169,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,     0,   530,   531,   173,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
     175,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,     0,     0,   554,   182,   183,   555,   184,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,     0,   568,   569,     0,   570,   571,   572,
     189,   190,   191,   573,   574,   575,   192,     0,   576,   577,
     194,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,   198,   590,   199,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,   211,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
       0,   646,   216,   647,   648,   649,   650,   651,     0,   653,
     654,   218,   655,   656,   220,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,   224,   674,   225,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,   235,   236,     0,
     702,   237,   703,   704,   705,   706,     0,     0,   707,     0,
     238,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,     0,   714,
     715,    35,   431,   250,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,   251,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
     131,   448,   449,   450,   133,   134,   135,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
       0,   139,   459,     0,   460,   461,   462,   463,   143,     0,
     144,     0,   464,   465,   466,   467,   468,   147,   469,   470,
       0,     0,   471,   472,   473,   474,   475,   476,     0,   150,
     477,   478,     0,     0,     0,     0,   151,     0,     0,     0,
     480,   481,   482,   483,     0,   484,   154,   155,   485,  2568,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,  2363,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,   168,
       0,   169,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,     0,   530,   531,   173,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,   175,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,   182,   183,
     555,   184,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,     0,   568,   569,
       0,   570,   571,   572,   189,   190,   191,   573,   574,   575,
     192,     0,   576,   577,   194,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,  2364,     0,   585,   586,
     587,     0,     0,   588,   589,   197,   198,   590,   199,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
     211,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,     0,   646,     0,   647,   648,   649,
     650,   651,     0,   653,   654,   218,   655,   656,   220,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,   225,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,  2365,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,     0,   236,     0,   702,   237,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,     0,   714,   715,     0,     0,     0,     0,     0,
      35,   431,  1872,  1873,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450,   133,   134,   135,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,     0,
     139,   459,     0,   460,   461,   462,   463,   143,     0,   144,
       0,   464,   465,   466,   467,   468,   147,   469,   470,     0,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,     0,     0,     0,     0,   151,     0,     0,     0,   480,
     481,   482,   483,     0,   484,   154,   155,   485,  2573,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,  2363,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,   168,     0,
     169,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,     0,   530,   531,   173,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,   182,   183,   555,
     184,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,     0,   568,   569,     0,
     570,   571,   572,   189,   190,   191,   573,   574,   575,   192,
       0,   576,   577,   194,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,  2364,     0,   585,   586,   587,
       0,     0,   588,   589,   197,   198,   590,   199,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,     0,   646,     0,   647,   648,   649,   650,
     651,     0,   653,   654,   218,   655,   656,   220,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,   225,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,  2365,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
       0,   236,     0,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,     0,   714,   715,     0,     0,     0,     0,     0,    35,
     431,  1872,  1873,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450,   133,   134,   135,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,     0,   139,
     459,     0,   460,   461,   462,   463,   143,     0,   144,     0,
     464,   465,   466,   467,   468,   147,   469,   470,     0,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
       0,     0,     0,     0,   151,     0,     0,     0,   480,   481,
     482,   483,     0,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,  2363,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,   168,     0,   169,
     521,   522,   523,   524,     0,   525,   171,     0,   172,   526,
     527,     0,   528,   529,     0,   530,   531,   173,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,   182,   183,   555,   184,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,     0,   568,   569,     0,   570,
     571,   572,   189,   190,   191,   573,   574,   575,   192,     0,
     576,   577,   194,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,  2364,     0,   585,   586,   587,     0,
       0,   588,   589,   197,   198,   590,   199,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,     0,   646,     0,   647,   648,   649,   650,   651,
       0,   653,   654,   218,   655,   656,   220,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
     225,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,  2365,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,     0,
     236,     0,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
       0,   714,   715,     0,     0,     0,     0,     0,    35,   431,
    1872,  1873,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,   131,   448,   449,
     450,   133,   134,   135,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,     0,   139,   459,
       0,   460,   461,   462,   463,   143,     0,   144,     0,   464,
     465,   466,   467,   468,   147,   469,   470,     0,     0,   471,
     472,   473,   474,   475,   476,     0,   150,   477,   478,     0,
       0,     0,     0,   151,     0,     0,     0,   480,   481,   482,
     483,     0,   484,   154,   155,   485,  3515,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,  2363,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,   168,     0,   169,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,     0,   530,   531,   173,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,   182,   183,   555,   184,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,     0,   568,   569,     0,   570,   571,
     572,   189,   190,   191,   573,   574,   575,   192,     0,   576,
     577,   194,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,  2364,     0,   585,   586,   587,     0,     0,
     588,   589,   197,   198,   590,   199,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,   211,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,     0,   646,     0,   647,   648,   649,   650,   651,     0,
     653,   654,   218,   655,   656,   220,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,   225,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,  2365,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,     0,     0,   697,   698,   699,   700,   701,     0,   236,
       0,   702,   237,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,     0,
     714,   715,     0,     0,     0,     0,     0,    35,   431,  1085,
    1086,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,   131,   448,   449,   450,
     133,   134,   135,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,     0,   139,   459,     0,
     460,   461,   462,   463,   143,     0,   144,     0,   464,   465,
     466,   467,   468,   147,   469,   470,     0,     0,   471,   472,
     473,   474,   475,   476,     0,   150,   477,   478,     0,     0,
       0,     0,   151,     0,     0,   479,   480,   481,   482,   483,
       0,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,   168,     0,   169,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,     0,   530,   531,   173,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
     175,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,     0,     0,   554,   182,   183,   555,   184,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,     0,   568,   569,     0,   570,   571,   572,
     189,   190,   191,   573,   574,   575,   192,     0,   576,   577,
     194,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,   198,   590,   199,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,   211,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
       0,   646,     0,   647,   648,   649,   650,   651,   652,   653,
     654,   218,   655,   656,   220,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,   225,   675,
     676,   677,   678,   679,     0,   680,   226,   227,   681,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,     0,   236,     0,
     702,   237,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,     0,   714,
     715,    35,   431,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
     131,   448,   449,   450,   133,   134,   135,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
       0,   139,   459,     0,   460,   461,   462,   463,   143,     0,
     144,     0,   464,   465,   466,   467,   468,   147,   469,   470,
       0,     0,   471,   472,   473,   474,   475,   476,     0,   150,
     477,   478,     0,     0,     0,     0,   151,     0,     0,   479,
     480,   481,   482,   483,     0,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,   168,
       0,   169,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,     0,   530,   531,   173,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,   175,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,   182,   183,
     555,   184,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,   563,   564,   565,   566,   567,     0,   568,   569,
       0,   570,   571,   572,   189,   190,   191,   573,   574,   575,
     192,     0,   576,   577,   194,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,   198,   590,   199,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
     211,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,     0,   646,     0,   647,   648,   649,
     650,   651,   652,   653,   654,   218,   655,   656,   220,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,   225,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,     0,   236,     0,   702,   237,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    35,   714,   715,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,   131,   448,   449,   450,   133,   134,   135,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,     0,   139,   459,     0,   460,   461,   462,   463,   143,
       0,   144,     0,   464,   465,   466,   467,   468,   147,   469,
     470,     0,     0,   471,   472,   473,   474,   475,   476,     0,
     150,   477,   478,     0,     0,     0,     0,   151,     0,     0,
       0,   480,   481,   482,   483,     0,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,  2363,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
     168,     0,   169,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,     0,   530,   531,
     173,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,   182,
     183,   555,   184,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,     0,   568,
     569,     0,   570,   571,   572,   189,   190,   191,   573,   574,
     575,   192,     0,   576,   577,   194,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,  2364,     0,   585,
     586,   587,     0,     0,   588,   589,   197,   198,   590,   199,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,   211,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,     0,   646,     0,   647,   648,
     649,   650,   651,     0,   653,   654,   218,   655,   656,   220,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,   225,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
    2365,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,     0,   236,     0,   702,   237,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    35,   714,   715,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,   131,   448,   449,   450,   133,   134,   135,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,     0,   139,   459,     0,   460,   461,   462,   463,
     143,     0,   144,     0,   464,   465,   466,   467,   468,   147,
     469,   470,     0,     0,   471,   472,   473,   474,   475,   476,
       0,   150,   477,   478,     0,     0,     0,     0,   151,     0,
       0,     0,   480,   481,   482,   483,     0,   484,   154,   155,
     485,  2553,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,   168,     0,   169,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,     0,   530,
     531,   173,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,   175,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,     0,     0,   554,
     182,   183,   555,   184,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,     0,
     568,   569,     0,   570,   571,   572,   189,   190,   191,   573,
     574,   575,   192,     0,   576,   577,   194,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,   198,   590,
     199,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,   211,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,     0,   646,     0,   647,
     648,   649,   650,   651,     0,   653,   654,   218,   655,   656,
     220,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,   225,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,     0,   236,     0,   702,   237,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    35,   714,   715,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,   133,   134,   135,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,     0,   139,   459,     0,   460,   461,   462,
     463,   143,     0,   144,     0,   464,   465,   466,   467,   468,
     147,   469,   470,     0,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,   478,     0,     0,     0,     0,   151,
       0,     0,     0,   480,   481,   482,   483,     0,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,   168,     0,   169,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,     0,
     530,   531,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,   182,   183,   555,   184,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,   563,   564,   565,   566,   567,
       0,   568,   569,     0,   570,   571,   572,   189,   190,   191,
     573,   574,   575,   192,     0,   576,   577,   194,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,   198,
     590,   199,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,     0,   646,     0,
     647,   648,   649,   650,   651,     0,   653,   654,   218,   655,
     656,   220,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,   225,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,     0,   236,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    35,   714,   715,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,     0,     0,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,   133,   134,
     135,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,     0,   139,   459,     0,   460,   461,
     462,   463,   143,     0,   144,     0,   464,   465,   466,   467,
     468,   147,   469,   470,     0,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,     0,     0,     0,     0,
     151,     0,     0,     0,   480,   481,   482,   483,     0,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
       0,   530,  2339,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,   182,   183,   555,   184,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,     0,   568,   569,     0,   570,   571,   572,   189,   190,
     191,   573,   574,   575,   192,     0,   576,   577,   194,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
     198,   590,   199,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,     0,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,   220,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,   225,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,     0,   236,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    35,   714,   715,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,  1321,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,   131,   448,   449,   450,   133,
     134,   135,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,     0,   139,   459,     0,   460,
     461,   462,   463,   143,     0,   144,     0,   464,   465,   466,
     467,   468,   147,   469,   470,     0,     0,   471,   472,   473,
     474,   475,   476,     0,   150,   477,   478,     0,     0,     0,
       0,   151,     0,     0,   479,   480,   481,   482,   483,     0,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,   168,     0,   169,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,     0,   530,   531,   173,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,   182,   183,   555,   184,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,     0,   568,   569,     0,   570,   571,   572,   189,
     190,   191,   573,   574,   575,   192,     0,   576,   577,   194,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,   198,   590,   199,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,   211,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,     0,
     646,     0,   647,   648,   649,   650,   651,   652,   653,   654,
     218,   655,   656,   220,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,   225,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,     0,   236,     0,   702,
     237,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    35,   714,   715,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,  1341,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,   131,   448,   449,   450,
     133,   134,   135,   136,   137,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,     0,   139,   459,     0,
     460,   461,   462,   463,   143,     0,   144,     0,   464,   465,
     466,   467,   468,   147,   469,   470,     0,     0,   471,   472,
     473,   474,   475,   476,     0,   150,   477,   478,     0,     0,
       0,     0,   151,     0,     0,   479,   480,   481,   482,   483,
       0,   484,   154,   155,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,   163,
     512,   513,   514,   165,     0,   515,     0,   516,   517,   167,
     518,     0,   519,     0,   520,   168,     0,   169,   521,   522,
     523,   524,     0,   525,   171,     0,   172,   526,   527,     0,
     528,   529,     0,   530,   531,   173,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
     175,   176,     0,   544,   545,   546,     0,   177,     0,   178,
       0,   547,   179,   180,   548,   181,   549,   550,   551,   552,
     553,     0,     0,   554,   182,   183,   555,   184,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,  1342,   564,
     565,   566,   567,     0,   568,   569,     0,   570,   571,   572,
     189,   190,   191,   573,   574,   575,   192,     0,   576,   577,
     194,   578,     0,   195,   579,   196,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,   197,   198,   590,   199,   200,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,   201,   602,
     202,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   204,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,   211,   634,   635,   636,
     637,   638,   213,   639,   640,   641,   642,   643,   644,   645,
       0,   646,     0,   647,   648,   649,   650,   651,   652,   653,
     654,   218,   655,   656,   220,   657,   658,   221,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   223,     0,   672,   673,     0,   674,   225,   675,
     676,   677,   678,   679,     0,   680,   226,   227,     0,     0,
     682,   683,   228,   684,   229,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,     0,   236,     0,
     702,   237,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    35,   714,
     715,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   432,   433,   434,   435,   436,   437,   438,   439,
       0,   440,   441,   442,     0,     0,     0,     0,     0,     0,
       0,   443,   444,     0,   445,   446,   447,   131,   448,   449,
     450,   133,   134,   135,   136,   137,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,     0,   139,   459,
       0,   460,   461,   462,   463,   143,     0,   144,     0,   464,
     465,   466,   467,   468,   147,   469,   470,     0,     0,   471,
     472,   473,   474,   475,   476,     0,   150,   477,   478,     0,
       0,     0,     0,   151,     0,     0,   479,   480,   481,   482,
     483,     0,   484,   154,   155,   485,     0,   486,     0,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
       0,     0,   497,   498,   499,   500,   501,     0,   502,   503,
     504,     0,   505,   506,   507,     0,   508,   509,   510,   511,
     163,   512,   513,   514,   165,     0,   515,     0,   516,   517,
     167,   518,     0,   519,     0,   520,   168,     0,   169,   521,
     522,   523,   524,     0,   525,   171,     0,   172,   526,   527,
       0,   528,   529,     0,   530,   531,   173,   532,   533,   534,
     535,     0,   536,   537,   538,   539,   540,   541,   542,     0,
     543,   175,   176,     0,   544,   545,   546,     0,   177,     0,
     178,     0,   547,   179,   180,   548,   181,   549,   550,   551,
     552,   553,     0,     0,   554,   182,   183,   555,   184,     0,
     556,   557,   558,     0,     0,   559,   560,   561,   562,   563,
     564,   565,   566,   567,     0,   568,   569,     0,   570,   571,
     572,   189,   190,   191,   573,   574,   575,   192,     0,   576,
     577,   194,   578,     0,   195,   579,   196,   580,   581,   582,
       0,   583,   584,     0,     0,   585,   586,   587,     0,     0,
     588,   589,   197,   198,   590,   199,   200,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     0,   600,   601,   201,
     602,   202,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   204,   616,   617,   618,
     619,     0,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,     0,   632,   633,   211,   634,   635,
     636,   637,   638,   213,   639,   640,   641,   642,   643,   644,
     645,     0,   646,     0,   647,   648,   649,   650,   651,   652,
     653,   654,   218,   655,   656,   220,   657,   658,   221,   659,
       0,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   223,     0,   672,   673,     0,   674,   225,
     675,   676,   677,   678,   679,     0,   680,   226,   227,     0,
       0,   682,   683,   228,   684,   229,     0,   685,   686,   687,
     688,   689,   690,   691,     0,     0,   692,   693,   694,   695,
     696,  2952,     0,   697,   698,   699,   700,   701,     0,   236,
       0,   702,   237,   703,   704,   705,   706,     0,     0,   707,
       0,     0,   708,   709,   710,   711,   712,   713,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    35,
     714,   715,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   432,   433,   434,   435,   436,   437,   438,
     439,     0,   440,   441,   442,     0,     0,     0,     0,     0,
       0,     0,   443,   444,     0,   445,   446,   447,   131,   448,
     449,   450,   133,   134,   135,   136,   137,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,     0,   139,
     459,     0,   460,   461,   462,   463,   143,     0,   144,     0,
     464,   465,   466,   467,   468,   147,   469,   470,     0,     0,
     471,   472,   473,   474,   475,   476,     0,   150,   477,   478,
       0,     0,     0,     0,   151,     0,     0,   479,   480,   481,
     482,   483,     0,   484,   154,   155,   485,     0,   486,     0,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,     0,     0,   497,   498,   499,   500,   501,     0,   502,
     503,   504,     0,   505,   506,   507,     0,   508,   509,   510,
     511,   163,   512,   513,   514,   165,     0,   515,     0,   516,
     517,   167,   518,     0,   519,     0,   520,   168,     0,   169,
     521,   522,   523,   524,     0,   525,   171,  3985,   172,   526,
     527,     0,   528,   529,     0,   530,   531,   173,   532,   533,
     534,   535,     0,   536,   537,   538,   539,   540,   541,   542,
       0,   543,   175,   176,     0,   544,   545,   546,     0,   177,
       0,   178,     0,   547,   179,   180,   548,   181,   549,   550,
     551,   552,   553,     0,     0,   554,   182,   183,   555,   184,
       0,   556,   557,   558,     0,     0,   559,   560,   561,   562,
     563,   564,   565,   566,   567,     0,   568,   569,     0,   570,
     571,   572,   189,   190,   191,   573,   574,   575,   192,     0,
     576,   577,   194,   578,     0,   195,   579,   196,   580,   581,
     582,     0,   583,   584,     0,     0,   585,   586,   587,     0,
       0,   588,   589,   197,   198,   590,   199,   200,   591,   592,
     593,   594,   595,   596,   597,   598,   599,     0,   600,   601,
     201,   602,   202,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   204,   616,   617,
     618,   619,     0,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,     0,   632,   633,   211,   634,
     635,   636,   637,   638,   213,   639,   640,   641,   642,   643,
     644,   645,     0,   646,     0,   647,   648,   649,   650,   651,
     652,   653,   654,   218,   655,   656,   220,   657,   658,   221,
     659,     0,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   223,     0,   672,   673,     0,   674,
     225,   675,   676,   677,   678,   679,     0,   680,   226,   227,
       0,     0,   682,   683,   228,   684,   229,     0,   685,   686,
     687,   688,   689,   690,   691,     0,     0,   692,   693,   694,
     695,   696,     0,     0,   697,   698,   699,   700,   701,     0,
     236,     0,   702,   237,   703,   704,   705,   706,     0,     0,
     707,     0,     0,   708,   709,   710,   711,   712,   713,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      35,   714,   715,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   432,   433,   434,   435,   436,   437,
     438,   439,     0,   440,   441,   442,     0,     0,     0,     0,
       0,     0,     0,   443,   444,     0,   445,   446,   447,   131,
     448,   449,   450,   133,   134,   135,   136,   137,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,     0,
     139,   459,     0,   460,   461,   462,   463,   143,     0,   144,
       0,   464,   465,   466,   467,   468,   147,   469,   470,     0,
       0,   471,   472,   473,   474,   475,   476,     0,   150,   477,
     478,     0,     0,     0,     0,   151,     0,     0,   479,   480,
     481,   482,   483,     0,   484,   154,   155,   485,     0,   486,
       0,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,     0,     0,   497,   498,   499,   500,   501,     0,
     502,   503,   504,     0,   505,   506,   507,     0,   508,   509,
     510,   511,   163,   512,   513,   514,   165,     0,   515,     0,
     516,   517,   167,   518,     0,   519,     0,   520,   168,     0,
     169,   521,   522,   523,   524,     0,   525,   171,     0,   172,
     526,   527,     0,   528,   529,     0,   530,   531,   173,   532,
     533,   534,   535,     0,   536,   537,   538,   539,   540,   541,
     542,     0,   543,   175,   176,     0,   544,   545,   546,     0,
     177,     0,   178,     0,   547,   179,   180,   548,   181,   549,
     550,   551,   552,   553,     0,     0,   554,   182,   183,   555,
     184,     0,   556,   557,   558,     0,     0,   559,   560,   561,
     562,   563,   564,   565,   566,   567,     0,   568,   569,     0,
     570,   571,   572,   189,   190,   191,   573,   574,   575,   192,
       0,   576,   577,   194,   578,     0,   195,   579,   196,   580,
     581,   582,     0,   583,   584,     0,     0,   585,   586,   587,
       0,     0,   588,   589,   197,   198,   590,   199,   200,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     0,   600,
     601,   201,   602,   202,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   204,   616,
     617,   618,   619,     0,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,     0,   632,   633,   211,
     634,   635,   636,   637,   638,   213,   639,   640,   641,   642,
     643,   644,   645,     0,   646,     0,   647,   648,   649,   650,
     651,   652,   653,   654,   218,   655,   656,   220,   657,   658,
     221,   659,     0,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   223,     0,   672,   673,     0,
     674,   225,   675,   676,   677,   678,   679,     0,   680,   226,
     227,     0,     0,   682,   683,   228,   684,   229,     0,   685,
     686,   687,   688,   689,   690,   691,     0,     0,   692,   693,
     694,   695,   696,     0,     0,   697,   698,   699,   700,   701,
       0,   236,     0,   702,   237,   703,   704,   705,   706,     0,
       0,   707,     0,     0,   708,   709,   710,   711,   712,   713,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    35,   714,   715,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   432,   433,   434,   435,   436,
     437,   438,   439,     0,   440,   441,   442,     0,     0,     0,
       0,     0,     0,     0,   443,   444,     0,   445,   446,   447,
     131,   448,   449,   450,   133,   134,   135,   136,   137,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
       0,   139,   459,     0,   460,   461,   462,   463,   143,     0,
     144,     0,   464,   465,   466,   467,   468,   147,   469,   470,
       0,     0,   471,   472,   473,   474,   475,   476,     0,   150,
     477,   478,     0,     0,     0,     0,   151,     0,     0,   479,
     480,   481,   482,   483,     0,   484,   154,   155,   485,     0,
     486,     0,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,     0,     0,   497,   498,   499,   500,   501,
       0,   502,   503,   504,     0,   505,   506,   507,     0,   508,
     509,   510,   511,   163,   512,   513,   514,   165,     0,   515,
       0,   516,   517,   167,   518,     0,   519,     0,   520,   168,
       0,   169,   521,   522,   523,   524,     0,   525,   171,     0,
     172,   526,   527,     0,   528,   529,     0,   530,   531,   173,
     532,   533,   534,   535,     0,   536,   537,   538,   539,   540,
     541,   542,     0,   543,   175,   176,     0,   544,   545,   546,
       0,   177,     0,   178,     0,   547,   179,   180,   548,   181,
     549,   550,   551,   552,   553,     0,     0,   554,   182,   183,
     555,   184,     0,   556,   557,   558,     0,     0,   559,   560,
     561,   562,  1447,   564,   565,   566,   567,     0,   568,   569,
       0,   570,   571,   572,   189,   190,   191,   573,   574,   575,
     192,     0,   576,   577,   194,   578,     0,   195,   579,   196,
     580,   581,   582,     0,   583,   584,     0,     0,   585,   586,
     587,     0,     0,   588,   589,   197,   198,   590,   199,   200,
     591,   592,   593,   594,   595,   596,   597,   598,   599,     0,
     600,   601,   201,   602,   202,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   204,
     616,   617,   618,   619,     0,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,     0,   632,   633,
     211,   634,   635,   636,   637,   638,   213,   639,   640,   641,
     642,   643,   644,   645,     0,   646,     0,   647,   648,   649,
     650,   651,   652,   653,   654,   218,   655,   656,   220,   657,
     658,   221,   659,     0,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   223,     0,   672,   673,
       0,   674,   225,   675,   676,   677,   678,   679,     0,   680,
     226,   227,     0,     0,   682,   683,   228,   684,   229,     0,
     685,   686,   687,   688,   689,   690,   691,     0,     0,   692,
     693,   694,   695,   696,     0,     0,   697,   698,   699,   700,
     701,     0,   236,     0,   702,   237,   703,   704,   705,   706,
       0,     0,   707,     0,     0,   708,   709,   710,   711,   712,
     713,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    35,   714,   715,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   432,   433,   434,   435,
     436,   437,   438,   439,     0,   440,   441,   442,     0,     0,
       0,     0,     0,     0,     0,   443,   444,     0,   445,   446,
     447,   131,   448,   449,   450,   133,   134,   135,   136,   137,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,     0,   139,   459,     0,   460,   461,   462,   463,   143,
       0,   144,     0,   464,   465,   466,   467,   468,   147,   469,
     470,     0,     0,   471,   472,   473,   474,   475,   476,     0,
     150,   477,   478,     0,     0,     0,     0,   151,     0,     0,
     479,   480,   481,   482,   483,     0,   484,   154,   155,   485,
       0,   486,     0,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,     0,     0,   497,   498,   499,   500,
     501,     0,   502,   503,   504,     0,   505,   506,   507,     0,
     508,   509,   510,   511,   163,   512,   513,   514,   165,     0,
     515,     0,   516,   517,   167,   518,     0,   519,     0,   520,
     168,     0,   169,   521,   522,   523,   524,     0,   525,   171,
       0,   172,   526,   527,     0,   528,   529,     0,   530,  1532,
     173,   532,   533,   534,   535,     0,   536,   537,   538,   539,
     540,   541,   542,     0,   543,   175,   176,     0,   544,   545,
     546,     0,   177,     0,   178,     0,   547,   179,   180,   548,
     181,   549,   550,   551,   552,   553,     0,     0,   554,   182,
     183,   555,   184,     0,   556,   557,   558,     0,     0,   559,
     560,   561,   562,   563,   564,   565,   566,   567,     0,   568,
     569,     0,   570,   571,   572,   189,   190,   191,   573,   574,
     575,   192,     0,   576,   577,   194,   578,     0,   195,   579,
     196,   580,   581,   582,     0,   583,   584,     0,     0,   585,
     586,   587,     0,     0,   588,   589,   197,   198,   590,   199,
     200,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       0,   600,   601,   201,   602,   202,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     204,   616,   617,   618,   619,     0,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,     0,   632,
     633,   211,   634,   635,   636,   637,   638,   213,   639,   640,
     641,   642,   643,   644,   645,     0,   646,     0,   647,   648,
     649,   650,   651,   652,   653,   654,   218,   655,   656,   220,
     657,   658,   221,   659,     0,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   223,     0,   672,
     673,     0,   674,   225,   675,   676,   677,   678,   679,     0,
     680,   226,   227,     0,     0,   682,   683,   228,   684,   229,
       0,   685,   686,   687,   688,   689,   690,   691,     0,     0,
     692,   693,   694,   695,   696,     0,     0,   697,   698,   699,
     700,   701,     0,   236,     0,   702,   237,   703,   704,   705,
     706,     0,     0,   707,     0,     0,   708,   709,   710,   711,
     712,   713,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    35,   714,   715,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   432,   433,   434,
     435,   436,   437,   438,   439,     0,   440,   441,   442,     0,
       0,     0,     0,     0,     0,     0,   443,   444,     0,   445,
     446,   447,   131,   448,   449,   450,   133,   134,   135,   136,
     137,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,     0,   139,   459,     0,   460,   461,   462,   463,
     143,     0,   144,     0,   464,   465,   466,   467,   468,   147,
     469,   470,     0,     0,   471,   472,   473,   474,   475,   476,
       0,   150,   477,   478,     0,     0,     0,     0,   151,     0,
       0,   479,   480,   481,   482,   483,     0,   484,   154,   155,
     485,     0,   486,     0,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,     0,     0,   497,   498,   499,
     500,   501,     0,   502,   503,   504,     0,   505,   506,   507,
       0,   508,   509,   510,   511,   163,   512,   513,   514,   165,
       0,   515,     0,   516,   517,   167,   518,     0,   519,     0,
     520,   168,     0,   169,   521,   522,   523,   524,     0,   525,
     171,     0,   172,   526,   527,     0,   528,   529,     0,   530,
    1545,   173,   532,   533,   534,   535,     0,   536,   537,   538,
     539,   540,   541,   542,     0,   543,   175,   176,     0,   544,
     545,   546,     0,   177,     0,   178,     0,   547,   179,   180,
     548,   181,   549,   550,   551,   552,   553,     0,     0,   554,
     182,   183,   555,   184,     0,   556,   557,   558,     0,     0,
     559,   560,   561,   562,   563,   564,   565,   566,   567,     0,
     568,   569,     0,   570,   571,   572,   189,   190,   191,   573,
     574,   575,   192,     0,   576,   577,   194,   578,     0,   195,
     579,   196,   580,   581,   582,     0,   583,   584,     0,     0,
     585,   586,   587,     0,     0,   588,   589,   197,   198,   590,
     199,   200,   591,   592,   593,   594,   595,   596,   597,   598,
     599,     0,   600,   601,   201,   602,   202,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   204,   616,   617,   618,   619,     0,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,     0,
     632,   633,   211,   634,   635,   636,   637,   638,   213,   639,
     640,   641,   642,   643,   644,   645,     0,   646,     0,   647,
     648,   649,   650,   651,   652,   653,   654,   218,   655,   656,
     220,   657,   658,   221,   659,     0,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   223,     0,
     672,   673,     0,   674,   225,   675,   676,   677,   678,   679,
       0,   680,   226,   227,     0,     0,   682,   683,   228,   684,
     229,     0,   685,   686,   687,   688,   689,   690,   691,     0,
       0,   692,   693,   694,   695,   696,     0,     0,   697,   698,
     699,   700,   701,     0,   236,     0,   702,   237,   703,   704,
     705,   706,     0,     0,   707,     0,     0,   708,   709,   710,
     711,   712,   713,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    35,   714,   715,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   432,   433,
     434,   435,   436,   437,   438,   439,     0,   440,   441,   442,
       0,     0,     0,     0,     0,     0,     0,   443,   444,     0,
     445,   446,   447,   131,   448,   449,   450,   133,   134,   135,
     136,   137,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,     0,   139,   459,     0,   460,   461,   462,
     463,   143,     0,   144,     0,   464,   465,   466,   467,   468,
     147,   469,   470,     0,     0,   471,   472,   473,   474,   475,
     476,     0,   150,   477,   478,     0,     0,     0,     0,   151,
       0,     0,   479,   480,   481,   482,   483,     0,   484,   154,
     155,   485,     0,   486,     0,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,     0,     0,   497,   498,
     499,   500,   501,     0,   502,   503,   504,     0,   505,   506,
     507,     0,   508,   509,   510,   511,   163,   512,   513,   514,
     165,     0,   515,     0,   516,   517,   167,   518,     0,   519,
       0,   520,   168,     0,   169,   521,   522,   523,   524,     0,
     525,   171,     0,   172,   526,   527,     0,   528,   529,     0,
     530,  1557,   173,   532,   533,   534,   535,     0,   536,   537,
     538,   539,   540,   541,   542,     0,   543,   175,   176,     0,
     544,   545,   546,     0,   177,     0,   178,     0,   547,   179,
     180,   548,   181,   549,   550,   551,   552,   553,     0,     0,
     554,   182,   183,   555,   184,     0,   556,   557,   558,     0,
       0,   559,   560,   561,   562,  1558,   564,   565,   566,   567,
       0,   568,   569,     0,   570,   571,   572,   189,   190,   191,
     573,   574,   575,   192,     0,   576,   577,   194,   578,     0,
     195,   579,   196,   580,   581,   582,     0,   583,   584,     0,
       0,   585,   586,   587,     0,     0,   588,   589,   197,   198,
     590,   199,   200,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     0,   600,   601,   201,   602,   202,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   204,   616,   617,   618,   619,     0,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
       0,   632,   633,   211,   634,   635,   636,   637,   638,   213,
     639,   640,   641,   642,   643,   644,   645,     0,   646,     0,
     647,   648,   649,   650,   651,   652,   653,   654,   218,   655,
     656,   220,   657,   658,   221,   659,     0,   660,   661,   662,
     663,   664,   665,   666,   667,   668,   669,   670,   671,   223,
       0,   672,   673,     0,   674,   225,   675,   676,   677,   678,
     679,     0,   680,   226,   227,     0,     0,   682,   683,   228,
     684,   229,     0,   685,   686,   687,   688,   689,   690,   691,
       0,     0,   692,   693,   694,   695,   696,     0,     0,   697,
     698,   699,   700,   701,     0,   236,     0,   702,   237,   703,
     704,   705,   706,     0,     0,   707,     0,     0,   708,   709,
     710,   711,   712,   713,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    35,   714,   715,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   432,
     433,   434,   435,   436,   437,   438,   439,     0,   440,   441,
     442,   128,   129,     0,     0,     0,     0,     0,   443,   444,
       0,   445,   446,   447,   131,   448,   449,   450,   133,   134,
     135,   136,   137,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,     0,   139,   459,     0,   460,   461,
     462,   463,   143,     0,   144,     0,   464,   465,   466,   467,
     468,   147,   469,   470,     0,     0,   471,   472,   473,   474,
     475,   476,     0,   150,   477,   478,     0,     0,     0,     0,
     151,     0,     0,     0,   480,   481,   482,   483,     0,   484,
     154,   155,   485,     0,   486,     0,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,     0,     0,   497,
     498,   499,   500,   501,     0,   502,   503,   504,     0,   505,
     506,   507,     0,   508,   509,   510,   511,   163,   512,   513,
     514,   165,     0,   515,     0,   516,   517,   167,   518,     0,
     519,     0,   520,   168,     0,   169,   521,   522,   523,   524,
       0,   525,   171,     0,   172,   526,   527,     0,   528,   529,
       0,   530,   531,   173,   532,   533,   534,   535,     0,   536,
     537,   538,   539,   540,   541,   542,     0,   543,   175,   176,
       0,   544,   545,   546,     0,   177,     0,   178,     0,   547,
     179,   180,   548,   181,   549,   550,   551,   552,   553,     0,
       0,   554,   182,   183,   555,   184,     0,   556,   557,   558,
       0,     0,   559,   560,   561,   562,   563,   564,   565,   566,
     567,     0,   568,   569,     0,   570,   571,   572,   189,   190,
     191,   573,   574,   575,   192,     0,   576,   577,   194,   578,
       0,   195,   579,   196,   580,   581,   582,     0,   583,   584,
       0,     0,   585,   586,   587,     0,     0,   588,   589,   197,
     198,   590,   199,   200,   591,   592,   593,   594,   595,   596,
     597,   598,   599,     0,   600,   601,   201,   602,   202,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   204,   616,   617,   618,   619,     0,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,     0,   632,   633,   211,   634,   635,   636,   637,   638,
     213,   639,   640,   641,   642,   643,   644,   645,     0,   646,
       0,   647,   648,   649,   650,   651,     0,   653,   654,   218,
     655,   656,   220,   657,   658,   221,   659,     0,   660,   661,
     662,   663,   664,   665,   666,   667,   668,   669,   670,   671,
     223,     0,   672,   673,     0,   674,   225,   675,   676,   677,
     678,   679,     0,   680,   226,   227,     0,     0,   682,   683,
     228,   684,   229,     0,   685,   686,   687,   688,   689,   690,
     691,     0,     0,   692,   693,   694,   695,   696,     0,     0,
     697,   698,   699,   700,   701,     0,   236,     0,   702,   237,
     703,   704,   705,   706,     0,     0,   707,     0,     0,   708,
     709,   710,   711,   712,   713,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    35,   714,   715,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     432,   433,   434,   435,   436,   437,   438,   439,     0,   440,
     441,   442,     0,     0,     0,     0,     0,     0,     0,   443,
     444,     0,   445,   446,   447,   131,   448,   449,   450,   133,
     134,   135,   136,   137,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,     0,   139,   459,     0,   460,
     461,   462,   463,   143,     0,   144,     0,   464,   465,   466,
     467,   468,   147,   469,   470,     0,     0,   471,   472,   473,
     474,   475,   476,     0,   150,   477,   478,     0,     0,     0,
       0,   151,     0,     0,     0,   480,   481,   482,   483,     0,
     484,   154,   155,   485,     0,   486,     0,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,     0,     0,
     497,   498,   499,   500,   501,     0,   502,   503,   504,     0,
     505,   506,   507,     0,   508,   509,   510,   511,   163,   512,
     513,   514,   165,     0,   515,     0,   516,   517,   167,   518,
       0,   519,     0,   520,   168,     0,   169,   521,   522,   523,
     524,     0,   525,   171,     0,   172,   526,   527,     0,   528,
     529,     0,   530,   531,   173,   532,   533,   534,   535,     0,
     536,   537,   538,   539,   540,   541,   542,     0,   543,   175,
     176,     0,   544,   545,   546,     0,   177,     0,   178,     0,
     547,   179,   180,   548,   181,   549,   550,   551,   552,   553,
       0,     0,   554,   182,   183,   555,   184,     0,   556,   557,
     558,     0,     0,   559,   560,   561,   562,   563,   564,   565,
     566,   567,     0,   568,   569,     0,   570,   571,   572,   189,
     190,   191,   573,   574,   575,   192,     0,   576,   577,   194,
     578,     0,   195,   579,   196,   580,   581,   582,     0,   583,
     584,     0,     0,   585,   586,   587,     0,     0,   588,   589,
     197,   198,   590,   199,   200,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     0,   600,   601,   201,   602,   202,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   204,   616,   617,   618,   619,     0,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,     0,   632,   633,   211,   634,   635,   636,   637,
     638,   213,   639,   640,   641,   642,   643,   644,   645,     0,
     646,     0,   647,   648,   649,   650,   651,     0,   653,   654,
     218,   655,   656,   220,   657,   658,   221,   659,     0,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   223,     0,   672,   673,     0,   674,   225,   675,   676,
     677,   678,   679,     0,   680,   226,   227,     0,     0,   682,
     683,   228,   684,   229,     0,   685,   686,   687,   688,   689,
     690,   691,     0,     0,   692,   693,   694,   695,   696,     0,
       0,   697,   698,   699,   700,   701,     0,   236,     0,   702,
     237,   703,   704,   705,   706,     0,     0,   707,     0,     0,
     708,   709,   710,   711,   712,   713,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    35,   714,   715,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   432,   433,   434,   435,   436,   437,   438,   439,     0,
     440,   441,   442,     0,     0,     0,     0,     0,     0,     0,
     443,   444,     0,   445,   446,   447,     0,   448,   449,   450,
       0,     0,     0,     0,     0,     0,   451,   452,   453,   454,
     455,   456,     0,     0,   457,   458,     0,     0,   459,     0,
     460,   461,   462,   463,     0,     0,     0,     0,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,   475,   476,     0,     0,   477,   478,     0,     0,
       0,     0,     0,     0,     0,     0,   480,   481,   482,   483,
       0,   484,     0,     0,   485,     0,   486,     0,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,     0,
       0,   497,   498,   499,   500,   501,     0,   502,   503,   504,
       0,   505,   506,   507,     0,   508,   509,   510,   511,     0,
     512,   513,   514,     0,     0,   515,     0,   516,   517,     0,
     518,     0,   519,     0,   520,     0,     0,     0,   521,   522,
     523,   524,     0,   525,     0,     0,     0,   526,   527,     0,
     528,   529,     0,   530,   531,     0,   532,   533,   534,   535,
       0,   536,   537,   538,   539,   540,   541,   542,     0,   543,
       0,     0,     0,   544,   545,   546,     0,     0,     0,     0,
       0,   547,     0,     0,   548,     0,   549,   550,   551,   552,
     553,     0,     0,   554,     0,     0,   555,     0,     0,   556,
     557,   558,     0,     0,   559,   560,   561,   562,   563,   564,
     565,   566,   567,     0,   568,   569,     0,   570,   571,   572,
       0,     0,     0,   573,   574,   575,     0,     0,   576,   577,
       0,   578,     0,     0,   579,     0,   580,   581,   582,     0,
     583,   584,     0,     0,   585,   586,   587,     0,     0,   588,
     589,     0,     0,   590,     0,     0,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     0,   600,   601,     0,   602,
       0,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,     0,   616,   617,   618,   619,
       0,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,     0,   632,   633,     0,   634,   635,   636,
     637,   638,     0,   639,   640,   641,   642,   643,   644,   645,
       0,   646,     0,   647,   648,   649,   650,   651,     0,   653,
     654,     0,   655,   656,     0,   657,   658,     0,   659,     0,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,     0,   674,     0,   675,
     676,   677,   678,   679,     0,   680,     0,     0,     0,     0,
     682,   683,     0,   684,     0,     0,   685,   686,   687,   688,
     689,   690,   691,     0,     0,   692,   693,   694,   695,   696,
       0,     0,   697,   698,   699,   700,   701,     0,     0,     0,
     702,     0,   703,   704,   705,   706,     0,     0,   707,     0,
       0,   708,   709,   710,   711,   712,   713,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   714,
     715
};

static const yytype_int16 yycheck[] =
{
       2,   965,    78,   210,   905,    78,   900,   251,    78,    78,
    1095,  1096,  1097,  1008,   908,  1158,  1101,   911,  1588,  1175,
    1328,   394,    78,  2072,   394,   905,   230,   153,  1535,  1208,
    1344,   378,    78,  1618,   166,     2,  1502,  1951,    84,   152,
    1153,  1329,  1277,  1995,   149,  1356,  1181,  3236,  1360,  1180,
    1988,  1050,  1490,  1491,  1441,  3397,   188,  2920,  1354,    78,
    3098,  1505,  1500,  2353,   777,    84,  2150,  1062,  1654,  1008,
     891,    93,  3606,   164,   170,  1165,    78,   203,  2542,  2858,
     224,  1995,    84,  3579,  2232,   965,    88,  3451,   164,  2012,
    2001,    95,    78,  3042,  3920,   159,   115,  3923,  3029,  1520,
    4243,   105,  1416,  3633,  1328,  3635,  1420,  2136,   130,  2442,
     778,  1425,  1336,   115,   210,  2941,   366,  1255,  1255,  3830,
    1434,   380,  1346,  3824,  3460,  3876,  4188,  2697,  2698,  3830,
     152,   153,  3212,   130,  1448,  1061,   138,   141,  4535,  1045,
     162,  3841,   161,  1866,  1867,  1868,  4790,  1027,  4113,  4479,
     152,  1030,   156,   115,  1033,  4295,  3907,   380,  1289,   161,
     138,  2245,  4239,  4518,  2286,   901,  1161,   209,  4522,  4142,
    2426,  1430,  5019,  4532,   910,   166,  4531,   219,  4148,  2102,
    2103,   203,   217,   250,  1032,  2096,  3425,  1446,   924,  2337,
    2536,  4521,  5137,  1236,  3326,  5022,  4243,   188,  1046,   161,
      20,  2583,  1581,  1572,  5195,  1601,  2613,   209,  4974,  2591,
    2615,  1861,  1862,   232,  1205,   217,  1929,   219,  1980,  3493,
    1488,  1489,  1161,  5339,  1250,  1251,  1205,   963,  5215,  4209,
     232,  1499,  1363,   969,  5351,  4147,  1286,  4149,  4076,    29,
       9,  1053,   110,    70,  1682,  1683,   982,    86,    13,  5262,
    5263,    86,  1295,  3032,    70,  5021,  5153,    84,  5155,    73,
      74,    75,    76,  1701,  5553,   124,    80,  1711,  5255,  1319,
     232,   132,   147,  2035,  1324,   132,    13,  2985,   885,  2987,
     115,   162,   995,  2991,   132,  2993,  2994,  1522,   117,   132,
    2052,    70,  2134,  2135,  3002,  3003,  3004,  1077,  5457,  5458,
      79,  1081,  1082,  1083,   114,    84,   114,   154,  3945,   233,
     386,  1091,   147,   386,    86,    13,   386,   386,   149,   239,
     180,   238,    84,  1408,    73,    74,    75,    76,   159,   238,
     386,    80,  3464,    70,   238,   101,    73,    74,    75,    76,
     238,   132,    79,    80,    81,    82,   245,    84,   394,    97,
     238,   145,  1942,   282,   132,    73,    74,    75,    76,   344,
     342,  3140,    80,  3142,   186,   149,    73,    74,    75,    76,
      88,    89,    70,    80,   102,   394,   133,   132,    73,    74,
      75,    76,   180,   429,   141,    80,   189,   187,    73,    74,
      75,    76,   394,    88,    89,    80,   132,   238,   345,   149,
     386,   432,   345,  1671,  1672,   179,   117,   418,   430,   159,
     429,   107,   230,   132,   101,    73,    74,    75,    76,   470,
     104,   108,    80,   315,   213,  1581,   390,   429,  5492,  1697,
      88,    89,   458,   409,    73,    74,    75,    76,   187,   398,
     503,    80,  1155,  1830,    73,    74,    75,    76,   101,    88,
      89,    80,   329,   238,   159,   108,   149,   334,   206,    88,
      89,   101,  5578,    70,  5753,   403,   115,   512,   108,   189,
     547,    73,    74,    75,    76,   512,   553,    84,    80,  1380,
     132,   194,  1376,  2463,   149,    78,   549,  5474,  1382,   238,
     535,  1385,  1804,   431,  5341,  1791,    73,    74,    75,    76,
    1380,   552,    36,    80,    38,    78,   149,   384,   326,   238,
     192,   470,   161,  5340,   887,   552,   492,   887,   549,  2641,
      78,  5418,   403,   549,   220,    73,    74,    75,    76,   327,
     422,   334,    80,    73,    74,    75,    76,   238,   549,   313,
      80,   505,   316,   404,  1365,  1588,   303,   404,   342,   277,
      78,    73,    74,    75,    76,    78,   404,  5295,    80,  2681,
     208,   404,    78,  2685,   549,  1560,   286,   549,   681,    73,
      74,    75,    76,   181,   517,   238,    80,   189,    78,    78,
      78,   180,   470,   232,  1252,  1253,   238,    78,    73,    74,
      75,    76,  2058,  1588,    78,    80,   385,  1753,   458,   262,
    1731,  2191,   549,   729,   730,    73,    74,    75,    76,   329,
    1766,   262,    80,   404,   282,    73,    74,    75,    76,   282,
    4331,  1560,    80,   552,   220,   549,   404,  1758,    70,   549,
    4331,    73,    74,    75,    76,   552,   483,    79,    80,   470,
    1796,  1797,    84,   552,  5760,   455,    78,   455,   552,   404,
     472,   549,   115,   552,  4355,    86,  5011,  5816,   266,   681,
    5651,    70,    78,  1658,  1590,  1272,   386,   429,   404,   498,
      79,   552,   547,   493,  5963,    84,   551,   442,  1990,   681,
    5693,   549,   498,   431,   115,   404,   470,  2529,   502,    86,
     549,   552,   458,   515,  1542,   552,  4607,  4608,   161,  4610,
    4611,  4612,  4613,  4614,   552,   442,   545,   729,   730,   552,
     545,   552,  4246,   540,   541,  4680,   147,   401,   115,  1658,
     470,   470,    70,   543,  5462,    73,    74,    75,    76,   498,
    5577,    79,    80,    81,    82,   549,    84,  4707,   538,  4490,
      86,  5568,  1966,   491,   442,  4718,  1789,  3526,   164,  4722,
     147,  1794,  1795,  2067,   441,   777,  2070,   547,  1570,   470,
     549,   540,   541,   448,   449,   470,   418,   552,  5884,   232,
     542,   543,   544,   545,   552,   919,  1624,   470,  5842,  5896,
     493,   894,  2041,   104,  4764,   101,  4624,   498,   441,   538,
    2078,  1786,  1640,   386,  4706,   329,  4708,   552,  2022,  1794,
    1795,   441,   551,   540,   541,   470,  5450,  1655,  2393,   491,
     418,  1591,  4512,   386,  1594,  1065,   552,  1597,  1062,  1599,
     549,  1820,  1602,  2134,  2135,  2136,  1606,   470,   386,  2088,
     493,   549,   552,   552,  2341,   251,  2132,    69,  5825,    97,
     547,   887,   549,   956,   551,    77,    78,  1786,   549,   457,
     458,  5838,   504,  5969,   549,  1881,  2808,  1848,   386,   458,
     508,  1208,  3725,   386,   883,  2303,   238,  2778,   887,  1848,
     386,   997,   948,   105,   106,   948,   192,  5017,   948,   948,
     944,   883,   364,   495,   552,   887,   386,   386,   386,   891,
     553,   549,   948,  2400,  5287,   386,  5793,   327,   900,   901,
     327,   552,   386,   187,  2411,  1018,   908,  5754,   910,   911,
     549,   101,   508,  1581,  5652,  4449,  6032,   180,  3867,  5657,
     549,   883,   924,   180,  2183,  1968,  3496,   180,  3498,  5756,
    4567,  4568,  4569,  4570,  4571,  1978,  3400,  1987,  1197,    95,
    4436,   549,  1074,  2854,  1076,  2974,  1078,   549,   206,   951,
     187,  5938,  1084,  1058,   386,   239,  3581,  4231,   192,   238,
     276,   963,  2141,  1107,   380,   180,   514,   969,    24,  5735,
     386,  1062,   549,   995,  1197,   997,  1108,  1109,  2374,  2358,
     982,  2350,  5973,  5974,  2380,  1061,  2036,   535,   250,  5755,
     230,    24,  2642,    86,  2644,   192,  2709,    97,    97,  1001,
    5330,   549,  2882,  2053,   103,   237,  1008,   239,   191,   549,
    2473,  1013,   250,  2476,  2282,  2283,  2059,  1019,  3391,  2062,
    2063,  1023,  1024,  3430,  3803,  3804,  3431,   549,  1030,   514,
    1032,  1033,  3081,  3415,  1056,   132,  2798,  1181,  1060,  5886,
     282,   282,   276,  1045,  1046,   549,   330,   166,  5191,   238,
     535,  1053,   292,   238,   147,  1059,  6001,    28,  5885,  4555,
    1062,   219,   282,   219,   549,  2029,  2487,   549,  1212,   247,
     497,   182,  1076,   262,  1078,  4207,  2956,   262,  3451,   276,
     401,   549,  6073,   364,  1088,  1076,  1053,  1078,  5135,   327,
     219,   549,   329,   414,  3802,   416,  1187,   282,   470,   541,
     283,   531,   360,   512,  1108,  1109,   206,   206,   424,   540,
     541,   542,   543,   544,   545,  3461,  4355,  1108,  1109,  2162,
     470,  5968,   216,  1190,  1159,   244,   535,  5520,  1163,  5094,
    5177,   540,   541,  1155,   141,  1157,  1182,  4501,   195,   330,
     398,  1285,   156,   254,  5191,   542,   543,   544,   545,  2029,
    1152,  1153,  2722,   192,   475,   282,  2241,  1159,  3096,  1161,
    1157,  1163,  3418,  1182,   166,   428,   538,  5078,  5138,  5142,
      97,    97,  2484,   431,  5147,   491,   103,  5150,   368,   551,
    1182,   418,   156,  5537,   198,  1187,   280,  1189,   232,  5586,
     282,   470,   540,   541,   540,   541,   542,   543,   544,   545,
    2356,   458,   552,   350,   315,   458,  5536,   318,   141,   493,
     217,   101,  5038,   182,   282,  3840,  5570,  5576,  2529,  2531,
      99,   141,   278,  2535,   198,   344,   159,  2693,   235,  5584,
     327,   409,   113,   124,   883,   497,   426,   276,   496,  5569,
     182,   120,   244,   458,   478,   278,  5890,  5891,  1250,  1251,
    4784,   493,   250,   378,  3824,  5006,   350,   491,   414,   497,
    3830,   360,   152,   105,   106,  2408,  2409,   187,   549,  1236,
     160,   503,   462,   493,   464,   240,   434,  1279,   434,   206,
     206,   166,   238,   240,   217,   254,   405,   178,  1255,  3411,
    1332,  1333,   239,  1279,   491,  4825,   350,   431,   188,   398,
     491,   186,   235,   274,  5351,   434,   262,   404,   493,   238,
     551,   422,   254,   187,    97,   553,  3296,  3297,   339,   470,
     103,  3301,   242,   512,   166,   233,   282,   371,  1295,   327,
    1332,  1333,   431,   262,   431,   220,   431,   192,   122,  1358,
     161,   398,   344,   364,   186,  2344,   315,  3917,   362,   318,
    2481,   206,  5228,   282,  1356,  1357,  1358,  5190,  3338,  3339,
       0,   431,   170,  1365,  5197,   255,   493,  2362,   553,   376,
    1372,  5448,   166,   315,  1376,  2281,   318,   267,   220,   260,
    1382,   346,   203,  1385,   275,   424,  2697,   538,   362,   346,
    6034,   485,    13,   512,  5270,  1397,  1358,  1461,   277,    97,
    2399,   493,  5761,   405,  2403,   552,  3129,   158,  2407,   329,
    1412,  2410,    97,  2307,   334,  5380,   363,  2318,   552,   530,
     883,  2577,   348,   206,   549,   493,  4762,  2306,  2334,   182,
      24,   550,  5572,   360,   553,  2361,   327,  2317,  2318,   247,
      34,  5414,  2321,   376,  2265,  2324,   344,   109,   199,   463,
     244,   349,   491,   422,  1456,  1457,   376,   552,   209,    69,
     334,  2309,   339,    73,    74,    75,    76,    77,    78,   339,
      80,   398,   392,   257,   199,  2323,   402,   403,   262,   486,
     422,   350,   552,  2626,   209,   553,  1730,   364,  2336,   463,
     437,  1840,   400,   450,   364,   216,   344,  2461,   552,   497,
    1502,   254,  5645,   149,   431,   431,  4544,   228,   206,   394,
     512,  5476,   233,   159,  1590,   299,  5481,  5482,   373,   327,
    5231,   206,  4602,  2402,   254,   187,  2405,  2406,   549,   420,
    5231,     7,   948,  5892,    10,    11,   383,   493,  1911,   424,
    1542,  1911,  2680,  2680,   138,    21,    22,    23,   550,    25,
      26,   553,   394,   486,    30,    31,    32,   447,  1560,   280,
     450,   530,   315,   181,   493,  1815,   486,  1569,  1570,  5616,
    1572,   333,   182,   458,  1833,  1834,    13,  1836,  1580,   300,
     549,  2461,   424,  2807,  2892,   315,  1588,  5905,   530,  1593,
     156,  1595,  5654,  5655,  1598,   159,  1600,   553,  5645,  1603,
    1604,  1605,  1569,  1570,  4467,  1572,    21,   549,  5967,   360,
    1833,  1834,  1616,  1836,   499,  1637,   458,  2660,  5318,  5978,
     341,  1588,  1624,   187,   553,    69,  1630,   512,  1632,   350,
    3137,   191,   198,    77,    78,   360,  1638,   402,  1640,  4502,
     156,   493,   503,   394,   254,  1061,  1062,   398,   266,   156,
     535,   315,   436,  1655,   318,    70,  1658,   499,  3596,   467,
    3709,   503,   360,  2974,   549,   360,   431,  1669,  2892,   422,
     512,   111,   549,   398,  6033,   360,   438,   187,  2937,   549,
     431,   550,   198,   552,   278,  4511,   414,   359,   350,   344,
    2358,   198,   422,   535,   187,  4028,  1698,   549,   101,   547,
     398,  2925,   549,   551,   180,   315,  1850,   549,   318,  1358,
     216,  5758,  6071,   398,   158,  4423,   201,   350,   203,  4427,
    4428,    69,  4430,   283,  1726,  1727,  1728,  2722,  1730,    77,
      78,  6049,   101,   431,  2958,  6094,   431,  2872,  2873,   400,
    1742,  2876,    73,    74,    75,    76,   431,   288,  1750,    80,
    1772,  1773,   190,   235,  3783,  5289,   196,   124,   422,   431,
    3789,  4331,   255,   228,   485,   329,  4139,   211,    70,  4142,
     414,    73,    74,    75,    76,  1772,  1773,    79,    80,  3038,
     458,  1197,    84,   240,  1786,  4355,   327,  1789,   421,  2968,
    2969,  2970,  1794,  1795,   300,  4574,   362,  4576,   201,   249,
     418,  5552,  3061,  3062,  3063,  3064,    73,    74,    75,    76,
     158,   178,   422,    80,  3073,  1861,  1862,  3965,  3729,   416,
     258,   549,  1789,   189,   268,     2,   547,  1794,  1795,   550,
     551,   189,   201,  1835,  5977,   300,   329,  1839,  1840,   457,
     458,  1860,  1861,  1862,   320,   386,   362,   491,   358,  5896,
    5550,   512,  1854,  2896,   339,   362,   359,  1879,  1860,  1861,
    1862,  2904,   210,  2764,  2907,  1911,  5566,  5363,  2762,  5931,
    4243,  2765,  2766,  1919,   535,   414,   538,   416,   475,  1881,
     241,   228,  1879,  5072,  2764,   547,   233,   549,   550,   551,
     552,   552,  1911,   434,   262,  1358,   372,   463,  1860,  1963,
    1919,   228,  3037,  5603,   270,  1872,  1873,   359,   275,  1911,
    1929,    88,   359,   312,   424,   416,   201,  1919,   203,   457,
     530,  1923,   366,   380,   226,  5972,     5,  1929,   286,   289,
    5977,  1898,  1899,  6076,  2755,   385,   475,  1939,  5468,   161,
    1942,   226,  5768,    69,  1946,    24,  3531,   463,   458,  2093,
     491,    77,    78,   300,   492,    34,   463,  2805,   306,   416,
     327,   327,  2675,   329,   250,   415,   118,  1929,   512,   358,
     201,   329,   203,   300,   475,   152,   472,  3900,  1980,   431,
    3903,   158,   493,  3404,   431,   472,  1988,   126,   140,   499,
      73,    74,    75,    76,   341,   226,  5185,    80,  5187,   167,
     167,  1968,   512,   334,   480,   553,  3091,   146,   552,   186,
     232,  1978,   360,   398,   341,   509,   473,  5359,   218,   515,
     381,   160,   479,  2025,   375,   535,  4805,  4806,   386,  6076,
     398,   243,   334,  2035,   402,   424,   234,  5737,   549,   549,
     484,   327,  4973,  4992,   329,   549,   431,   243,   492,   334,
    2052,   495,   413,   420,   339,   288,  2058,  2043,   552,   138,
     552,   187,  2048,   431,   264,   426,  3504,   334,  2804,   458,
     268,   239,   239,   212,   360,  4055,  4056,  4057,  4058,  5010,
     375,  4061,  4062,  4063,  4064,  4065,  4066,  4067,  4068,  4069,
    4070,   303,  2059,   141,   327,  2062,  2063,   553,   459,   147,
     312,  4964,  5598,   334,   272,   272,  3101,   303,   339,   398,
     499,   159,   398,   461,  2463,   463,  2118,   414,   512,   287,
     287,   472,  2471,   512,   238,  5659,   205,   414,  4501,   297,
     297,  2117,  2134,  2135,  2136,  2121,   547,  4117,  4118,   187,
     551,   189,   431,   233,   512,  2881,   535,  5898,   262,   446,
     360,   555,   189,  2155,   244,   323,   323,  2270,   552,  3202,
     549,  3156,  3101,  4247,   515,  1189,   360,   535,   243,  2188,
    2172,   458,   262,   348,  1590,   477,   344,   472,  5878,  2181,
      73,    74,    75,    76,    86,   360,  2188,    80,   398,  2191,
     187,  2193,   477,  5557,   242,  2162,   233,   190,  2036,   278,
    3199,   434,   487,   329,   398,   201,   110,   203,   334,  2582,
    2212,   497,  2582,   115,  3393,  2053,   470,  3156,  2220,  2955,
     515,   431,   270,   398,   239,   129,  2188,  2434,   303,  4937,
    2232,  4939,  4940,   270,    39,  4943,   233,   431,   540,   541,
     408,   408,   190,   514,   493,   147,   477,  2249,   390,  1665,
     462,   334,   464,  4302,  2603,   424,   487,   272,   491,  3494,
    2262,  5961,   240,  2265,   535,   258,   462,  2269,   464,  1685,
    4828,  2362,   287,  2275,  2418,   179,  4834,   489,  4742,  2281,
    1929,   329,   297,   425,   538,  2361,   334,  2210,  5822,   458,
     327,  2293,   329,   489,  3582,   273,  3881,   551,   344,  1715,
     549,   493,  5644,   349,  2306,  2307,  3891,  2309,  2310,   278,
     258,  2234,  3402,   386,  1730,   390,   458,   407,    15,  2321,
    3608,  2323,  2324,  6074,   512,   493,   399,  6027,   376,   504,
     499,  2333,  2334,   329,  2336,  2337,  5199,  2433,   242,   549,
     189,  4293,   402,   339,   392,  4718,   360,   535,  2350,  4722,
    2426,  2353,  3246,  2426,   427,  3249,  2426,  2426,  3252,  3583,
    2362,   265,  3405,   505,   552,  4513,   378,  2371,  4279,  2373,
    2426,   431,   538,  2377,   475,  2379,  2440,  4300,  2382,  4302,
     549,   309,  2386,  2350,   398,   551,  2353,   462,   550,   464,
    3354,   553,    70,   408,   360,    73,    74,    75,    76,  5933,
    2402,    79,    80,  2405,  2406,   338,    84,   514,   390,   313,
    3405,   360,   316,   179,   489,  4048,   505,  1833,  1834,  3240,
    1836,   149,  4008,   327,  4335,   233,   309,   421,   535,   228,
     505,   159,   398,   233,   233,  3659,   290,   286,   486,  2441,
    2442,   334,   549,   425,  4077,  2447,  2448,    33,   256,   398,
    4534,  2453,  2454,  2455,  2456,   359,   256,   360,  2460,   104,
    2462,  2463,  2464,  2465,  2466,  2467,  1929,  2469,   234,  2471,
    2472,  3184,  3783,  2475,  3354,  2494,   458,  4767,  3789,  4459,
     329,   552,   431,   128,  6018,   556,  3873,  2489,  2490,  2491,
    2492,  2493,  2494,  2584,  2585,   398,  2498,  3941,  3942,   403,
    2502,   300,   268,  2505,   681,   549,  2508,  2509,  2510,  2511,
    2512,  2513,  2514,  2515,  2516,   233,  2518,  2724,   403,  2726,
    3834,   425,  3521,   505,  2526,    79,   124,  2529,   431,   360,
      84,  5310,  2494,   461,   314,   418,  2582,   386,   256,  2188,
     216,   445,   341,   360,   325,  3425,   431,   313,   226,   241,
     316,  5589,   228,  3548,  2043,  1323,  1580,   233,   514,  2048,
     512,   489,   343,  2582,   549,   159,  5274,   398,  3827,   424,
     168,   402,   462,  1341,   464,  2631,  1344,   394,   461,   535,
    2582,   398,  2584,   535,   512,  2587,   514,  5929,  5451,    49,
    2722,   440,   360,   549,    99,   193,  2642,  5460,  2644,  4537,
     431,  2603,  2715,   458,   280,  4519,   489,    67,   475,  3548,
    2612,  2613,   210,   544,   431,   120,   214,  1319,   549,   475,
     551,   549,  1324,  2642,   300,  2644,  5815,   512,  2117,   512,
     398,   514,  2121,  2777,   547,   313,   234,   400,   316,   237,
    2642,   554,  2644,    69,   499,  2612,  2613,    69,    70,   243,
     535,    77,    78,  2675,   252,   550,   334,   512,   553,  4244,
    4245,  5231,  2664,   431,   421,   341,   549,   552,   553,   312,
    3518,  3519,   266,   547,   350,   549,   312,   551,    83,   340,
     535,  2683,  2684,   344,  2686,    90,    91,    92,   552,   163,
    2709,  2693,   556,  2660,   549,  2697,  2698,   548,   544,  6041,
     548,   552,  2704,   549,   552,   551,  1730,  2709,  2710,   303,
     138,   139,  2714,  2680,   552,   553,  2683,  2684,    88,    89,
    2722,   413,    69,    70,   462,  2188,   464,   419,  2872,  2873,
      77,    78,  2876,   549,   426,   551,   334,    84,  2740,   266,
    5508,  2743,  5510,   550,   342,   552,  5514,  2709,  5516,    73,
      74,    75,    76,  2755,    83,   349,    80,  2759,    88,    89,
    2762,  6103,  5135,  2765,  2766,  2878,   554,   459,   945,  5142,
    3309,  2773,  3311,  3312,  5147,  3860,    70,  5150,    18,    19,
     550,  3824,   552,  5353,  2786,  4097,   384,  3830,   256,   481,
    4228,  4840,   547,  5561,   549,   314,  2798,    37,   505,   477,
      40,   475,  2804,  2805,  5177,   331,   550,    69,   552,   485,
     128,  2813,   542,   543,   544,    77,    78,  2836,  5191,   155,
     549,  2840,   551,   540,   541,   542,   543,   544,   421,  3677,
    1854,  1008,  1009,   550,  2836,  2837,    98,   550,  2840,   552,
     550,  3836,   552,  3838,  2863,  2494,   512,  3695,   514,   290,
     540,   541,   542,   543,   544,   105,   106,  3992,   548,  2861,
     555,  2863,   540,   541,   549,   110,  2868,   550,   462,   552,
     464,  4823,  2874,   550,  2836,   552,  1053,  2879,  2840,  2881,
    2882,   475,  4178,  2885,   129,   550,    84,   552,  2890,   512,
     130,   514,   486,  3037,   549,   489,   158,  3836,   424,  3838,
     550,  2863,   552,  2922,  4216,   462,   344,   464,  2910,    73,
      74,    75,    76,  2915,   414,   415,    80,  2919,   414,   415,
    2922,  3916,   162,   418,   550,   309,   552,   552,   553,  2896,
    2932,   550,   458,   552,   179,  1112,   552,  2904,  3043,   128,
    2907,   346,   505,  2945,  3824,  2361,   118,  3296,  3297,   211,
    3830,   503,  3301,  2955,  2956,   550,   462,   552,   464,   550,
    2922,   552,   202,   309,   532,   550,   290,   552,   551,  1146,
    2972,  2973,  2974,   499,  4017,   286,  2978,  3916,  5351,  1156,
     414,   415,  3981,  1160,  1161,  1162,   512,  4301,   347,  3338,
    3339,    73,    74,    75,    76,   550,   110,   552,    80,   550,
     262,   552,   344,  3851,  3023,  3853,   268,   414,   415,   535,
    2426,  3013,  3014,   347,   550,   129,   552,   550,   470,   552,
     265,  3023,  4153,   549,   550,  5788,  5789,   553,  3030,   233,
     550,  2494,   552,   550,   418,   552,  4271,   550,  3040,   552,
     344,  5414,    69,    70,  5911,  5912,    73,    74,    75,    76,
      77,    78,    79,    80,  3298,  3057,   550,    84,   552,   532,
    2709,  3023,   550,   347,   552,   179,   118,   550,   313,   552,
     286,   316,   418,  1250,  1251,  3077,   532,   461,  1255,   309,
     237,   542,   327,  2499,    73,    74,    75,    76,   550,   552,
     552,    80,   550,   550,  3096,   552,   549,   503,  3342,  3101,
      73,    74,    75,    76,   366,   489,   550,    80,   552,   128,
    5090,  3113,   238,    83,   359,   461,    86,   550,   549,  4433,
      90,    91,    92,  4411,   512,   550,   514,   552,   512,   282,
     514,   536,   537,   538,   553,   540,   541,   542,   543,   544,
     545,   542,   550,   489,   552,   115,   555,   409,   309,   278,
     470,   265,   122,   550,  3156,   552,   555,   549,   403,  4007,
     187,   550,  3184,   552,    69,   549,   512,   550,   514,   552,
     309,   470,    77,    78,   470,   330,   331,   147,   470,   470,
     425,  3385,  3386,  3387,  5557,   110,   212,  2836,   418,    83,
     128,  2840,    86,   550,   456,   552,    90,    91,    92,   313,
     445,   278,   316,   549,  4670,   550,   284,   552,  3210,   470,
     550,  3455,   552,   327,  2863,  2631,    73,    74,    75,    76,
     551,   549,   484,    80,  3226,   550,  3228,   552,   516,   398,
     492,   461,   549,   495,  3236,  3202,   221,   550,  3240,   552,
    4419,  3243,   549,  5616,  3246,   359,  2709,  3249,   549,   262,
    3252,  2275,   221,   158,   281,   344,  3258,   418,   551,   489,
      73,    74,    75,    76,   398,   262,  3268,    80,   550,   424,
     552,  3273,  5645,  2922,    83,   344,   303,    86,   550,   418,
     552,   550,   512,   552,   514,   221,   262,   257,  4331,   403,
     221,   550,   262,   552,  3296,  3297,  3298,   344,  3317,  3301,
     461,   233,   221,   458,  3323,   210,   115,  3309,  3310,  3311,
    3312,   425,  4355,   122,   550,  3317,   552,   298,   398,   549,
    3322,  3323,   461,  3325,   550,  3327,   552,   189,   489,   299,
     550,   445,   552,   550,   553,   552,  3338,  3339,   147,   550,
    3342,   552,  3418,   493,   499,  3418,   314,   549,  3418,  3418,
     489,   512,   344,   514,  3356,  3317,  3358,   512,  3360,   475,
     338,  3323,  3418,   550,   550,   552,   552,   550,   262,   552,
     115,   421,   505,   512,  3023,   514,   346,  2840,  3380,   309,
     535,   233,   550,  1560,   552,  5758,   290,   550,   549,  3391,
     284,   549,  1569,  1570,   549,  1572,   550,  4982,   552,  5379,
    2863,   306,   550,  3405,   552,   214,   550,   550,   552,   552,
     549,  1588,   550,  3391,   552,   141,   161,  2441,  2442,   329,
    3422,  5335,   110,  4735,  2448,   550,   550,   552,   552,   329,
    2454,  2455,  2456,   516,   549,  3437,   550,   550,  3405,   552,
    2464,  2465,   550,   344,   552,  2469,  4758,   233,   257,  3451,
     329,  4331,   346,   262,   550,   360,   552,  1634,   550,  2922,
     552,   118,  3429,  3430,   209,   550,   436,   552,  1202,   550,
    1204,   552,   217,  3451,   219,  4355,   550,   550,   552,   552,
     118,  1658,   309,   309,   550,   329,   552,   232,   418,   309,
     299,  3493,   480,   398,  3496,    83,  3498,   402,    86,   329,
     158,  3503,    90,    91,    92,   550,   550,   552,   552,   550,
     550,   552,   552,   540,   541,   360,  3518,  3519,   550,   107,
     552,   505,  3524,  5896,   155,   550,   431,   552,   550,   233,
     552,   461,   550,   550,   552,   552,   550,   346,   552,   550,
     550,   552,   552,  3545,   505,   379,  3548,  4590,   554,   550,
    3552,   552,   550,   221,   552,  1732,   461,   221,   463,   489,
    3023,   221,   549,   533,  1741,   502,   536,   537,   538,  3571,
     540,   541,   542,   543,   544,   545,   372,   549,  1755,   550,
     221,   552,   512,   549,   514,  4584,  4585,  4586,  4587,  4588,
     109,   418,   418,   550,  3596,   552,   549,   221,   418,  5972,
     550,   550,   552,   552,  5977,   516,   550,   512,   552,  1786,
     221,   552,  1789,  1790,  3633,  3634,  3635,  1794,  1795,   549,
     221,   550,   550,   552,   552,   221,   550,   436,   552,   221,
     221,  3633,  3634,  3635,   461,   461,  4484,  4485,   221,  5619,
    4753,   461,   536,   537,   538,   221,   540,   541,   542,   543,
     544,   545,   550,   233,   552,  3657,   221,   550,   550,   552,
     552,   221,   489,   489,  4723,  3667,  4725,  3669,  3317,   489,
     221,  3633,  3634,  3635,  3323,  3677,   221,   221,   344,   458,
     549,   110,   298,   233,   233,   512,   512,   514,   514,   344,
     549,   549,   512,  3695,   514,   549,   284,   233,   549,   549,
     549,   549,   549,  6076,  1881,   356,  4055,  4056,  4057,  4058,
     549,   549,  4061,  4062,  4063,  4064,  4065,  4066,  4067,  4068,
    4069,  4070,   549,   549,   533,   549,  5037,   549,   549,   549,
     549,   540,   541,   542,   543,   544,   545,   549,   549,  4088,
     513,   549,   549,   549,   549,   549,   549,   549,   549,   549,
     549,   549,   549,   282,   110,   170,  3758,   552,   346,   552,
     282,   298,   110,   284,   552,   233,  3910,   341,  4117,  4118,
     233,   339,   431,   542,   278,   422,  3778,   318,  4125,   186,
     552,  3783,  4746,   492,   552,   538,    13,  3789,   552,  4832,
     549,   549,   553,   549,    83,  3797,   470,    86,   470,   418,
     470,   504,   551,   470,   418,  3931,   418,   470,   470,   300,
    3829,   538,  5861,   159,   470,  3928,   470,   470,   418,   221,
     344,  3823,  3824,   295,   344,   423,   115,  3829,  3830,   334,
     470,   470,   461,   122,  3836,   470,  3838,   364,   344,  3895,
     492,   344,   414,   339,   549,   470,   255,   470,  3992,  3851,
    3906,  3853,   549,   159,  3317,   221,  3875,  3824,   147,  3861,
    3323,   552,   360,  3830,   262,   493,  4746,  3829,   470,   344,
     181,   493,   458,  3875,   458,  3931,  5461,   470,   344,  4123,
    4965,   470,  3298,   470,   128,   470,   128,   320,   470,   470,
     348,   470,   470,   470,   383,   470,   117,  3899,  4142,  2076,
     470,   470,   418,   470,   470,  2082,   470,  4906,  4907,  3931,
    4909,   470,   364,  3875,  3916,  3917,   364,   470,   461,   117,
     552,   418,   470,   470,   470,   214,  3342,  4131,  4132,  4133,
    4134,  3933,   470,   550,   554,  5505,   344,   284,   344,    83,
       2,   284,    86,  3359,   284,   516,   284,   284,   536,   537,
     538,   284,   540,   541,   542,   543,   544,   545,   344,  3375,
     344,   284,   284,  3965,   284,   480,   221,   110,   257,  5283,
     470,   115,  4820,   262,    99,  3391,   549,   512,   122,   344,
     221,   187,   493,  3985,  3633,  3634,  3635,   329,   221,  5496,
     221,  5498,   504,   221,   512,   344,   306,   329,   339,   329,
     329,   110,  3418,   147,   233,  4007,   110,   549,  4010,   290,
     299,   551,   109,   468,   468,  5171,   420,   549,   221,   547,
     470,   547,   221,   470,  6004,   221,   493,   221,  4030,  6009,
     221,  4033,   493,  3057,    13,  3451,   338,  4039,  2215,  3455,
     470,   333,  2219,  4045,   552,  4047,   238,   549,  4050,  4897,
    4017,   508,  4054,  4055,  4056,  4057,  4058,   346,   320,  4061,
    4062,  4063,  4064,  4065,  4066,  4067,  4068,  4069,  4070,   320,
     214,  4090,  4074,  4075,    86,   552,   468,  4079,   549,   549,
     470,   247,  4084,   229,   238,   538,  4088,   552,  4090,  3113,
    4092,   472,   552,   255,   550,   255,   280,   345,  4100,   434,
     549,  4103,   288,  4105,   166,   493,   552,   552,   110,   550,
    4459,  4113,  4114,   257,   550,  4117,  4118,    33,   262,     9,
    4122,  4123,   128,   353,  5709,  5710,   188,  4129,  4090,   550,
     418,  5701,   549,   493,   334,   288,   288,  4139,   883,   334,
    4142,    83,  4990,   470,    86,   470,   470,   436,    90,    91,
      92,   314,  4154,   549,   475,   299,   421,   233,   290,   334,
      83,  4139,   223,    86,  4142,  5308,   505,   344,   110,   118,
     440,   329,   223,  2350,   298,   298,  2353,   298,   414,   470,
    3829,   342,   461,   552,   223,   344,    83,   344,  5231,    86,
     223,   398,   115,  4566,   428,   470,  4566,  4199,   256,   122,
      83,   470,   346,    86,   386,   350,   550,   110,   493,   284,
     493,   290,   382,  4215,   342,   233,   266,   221,   115,   538,
    5399,   538,    88,   339,   147,   122,  3875,   505,  5192,  4231,
    4362,   110,   115,   459,   235,   383,   339,   549,   428,   122,
     221,  4243,   549,   221,   533,   221,   220,   339,   512,   329,
     147,   540,   541,   542,   543,   544,   545,   110,   329,   344,
     344,   290,   253,   543,   147,  4243,   253,   233,  5853,   110,
     318,   547,  4274,   550,  3298,   532,  2453,   550,  5242,  5590,
     532,   290,   550,   550,   550,   233,  3310,   428,   344,   262,
     262,   214,   436,   262,   262,   262,   552,   516,   552,   552,
     166,    98,   245,   470,   549,   238,  4325,   317,   512,   344,
     128,  4330,  5192,  4332,   552,   338,   458,   214,  3342,   475,
     505,   238,   188,  4325,   549,   290,   550,   550,  4330,  4331,
    4332,   214,   550,   550,   257,  4354,   550,   550,   550,   262,
     550,  5242,   284,   356,   552,   550,   365,  5241,   550,   550,
     238,  5231,  4354,  4355,  4373,   470,  3380,   355,   532,   509,
     257,  4710,  5242,  4325,  4331,   262,  3829,   308,  4330,   549,
    4332,  4373,   491,   549,   257,   345,   299,   549,  5948,   262,
     549,   549,   345,  2560,  5232,   534,   499,  4389,  4355,   533,
    4392,  5285,  4354,   344,   128,   509,   540,   541,   542,   543,
     544,   545,   299,   538,   346,   538,   553,   344,  5407,   347,
     550,  4373,  3875,  5721,  1159,   552,   299,   344,  1163,  5418,
     550,   552,   549,   346,   266,   221,   470,   549,   516,   470,
     470,   274,   334,   470,   329,   221,   348,   431,   423,   221,
     221,  4090,   298,   423,   266,   223,   423,   538,   470,   346,
     493,   552,   300,   366,   490,   366,   470,  4459,   310,   470,
     310,   310,  5505,   346,   418,   470,   418,   470,   418,   344,
     470,   470,   418,  4529,  4441,  4442,   431,   470,   470,  3895,
     470,   470,  4484,  4485,   470,   329,  4488,  2664,   221,   117,
    3906,   550,  4494,   550,   284,   470,   550,   284,  5493,  4501,
     284,  5500,   548,  2680,   284,   250,  2683,  2684,   470,   470,
    5505,  4513,   550,   436,   233,  3931,   550,   118,   400,   180,
    4566,   552,   480,  4501,   550,   552,   233,  4583,   549,   342,
     550,   110,   344,   221,   470,  4537,  4538,  4539,   221,   436,
      83,   233,   250,    86,   233,  2722,   493,  4566,   493,   418,
     418,   548,   347,   436,   549,   418,   418,   418,   428,   219,
     219,   284,   284,   284,  4566,   547,   284,   284,   552,   284,
     284,  5656,   115,   284,   212,  4782,   238,    86,   233,   122,
     356,   552,   504,   509,   238,   238,   550,  1332,  1333,   247,
     550,  4593,   345,   550,   536,   537,   538,   550,   540,   541,
     542,   543,   544,   545,   147,   549,   535,   538,   157,   498,
     533,   550,   552,  1358,  4616,   549,  2793,   540,   541,   542,
     543,   544,   545,  4590,   552,  4627,   550,  4090,  5627,   538,
     550,   552,   550,   405,   549,   480,   533,   233,   110,   493,
     290,   470,   493,   540,   541,   542,   543,   544,   545,   274,
     533,   128,   461,   221,   447,  4657,   549,   540,   541,   542,
     543,   544,   545,   480,   242,  4667,  4668,   423,  4670,   470,
     470,   470,  4674,  4675,   418,   418,  4325,  4679,  4680,   470,
     512,  4330,  4684,  4332,   549,  4687,  4688,   470,   398,  5653,
    4692,   550,   550,  2870,   128,  4827,  4698,   461,   233,  4755,
    4756,   499,   223,   550,  4836,  4354,  5701,  4123,  4710,   147,
    2887,   221,   180,   480,   257,   550,  4718,   284,   284,   262,
    4722,   284,   284,  4139,  4373,   549,  4142,   288,   380,   269,
     549,   470,   344,   364,   153,   550,   552,   516,   552,   549,
    4718,  5090,   393,   480,  4722,   461,   552,   552,    83,   428,
    5099,  4753,   244,   180,   238,   549,   299,   470,   550,   548,
     284,   391,   550,   238,   549,  4767,   128,   356,   510,   510,
     287,  2948,   549,  5653,   549,  4742,   550,   550,   354,   287,
     550,   552,   550,  4785,   460,   128,   549,   351,   251,   339,
     538,   238,   470,   480,   147,   268,   263,   256,   334,   128,
    4767,  4803,   334,   346,   461,  2982,  4825,   512,  2985,   538,
    2987,   141,   552,   221,  2991,   550,  2993,  2994,  4820,   284,
     552,   470,   470,  4825,   470,  3002,  3003,  3004,   240,   549,
     187,   238,   110,   262,   339,   428,   110,   493,   235,   233,
    4842,   428,   339,   549,   512,   128,   493,   512,   110,  5844,
     238,   344,   549,   233,   271,   550,  4858,   347,   282,   238,
     391,  4863,   498,  4825,   549,  4832,   550,  4330,  4870,  4332,
     444,   287,    83,   550,   549,    86,   364,   549,   549,    90,
      91,    92,   549,  3060,  4886,   511,   550,   159,   202,   344,
     392,  4354,   110,   436,   221,  4897,   107,   470,   470,   233,
     194,   110,   334,   255,   549,    83,   550,   549,    86,   549,
    4373,   311,    90,    91,    92,  3092,   549,   549,   266,   380,
     549,   428,   549,   180,  3101,   549,  4928,   549,   207,   107,
     550,   508,   550,   110,   348,  5829,   415,   115,    83,   415,
     550,    86,   480,   442,   122,    90,    91,    92,   442,   128,
    3127,  4953,   538,  5948,   128,   110,   150,   549,   549,   549,
     461,   549,   107,   255,   498,  4967,   549,   552,   493,   147,
     233,   327,   461,    83,   549,   344,    86,    80,   461,  3156,
      90,    91,    92,   227,   220,   550,   516,   141,  4990,   549,
     533,  1053,   549,   347,  4996,   141,   202,   540,   541,   542,
     543,   544,   545,    83,   391,   549,   512,   549,  5902,  5903,
      83,   497,  1074,    86,  1076,   552,  1078,    90,    91,    92,
     498,   512,  1084,  1085,  1086,   110,  4050,   431,   238,   389,
    5379,   461,   334,   268,   107,  5037,   207,  5039,   344,   344,
     110,   110,   428,   380,   347,   549,  1108,  1109,   347,   549,
     263,   240,   240,   509,   550,  5404,   128,   552,   192,   470,
    4084,    80,   549,   414,   428,   550,   491,   414,   550,   549,
    5072,   351,    96,   284,   217,   399,   107,   470,   549,   257,
     549,   334,   552,   549,   262,  4501,   238,    83,  5090,   549,
      86,   220,  5094,   414,    90,    91,    92,  5099,   552,   150,
     352,   442,   442,   380,   549,  4129,   284,   285,   240,   512,
     512,   386,   240,  4529,  5116,  5117,  2120,  3041,  5120,  1795,
    1291,   299,  1333,  3405,  2925,  2849,  4330,  3608,  4304,  5844,
    6021,  5840,  2950,  5135,  3820,   346,  4435,  5518,  5699,   284,
    5142,  5948,  4482,    83,  1332,  5147,    86,  5335,  5150,  5151,
      90,    91,    92,  4955,   332,  5157,  5158,  5135,  5307,  3189,
    3525,  5821,  5191,  5935,  5142,  5729,  5170,  4583,   346,  5147,
    5728,   349,  5150,  5863,  1236,  5177,  4825,  5179,  5972,  3529,
    5424,  4530,  4515,  5185,  1929,  5187,  5663,  4473,  4325,  5191,
    3026,  3026,  3634,  1255,  1939,  3871,  5163,  4498,  4991,  5177,
    1329,   346,  5314,  3883,  5322,  3020,  5350,  5950,  1074,  6107,
    1076,   284,  1078,  5191,  6091,  6109,  6110,  5300,  1084,  3823,
    3829,  5876,  2201,  5244,  5479,  5672,   188,  5247,  3405,  5231,
    5232,  1625,  4593,  1295,  5447,  1980,   346,  6038,  1641,  5241,
    2247,  4537,  1108,  1109,  2698,  3503,  1410,  2262,  5590,  2317,
    1009,  2429,  2429,  3761,  2430,  3875,  5312,  4373,   436,  5901,
    5279,  6079,  1176,  4354,  5231,  1946,  2592,  2362,  2584,  4517,
    5619,  2593,  5173,   346,  1043,  4213,  4757,  5279,  5814,  1583,
    3172,  1766,  3422,  5285,  1842,  1819,  2629,  1843,   284,  3437,
    2035,  2603,  5348,  4157,  5806,  5638,  4740,  4142,  4724,  4707,
    5415,  2628,  4718,  4139,  5616,  5615,  4722,  2052,  4214,  4139,
    6085,  1850,  1845,  5919,  6007,  5796,  5382,  5279,  4092,  5161,
    5809,  3359,  5810,  2523,  3269,   536,   537,   538,  3357,   540,
     541,   542,   543,   544,   545,  2526,  5338,  2978,  3928,  4755,
    4756,  3102,   681,  2256,   284,  1465,  5779,   395,  1862,  5351,
     346,  5353,  1055,  2639,  2664,   533,  3399,  1856,   536,   537,
     538,  1253,   540,   541,   542,   543,   544,   545,  1273,  1253,
    1236,  3548,  2680,  5351,   552,  2672,  1637,  5379,  5380,  4220,
    5382,  4741,  5384,  2673,  1250,  1251,  4221,  1769,   428,  1255,
    4182,   536,   537,   538,  3185,   540,   541,   542,   543,   544,
     545,  1860,  5404,  2684,  1569,  2391,   346,     2,  5410,    -1,
    5171,    -1,  5414,  1087,    -1,    -1,    -1,    -1,  5420,    -1,
      -1,    -1,  5424,    -1,    -1,    -1,   536,   537,   538,  1295,
     540,   541,   542,   543,   544,   545,  5414,    -1,    -1,    -1,
      -1,    -1,    -1,  2188,    -1,    -1,    -1,  5796,    -1,  5468,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3639,   536,   537,   538,  5468,   540,   541,   542,
     543,   544,   545,    -1,  5476,    -1,    -1,    -1,    -1,  5481,
    5482,    -1,    -1,    -1,  5486,    -1,    -1,    -1,    -1,    -1,
      -1,  5493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5505,    -1,    -1,  5468,  1569,  1570,    -1,
    1572,  5567,    -1,    -1,    -1,    -1,  3693,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5491,  5492,  1588,    -1,    -1,    -1,
      -1,    -1,  5534,    -1,    -1,    -1,    -1,    -1,  5505,    -1,
     536,   537,   538,    -1,   540,   541,   542,   543,   544,   545,
      -1,    -1,    -1,    -1,    -1,  5557,    -1,    -1,    -1,   131,
      -1,    -1,    -1,    -1,    -1,    -1,  5915,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,  5557,
      -1,    84,    -1,  3760,    -1,    88,  5642,    -1,  5590,  5591,
      -1,    -1,    -1,   165,    -1,    -1,   536,   537,   538,  5601,
     540,   541,   542,   543,   544,   545,    -1,    -1,    -1,    -1,
      -1,  5613,   115,    -1,  5616,    -1,    -1,  5619,    -1,    -1,
      -1,    -1,    -1,   195,    -1,  3802,    -1,    -1,  5630,    -1,
    5279,    -1,  5634,  4657,  5636,    -1,  5638,    -1,  5616,  3816,
      -1,    -1,    -1,  5645,   110,    -1,    -1,  3824,    -1,    -1,
      -1,    -1,   224,  3830,    -1,  6004,    -1,    -1,   161,  3836,
    6009,  3838,  5664,   129,    -1,    -1,    -1,  5645,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5699,    -1,    -1,    -1,    -1,    -1,    -1,   259,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5699,    -1,  5701,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3884,    -1,    -1,
      -1,    -1,    -1,   179,   180,    -1,    -1,    -1,    -1,    -1,
      -1,   187,  1588,   295,    -1,    -1,  5142,  1789,    -1,   232,
      -1,  5147,  1794,  1795,  5150,    -1,  5980,  5699,  3915,  3916,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5750,  2494,
      -1,    -1,    -1,    -1,    -1,    -1,  5758,   329,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3945,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   242,    -1,  5797,    -1,
    5758,    -1,    -1,    -1,    -1,  5787,  5788,  5789,   360,   361,
      -1,    -1,    -1,    -1,  5796,  5797,    -1,    -1,  5800,   265,
      -1,    -1,    -1,    -1,  5806,    -1,    -1,    -1,  1870,    -1,
    1872,  1873,    -1,  5815,    -1,    -1,  5279,    -1,    -1,  5468,
      -1,  5877,    -1,    -1,    -1,  5901,   398,  5829,  5901,  1891,
     402,  5901,  5901,    -1,   406,  5797,  1898,  1899,    -1,    -1,
      -1,    -1,  5844,   415,    -1,  5901,    -1,   313,    -1,    -1,
     316,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,
      -1,   327,    -1,   329,    88,    -1,    -1,    -1,    -1,    -1,
      -1,   443,    -1,  5840,    -1,  5842,    -1,    -1,    -1,   451,
    5882,    -1,    -1,    -1,    -1,  5887,    -1,    -1,    -1,    -1,
      -1,   394,    -1,   359,  5896,    -1,  5312,    -1,    -1,    -1,
    5902,  5903,    -1,  5905,  5980,    -1,  1968,  5980,    -1,    -1,
    5980,  5980,    -1,  5915,    -1,    -1,  1978,    -1,  5896,  5921,
      -1,    -1,  4099,  1789,  5980,    -1,   429,    -1,  1794,  1795,
      -1,   100,  5348,    -1,    -1,   507,    -1,   403,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5948,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,
      -1,    -1,    -1,    -1,  2709,    -1,    -1,    -1,    -1,    -1,
    5972,    -1,  4996,    -1,    -1,  5977,    -1,    -1,    -1,   445,
     149,   447,    -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5972,    -1,    -1,  2059,  5414,  5977,
    2062,  2063,  6004,  6079,    -1,  6007,  6079,  6009,  5424,  6079,
    6079,  6030,   181,    -1,  6016,  1881,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6079,    -1,    -1,    -1,    -1,  6030,    -1,
      -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   215,  6049,    -1,    -1,
    5699,    -1,    -1,  2798,  6021,    -1,    -1,  6059,    -1,    -1,
      -1,    -1,    -1,  6030,    -1,    -1,   235,    -1,  6030,    -1,
      -1,   240,  6091,    -1,  6076,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   549,    -1,    -1,    -1,  6089,  6107,  6091,
      -1,  2836,    -1,    -1,    -1,  2840,    -1,    -1,  6076,    -1,
    2162,    -1,  1968,    -1,    -1,  6107,    -1,  6109,  6110,    -1,
      -1,    -1,  1978,    -1,    -1,    -1,    -1,    -1,  2863,    -1,
      -1,    -1,   291,    -1,  6091,    -1,    -1,    -1,    -1,  6091,
      -1,    -1,    95,    -1,  2879,    -1,    -1,   100,    -1,    -1,
    6107,  5557,    -1,   312,    -1,  6107,    -1,    -1,  5797,    -1,
      -1,  5567,    -1,    -1,  4331,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,  2922,  4355,    -1,
      -1,    -1,    -1,    -1,    -1,   148,  4363,    -1,    -1,  4366,
      -1,  4368,  2254,  2059,    -1,    -1,  2062,  2063,    -1,    -1,
     163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     379,   380,    -1,    -1,   383,    -1,    -1,  2279,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5642,  2289,    -1,  2291,
      -1,    -1,    -1,  4410,    -1,  2297,  5699,    -1,    -1,  2301,
     409,   204,    -1,   412,    -1,    -1,  4423,    -1,    -1,   418,
    4427,  4428,   215,  4430,    -1,    -1,   425,    -1,  4435,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,   235,    83,    -1,    -1,    86,   240,  3023,    -1,
      90,    91,    92,    -1,   453,    -1,    -1,    -1,  2350,   458,
      -1,  2353,   461,    -1,    -1,    -1,  2162,   107,    -1,    -1,
     110,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,
      -1,   480,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    83,    -1,    -1,    86,    -1,    -1,    -1,    90,
      91,    92,    -1,    -1,  5797,    -1,   505,   147,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   107,    -1,    -1,   312,
      -1,    -1,    -1,    -1,   115,    -1,  4533,    -1,    -1,    -1,
    5384,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     883,  6030,    -1,   346,   887,    -1,   147,    -1,  2450,  2451,
    4567,  4568,  4569,  4570,  4571,  2457,  2458,   900,   901,    -1,
    5424,    -1,    -1,    -1,    -1,   908,    -1,   910,   911,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   379,   380,    -1,    -1,
      -1,   924,    -1,    -1,  2486,    -1,    -1,    -1,    -1,  4606,
    4607,  4608,    -1,  4610,  4611,  4612,  4613,  4614,    -1,    -1,
      -1,    -1,  6091,    -1,    -1,    -1,    -1,   257,    -1,   412,
      -1,    -1,   262,    -1,    -1,   418,    -1,    -1,  6107,    -1,
     963,  5877,   425,    -1,    -1,   428,   969,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   284,   285,    -1,    -1,    -1,   982,
    2542,    -1,    -1,    -1,    -1,  5901,    -1,    -1,    -1,   299,
      -1,    -1,    -1,    -1,    -1,   458,   257,    -1,    -1,    -1,
      -1,   262,   465,    -1,    -1,  1008,    -1,    -1,    -1,    -1,
     473,    -1,    -1,    -1,    -1,    -1,    -1,   480,    -1,    -1,
    1023,  1024,   332,   284,   285,    -1,    -1,  1030,    -1,  1032,
    1033,    -1,    -1,    -1,    -1,    -1,   346,    -1,   299,   349,
      -1,    -1,   505,  1046,    -1,    -1,    -1,    -1,    -1,    -1,
    2612,  2613,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1062,
      -1,    -1,  4739,    -1,  5980,  4742,  4743,  6030,    -1,    -1,
      -1,   332,  3317,    -1,    -1,    -1,    -1,    -1,  3323,    -1,
      -1,    -1,    -1,    -1,    -1,   346,    -1,    -1,   349,  5613,
    4767,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2660,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5630,    -1,  1019,    -1,
    5634,    -1,  5636,    -1,    -1,    -1,    -1,    -1,  2680,    -1,
      -1,  2683,  2684,    -1,    -1,    -1,   436,    -1,  6091,    -1,
      -1,    -1,    -1,    -1,  1045,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6107,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1161,    -1,
    2722,    -1,    -1,  6079,    -1,    83,    -1,    -1,    86,    -1,
      -1,    -1,    90,    91,    92,   436,    -1,   901,    -1,  1182,
      -1,    -1,    -1,    -1,    -1,    -1,   910,    -1,    -1,   107,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
     924,   138,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   533,    -1,    -1,   536,   537,   538,   147,
     540,   541,   542,   543,   544,   545,    -1,    -1,    -1,   963,
      -1,    -1,    -1,    -1,    -1,   969,    -1,  1250,  1251,  4926,
    4927,    -1,    -1,    -1,  2816,    -1,    -1,    -1,   982,    -1,
    4937,    -1,  4939,  4940,    -1,    -1,  4943,    -1,    -1,    -1,
      -1,    -1,   533,    -1,    -1,   536,   537,   538,    -1,   540,
     541,   542,   543,   544,   545,    -1,    -1,    -1,    -1,    -1,
      -1,   552,    -1,    -1,  2660,    -1,    83,    -1,  2664,    86,
      -1,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2680,    -1,    -1,    -1,    -1,    -1,
     107,    -1,    -1,    -1,    -1,  5002,    -1,    -1,   115,    -1,
      -1,    -1,    -1,    -1,  2896,   122,    -1,    -1,    -1,   257,
      -1,    -1,  2904,    -1,   262,  2907,    -1,    -1,    -1,    -1,
      -1,   110,    -1,    -1,    -1,  1358,  2722,    -1,    -1,  5036,
     147,    -1,    -1,    -1,    -1,    -1,   284,   285,    -1,    -1,
      -1,    -1,   131,  1376,    -1,    -1,    -1,    -1,    -1,  1382,
      -1,   299,  1385,    -1,    -1,    -1,    -1,    -1,  3633,  3634,
    3635,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    84,
      -1,  5078,    -1,    88,    -1,    -1,   165,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   346,    -1,
     115,   349,    83,    -1,    -1,    86,    -1,    -1,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   107,    -1,    -1,    -1,
      -1,  1372,    -1,    -1,   115,   224,    -1,    -1,    -1,    -1,
     257,   122,    -1,    -1,    -1,   262,   161,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    83,    -1,  1397,    86,    -1,    -1,
      -1,    90,    91,    92,    -1,    -1,   147,   284,   285,    -1,
     259,  1412,    -1,    -1,    -1,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   299,    -1,    -1,    -1,   115,    -1,   436,    -1,
      -1,    -1,    -1,   122,   209,    -1,  1250,  1251,    -1,    -1,
    2896,   290,   217,    -1,   219,    -1,   295,    -1,  2904,  1542,
      -1,  2907,    -1,    -1,    -1,   332,    -1,   232,   147,    -1,
      -1,    -1,    -1,    -1,  5231,    -1,    -1,  1560,    -1,   346,
      -1,    -1,   349,    -1,  3126,  3127,    -1,    -1,    -1,    -1,
     329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3829,  1588,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5274,    -1,    -1,
      -1,    -1,   361,    -1,    -1,    -1,   257,    -1,    -1,    -1,
      -1,   262,    -1,    -1,    -1,   533,    -1,    -1,   536,   537,
     538,  1624,   540,   541,   542,   543,   544,   545,    -1,    -1,
    3875,    -1,   550,   284,   285,    -1,   131,  1640,    -1,    -1,
    3202,    -1,    -1,   402,    -1,    -1,    -1,   406,   299,   436,
      -1,    -1,  1655,    -1,    -1,  1658,   415,    -1,   257,    -1,
      -1,    -1,    -1,   262,   423,    -1,    -1,    -1,    97,    -1,
     165,    -1,   431,    -1,   103,    -1,    -1,    -1,    -1,    -1,
      -1,   332,    -1,    -1,   443,   284,   285,   116,    -1,    -1,
      -1,    -1,   451,    -1,    -1,   346,    -1,    -1,   349,    -1,
     299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,
      -1,    -1,    -1,    -1,   473,    -1,   145,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1638,    -1,   224,
      -1,    -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   429,    -1,   533,   346,   507,   536,
     537,   538,   511,   540,   541,   542,   543,   544,   545,    -1,
      -1,    -1,    -1,   550,   259,    -1,   195,    -1,    -1,    -1,
     199,    -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,
     209,    -1,    -1,  1786,    -1,   436,    -1,    -1,    -1,    -1,
      -1,  1794,  1795,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     295,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    -1,  5491,  5492,    -1,    -1,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5505,    -1,
      -1,   116,  5509,    -1,   329,    -1,  3202,   436,  3400,   268,
      -1,  3403,  5519,  3405,    -1,  4090,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1860,  1861,  1862,
     145,    -1,    -1,    -1,    -1,    -1,   361,  3429,  3430,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1881,    -1,
      -1,    -1,   533,    -1,    -1,   536,   537,   538,    -1,   540,
     541,   542,   543,   544,   545,    -1,    -1,    -1,   327,   550,
     329,    -1,    -1,    -1,    -1,    -1,    -1,   402,  1911,   404,
     339,   406,   197,    -1,   199,    -1,  1919,    -1,    -1,   348,
     415,   206,    -1,    -1,   209,    -1,  1929,    -1,   423,    -1,
      -1,   360,    -1,    -1,   533,    -1,   431,   536,   537,   538,
      -1,   540,   541,   542,   543,   544,   545,    -1,   443,   234,
      -1,    -1,    -1,    -1,   891,    -1,   451,    -1,    83,    -1,
      -1,    86,    -1,   900,    -1,    90,    91,    92,    -1,   398,
      -1,   908,   401,   402,   911,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   107,   268,    -1,    -1,    -1,    -1,    -1,    -1,
     115,    -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,   431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   507,    -1,   951,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   147,    -1,  5701,    -1,    -1,    -1,  5705,    -1,
    5707,    -1,    -1,    -1,  5711,  5712,    -1,    -1,    -1,  3405,
      -1,    -1,   327,    -1,   329,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   348,    -1,    -1,    -1,   496,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   360,  1013,    -1,    -1,    -1,
    4325,    -1,    -1,    -1,    -1,  4330,  1023,  4332,    -1,    -1,
      -1,    -1,    -1,  1030,    -1,    -1,  1033,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4354,
      -1,  1480,    -1,   398,  2025,  2118,   401,   402,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4373,    -1,
      -1,    -1,   257,    -1,    -1,    -1,    -1,   262,  1507,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   431,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1881,    97,   284,
     285,  1530,    -1,  5840,   103,  5842,    -1,    -1,    -1,    -1,
      -1,  1540,    -1,    -1,   299,  1544,    -1,   116,    -1,  1548,
      -1,  1550,    -1,    -1,    -1,  2188,    -1,  1556,    -1,    -1,
      -1,    -1,    -1,  1562,    -1,    -1,  1565,    -1,   883,    -1,
      -1,    -1,   887,    -1,    -1,    -1,   145,   332,    -1,  2212,
      -1,   496,    -1,    -1,    -1,    -1,   901,  2220,    -1,    -1,
      -1,   346,    -1,    -1,   349,   910,    -1,    -1,    -1,  2232,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   924,
      -1,    -1,    -1,    -1,  2155,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   197,    -1,
     199,  2172,  3824,    -1,    -1,    -1,    -1,   206,  3830,    -1,
     209,  5948,    -1,    -1,    -1,    -1,    -1,    -1,   963,    -1,
      -1,    -1,  2193,    -1,   969,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3854,    83,    -1,   234,    86,   982,    -1,    -1,
      90,    91,    92,  2306,  2307,    -1,  2309,  2310,    -1,    -1,
      -1,   436,    -1,    -1,    -1,    -1,    -1,   107,  2321,    -1,
    2323,  2324,    -1,  1008,    -1,   115,    -1,    -1,    -1,   268,
      -1,    97,   122,  2336,  2337,    -1,    -1,   103,  2249,  1024,
      -1,    -1,    -1,    -1,  6021,    -1,    -1,  1032,    -1,    -1,
      -1,    -1,    -1,  6030,    -1,    -1,    -1,   147,  2269,  2362,
      -1,  1046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2281,    -1,    -1,    -1,    -1,    -1,  3938,  1062,    -1,   145,
      -1,    -1,  2293,  3945,    -1,    -1,    -1,    -1,   327,    -1,
     329,    -1,    -1,    -1,  2118,    -1,    -1,    -1,    -1,  2402,
     339,    -1,  2405,  2406,    -1,    -1,    -1,    -1,   533,   348,
      -1,   536,   537,   538,  6091,   540,   541,   542,   543,   544,
     545,   360,  2333,  2334,    -1,   550,    -1,    -1,  1365,    -1,
    6107,    -1,    -1,   199,    -1,    -1,    -1,    -1,    -1,  1376,
     206,    -1,    -1,   209,    -1,  1382,    -1,    -1,  1385,    -1,
      -1,    -1,    -1,    -1,    -1,  4017,    -1,    -1,  3824,   398,
      -1,    -1,   401,   402,  3830,    -1,    -1,   257,   234,    -1,
      -1,    -1,   262,    -1,  1159,    -1,  1161,    -1,  1163,    -1,
      -1,    -1,    -1,    -1,   110,    -1,    -1,    -1,  2212,    -1,
      -1,  2494,   431,    -1,   284,   285,  2220,  1182,    -1,    -1,
      -1,    -1,   268,    -1,    -1,   131,    -1,    -1,  2232,   299,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1456,
    1457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,
      -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   346,   496,    -1,   349,
      -1,   327,    -1,   329,    -1,  1250,  1251,    -1,    -1,    -1,
      -1,    -1,    -1,   339,    -1,    -1,    -1,    -1,  2489,  2582,
    4825,    -1,   348,    -1,    -1,    -1,  2310,    -1,    -1,    -1,
      -1,    -1,    -1,    83,   360,    -1,    86,    -1,   224,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2337,    -1,    -1,    -1,   107,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,
      -1,    -1,   122,   259,    -1,   401,   402,    -1,    -1,  2642,
      -1,  2644,    -1,    -1,    -1,    -1,   436,  1332,  1333,    -1,
      -1,  4017,    -1,    -1,    -1,  4217,    -1,   147,    -1,    -1,
      -1,  2664,    -1,    -1,   290,   431,    -1,    -1,    -1,   295,
      -1,    -1,    -1,  1358,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2686,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2704,    -1,   329,    -1,    -1,  2709,  2710,    -1,    -1,
      -1,  2714,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2722,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     496,    -1,    -1,    -1,    -1,   361,    -1,  2740,    -1,    -1,
      -1,    -1,    -1,   533,    -1,    -1,   536,   537,   538,    -1,
     540,   541,   542,   543,   544,   545,    -1,    -1,    -1,  2762,
     550,    -1,  2765,  2766,    -1,    -1,    -1,   257,    -1,  4331,
      -1,    -1,   262,    -1,    -1,    -1,   402,    -1,    -1,    -1,
     406,    -1,    -1,  2786,    -1,    -1,    -1,    -1,    -1,   415,
      -1,    -1,    -1,  4355,   284,   285,    -1,   423,    -1,    -1,
    4362,  2804,  2805,    -1,    -1,   431,    -1,    -1,    -1,   299,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   451,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2836,  2837,    -1,    -1,  2840,    -1,    -1,
      -1,    -1,   332,    -1,    -1,    -1,    -1,   473,  2759,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   346,  1542,  2861,   349,
    2863,    -1,  2773,    -1,    -1,  2868,    -1,    -1,    -1,    -1,
      -1,  2874,    -1,    -1,    -1,  1560,    -1,    -1,  2881,  4441,
    4442,   507,  2885,    -1,    -1,   511,    -1,  2890,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2813,  1588,    -1,    -1,    -1,  2910,    -1,    -1,
      -1,    -1,  2915,    -1,    -1,    -1,  2919,    -1,    -1,  2922,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2932,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1624,
    2664,    -1,  2945,  2312,    -1,    -1,   436,    -1,    -1,    -1,
      -1,  2320,  2955,    -1,    -1,  1640,    -1,    -1,    -1,    -1,
      -1,    -1,  2686,    -1,    -1,  4331,    -1,    -1,    -1,    -1,
    1655,  2340,    -1,  1658,    -1,    -1,    -1,    -1,    -1,    -1,
    2704,    -1,    -1,    -1,    -1,    -1,  2710,    -1,    -1,  4355,
    2714,    -1,    -1,    -1,    -1,    -1,  4362,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4567,  4568,  4569,  4570,  4571,
      -1,    -1,    -1,    -1,    -1,    -1,  2740,    -1,    -1,    -1,
    3023,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4590,    -1,
      -1,    -1,    -1,    -1,  5279,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   533,    -1,    -1,   536,   537,   538,    -1,
     540,   541,   542,   543,   544,   545,    -1,    -1,    -1,    -1,
     550,    -1,  2786,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    -1,    -1,    -1,
    2804,    -1,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    -1,    -1,    -1,    -1,    -1,   103,  3101,    -1,
      -1,  1786,    -1,  3014,   110,    -1,    -1,    -1,    -1,  1794,
    1795,    -1,    -1,  2837,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   129,   145,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2861,    -1,   145,
      -1,    -1,    -1,    -1,  2868,    -1,    -1,    -1,    -1,    -1,
    2874,    -1,    -1,  3156,    -1,    83,    -1,  2881,    86,    -1,
      -1,  2885,    90,    91,    92,    -1,  2890,    -1,    -1,    -1,
      -1,    -1,    -1,   179,   195,  1860,  1861,  1862,   199,   107,
    4742,    -1,    -1,    -1,    -1,   206,  2910,   115,   209,    -1,
      -1,  2915,    -1,   199,   122,  2919,  1881,    -1,    -1,    -1,
     206,    -1,    -1,   209,    -1,  4767,    -1,  3210,  2932,    -1,
      -1,    -1,  2581,   234,    -1,    -1,    -1,    -1,   131,   147,
      -1,  2945,    -1,  5468,  4590,  3228,  1911,    -1,   234,    83,
      -1,  2955,    86,  3236,  1919,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,  3246,  1929,    -1,  3249,   268,    -1,  3252,
      -1,    -1,   165,   107,  1939,    -1,    -1,    -1,    -1,   265,
      -1,   115,   268,    -1,    -1,  4827,    -1,    -1,   122,    -1,
    4832,    -1,    -1,    -1,  4836,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   147,    -1,  1980,    -1,    -1,    -1,  4861,
    4862,    -1,    -1,    -1,  4866,  4867,   327,   313,   329,    -1,
     316,   224,    -1,    -1,  3317,  3226,    -1,    -1,   339,    -1,
    3323,   327,    -1,   329,    -1,  2262,    -1,   348,  2265,   257,
      -1,    -1,  3243,   339,   262,    -1,    -1,    -1,    -1,   360,
      -1,    -1,   348,    -1,    -1,    -1,   259,  3258,    -1,    -1,
    2035,    -1,    -1,   359,   360,    -1,   284,   285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2052,    -1,  2306,
    2307,   299,    -1,    -1,    -1,    -1,    -1,   398,    -1,    -1,
     401,   402,   295,    -1,  2321,    -1,    -1,  2324,    -1,    -1,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,    -1,    -1,
      -1,    -1,  3405,   257,   332,    -1,    -1,    -1,   262,    -1,
     431,    -1,    -1,    -1,    -1,    -1,   329,    -1,   346,   425,
      -1,   349,    -1,    -1,    -1,   431,    -1,    -1,    -1,    -1,
     284,   285,    -1,  2118,    -1,    -1,    -1,    -1,    -1,   445,
      -1,    -1,    -1,    -1,    -1,   299,    -1,   360,   361,    -1,
      -1,    -1,    -1,    -1,  5699,    -1,    -1,    -1,    -1,    -1,
      -1,  4827,    -1,    -1,    -1,  2402,  4832,    -1,  2405,  2406,
    4836,    -1,    -1,    -1,    -1,   496,    -1,    -1,   332,    -1,
      -1,    -1,    -1,    -1,    -1,   398,  3210,    -1,    -1,   402,
     496,    -1,   346,   406,    -1,   349,    -1,    -1,    -1,    -1,
      -1,    -1,   415,  2188,  3228,    -1,    -1,    -1,   436,    -1,
     423,    -1,  3236,    -1,    -1,  3518,  3519,    -1,   431,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2212,    -1,    -1,
     443,    -1,    -1,    -1,    -1,  2220,    -1,    -1,   451,    -1,
      -1,    -1,  3545,    -1,    -1,  3548,    -1,  2232,    -1,    88,
      -1,    -1,  5797,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,
      -1,    -1,   436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,    -1,    -1,    -1,    -1,    -1,
      -1,  5163,    -1,    -1,    -1,   533,    -1,    -1,   536,   537,
     538,   216,   540,   541,   542,   543,   544,   545,    -1,    -1,
     548,    -1,   161,   228,  2309,  2310,    -1,    -1,   233,    -1,
    3633,  3634,  3635,   238,    -1,    -1,    -1,    -1,  2323,   244,
      -1,  3552,   247,    -1,    -1,    -1,   251,    -1,    -1,    -1,
      -1,  2336,  2337,    -1,  3657,    -1,    -1,    -1,    -1,    97,
    3571,    -1,    -1,    -1,    -1,   103,    -1,    -1,    -1,  5231,
     209,    -1,    -1,    -1,  3677,   280,    -1,  2362,   217,   533,
     219,    -1,   536,   537,   538,    -1,   540,   541,   542,   543,
     544,   545,  3695,   232,    -1,   300,   550,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   341,    -1,    -1,   344,
    3109,    -1,    -1,    -1,    -1,   350,    -1,  3116,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3667,    -1,  3669,    -1,
      -1,   199,    -1,    -1,  3133,    -1,    -1,    -1,   206,    -1,
      -1,   209,    -1,    -1,  3143,  3778,    -1,  3146,    -1,  3148,
    3149,    -1,    -1,  3152,    -1,  6030,    -1,    -1,    -1,  3158,
      -1,  3160,    -1,  1019,  3163,    -1,   234,    -1,    -1,    -1,
     405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2494,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2755,  1045,
      -1,  3545,    -1,    -1,    -1,  2762,  3829,    -1,  2765,  2766,
     268,    -1,    -1,  3836,    83,  3838,    -1,    86,    -1,    -1,
      -1,    90,    91,    92,    -1,    -1,  6091,  3758,  3851,    -1,
    3853,    -1,    -1,   458,    -1,    -1,    -1,    -1,   107,    -1,
      -1,    -1,  6107,    -1,    -1,  5231,   115,    -1,    -1,  3238,
      -1,    -1,  3875,   122,    -1,    -1,    -1,    -1,    -1,    -1,
     485,    -1,    -1,    -1,    -1,    -1,  3797,    -1,    -1,   327,
      -1,   329,    -1,    -1,    -1,    -1,    -1,  2582,   147,    -1,
      -1,   339,    -1,    -1,   509,    -1,   511,   512,    -1,    -1,
     348,    -1,    -1,  3916,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   360,    -1,    -1,    -1,    -1,    -1,    -1,  5491,
    5492,    -1,    -1,  3657,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   547,  5505,    -1,   550,   551,    -1,   553,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2642,    -1,  2644,
     398,    -1,  3965,   401,   402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2664,
      -1,    -1,  3985,    -1,    -1,    -1,    -1,    -1,  3899,    -1,
      -1,    -1,    -1,   431,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2686,    -1,    -1,  4007,    -1,    -1,  4010,   257,    -1,
      -1,    -1,    -1,   262,    -1,    -1,    -1,    -1,    -1,  2704,
      -1,    -1,  3933,    -1,  2709,  2710,    -1,    -1,    -1,  2714,
      -1,    -1,    -1,    -1,    -1,   284,   285,  2722,    -1,  5601,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     299,    -1,    -1,    -1,  3778,  2740,    -1,    -1,   496,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   131,    -1,   332,    -1,    -1,    -1,  4090,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   346,    -1,    -1,
     349,  2786,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2798,    -1,   165,    -1,    -1,    -1,  2804,
    2805,    -1,  4033,    -1,    -1,  5491,  5492,    97,    -1,  5691,
      -1,    -1,    -1,   103,    -1,    -1,    -1,    -1,    -1,  5505,
      -1,    -1,    -1,  4054,    -1,   195,  1372,    -1,    -1,    -1,
      -1,  2836,  2837,    -1,    -1,  2840,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3534,    -1,    -1,  4079,    -1,
      -1,  1397,    -1,    -1,   224,   145,  2861,    -1,  2863,    -1,
      -1,    -1,    -1,  2868,    -1,    -1,  1412,   436,    -1,  2874,
      -1,    -1,    -1,    -1,  2879,    -1,  2881,    -1,    -1,    -1,
    2885,    -1,  4113,    -1,    -1,  2890,    -1,    -1,    -1,   259,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2910,    -1,    -1,    -1,   199,
    2915,    -1,    -1,    -1,  2919,  5601,   206,  2922,    -1,   209,
      -1,  3965,    -1,    -1,    -1,   295,    -1,  2932,    -1,  3618,
      -1,  3620,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2945,  3985,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,
    2955,  4274,    -1,    -1,    -1,    -1,  1502,    -1,  5840,   329,
    5842,    -1,    -1,    -1,   533,    -1,  4010,   536,   537,   538,
      -1,   540,   541,   542,   543,   544,   545,    -1,   268,    -1,
      -1,   550,    -1,  3240,    -1,    -1,    -1,    -1,    -1,  3246,
     360,   361,  3249,    -1,    -1,  3252,    -1,    -1,    -1,    -1,
      -1,    -1,  4325,    -1,    -1,    -1,    -1,  4330,    -1,  4332,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3023,    -1,
      -1,    -1,    -1,    -1,   883,    -1,    -1,    -1,   398,    -1,
      -1,  4354,   402,    -1,    -1,    -1,   406,   327,    -1,   329,
      -1,    -1,   901,    -1,    -1,   415,    -1,    -1,    -1,   339,
    4373,   910,    -1,   423,    -1,    -1,    -1,    -1,   348,    -1,
      -1,   431,    -1,    -1,    -1,   924,  4389,    -1,  3757,  4392,
     360,    -1,    -1,   443,  3763,    -1,    -1,    -1,    -1,    -1,
      -1,   451,    95,    97,    -1,    -1,    -1,   100,    -1,   103,
      -1,    -1,  1638,    -1,    -1,    -1,  3101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   963,    -1,    83,    -1,   398,    86,
     969,   401,   402,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,   135,   982,    -1,    -1,    -1,    -1,    -1,    -1,
     107,   145,    -1,    -1,  3391,   148,   149,   507,   115,  6021,
      -1,   431,    -1,    -1,    -1,   122,   159,    -1,  6030,  1008,
     163,  3156,    -1,    -1,  5840,    -1,  5842,    -1,    -1,    -1,
      -1,  4484,  4485,    -1,    -1,  1024,    -1,    -1,   181,    -1,
     147,  4494,    -1,  1032,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   199,    -1,  1046,    -1,    -1,
    4513,   204,   206,    -1,  3451,   209,    -1,    -1,    -1,    -1,
      -1,    -1,   215,  1062,    -1,  3210,   496,    -1,    -1,  6091,
     223,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     234,    -1,   235,  3228,    -1,  6107,    -1,   240,    -1,    -1,
    4274,  3236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4566,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    83,   266,   268,    86,    -1,  4488,    -1,    90,
      91,    92,    -1,    -1,  3953,    -1,  3955,    -1,  3957,    -1,
    4593,    -1,    -1,    -1,    -1,    -1,   107,  3966,   291,    -1,
     257,    -1,    -1,    -1,   115,   262,    -1,    -1,    -1,    -1,
      -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,
    1159,    -1,  1161,    -1,  1163,    -1,    -1,   284,   285,    -1,
      -1,    -1,  3317,   327,    -1,   329,   147,    -1,  3323,    -1,
    4009,    -1,   299,    -1,    -1,   339,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   346,   348,  6021,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4389,   360,    -1,  4392,    -1,
      -1,    -1,    -1,    -1,    -1,   332,   369,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   379,   380,    -1,   346,
     383,    -1,   349,    -1,    -1,    -1,    -1,  1923,    -1,    -1,
      -1,    -1,    -1,    -1,   398,    -1,    -1,   401,   402,    -1,
      -1,  1250,  1251,    -1,    -1,    -1,   409,    -1,    -1,   412,
    3405,    -1,    -1,   416,    -1,   418,    -1,    -1,    -1,    -1,
      -1,    -1,   425,    -1,    -1,   428,    -1,   431,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,
      -1,   262,    -1,    -1,   447,    -1,    -1,    -1,    -1,    -1,
     453,    -1,  1988,    -1,    -1,   458,    -1,    -1,   461,  4680,
    4494,    -1,   465,   284,   285,    -1,    -1,    -1,    -1,   436,
     473,    -1,   475,    -1,    -1,    -1,    -1,   480,   299,  4513,
      -1,    -1,    -1,  1332,  1333,    -1,    -1,    -1,    -1,  2025,
      -1,    -1,   496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   505,    -1,    -1,    -1,    -1,  4820,    -1,  1358,
      -1,   332,  4825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2058,  3518,  3519,   346,    -1,    -1,   349,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4858,    -1,    -1,    -1,    -1,
    3545,    -1,    -1,  3548,    -1,    -1,    -1,  4870,    -1,  4593,
      -1,    -1,    -1,    -1,    -1,    -1,   533,    -1,    -1,   536,
     537,   538,    -1,   540,   541,   542,   543,   544,   545,    -1,
      -1,    -1,  4803,   550,  4897,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,    -1,    -1,    -1,  2155,
      -1,  4842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2172,    -1,  3633,  3634,
    3635,    -1,  4863,    -1,    -1,  2181,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2193,    -1,    -1,
      -1,    -1,  3657,    -1,    -1,    -1,    83,    -1,    -1,    86,
      -1,    -1,    -1,    90,    91,    92,    -1,  4990,    -1,    -1,
      -1,    -1,  3677,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     107,    -1,    -1,  1542,    -1,    -1,    -1,    -1,   115,    -1,
    3695,    -1,    -1,    -1,    -1,   122,    -1,  4928,    -1,    -1,
      -1,  1560,   533,  2249,    -1,   536,   537,   538,    -1,   540,
     541,   542,   543,   544,   545,    -1,    -1,    -1,    -1,   550,
     147,    -1,    -1,  2269,    -1,    -1,    -1,    -1,    -1,  1588,
      -1,    -1,    -1,    -1,    -1,  2281,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2293,    -1,  5072,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1624,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3778,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1640,    -1,    -1,    -1,    -1,    -1,  2333,  2334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1655,    -1,    -1,  1658,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5039,    -1,
      -1,    -1,    -1,    -1,  4858,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3829,    -1,  4870,    -1,    -1,    -1,
     257,  3836,    -1,  3838,    -1,   262,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3851,    -1,  3853,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,   285,    -1,
      -1,    -1,  5185,  5094,  5187,    -1,    -1,    -1,    -1,    -1,
    3875,    -1,   299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4139,    -1,    -1,  4142,    -1,    -1,    -1,  4578,
      -1,    -1,    -1,  4582,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   332,    -1,    -1,    -1,  5232,
      -1,  3916,    -1,    -1,    -1,    -1,    -1,    -1,  5241,   346,
      -1,    -1,   349,    -1,    -1,    -1,    -1,  1786,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1794,  1795,    -1,    -1,    -1,
      -1,    -1,    -1,  2489,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5279,    -1,    -1,    -1,
    3965,    -1,  5285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3985,    -1,    -1,    -1,    -1,    -1,  4243,    -1,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1860,  4007,    -1,    -1,  4010,    -1,    -1,    24,   436,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    34,    35,
      -1,    -1,  1881,    39,    -1,    41,    42,    -1,  5072,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    -1,    -1,    84,    -1,
    1929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1939,    -1,    -1,    -1,    -1,  4090,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    -1,    -1,    -1,    -1,    -1,   103,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   533,    -1,    -1,   536,
     537,   538,  4801,   540,   541,   542,   543,   544,   545,    -1,
      -1,  1980,   138,   550,   129,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     145,  5185,    -1,  5187,    -1,  5468,    -1,  2693,    -1,  5380,
      -1,  2697,  2698,    -1,  4843,  4844,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5493,    -1,    -1,    -1,   179,    -1,  2035,    -1,    -1,    -1,
      -1,    -1,  5505,    -1,    -1,    -1,    -1,    -1,    -1,  5420,
      -1,    -1,    -1,  2052,   199,    -1,    -1,   213,    -1,    -1,
      -1,   206,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2759,    -1,   231,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2773,    -1,   234,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,
    4929,  4930,    -1,    -1,  4501,  5476,    -1,    -1,    -1,    -1,
    5481,  5482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2118,
     265,    -1,   278,   268,    -1,    -1,    -1,  2813,    -1,  4274,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,   313,    -1,
      -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,   334,    -1,
    4325,    -1,   327,    -1,   329,  4330,    -1,  4332,    -1,  2188,
      -1,    -1,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   348,    -1,    -1,    -1,    -1,    -1,  4354,
      -1,    -1,    -1,  2212,   359,   360,    -1,  5046,    -1,    -1,
    5591,  2220,    -1,    -1,    -1,    -1,  5055,  5056,  4373,    -1,
      -1,    -1,    -1,  2232,    -1,    -1,  5699,    -1,  5701,    -1,
      -1,    -1,  5071,    -1,  4389,    -1,    -1,  4392,    -1,    -1,
      -1,    -1,    -1,   398,    -1,    -1,   401,   402,   403,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     425,    -1,    -1,    -1,    -1,    -1,   431,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2309,  2310,    -1,    -1,   470,    -1,    -1,    -1,    -1,    -1,
      -1,  4718,    -1,    -1,  2323,  4722,    -1,    -1,  3014,   485,
      -1,    -1,    -1,    -1,  5797,    -1,    -1,  2336,  2337,  4484,
    4485,    -1,    -1,    -1,   500,    -1,    -1,    -1,    -1,  4494,
      -1,   496,  5815,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2362,    -1,    -1,  5829,    -1,  4513,    -1,
      -1,    -1,    -1,    -1,   530,    -1,    -1,    -1,    -1,    -1,
      -1,  5844,   538,    -1,   540,   541,   542,   543,   544,    -1,
      -1,   547,   548,   549,   550,    -1,   552,   553,   554,   555,
     556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3096,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5800,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5902,
    5903,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4593,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,
      -1,    -1,    -1,    -1,    -1,  5948,    -1,    -1,    -1,    34,
      35,    -1,    -1,    -1,    -1,  2494,    41,    42,    -1,    -1,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    -1,    -1,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    -1,    -1,    84,
    3226,    -1,    -1,    -1,    -1,    -1,  5375,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6030,    -1,    -1,
    4967,    -1,  3258,    -1,    -1,    -1,    -1,    83,    -1,    -1,
      86,    -1,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,
    5449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6091,    -1,
      -1,  5815,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   147,    -1,    -1,  6107,    -1,  6109,  6110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2664,    -1,    -1,   213,    -1,
      -1,    93,  5501,    -1,    -1,  4820,    -1,    -1,    -1,    -1,
    4825,    -1,    -1,    -1,    -1,    -1,   231,  2686,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2704,    -1,    -1,   130,   254,
    2709,  2710,    -1,  4858,    -1,  2714,   138,    -1,    -1,    -1,
      -1,    97,    -1,  2722,    -1,  4870,    -1,   103,    -1,    -1,
     152,    -1,    -1,   278,    -1,    -1,    -1,    -1,  5135,    -1,
      -1,  2740,    -1,    -1,    -1,  5142,    -1,    -1,   170,    -1,
    5147,   257,  4897,  5150,  5151,    -1,   262,    -1,    -1,    -1,
      -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,    -1,   145,
     315,   193,    -1,   318,    -1,    -1,    -1,    -1,   284,   285,
    5177,    -1,    -1,    -1,    -1,    -1,   208,  2786,   210,   334,
      -1,    -1,   214,   299,  5191,    -1,    -1,    -1,    -1,  2798,
      -1,    -1,   224,    -1,    -1,  2804,  2805,  3493,    -1,    -1,
    3496,   233,  3498,    -1,    -1,    -1,    -1,  3503,    -1,    -1,
      -1,    -1,    -1,   199,    -1,    -1,   332,    -1,    -1,    -1,
     206,    -1,    -1,   209,    -1,    -1,    -1,  2836,  2837,    -1,
     346,  2840,    -1,   349,  5241,  4990,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   234,    -1,
      -1,    -1,  2861,    -1,  2863,    -1,  3552,    -1,    -1,  2868,
      -1,    -1,    -1,    -1,    -1,  2874,    -1,   422,    -1,    -1,
    2879,    -1,  2881,    -1,    -1,  3571,  2885,    -1,  5285,    -1,
      -1,  2890,   268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3596,  2910,    -1,    -1,    -1,    -1,  2915,    -1,    -1,    -1,
    2919,    -1,    -1,  2922,    -1,   470,    -1,  5072,    -1,    -1,
     436,    -1,    -1,  2932,    -1,    -1,    -1,    -1,    -1,    -1,
     485,    -1,    -1,    -1,    -1,    -1,  2945,    -1,    -1,    -1,
      -1,   327,    -1,   329,  5351,   500,  2955,    -1,    -1,    -1,
      -1,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3667,    -1,  3669,   360,   530,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   538,    -1,   540,   541,   542,   543,   544,
      -1,    -1,   547,   548,   549,    -1,    -1,    -1,    -1,   554,
     555,    -1,    -1,    -1,    -1,    -1,    -1,  5414,    -1,    -1,
      -1,    -1,   398,    -1,  3023,   401,   402,   533,    -1,    -1,
     536,   537,   538,    -1,   540,   541,   542,   543,   544,   545,
    5185,    -1,  5187,    -1,   550,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    -1,    -1,   431,    -1,    -1,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3758,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5232,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     145,  5930,  3101,    -1,    -1,    -1,    -1,    -1,    97,    83,
      -1,  3797,    86,    -1,   103,    -1,    90,    91,    92,    -1,
     496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   107,  5279,    -1,    -1,  5534,  3824,    -1,
      -1,   115,    -1,    -1,  3830,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,   199,    -1,   145,  3156,    -1,    -1,
    5557,   206,    83,    -1,   209,    86,    -1,    -1,    -1,    90,
      91,    92,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   107,    -1,    -1,   234,
      -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,    -1,
      -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     199,  3210,    -1,  3899,    -1,    -1,    -1,   206,    -1,  5616,
     209,    -1,    -1,   268,    -1,    -1,   147,    -1,    -1,  3228,
      -1,  3917,    -1,    -1,    -1,    -1,    -1,  3236,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   234,    -1,  3933,  5645,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   681,
      -1,    -1,    -1,    -1,    -1,    83,    -1,    -1,    86,    -1,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,   268,
      -1,    -1,   327,   257,   329,    -1,    -1,    -1,   262,   107,
      -1,    -1,    -1,    -1,   339,    -1,    -1,   115,    -1,    -1,
      -1,    -1,    -1,   348,   122,    -1,    -1,    -1,    -1,    -1,
     284,   285,    -1,    -1,    -1,   360,    -1,    -1,  3317,    -1,
      -1,    -1,    -1,  5468,  3323,   299,    -1,    -1,    -1,   147,
      -1,    -1,    -1,    -1,    -1,    -1,   257,    -1,   327,    -1,
     329,   262,    -1,    -1,    -1,    -1,    -1,  4033,  5493,    -1,
     339,    -1,    -1,   398,    -1,    -1,   401,   402,   332,   348,
    5505,  5758,    -1,   284,   285,    -1,    -1,    -1,  4054,    -1,
      -1,   360,   346,    -1,    -1,   349,    -1,    -1,   299,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   431,    -1,    -1,    -1,
      -1,    -1,    -1,  4079,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3405,    -1,    -1,   398,
      -1,   332,   401,   402,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   346,    -1,  4113,   349,    -1,
      -1,    -1,  5829,    -1,    -1,    -1,    -1,    -1,    -1,   257,
      -1,    -1,   431,    -1,   262,    -1,    -1,    -1,    -1,    -1,
      -1,   496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   436,    -1,    -1,    -1,   284,   285,    -1,   891,
     892,   893,   894,    -1,   896,    -1,    -1,    -1,   900,    -1,
     902,   299,    -1,   905,    -1,  5882,   908,    -1,    -1,   911,
      -1,    -1,   914,    -1,   916,    -1,    -1,   919,    -1,  5896,
      -1,   923,    -1,   925,    -1,  5902,  5903,   496,    -1,    -1,
      -1,    -1,    -1,    -1,   332,   436,    -1,    -1,    -1,  3518,
    3519,   943,    -1,    -1,    -1,    -1,    -1,   949,   346,   951,
      -1,   349,   954,    -1,   956,    -1,   958,    -1,    -1,    -1,
      -1,    -1,    -1,   965,    -1,  4231,  3545,    -1,   970,  3548,
     972,    -1,    -1,    -1,  5699,    -1,  5701,   979,    -1,   533,
      -1,    -1,   536,   537,   538,    -1,   540,   541,   542,   543,
     544,   545,    -1,    -1,    -1,  5972,   550,    -1,    -1,    -1,
    5977,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1013,    -1,    -1,    -1,    -1,  1018,    -1,    -1,    -1,
      -1,  1023,    -1,    -1,    -1,  1027,    -1,    -1,  1030,    -1,
      -1,  1033,   533,    -1,    -1,   536,   537,   538,   436,   540,
     541,   542,   543,   544,   545,    -1,    -1,  1049,    -1,   550,
      -1,    -1,    -1,    -1,  3633,  3634,  3635,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4331,    -1,    -1,    -1,    -1,
      -1,    -1,  5797,    -1,    -1,    -1,    -1,    -1,  3657,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4355,
    5815,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3677,  6076,
      -1,    -1,    -1,    -1,    -1,  1107,    -1,    -1,    -1,    -1,
      -1,    -1,  6089,    -1,    -1,    -1,  3695,    -1,    -1,  5844,
    1122,    -1,  1124,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6109,  6110,    -1,   533,    -1,    -1,   536,   537,
     538,    -1,   540,   541,   542,   543,   544,   545,    -1,    -1,
    1152,  1153,   550,    -1,    -1,  1157,  1158,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1177,    -1,    -1,    -1,  1181,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1189,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1200,  3778,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    83,  4488,  5948,    86,    -1,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   107,    -1,    -1,    -1,    -1,
    3829,    -1,    -1,   115,    -1,    -1,    -1,  3836,    -1,  3838,
     122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4537,  3851,    -1,  3853,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1285,    -1,   147,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1296,    -1,  3875,    -1,    -1,  1301,
    1302,    -1,    -1,    -1,    -1,  6030,    -1,    83,    -1,    -1,
      86,    -1,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   107,    -1,    -1,    -1,    -1,    -1,  3916,    -1,   115,
      -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1356,  1357,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1365,    -1,    -1,  6091,    -1,    -1,    -1,
      -1,   147,    -1,    -1,  1376,    -1,    -1,    -1,  1380,    -1,
    1382,    -1,  6107,  1385,    -1,    -1,  3965,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   257,    -1,    -1,  1400,    -1,
     262,    -1,    -1,    -1,  4670,    -1,  3985,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4680,    -1,    -1,    -1,    -1,    -1,
    1422,    -1,   284,   285,    -1,    -1,  1428,  1429,  4007,    -1,
      -1,  4010,    -1,    -1,    -1,    83,    -1,   299,    86,    -1,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,  1450,  1451,
    1452,    -1,  1454,    -1,  1456,  1457,    -1,    -1,    -1,   107,
    1462,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
     332,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
      -1,   257,    -1,    -1,   346,    -1,   262,   349,    -1,    83,
      -1,    -1,    86,    -1,    -1,    -1,    90,    91,    92,   147,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,   285,
      -1,  4090,    -1,   107,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,   299,    -1,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,  1535,    -1,  1537,  1538,  4803,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   147,    -1,    -1,   332,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     346,    -1,    -1,   349,   436,    -1,  4842,    -1,  1580,    -1,
      83,    -1,    -1,    86,    -1,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4863,    -1,    -1,
      -1,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   257,
      -1,    -1,   115,    -1,   262,    -1,  1618,  1619,    -1,   122,
      -1,  1623,    -1,  1625,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   284,   285,    -1,    -1,
      -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,  1651,
      -1,   299,  1654,    -1,    -1,  1657,    -1,    -1,    -1,    -1,
     436,    -1,  4928,   257,    -1,    -1,    -1,  1669,   262,    -1,
      -1,   533,    -1,    -1,   536,   537,   538,    -1,   540,   541,
     542,   543,   544,   545,   332,    -1,    -1,    -1,   550,    -1,
     284,   285,    -1,   196,    -1,  4274,  1698,    -1,   346,    -1,
      -1,   349,    -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1726,  1727,  1728,    -1,  1730,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   332,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4325,    -1,  1750,    -1,
      -1,  4330,   346,  4332,   257,   349,    -1,   533,    -1,   262,
     536,   537,   538,    -1,   540,   541,   542,   543,   544,   545,
    1772,  1773,    -1,  5039,   550,  4354,    -1,    -1,    -1,    -1,
      -1,   284,   285,    -1,    -1,    -1,    -1,    -1,   436,    -1,
      -1,    -1,    -1,    -1,  4373,    -1,   299,   166,    -1,  1801,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4389,    -1,    -1,  4392,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5094,   332,
      -1,    -1,    -1,  1835,    -1,    -1,    -1,  1839,  1840,    -1,
      -1,    -1,   436,   346,    -1,    -1,   349,   216,  1850,  1851,
    1852,    -1,  1854,    -1,    -1,    -1,    -1,    -1,    -1,   228,
      -1,    -1,    -1,    -1,   233,    -1,    -1,    -1,    -1,   238,
      -1,    -1,    -1,    -1,    -1,   244,    -1,  1879,   247,    -1,
      -1,    -1,   251,    -1,    -1,   533,    -1,    -1,   536,   537,
     538,    -1,   540,   541,   542,   543,   544,   545,    -1,    -1,
      -1,    -1,   550,    -1,    -1,  4484,  4485,    -1,    -1,    -1,
      -1,   280,    -1,    -1,    -1,  4494,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   300,    -1,   436,  4513,    -1,    -1,    -1,    -1,   533,
      -1,    -1,   536,   537,   538,    -1,   540,   541,   542,   543,
     544,   545,    -1,    -1,    -1,    -1,   550,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5231,    -1,    -1,    -1,    -1,
      -1,    -1,   341,  1975,    -1,   344,    -1,    -1,    -1,    -1,
      -1,   350,    -1,    -1,   892,   893,    -1,    -1,   896,    -1,
     493,    -1,  1994,  1995,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2004,    -1,    -1,  2007,    -1,    -1,   916,    -1,
      -1,    -1,    -1,    -1,  4593,   923,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2029,    -1,  2031,
     533,    -1,    -1,   536,   537,   538,   405,   540,   541,   542,
     543,   544,   545,    -1,    -1,    -1,   954,    -1,    -1,    -1,
     958,    -1,  2054,    -1,    -1,  2057,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   972,    -1,    -1,    -1,    -1,    -1,
      -1,   979,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5353,    -1,   458,
      -1,  2093,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2104,  2105,  2106,  2107,  2108,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5380,    -1,   485,    -1,    -1,    -1,
    2122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2134,  2135,  2136,    -1,    -1,    -1,    -1,    -1,
     509,    -1,   511,   512,    -1,    -1,    -1,    -1,  2150,    -1,
    2152,    -1,    -1,    -1,  5420,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2164,  2165,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   547,    -1,
      -1,   550,   551,    -1,   553,  2187,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2206,    -1,    -1,    -1,    -1,    -1,
    5476,    -1,    -1,    -1,    -1,  5481,  5482,    -1,    -1,    -1,
    2222,  2223,  2224,  2225,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2235,    -1,    -1,   216,    -1,    -1,    -1,
    2242,  4820,    -1,  2245,    -1,    -1,  4825,    -1,   228,    -1,
      -1,    -1,    -1,   233,    -1,    -1,    -1,    -1,   238,    -1,
    2262,    -1,    -1,  2265,   244,    -1,    -1,   247,  2270,    -1,
      -1,   251,    -1,  2275,    -1,    -1,    -1,    -1,    -1,  4858,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4870,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     280,    -1,    -1,    -1,  2306,  2307,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2317,  2318,    -1,  4897,  2321,
     300,    -1,  2324,    -1,    -1,  5591,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2341,
    2342,    -1,    -1,    -1,    -1,    -1,  2348,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2359,    -1,    -1,
      -1,   341,    -1,    -1,   344,    -1,    -1,    -1,    -1,    -1,
     350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2393,    -1,  1301,  1302,    -1,    -1,    -1,  2400,    -1,
    2402,    -1,    -1,  2405,  2406,    -1,  2408,  2409,    -1,  2411,
      -1,  4990,    -1,    -1,    -1,    -1,  2418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   405,  2428,    -1,    -1,    -1,
      -1,  2433,  2434,    -1,    -1,  2437,    -1,    -1,    -1,  2441,
    2442,    -1,    -1,    -1,    -1,  2447,  2448,    -1,    -1,    -1,
      -1,    -1,  2454,  2455,  2456,    -1,    -1,    -1,  2460,  2461,
    2462,  2463,  2464,  2465,  2466,  2467,    -1,  2469,    -1,  2471,
    2472,    -1,    -1,  2475,    -1,    -1,    -1,    -1,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2490,  2491,
    2492,  2493,  1400,  5072,    -1,  2497,  2498,    -1,    -1,    -1,
    2502,    -1,    -1,  2505,    -1,   485,  2508,  2509,  2510,  2511,
    2512,  2513,  2514,  2515,  2516,    -1,  2518,    -1,    -1,    -1,
    1428,  1429,    -1,  2525,  2526,    -1,    -1,  2529,    -1,   509,
      -1,   511,   512,    -1,  5800,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1454,    -1,    -1,  2551,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   547,    -1,    -1,
     550,   551,    -1,   553,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2583,    -1,    -1,    -1,  2587,    -1,    -1,    -1,  2591,
      -1,  2593,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2603,    -1,    -1,    -1,    -1,  5185,    -1,  5187,    83,
    2612,  2613,    86,    -1,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,  2626,    -1,    -1,    -1,    -1,  1537,
    1538,  2633,    -1,  2635,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,  5232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    83,    -1,    -1,    86,    -1,    -1,
    5279,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2715,    -1,    -1,    -1,    -1,   107,    -1,
      -1,    -1,  2724,    -1,  2726,    -1,   115,    -1,    -1,    -1,
      -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2743,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2755,    -1,  2757,  2758,    -1,   147,  5338,
    2762,    -1,  2764,  2765,  2766,    -1,  2768,    -1,  2770,    -1,
      -1,    -1,  2774,    -1,    -1,  2777,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,   262,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2808,    -1,    -1,    -1,
     284,   285,    -1,    -1,  2816,  2817,    -1,    -1,    -1,    -1,
      -1,    -1,  2824,    -1,    -1,   299,    -1,    83,    -1,    -1,
      86,  2833,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   233,    -1,    -1,    -1,    -1,   238,
    2852,   107,    -1,    -1,   110,  2857,  2858,    -1,   332,   115,
      -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,   257,    -1,
    2872,  2873,   346,   262,  2876,    -1,  2878,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5468,
      -1,   147,    -1,    -1,    -1,   284,   285,    -1,    -1,    -1,
    2902,    -1,    -1,  2905,    -1,    -1,    -1,    -1,    -1,    -1,
     299,    -1,    -1,    -1,  5493,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2926,  2927,  5505,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2941,
      -1,  2943,  2944,   332,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   346,    -1,    -1,
     349,    -1,   436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2972,  2973,  2974,    -1,    -1,    -1,  2978,    -1,    -1,    -1,
      -1,    -1,  2984,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2992,    -1,    -1,  2995,    -1,    -1,    -1,    -1,    -1,  3001,
      -1,   257,    -1,    -1,    -1,    -1,   262,    -1,    -1,    -1,
      -1,  3013,    -1,  3015,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3029,   284,   285,
    3032,    -1,  3034,    -1,    -1,  3037,    -1,    -1,    -1,  3041,
      -1,    -1,  3044,   299,    -1,    -1,    -1,   436,    -1,    -1,
      -1,    -1,    -1,    -1,  3056,  3057,    -1,    -1,    -1,   533,
      -1,    -1,   536,   537,   538,    -1,   540,   541,   542,   543,
     544,   545,  3074,    -1,    -1,    -1,   332,    -1,    -1,    -1,
      -1,    -1,  3084,    -1,  3086,    -1,    -1,    -1,    -1,    -1,
     346,    -1,    -1,   349,    -1,    -1,    -1,    -1,    -1,  2007,
    3102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5699,    -1,  5701,    -1,    -1,  3127,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3137,    -1,  3139,  3140,  3141,
    3142,    -1,    -1,    -1,   533,    -1,    -1,   536,   537,   538,
      -1,   540,   541,   542,   543,   544,   545,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     436,    -1,    -1,    -1,    -1,    -1,    -1,  3189,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2104,  2105,  2106,  2107,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   902,    -1,    -1,    -1,    -1,    -1,    -1,  5797,    -1,
      -1,    -1,    -1,   914,    -1,    -1,    -1,    -1,  3230,    -1,
      -1,    -1,    -1,    -1,   925,    -1,  5815,    -1,  3240,    -1,
      -1,    -1,    -1,    -1,  3246,    -1,    -1,  3249,    -1,    -1,
    3252,    -1,   943,    -1,    -1,    -1,  2164,  2165,   949,  3261,
      -1,    -1,    -1,    -1,    -1,  5844,  3268,    -1,    -1,    -1,
      -1,  3273,    -1,    -1,    -1,    -1,    -1,   533,    -1,  2187,
     536,   537,   538,    -1,   540,   541,   542,   543,   544,   545,
      -1,    -1,    -1,    -1,  3296,  3297,  3298,    -1,    -1,  3301,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3309,  3310,  3311,
    3312,    -1,    -1,    -1,  2222,  2223,  2224,  2225,    -1,    -1,
    3322,    -1,    -1,  3325,    -1,  3327,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3338,  3339,    -1,    -1,
    3342,    -1,   100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3354,    -1,  3356,    -1,  3358,    -1,  3360,    -1,
      -1,    -1,    -1,    83,    -1,    -1,    86,    -1,    -1,  5948,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,  3380,    -1,
      -1,    -1,  3384,    -1,    -1,    -1,    -1,   107,    -1,  3391,
     148,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,
      -1,    -1,   122,    -1,    -1,   163,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3415,    -1,    -1,    -1,    -1,    -1,    -1,
    3422,    -1,    -1,   181,    -1,    -1,    -1,   147,    -1,   187,
      -1,  1122,    -1,    -1,  2342,  3437,    -1,    -1,    -1,    -1,
    2348,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,  3451,
      -1,  6030,    -1,  3455,    -1,    -1,  3458,   215,  3460,    -1,
      -1,    83,    -1,    -1,    86,   223,    -1,  1158,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,
      -1,    -1,   240,    -1,    -1,   107,  1177,    -1,    -1,   247,
      -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,    -1,    -1,
     122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,  1200,
      -1,    -1,  6091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3524,    -1,  3526,   147,    -1,    -1,  6107,  3531,
      -1,    -1,    -1,   291,    -1,    -1,    -1,   257,    -1,    -1,
      -1,    -1,   262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   312,    -1,  3558,    -1,  3560,  3561,
    3562,    -1,    -1,    -1,   284,   285,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   346,  2497,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1296,    -1,    -1,    -1,    -1,
     232,   369,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   379,   380,    -1,    -1,   383,   346,    -1,    -1,   349,
      -1,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,
     262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   409,    -1,   373,   412,    -1,    -1,    -1,   416,    -1,
     418,    -1,   284,   285,    -1,    -1,    -1,   425,    -1,    -1,
     428,    -1,    -1,  3675,    -1,    -1,    -1,   299,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,
      -1,    -1,    -1,    -1,    -1,   453,    -1,    -1,    -1,   457,
     458,    -1,    -1,   461,    -1,    -1,    -1,   465,    -1,    -1,
     332,    -1,    -1,    -1,    -1,    -1,   436,   475,    -1,    -1,
      -1,    -1,   480,    -1,   346,    -1,    -1,   349,    -1,    -1,
      -1,  1422,   452,    -1,   492,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   505,    -1,   371,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1450,
    1451,  1452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3783,    -1,    -1,    -1,    -1,    -1,  3789,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3798,    -1,    -1,    -1,
      -1,  3803,  3804,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   533,   436,    -1,   536,   537,   538,    -1,
     540,   541,   542,   543,   544,   545,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3842,  3843,  3844,    -1,    -1,    -1,    -1,    -1,    -1,  2757,
    2758,    -1,    -1,    -1,    -1,    -1,    -1,  3859,    -1,    -1,
    2768,    -1,  2770,    -1,    -1,    -1,  2774,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3881,
    3882,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3891,
    3892,  3893,    -1,    -1,    -1,  3897,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3910,    -1,
      -1,   533,    -1,    -1,   536,   537,   538,    -1,   540,   541,
     542,   543,   544,   545,    -1,    -1,  3928,    -1,    -1,    -1,
      -1,    -1,  1623,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3945,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1654,    -1,    -1,    -1,  3969,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3992,    -1,    -1,    -1,  2902,    -1,    -1,  2905,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4008,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4030,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4039,    -1,    -1,
      -1,    -1,    -1,  4045,    -1,  4047,    -1,    -1,  4050,    -1,
      -1,    -1,    -1,  4055,  4056,  4057,  4058,    -1,    -1,  4061,
    4062,  4063,  4064,  4065,  4066,  4067,  4068,  4069,  4070,    -1,
      -1,    -1,  4074,  4075,    -1,    -1,  2984,    -1,    -1,    -1,
      -1,    -1,  4084,    -1,  2992,    -1,  4088,  2995,    -1,    -1,
    4092,    -1,    -1,  3001,    -1,    -1,    -1,    -1,  4100,    -1,
      -1,  4103,    -1,  4105,    -1,    -1,    -1,  3015,    -1,    -1,
    1801,    -1,  4114,    -1,    -1,  4117,  4118,    -1,    -1,    -1,
    4122,  4123,    -1,    -1,    -1,  4127,    -1,  4129,    -1,    -1,
      -1,    -1,    -1,    -1,  4136,  4137,  4138,  4139,    -1,    -1,
    4142,  4143,    -1,    -1,    -1,  4147,  4148,  4149,  3056,    -1,
      -1,    -1,  4154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3084,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    83,    -1,    -1,    86,    -1,
      -1,    -1,    90,    91,    92,    -1,    -1,  4199,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   107,
      -1,  4213,    -1,  4215,    -1,    -1,    -1,   115,    -1,    -1,
      -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
      -1,  3139,    -1,  3141,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4243,  4244,  4245,    -1,  4247,    -1,    -1,    -1,   147,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4264,  4265,  4266,  4267,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1994,    -1,    -1,    -1,    -1,    -1,    -1,
    4312,    -1,    -1,  2004,    -1,    -1,   115,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
    2031,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3261,    -1,    -1,    -1,    -1,    -1,   257,
      -1,    -1,   161,  2054,   262,    -1,  2057,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   284,   285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   299,    -1,    -1,    -1,  4407,    -1,    -1,    -1,    -1,
     209,    -1,    -1,    -1,    -1,    -1,    -1,  2108,   217,    -1,
     219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2122,    -1,   232,   332,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   346,  4451,
      -1,   349,    -1,  4455,    -1,  4457,    -1,  4459,    -1,    -1,
      -1,  2152,    -1,    -1,  4466,    -1,    -1,    -1,    -1,   367,
    4472,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4497,    -1,    -1,    -1,  4501,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4511,
      -1,    -1,    -1,    -1,    -1,  2206,    -1,  4519,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4530,    -1,
      -1,    -1,  4534,    -1,    -1,    -1,  4538,  4539,   436,    -1,
      -1,    -1,    -1,    -1,  2235,    -1,    -1,    -1,    -1,    -1,
      -1,  2242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4567,  4568,  4569,  4570,  4571,
      -1,    -1,  4574,    83,  4576,    -1,    86,    -1,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,
      -1,    -1,   122,    -1,  4616,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4627,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   533,    -1,   147,   536,   537,
     538,    -1,   540,   541,   542,   543,   544,   545,    -1,    -1,
    3558,    -1,  3560,  3561,  3562,  4657,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4667,  4668,    -1,  2359,    -1,
      -1,    -1,  4674,  4675,    -1,    -1,    -1,  4679,    -1,    -1,
      -1,    -1,  4684,    -1,  1019,  4687,  4688,    -1,    -1,    -1,
    4692,  4693,    -1,    -1,    -1,    -1,  4698,  4699,  4700,  4701,
    4702,    -1,    -1,    -1,  4706,  4707,  4708,    -1,  4710,  4711,
    1045,    -1,  4714,    -1,    -1,    -1,  4718,  2408,  2409,    -1,
    4722,    -1,    -1,    -1,    -1,    -1,  4728,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2428,    -1,    -1,
      -1,    -1,    -1,    -1,  4746,    -1,    -1,   257,    -1,    -1,
      -1,  4753,   262,    -1,    -1,  4757,    -1,    -1,    -1,    -1,
    4762,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   284,   285,    -1,    -1,    -1,    -1,
    4782,    -1,    -1,  4785,    -1,    -1,    -1,    -1,    -1,   299,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,  4805,  4806,    -1,    -1,   100,    -1,    83,
      -1,    -1,    86,    -1,    -1,    -1,    90,    91,    92,   112,
      -1,  4823,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   107,  2525,  4837,   346,    -1,    -1,   349,
      -1,   115,   135,    -1,    -1,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,
    2551,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     163,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4886,    -1,    -1,    -1,   181,    -1,
    3798,    -1,  2583,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2591,    -1,  2593,    -1,    -1,    -1,  4908,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4923,   215,    -1,    -1,    -1,   436,    -1,    -1,    -1,
     223,    -1,    -1,    -1,    -1,  2626,    -1,    -1,    -1,    -1,
      -1,    -1,   235,    -1,    -1,    -1,    -1,   240,    -1,    -1,
      -1,  4953,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   238,  4967,    -1,    -1,    -1,    -1,
      -1,  4973,    -1,   266,    -1,    -1,    -1,    -1,    -1,    -1,
    4982,    -1,    -1,   257,    -1,    -1,    -1,    -1,   262,    -1,
      -1,    -1,    -1,    -1,  4996,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5008,    -1,  5010,    -1,
     284,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,
      -1,    -1,    -1,   533,    -1,   299,   536,   537,   538,    -1,
     540,   541,   542,   543,   544,   545,    -1,  1372,    -1,  5041,
      -1,    -1,  5044,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   346,    -1,    -1,    -1,    -1,   332,    -1,
      -1,  3969,  1397,    -1,    -1,    -1,   359,    -1,    -1,    -1,
      -1,    -1,   346,    -1,    -1,   349,   369,  1412,    -1,    -1,
      -1,    -1,    -1,    -1,   883,    -1,   379,   380,  5090,    -1,
     383,    -1,   891,    -1,    -1,    -1,    -1,  5099,    -1,    -1,
      -1,   900,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   908,
      -1,    -1,   911,    -1,  5116,  5117,   409,    -1,  5120,   412,
      -1,    -1,    -1,   416,    -1,   418,  2817,    -1,    -1,    -1,
      -1,    -1,   425,  5135,    -1,   428,  5138,    -1,    -1,    -1,
    5142,    -1,  2833,    -1,    -1,  5147,    -1,    -1,  5150,  5151,
      -1,  5153,   951,  5155,   447,  5157,  5158,    -1,    -1,    -1,
     453,  2852,   436,    -1,    -1,   458,    -1,  1502,   461,    -1,
      -1,    -1,   465,    -1,    -1,  5177,    -1,  5179,    -1,    -1,
     473,    -1,   475,    -1,    -1,    -1,    -1,   480,    -1,  5191,
    5192,  5193,  5194,  5195,    -1,    -1,    -1,    -1,    -1,   492,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   505,    -1,  1013,    -1,    -1,    -1,    -1,    -1,
    1019,    -1,    -1,    -1,  1023,    -1,    -1,    -1,    -1,    -1,
      -1,  1030,    -1,    -1,  1033,  2926,  2927,    -1,    -1,  5241,
    5242,    -1,    -1,    -1,    -1,    -1,  1045,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,
      -1,    -1,   536,   537,   538,    -1,   540,   541,   542,   543,
     544,   545,    83,    -1,    -1,    86,    -1,    -1,    -1,    90,
      91,    92,    -1,  5285,    -1,    -1,  5288,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   107,    -1,  5300,   110,
      -1,  5303,    -1,  1638,   115,    -1,  5308,    -1,  5310,    -1,
      -1,   122,    -1,    -1,  5316,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5331,
      -1,    -1,    -1,  5335,    -1,    -1,   147,    -1,    -1,    -1,
      -1,    -1,    -1,  3034,    -1,    -1,    -1,  5349,  5350,  5351,
      -1,    -1,    -1,  1152,  1153,    -1,  4264,  4265,  4266,  4267,
    1159,    -1,    -1,    -1,  1163,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5379,    -1,    -1,
    5382,    -1,  5384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1189,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5404,    -1,    -1,    -1,    83,    -1,  5410,    86,
      -1,    -1,  5414,    90,    91,    92,  5418,    -1,    -1,    -1,
      -1,    -1,  5424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     107,  5433,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,
      -1,    -1,    -1,    -1,    -1,   122,   257,    -1,    -1,    -1,
      -1,   262,    -1,    -1,  1789,    -1,    -1,  5459,    -1,  5461,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     147,    -1,    -1,   284,   285,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5486,    -1,    -1,    -1,   299,    -1,
      -1,    -1,    -1,    -1,  5496,  5497,  5498,  5499,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5534,  1332,  1333,   346,    -1,    -1,   349,  3230,
      -1,    -1,    -1,  4451,    -1,    -1,    -1,    -1,    -1,  4457,
      -1,    -1,    -1,    -1,    -1,  5557,    -1,  1356,  1357,  1358,
      -1,    -1,    -1,    -1,    -1,    -1,  1365,    83,    -1,    -1,
      86,    -1,    -1,  1372,    90,    91,    92,  1376,    -1,    -1,
     257,    -1,    -1,  1382,    -1,   262,  1385,    -1,  1923,    -1,
      -1,   107,    -1,    -1,   110,    -1,    -1,    -1,  1397,   115,
      -1,    -1,    -1,    -1,    -1,    -1,   122,   284,   285,    -1,
      -1,  5613,    -1,  1412,  5616,    -1,    -1,  5619,    -1,    -1,
      -1,  5623,   299,    -1,    -1,   436,    -1,    -1,  5630,    -1,
      -1,   147,  5634,    -1,  5636,    -1,  5638,    -1,    -1,    -1,
      -1,    -1,    -1,  5645,    -1,    -1,    -1,    -1,    -1,  5651,
      -1,  5653,    -1,  1988,    -1,   332,    -1,  1456,  1457,    -1,
      -1,    -1,  5664,    -1,    -1,    -1,    -1,    -1,    -1,   346,
      -1,    -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2025,    -1,    -1,  3384,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1502,    -1,    -1,    -1,  5709,  5710,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,  2058,  3415,   536,   537,   538,    -1,   540,
     541,   542,   543,   544,   545,    -1,    -1,    -1,  5740,    -1,
      -1,   257,    -1,    -1,  5746,    -1,   262,    -1,  5750,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5758,    -1,    -1,   436,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,   285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5779,    -1,    -1,
      -1,  1580,    -1,   299,    -1,  5787,  5788,  5789,    -1,   466,
      83,  5793,    -1,    86,  5796,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,  5806,    -1,    -1,  5809,    -1,    -1,
      -1,    -1,  5814,    -1,   107,    -1,   332,    -1,    -1,    -1,
    2155,    -1,   115,    -1,    -1,    -1,    -1,  5829,    -1,   122,
     346,    -1,    -1,   349,    -1,    -1,    -1,  2172,    -1,  1638,
      -1,    -1,    -1,    -1,  5846,    -1,  2181,    -1,    -1,    -1,
      -1,  5853,    -1,    -1,   147,    -1,   533,    -1,  2193,   536,
     537,   538,    -1,   540,   541,   542,   543,   544,   545,    -1,
    1669,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5882,    -1,    -1,    -1,    -1,  5887,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5896,    -1,    -1,    -1,    -1,  1698,
    5902,  5903,    -1,  5905,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5915,  2249,    -1,    -1,  5919,    -1,    -1,
     436,    -1,    -1,    -1,    -1,    -1,    -1,  1726,  1727,  1728,
      -1,  1730,    -1,    -1,  2269,    -1,    -1,    -1,  5940,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2281,    -1,    -1,    -1,
      -1,  1750,    -1,    -1,    -1,    -1,    -1,    -1,  2293,    -1,
      -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,   262,
    5972,  5973,  5974,    -1,    -1,  5977,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3675,    -1,    -1,    -1,    -1,    -1,
      -1,   284,   285,    -1,    -1,    -1,    -1,    -1,  2333,  2334,
    4908,    -1,  6004,    -1,    -1,    -1,   299,  6009,    -1,    -1,
      -1,    -1,    -1,    -1,  6016,  4923,    -1,   533,    -1,    -1,
     536,   537,   538,    -1,   540,   541,   542,   543,   544,   545,
      -1,    -1,    -1,    -1,    -1,    -1,  1835,    -1,    -1,   332,
    1839,  1840,    -1,    -1,    -1,    -1,    -1,  6049,    -1,    -1,
      -1,    -1,    -1,   346,    -1,  1854,   349,  6059,    -1,    83,
      -1,    -1,    86,    -1,    -1,    -1,    90,    91,    92,    -1,
      -1,  6073,    -1,    -1,  6076,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6085,    -1,    -1,    -1,  6089,    -1,    -1,
      -1,   115,    -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,
    5008,    -1,    -1,    -1,    -1,    -1,    -1,  6109,  6110,    -1,
      -1,    -1,    -1,    -1,    88,    -1,    -1,    -1,    -1,    93,
      -1,    95,    -1,   147,  1923,    -1,    -1,    -1,    -1,    -1,
    1929,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1939,    -1,    -1,   436,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3842,  3843,  3844,  2489,    -1,   130,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   141,  3859,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   152,   153,
      -1,  1980,   156,    -1,    -1,    -1,    -1,    -1,   162,  1988,
      -1,  3882,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3892,  3893,    -1,    -1,    -1,  3897,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   188,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2025,    -1,    -1,   203,
      -1,    -1,    -1,   257,    -1,    -1,  2035,    -1,   262,    -1,
     533,    -1,    -1,   536,   537,   538,    -1,   540,   541,   542,
     543,   544,   545,  2052,    -1,    -1,    -1,    -1,    -1,  2058,
     284,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5193,  5194,  5195,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   332,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4008,    -1,    -1,
      -1,    -1,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2134,  2135,  2136,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2155,    -1,  2693,    -1,
      -1,    -1,  2697,  2698,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2181,    -1,    -1,    -1,    -1,    -1,    -1,  2188,
      -1,    -1,    -1,    -1,  2193,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2759,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2773,    -1,
      -1,  5349,    -1,    -1,    -1,  4136,  4137,  4138,    -1,    -1,
    2249,    -1,    -1,    -1,    -1,    -1,   430,    -1,    -1,    -1,
      -1,    -1,    -1,  2262,    -1,    -1,  2265,    -1,    -1,    -1,
    2269,    -1,    -1,    -1,    -1,    -1,  2275,    -1,  2813,    -1,
      -1,    -1,  2281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2293,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2306,  2307,   533,
      -1,    -1,   536,   537,   538,    -1,   540,   541,   542,   543,
     544,   545,  2321,    -1,    -1,  2324,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2333,  2334,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5497,
      -1,  5499,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2402,    -1,    -1,  2405,  2406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2441,  2442,    -1,    -1,    -1,    -1,  2447,  2448,
      -1,    -1,    -1,    -1,    -1,  2454,  2455,  2456,    -1,    -1,
      -1,  2460,    -1,  2462,  2463,  2464,  2465,  2466,  2467,    -1,
    2469,    -1,  2471,  2472,    -1,    -1,  2475,    -1,    -1,  3014,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2489,  2490,  2491,  2492,  2493,  2494,    -1,    -1,    -1,  2498,
      -1,    -1,    -1,  2502,    -1,    -1,  2505,   681,    -1,  2508,
    2509,  2510,  2511,  2512,  2513,  2514,  2515,  2516,    -1,  2518,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2526,    -1,    -1,
    2529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5651,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   729,   730,    -1,    -1,    -1,
      -1,  3096,    -1,    -1,  4455,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4466,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2587,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   777,  2603,    -1,  4497,    -1,    -1,    -1,
      -1,    -1,    -1,  2612,  2613,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5740,    -1,    -1,    -1,    -1,    -1,    -1,  4530,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3226,    -1,    -1,  2693,    -1,    -1,    -1,  2697,  2698,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3243,    -1,
    2709,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3258,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5846,    -1,
      -1,    -1,    -1,    -1,  2743,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2755,    -1,    -1,    -1,
    2759,    -1,    -1,  2762,    -1,    -1,  2765,  2766,    -1,    -1,
      -1,    -1,    -1,    -1,  2773,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2798,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4699,  4700,
    4701,  4702,    -1,    -1,  2813,    -1,    -1,    -1,    -1,    -1,
     994,   995,    -1,   997,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5940,    -1,    -1,    -1,    -1,  2836,    -1,    -1,
      -1,  2840,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2863,  5973,  5974,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2879,    -1,  1056,    -1,    -1,  1059,  1060,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1074,    -1,  1076,    -1,  1078,    -1,    -1,    -1,    -1,    -1,
    1084,    -1,    -1,    -1,  1088,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2922,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1108,  1109,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3493,    -1,
      -1,  3496,    -1,  3498,    -1,  6073,    -1,    -1,  3503,    -1,
      -1,    -1,    -1,  2972,  2973,  2974,    -1,    -1,    -1,  2978,
      -1,  1155,    -1,  1157,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3013,  3014,    -1,  3552,    -1,    -1,
      -1,    -1,    -1,    -1,  3023,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3571,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3057,    -1,
      -1,  3596,  1236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1250,  1251,    -1,    -1,
    1254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3096,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3113,    -1,    -1,    -1,    -1,    -1,
      -1,  1295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3667,    -1,  3669,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,
    5041,    -1,    -1,   100,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   159,    -1,    -1,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,  3758,    -1,    -1,    -1,  3226,    -1,    -1,
      -1,    -1,    -1,    -1,   181,    -1,    -1,    -1,    -1,    -1,
     187,  3240,    -1,    -1,  3243,    -1,    -1,  3246,    -1,    -1,
    3249,    -1,    -1,  3252,    -1,    -1,    -1,   204,    -1,  3258,
      -1,    -1,  3797,    -1,    -1,    -1,    -1,    -1,   215,  3268,
      -1,    -1,    -1,    -1,  3273,    -1,   223,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   235,  3824,
      -1,    -1,    -1,    -1,    -1,  3830,   243,  3296,  3297,  3298,
     247,    -1,  3301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3309,  3310,  3311,  3312,    -1,    -1,    -1,    -1,  3317,   266,
      -1,    -1,    -1,  3322,  3323,    -1,  3325,    -1,  3327,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3338,
    3339,    -1,    -1,  3342,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   303,  3356,    -1,  3358,
      -1,  3360,    -1,    -1,  3899,   312,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3380,  3917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3391,    -1,    -1,    -1,    -1,  5288,  3933,   346,
      -1,    -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5303,    -1,  1588,    -1,    -1,  5308,    -1,  1593,
      -1,  1595,   369,  3422,  1598,    -1,  1600,    -1,    -1,  1603,
    1604,  1605,    -1,    -1,    -1,  1609,   383,    -1,  3437,    -1,
    5331,    -1,  1616,   390,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3451,    -1,    -1,    -1,  1630,    -1,  1632,    -1,
      -1,    -1,   409,  1637,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   418,    -1,    -1,    -1,    -1,    -1,    -1,   425,    -1,
      -1,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3493,    -1,    -1,  3496,  4033,  3498,
     447,    -1,    -1,    -1,  3503,    -1,   453,    -1,    -1,    -1,
      -1,   458,    -1,    -1,   461,   462,    -1,   464,   465,  4054,
      -1,    -1,    -1,    -1,    -1,  3524,    -1,    -1,   475,    -1,
      -1,    -1,    -1,   480,    -1,    -1,    -1,    -1,    -1,   486,
      -1,    -1,   489,    -1,  4079,   492,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3552,    -1,    -1,    -1,    -1,   505,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5459,    -1,
      -1,    -1,  3571,    -1,    -1,    -1,    -1,    -1,  4113,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1761,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3596,  1772,  1773,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1789,    -1,    -1,    -1,    -1,
    1794,  1795,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3633,  3634,  3635,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3667,    -1,
    3669,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1879,    -1,  1881,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1891,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3758,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3783,    -1,    -1,    -1,    -1,    -1,
    3789,    -1,    -1,    -1,  1968,    -1,  4331,    -1,  3797,    -1,
      -1,    -1,    -1,    -1,  1978,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4355,    -1,    -1,    -1,    -1,  3824,    -1,    -1,    -1,    -1,
    3829,  3830,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3875,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2059,    -1,    -1,  2062,  2063,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3917,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3933,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4488,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4030,    -1,    -1,  4033,    -1,    -1,    -1,    -1,    -1,
    4039,    -1,    -1,    -1,    -1,    -1,  4045,    -1,  4047,    -1,
      -1,  4050,    -1,    -1,    -1,  4054,  4055,  4056,  4057,  4058,
      -1,    -1,  4061,  4062,  4063,  4064,  4065,  4066,  4067,  4068,
    4069,  4070,    -1,    -1,    -1,  4074,  4075,    -1,    -1,    -1,
    4079,    -1,   209,    -1,    -1,  4084,    -1,    -1,    -1,  4088,
     217,  4090,   219,  4092,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4100,    -1,    -1,  4103,    -1,  4105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4113,  4114,    -1,    -1,  4117,  4118,
      -1,    -1,    -1,  4122,  4123,    -1,    -1,    -1,    -1,    -1,
    4129,    -1,    -1,    -1,    -1,  4670,    -1,    -1,    -1,    -1,
    4139,    -1,    -1,  4142,    -1,  4680,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4154,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2371,    -1,  2373,
    4199,    -1,    -1,  2377,    -1,  2379,    -1,    -1,  2382,    -1,
      -1,    -1,  2386,    -1,    -1,    -1,  4215,  2391,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4803,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4842,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4325,    -1,  4863,    -1,
      -1,  4330,  4331,  4332,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2525,    -1,    -1,    -1,  4354,  4355,    -1,  2532,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2542,    -1,
      -1,    -1,    -1,    -1,  4373,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4928,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    -1,    12,    -1,    14,    -1,    16,
      17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      27,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    43,    44,    -1,    -1,
    4459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2660,    -1,    -1,  4488,
    2664,    -1,    -1,    -1,    -1,    -1,  2670,    -1,  2672,    -1,
      -1,  2675,  4501,    -1,  5039,    -1,    93,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   103,    -1,   105,   106,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   121,    -1,    -1,    -1,  4537,  4538,
    4539,    -1,    -1,   130,    -1,    -1,    -1,    -1,  2722,    -1,
      -1,    -1,    -1,    -1,    -1,   142,    -1,   144,   145,  5094,
      -1,    -1,    -1,    -1,   151,    -1,   153,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,   166,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,    -1,   183,    -1,    -1,   186,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   200,    -1,   202,    -1,  4616,    -1,   206,
      -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,  4627,    -1,
      -1,    -1,    -1,   220,    -1,   222,    -1,    -1,    -1,    -1,
      -1,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,  4657,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4667,  4668,
      -1,  4670,    -1,    -1,   261,  4674,  4675,    -1,    -1,    -1,
    4679,  4680,    -1,    -1,    -1,  4684,    -1,    -1,  4687,  4688,
      -1,    -1,    -1,  4692,    -1,    -1,  5231,    -1,    -1,  4698,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4710,    -1,    -1,   301,   302,    -1,    -1,    -1,  4718,
     307,    -1,  2896,  4722,    -1,    -1,    -1,    -1,    -1,    -1,
    2904,    -1,   319,  2907,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   331,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4753,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   891,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   900,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   908,    -1,    -1,   911,    -1,  4785,   374,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   388,    -1,    -1,  4803,    -1,    -1,   394,   395,    -1,
     397,    -1,    -1,    -1,    -1,   402,    -1,    -1,  5353,    -1,
     407,    -1,    -1,   410,   951,    -1,  4825,    -1,    -1,    -1,
     417,    -1,    -1,    -1,    -1,    -1,   423,   424,    -1,    -1,
      -1,    -1,    -1,  4842,   431,  5380,    -1,    -1,   435,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   445,    -1,
      -1,    -1,    -1,    -1,  4863,    -1,    -1,    -1,    -1,    -1,
      -1,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5420,  1013,  4886,    -1,    -1,
      -1,   478,  1019,   480,    -1,    -1,  1023,    -1,    -1,    -1,
      -1,   488,    -1,  1030,    -1,    -1,  1033,   494,    -1,    -1,
      -1,    -1,   499,    -1,    -1,    -1,    -1,    -1,  1045,    -1,
      -1,    -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,  4928,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5476,    -1,    -1,    -1,    -1,  5481,  5482,   535,    -1,
      -1,    -1,    -1,    -1,  4953,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   549,    -1,    -1,    -1,   553,    -1,  4967,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4996,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3184,  3185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1152,  1153,    -1,  3202,    -1,
      -1,    -1,  1159,    -1,    -1,    -1,  1163,    -1,  5037,    -1,
    5039,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5591,    -1,    -1,    -1,
      -1,    -1,  1189,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5090,    -1,    -1,    -1,  5094,    -1,    -1,    -1,    -1,
    5099,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5116,  5117,    -1,
      -1,  5120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5135,    -1,    -1,    -1,
      -1,    -1,    -1,  5142,    -1,    -1,    -1,    -1,  5147,    -1,
      -1,  5150,  5151,    -1,    -1,    -1,    -1,    -1,  5157,  5158,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5177,    -1,
    5179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5191,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1332,  1333,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3400,    -1,    -1,  1356,
    1357,  3405,  5231,    -1,    -1,    -1,    -1,    -1,  1365,    -1,
      -1,    -1,  5241,    -1,    -1,  1372,    -1,    -1,    -1,  1376,
      -1,    -1,    -1,    -1,    -1,  1382,    -1,    -1,  1385,    -1,
      -1,    -1,    -1,    -1,    -1,  5800,    -1,    -1,    -1,    -1,
    1397,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5279,    -1,    -1,    -1,    -1,  1412,  5285,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1456,
    1457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5351,    -1,  5353,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1502,    -1,    -1,    -1,    -1,
    5379,  5380,    -1,  5382,    -1,  5384,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5404,    -1,    -1,    -1,    -1,
      -1,  5410,    -1,    -1,    -1,  5414,    -1,    -1,    -1,    -1,
      -1,  5420,    -1,    -1,    -1,  5424,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1580,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5468,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5476,    -1,    -1,
      -1,    -1,  5481,  5482,    -1,    -1,    -1,  5486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1638,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5534,    -1,    -1,    -1,    -1,
      -1,    -1,  1669,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5557,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1698,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5590,  5591,    -1,    -1,    -1,    -1,    -1,    -1,  1726,
    1727,  1728,    -1,  1730,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5613,    -1,    -1,  5616,    -1,    -1,
    5619,    -1,    -1,  1750,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5630,    -1,    -1,    -1,  5634,    -1,  5636,    -1,  5638,
      -1,    -1,    -1,    -1,    -1,    -1,  5645,    -1,    -1,    -1,
    3824,    -1,    -1,    -1,    -1,    -1,  3830,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5664,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5699,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1835,    -1,
      -1,    -1,  1839,  1840,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1854,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5750,    -1,    -1,    -1,    -1,    -1,  3931,    -1,  5758,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5787,  5788,
    5789,    -1,    -1,    -1,    -1,    -1,  1923,  5796,  5797,    -1,
      -1,  5800,    -1,    -1,    -1,    -1,    -1,  5806,    -1,    -1,
      -1,    -1,  1939,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5829,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4017,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1980,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5882,    -1,    -1,    -1,    -1,  5887,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5896,  2025,    -1,
      -1,    -1,    -1,  5902,  5903,    -1,  5905,    -1,  2035,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5915,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2052,    -1,    -1,    -1,    -1,
      -1,  2058,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5972,    -1,    -1,    -1,    -1,  5977,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6004,    -1,  2134,  2135,  2136,
    6009,    -1,    -1,    -1,    -1,    -1,    -1,  6016,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2155,    -1,
      -1,  6030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2172,  4220,    -1,    -1,    -1,
    6049,    -1,    -1,    -1,  2181,    -1,    -1,    -1,    -1,    -1,
    6059,    -1,    -1,    -1,    -1,    -1,  2193,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6076,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6089,    -1,  6091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6107,    -1,
    6109,  6110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2262,    -1,    -1,  2265,    -1,
      -1,    -1,  2269,    -1,    -1,    -1,    -1,    -1,  2275,    -1,
      -1,    -1,    -1,    -1,  2281,    -1,    -1,  4331,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2293,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2306,
    2307,  4355,    -1,    -1,    -1,    -1,    -1,    -1,  4362,    -1,
      -1,    -1,    -1,    -1,  2321,    -1,    -1,  2324,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2333,  2334,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2402,    -1,    -1,  2405,  2406,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2441,  2442,    -1,    -1,    -1,    -1,
    2447,  2448,    -1,    -1,    -1,    -1,    -1,  2454,  2455,  2456,
      -1,    -1,    -1,  2460,    -1,  2462,  2463,  2464,  2465,  2466,
    2467,    -1,  2469,    -1,  2471,  2472,    -1,    -1,  2475,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2489,  2490,  2491,  2492,  2493,    -1,    -1,    -1,
      -1,  2498,    -1,    -1,    -1,  2502,    -1,    -1,  2505,    -1,
      -1,  2508,  2509,  2510,  2511,  2512,  2513,  2514,  2515,  2516,
      -1,  2518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2526,
      -1,    -1,  2529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4590,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2587,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2603,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2612,  2613,    -1,    -1,    -1,
      -1,     6,     7,    -1,     9,    10,    11,    -1,    -1,    -1,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    -1,    -1,    -1,    30,    31,    32,    33,    -1,
      35,    36,    37,    38,    -1,    40,    41,    42,    -1,    -1,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    -1,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,  2693,    -1,  4742,    -1,
    2697,  2698,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   118,    -1,    -1,    -1,   122,   123,   124,
     125,   126,    -1,    -1,    -1,    -1,  2743,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   139,    -1,    -1,    -1,  2755,    -1,
      -1,   146,  2759,   148,    -1,  2762,    -1,    -1,  2765,  2766,
     155,    -1,    -1,    -1,    -1,    -1,  2773,    -1,    -1,    -1,
      -1,    -1,   167,  4827,    -1,    -1,    -1,    -1,  4832,   174,
      -1,    -1,  4836,    -1,    -1,    -1,    -1,    -1,    -1,   184,
     185,  2798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2813,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,
     225,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
      -1,    -1,   237,    -1,   239,    -1,    -1,    -1,    -1,    -1,
      -1,   246,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2879,    -1,    -1,    -1,    -1,   272,   273,    -1,
      -1,    -1,    -1,    -1,   279,    -1,   281,    -1,    -1,   284,
     285,    -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   296,   297,    -1,   299,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,   323,   324,
      -1,    -1,    -1,   328,    -1,   138,    -1,   332,    -1,    -1,
     335,    -1,   337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   353,   354,
      -1,   356,   357,    -1,    -1,  2972,  2973,  2974,    -1,    -1,
      -1,  2978,    -1,    -1,    -1,   370,    -1,   372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3013,  3014,    -1,    -1,
      -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,   414,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   433,    -1,
      -1,   436,    -1,    -1,   439,    -1,    -1,    -1,    -1,    -1,
    3057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   454,
      -1,    -1,    -1,    -1,    -1,   460,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   468,   469,    -1,    -1,    -1,    -1,   474,
      -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3096,
     485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,  3113,    -1,   503,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5170,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5231,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3226,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3240,    -1,    -1,  3243,    -1,    -1,  3246,
      -1,    -1,  3249,    -1,    -1,  3252,    -1,    -1,    -1,    -1,
      -1,  3258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3268,    -1,    -1,    -1,    -1,  3273,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3296,
    3297,  3298,    -1,    -1,  3301,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3309,  3310,  3311,  3312,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3322,    -1,    -1,  3325,    -1,
    3327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3338,  3339,    -1,    -1,  3342,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3356,
      -1,  3358,    -1,  3360,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3380,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3391,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3422,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3437,    -1,    -1,    -1,    -1,    -1,    -1,  5491,  5492,    -1,
      -1,    -1,    -1,    -1,  3451,    -1,    -1,    -1,    -1,    -1,
      -1,  5505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3493,    -1,    -1,  3496,
      -1,  3498,    -1,    -1,    -1,    -1,  3503,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3524,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3552,    -1,  5601,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3571,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3596,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3667,    -1,  3669,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   891,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   900,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   908,    -1,    -1,   911,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   951,    -1,
      -1,  3758,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3783,    -1,    -1,    -1,
      -1,    -1,  3789,    -1,    -1,    -1,  5840,    -1,  5842,    -1,
    3797,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1013,    -1,    -1,    -1,    -1,    -1,  1019,  3824,    -1,    -1,
    1023,    -1,    -1,  3830,    -1,    -1,     5,  1030,    -1,    -1,
    1033,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1045,    -1,    -1,    24,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    34,    35,    -1,    -1,    -1,
      -1,    -1,    41,    42,    -1,    -1,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    -1,  3899,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
    3917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3933,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1152,
    1153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6021,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1189,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4030,    -1,    -1,  4033,    -1,    -1,    -1,
      -1,    -1,  4039,    -1,   213,    -1,    -1,    -1,  4045,    -1,
    4047,    -1,    -1,  4050,    -1,    -1,    -1,  4054,  4055,  4056,
    4057,  4058,   231,    -1,  4061,  4062,  4063,  4064,  4065,  4066,
    4067,  4068,  4069,  4070,    -1,    -1,    -1,  4074,  4075,    -1,
      -1,    -1,  4079,    -1,    -1,   254,    -1,  4084,    -1,    -1,
      -1,  4088,    -1,    -1,    -1,  4092,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4100,    -1,    -1,  4103,    -1,  4105,   278,
      -1,    -1,    -1,    -1,    -1,    -1,  4113,  4114,    -1,    -1,
    4117,  4118,    -1,    -1,    -1,  4122,  4123,    -1,    -1,    -1,
      -1,    -1,  4129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4139,    -1,    -1,  4142,   315,    -1,    -1,   318,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4154,    -1,    -1,
      -1,    -1,    -1,  1356,  1357,   334,    -1,    -1,    -1,    -1,
      -1,    -1,  1365,    -1,    -1,    -1,    -1,    -1,    -1,  1372,
      -1,    -1,    -1,  1376,    -1,    -1,    -1,    -1,    -1,  1382,
      -1,    -1,  1385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4199,    -1,  1397,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4215,  1412,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4231,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4243,    -1,    -1,    -1,
      -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1456,  1457,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1502,
      -1,    -1,    -1,    -1,    -1,    -1,   485,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   500,    -1,    -1,  4331,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4355,    -1,
      -1,   530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   538,
      -1,   540,   541,   542,   543,   544,    -1,    -1,   547,   548,
     549,   550,    -1,    -1,    -1,   554,    -1,  1580,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1638,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1669,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4501,  1698,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1726,  1727,  1728,    -1,  1730,    -1,    -1,
    4537,  4538,  4539,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1750,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4616,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4627,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1835,    -1,    -1,    -1,  1839,  1840,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4657,  1854,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4667,  4668,    -1,  4670,    -1,    -1,    -1,  4674,  4675,    -1,
      -1,    -1,  4679,  4680,    -1,    -1,    -1,  4684,    -1,    -1,
    4687,  4688,    -1,    -1,    -1,  4692,    -1,    -1,    -1,    -1,
      -1,  4698,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4710,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4718,    -1,    -1,    -1,  4722,    -1,    -1,    -1,    -1,
    1923,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4753,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4785,    -1,
      -1,    -1,    -1,    -1,    -1,  1988,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4803,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2025,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4842,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2058,  4863,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4886,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4928,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2134,  2135,  2136,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4953,    -1,    -1,    -1,
      -1,    -1,  2155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4967,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2181,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4996,
    2193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5037,    -1,  5039,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2262,
      -1,    -1,  2265,    -1,    -1,    -1,  2269,    -1,    -1,    -1,
      -1,    -1,  2275,    -1,    -1,    -1,    -1,    -1,  2281,    -1,
      -1,    -1,    -1,  5090,    -1,    -1,    -1,  5094,    -1,    -1,
    2293,    -1,  5099,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2306,  2307,    -1,    -1,    -1,    -1,  5116,
    5117,    -1,    -1,  5120,    -1,    -1,    -1,    -1,  2321,    -1,
      -1,  2324,    -1,    -1,    -1,    -1,    -1,    -1,  5135,    -1,
    2333,  2334,    -1,    -1,    -1,  5142,    -1,    -1,    -1,    -1,
    5147,    -1,    -1,  5150,  5151,    -1,    -1,    -1,    -1,    -1,
    5157,  5158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5177,    -1,  5179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5191,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2402,
      -1,    -1,  2405,  2406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5231,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5241,    -1,    -1,    -1,  2441,  2442,
      -1,    -1,    -1,    -1,  2447,  2448,    -1,    -1,    -1,    -1,
      -1,  2454,  2455,  2456,    -1,    -1,    -1,  2460,    -1,  2462,
    2463,  2464,  2465,  2466,  2467,    -1,  2469,    -1,  2471,  2472,
      -1,    -1,  2475,    -1,    -1,    -1,    -1,    -1,  5285,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2489,  2490,  2491,  2492,
    2493,    -1,    -1,    -1,    -1,  2498,    -1,    -1,    -1,  2502,
      -1,    -1,  2505,    -1,    -1,  2508,  2509,  2510,  2511,  2512,
    2513,  2514,  2515,  2516,    -1,  2518,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2526,    -1,    -1,  2529,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5351,    -1,  5353,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5379,  5380,    -1,  5382,    -1,  5384,    -1,    -1,
      -1,    -1,    -1,    -1,  2587,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,    -1,    -1,    -1,    -1,  5404,    -1,    -1,
    2603,    -1,    -1,  5410,    -1,    -1,    -1,  5414,    -1,  2612,
    2613,    24,    -1,  5420,    -1,    -1,    -1,  5424,    -1,    -1,
      -1,    34,    35,    -1,    -1,    -1,    -1,    -1,    41,    42,
      -1,    -1,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,  5476,
      -1,    84,    -1,    -1,  5481,  5482,    -1,    -1,    -1,  5486,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2693,    -1,    -1,    -1,  2697,  2698,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   138,    -1,  5534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2743,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5557,    -1,  2755,    -1,    -1,    -1,  2759,    -1,    -1,  2762,
      -1,    -1,  2765,  2766,    -1,    -1,    -1,    -1,    -1,    -1,
    2773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5590,  5591,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     213,    -1,    -1,    -1,    -1,    -1,  5613,    -1,    -1,  5616,
    2813,    -1,  5619,    -1,    -1,    -1,    -1,    -1,   231,    -1,
      -1,    -1,    -1,  5630,    -1,    -1,    -1,  5634,    -1,  5636,
      -1,  5638,    -1,    -1,    -1,    -1,    -1,    -1,  5645,    -1,
      -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5664,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   278,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   315,    -1,    -1,   318,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5750,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5758,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2972,
    2973,  2974,    -1,    -1,    -1,  2978,    -1,    -1,    -1,    -1,
    5787,  5788,  5789,    -1,    -1,    -1,    -1,    -1,    -1,  5796,
      -1,    -1,    -1,  5800,    -1,    -1,    -1,    -1,    -1,  5806,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,
    3013,  3014,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5829,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3057,    -1,    -1,   470,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   485,    -1,    -1,  5882,    -1,    -1,    -1,    -1,
    5887,    -1,    -1,    -1,    -1,    -1,    -1,   500,    -1,  5896,
      -1,    -1,    -1,  3096,    -1,  5902,  5903,    -1,  5905,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5915,    -1,
    3113,    -1,    -1,    -1,    -1,    -1,    -1,   530,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   538,    -1,   540,   541,   542,
     543,   544,    -1,    -1,   547,   548,   549,   550,    -1,    -1,
      -1,   554,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5972,    -1,    -1,    -1,    -1,
    5977,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6004,    -1,    -1,
      -1,    -1,  6009,    -1,    -1,    -1,    -1,    -1,    -1,  6016,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3226,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3240,    -1,    -1,
    3243,    -1,  6049,  3246,    -1,    -1,  3249,    -1,    -1,  3252,
      -1,    -1,  6059,    -1,    -1,  3258,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3268,    -1,    -1,    -1,  6076,
    3273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6089,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3296,  3297,  3298,    -1,    -1,  3301,    -1,
      -1,    -1,  6109,  6110,    -1,    -1,  3309,  3310,  3311,  3312,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3322,
      -1,    -1,  3325,    -1,  3327,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3338,  3339,    -1,    -1,  3342,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3356,    -1,  3358,    -1,  3360,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3380,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3391,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3422,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,    -1,
      -1,    -1,    -1,    -1,  3437,    -1,    -1,    -1,    34,    35,
      -1,    -1,    -1,    -1,    -1,    41,    42,    -1,  3451,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    -1,    -1,    84,    -1,
    3493,    -1,    -1,  3496,    -1,  3498,    -1,    -1,    -1,    -1,
    3503,    -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,  3524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,  3552,
      -1,    -1,    -1,    -1,    -1,    -1,   203,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3571,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   238,    -1,  3596,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   250,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,
      -1,    -1,    -1,    -1,  3667,    -1,  3669,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   315,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3758,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3783,    -1,    -1,   430,    -1,    -1,  3789,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3797,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3824,    -1,    -1,    -1,    -1,   422,  3830,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   470,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   485,
      -1,    -1,    -1,    -1,    -1,    -1,  3899,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3917,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3933,    -1,    -1,    -1,   530,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   538,    -1,   540,   541,   542,   543,   544,    -1,
      -1,   547,   548,   549,    -1,    -1,    -1,    -1,   554,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4030,    -1,    -1,
    4033,    -1,    -1,    -1,    -1,    -1,  4039,    -1,    -1,    -1,
      -1,    -1,  4045,    -1,  4047,    -1,    -1,  4050,    -1,    -1,
      -1,  4054,  4055,  4056,  4057,  4058,    -1,    -1,  4061,  4062,
    4063,  4064,  4065,  4066,  4067,  4068,  4069,  4070,    -1,    -1,
      -1,  4074,  4075,    -1,    -1,    -1,  4079,    -1,    -1,    -1,
      -1,  4084,   729,   730,    -1,  4088,    -1,    -1,    -1,  4092,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4100,    -1,    -1,
    4103,    -1,  4105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4113,  4114,    -1,    -1,  4117,  4118,    -1,    -1,    -1,  4122,
    4123,    -1,    -1,    -1,    -1,    -1,  4129,    -1,    -1,    -1,
     777,    -1,    -1,    -1,    -1,    -1,  4139,    -1,    -1,  4142,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4199,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4215,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4231,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   898,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   906,
      -1,    -1,   909,    -1,    -1,   912,   913,    -1,   915,    -1,
     917,    -1,    -1,   920,    -1,   922,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   952,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   960,    -1,    -1,    -1,    -1,    -1,    -1,
     967,   968,    -1,    -1,   971,    -1,   973,   974,  4331,    -1,
      -1,   978,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   995,    -1,
     997,    -1,  4355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1014,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1039,    -1,  1041,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1050,  1051,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1060,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4459,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4488,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4501,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1155,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4537,  4538,  4539,    -1,    -1,    -1,
      -1,    -1,    -1,  1190,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4616,    -1,    -1,    -1,  1264,    -1,    -1,
    1267,    -1,  1269,    -1,  4627,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1282,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4657,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4667,  4668,    -1,  4670,    -1,    -1,
      -1,  4674,  4675,    -1,    -1,    -1,  4679,  4680,    -1,    -1,
      -1,  4684,    -1,    -1,  4687,  4688,    -1,    -1,    -1,  4692,
      -1,    -1,    -1,    -1,    -1,  4698,    -1,    -1,    -1,    -1,
    1347,    -1,    -1,    -1,    -1,    -1,    -1,  4710,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4718,    -1,    -1,    -1,  4722,
      -1,    -1,  1369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1381,    -1,    -1,    -1,    -1,  1386,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1396,
    4753,    -1,    -1,    -1,  1401,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1409,    -1,    -1,    -1,    -1,    -1,  1415,    -1,
      -1,  1418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4785,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4842,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4863,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4886,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4928,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4953,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4967,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1627,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4996,    -1,  1152,  1153,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5037,    -1,  5039,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5090,    -1,    -1,
      -1,  5094,    -1,    -1,    -1,    -1,  5099,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5116,  5117,    -1,    -1,  5120,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5135,    -1,    -1,    -1,    -1,    -1,    -1,  5142,
      -1,    -1,    -1,    -1,  5147,    -1,    -1,  5150,  5151,    -1,
      -1,    -1,    -1,    -1,  5157,  5158,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1819,  1820,  5177,    -1,  5179,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5191,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1356,
    1357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5231,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1884,  5241,    -1,
    1887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1895,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1912,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1964,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5351,    -1,
    5353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5379,  5380,    -1,  5382,
      -1,  5384,    -1,  2030,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5404,    -1,    -1,    -1,    -1,    -1,  5410,    -1,    -1,
      -1,  5414,    -1,    -1,    -1,    -1,    -1,  5420,    -1,    -1,
      -1,  5424,    -1,    -1,    -1,    -1,  1019,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1045,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5476,    -1,    -1,    -1,    -1,  5481,  5482,
      -1,    -1,    -1,  5486,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1669,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5534,    -1,  1019,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1698,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2197,    -1,    -1,    -1,  5557,    -1,    -1,    -1,    -1,  1045,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1726,
    1727,  1728,    -1,  1730,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5590,  5591,    -1,
      -1,    -1,    -1,  1750,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5613,    -1,    -1,  5616,    -1,    -1,  5619,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5630,    -1,    -1,
      -1,  5634,    -1,  5636,    -1,  5638,    -1,    -1,    -1,    -1,
      -1,    -1,  5645,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1835,  2326,
      -1,  2328,  1839,  1840,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2344,  2345,    -1,
    2347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2387,    -1,    -1,    -1,    -1,    -1,    -1,  5750,    -1,    -1,
      -1,    -1,  2399,    -1,    -1,  5758,  2403,    -1,    -1,    -1,
    2407,    -1,    -1,  2410,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1372,
      -1,    -1,    -1,    -1,  5787,  5788,  5789,    -1,    -1,    -1,
      -1,    -1,    -1,  5796,    -1,    -1,    -1,  5800,    -1,    -1,
      -1,    -1,    -1,  5806,  1397,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1412,
      -1,    -1,    -1,    -1,    -1,    -1,  5829,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5882,
      -1,    -1,    -1,    -1,  5887,  2532,  1372,    -1,    -1,    -1,
      -1,    -1,    -1,  5896,    -1,    -1,    -1,    -1,    -1,  5902,
    5903,    -1,  5905,    -1,    -1,    -1,    -1,    -1,    -1,  1502,
      -1,  1397,  5915,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1412,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5972,
      -1,    -1,    -1,    -1,  5977,    -1,    -1,  2134,  2135,  2136,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6004,    -1,    -1,    -1,    -1,  6009,    -1,    -1,    -1,
      -1,    -1,    -1,  6016,    -1,    -1,  1502,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2675,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2687,  2688,    -1,    -1,    -1,  1638,  6049,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6059,    -1,    -1,  2706,
    2707,    -1,    -1,    -1,  2711,  2712,    -1,    -1,    -1,  2716,
      -1,    -1,    -1,  6076,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2730,    -1,    -1,  6089,    -1,    -1,    -1,
    2737,    -1,    -1,    -1,  2741,  2742,    -1,    -1,  2745,  2746,
      -1,    -1,    -1,    -1,    -1,  2752,  6109,  6110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2767,    -1,  2769,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2788,    -1,    -1,    -1,    -1,  2793,    -1,    -1,    -1,
      -1,    -1,  1638,    -1,    -1,    -1,    -1,    -1,    -1,  2806,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2815,    -1,
      -1,  2818,    -1,    -1,  2821,  2822,  2823,    -1,    -1,    -1,
      -1,  2828,  2829,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2838,    -1,    -1,    -1,    -1,  2843,    -1,    -1,    -1,
      -1,  2848,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2862,    -1,    -1,    -1,    -1,
      -1,    -1,  2869,  2870,    -1,    -1,    -1,    -1,  2875,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2886,
    2887,    -1,    -1,    -1,  2891,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2903,    -1,    -1,  2906,
      -1,    -1,    -1,    -1,  2911,    -1,    -1,    -1,    -1,  2916,
    2917,    -1,    -1,    -1,  2921,    -1,    -1,  2924,    -1,    -1,
      -1,  2928,  2929,  2930,  2931,    -1,  2933,    -1,    -1,    -1,
    2447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2946,
    2947,    -1,  2949,  2460,    -1,  2462,    -1,    -1,  2465,  2466,
    2467,    -1,  2959,  2960,    -1,  2472,    -1,    -1,  2475,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1923,    -1,    -1,  2490,  2491,  2492,  2493,    -1,    -1,    -1,
      -1,  2498,    -1,    -1,    -1,  2502,    -1,    -1,  2505,    -1,
      -1,  2508,  2509,  2510,  2511,  2512,  2513,  2514,  2515,  2516,
      -1,  2518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2526,
      -1,    -1,  2529,    -1,    -1,    -1,    -1,  3024,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1988,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3052,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2587,    -1,  2025,    -1,    -1,    -1,    -1,  1923,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2612,  2613,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2058,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3184,    -1,  2025,
      -1,  1019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2155,    -1,    -1,    -1,    -1,  1045,    -1,    -1,
      -1,    -1,  2058,    -1,    -1,    -1,    -1,    -1,    -1,  2172,
      -1,    -1,    -1,    -1,  3231,    -1,  2743,    -1,  2181,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3262,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2134,  2135,
    2136,    -1,    -1,    -1,    -1,    -1,  2249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2155,
      -1,    -1,    -1,    -1,    -1,    -1,  2269,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2172,    -1,  2281,    -1,
      -1,    -1,    -1,    -1,    -1,  2181,    -1,    -1,    -1,    -1,
    2293,    -1,    -1,    -1,    -1,    -1,    -1,  2193,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2333,  2334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2249,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2269,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2281,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2293,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2972,  2973,  2974,    -1,    -1,
      -1,  2978,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2333,  2334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3013,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3521,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1372,    -1,  2489,    -1,    -1,  3546,
      -1,    -1,    -1,  3550,    -1,    -1,    -1,    -1,    -1,  3556,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1397,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3574,  3575,    -1,
      -1,    -1,  3579,    -1,  1412,    -1,    -1,  3584,  3585,  3586,
      -1,  3588,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3611,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3621,  3622,  3623,  3624,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2489,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3658,    -1,    -1,  3661,  3662,  3663,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1502,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3679,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2529,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3699,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2693,    -1,    -1,    -1,  2697,  2698,    -1,    -1,    -1,    -1,
      -1,  3268,    -1,    -1,    -1,    -1,  3273,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3771,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3309,    -1,  3311,  3312,    -1,    -1,    -1,    -1,
    1638,    -1,    -1,  3810,    -1,  3322,  2759,    -1,  3325,    -1,
    3327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3837,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3356,
      -1,  3358,    -1,  3360,    -1,    -1,    -1,  2693,    -1,    -1,
      -1,  2697,  2698,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2813,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3889,    -1,    -1,    -1,    -1,  3894,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3422,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2759,    -1,    -1,    -1,    -1,  3925,    -1,
    3437,    -1,    -1,    -1,  3931,    -1,    -1,  2773,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3962,    -1,  3964,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2813,    -1,    -1,
      -1,    -1,    -1,    -1,  3981,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3524,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1019,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1045,    -1,    -1,    -1,    -1,
      -1,  3014,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1923,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2974,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3096,    -1,    -1,    -1,    -1,    -1,    -1,
    1988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3014,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2025,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2058,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4250,    -1,  4252,    -1,    -1,  1019,    -1,
    3096,    -1,  4259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3783,    -1,  4275,    -1,
      -1,    -1,  3789,  3226,  1045,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4291,    -1,    -1,    -1,    -1,    -1,
    3243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4310,    -1,  3258,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2155,    -1,    -1,
      -1,  4328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4338,    -1,    -1,  2172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2181,    -1,    -1,    -1,    -1,    -1,    -1,
    4357,    -1,    -1,    -1,    -1,  2193,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4370,  4371,  4372,    -1,    -1,    -1,    -1,
    4377,  4378,  4379,  4380,    -1,    -1,    -1,  4384,  4385,    -1,
    3226,    -1,  1372,  4390,  4391,    -1,  4393,  4394,  4395,  4396,
    4397,  4398,    -1,  4400,    -1,    -1,    -1,  3243,    -1,    -1,
      -1,    -1,  4409,    -1,    -1,  4412,  4413,  1397,    -1,    -1,
      -1,  2249,  3258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1412,    -1,    -1,    -1,    -1,    -1,    -1,  4436,
      -1,  2269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2281,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4458,    -1,    -1,    -1,  2293,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2333,  2334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1502,  4030,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4039,    -1,    -1,    -1,    -1,    -1,  4045,    -1,
    4047,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3493,    -1,    -1,  3496,    -1,  3498,    -1,    -1,  4555,    -1,
    3503,    -1,    -1,    -1,    -1,    -1,    -1,  4074,  4075,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4092,    -1,  4584,  4585,  4586,
    4587,  4588,    -1,  4100,    -1,    -1,  4103,    -1,  4105,    -1,
    4597,    -1,    -1,    -1,    -1,    -1,    -1,  4114,    -1,  3552,
      -1,  1372,    -1,    -1,    -1,  4122,  4123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3571,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1397,    -1,    -1,    -1,
      -1,    -1,  1019,    -1,    -1,    -1,    -1,  4154,    -1,    -1,
      -1,  1412,    -1,  3596,    -1,    -1,    -1,  3493,  1638,    -1,
    3496,  2489,  3498,    -1,    -1,    -1,    -1,  3503,  1045,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4215,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3552,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3667,    -1,  3669,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3571,    -1,    -1,    -1,    -1,
      -1,  1502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4811,  3758,    -1,    -1,  4815,  4816,
    4817,  4818,    -1,    -1,  4821,    -1,    -1,    -1,    -1,    -1,
      -1,  3667,    -1,  3669,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3797,    -1,  4853,  4854,  4855,    -1,
    4857,    -1,  4859,  4860,    -1,  2693,    -1,    -1,    -1,  2697,
    2698,    -1,    -1,    -1,  4871,  4872,    -1,  1638,    -1,    -1,
      -1,  3824,    -1,    -1,    -1,    -1,    -1,  3830,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4898,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4906,
    4907,    -1,  4909,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3758,    -1,  4921,    -1,    -1,    -1,    -1,    -1,
      -1,  2759,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1923,    -1,  2773,    -1,  3783,    -1,    -1,
      -1,    -1,    -1,  3789,    -1,    -1,  3899,    -1,    -1,    -1,
      -1,  3797,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3917,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2813,    -1,    -1,  3824,    -1,
    3933,    -1,    -1,    -1,  3830,  1372,    -1,    -1,  4995,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1988,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1397,    -1,    -1,    -1,    -1,    -1,    -1,  5024,    -1,    -1,
      -1,  4538,  4539,    -1,    -1,  1412,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2025,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5058,    -1,  3899,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2058,    -1,
      -1,  3917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4033,    -1,    -1,    -1,    -1,    -1,    -1,  3933,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4616,
      -1,  4054,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4627,    -1,    -1,    -1,    -1,  1502,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4079,    -1,    -1,    -1,
      -1,    -1,    -1,  5140,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5155,    -1,
    4667,  4668,  1923,    -1,    -1,    -1,    -1,  4674,  4675,    -1,
    4113,    -1,  4679,    -1,    -1,  2155,    -1,  4684,    -1,    -1,
    4687,  4688,    -1,    -1,    -1,  4692,  3014,    -1,    -1,    -1,
      -1,  4698,  2172,    -1,    -1,    -1,    -1,  4033,    -1,    -1,
      -1,  2181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2193,    -1,    -1,    -1,    -1,  4054,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1988,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5233,    -1,    -1,    -1,
      -1,    -1,    -1,  4079,    -1,    -1,  4753,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5251,    -1,    -1,    -1,    -1,  5256,
    5257,  1638,    -1,    -1,  2025,    -1,    -1,    -1,  3096,  2249,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4113,  4785,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4231,  2269,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2058,    -1,    -1,
      -1,  2281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5309,  2293,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2333,  2334,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5363,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5373,    -1,    -1,  4886,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4331,    -1,
      -1,    -1,    -1,    -1,  2155,  4231,    -1,    -1,  3226,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5407,  2172,  4355,    -1,    -1,  3243,    -1,    -1,    -1,    -1,
    2181,  5418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3258,    -1,  2193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5442,  4953,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5464,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5475,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2249,    -1,
      -1,    -1,    -1,    -1,    -1,  4331,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5500,    -1,    -1,    -1,    -1,  2269,  2489,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4355,
    2281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5538,    -1,    -1,    -1,  4488,  1923,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2333,  2334,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4537,    -1,    -1,    -1,    -1,    -1,
      -1,  5598,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5116,
    5117,  1988,    -1,  5120,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5627,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2025,    -1,
    5157,  5158,  4488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5661,  3493,    -1,    -1,  3496,    -1,
    3498,    -1,  5179,    -1,    -1,  3503,    -1,    -1,    -1,  5676,
      -1,  2058,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2693,    -1,    -1,    -1,  2697,  2698,    -1,
      -1,    -1,    -1,    -1,  3552,    -1,    -1,  4670,  2489,    -1,
      -1,    -1,    -1,  5730,    -1,    -1,    -1,  4680,    -1,    -1,
      -1,    -1,    -1,  3571,    -1,    -1,    -1,  5744,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3596,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2155,  2759,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2773,    -1,  2172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2181,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2193,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5828,    -1,  2813,  4670,    -1,    -1,    -1,    -1,  3667,
      -1,  3669,    -1,    -1,  4680,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2249,    -1,    -1,  5382,  5873,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2269,    -1,    -1,    -1,    -1,    -1,    -1,  4842,
      -1,    -1,    -1,  5410,  2281,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2293,  5424,    -1,    -1,
    4863,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3758,    -1,  2693,    -1,    -1,    -1,  2697,  2698,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2333,  2334,    -1,    -1,
      -1,    -1,    -1,  5960,    -1,    -1,    -1,  4803,    -1,  3797,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5486,
      -1,    -1,    -1,    -1,    -1,  4928,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3824,    -1,  2759,    -1,
      -1,    -1,  3830,    -1,    -1,    -1,  4842,    -1,    -1,    -1,
      -1,    -1,  2773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4863,    -1,    -1,
      -1,    -1,    -1,    -1,  3014,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2813,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3917,
      -1,    -1,  4928,    -1,    -1,    -1,  5039,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3933,    -1,    -1,    -1,    -1,
      -1,    -1,  2489,    -1,    -1,    -1,  3096,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5638,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5094,    -1,    -1,    -1,    -1,    -1,  5664,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5037,    -1,  5039,    -1,  4033,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4054,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5750,    -1,    -1,  3226,    -1,    -1,    -1,
      -1,  4079,    -1,  3014,    -1,    -1,    -1,    -1,  5094,    -1,
      -1,    -1,    -1,  3243,  1816,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3258,    -1,
    5787,  5788,  5789,    -1,    -1,  4113,    -1,    -1,  5231,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5806,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2693,    -1,    -1,    -1,
    2697,  2698,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3096,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5887,    -1,  2759,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5231,  2773,    -1,  5905,    -1,
      -1,    -1,    -1,  4231,    -1,    -1,    -1,    -1,    -1,    -1,
    5353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2813,  5380,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3226,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5420,    -1,    -1,
      -1,    -1,  3243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3258,    -1,    -1,
      -1,    -1,    -1,  4331,    -1,    -1,    -1,    -1,    -1,  6016,
      -1,    -1,    -1,  3493,    -1,    -1,  3496,  5353,  3498,    -1,
      -1,    -1,    -1,  3503,    -1,    -1,    -1,  4355,    -1,    -1,
      -1,    -1,    -1,  5476,    -1,    -1,    -1,    -1,  5481,  5482,
      -1,    -1,  6049,    -1,  5380,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6059,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3552,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5420,    -1,    -1,    -1,  2140,    -1,
      -1,  3571,  2144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3596,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3014,    -1,    -1,
    5476,    -1,    -1,    -1,    -1,  5481,  5482,    -1,  5591,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3667,    -1,  3669,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4537,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3096,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3493,    -1,    -1,  3496,    -1,  3498,    -1,    -1,
      -1,    -1,  3503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5590,  5591,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3758,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3552,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3571,    -1,    -1,    -1,    -1,    -1,    -1,  3797,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3596,    -1,    -1,    -1,    -1,
      -1,    -1,  4670,    -1,  3824,    -1,    -1,    -1,    -1,  3226,
    3830,    -1,  4680,    -1,    -1,    -1,    -1,  5800,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3243,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2445,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3667,  2459,  3669,    -1,
      -1,  2463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3899,
      -1,    -1,    -1,    -1,    -1,  2477,  2478,  2479,    -1,    -1,
    2482,    -1,    -1,    -1,    -1,    -1,    -1,  3917,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3933,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5800,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2524,    -1,    -1,  4803,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3758,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4842,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4863,  3797,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2599,    -1,    -1,
      -1,    -1,    -1,  4033,    -1,    -1,    -1,    -1,    -1,  2611,
      -1,    -1,    -1,  3824,  2616,    -1,    -1,    -1,    -1,  3830,
      -1,    -1,    -1,    -1,  4054,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4079,
    4928,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3493,    -1,    -1,  3496,
      -1,  3498,    -1,    -1,    -1,    -1,  3503,    -1,    -1,    -1,
      -1,    -1,    -1,  4113,    -1,    -1,    -1,    -1,  3899,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3917,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3933,    -1,    -1,  3552,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3571,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5039,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3596,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5094,    -1,    -1,    -1,
      -1,    -1,  4033,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3667,    -1,  3669,  4054,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4079,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4331,  4113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4355,    -1,    -1,    -1,    -1,
      -1,  3758,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5231,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3797,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3824,    -1,    -1,
      -1,    -1,    -1,  3830,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4488,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3899,    -1,    -1,  5353,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5380,    -1,    -1,    -1,  3933,  4537,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5420,    -1,  4355,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5476,    -1,
      -1,    -1,    -1,  5481,  5482,    -1,  4033,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4054,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4670,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4680,    -1,  4079,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4488,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4113,    -1,    -1,  3291,
      -1,  3293,    -1,    -1,  3296,  3297,    -1,  3299,    -1,  3301,
      -1,    -1,    -1,  3305,    -1,    -1,  3308,    -1,    -1,    -1,
      -1,  3313,    -1,  5591,    -1,    -1,    -1,  3319,    -1,    -1,
      -1,    -1,  3324,    -1,    -1,    -1,  4537,    -1,    -1,  3331,
    3332,  3333,  3334,    -1,    -1,    -1,  3338,  3339,    -1,  3341,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3353,    -1,  3355,    -1,    -1,    -1,    -1,    -1,    -1,
    3362,  3363,  3364,  3365,  3366,  3367,  3368,  3369,  3370,  3371,
      -1,    -1,    -1,  4803,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4231,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4842,    -1,  3416,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4863,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4670,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4680,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4928,    -1,
      -1,    -1,    -1,    -1,  4331,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5800,    -1,    -1,    -1,    -1,    -1,  4355,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3539,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5039,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4863,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4488,    -1,    -1,  5094,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4537,    -1,    -1,    -1,    -1,    -1,    -1,  4928,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3787,  3788,    -1,    -1,    -1,
    3792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3825,    -1,    -1,    -1,    -1,  5039,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4670,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4680,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5094,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5353,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4803,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4842,    -1,    -1,    -1,    -1,
    5231,    -1,    -1,    -1,    -1,    -1,    -1,  4029,    -1,    -1,
      -1,    -1,    -1,  4035,    -1,    -1,  4863,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5476,    -1,    -1,  4051,
    4052,  5481,  5482,  4055,  4056,  4057,  4058,    -1,    -1,  4061,
    4062,  4063,  4064,  4065,  4066,  4067,  4068,  4069,  4070,  4071,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4093,    -1,    -1,  4096,    -1,  4098,    -1,    -1,  4101,
    4102,  4928,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4116,  4117,  4118,  4119,    -1,  4121,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5591,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5380,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5420,
      -1,    -1,  5039,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4240,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5476,    -1,  5094,    -1,    -1,
    5481,  5482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5800,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5591,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5231,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4459,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5353,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5380,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5800,
      -1,    -1,    -1,  5420,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4617,    -1,    -1,    -1,  4621,
    4622,  4623,    -1,    -1,    -1,    -1,    -1,  4629,  4630,  4631,
    4632,    -1,    -1,    -1,    -1,  4637,  4638,  4639,  4640,  4641,
    4642,  4643,  4644,  4645,  4646,  4647,  4648,    -1,    -1,  5476,
      -1,    -1,    -1,    -1,  5481,  5482,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4673,    -1,    -1,  4676,    -1,  4678,    -1,    -1,    -1,
    4682,    -1,    -1,  4685,  4686,    -1,    -1,  4689,  4690,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     6,     7,    -1,
       9,    10,    11,    -1,    -1,    -1,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    -1,    -1,
      -1,    30,    31,    32,    33,    -1,    35,    36,    37,    38,
      -1,    40,    41,    42,  4736,    -1,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
    4752,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    -1,
      69,    -1,    -1,  4765,  5591,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,
      -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     139,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,   148,
      -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   184,   185,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   221,    -1,    -1,    -1,   225,    -1,    -1,    -1,
      -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,   237,    -1,
     239,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,   248,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,    -1,
      -1,    -1,    -1,    -1,  4956,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   272,   273,    -1,    -1,    -1,    -1,    -1,
     279,    -1,   281,  5800,    -1,   284,   285,    -1,   287,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,   297,    -1,
     299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   322,   323,   324,    -1,    -1,    -1,   328,
      -1,    -1,    -1,   332,    -1,    -1,   335,    -1,   337,    -1,
      -1,    -1,  5034,  5035,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   353,   354,    -1,   356,   357,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   370,    -1,   372,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   387,    -1,
      -1,    -1,  5084,    -1,    -1,    -1,    -1,  5089,  5090,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   408,
      -1,    -1,  5104,    -1,  5106,   414,    -1,    -1,  5110,  5111,
    5112,    -1,    -1,  5115,    -1,    -1,  5118,  5119,    -1,    -1,
      -1,  5123,    -1,    -1,   433,  5127,    -1,   436,    -1,    -1,
     439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,
      -1,   460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   468,
     469,    -1,    -1,    -1,    -1,   474,    -1,   476,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   485,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5189,    -1,    -1,
      -1,   500,    -1,    -1,   503,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   556,     6,     7,
    5252,     9,    10,    11,    -1,    -1,    -1,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    -1,
      -1,    -1,    30,    31,    32,    33,    -1,    35,    36,    37,
      38,    39,    40,    41,    42,    -1,    -1,    -1,  5290,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    71,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     118,    -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5378,  5379,    -1,    -1,
      -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,
     148,    -1,  5394,  5395,  5396,    -1,    -1,   155,    -1,    -1,
      -1,    -1,  5404,    -1,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   184,   185,    -1,  5431,
    5432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5446,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,   225,    -1,    -1,
      -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,   237,
      -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   272,   273,    -1,    -1,    -1,    -1,
      -1,   279,    -1,   281,    -1,    -1,   284,   285,    -1,   287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,   297,
      -1,   299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   322,   323,   324,    -1,    -1,    -1,
     328,    -1,    -1,    -1,   332,    -1,    -1,   335,    -1,   337,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   353,   354,    -1,   356,   357,
      -1,    -1,    -1,  5605,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   370,    -1,   372,    -1,    -1,  5619,    -1,    -1,
    5622,    -1,    -1,    -1,  5626,    -1,    -1,    -1,    -1,   387,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     408,    -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5675,    -1,   433,    -1,    -1,   436,    -1,
      -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,
      -1,    -1,   460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     468,   469,    -1,    -1,    -1,    -1,   474,    -1,   476,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   485,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   500,    -1,    -1,   503,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5794,    -1,  5796,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5827,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5881,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5908,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5970,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6004,    -1,    -1,    -1,    -1,  6009,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,  6055,    -1,    -1,  6058,    54,  6060,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,  6086,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,     3,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,   555,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   103,    -1,   105,
     106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,   118,    -1,    -1,   121,   122,   123,   124,   125,
     126,    -1,    -1,    -1,   130,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   139,    -1,    -1,   142,    -1,   144,   145,
     146,    -1,   148,    -1,    -1,   151,    -1,   153,    -1,   155,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,    -1,    -1,    -1,   181,    -1,   183,   184,   185,
     186,    -1,    -1,    -1,    -1,    -1,   192,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   200,    -1,   202,    -1,    -1,    -1,
     206,    -1,    -1,    -1,    -1,    -1,   212,   213,    -1,    -1,
      -1,    -1,    -1,    -1,   220,   221,   222,    -1,    -1,   225,
      -1,    -1,   228,    -1,    -1,   231,    -1,    -1,    -1,    -1,
      -1,   237,    -1,   239,    -1,    -1,    -1,    -1,   244,    -1,
     246,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   257,    -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   272,   273,    -1,    -1,
     276,    -1,    -1,   279,    -1,   281,    -1,    -1,   284,   285,
      -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     296,   297,    -1,   299,    -1,   301,   302,    -1,    -1,    -1,
      -1,   307,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   319,    -1,    -1,   322,   323,   324,    -1,
      -1,    -1,   328,    -1,    -1,   331,   332,    -1,    -1,   335,
      -1,   337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   353,   354,    -1,
     356,   357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   370,    -1,   372,    -1,   374,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   387,   388,    -1,    -1,    -1,    -1,    -1,   394,   395,
      -1,   397,    -1,    -1,    -1,    -1,   402,    -1,    -1,    -1,
      -1,   407,   408,    -1,   410,    -1,    -1,    -1,   414,    -1,
      -1,   417,    -1,    -1,    -1,    -1,    -1,   423,   424,    -1,
      -1,    -1,    -1,    -1,    -1,   431,    -1,   433,    -1,   435,
     436,    -1,    -1,   439,    -1,    -1,    -1,    -1,    -1,   445,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   454,    -1,
      -1,    -1,   458,    -1,   460,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   468,   469,    -1,    -1,    -1,    -1,   474,    -1,
     476,    -1,   478,    -1,   480,    -1,    -1,    -1,    -1,   485,
      -1,    -1,   488,    -1,    -1,   491,    -1,    -1,   494,    -1,
      -1,    -1,    -1,   499,   500,    -1,    -1,   503,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,
      -1,    -1,    -1,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    -1,    -1,    -1,    -1,    -1,   535,
      -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,   549,    14,    15,    -1,   553,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,    -1,    -1,    -1,    -1,   109,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,    -1,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,    -1,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,    -1,    -1,    -1,    -1,    -1,    -1,
     540,   541,   542,    -1,    -1,    -1,    -1,    -1,    -1,   549,
     550,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
      -1,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,    -1,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
      -1,   535,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   549,   550,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,   109,    -1,    -1,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,    -1,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,   297,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,    -1,   486,   487,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,    -1,    -1,    -1,    -1,
      -1,    -1,   540,   541,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   549,   550,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,   109,    -1,    -1,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,    -1,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,   297,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,    -1,   486,   487,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,    -1,    -1,    -1,    -1,    -1,    -1,   540,   541,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   549,   550,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,   109,    -1,    -1,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,    -1,   275,
     276,   277,   278,   279,    -1,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,   297,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,    -1,
     486,   487,   488,   489,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,   503,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,    -1,    -1,
      -1,    -1,    -1,    -1,   540,   541,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   549,   550,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,    -1,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,    -1,   295,    -1,   297,   298,   299,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,    -1,    -1,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
      -1,   371,    -1,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,    -1,    -1,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
     500,   501,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     530,   531,   532,    -1,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
     550,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,    -1,   222,   223,   224,    -1,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,    -1,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,    -1,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,    -1,    -1,   295,    -1,
     297,   298,   299,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,    -1,    -1,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,    -1,   371,    -1,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,    -1,    -1,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,    -1,   500,   501,   502,   503,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   530,   531,   532,    -1,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,   550,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
      -1,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,    -1,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
      -1,   535,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   549,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
     109,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,    -1,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,    -1,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,    -1,    -1,    -1,    -1,    -1,
      -1,   540,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     549,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
      -1,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,    -1,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
      -1,    -1,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,
      -1,    -1,    -1,   547,   548,   549,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
     109,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,    -1,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,    -1,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,    -1,    -1,    -1,    -1,    -1,
      -1,   540,   541,   542,    -1,    -1,    -1,    -1,    -1,    -1,
     549,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
      -1,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,    -1,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
      -1,    -1,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   549,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
     109,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,    -1,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,    -1,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,    -1,    -1,    -1,    -1,    -1,
      -1,   540,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     549,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
      -1,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,    -1,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
      -1,    -1,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   549,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
     109,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,    -1,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,    -1,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,    -1,    -1,    -1,    -1,    -1,
      -1,   540,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     549,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
      -1,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,    -1,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
      -1,    -1,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   549,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
     109,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,    -1,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,    -1,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,    -1,    -1,    -1,    -1,    -1,
      -1,   540,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     549,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
      -1,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,    -1,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
      -1,    -1,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   549,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
     109,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,    -1,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,    -1,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,    -1,    -1,    -1,    -1,    -1,
      -1,   540,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     549,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
      -1,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,    -1,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
      -1,    -1,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   549,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
     109,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,    -1,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,    -1,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,    -1,    -1,    -1,    -1,    -1,
      -1,   540,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     549,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
      -1,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,    -1,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
      -1,    -1,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   549,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
     109,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,    -1,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,   287,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,    -1,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,    -1,    -1,    -1,    -1,    -1,
      -1,   540,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     549,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
      -1,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   549,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
     109,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,    -1,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   540,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     549,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
      -1,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   540,   541,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   549,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
     109,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,    -1,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   540,   541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     549,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,   109,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
      -1,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,   549,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,   109,    -1,    -1,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,    -1,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,   297,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,   549,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,   109,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,    -1,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,   549,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,   109,    -1,    -1,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,    -1,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,    -1,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,    -1,   286,   287,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,   297,
     298,    -1,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,    -1,   486,   487,
     488,   489,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   540,   541,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   549,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,   345,   346,   347,   348,    -1,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,   504,   505,   506,   507,    -1,    -1,   510,    -1,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,   549,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,   345,   346,   347,   348,    -1,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,   549,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
     549,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,   549,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,   549,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,   549,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,   287,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,   297,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,   550,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    77,
      78,    -1,    80,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,    -1,
     298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,    -1,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
     548,   549,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    77,    78,    -1,    80,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,
     286,    -1,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,    -1,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,    -1,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,    -1,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,   549,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,   458,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,   549,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,   549,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,    -1,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
      -1,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,   549,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,    -1,
     298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,    -1,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,   549,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,
     286,    -1,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,    -1,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,    -1,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,    -1,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,   549,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,   549,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      -1,    83,    84,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,    -1,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,    -1,    -1,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,    -1,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
      -1,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,    -1,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,   481,
     482,   483,   484,    -1,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   530,   531,
     532,    -1,    -1,    -1,   536,   537,   538,    -1,   540,   541,
     542,   543,   544,   545,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    -1,    83,    84,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
      -1,   222,   223,   224,    -1,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,    -1,    -1,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,    -1,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,    -1,
     371,    -1,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,    -1,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,    -1,   475,    -1,   477,   478,   479,   480,
     481,   482,   483,   484,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   530,
     531,   532,    -1,    -1,    -1,   536,   537,   538,    -1,   540,
     541,   542,   543,   544,   545,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    83,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,    -1,   536,   537,   538,    -1,   540,
     541,   542,   543,   544,   545,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    83,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,    -1,   536,   537,   538,    -1,   540,
     541,   542,   543,   544,   545,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    83,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,    -1,   536,   537,   538,    -1,   540,
     541,   542,   543,   544,   545,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    83,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,    -1,   536,   537,   538,    -1,   540,
     541,   542,   543,   544,   545,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    83,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,    -1,   536,   537,   538,    -1,   540,
     541,   542,   543,   544,   545,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    83,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,    -1,   536,   537,   538,    -1,   540,
     541,   542,   543,   544,   545,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    83,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,    -1,   536,   537,   538,    -1,   540,
     541,   542,   543,   544,   545,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,   542,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
      -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,    -1,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,    -1,    -1,   295,    -1,   297,   298,   299,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,    -1,    -1,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,    -1,
     371,    -1,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,    -1,    -1,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,   503,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   530,
     531,   532,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,   542,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
     542,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,   542,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,   238,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   540,   541,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
     238,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,    -1,
     298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,    -1,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   540,   541,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,   238,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   540,   541,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,   238,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,
     286,    -1,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,    -1,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,    -1,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,    -1,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   540,   541,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,    -1,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
      -1,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,    -1,    -1,     4,   538,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,
      -1,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
      -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,    -1,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,    -1,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,   297,   298,   299,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,    -1,   222,   223,   224,    -1,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,    -1,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,    -1,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,    -1,    -1,   295,    -1,
     297,   298,   299,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,    -1,    -1,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,    -1,   371,    -1,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,    -1,    -1,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,    -1,   500,   501,   502,   503,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   530,   531,   532,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,    -1,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,    -1,    -1,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,    -1,    -1,   295,    -1,   297,   298,
     299,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,    -1,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,    -1,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,    -1,   371,    -1,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,    -1,    -1,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
      -1,   500,    -1,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   530,   531,   532,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
      -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,    -1,    -1,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,    -1,    -1,   295,    -1,   297,   298,   299,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,    -1,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,    -1,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,    -1,
     371,    -1,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,    -1,    -1,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,    -1,   500,
      -1,   502,   503,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   530,
     531,   532,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,    -1,   222,
     223,   224,    -1,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,    -1,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
      -1,    -1,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
      -1,    -1,   295,    -1,   297,   298,   299,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,    -1,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
      -1,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,    -1,   371,    -1,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,    -1,    -1,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,    -1,   500,    -1,   502,
     503,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   530,   531,   532,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,    -1,   222,   223,   224,
      -1,    -1,   227,    -1,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,    -1,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,    -1,    -1,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,    -1,   297,   298,   299,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,    -1,    -1,   330,   331,   332,   333,    -1,
      -1,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,    -1,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,    -1,   371,    -1,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,    -1,
      -1,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,    -1,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   530,   531,   532,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,    -1,   222,   223,   224,    -1,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,    -1,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,    -1,    -1,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,    -1,    -1,   295,    -1,
     297,   298,   299,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,    -1,    -1,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,    -1,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,    -1,   371,    -1,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,    -1,    -1,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,    -1,   500,    -1,   502,   503,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   530,   531,   532,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,    -1,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,    -1,    -1,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,    -1,    -1,   295,    -1,   297,   298,
     299,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,    -1,    -1,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,    -1,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,    -1,   371,    -1,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,    -1,    -1,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
      -1,   500,    -1,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   530,   531,   532,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
      -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,    -1,    -1,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,    -1,    -1,   295,    -1,   297,   298,   299,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,    -1,    -1,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,    -1,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,    -1,
     371,    -1,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,    -1,    -1,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,    -1,   500,
      -1,   502,   503,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   530,
     531,   532,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,    -1,   222,
     223,   224,    -1,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,    -1,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
      -1,    -1,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
      -1,    -1,   295,    -1,   297,   298,   299,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,    -1,    -1,   330,   331,   332,
     333,    -1,    -1,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
      -1,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,    -1,   371,    -1,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,    -1,    -1,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,    -1,   500,    -1,   502,
     503,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   530,   531,   532,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,    -1,   222,   223,   224,
      -1,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,    -1,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,    -1,    -1,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,    -1,   297,   298,   299,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,    -1,    -1,   330,   331,   332,   333,    -1,
      -1,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,    -1,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,    -1,   371,    -1,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,    -1,
      -1,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,    -1,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   530,   531,   532,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,   121,    -1,    -1,   124,    -1,    -1,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,    -1,    -1,   140,    -1,   142,   143,   144,   145,    -1,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,    -1,    -1,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,    -1,   222,   223,   224,    -1,    -1,
     227,    -1,   229,   230,    -1,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,    -1,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,    -1,    -1,   275,   276,
     277,    -1,    -1,    -1,    -1,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,    -1,    -1,   295,    -1,
     297,   298,   299,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,    -1,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,    -1,    -1,   336,
      -1,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,    -1,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,    -1,   371,    -1,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,    -1,   434,   435,   436,
     437,   438,    -1,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,    -1,    -1,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,    -1,    -1,    -1,   472,   473,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,    -1,    -1,    -1,   502,   503,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   530,   531,   532,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,    -1,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,    -1,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      -1,   531,   532,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    74,    75,    76,    77,    78,    -1,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    74,    75,
      76,    77,    78,    -1,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,
     286,    -1,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,    -1,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,    -1,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,    -1,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,    -1,    -1,
     149,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,    -1,   298,
      -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,    -1,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,   486,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,    -1,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,   486,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,   166,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,
      -1,   286,    -1,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,    -1,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,    -1,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,    -1,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,   166,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,    -1,
     298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,    -1,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    74,    75,    76,    77,    78,    -1,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,   235,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,   486,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,
      -1,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
      -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,    -1,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,    -1,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,   166,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,    -1,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
      -1,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,   235,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,
     286,    -1,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,    -1,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,   458,   459,    -1,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,    -1,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,   166,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,    -1,   298,
      -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,    -1,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,    -1,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,
      -1,   286,    -1,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,    -1,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,    -1,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,    -1,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,    -1,
     298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,    -1,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,
      -1,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
      -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,    -1,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,    -1,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,    -1,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
      -1,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,
     286,    -1,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,    -1,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,    -1,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,    -1,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,    -1,   298,
      -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,    -1,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,    -1,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,
      -1,   286,    -1,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,    -1,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,    -1,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,    -1,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,    -1,
     298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,   346,   347,
     348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,    -1,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,
      -1,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
      -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,   345,   346,
     347,   348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,    -1,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,    -1,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,    -1,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
      -1,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    72,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,
     286,    -1,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,    -1,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,    -1,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,    -1,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,    -1,   298,
      -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,    -1,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,    -1,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,   110,    -1,   112,   113,    -1,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,
      -1,   286,    -1,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,    -1,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,    -1,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,    -1,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,    -1,
     298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,    -1,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,
      -1,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
      -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,    -1,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,    -1,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,    -1,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
      -1,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,
     286,    -1,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,    -1,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,    -1,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,    -1,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,    -1,   298,
      -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,    -1,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,    -1,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,
      -1,   286,    -1,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,    -1,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,    -1,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,    -1,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,    -1,
     298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,    -1,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,
      -1,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
      -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,    -1,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,    -1,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,    -1,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
      -1,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,
     286,    -1,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,    -1,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,    -1,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,    -1,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,    -1,   298,
      -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,    -1,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,    -1,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,
      -1,   286,    -1,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,    -1,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,    -1,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,    -1,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,    -1,
     298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,    -1,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,
      -1,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
      -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,    -1,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,    -1,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,    -1,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
      -1,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,
     286,    -1,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,    -1,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,    -1,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,    -1,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,    -1,   298,
      -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,    -1,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,    -1,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,   110,    -1,   112,   113,    -1,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,
      -1,   286,    -1,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,    -1,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,    -1,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,    -1,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,    -1,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,    -1,
     298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,    -1,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,
      -1,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
      -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,    -1,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,    -1,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,    -1,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
      -1,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,
     286,    -1,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,    -1,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,    -1,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,    -1,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,    -1,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,    -1,   298,
      -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,    -1,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,    -1,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
      -1,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,    -1,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,    -1,
      -1,   286,    -1,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,    -1,   298,    -1,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,    -1,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,    -1,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,    -1,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,    -1,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,    -1,
     298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,    -1,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,    -1,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,    -1,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,    -1,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,    -1,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,    -1,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
      -1,    -1,   286,    -1,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,    -1,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
      -1,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,    -1,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,    -1,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,    -1,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,    -1,    -1,   286,
      -1,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
      -1,   298,    -1,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,    -1,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,    -1,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,    -1,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,    -1,    -1,   286,    -1,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,    -1,   298,    -1,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,    -1,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
      -1,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,    -1,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,    -1,   250,    -1,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,    -1,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,    -1,    -1,   286,    -1,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,    -1,   298,    -1,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,    -1,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,    -1,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,    -1,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,    -1,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
      -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
       6,     7,    -1,     9,    10,    11,    -1,    -1,    -1,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    -1,    -1,    -1,    30,    31,    32,    33,    -1,    35,
      36,    37,    38,    39,    40,    41,    42,    -1,    -1,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   118,    -1,    -1,    -1,   122,   123,   124,   125,
     126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,
     146,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,   155,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,   185,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,   225,
      -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,
      -1,   237,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,
     246,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   272,   273,    -1,    -1,
      -1,    -1,    -1,   279,    -1,   281,    -1,    -1,   284,   285,
      -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     296,   297,    -1,   299,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   322,   323,   324,    -1,
      -1,    -1,   328,    -1,    -1,    -1,   332,    -1,    -1,   335,
      -1,   337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   353,   354,    -1,
     356,   357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   370,    -1,   372,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,   414,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   433,    -1,    -1,
     436,    -1,    -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   454,    -1,
      -1,    -1,    -1,    -1,   460,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   468,   469,    -1,    -1,    -1,    -1,   474,    -1,
     476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   485,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   500,    -1,    -1,   503,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     6,     7,    -1,     9,    10,    11,
      -1,    -1,    -1,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    -1,    -1,    -1,    30,    31,
      32,    33,    -1,    35,    36,    37,    38,    -1,    40,    41,
      42,    -1,    -1,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    -1,    69,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,
     122,   123,   124,   125,   126,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,
      -1,    -1,    -1,    -1,   146,    -1,   148,    -1,    -1,    -1,
      -1,    -1,    -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   184,   185,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,
      -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,   231,
      -1,    -1,    -1,    -1,    -1,   237,    -1,   239,    -1,    -1,
      -1,    -1,    -1,    -1,   246,    -1,   248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     272,   273,    -1,    -1,    -1,    -1,    -1,   279,    -1,   281,
      -1,    -1,   284,   285,    -1,   287,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   296,   297,    -1,   299,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     322,   323,   324,    -1,    -1,    -1,   328,    -1,    -1,    -1,
     332,    -1,    -1,   335,    -1,   337,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   353,   354,    -1,   356,   357,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   370,    -1,
     372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   387,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   408,    -1,    -1,    -1,
      -1,    -1,   414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   433,    -1,    -1,   436,    -1,    -1,   439,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   454,    -1,    -1,    -1,    -1,    -1,   460,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   468,   469,    -1,    -1,
      -1,    -1,   474,    -1,   476,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   485,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,    -1,
      -1,   503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     6,     7,
      -1,     9,    10,    11,    -1,    -1,    -1,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    -1,
      -1,    -1,    30,    31,    32,    33,    -1,    35,    36,    37,
      38,    -1,    40,    41,    42,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     118,    -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,
     148,    -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   184,   185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,   225,    -1,    -1,
      -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,   237,
      -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   272,   273,    -1,    -1,    -1,    -1,
      -1,   279,    -1,   281,    -1,    -1,   284,   285,    -1,   287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   296,   297,
      -1,   299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   322,   323,   324,    -1,    -1,    -1,
     328,    -1,    -1,    -1,   332,    -1,    -1,   335,    -1,   337,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   353,   354,    -1,   356,   357,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   370,    -1,   372,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   387,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     408,    -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   433,    -1,    -1,   436,    -1,
      -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,
      -1,    -1,   460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     468,   469,    -1,    -1,    -1,    -1,   474,    -1,   476,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   485,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   500,    -1,    -1,   503,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     6,     7,    -1,     9,    10,    11,    -1,    -1,
      -1,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    -1,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    69,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,   122,   123,
     124,   125,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,
      -1,    -1,   146,    -1,   148,    -1,    -1,    -1,    -1,    -1,
      -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     184,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,   225,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,
      -1,    -1,    -1,   237,    -1,   239,    -1,    -1,    -1,    -1,
      -1,    -1,   246,    -1,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   272,   273,
      -1,    -1,    -1,    -1,    -1,   279,    -1,   281,    -1,    -1,
     284,   285,    -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   296,   297,    -1,   299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,   323,
     324,    -1,    -1,    -1,   328,    -1,    -1,    -1,   332,    -1,
      -1,   335,    -1,   337,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   353,
     354,    -1,   356,   357,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   370,    -1,   372,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,
     414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   433,
      -1,    -1,   436,    -1,    -1,   439,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     454,    -1,    -1,    -1,    -1,    -1,   460,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   468,   469,    -1,    -1,    -1,    -1,
     474,    -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   500,    -1,    -1,   503,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    69,    70,    -1,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    -1,
      -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,    -1,   255,   256,   257,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,    -1,   500,    -1,   502,
     503,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    69,   531,   532,
      -1,    -1,    -1,    -1,    -1,    77,    78,   540,   541,   542,
      -1,    -1,    -1,    -1,    -1,    -1,   549,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,   105,   106,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,    -1,   255,   256,   257,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,   297,   298,   299,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,   504,   505,   506,   507,    -1,    -1,   510,    -1,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,   531,
     532,    69,    70,   535,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    -1,    -1,    84,   549,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,    -1,   255,   256,   257,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,   297,
     298,   299,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,   500,    -1,   502,   503,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,   531,   532,    -1,    -1,    -1,    -1,    -1,
      69,    70,   540,   541,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,    -1,   255,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
      -1,   500,    -1,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,   531,   532,    -1,    -1,    -1,    -1,    -1,    69,
      70,   540,   541,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,   252,   253,    -1,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
     500,    -1,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      -1,   531,   532,    -1,    -1,    -1,    -1,    -1,    69,    70,
     540,   541,    73,    74,    75,    76,    77,    78,    -1,    80,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,    -1,   255,   256,   257,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,   297,   298,   299,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,    -1,   494,   495,   496,   497,   498,    -1,   500,
      -1,   502,   503,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    -1,
     531,   532,    -1,    -1,    -1,    -1,    -1,    69,    70,   540,
     541,    73,    74,    75,    76,    77,    78,    -1,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,    -1,   255,   256,   257,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,   297,   298,   299,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,   500,    -1,
     502,   503,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,   531,
     532,    69,    70,    -1,    -1,    73,    74,    75,    76,    77,
      78,    -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,    -1,   255,   256,   257,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,   297,
     298,   299,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,   500,    -1,   502,   503,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    69,   531,   532,    -1,    73,    74,    75,    76,
      77,    78,    -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,    -1,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,    -1,   255,   256,
     257,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,    -1,   500,    -1,   502,   503,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    69,   531,   532,    -1,    73,    74,    75,
      76,    77,    78,    -1,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,    -1,   255,
     256,   257,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,   297,   298,   299,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,   500,    -1,   502,   503,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    69,   531,   532,    -1,    73,    74,
      75,    76,    77,    78,    -1,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,    -1,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,    -1,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,    -1,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    69,   531,   532,    -1,    73,
      74,    75,    76,    77,    78,    -1,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
      -1,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    69,   531,   532,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,    -1,   255,   256,   257,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,    -1,   500,    -1,   502,
     503,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    69,   531,   532,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,   250,    -1,
     252,   253,    -1,   255,   256,   257,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,    -1,   275,   276,   277,    -1,   279,    -1,   281,
      -1,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,    -1,    -1,   295,   296,   297,   298,   299,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,    -1,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,   500,    -1,
     502,   503,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    69,   531,
     532,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    95,    96,    97,    98,    99,   100,
      -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,   250,
      -1,   252,   253,    -1,   255,   256,   257,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,    -1,   275,   276,   277,    -1,   279,    -1,
     281,    -1,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,    -1,    -1,   295,   296,   297,   298,   299,    -1,
     301,   302,   303,    -1,    -1,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,    -1,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,    -1,   500,
      -1,   502,   503,   504,   505,   506,   507,    -1,    -1,   510,
      -1,    -1,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    69,
     531,   532,    -1,    -1,    -1,    -1,    -1,    77,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,   256,   257,   258,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,    -1,   275,   276,   277,    -1,   279,
      -1,   281,    -1,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,    -1,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,    -1,    -1,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,    -1,   346,   347,   348,    -1,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,    -1,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,    -1,   494,   495,   496,   497,   498,    -1,
     500,    -1,   502,   503,   504,   505,   506,   507,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      69,   531,   532,    -1,    -1,    -1,    -1,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,    98,
      99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,   250,    -1,   252,   253,    -1,   255,   256,   257,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,    -1,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,    -1,    -1,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,    -1,    -1,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,    -1,   346,   347,   348,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,   494,   495,   496,   497,   498,
      -1,   500,    -1,   502,   503,   504,   505,   506,   507,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    69,   531,   532,    -1,    -1,    -1,    -1,    -1,    77,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,    -1,   102,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,   252,   253,    -1,   255,   256,   257,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,    -1,   275,   276,   277,
      -1,   279,    -1,   281,    -1,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,    -1,    -1,   295,   296,   297,
     298,   299,    -1,   301,   302,   303,    -1,    -1,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,    -1,   346,   347,
     348,    -1,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,    -1,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,   494,   495,   496,   497,
     498,    -1,   500,    -1,   502,   503,   504,   505,   506,   507,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    69,   531,   532,    -1,    -1,    -1,    -1,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,    96,
      97,    98,    99,   100,    -1,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,    -1,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,   250,    -1,   252,   253,    -1,   255,   256,
     257,   258,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,    -1,   275,   276,
     277,    -1,   279,    -1,   281,    -1,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,    -1,    -1,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,    -1,    -1,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,    -1,   346,
     347,   348,    -1,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,    -1,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,   494,   495,   496,
     497,   498,    -1,   500,    -1,   502,   503,   504,   505,   506,
     507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    69,   531,   532,    -1,    -1,    -1,    -1,
      -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    95,
      96,    97,    98,    99,   100,    -1,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,   252,   253,    -1,   255,
     256,   257,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,    -1,   275,
     276,   277,    -1,   279,    -1,   281,    -1,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,    -1,    -1,   295,
     296,   297,   298,   299,    -1,   301,   302,   303,    -1,    -1,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,    -1,
     346,   347,   348,    -1,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,    -1,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,    -1,   494,   495,
     496,   497,   498,    -1,   500,    -1,   502,   503,   504,   505,
     506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    69,   531,   532,    -1,    -1,    -1,
      -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      95,    96,    97,    98,    99,   100,    -1,   102,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,    -1,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,   252,   253,    -1,
     255,   256,   257,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,    -1,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,    -1,    -1,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,    -1,
      -1,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
      -1,   346,   347,   348,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
      -1,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,   494,
     495,   496,   497,   498,    -1,   500,    -1,   502,   503,   504,
     505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    69,   531,   532,    -1,    -1,
      -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    95,    96,    97,    98,    99,   100,    -1,   102,   103,
     104,   105,   106,    -1,    -1,    -1,    -1,    -1,   112,   113,
      -1,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,   250,    -1,   252,   253,
      -1,   255,   256,   257,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
      -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
      -1,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
      -1,    -1,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,    -1,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,    -1,
     494,   495,   496,   497,   498,    -1,   500,    -1,   502,   503,
     504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    69,   531,   532,    -1,
      -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,    -1,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
     113,    -1,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,   252,
     253,    -1,   255,   256,   257,   258,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,    -1,   275,   276,   277,    -1,   279,    -1,   281,    -1,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
      -1,    -1,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,    -1,    -1,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,    -1,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,   494,   495,   496,   497,   498,    -1,   500,    -1,   502,
     503,   504,   505,   506,   507,    -1,    -1,   510,    -1,    -1,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    69,   531,   532,
      -1,    -1,    -1,    -1,    -1,    77,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    95,    96,    97,    98,    99,   100,    -1,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,    -1,    -1,    -1,    -1,   128,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,    -1,   140,    -1,
     142,   143,   144,   145,    -1,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
      -1,   183,    -1,    -1,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,    -1,
     222,   223,   224,    -1,    -1,   227,    -1,   229,   230,    -1,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,    -1,    -1,    -1,   249,   250,    -1,
     252,   253,    -1,   255,   256,    -1,   258,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
      -1,    -1,    -1,   275,   276,   277,    -1,    -1,    -1,    -1,
      -1,   283,    -1,    -1,   286,    -1,   288,   289,   290,   291,
     292,    -1,    -1,   295,    -1,    -1,   298,    -1,    -1,   301,
     302,   303,    -1,    -1,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,    -1,   319,   320,   321,
      -1,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
      -1,   333,    -1,    -1,   336,    -1,   338,   339,   340,    -1,
     342,   343,    -1,    -1,   346,   347,   348,    -1,    -1,   351,
     352,    -1,    -1,   355,    -1,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,    -1,   371,
      -1,   373,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,    -1,   434,   435,    -1,   437,   438,    -1,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,    -1,    -1,   456,   457,    -1,   459,    -1,   461,
     462,   463,   464,   465,    -1,   467,    -1,    -1,    -1,    -1,
     472,   473,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,    -1,   494,   495,   496,   497,   498,    -1,    -1,    -1,
     502,    -1,   504,   505,   506,   507,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,   516,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,
     532
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   558,  1217,     0,     5,    24,    34,    35,    39,    41,
      42,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    71,    73,    74,    75,
      76,    77,    78,    79,    80,    84,   138,   213,   231,   254,
     278,   315,   318,   334,   422,   470,   485,   500,   530,   538,
     540,   541,   542,   543,   544,   547,   548,   549,   550,   552,
     553,   554,   555,   556,  1207,  1218,  1246,  1248,  1339,  1349,
    1350,  1352,  1358,  1359,  1247,     3,     6,     7,     8,     9,
      10,    11,    12,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    25,    26,    27,    30,    31,    32,    33,
      35,    36,    37,    38,    40,    41,    42,    43,    44,    48,
      49,    54,    63,    65,    67,    68,    93,   103,   105,   106,
     115,   118,   121,   122,   123,   124,   125,   126,   130,   139,
     142,   144,   145,   146,   148,   151,   153,   155,   164,   166,
     167,   174,   181,   183,   184,   185,   186,   200,   202,   206,
     212,   213,   220,   221,   222,   225,   228,   231,   237,   239,
     244,   246,   248,   257,   261,   272,   273,   279,   281,   284,
     285,   287,   296,   297,   299,   301,   302,   307,   319,   322,
     323,   324,   328,   331,   332,   335,   337,   353,   354,   356,
     357,   370,   372,   374,   387,   388,   394,   395,   397,   402,
     407,   408,   410,   414,   417,   423,   424,   431,   433,   435,
     436,   439,   445,   454,   458,   460,   468,   469,   474,   476,
     478,   480,   485,   488,   494,   499,   500,   503,   512,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     535,   549,   559,   560,   561,   567,   568,   570,   571,   572,
     573,   575,   579,   591,   596,   597,   600,   601,   602,   625,
     628,   629,   645,   689,   692,   695,   696,   697,   705,   711,
     713,   715,   716,   719,   722,   723,   727,   736,   740,   741,
     742,   743,   746,   748,   749,   750,   751,   759,   760,   779,
     783,   785,   786,   787,   797,   799,   806,   807,   810,   811,
     812,   813,   814,   822,   824,   828,   833,   837,   838,   846,
     847,   850,   855,   868,   895,   898,   899,   900,   905,   908,
     910,   912,   914,   915,   920,   921,   924,   925,   926,   930,
     931,   934,   935,   938,   939,   940,   947,   949,   950,   951,
     956,   958,   959,   965,   966,   967,   968,   969,   970,   971,
     973,   974,   976,   977,   979,   982,   985,   994,  1000,  1003,
    1005,  1014,  1016,  1021,  1026,  1030,  1031,  1032,  1033,  1034,
    1035,  1038,  1073,  1214,  1215,  1219,  1221,  1222,  1239,  1240,
    1241,  1242,  1253,  1255,  1259,  1260,  1261,  1262,  1263,  1265,
    1267,  1269,  1270,  1271,  1272,  1274,  1279,  1280,  1284,  1285,
    1294,  1296,  1297,  1298,  1301,  1306,  1309,  1314,  1316,  1317,
    1320,  1322,  1325,  1334,  1352,  1360,    71,  1242,  1250,  1251,
      13,    70,    93,    94,    95,    96,    97,    98,    99,   100,
     102,   103,   104,   112,   113,   115,   116,   117,   119,   120,
     121,   128,   129,   130,   131,   132,   133,   136,   137,   140,
     142,   143,   144,   145,   150,   151,   152,   153,   154,   156,
     157,   160,   161,   162,   163,   164,   165,   168,   169,   177,
     178,   179,   180,   181,   183,   186,   188,   190,   191,   192,
     193,   194,   195,   197,   198,   199,   200,   203,   204,   205,
     206,   207,   209,   210,   211,   213,   214,   215,   217,   218,
     219,   220,   222,   223,   224,   227,   229,   230,   232,   234,
     236,   240,   241,   242,   243,   245,   249,   250,   252,   253,
     255,   256,   258,   259,   260,   261,   263,   264,   265,   266,
     267,   268,   269,   271,   275,   276,   277,   283,   286,   288,
     289,   290,   291,   292,   295,   298,   301,   302,   303,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   316,   317,
     319,   320,   321,   325,   326,   327,   330,   331,   333,   336,
     338,   339,   340,   342,   343,   346,   347,   348,   351,   352,
     355,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     368,   369,   371,   373,   374,   375,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   388,   389,   390,   391,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   406,   407,   409,   410,   411,   412,   413,   415,
     416,   417,   418,   419,   420,   421,   423,   425,   426,   427,
     428,   429,   430,   431,   432,   434,   435,   437,   438,   440,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   456,   457,   459,   461,   462,   463,   464,   465,
     467,   470,   472,   473,   475,   478,   479,   480,   481,   482,
     483,   484,   487,   488,   489,   490,   491,   494,   495,   496,
     497,   498,   502,   504,   505,   506,   507,   510,   513,   514,
     515,   516,   517,   518,   531,   532,  1209,  1210,  1212,  1213,
    1214,  1215,  1232,  1233,  1344,  1346,  1350,  1352,    28,   274,
    1295,     8,    12,    14,    27,    43,    44,    48,    49,    54,
      63,    65,    67,    68,   101,   138,   158,   170,   182,   187,
     254,   315,   318,   422,   499,   530,  1200,  1213,  1214,  1234,
    1281,  1282,  1324,  1325,  1326,  1330,  1335,  1336,  1337,  1346,
    1352,   101,  1027,  1199,  1234,  1330,  1343,    13,  1027,     5,
      24,    28,    34,    35,    41,    42,   101,   105,   106,   107,
     108,   109,   110,   111,   114,   127,   134,   135,   138,   141,
     147,   149,   158,   159,   166,   170,   171,   172,   173,   175,
     176,   177,   187,   189,   196,   201,   202,   208,   212,   216,
     226,   228,   233,   235,   238,   244,   247,   251,   262,   270,
     274,   278,   280,   282,   293,   294,   300,   304,   305,   329,
     334,   341,   344,   345,   349,   350,   367,   376,   392,   405,
     424,   430,   441,   455,   458,   466,   470,   471,   477,   485,
     486,   492,   493,   499,   501,   508,   509,   511,   512,  1213,
    1216,  1326,  1327,  1328,  1332,  1333,  1334,  1335,  1337,    24,
      34,   138,   278,  1321,    36,    38,   329,  1254,   472,   515,
     952,   100,   148,   163,   181,   187,   204,   215,   223,   235,
     240,   247,   266,   291,   312,   346,   369,   379,   380,   383,
     409,   412,   416,   418,   425,   428,   447,   453,   457,   458,
     461,   465,   475,   480,   492,   505,   712,  1282,   186,   952,
    1132,  1205,  1215,  1324,  1327,  1330,  1331,  1335,  1336,  1352,
     101,  1027,   503,   987,   344,   375,   952,   124,   549,   636,
      95,   100,   112,   135,   148,   159,   181,   187,   204,   215,
     223,   235,   243,   247,   303,   346,   349,   369,   383,   409,
     418,   428,   447,   453,   461,   462,   464,   465,   475,   480,
     486,   489,   492,   646,   694,   802,   856,   869,  1200,  1223,
    1224,  1225,  1234,  1350,  1352,    13,   101,   374,  1199,  1234,
    1238,   446,  1027,   101,   368,   426,   462,   464,   290,   906,
     907,  1350,    95,   100,   112,   135,   148,   163,   181,   204,
     215,   223,   235,   240,   247,   266,   312,   346,   359,   369,
     380,   383,   409,   412,   416,   418,   425,   428,   447,   453,
     458,   461,   465,   473,   475,   480,   492,   505,   712,   815,
     816,   817,   952,   555,  1264,  1328,   258,  1238,   166,   186,
     220,   503,   549,   692,   695,   985,   995,  1003,  1005,  1014,
    1021,  1026,  1030,  1219,    94,   101,   119,   230,   236,   238,
     262,   292,   326,   377,   396,   540,   541,   834,   835,  1027,
    1207,  1208,  1344,  1346,   101,   166,   392,   424,   839,   840,
     841,  1330,   235,  1330,  1204,  1350,   458,  1041,   119,   236,
     834,  1330,   472,  1238,   359,   312,   181,   266,   418,   457,
     458,   549,   916,   917,   417,  1330,   101,   138,   429,   468,
     472,   499,   583,   592,   593,  1213,  1214,  1324,  1329,  1335,
    1337,  1352,    98,   244,   839,   840,   375,   952,  1330,   289,
     101,   201,  1043,  1044,     4,    13,   136,   158,   160,   303,
     321,   409,   418,   429,   468,   472,   518,   580,   581,   582,
     583,   101,   429,   468,   472,   583,   472,   345,  1084,  1197,
    1330,  1041,  1318,  1328,   542,  1330,   239,   549,   988,   549,
     390,  1036,  1037,  1199,  1036,  1031,  1032,  1035,   553,   549,
     987,   216,   280,   350,   485,  1045,  1046,  1031,  1033,  1034,
     192,   276,   491,   552,   121,   559,  1262,  1265,  1261,  1257,
     553,  1266,  1268,     5,    24,    34,   138,   205,   278,  1273,
     182,   254,   315,   318,   422,   530,   549,  1127,  1128,  1245,
    1249,  1339,    71,  1242,  1199,  1234,  1353,   187,  1223,    20,
     493,   543,  1238,  1238,  1353,   493,  1286,  1287,  1288,    24,
     278,   278,  1332,    18,    19,    37,    40,   130,   162,   202,
    1323,  1323,    15,  1262,   885,  1205,   819,  1330,   819,  1200,
     378,   819,   475,  1199,   180,   458,   873,  1205,  1215,  1330,
    1209,  1210,   101,   256,  1197,   338,   505,    83,    90,    91,
      92,   143,   227,   536,   537,   538,   540,   541,   542,   543,
     544,   545,   902,   904,  1161,  1162,  1330,   256,  1199,   873,
    1199,   101,  1209,  1210,   873,  1199,  1199,   256,  1197,  1199,
     819,  1199,   402,   431,   101,   256,  1084,  1199,   421,  1199,
     819,   101,   310,  1209,  1210,   256,  1197,   290,    33,   189,
     286,   329,   386,   953,   954,   955,   549,   547,   551,  1188,
    1190,  1197,  1203,  1330,    95,   100,   135,   148,   149,   159,
     163,   181,   204,   215,   223,   235,   240,   266,   291,   312,
     346,   369,   380,   383,   409,   412,   416,   418,   425,   428,
     447,   453,   458,   461,   465,   473,   475,   480,   505,   712,
     825,   826,  1350,  1002,  1005,  1014,  1021,  1030,  1197,   314,
    1205,  1199,   549,   256,   819,   475,  1200,   819,   475,   256,
    1199,   180,   458,   462,   464,  1209,   462,   464,   143,   227,
     902,   400,  1199,  1199,  1209,   256,   576,  1330,   256,  1199,
     256,   819,  1199,  1199,   421,  1199,   819,   310,  1209,   390,
     425,   458,   505,   312,   163,   266,   240,   380,   416,   473,
     479,   706,    83,  1226,  1227,   554,  1346,  1353,   101,  1238,
    1352,  1028,   590,  1212,  1350,   907,   314,   256,   885,   886,
    1199,   256,   911,   256,  1200,   123,   125,   126,   138,   139,
     184,   185,   205,   231,   256,   278,   279,   281,   322,   324,
     337,   387,   433,   439,   468,   469,   500,   821,  1106,  1108,
    1110,  1112,  1114,  1116,  1117,  1118,  1120,  1121,  1122,  1124,
    1125,  1324,  1331,  1335,  1336,  1352,   475,   180,   458,   256,
     872,   873,   256,  1210,  1211,   155,   505,   143,   227,   256,
     903,   904,   128,   256,   872,   256,  1211,   256,   872,   256,
    1199,   256,  1199,   421,   911,   256,   821,   256,   310,  1211,
     290,   256,   818,   819,   256,  1198,  1199,   256,  1199,   549,
     555,  1354,  1355,  1356,  1357,  1359,  1264,    69,  1234,  1283,
     549,  1004,   646,  1027,   995,   985,   996,   997,   998,  1212,
     987,  1208,   835,   836,   101,   835,  1027,  1208,   836,   101,
     835,  1027,  1208,   836,   836,   836,  1208,  1207,  1207,   282,
     493,  1288,  1289,  1363,  1365,  1027,   836,   378,   549,   549,
     666,   666,   666,   344,   470,   552,   666,   418,  1084,  1085,
     835,  1027,   835,  1027,   552,   948,  1350,   238,   549,  1001,
     128,   505,   503,   918,   919,  1197,  1199,  1330,   118,   532,
     286,   551,   347,   347,   344,   238,  1350,   470,   233,   829,
     344,    81,    82,    83,    85,   109,   123,   125,   126,   134,
     135,   138,   139,   146,   148,   171,   172,   173,   174,   175,
     176,   177,   184,   185,   187,   221,   225,   226,   231,   246,
     248,   279,   281,   296,   304,   305,   322,   324,   329,   334,
     335,   337,   346,   357,   370,   387,   414,   430,   439,   454,
     468,   469,   474,   476,   477,   486,   492,   500,   520,   521,
     522,   523,   525,   526,   527,   528,   533,   540,   541,   542,
     549,  1031,  1109,  1112,  1115,  1116,  1117,  1119,  1120,  1121,
    1124,  1125,  1129,  1131,  1132,  1133,  1135,  1157,  1158,  1159,
    1163,  1182,  1187,  1194,  1195,  1205,  1206,  1207,  1330,  1342,
    1344,  1346,  1347,  1348,  1349,  1350,  1193,  1194,   470,   538,
    1353,  1350,   470,   538,  1282,   101,   598,  1196,  1197,   429,
     580,   187,   589,  1350,   590,  1350,   118,   140,   580,   532,
     440,   954,   347,   238,   470,   538,   118,   532,   286,  1363,
     955,   549,  1197,   542,  1190,  1085,  1334,   237,   239,   503,
     980,   981,   985,  1352,   237,   989,  1129,  1166,  1036,   552,
     549,   990,   550,   550,   503,   983,   984,   991,   992,   993,
    1197,   101,   201,  1042,  1042,   128,  1042,   228,   233,   300,
     341,  1049,  1051,  1052,  1067,  1069,  1070,  1071,  1045,  1046,
     238,   282,  1084,  1086,   549,   553,  1256,   542,  1275,  1276,
    1278,   555,   555,    24,   278,   278,   470,   470,   470,   470,
     549,   470,   540,   541,   703,  1208,  1243,  1349,   212,   110,
    1230,   128,  1233,  1233,   282,  1288,  1290,   282,  1288,  1289,
    1290,   498,  1299,  1300,  1346,    13,    82,   442,   540,   541,
    1207,  1291,  1292,  1293,  1342,  1344,  1348,  1349,  1350,  1351,
     278,   284,   470,  1199,  1199,     6,   162,  1199,  1323,  1278,
     360,   398,   431,   549,   883,   360,   394,   398,   431,   551,
     820,   360,   398,   431,   158,   210,   306,   360,   398,   431,
     461,   463,   512,   591,   594,   960,   961,   962,   963,  1352,
     851,    97,   206,   360,   398,   431,   496,   607,  1199,    97,
     206,   431,   491,   574,   516,   256,  1084,   131,   165,   195,
     224,   259,   295,   329,   360,   361,   398,   406,   415,   423,
     431,   443,   451,   507,   591,   595,   888,   896,   549,   870,
    1190,   398,   574,   262,   221,    97,   103,   116,   145,   195,
     199,   206,   209,   234,   268,   327,   329,   339,   348,   360,
     398,   401,   402,   431,   496,   603,   605,   606,   730,   703,
     101,   256,  1197,   819,   819,   549,   901,   360,   431,   551,
     221,   344,   195,   360,   398,   431,   896,    97,   206,   360,
     398,   431,   262,   569,   398,   512,   535,   562,   569,   195,
     360,   398,   431,   896,   344,   360,   398,   221,   110,   129,
     179,   265,   313,   316,   327,   359,   398,   403,   425,   431,
     445,   603,   700,   701,   360,   398,   504,   730,   738,   360,
     398,   431,   158,   199,   209,   360,   394,   398,   431,   593,
     581,   583,   262,   221,   116,   197,   398,   431,   603,   604,
     360,   398,   402,   431,   156,   198,   362,   463,   344,    97,
     103,   206,   360,   398,   431,   626,   627,   569,   233,   398,
     562,   569,   221,   398,   431,   603,  1199,   553,   298,   189,
     345,   517,   552,   953,   101,   201,   501,   542,   550,   878,
    1129,  1167,  1168,  1331,  1129,  1189,   542,  1202,  1332,  1188,
     493,   978,   344,   314,   885,   549,  1199,  1106,   475,   180,
     458,   873,   338,   505,   143,   227,   904,  1199,   873,   873,
    1199,   421,   233,  1199,  1106,   290,   819,  1199,   550,   666,
    1199,   549,   792,   883,   141,  1106,   329,   238,   549,   788,
    1199,   562,   110,   972,  1199,   329,   562,   516,   256,  1197,
     562,   819,   819,   788,   489,   646,   344,   233,   932,   933,
     562,   329,   118,   577,   329,   480,   737,   329,   990,   158,
     360,   714,   156,   198,   362,   463,    99,   120,   277,   761,
     110,   788,   233,   256,   562,   505,   256,  1197,   256,   690,
    1197,  1197,   505,   819,   155,   857,  1205,  1205,  1199,   233,
     712,    72,  1228,  1330,   554,  1229,  1226,   124,   178,   275,
     327,   420,   221,   132,   404,   552,   608,   608,   221,   549,
     221,   502,  1123,  1123,  1123,   549,  1111,  1111,   372,   549,
    1113,   221,   138,   139,  1123,  1111,  1108,   514,   535,   549,
    1126,   549,  1126,   552,   608,   109,  1107,   549,   182,   318,
     530,   549,  1127,   820,  1111,   516,   221,   552,   608,   221,
     552,   256,   818,   256,   819,   256,   819,   221,   552,   608,
    1211,   221,   608,   221,   221,   608,   221,   608,   221,   156,
     198,   362,   463,   233,   221,   608,   221,   233,   256,   256,
     590,   221,   552,   608,   221,   552,   608,   221,   344,   550,
    1355,  1356,  1354,   552,   556,  1166,  1287,  1362,  1363,   458,
    1028,   550,   552,   226,   344,   477,   587,   590,   703,   999,
     995,   836,  1027,   836,  1027,  1365,  1366,   836,  1027,   836,
    1027,  1366,   836,  1027,  1027,  1027,   836,    13,   442,  1338,
    1341,  1346,  1027,   549,   667,   668,  1330,   667,   101,   181,
     204,   235,   240,   290,   291,   380,   412,   418,   425,   458,
     461,   480,   842,  1196,  1211,   841,  1199,   262,   552,  1017,
    1027,  1027,  1350,  1283,  1106,  1169,   110,  1211,   857,   550,
     552,   298,  1330,   233,   233,   842,  1211,   417,  1330,   590,
     344,   549,   547,  1031,  1170,  1129,  1186,   549,   549,   233,
     549,   549,  1031,   549,   549,   549,   549,   549,   549,  1129,
     549,   549,   549,   549,   549,   549,   549,   549,  1031,   549,
     549,   549,   549,   549,   549,   549,   549,  1129,  1129,  1129,
     499,  1031,  1129,  1166,  1190,  1350,   549,  1350,    83,    86,
      90,    91,    92,   107,   110,   115,   122,   147,   257,   262,
     284,   285,   299,   332,   346,   349,   436,   533,   536,   537,
     538,   540,   541,   542,   543,   544,   545,  1161,  1163,  1165,
    1352,   513,  1144,   356,  1129,   282,   552,  1039,  1363,   549,
    1350,  1190,    21,  1345,  1346,  1191,  1039,   340,   344,  1315,
    1315,     9,   498,  1302,  1303,  1305,  1282,  1282,   190,   258,
     599,   552,   140,   187,   590,   110,   187,   303,   588,   703,
    1125,  1350,  1352,  1350,   161,   203,  1141,   170,   187,   584,
     585,   587,   703,   187,   584,  1363,  1363,   298,  1197,   162,
     403,   823,   284,   550,   552,   987,   550,   552,  1037,  1198,
     110,   550,   552,   552,   990,  1033,  1033,  1047,  1048,  1129,
    1033,   230,   326,  1058,   288,   327,   386,   434,   491,   101,
    1053,  1129,   540,   541,  1054,  1055,  1129,  1131,  1067,  1068,
    1052,  1051,  1049,  1050,   233,  1070,   339,  1072,  1049,  1067,
    1086,  1006,  1197,   110,  1330,   431,  1166,  1275,   542,   552,
     553,  1333,  1252,  1255,  1252,   278,   182,   254,   315,  1128,
     315,  1128,  1128,   318,  1207,   315,   318,   422,  1349,  1349,
     552,  1244,   186,  1282,   492,  1231,  1233,  1199,   442,  1207,
    1304,  1346,   552,   538,  1199,    13,  1207,  1349,  1207,  1349,
     552,  1262,  1199,   549,   549,  1334,   470,   470,   418,   262,
     273,   350,   353,   433,   501,   542,   876,   877,   878,   880,
     882,   884,  1106,  1331,   470,   504,   470,   418,  1202,   551,
     470,   470,   418,   300,   470,   470,   461,   580,   360,   960,
     962,   538,   964,   233,   244,   262,   407,   852,   853,   141,
     159,   217,   235,   376,   486,   663,   664,   159,   187,   329,
     470,   159,   470,   187,   329,   418,   159,   199,   209,   360,
     398,   784,   418,   720,    95,   100,   135,   148,   163,   204,
     215,   235,   240,   312,   346,   380,   412,   418,   425,   428,
     458,   465,   473,   480,   505,   712,  1199,   221,   398,   431,
     603,   344,   703,   344,   423,   295,   470,  1330,   470,   334,
     703,   191,   283,   418,   429,   472,   582,   404,   431,   888,
     897,   550,   871,   876,   470,   492,   461,  1197,   149,   217,
     256,   653,   663,  1330,   149,   159,   922,   364,   344,   344,
     414,   416,   475,   159,   922,   104,   401,   414,   416,   475,
     414,  1197,   234,   268,   339,   819,   549,   470,   470,   255,
     549,   612,   309,   461,   489,   512,   514,   612,   159,   552,
     360,   262,   221,   195,   398,   431,   603,   493,   493,   328,
    1106,   470,   418,   549,   902,  1199,  1197,   344,   470,   470,
     418,   897,   458,   458,   470,   470,   458,   788,   181,   431,
     594,   470,   564,   594,   344,   470,   470,   418,   897,  1197,
     470,   470,  1197,  1108,   703,   128,   702,   703,   703,   179,
     313,   316,   128,   470,   562,   320,   418,   562,   327,   701,
     470,   470,   334,  1350,   730,   470,   470,   418,  1350,   470,
     383,   470,   383,   788,   461,  1084,   364,   364,   159,   470,
     922,   418,   470,   470,   612,   612,   819,   819,   819,   819,
    1197,   117,   498,   117,   117,   470,   117,   470,   498,   418,
     552,   594,   492,   747,  1210,   470,   564,   594,  1197,   470,
     418,   360,   398,   386,   399,   427,   586,   953,  1167,  1167,
    1168,   550,    88,    89,   552,  1045,  1046,   548,   554,  1203,
    1330,  1197,   284,  1106,   344,   284,   516,   284,   703,   819,
     819,   284,   344,   284,   284,   344,   156,   198,   362,   463,
    1106,   344,   284,   284,   284,   470,   512,   637,   480,   793,
     794,  1352,   788,   549,   110,   221,   819,   789,   790,  1332,
      99,   960,  1106,   344,   221,   717,  1199,   329,   364,   549,
     563,   802,   493,   390,   505,  1197,   101,   458,   512,   892,
     563,   221,  1210,   166,   244,   578,   645,   696,   760,   837,
     855,   956,   221,  1350,   738,   739,   221,   344,  1350,  1210,
     306,   819,   819,   819,   819,   339,   192,   276,   478,   491,
     762,   763,   213,   385,   549,   747,   329,   563,  1197,   329,
     698,   700,   329,   110,   339,   364,   549,   666,   666,   256,
     693,  1197,   233,   256,   858,  1203,   549,   874,   874,   110,
    1106,   290,   551,  1207,  1229,   512,   514,  1029,   420,   886,
     885,  1106,  1200,   549,  1166,  1207,   821,  1123,  1123,   109,
    1107,   468,   468,  1207,  1207,  1106,   547,   547,  1207,   470,
     470,  1207,  1111,   872,   873,  1211,  1210,   221,   608,   221,
     493,   221,   493,   903,   904,   608,   872,  1211,   872,  1199,
    1199,  1106,   821,  1211,   747,   221,   221,   608,   818,   819,
    1198,  1199,  1199,   819,   550,   556,  1357,   550,  1363,  1364,
    1287,  1197,   178,   995,   997,  1027,  1027,  1366,  1027,  1027,
    1366,  1027,  1027,  1199,    13,   552,  1345,   667,   550,   552,
     550,   241,   381,   413,   426,   459,  1198,   818,   180,   428,
     872,  1198,   338,   872,   872,  1198,  1196,  1196,  1198,   818,
     470,   512,   848,   216,   300,   744,   745,    95,   219,   414,
     434,  1018,  1084,   333,  1019,   550,   552,  1002,   470,  1197,
     916,   917,   919,   840,   839,   840,   238,   245,   849,  1330,
     100,   149,   181,   204,   215,   235,   240,   291,   312,   380,
     383,   409,   412,   418,   425,   453,   458,   461,   480,   505,
     712,   830,   831,  1166,   548,  1166,  1170,  1171,   508,  1183,
    1184,  1129,  1166,   549,  1207,  1207,   182,   254,   315,   318,
     422,   530,  1172,  1173,  1350,  1352,  1166,  1166,  1166,  1207,
    1207,  1129,   902,  1129,  1174,   414,   540,   541,   549,  1130,
    1131,  1163,  1176,   550,  1166,  1129,  1166,  1177,  1129,   127,
     238,   294,   471,  1129,  1166,  1180,  1166,   320,  1131,  1129,
    1139,  1140,  1141,   320,  1129,  1141,   550,   552,  1207,  1127,
    1106,  1129,  1129,  1129,  1129,  1332,   468,   114,   455,  1192,
     819,  1129,   549,  1031,  1181,   201,   203,   226,   329,   334,
     339,   477,   487,  1129,   549,  1129,   470,   122,   257,   262,
     299,   436,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,
    1129,  1129,   101,   108,   441,  1160,   247,   229,  1145,   414,
     549,  1157,   243,   303,   458,   462,   464,   489,  1040,  1197,
    1195,   238,  1074,  1167,  1199,  1346,  1188,  1074,  1304,   552,
     538,  1197,   472,   549,  1350,   552,  1363,   550,   255,   255,
     608,  1262,   993,   981,   985,   986,  1129,   550,   549,   993,
     984,   991,   552,   111,   196,   493,   866,   414,   415,   540,
     541,  1055,  1057,  1131,   434,   288,   345,   552,  1056,  1207,
    1349,  1056,   414,   415,  1057,  1196,   333,   438,  1020,  1068,
    1050,   493,  1015,   187,   358,   549,  1007,  1030,   110,  1330,
     549,  1022,  1023,  1024,  1330,   550,   553,  1276,  1107,   556,
    1255,   556,   550,   703,   550,    33,  1232,  1307,  1308,  1346,
    1300,  1305,  1353,  1291,  1107,  1340,  1356,  1340,  1107,  1210,
    1199,  1199,   353,   128,  1331,   550,   878,   880,   877,   880,
    1331,   350,   550,   552,   820,  1210,  1199,  1199,  1202,  1210,
    1199,  1199,  1210,  1200,  1199,   187,   587,  1208,   409,   492,
     839,   418,   244,   839,   549,  1199,   493,   859,   288,   288,
     493,   549,   688,   256,  1199,   334,  1210,  1199,  1199,  1129,
     334,  1199,  1199,   104,   401,   470,   470,  1199,   470,   721,
     314,   885,   549,   819,   819,  1106,   475,   180,   458,   873,
     505,   143,   227,   904,   873,   873,  1199,   819,  1199,   819,
     421,   233,  1106,   819,   290,   250,   327,   360,   398,   497,
     724,   725,   726,  1084,   470,   922,   418,   334,   223,   191,
     283,  1210,  1199,   344,  1199,   550,   552,  1209,  1211,  1199,
     398,   603,   256,   653,   329,  1106,  1199,  1207,  1330,  1197,
    1199,   223,   298,  1199,   101,   492,  1199,   256,  1199,   256,
    1330,   416,   475,   416,   475,   298,  1199,   101,   492,  1199,
     298,   414,  1197,    97,   206,   431,   731,   732,   733,   734,
    1332,  1210,  1199,   187,   239,   330,   493,   611,   614,   615,
    1332,  1199,   342,   145,   342,  1199,   606,   470,   461,  1197,
     344,   470,   922,   418,  1201,  1330,  1201,   552,   550,   552,
    1210,  1199,   927,   928,  1332,   344,   398,   470,   755,   223,
    1210,  1199,  1199,  1085,  1085,  1210,  1199,  1085,  1200,  1209,
     158,   211,   268,   366,   484,   492,   495,   565,  1352,   223,
    1210,  1199,  1199,   398,  1210,  1199,   398,   431,   603,   700,
     703,   819,  1199,   703,   819,  1199,   703,  1210,  1199,  1210,
    1199,  1199,  1210,   892,  1199,   936,   937,  1332,  1199,   398,
     431,   603,   604,  1197,  1197,  1199,  1199,  1199,  1199,  1210,
    1199,    97,   103,   206,   360,   398,   431,   360,   398,   431,
     788,   398,   431,   398,   431,   195,   398,  1098,  1330,   256,
     798,  1330,   256,  1330,  1210,  1199,  1199,  1350,  1199,    97,
     627,   428,  1209,   398,   431,   603,  1199,  1199,   470,   470,
     154,   483,   386,   552,  1045,  1045,  1045,  1129,  1129,   501,
    1168,   550,  1129,  1189,   334,   827,  1350,   110,   204,   819,
     827,   827,   284,   493,   493,   827,   819,   827,   827,   819,
     290,   819,   827,   827,   827,   382,   631,   342,   238,   470,
     630,   266,   550,   552,   538,  1129,  1106,   819,   550,   552,
     538,   762,   655,  1332,  1199,   132,   238,   418,   504,   718,
     725,   726,   221,   339,   299,   647,   649,   651,   653,   660,
     663,    98,   262,   409,   456,   565,   566,   233,  1201,   505,
    1197,   110,   756,   459,  1085,   788,   576,  1330,   577,   349,
     646,  1199,   235,   819,  1166,   383,  1350,   788,   788,   788,
     788,   339,   344,   349,   549,   788,  1096,  1097,  1098,   428,
     221,   549,   221,   221,   220,  1220,   819,   339,   647,  1330,
     512,   514,   684,   512,   613,   329,   110,   666,  1350,   329,
     344,   550,   875,   876,   881,   110,   290,   406,   473,   511,
     887,   888,   889,   887,   344,   290,   590,  1228,   543,   253,
     253,   233,   608,   110,  1166,   550,   550,   608,   547,   532,
     532,   550,   550,  1207,   548,   549,  1207,  1330,  1350,  1361,
     550,   550,   608,   818,   819,  1201,   819,  1201,   608,   608,
     608,   608,   290,   608,   428,   233,   590,   608,   608,   344,
     608,  1029,  1353,  1341,   550,   668,   262,   262,   262,   262,
     262,   516,  1198,   703,   704,   247,   843,   844,  1210,    98,
     849,   470,   549,   238,   219,   434,   219,   434,   414,   491,
     317,  1106,  1210,   512,   691,  1197,  1199,   238,   344,   843,
     128,   608,   885,  1106,   475,   458,   873,   338,   505,   873,
     873,  1106,   290,   819,  1199,   550,   548,   548,   552,  1129,
     208,  1184,  1185,   110,   550,  1129,   550,   550,   550,   238,
     550,   550,   550,   550,   550,   552,   550,   367,  1175,   550,
     549,  1130,  1130,  1166,    86,    90,    91,    92,   262,   284,
     346,   536,   537,   538,   540,   541,   542,   543,   544,   545,
    1163,  1130,   550,   550,   233,   238,  1178,  1179,   550,   110,
    1180,  1166,  1180,  1180,   238,   550,   550,  1332,   365,  1143,
     110,   550,   552,  1129,  1332,   552,  1129,  1191,  1129,   550,
     532,  1130,  1130,   214,  1166,   238,   201,   203,   226,   334,
     339,   477,   487,   549,   214,   902,  1129,   455,  1192,  1129,
    1181,  1129,   470,   549,  1031,   549,   549,   355,  1149,   549,
    1166,   462,   464,   462,   464,  1197,  1041,  1041,  1041,   293,
     415,   529,   549,  1031,  1075,  1076,  1077,  1084,  1089,  1099,
    1132,  1134,  1135,  1330,   509,  1094,  1045,  1094,     7,    10,
      11,    21,    22,    23,    25,    26,    30,    31,    32,   180,
     320,   372,   480,  1310,  1311,  1313,  1303,  1304,   954,  1207,
    1127,   585,  1107,   993,  1002,  1048,   346,  1161,  1164,   534,
     867,  1207,  1349,  1057,   345,   491,  1054,   308,  1075,   509,
    1095,   499,   457,   492,  1008,  1009,  1010,  1330,   344,  1011,
    1330,  1024,  1025,   552,  1074,   538,  1191,   554,  1258,   553,
     552,   538,    29,  1319,   550,   550,   553,   884,   820,   880,
     880,   128,   882,   544,  1211,  1211,   344,  1198,   347,   344,
    1129,   664,  1201,   549,   549,   549,   688,   266,   667,   777,
     221,   608,   470,  1210,  1199,   590,  1199,  1106,  1199,   516,
     819,   819,   819,   819,   156,   198,   362,   463,  1106,  1199,
     707,  1199,   250,   497,   470,   470,   707,   724,   730,   398,
     431,   603,  1199,  1199,  1199,   274,  1199,   334,   876,   359,
     431,   470,   329,   221,   348,   728,   777,   431,    97,   206,
     402,   403,   431,   607,   616,   617,   730,   923,  1199,   423,
     221,   608,   221,   608,  1199,  1199,  1199,  1199,   423,   423,
     298,   733,   734,   733,   550,   552,   735,  1350,   266,   550,
     552,   538,   551,  1210,  1199,   398,   431,   603,   223,  1199,
    1199,  1199,   360,   398,   431,    97,   206,   360,   398,   431,
    1106,   328,  1106,   550,   552,   538,  1197,   470,  1211,   493,
     752,  1199,   300,   366,   334,  1350,   366,  1211,   490,  1199,
     470,   470,   418,   552,   892,   359,   431,   159,   470,   922,
     418,   187,   233,   618,   470,   470,   310,   310,   310,   470,
     470,   418,   470,   470,   418,   470,   418,   470,   418,   344,
     470,   608,  1106,   329,  1350,   431,   923,   221,   608,   470,
     470,  1199,   470,   418,  1210,  1199,   550,   550,   550,  1168,
     548,  1106,   819,   284,   827,  1201,  1201,   284,   284,  1199,
     284,   448,   449,   632,  1350,   631,   250,   794,  1352,   328,
     346,   540,   541,   703,   791,   880,  1164,  1216,  1350,   550,
     550,   238,   788,   790,   791,   344,   141,   147,   159,   187,
     189,   242,   270,   329,   334,   376,   392,   486,   656,   657,
     659,   220,   508,   562,   590,  1199,   590,   728,  1197,  1197,
    1197,   550,   552,  1211,   247,   409,  1211,  1207,   480,  1197,
     666,  1352,   233,   757,   118,   577,   400,   458,   737,   180,
     990,   238,   936,   613,   667,  1197,   763,   795,   796,  1350,
     550,   552,  1199,   233,   667,  1197,  1197,  1199,  1030,   549,
     648,  1197,   550,   342,   612,   342,   344,   685,   612,   110,
     221,  1030,   613,   470,   221,  1084,   550,   552,   187,   538,
     890,  1350,   590,   458,   879,   880,   233,   891,   889,   192,
     276,   424,   491,   945,  1199,   250,  1224,  1030,  1238,  1106,
     550,  1207,  1126,  1126,   548,  1361,   549,   540,   541,   542,
     543,   544,   548,   608,   493,   608,   493,   608,  1199,  1199,
     747,   608,   819,   233,   418,   418,   418,   418,   418,  1198,
     552,  1210,   512,   552,   845,   347,  1085,   428,   219,   219,
     180,   327,  1211,   842,   608,  1210,   284,   284,   284,   703,
     284,   284,   284,   284,   284,  1170,   466,  1129,   212,  1106,
     550,  1129,  1129,  1129,  1178,   550,  1166,   552,  1106,  1130,
    1130,  1130,  1130,   201,   203,   329,   339,  1130,  1130,  1130,
    1130,  1130,  1130,  1130,  1130,  1130,  1130,  1129,  1129,  1179,
    1178,  1106,   550,   550,   550,  1166,   550,   552,   128,  1131,
     550,  1332,  1140,   373,   452,  1142,   550,   552,   504,  1136,
     110,   550,  1350,  1129,   107,   107,  1129,   550,  1129,   238,
     549,  1169,  1129,   550,   214,  1130,  1130,   214,   214,  1129,
    1129,  1046,   509,   549,  1150,  1330,   550,  1166,   552,  1041,
    1041,  1041,  1041,  1197,  1197,  1197,  1031,  1089,  1099,   238,
     549,  1031,  1076,  1077,   110,  1078,  1079,  1330,   552,   167,
     239,   272,   287,   297,   323,   408,  1081,  1079,   110,  1078,
    1080,  1330,  1079,   535,  1093,  1190,  1129,   247,  1059,   550,
    1059,   552,   538,   550,  1319,   550,   549,   867,   230,   292,
     345,   170,  1129,   405,  1013,   498,   550,   552,  1191,   157,
    1013,   550,   552,  1023,  1095,  1129,  1207,   538,  1277,  1308,
    1313,   550,   544,   884,   480,   241,   413,   419,   426,   459,
     481,   854,   233,   854,   550,   549,   671,   672,   861,  1134,
    1330,   667,   667,   777,  1203,   550,   189,   270,   327,   329,
     778,  1199,  1199,   110,  1199,   493,   493,   819,   819,   819,
     819,   290,   820,  1210,  1199,   470,   922,   418,   470,   274,
     128,   461,  1199,   221,   653,   549,   655,   447,   242,   255,
     329,   612,   562,   180,   242,   329,   447,   450,   612,   701,
     431,   617,   480,  1199,  1330,   423,   732,  1199,   615,   791,
    1332,   359,   431,   470,   922,   418,  1199,   470,   470,   470,
     418,   240,   346,   450,   800,   801,   240,   346,   808,   809,
     470,   470,   418,   550,   550,   550,   928,   328,   703,   880,
     929,  1164,  1216,  1350,   398,  1199,   549,   512,   753,  1208,
    1350,  1350,  1350,  1199,  1199,  1199,   937,   128,   461,  1199,
    1199,  1199,  1199,   499,  1199,  1199,   233,   233,   400,   233,
     256,  1210,  1199,  1199,  1210,  1199,  1199,  1199,  1199,  1199,
    1199,   223,  1199,   147,   609,   221,    99,   120,   480,  1330,
    1199,  1350,   730,  1199,  1199,  1045,   550,   284,   827,   284,
     284,   827,   827,   284,   827,   562,   632,   707,   777,   512,
     514,   819,  1197,   549,   819,  1199,  1130,   104,   128,   658,
     190,   258,   189,   334,   288,  1197,   892,   380,   780,   781,
    1330,   717,   364,   549,   648,   661,   269,   678,   651,  1211,
    1211,  1106,   549,   613,   101,   192,   276,   424,   491,   758,
     470,   754,  1210,  1197,   739,   516,   344,  1075,   892,   393,
     764,   550,   552,  1098,   728,   747,   550,   698,   339,   364,
     549,  1004,   691,   650,   652,   654,   663,  1330,   364,   679,
     680,   648,   678,   153,   461,   686,  1030,   693,   691,   686,
    1350,  1203,   859,   881,  1129,  1129,   552,   549,   887,   480,
     552,   470,   549,   707,    83,  1235,   550,   548,   550,  1262,
    1361,  1361,  1361,  1361,  1361,  1201,  1201,   608,   428,   608,
    1198,  1198,  1198,  1198,  1198,   703,   244,   844,   550,  1199,
     180,   849,   238,   334,   832,  1350,   832,   832,   284,   832,
     832,   832,   832,   832,  1129,   550,   550,  1179,   550,  1129,
     238,   201,   203,   339,   549,   550,   519,  1138,  1166,   391,
     128,   510,   510,   550,  1129,   327,  1129,   552,  1137,  1108,
    1129,  1129,  1129,  1169,   550,  1129,   107,   107,  1129,  1129,
     214,   550,   550,  1129,  1151,  1330,   550,  1129,  1197,  1197,
    1197,  1197,  1079,  1080,  1079,   549,   524,  1131,   550,  1330,
     549,  1076,   287,   354,  1082,  1076,  1082,   287,  1081,  1082,
     287,   460,  1087,   549,  1330,   549,   351,   128,   251,  1066,
    1350,  1066,  1311,   541,  1304,  1312,  1349,  1350,  1350,   902,
     339,  1194,  1030,   358,  1030,  1010,   344,   549,  1012,   538,
    1024,  1013,  1357,   480,   550,   470,   839,   238,   777,  1129,
     550,   552,   512,   147,   864,   864,   550,   550,   263,   669,
     190,   258,   268,   189,   495,   608,  1106,  1201,  1201,  1199,
    1199,  1199,  1199,  1199,  1211,  1199,   653,   729,   733,  1208,
     658,   256,   334,   703,   658,   334,  1208,  1330,  1106,   608,
     608,   538,   128,   461,  1199,  1199,  1199,  1199,  1210,  1199,
    1199,  1207,  1207,  1106,   552,  1207,  1207,   552,  1210,  1199,
    1199,   470,  1129,   141,  1211,  1199,   470,   470,   238,   262,
     512,  1198,  1198,   819,  1198,   221,  1199,   819,  1350,  1350,
    1106,   608,   608,   550,   284,   827,   827,   827,   827,   549,
     633,   634,   493,   638,   639,   240,   273,   240,   238,   776,
    1129,   329,   657,   187,   110,   892,   666,   493,   687,  1205,
     107,   220,   262,   339,   647,   618,   218,   264,   549,   428,
     493,   667,   110,  1211,   752,   577,   549,   235,  1199,  1166,
     325,   343,   765,   766,   767,   233,   770,  1350,   428,   613,
     819,   339,   647,   691,   550,   552,   512,   655,   128,   684,
     618,   679,   192,   206,   373,  1199,   512,   957,   110,   238,
     344,   549,  1350,   878,   893,   894,  1331,  1106,   233,  1197,
     238,   470,   913,   271,   708,  1236,  1330,   608,   550,   608,
     608,  1199,   347,   282,   608,   843,   832,   550,  1130,   238,
     549,  1169,   549,   550,   552,   550,  1131,   391,   550,   498,
     444,   550,   550,   550,  1129,  1129,  1129,   550,   364,  1152,
     550,  1090,  1091,  1134,   549,  1143,  1078,   549,  1198,  1076,
     344,   493,  1083,  1076,   287,  1076,  1205,  1097,   549,  1097,
    1330,   169,   248,   411,   549,  1060,  1061,  1062,  1063,  1064,
    1065,  1129,  1129,   511,  1146,  1146,  1207,  1349,   550,  1027,
    1364,  1008,   159,   860,   861,   202,  1129,   843,   344,   843,
     550,   669,   672,   346,   902,   819,   819,   865,   865,   392,
     669,   549,   892,   550,   470,   431,  1019,   550,   552,   110,
     221,   609,   791,  1211,  1199,   470,   549,   873,   902,   904,
     801,   549,   549,   809,  1199,   550,   549,   431,  1019,  1199,
    1199,   549,   549,   549,   512,   535,   975,   400,   975,   975,
     233,   609,   827,   640,   641,  1332,   124,   168,   193,   210,
     214,   234,   237,   252,   334,   342,   384,   635,   562,   194,
     873,   110,   909,   909,  1197,   777,   550,   255,   687,   311,
     670,   266,   549,   781,   380,   549,  1197,   550,   428,   101,
     152,   160,   188,   255,   267,   447,   450,   662,   662,  1196,
    1199,  1201,   550,  1030,   753,   180,   728,   238,   766,   414,
     458,   768,   207,   771,   508,   773,  1199,   110,   648,  1197,
     550,   652,   348,   681,  1213,  1352,   685,   679,   684,   415,
     415,   133,   141,   303,  1030,   819,  1084,   860,   880,   550,
     552,   480,  1094,   442,   442,   550,   707,   327,   497,   709,
     710,   538,  1237,  1199,   608,  1130,  1169,   550,  1139,  1166,
     128,   327,   531,   128,  1045,   550,   552,   110,  1092,   187,
    1104,  1105,  1130,   150,  1198,   550,  1129,   549,  1076,  1083,
     549,   550,  1097,   550,   549,   432,   549,   550,   552,  1147,
    1148,  1330,   498,  1199,   550,   552,   330,   491,   845,   854,
     608,   864,   892,   549,   866,   866,  1197,   892,   667,   687,
    1199,   461,   733,   255,   493,   610,   431,  1019,  1199,  1169,
     233,   804,   804,  1169,  1169,  1129,   461,   226,   313,   316,
     334,   477,   621,   623,   624,   703,  1350,   621,   622,   619,
     620,  1212,   818,   819,   818,   819,  1198,   608,   550,   552,
     542,   549,   587,   642,   703,   972,  1350,   972,   329,   334,
     384,   972,   972,   633,  1350,   909,   113,   260,   233,   327,
     665,   549,   699,   239,   363,   437,   344,   674,   675,   676,
     461,   550,  1205,    80,   782,   648,   678,  1199,   550,   728,
     227,   803,   613,   957,   516,  1075,   972,   414,   446,   772,
     549,   220,   728,  1030,   679,   648,   678,   655,   549,   686,
     684,   685,   141,   347,   141,   691,   859,   550,   887,   893,
    1106,   202,   512,   512,   497,   707,  1207,  1344,  1352,    83,
     728,   550,   550,   550,   391,   498,  1166,   249,   385,   415,
    1153,  1093,  1090,   549,  1130,   550,   552,   110,  1100,  1101,
    1330,   550,  1198,  1166,   550,  1166,   549,  1166,  1061,   552,
     110,  1030,  1094,   861,   431,   238,   865,   687,   902,   867,
     867,   666,   687,   550,   777,  1199,   699,  1129,   461,   550,
     350,   421,   389,   805,   805,   550,   550,   550,  1199,   550,
     552,   550,   552,   550,   552,  1207,   975,   641,   587,   643,
     644,  1350,  1350,   334,   667,   542,   667,  1350,  1350,   207,
     268,   700,   192,   491,   344,   676,   344,   675,  1199,   549,
     550,   552,   618,   428,   728,   819,   110,   110,  1199,   769,
    1330,  1129,   380,   957,   684,   618,   679,   549,   682,   683,
    1134,  1330,   685,   686,   347,   347,   549,   263,   862,   102,
     277,   946,   240,   240,  1236,   122,   170,   482,  1129,  1154,
    1155,  1154,  1154,   550,  1097,   552,  1105,  1332,   550,   552,
     233,  1106,   550,   550,   550,  1060,   550,  1148,  1150,  1022,
     843,   866,   509,   673,   550,   670,   777,  1019,  1199,   873,
     128,  1019,   470,   624,   621,   619,   819,   550,   552,   667,
     414,   550,   132,   327,   404,   431,   677,   677,   550,    80,
     428,  1199,   800,  1030,   728,   550,  1205,   685,   679,   684,
    1129,   550,   552,   864,   864,   686,   860,   549,   613,   330,
     549,   941,   943,   947,  1005,  1014,  1021,  1030,   873,   873,
    1155,   414,   232,   371,   232,   371,   217,  1156,  1156,  1156,
     550,  1131,  1101,   351,   187,   329,   334,  1102,  1103,  1352,
     399,  1088,   550,  1094,   608,   867,   549,   777,   674,  1019,
     819,   549,   644,   773,    96,   187,   334,  1199,   728,   957,
     549,   686,   684,   685,   550,   683,   865,   865,   550,   861,
     863,   686,   942,   943,   944,  1031,  1032,   552,   552,   107,
     170,   247,   327,   467,  1143,  1130,   334,  1103,  1130,   549,
    1129,   777,   623,   220,   728,   774,   775,  1207,  1332,  1349,
    1350,   685,   686,   864,   862,   550,   552,  1094,   550,   553,
     470,   238,  1155,   414,   352,   150,  1129,   550,   550,   380,
     550,   552,   686,   865,   613,   861,   944,   442,   442,  1100,
     550,  1205,   775,   686,   512,   512,   550,   549,  1094,   240,
     240,   774,   873,   873,   550
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   557,   558,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   559,   559,   559,
     559,   559,   559,   559,   559,   559,   559,   560,   561,   562,
     562,   562,   563,   563,   564,   564,   565,   565,   565,   565,
     565,   565,   565,   565,   565,   566,   566,   566,   566,   566,
     566,   567,   568,   568,   569,   569,   570,   570,   570,   570,
     571,   571,   571,   571,   571,   571,   572,   573,   574,   574,
     575,   575,   575,   575,   576,   576,   577,   577,   578,   578,
     578,   578,   578,   578,   579,   579,   579,   580,   580,   580,
     581,   581,   581,   581,   582,   582,   582,   582,   582,   582,
     582,   582,   582,   582,   582,   583,   583,   584,   584,   585,
     585,   586,   586,   586,   586,   587,   587,   587,   587,   588,
     588,   588,   588,   588,   588,   588,   589,   589,   589,   590,
     590,   591,   592,   592,   592,   592,   593,   593,   594,   594,
     595,   595,   596,   596,   596,   596,   596,   597,   598,   598,
     599,   599,   600,   601,   601,   601,   601,   601,   602,   602,
     602,   602,   602,   602,   602,   602,   602,   602,   602,   602,
     602,   602,   602,   602,   602,   602,   602,   603,   603,   604,
     604,   605,   606,   606,   606,   606,   606,   606,   606,   606,
     606,   606,   606,   606,   606,   606,   606,   606,   606,   606,
     606,   606,   606,   606,   606,   606,   606,   606,   606,   606,
     606,   606,   606,   606,   606,   606,   606,   606,   606,   606,
     606,   606,   606,   606,   606,   606,   606,   606,   606,   606,
     606,   606,   606,   606,   606,   606,   606,   606,   606,   607,
     607,   608,   608,   608,   609,   609,   610,   610,   611,   611,
     611,   611,   612,   613,   613,   614,   614,   615,   615,   615,
     615,   616,   616,   617,   617,   617,   617,   618,   618,   618,
     618,   619,   620,   620,   621,   621,   621,   621,   621,   622,
     622,   623,   623,   624,   624,   624,   625,   626,   626,   627,
     627,   627,   627,   628,   628,   629,   629,   630,   630,   631,
     631,   632,   632,   632,   633,   633,   634,   634,   635,   635,
     635,   635,   635,   635,   635,   635,   635,   635,   635,   635,
     635,   635,   636,   636,   637,   637,   638,   638,   639,   639,
     640,   640,   641,   642,   642,   642,   642,   642,   643,   643,
     644,   645,   645,   645,   645,   645,   645,   646,   646,   646,
     646,   646,   646,   646,   646,   647,   647,   648,   648,   649,
     649,   650,   650,   651,   651,   651,   652,   652,   653,   654,
     654,   655,   655,   656,   656,   656,   656,   657,   657,   657,
     657,   657,   657,   657,   657,   658,   658,   659,   659,   659,
     659,   660,   661,   661,   661,   662,   662,   662,   662,   662,
     662,   662,   662,   663,   663,   664,   664,   664,   664,   664,
     664,   664,   665,   665,   666,   666,   667,   667,   668,   669,
     669,   670,   670,   670,   670,   671,   671,   672,   672,   673,
     673,   674,   674,   674,   674,   674,   675,   676,   677,   677,
     677,   677,   677,   678,   678,   679,   679,   680,   681,   681,
     682,   682,   683,   683,   683,   684,   684,   684,   684,   685,
     685,   685,   685,   686,   686,   687,   687,   688,   689,   689,
     690,   691,   691,   691,   692,   692,   693,   694,   694,   695,
     696,   696,   697,   697,   698,   698,   699,   699,   700,   700,
     701,   701,   701,   701,   701,   701,   701,   701,   701,   701,
     701,   701,   701,   701,   702,   702,   703,   703,   703,   703,
     704,   704,   705,   705,   706,   706,   707,   707,   708,   708,
     709,   709,   710,   710,   711,   711,   712,   712,   713,   714,
     714,   715,   715,   716,   716,   717,   717,   718,   718,   718,
     718,   719,   720,   720,   721,   722,   722,   722,   722,   722,
     722,   722,   722,   722,   722,   722,   722,   722,   722,   722,
     722,   722,   722,   722,   722,   722,   722,   722,   722,   722,
     722,   722,   722,   723,   724,   724,   724,   724,   725,   725,
     726,   726,   727,   727,   728,   728,   729,   729,   730,   731,
     731,   732,   732,   732,   732,   733,   734,   735,   736,   736,
     737,   737,   738,   738,   739,   739,   740,   740,   740,   741,
     741,   741,   741,   742,   742,   743,   744,   744,   745,   745,
     746,   746,   747,   747,   748,   748,   749,   750,   751,   752,
     752,   753,   753,   754,   754,   755,   755,   756,   756,   757,
     757,   758,   758,   758,   758,   758,   759,   760,   760,   761,
     761,   761,   762,   762,   763,   763,   763,   763,   763,   764,
     764,   765,   765,   766,   767,   767,   768,   768,   769,   770,
     770,   771,   771,   772,   772,   773,   773,   774,   774,   774,
     775,   775,   775,   775,   776,   776,   777,   777,   778,   778,
     778,   778,   778,   778,   779,   779,   780,   780,   781,   782,
     782,   783,   784,   784,   784,   784,   785,   786,   787,   787,
     787,   787,   787,   787,   787,   787,   787,   787,   787,   787,
     787,   787,   787,   787,   788,   789,   789,   790,   790,   791,
     791,   791,   791,   791,   791,   792,   793,   793,   794,   795,
     795,   796,   796,   797,   797,   797,   797,   798,   798,   799,
     800,   800,   801,   801,   801,   801,   801,   802,   802,   803,
     803,   804,   804,   804,   805,   805,   806,   807,   807,   808,
     808,   809,   809,   810,   810,   811,   811,   812,   813,   814,
     814,   814,   814,   814,   814,   814,   814,   814,   814,   814,
     814,   815,   815,   815,   815,   815,   815,   815,   815,   815,
     815,   815,   815,   815,   816,   816,   816,   816,   816,   816,
     816,   817,   817,   817,   818,   818,   819,   819,   820,   820,
     821,   821,   822,   823,   823,   823,   824,   824,   824,   824,
     824,   824,   824,   824,   824,   824,   824,   824,   824,   824,
     824,   824,   824,   824,   824,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   826,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   827,   827,   828,   828,   828,   828,   828,   828,   828,
     828,   828,   829,   829,   830,   830,   830,   830,   830,   830,
     831,   831,   831,   831,   831,   831,   831,   831,   832,   832,
     833,   833,   833,   833,   833,   833,   833,   833,   833,   833,
     833,   834,   834,   834,   834,   834,   834,   834,   834,   834,
     834,   834,   834,   834,   834,   835,   835,   836,   836,   837,
     838,   838,   839,   839,   839,   839,   839,   840,   840,   841,
     841,   841,   841,   842,   842,   842,   842,   842,   842,   842,
     842,   842,   842,   842,   842,   842,   842,   842,   842,   842,
     842,   842,   842,   843,   843,   844,   844,   845,   845,   846,
     847,   847,   848,   848,   849,   849,   850,   851,   851,   852,
     852,   852,   853,   853,   853,   854,   854,   854,   854,   854,
     854,   855,   855,   856,   856,   857,   857,   858,   858,   859,
     859,   860,   860,   861,   861,   861,   862,   862,   863,   863,
     864,   864,   865,   865,   866,   866,   866,   867,   867,   867,
     868,   868,   868,   868,   869,   869,   870,   870,   871,   871,
     872,   872,   873,   873,   873,   873,   874,   874,   875,   875,
     876,   876,   876,   876,   876,   877,   877,   877,   877,   877,
     878,   879,   880,   880,   880,   881,   881,   881,   882,   883,
     883,   883,   883,   884,   884,   885,   886,   886,   887,   887,
     888,   888,   888,   888,   888,   888,   888,   888,   888,   888,
     888,   888,   888,   888,   888,   888,   889,   889,   889,   889,
     889,   890,   890,   891,   891,   892,   892,   893,   894,   894,
     895,   895,   895,   896,   896,   897,   897,   898,   898,   898,
     898,   898,   898,   899,   899,   900,   900,   901,   901,   901,
     901,   902,   902,   903,   903,   904,   905,   906,   906,   907,
     907,   908,   908,   908,   909,   909,   909,   910,   911,   911,
     912,   913,   913,   913,   913,   914,   915,   915,   915,   915,
     916,   916,   917,   917,   917,   918,   918,   919,   920,   920,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   922,   922,   923,   923,   924,   924,   924,
     924,   924,   924,   925,   925,   925,   925,   925,   925,   925,
     925,   925,   925,   925,   925,   925,   925,   925,   925,   925,
     925,   925,   925,   925,   925,   925,   925,   925,   925,   925,
     926,   927,   927,   928,   928,   929,   929,   929,   929,   929,
     930,   930,   930,   930,   930,   930,   930,   930,   930,   930,
     930,   930,   930,   930,   930,   930,   930,   930,   930,   930,
     930,   930,   930,   930,   931,   932,   932,   933,   933,   934,
     934,   934,   934,   935,   936,   936,   937,   938,   938,   938,
     938,   938,   938,   939,   939,   940,   941,   941,   941,   942,
     942,   943,   943,   943,   943,   943,   944,   944,   945,   945,
     945,   945,   946,   946,   946,   947,   948,   948,   949,   950,
     950,   951,   951,   951,   951,   951,   951,   951,   951,   951,
     951,   951,   951,   951,   951,   952,   952,   952,   953,   953,
     953,   953,   953,   954,   954,   954,   955,   955,   956,   956,
     956,   956,   957,   957,   957,   957,   958,   959,   960,   960,
     961,   961,   962,   962,   962,   963,   963,   963,   963,   963,
     963,   963,   964,   964,   965,   965,   965,   966,   967,   967,
     968,   969,   969,   970,   971,   971,   971,   971,   971,   971,
     971,   972,   972,   973,   974,   974,   974,   974,   974,   974,
     975,   975,   976,   977,   977,   977,   978,   978,   979,   979,
     980,   980,   981,   981,   981,   981,   981,   982,   982,   983,
     983,   984,   985,   985,   986,   986,   987,   987,   988,   988,
     989,   989,   990,   990,   991,   992,   992,   993,   993,   994,
     994,   994,   994,   995,   995,   995,   995,   995,   995,   995,
     995,   995,   996,   996,   997,   998,   998,   999,   999,   999,
    1000,  1000,  1001,  1001,  1002,  1002,  1002,  1002,  1003,  1003,
    1004,  1004,  1005,  1006,  1006,  1007,  1007,  1007,  1007,  1007,
    1008,  1008,  1009,  1009,  1010,  1011,  1011,  1011,  1012,  1012,
    1012,  1013,  1013,  1014,  1015,  1015,  1016,  1017,  1017,  1018,
    1018,  1018,  1018,  1018,  1018,  1018,  1018,  1019,  1019,  1020,
    1020,  1020,  1021,  1022,  1022,  1023,  1023,  1024,  1025,  1025,
    1026,  1027,  1027,  1028,  1028,  1028,  1028,  1028,  1029,  1029,
    1029,  1030,  1030,  1031,  1031,  1032,  1032,  1032,  1032,  1032,
    1032,  1032,  1032,  1033,  1033,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1035,  1035,  1035,  1036,  1036,  1037,  1038,  1038,
    1039,  1039,  1039,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1041,  1041,  1042,  1042,  1042,  1043,  1043,  1044,
    1044,  1045,  1045,  1046,  1047,  1047,  1048,  1048,  1049,  1049,
    1049,  1049,  1050,  1050,  1051,  1051,  1051,  1051,  1052,  1052,
    1053,  1053,  1054,  1055,  1055,  1055,  1056,  1056,  1057,  1057,
    1058,  1058,  1059,  1059,  1060,  1060,  1061,  1061,  1061,  1061,
    1061,  1062,  1063,  1064,  1065,  1066,  1066,  1067,  1067,  1068,
    1068,  1069,  1069,  1070,  1071,  1071,  1071,  1071,  1072,  1072,
    1073,  1073,  1074,  1074,  1075,  1075,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1077,  1077,  1077,  1077,
    1077,  1077,  1078,  1078,  1078,  1078,  1079,  1079,  1080,  1080,
    1080,  1080,  1080,  1081,  1081,  1081,  1081,  1082,  1082,  1083,
    1083,  1084,  1084,  1084,  1084,  1085,  1085,  1086,  1086,  1086,
    1087,  1088,  1088,  1089,  1089,  1090,  1091,  1091,  1092,  1092,
    1093,  1093,  1094,  1094,  1095,  1095,  1095,  1096,  1096,  1097,
    1097,  1098,  1099,  1099,  1100,  1100,  1101,  1101,  1101,  1102,
    1102,  1103,  1103,  1103,  1103,  1104,  1104,  1105,  1105,  1106,
    1106,  1106,  1106,  1106,  1106,  1107,  1107,  1107,  1108,  1108,
    1108,  1108,  1108,  1108,  1108,  1109,  1109,  1109,  1109,  1110,
    1110,  1111,  1111,  1112,  1112,  1112,  1112,  1112,  1112,  1112,
    1112,  1112,  1112,  1112,  1113,  1113,  1114,  1114,  1115,  1115,
    1116,  1117,  1118,  1118,  1119,  1119,  1120,  1121,  1122,  1122,
    1122,  1122,  1122,  1122,  1123,  1123,  1124,  1124,  1124,  1124,
    1125,  1126,  1126,  1126,  1127,  1127,  1127,  1127,  1127,  1127,
    1127,  1127,  1127,  1127,  1127,  1127,  1127,  1127,  1128,  1128,
    1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,
    1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,
    1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,
    1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,
    1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,
    1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,
    1129,  1129,  1129,  1129,  1130,  1130,  1130,  1130,  1130,  1130,
    1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,
    1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,  1130,  1131,
    1131,  1131,  1131,  1131,  1131,  1131,  1131,  1131,  1131,  1131,
    1131,  1131,  1131,  1132,  1132,  1132,  1132,  1132,  1132,  1132,
    1133,  1133,  1134,  1134,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1136,  1136,  1137,  1137,
    1137,  1137,  1138,  1139,  1139,  1140,  1140,  1141,  1141,  1142,
    1142,  1142,  1143,  1143,  1143,  1143,  1144,  1144,  1145,  1145,
    1146,  1146,  1147,  1147,  1148,  1149,  1149,  1149,  1150,  1151,
    1151,  1152,  1152,  1153,  1153,  1153,  1153,  1154,  1154,  1155,
    1155,  1155,  1155,  1155,  1156,  1156,  1156,  1156,  1156,  1157,
    1157,  1157,  1158,  1158,  1159,  1160,  1160,  1160,  1161,  1161,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,
    1162,  1162,  1163,  1163,  1164,  1164,  1165,  1165,  1165,  1165,
    1165,  1165,  1166,  1166,  1167,  1167,  1168,  1168,  1168,  1169,
    1169,  1170,  1170,  1170,  1171,  1171,  1172,  1172,  1173,  1173,
    1173,  1173,  1173,  1173,  1173,  1173,  1174,  1174,  1175,  1176,
    1176,  1177,  1177,  1177,  1177,  1177,  1177,  1178,  1179,  1180,
    1180,  1180,  1181,  1181,  1182,  1183,  1183,  1184,  1185,  1185,
    1186,  1186,  1187,  1187,  1188,  1188,  1188,  1188,  1189,  1189,
    1190,  1190,  1191,  1191,  1192,  1192,  1193,  1193,  1194,  1194,
    1195,  1195,  1195,  1195,  1196,  1196,  1197,  1197,  1198,  1198,
    1199,  1200,  1201,  1202,  1203,  1204,  1205,  1205,  1206,  1206,
    1206,  1206,  1206,  1206,  1206,  1206,  1206,  1206,  1206,  1206,
    1206,  1206,  1206,  1207,  1208,  1208,  1208,  1208,  1209,  1210,
    1210,  1210,  1211,  1211,  1212,  1212,  1212,  1212,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,
    1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1213,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1215,  1215,  1215,  1215,
    1215,  1215,  1215,  1215,  1215,  1215,  1215,  1215,  1215,  1215,
    1215,  1215,  1215,  1215,  1215,  1215,  1215,  1215,  1215,  1216,
    1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,
    1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,
    1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,
    1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,
    1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,
    1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,
    1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,  1216,
    1216,  1216,  1216,  1216,  1217,  1217,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1220,  1219,  1221,  1222,  1222,  1222,
    1222,  1223,  1223,  1223,  1223,  1224,  1224,  1225,  1226,  1227,
    1227,  1228,  1228,  1228,  1229,  1229,  1230,  1230,  1231,  1231,
    1232,  1232,  1232,  1232,  1233,  1233,  1233,  1234,  1235,  1235,
    1236,  1236,  1237,  1237,  1237,  1237,  1238,  1238,  1239,  1240,
    1241,  1242,  1242,  1243,  1244,  1244,  1245,  1245,  1245,  1245,
    1245,  1247,  1246,  1248,  1249,  1250,  1250,  1251,  1251,  1251,
    1251,  1252,  1252,  1254,  1253,  1256,  1255,  1257,  1255,  1255,
    1258,  1258,  1259,  1259,  1259,  1260,  1260,  1260,  1260,  1261,
    1261,  1262,  1262,  1262,  1262,  1262,  1262,  1263,  1263,  1263,
    1264,  1266,  1265,  1267,  1268,  1267,  1269,  1269,  1270,  1270,
    1271,  1271,  1272,  1272,  1272,  1272,  1272,  1272,  1272,  1272,
    1272,  1273,  1273,  1273,  1273,  1273,  1273,  1273,  1273,  1273,
    1273,  1274,  1274,  1275,  1275,  1276,  1277,  1277,  1278,  1278,
    1278,  1279,  1280,  1281,  1281,  1281,  1281,  1282,  1282,  1282,
    1283,  1283,  1284,  1284,  1285,  1286,  1286,  1287,  1287,  1288,
    1288,  1289,  1289,  1290,  1291,  1291,  1292,  1292,  1292,  1293,
    1293,  1293,  1293,  1293,  1293,  1293,  1293,  1293,  1294,  1294,
    1294,  1294,  1294,  1295,  1295,  1296,  1297,  1298,  1299,  1299,
    1300,  1301,  1302,  1302,  1303,  1304,  1304,  1305,  1306,  1307,
    1307,  1308,  1309,  1310,  1310,  1311,  1312,  1312,  1312,  1312,
    1312,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1314,  1314,  1315,  1315,
    1316,  1316,  1316,  1318,  1317,  1319,  1319,  1321,  1320,  1322,
    1322,  1322,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,
    1323,  1323,  1324,  1324,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1326,  1326,  1326,  1326,
    1326,  1326,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1328,
    1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1331,  1331,  1331,  1331,  1331,
    1331,  1332,  1332,  1332,  1332,  1332,  1332,  1332,  1332,  1332,
    1332,  1332,  1333,  1333,  1333,  1333,  1333,  1334,  1334,  1334,
    1334,  1335,  1335,  1335,  1335,  1335,  1335,  1335,  1336,  1336,
    1336,  1337,  1337,  1337,  1337,  1337,  1337,  1338,  1338,  1339,
    1340,  1340,  1341,  1341,  1342,  1343,  1344,  1345,  1345,  1345,
    1346,  1347,  1348,  1349,  1350,  1350,  1350,  1350,  1350,  1351,
    1352,  1352,  1352,  1353,  1353,  1354,  1354,  1354,  1355,  1355,
    1356,  1356,  1357,  1357,  1358,  1358,  1358,  1358,  1358,  1359,
    1359,  1359,  1359,  1359,  1359,  1359,  1359,  1359,  1359,  1359,
    1359,  1359,  1359,  1359,  1359,  1359,  1359,  1359,  1359,  1359,
    1359,  1359,  1359,  1359,  1359,  1359,  1359,  1359,  1359,  1359,
    1359,  1359,  1359,  1359,  1359,  1359,  1359,  1359,  1359,  1359,
    1359,  1359,  1359,  1359,  1359,  1359,  1359,  1359,  1359,  1359,
    1359,  1359,  1359,  1359,  1359,  1360,  1360,  1360,  1360,  1361,
    1361,  1361,  1361,  1361,  1361,  1361,  1361,  1361,  1361,  1362,
    1362,  1362,  1362,  1363,  1363,  1364,  1364,  1365,  1365,  1366,
    1366
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     2,     5,     1,
       1,     0,     2,     0,     2,     0,     2,     2,     3,     3,
       1,     3,     3,     2,     1,     1,     2,     2,     2,     3,
       3,     5,     5,     5,     0,     3,     5,     5,     5,     5,
       3,     5,     3,     5,     3,     5,     5,     6,     1,     1,
       6,     4,     9,     7,     1,     0,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     5,     1,
       3,     3,     3,     3,     1,     3,     3,     2,     2,     2,
       2,     3,     3,     3,     3,     1,     3,     1,     3,     1,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     3,     5,     1,     1,     1,     1,     1,     0,     1,
       1,     2,     1,     2,     3,     2,     1,     1,     2,     1,
       2,     1,     3,     4,     5,     4,     2,     4,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     4,     6,
       4,     6,    10,    13,     4,     6,     4,    10,    13,     4,
       6,     4,     6,     5,     7,    11,    14,     1,     3,     4,
       3,     3,     2,     5,     3,     6,     4,     6,     6,     6,
       6,     5,     5,     6,     9,     4,     5,     7,     6,     4,
       8,     4,     2,     4,     3,     6,     4,     3,     3,     3,
       3,     2,     2,     3,     4,     4,     3,     3,     3,     3,
       3,     3,     4,     4,     3,     2,     3,     2,     2,     3,
       3,     2,     2,     3,     4,     4,     4,     5,     1,     3,
       2,     1,     1,     0,     2,     0,     2,     0,     1,     1,
       1,     3,     3,     2,     0,     1,     3,     3,     1,     5,
       3,     1,     2,     1,     3,     2,     3,     6,     6,    10,
       1,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       3,     1,     3,     1,     1,     1,     4,     1,     3,     4,
       6,     4,     8,     2,     2,    11,     9,     1,     1,     1,
       0,     1,     1,     1,     1,     3,     2,     0,     1,     1,
       1,     3,     3,     1,     1,     3,     3,     3,     3,     4,
       3,     2,     1,     0,     2,     0,     3,     0,     1,     0,
       1,     3,     2,     1,     1,     1,     3,     0,     1,     3,
       1,    12,    15,    11,    14,    13,    16,     1,     1,     2,
       2,     2,     2,     1,     0,     1,     0,     3,     0,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     4,     2,
       4,     2,     0,     3,     1,     1,     2,     2,     1,     3,
       4,     5,     2,     5,     5,     1,     2,     1,     2,     2,
       2,     3,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     5,     8,     3,     9,     4,
      10,    11,     2,     0,     3,     0,     1,     3,     1,     4,
       0,     2,     2,     2,     0,     1,     3,     3,     6,     4,
       0,     1,     1,     2,     2,     0,     3,     3,     2,     1,
       1,     2,     2,     4,     0,     1,     0,     6,     1,     1,
       1,     3,     3,     3,     5,     2,     2,     2,     0,     3,
       4,     4,     0,     2,     0,     4,     0,     3,     8,    11,
       5,     2,     3,     0,     8,    11,     4,     1,     0,     6,
       5,     8,     4,     6,     1,     0,     3,     0,     1,     2,
       2,     2,     1,     2,     3,     2,     2,     2,     2,     3,
       3,     3,     1,     3,     1,     0,     1,     2,     2,     1,
       1,     3,     6,    10,     1,     0,     1,     2,     2,     0,
       2,     2,     1,     0,     5,     7,     1,     0,     7,     2,
       0,     3,     5,     5,     8,     2,     0,     2,     2,     2,
       1,     5,     2,     0,     2,     7,     6,    10,     6,     6,
       6,     6,     7,     6,     9,     9,     6,     6,     6,     7,
       6,     8,     8,     8,     8,     6,     6,     7,     7,     8,
       6,     9,     6,     7,     2,     2,     2,     2,     1,     2,
       1,     0,     7,     6,     4,     0,     1,     3,     4,     1,
       3,     1,     2,     2,     2,     2,     1,     1,    10,    13,
       2,     0,     2,     2,     1,     0,     5,     4,     4,    11,
      14,    12,    15,     5,     7,    11,     2,     1,     4,     0,
       8,    11,     1,     1,     7,     9,     8,    10,     8,     4,
       0,     5,     0,     2,     0,     2,     0,     2,     0,     2,
       0,     1,     1,     1,     1,     1,     8,    16,    20,     1,
       1,     2,     1,     3,     1,     1,     1,     3,     1,     2,
       0,     1,     2,     4,     1,     1,     1,     1,     1,     3,
       0,     1,     0,     1,     1,     4,     0,     1,     3,     0,
       1,     1,     1,     1,     2,     0,     0,     2,     2,     1,
       2,     2,     2,     2,    11,    13,     1,     3,     5,     1,
       3,     5,     1,     2,     2,     1,     8,     4,     5,     4,
       4,     4,     3,     7,     8,     6,     6,     6,     6,     6,
       4,     7,     5,     8,     3,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     3,     3,     1,
       0,     1,     3,     7,     9,     9,     8,     3,     0,    13,
       1,     3,     5,     5,     3,     6,     2,     1,     0,     2,
       0,     2,     4,     0,     1,     0,     6,     8,     8,     1,
       3,     5,     5,     7,     9,     7,     9,     5,     6,     6,
       4,     6,     4,     6,     8,     4,     6,     4,     6,     5,
       7,     1,     1,     1,     2,     1,     2,     1,     1,     1,
       3,     3,     3,     3,     2,     2,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     2,     2,     3,
       1,     3,     5,     2,     2,     0,     6,     6,     6,     6,
       6,     6,     6,     8,     9,     8,     6,     6,     8,     9,
       8,     9,     9,     7,    10,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     2,     3,     3,     3,     3,     2,
       1,     2,     1,     3,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     8,     8,     8,     8,     8,     8,     9,
       8,     8,     2,     0,     1,     2,     1,     1,     1,     2,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     3,     4,     5,     4,     5,     3,     4,     3,
       4,     1,     2,     3,     3,     3,     3,     4,     4,     3,
       3,     4,     4,     4,     4,     1,     1,     1,     0,     7,
       7,    10,     1,     1,     2,     4,     5,     1,     3,     2,
       2,     2,     2,     1,     2,     2,     4,     3,     2,     2,
       2,     2,     2,     2,     3,     2,     2,     2,     5,     5,
       5,     5,     5,     1,     3,     1,     2,     3,     0,     6,
       6,     9,     3,     0,     3,     0,     5,     2,     0,     3,
       3,     3,     7,     7,    10,     1,     1,     1,     1,     1,
       1,    15,    18,     1,     0,     1,     0,     1,     0,     2,
       0,     1,     3,     5,     5,     7,     4,     0,     1,     3,
       2,     0,     1,     0,     1,     1,     0,     2,     2,     0,
       8,    11,     6,     6,     2,     0,     3,     2,     1,     3,
       1,     3,     2,     1,     1,     2,     3,     2,     1,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     4,     5,     1,     3,     3,     1,     3,
       3,     5,     6,     1,     3,     2,     1,     3,     1,     2,
       4,     5,     1,     1,     1,     1,     3,     3,     2,     2,
       1,     2,     2,     2,     1,     2,     2,     2,     2,     1,
       1,     1,     3,     3,     5,     2,     0,     2,     1,     3,
       5,     5,     5,     1,     2,     1,     0,     4,     6,     4,
       6,     4,     6,     4,     6,     4,     6,     3,     5,     5,
       5,     1,     3,     1,     3,     2,     2,     1,     2,     1,
       2,    11,    10,    10,     2,     2,     0,     9,     2,     0,
      10,    11,    11,     5,     5,     8,     3,     3,     6,     6,
       1,     1,     1,     1,     1,     1,     3,     1,     5,     5,
       6,     6,     6,     6,     6,     8,     8,     6,     6,     7,
       9,     9,     8,    10,     6,     6,     6,     6,     6,     6,
       6,     8,     6,     8,     6,     8,     7,     9,     6,     8,
       7,     9,     8,    10,     9,    11,     8,    10,     9,    11,
       8,     8,     7,     6,     6,     6,     6,     8,     8,     8,
       8,     6,     9,     1,     0,     2,     0,     7,     7,     7,
       9,     8,     7,     6,     6,     6,     6,     6,     6,     6,
       9,     9,     6,     6,     6,     8,     6,     8,     8,     8,
       8,     6,     8,     6,     8,     7,     9,     7,     9,     6,
       7,     1,     3,     3,     3,     1,     1,     1,     1,     1,
       6,     6,     6,     6,     6,     6,     7,     7,     6,     9,
       9,     6,     6,     6,     6,     6,     6,     8,     8,     8,
       6,     7,     6,     6,     5,     1,     0,     3,     3,     5,
       6,     6,     6,     8,     1,     3,     1,     5,     5,     6,
       7,     4,     4,     4,     6,    13,     1,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     1,     0,     1,     1,
       1,     1,     1,     1,     0,     3,     2,     0,     2,     2,
       2,     2,     3,     3,     2,     2,     2,     2,     3,     2,
       5,     4,     3,     3,     3,     1,     1,     0,     3,     2,
       2,     1,     2,     1,     3,     2,     1,     0,     9,    11,
      12,    14,     3,     4,     4,     0,     2,     5,     1,     0,
       1,     2,     3,     3,     3,     1,     2,     1,     1,     1,
       1,     1,     1,     0,     5,     4,     6,     4,     3,     5,
       5,     4,     4,     6,     4,     6,     6,     5,     7,     9,
       6,     1,     0,     6,    11,    11,    11,    13,     9,    11,
       1,     1,    10,     4,     2,     5,     2,     0,     6,     5,
       1,     3,     1,     1,     1,     1,     1,     3,     5,     1,
       3,     1,     1,     1,     1,     0,     1,     0,     1,     0,
       1,     0,     3,     0,     2,     1,     3,     1,     0,     2,
       4,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     2,     1,     1,     1,     1,     0,
       5,     4,     3,     0,     1,     1,     1,     1,     4,     9,
       3,     0,     7,     1,     3,     1,     4,     4,     7,     2,
       1,     1,     1,     3,     2,     8,     5,     0,     4,     3,
       0,     3,     0,     7,     2,     0,     5,     3,     0,     2,
       2,     2,     3,     1,     3,     1,     2,     1,     0,     1,
       2,     0,     8,     1,     3,     3,     5,     2,     1,     3,
       7,     1,     1,     0,     3,     2,     2,     2,     0,     2,
       2,     1,     1,     3,     3,     1,     2,     4,     4,     2,
       3,     5,     5,     1,     1,     9,     9,     1,     2,     4,
       4,     4,     2,     2,     3,     1,     3,     6,     1,     0,
       2,     1,     0,     3,     3,     4,     4,     4,     4,     3,
       2,     1,     1,     0,     1,     1,     0,     1,     5,     1,
       0,     1,     0,     3,     1,     3,     4,     3,     2,     2,
       1,     1,     1,     0,     2,     4,     5,     4,     2,     3,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     3,     0,     1,     3,     1,     1,     1,     1,
       1,     2,     4,     4,     5,     2,     0,     1,     3,     1,
       0,     1,     2,     3,     2,     4,     2,     3,     2,     0,
       4,     5,     2,     0,     1,     3,     2,     3,     2,     3,
       2,     3,     2,     3,     1,     4,     3,     4,     5,     4,
       5,     4,     5,     2,     4,     1,     1,     0,     1,     4,
       5,     4,     0,     2,     2,     2,     1,     1,     0,     4,
       2,     1,     2,     2,     4,     1,     3,     1,     2,     3,
       6,     4,     0,     2,     6,     2,     1,     3,     4,     0,
       2,     0,     2,     0,     2,     4,     0,     1,     0,     1,
       3,     3,     7,    12,     1,     3,     2,     3,     3,     1,
       2,     2,     2,     2,     1,     1,     3,     3,     2,     2,
       3,     5,     6,     2,     3,     3,     4,     0,     1,     1,
       1,     1,     1,     2,     4,     1,     1,     1,     1,     2,
       3,     3,     0,     1,     1,     1,     1,     1,     2,     2,
       2,     2,     2,     1,     3,     0,     1,     1,     1,     1,
       5,     2,     1,     1,     1,     1,     4,     1,     2,     2,
       1,     3,     3,     2,     1,     0,     5,     2,     5,     2,
       1,     3,     3,     0,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     3,     3,     3,     3,     0,     1,     4,
       1,     3,     3,     5,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       2,     3,     3,     2,     2,     3,     5,     4,     6,     3,
       5,     4,     6,     4,     6,     5,     7,     3,     2,     4,
       2,     3,     3,     4,     3,     4,     3,     4,     5,     6,
       6,     7,     6,     7,     6,     7,     3,     4,     4,     6,
       2,     3,     4,     1,     1,     3,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     5,     6,     6,     7,     3,     4,     1,
       1,     2,     4,     1,     1,     1,     2,     2,     2,     2,
       1,     1,     4,     3,     5,     6,     8,     6,     6,     4,
       4,     1,     1,     1,     5,     1,     1,     4,     1,     4,
       1,     4,     1,     4,     1,     1,     1,     1,     1,     1,
       6,     4,     4,     4,     4,     6,     5,     5,     5,     4,
       6,     4,     4,     4,     4,     5,     7,     7,     9,     5,
       4,     6,     5,     7,     7,     7,     2,     3,     3,     3,
       4,     0,     4,     1,     3,     3,     1,     1,     1,     2,
       2,     0,     2,     4,     4,     6,     5,     0,     5,     0,
       2,     0,     1,     3,     3,     2,     2,     0,     6,     1,
       0,     3,     0,     3,     3,     3,     0,     1,     4,     2,
       2,     2,     2,     2,     3,     2,     2,     3,     0,     4,
       3,     5,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     1,     4,     1,     4,     1,     2,
       1,     2,     1,     3,     1,     3,     1,     3,     3,     1,
       3,     3,     3,     2,     1,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     3,     2,     3,
       0,     3,     3,     2,     2,     1,     0,     2,     2,     3,
       2,     1,     1,     3,     5,     1,     2,     4,     2,     0,
       1,     0,     1,     2,     2,     2,     3,     5,     1,     0,
       1,     2,     0,     2,     1,     0,     1,     0,     1,     3,
       3,     2,     1,     1,     1,     3,     1,     2,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     2,     6,     2,     3,     5,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     2,     4,     3,     2,     1,
       1,     1,     1,     1,     0,     8,     2,     5,     3,     2,
       2,     3,     7,     1,     1,     1,     0,     2,     2,     1,
       0,     1,     3,     1,     2,     0,     2,     0,     2,     0,
       1,     3,     4,     3,     1,     1,     1,     1,     2,     0,
       2,     4,     0,     2,     2,     2,     1,     1,     7,     3,
       1,     1,     1,     1,     2,     0,     1,     3,     3,     3,
       3,     0,     4,     5,     5,     0,     1,     1,     1,     2,
       2,     1,     2,     0,     7,     0,     5,     0,     4,     2,
       2,     0,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     5,     2,     1,     3,     2,     2,
       3,     0,     5,     1,     0,     5,     2,     2,     1,     1,
       1,     2,     2,     3,     1,     2,     2,     3,     3,     4,
       2,     1,     2,     1,     1,     2,     2,     3,     1,     1,
       1,     1,     0,     1,     3,     5,     0,     2,     0,     1,
       2,     3,     2,     1,     1,     1,     0,     1,     1,     1,
       1,     1,     2,     2,     3,     0,     1,     2,     1,     4,
       3,     4,     3,     2,     1,     3,     1,     1,     1,     1,
       2,     2,     1,     2,     2,     1,     1,     1,     4,     4,
       4,     4,     4,     1,     0,     3,     3,     4,     1,     3,
       3,     4,     1,     3,     3,     1,     1,     1,     6,     1,
       3,     3,     6,     1,     3,     3,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     4,     1,     1,
       4,     4,     3,     0,     7,     1,     0,     0,     7,     3,
       4,     3,     1,     1,     1,     2,     3,     5,     2,     2,
       5,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       0,     1,     2,     1,     2,     1,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     3,     1,     2,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     3,     2,     3,     1,
       3,     3,     3,     3,     3,     3,     1,     1,     4,     0,
       2,     2,     1,     2,     1,     0,     1,     1,     1,     0,
       1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1619 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33667 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1621 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33673 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1623 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33679 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1625 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33685 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1627 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33691 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1629 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33697 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1631 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33703 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1633 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33709 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1635 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33715 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1637 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33721 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1639 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33727 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1641 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33733 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1643 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33739 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1645 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33745 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1647 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33751 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1649 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33757 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1651 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33763 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1653 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33769 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1655 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33775 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1657 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33781 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1659 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33787 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1661 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33793 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1663 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33799 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1665 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33805 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1667 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33811 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1669 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33817 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1671 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33823 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1673 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33829 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1675 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33835 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1677 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33841 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1679 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33847 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1681 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33853 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1683 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33859 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1685 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33865 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1687 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 33887 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1705 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33893 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1707 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33899 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1709 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33905 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1711 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33911 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1713 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33917 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1715 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33923 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1717 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33929 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1719 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33935 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1721 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33941 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1723 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33947 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1725 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33953 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1727 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33959 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1729 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33965 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1731 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33971 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1733 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33977 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1735 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33983 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1737 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33989 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1739 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33995 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1741 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34001 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1743 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34007 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1745 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34013 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1747 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34019 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1749 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34025 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1751 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34031 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1753 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34037 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1755 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34043 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1757 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34049 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1759 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34055 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1761 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34061 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1763 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34067 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1765 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34073 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1767 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34079 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1769 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34085 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1771 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34091 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1773 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34097 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1775 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34103 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1777 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 34111 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1781 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 34117 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1783 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34123 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1785 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 34129 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1787 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 34135 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1789 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34141 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1791 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34147 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1793 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34153 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1795 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34159 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1797 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34165 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1799 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34171 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1801 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34177 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1803 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34183 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1805 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34189 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1807 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34195 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1809 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34201 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1811 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34207 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1813 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34213 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1815 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34219 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1817 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 34225 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1819 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34231 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1821 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 34237 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1823 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34243 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1825 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34249 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1827 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34255 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1829 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34261 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1831 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 34267 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1833 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34273 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1835 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34279 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1837 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34285 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1839 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34291 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1841 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34297 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1843 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 34308 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1850 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34314 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1852 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34320 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1854 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34326 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1856 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34332 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1858 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34338 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1860 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34344 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1862 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34350 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1864 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34356 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1866 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34362 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1868 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34368 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1870 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 34374 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1872 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 34384 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1878 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34390 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1880 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34396 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1882 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 34402 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1884 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34408 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1886 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34414 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1888 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34420 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1890 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34426 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1892 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34432 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1894 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 34442 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1900 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 34456 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1910 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 34464 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1914 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 34474 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1920 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 34482 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1924 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 34496 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1934 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 34510 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1943 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 34516 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1945 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 34534 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1959 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 34545 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1966 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 34555 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1972 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 34570 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1983 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 34580 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1989 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 34593 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1998 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 34604 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 2005 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 34614 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 2011 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 34627 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 2020 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 34638 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 2027 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 34649 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 2034 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34655 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 2040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("call"),(yyvsp[0].str));
}
#line 34663 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 2048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34671 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 2056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 34679 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 2060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 34687 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 2064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34694 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 2071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34702 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 2075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34709 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 2082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34717 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34724 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 34732 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 34740 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 34748 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2105 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 34757 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 34765 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 34773 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 34781 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 34789 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34797 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34805 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 34813 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 34821 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 34829 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 34837 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 34845 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34853 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34861 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34869 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34876 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 34884 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34892 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34900 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34908 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34916 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 34924 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 34932 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 34940 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 34948 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 34956 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 34964 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34972 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 34980 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 34988 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 34996 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35004 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35012 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2277 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35021 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2282 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35030 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35038 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35045 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35053 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35060 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35068 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35076 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35084 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35092 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35100 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35108 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35116 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 35124 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 35132 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 35140 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 35148 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35156 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35164 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 35172 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 35180 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35188 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 35196 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 35204 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2398 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 35213 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 35221 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 35229 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 35237 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 35245 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 35253 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 35261 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 35269 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35277 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 35285 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35293 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35301 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35309 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2463 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 35323 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 35331 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 35339 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 35347 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 35355 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 35363 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 35371 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 35379 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35387 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35395 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35403 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35411 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 35419 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35427 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 35435 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 35443 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35451 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 35459 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35466 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35474 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35482 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 35490 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35498 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 35506 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 35514 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 35522 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35530 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 35538 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35546 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35554 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35562 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35570 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 35578 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 35586 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 35594 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 35602 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2656 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 35611 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35619 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 35627 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35635 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 35643 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 35651 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 35659 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 35667 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 35675 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 35683 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 35691 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 35699 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35707 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35715 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35723 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35731 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35739 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35747 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35755 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35763 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35771 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35779 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35787 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35795 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35803 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35811 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35819 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35827 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35835 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35843 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35851 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35859 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35867 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("attach partition"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35875 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("detach partition"),(yyvsp[0].str));
}
#line 35883 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("attach partition"),(yyvsp[0].str));
}
#line 35891 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 35899 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add if not exists"),(yyvsp[0].str));
}
#line 35907 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 35915 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column if not exists"),(yyvsp[0].str));
}
#line 35923 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35931 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 35939 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 35947 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 35955 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 35963 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 35971 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 35979 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 35987 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("add generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 35995 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36003 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("drop identity"));
}
#line 36011 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("drop identity if exists"));
}
#line 36019 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36027 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36035 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36043 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36051 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 36059 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36067 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 36075 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36083 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36091 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 36099 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 36107 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 36115 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 36123 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set logged");
}
#line 36131 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 36139 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 36147 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 36155 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 36163 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 36171 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 36179 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 36187 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 36195 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 36203 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 36211 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 3001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 36219 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 3005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 36227 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 3009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 36235 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 3013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 36243 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 3017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 36251 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 3021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 36259 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 3025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 36267 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 3029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36275 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 3033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 36283 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 3037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 36291 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 3041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 36299 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 36307 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 36315 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 36323 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 36331 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 36339 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36347 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 36355 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 36363 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 36371 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 36379 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36386 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 36394 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36401 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 36409 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36416 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 36424 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 36432 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 36440 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 36448 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36456 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 36464 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36471 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36479 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36487 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36495 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36503 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36511 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 36519 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36527 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36535 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 36543 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36551 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 36559 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set generated"),(yyvsp[0].str));
}
#line 36567 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for values with ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36575 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for values in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36583 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("for values from ("),(yyvsp[-5].str),mm_strdup(") to ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36591 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 36599 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36607 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36615 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36623 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36631 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36639 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 36647 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 36655 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 36663 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36671 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36679 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36687 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36695 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 36703 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 36711 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36719 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36727 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36735 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36743 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36751 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36759 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36767 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36775 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3369 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 36784 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 36792 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3382 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36804 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy ("),(yyvsp[-6].str),mm_strdup(") to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36812 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 36820 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 36828 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 36836 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36843 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36851 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 36859 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 36867 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36875 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36883 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36891 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36898 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 36906 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 36914 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 36922 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36930 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36938 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 36946 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 36954 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36962 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36970 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 36978 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 36986 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 36994 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 37002 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 37010 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 37018 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37025 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 37033 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37040 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 37048 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37055 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 37063 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37070 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37078 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37086 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37094 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37102 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37110 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 37118 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37126 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37133 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37141 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37149 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37157 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("table"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37165 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-13].str),mm_strdup("table if not exists"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37173 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37181 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37189 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table"),(yyvsp[-9].str),mm_strdup("partition of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37197 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-14].str),mm_strdup("table if not exists"),(yyvsp[-9].str),mm_strdup("partition of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37205 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 37213 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 37221 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 37229 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 37237 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 37245 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 37253 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 37261 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37268 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37276 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37283 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37291 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37298 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37306 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37314 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37322 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37330 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37338 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37346 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37354 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37362 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37370 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37378 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37386 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 37394 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37402 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37409 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37417 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37425 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37433 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 37441 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 37449 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 37457 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37465 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37473 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 37481 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 37489 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 37497 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37505 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 37513 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by default");
}
#line 37521 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 37529 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 37537 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 37545 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 37553 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37561 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 37569 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 37577 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37584 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 37592 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 37600 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 37608 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 37616 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 37624 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 37632 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 37640 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 37648 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37656 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37664 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 37672 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("unique ("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37680 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37688 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("primary key ("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37696 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37704 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("exclude"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37712 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37720 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 37728 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37735 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37743 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 4001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37750 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 4008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37758 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 4012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37766 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37774 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("include ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37782 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37789 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 37797 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4043 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 37806 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 37814 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37821 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37829 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37837 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 37845 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37853 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37861 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37868 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37876 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37884 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37892 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37900 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37907 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 37915 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 37923 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 37931 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 37939 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 37947 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 37955 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 37963 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37971 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37978 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37986 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37993 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("partition by"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38001 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38009 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38017 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38025 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38033 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38041 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38049 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38057 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 38065 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 38073 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 38081 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38088 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 38096 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 38104 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 38112 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38119 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 38127 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38134 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 38142 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38149 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 38157 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 38165 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics if not exists"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 38173 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38181 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 38189 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 38197 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38204 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38212 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38220 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38228 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 38236 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38243 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38251 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38259 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38267 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38275 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38283 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38291 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38298 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38306 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38313 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38321 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38329 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 38337 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 38345 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 38353 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 38361 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38369 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 38377 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 38385 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 38393 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 38401 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 38409 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence name"),(yyvsp[0].str));
}
#line 38417 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38425 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 38433 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38441 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 38449 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38456 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38464 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 38472 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 38480 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38488 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38496 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38504 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 38512 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38520 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 38528 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38535 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38543 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38551 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 38559 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38566 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 38574 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 38582 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38590 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38597 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38605 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38613 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 38621 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38628 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38636 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 38644 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38651 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 38659 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 38667 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38675 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38683 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38691 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38698 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 38706 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 38714 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 38722 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 38730 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 38738 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38746 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38753 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 38761 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("access method"),(yyvsp[0].str));
}
#line 38769 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("aggregate"),(yyvsp[0].str));
}
#line 38777 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38785 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 38793 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 38801 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 38809 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 38817 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 38825 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("operator"),(yyvsp[0].str));
}
#line 38833 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 38841 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 38849 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("procedure"),(yyvsp[0].str));
}
#line 38857 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("routine"),(yyvsp[0].str));
}
#line 38865 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 38873 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 38881 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 38889 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 38897 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 38905 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 38913 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 38921 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 38929 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 38937 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 38945 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 38953 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 38961 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 38969 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 38977 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 38985 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38993 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 39001 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 39009 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 39017 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 39025 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39033 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39041 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39049 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39056 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39064 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39072 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39080 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39087 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39095 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39103 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39111 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39119 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39127 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39135 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 39143 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 39151 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 39159 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39167 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39175 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39183 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39191 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server if not exists"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39199 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 39207 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39214 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 39222 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 39230 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39238 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39245 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39253 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39261 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39269 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39277 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39285 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39293 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39301 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39309 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39317 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39325 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit to");
}
#line 39333 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 39341 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39349 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39356 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39364 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping if not exists for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39372 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39380 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 39388 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 39396 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 39404 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39412 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create policy"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39420 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39428 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39436 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39443 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39451 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39458 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 39466 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39473 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 39481 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39488 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 39496 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39503 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 39511 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39518 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 39526 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 39534 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 39542 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 39550 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 39558 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create access method"),(yyvsp[-4].str),mm_strdup("type index handler"),(yyvsp[0].str));
}
#line 39566 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create trigger"),(yyvsp[-13].str),(yyvsp[-12].str),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39574 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39582 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 39590 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 39598 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 39606 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39614 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 39622 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 39630 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 39638 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 39646 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 39654 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 39662 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("referencing"),(yyvsp[0].str));
}
#line 39670 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39677 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39685 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39693 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39701 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 39709 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 39717 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39725 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 39733 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39741 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39749 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39756 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 39764 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39771 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 39779 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 39787 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39795 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39802 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39810 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39818 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39825 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39833 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39841 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39849 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39857 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 39865 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39872 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39879 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39887 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 39895 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 39903 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 39911 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 39919 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 39927 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 39935 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 39943 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 39951 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39959 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 39967 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39975 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 39983 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 39991 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39999 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 40007 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 40015 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 40023 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 40031 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5601 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40040 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5610 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40049 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40057 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40065 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40073 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40081 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 40089 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40097 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40105 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 40113 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40121 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40129 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40137 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40145 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40153 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40161 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 40169 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation if not exists"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 40177 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40185 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40193 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40201 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40209 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40217 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40225 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40233 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40241 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40249 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40257 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 40265 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40273 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40281 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40289 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40297 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40305 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40312 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40320 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40328 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40336 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 40344 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 40352 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[-5].str),mm_strdup("rename value"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40360 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 40368 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40375 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 40383 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40391 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40399 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40407 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40415 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40423 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("function"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40431 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 40439 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 40447 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40454 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 40462 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40469 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 40477 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 40485 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40492 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5910 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 40501 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40508 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 40516 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 40524 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 40532 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40540 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40548 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40556 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40564 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40572 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40580 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40588 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40596 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40604 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40612 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40620 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40628 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40636 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40644 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("drop"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40652 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop"),(yyvsp[-6].str),mm_strdup("if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40660 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40668 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40676 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40684 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40692 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40700 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40708 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 40716 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 40724 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 40732 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 40740 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 40748 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 40756 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 40764 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 40772 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 40780 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 40788 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 40796 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 40804 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 40812 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 40820 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 40828 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 40836 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 40844 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 40852 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 40860 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 40868 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 40876 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 40884 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 40892 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40900 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40908 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40916 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40924 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 40932 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 40940 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40948 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40956 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 40964 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 40972 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40979 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40987 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40995 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41003 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41011 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41019 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41027 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on operator"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41035 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41043 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41051 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on policy"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41059 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on procedure"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41067 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on routine"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41075 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41083 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41091 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41099 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41107 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41115 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41123 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 41131 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 41139 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 41147 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 41155 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 41163 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 41171 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 41179 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 41187 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 41195 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 41203 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 41211 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 41219 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 41227 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 41235 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 41243 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 41251 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 41259 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 41267 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 41275 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 41283 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 41291 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 41299 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 41307 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 41315 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 41323 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 41331 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 41339 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41347 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 41355 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41363 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41371 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41379 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41387 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41395 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41403 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on procedure"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on routine"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41427 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 41435 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 41450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 41458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 41466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 41474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 41482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 41490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 41498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 41506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 41514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 41522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 41530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 41538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 41546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 41554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 41570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 41578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 41586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6565 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 41594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6569 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 41604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6575 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 41614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6581 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 41624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6587 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 41634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6593 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 41644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6599 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 41654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6605 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 41664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6611 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 41674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6621 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 41689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6632 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6643 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6654 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6665 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6676 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6687 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6703 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6719 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6735 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6746 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6762 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6773 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6789 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 41917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 41925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 41980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 41988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 42028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 42036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 42044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 42068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 42076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 42084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 42092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 42100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("procedure"),(yyvsp[0].str));
}
#line 42108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("routine"),(yyvsp[0].str));
}
#line 42116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 42124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 42132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 42140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 42148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 42156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 42164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 42172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 42180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 42188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 42196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all procedures in schema"),(yyvsp[0].str));
}
#line 42204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 6979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all routines in schema"),(yyvsp[0].str));
}
#line 42212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 6987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 6991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 6999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 42244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 42252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 42291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 42306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 42344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 42352 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 42360 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42368 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42376 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 42392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 42400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routines");
}
#line 42408 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 42416 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 42424 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 42432 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create"),(yyvsp[-13].str),mm_strdup("index"),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42440 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(16,mm_strdup("create"),(yyvsp[-16].str),mm_strdup("index"),(yyvsp[-14].str),mm_strdup("if not exists"),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 42456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 42471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 42501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("include ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 42587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 42617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 42625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 42640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 42648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("function"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("returns"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("function"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("returns table ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),mm_strdup("procedure"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 42695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 42718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 42798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 42862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 42870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 42878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 42886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 42894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 42926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 42934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 42950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 42958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7509 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 42967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 42975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 43063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 43071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 43079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 43087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 43095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 43103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 43111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 43119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 43127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 43135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 43143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 43151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 43159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 43167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("parallel"),(yyvsp[0].str));
}
#line 43183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 43191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 43199 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 43207 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 43215 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43223 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 43247 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 43255 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 43263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 43342 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop procedure"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop procedure if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop routine"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop routine if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 43461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 43477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 43509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 43541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43549 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 43557 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 43565 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 43573 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 43581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 43604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 43627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 43635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 43643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 43651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43683 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43691 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 43699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 43707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 43715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 43723 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 43731 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43739 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43747 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 43755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 43763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 43771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43787 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43795 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 43819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43843 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43867 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43875 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43891 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43907 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43915 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43979 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43995 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44003 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 44187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 44203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 44218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 44233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 44241 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 44249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 44257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 44265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 44273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= none"));
}
#line 44521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 44529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create publication"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for table"),(yyvsp[0].str));
}
#line 44792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for all tables");
}
#line 44800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 44808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("add table"),(yyvsp[0].str));
}
#line 44816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("set table"),(yyvsp[0].str));
}
#line 44824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("drop table"),(yyvsp[0].str));
}
#line 44832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create subscription"),(yyvsp[-5].str),mm_strdup("connection"),(yyvsp[-3].str),mm_strdup("publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 44872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("connection"),(yyvsp[0].str));
}
#line 44880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("refresh publication"),(yyvsp[0].str));
}
#line 44888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("set publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("enable"));
}
#line 44904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("disable"));
}
#line 44912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 44944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 44968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 45039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 45047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 45055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 45063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 45071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 45079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 45102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 45117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 45125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 45133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 45141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 45157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 45165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 45173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 45181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 45189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 45197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 45205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 45213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 45221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 45229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 45237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 8920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 45245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 8928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 45253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 8932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 45261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 8936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 8943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 45276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 8947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 45284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 8951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 45292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 8955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 45300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 8959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 45308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 8967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 8971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 8975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 8983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 8987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 8994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 8998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9002 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9007 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 45389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 45397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 45405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 45420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 45483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 45499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 45507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 45515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 45523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 45531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 45539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 45547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 45562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 45578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 45594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 45602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter collation"),(yyvsp[-2].str),mm_strdup("refresh version"));
}
#line 45610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 45618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 45626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 45650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 45658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 45666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 45690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 45698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 45753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 45761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 45769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 45777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 45785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 45801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 45809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 45817 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("vacuum"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 45840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 45872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 45880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 45888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 45912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 45936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 45944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 45952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 45975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 45990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 46005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 46074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 46090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9608 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 46243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9614 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 46253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9655 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 46306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 46369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-5].str),mm_strdup(") overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 46385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 46393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 46401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 46409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 46449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 46472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 46487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 46510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 46533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 46548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 46556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 46564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 46572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 46580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 46588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 46596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 46604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 46612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 46627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 46635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 46674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 46682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 9925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 9933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 9937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 9945 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 46759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 9998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10002 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 46779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 46794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 46802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 46810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 46818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10037 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 46829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 46837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 46845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 46989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 47021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 47029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 47037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10207 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 47085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10211 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 47162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 47178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 47193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 47201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 47216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 47232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47247 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 47262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 47349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10387 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 47358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 47366 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("fetch"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 47374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 47382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 47406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 47430 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 47438 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47446 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47454 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 47462 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 47470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 47478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 47486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 47494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47549 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47557 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 47565 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47573 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47589 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 47597 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 47620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 47667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 47675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 47683 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 47691 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 47699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("values ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup(", ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 47730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10711 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10718 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 47855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 47879 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 47887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 47903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 47981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 47989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 47997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 48005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 48013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 48036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 48052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 48060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 48108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 48116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 48147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 48194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 48209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 10987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 10994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 48224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 10998 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 48233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 11003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 11010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 11014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48255 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 11021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 11025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 11033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 11041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmltable ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 11045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("xmltable ( xmlnamespaces ("),(yyvsp[-7].str),mm_strdup(") ,"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 11053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 11057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 11065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 11069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 11073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("for ordinality"));
}
#line 48335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 11081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 11085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 11093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 11097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 48367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 11101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 48375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 11105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 48383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 11113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 11117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 11125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 48407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 11129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 48415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 11137 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 48421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 11139 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 48427 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 11141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 48435 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 11145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 48443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 11149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 48451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 11153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 48459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 11161 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 48473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 11171 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 48487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 11181 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 48497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 11191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 11195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 11199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 48624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 48632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 48640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 48648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 48656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 48664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 48672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 48680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 48688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 48696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 48704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 48767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 48823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 48831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 48839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 48847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 48855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 48863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 48871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 48886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 48894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 48902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 48910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 48918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 48926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 48934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 48949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 48957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 48965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 48973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 48981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 48997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 49005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 49013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 49021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 49029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 49037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 49045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 49060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 49084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 49092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 49100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 49108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 49116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 49124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 49132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 49140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 49148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 49156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 49164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 49172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 49180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 49188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 49196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 49204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 49212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 49244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 49252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 49260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 49268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 49276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 49284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 49292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 49300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 49308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 49316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 49324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 49332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 49340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 49348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 49356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 49364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 49372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 49380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 49388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 49396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 49404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 49412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 49420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 49428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 49436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 49444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 49452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 49460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 49468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 49492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 49500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 49508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 49516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 49524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 49532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11798 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 49557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 49565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 49573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 49581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 49597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 49605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 49613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 49621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 49629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 49637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 49645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 49653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 49661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 49669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 49677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 49685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 49693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 49701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 49709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 49741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 49749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 49773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 49781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 49813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 49853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 49861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 49869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 49901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 12003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 12007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 49949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 12015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 12019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 12027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 12031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 12039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 12043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 49997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 12047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 50005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 12051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 12055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 50021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 12059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 12063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 50037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 12067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 12071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 50053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 12075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 12079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 50069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 12083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 50077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 12087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 50085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 12091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 50093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 12095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 50101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 12099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 50109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 12103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 12107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 12111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 12115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 12119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 12123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 12127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 12131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 12135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 12139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 12143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 50325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 50333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 50341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 50349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 50357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 50396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 50412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 50420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 50428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 50436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50443 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 50451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 50459 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 50467 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 50475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50483 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 50513 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50520 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50528 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 50544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 50552 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 50560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50575 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50590 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 50598 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("range"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rows"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("groups"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 50652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 50660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 50668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 50676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 50684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 50692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude current row");
}
#line 50700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude group");
}
#line 50708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude ties");
}
#line 50716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude no others");
}
#line 50724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50731 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50739 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 50747 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50755 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50763 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 50771 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50779 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 50787 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 50795 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 50803 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50811 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 50827 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 50835 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 50843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 50851 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 50859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 50867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 50875 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 50883 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 50891 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<=");
}
#line 50899 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">=");
}
#line 50907 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<>");
}
#line 50915 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50923 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50931 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50939 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50947 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50955 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50963 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 50971 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 50979 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 50987 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 50995 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51003 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51011 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51019 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51027 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51035 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 51043 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 51051 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51059 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51067 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 51075 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 51083 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 51091 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51099 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51107 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 51115 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 51138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 51146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 51154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 51162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 51170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 51178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 51210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 51218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51233 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51249 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51257 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 51280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 51288 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 51296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 51304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51312 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 51336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51344 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 51360 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 51368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51390 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51398 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51406 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 51414 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 51422 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 51430 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 51438 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51446 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 12991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 12999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 13002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 13010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 51492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 13014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 13021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51507 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 13025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 13032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 13036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 13044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 51538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 13048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 13052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 13056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 51562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 13064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 13068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 13076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 13080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 13088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 13092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 13100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 13108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 13116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 13124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 13132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 13140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 13148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 13152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 13160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 13164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 13168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 13172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 13176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 51714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 13180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 13184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 51730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 13188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 13192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 13196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 51754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 13200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 51762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 13204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 51770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 13208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 51778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 13211 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51784 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 13212 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51790 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 13218 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 51796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 13224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 13227 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 13229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 51818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 13233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 51826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 13241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 13249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 13253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 51850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 13257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 51858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 13265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 13269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 13277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 13281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 13285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 13289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 13297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 51914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 13301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 51922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 13305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 51930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 13309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 51938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 13313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 51946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 13317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 51954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 13321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 51962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 13325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 51970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 13329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 51978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 13333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 51986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 13337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 51994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 13341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 52002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 13345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 52010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 13349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 52018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 13353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attach");
}
#line 52026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 13357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 52034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 13361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 52042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 13365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 52050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 13369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 52058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 13373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 52066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 13377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 52074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 13381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("call");
}
#line 52082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 13385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 52090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 13389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 52098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 13393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 52106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 13397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 52114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 13401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 52122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 13405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 52130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 13409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 52138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 13413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 52146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 52154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 52162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("columns");
}
#line 52170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 52178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 52186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 52194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 52202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 52210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 52218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 52226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 52234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 52242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 52250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 52258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 52266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 52274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 52282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 52290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 52298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 52306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 52314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 52322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 52330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 52338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 52346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 52354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 52362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 52370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 52378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depends");
}
#line 52386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("detach");
}
#line 52394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 52402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 52410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 52418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 52426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 52434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 52442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 52450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 52458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 52466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 52474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 52482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 52490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 52498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 52506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 52514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 52522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 52530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 52538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 52546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 52554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 52562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 52570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 52578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 52586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 52594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 52602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 52610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 52618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 52626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("generated");
}
#line 52634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 52642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 52650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("groups");
}
#line 52658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 52666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 52674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 52682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 52690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 52698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 52706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 52714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 52722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 52730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("include");
}
#line 52738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 52746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 52754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 52762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 52770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 52778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 52786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 52794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 52802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 52810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 52818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 52826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 52834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 52842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 52850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 52858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 52866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 52874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 52882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 52890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 52898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 52906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 52914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 52922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 52930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 52938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 52946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 52954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 52962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 52970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 52978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("method");
}
#line 52986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 52994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 53002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 53010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 53018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 53026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 53034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 53042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 53050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 53058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 53066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 53074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 53082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 53090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 53098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 53106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 53114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 53122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 53130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 53138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 53146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 53154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("others");
}
#line 53162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 53170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overriding");
}
#line 53178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 53186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 53194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parallel");
}
#line 53202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 53210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 53218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 53226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 53234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 53242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 53250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 53258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 53266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 53274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 53282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 53290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 53298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 53306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 53314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 14001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 53322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 14005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedures");
}
#line 53330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 14009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 53338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 14013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 53346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 14017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 53354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 14021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 53362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 14025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 53370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 14029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 53378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 14033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 53386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 14037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 53394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 14041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 53402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 14045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("referencing");
}
#line 53410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 14049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 53418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 14053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 53426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 14057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 53434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 14061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 53442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 14065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 53450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 14069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 53458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 14073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 53466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 14077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 53474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 14081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 53482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 14085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 53490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 14089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 53498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 14093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 53506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 14097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 53514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 14101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 53522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 14105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 53530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 14109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 53538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 14113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routine");
}
#line 53546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 14117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routines");
}
#line 53554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 14121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 53562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 14125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 53570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 14129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 53578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 14133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 53586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 14137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 53594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 14141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 53602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 14145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 53610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 14149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 53618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 14153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 53626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 14157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 53634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 14161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 53642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 14165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 53650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 14169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 53658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 14173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 53666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 14177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 53674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 14181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 53682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 14185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 53690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 14189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 53698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 14193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 53706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 14197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 53714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 14201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 53722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 14205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 53730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 14209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 53738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 14213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 53746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 53754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 14221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 53762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 53770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 53778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 53786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 53794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 53802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 53810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 53818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 53826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 53834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 53842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 53850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 53858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 53866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 53874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ties");
}
#line 53882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 53890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 53898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 53906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 53914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 53922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 53930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 53938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 53946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 53954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 53962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 53970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 53978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 53986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 53994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 54002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 54010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 54018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 54026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 54034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 54042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 54050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 54058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 54066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 54074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 54082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 54090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 54098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 54106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 54114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 54122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 54130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 54138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 54146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 54154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 54162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 54170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 54178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 54186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 54194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 54202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 54210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 54218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 54226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 54234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 54242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 54250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 54258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 54266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 54274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 54282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 54290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 54298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 54306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 54314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 54322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 54330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 54338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 54346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 54354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 54362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 54370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 54378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 54386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 54394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 54402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 54410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 54418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 54426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 54434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 54442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 54450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 54458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 54466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 54474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 54482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlnamespaces");
}
#line 54490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 54498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 54506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 54514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 54522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmltable");
}
#line 54530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 54538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 54546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 54554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 54562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 54570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 54578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 54586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 54594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 54602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 54610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 54618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 54626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 54634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 54642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 54650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 54658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 54666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 54674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 54682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 54690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 54698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 54706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 54714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 54722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 54730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 54738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 54746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 54754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 54762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 54770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 54778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 14745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 54786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 54794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 14753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 54802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 54810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 14761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 54818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 54826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 54834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 54842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 54850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 54858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 54866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 54874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 54882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 54890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 54898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 54906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 54914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 54922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 54930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 54938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 54946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 54954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 54962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 54970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 54978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 54986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 54994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 55002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 55010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 55018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 55026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 55034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 55042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 55050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 55058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 55066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 55074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 55082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 14897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 55090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 14901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 55098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 14905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 55106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 14909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 55114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 14913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 55122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 14917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 55130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 14921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 55138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 14925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 55146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 14929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 55154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 14933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 55162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 14937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 55170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 14941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 55178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 14945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 55186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 14949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 55194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 14953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 55202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 14957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 55210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 14961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 55218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 14965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 55226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 14969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 55234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 14973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 55242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 14977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 55250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 14981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 55258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 14985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 55266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 14989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 55274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 14993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 55282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 14997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 55290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 15001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 55298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 15005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 55306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 15009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 55314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 15022 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 55320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 15025 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 55330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 15031 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 55336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 15032 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 55342 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 15033 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 55348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 15035 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 55363 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 15047 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 55369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 15048 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 55380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 15057 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 55394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 15072 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 55400 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 15074 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 55406 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 15077 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 55412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 15079 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 55418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 15083 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 55434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 15095 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 55454 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 15111 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 55462 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 15115 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 55475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 15125 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 15126 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 15130 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 55501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 15142 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 55512 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 15150 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55518 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 15151 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 15154 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 15155 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 55536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 15156 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 55542 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 15159 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 55548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 15160 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 15163 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 15164 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 55566 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 15167 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 15168 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 55578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 15172 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 55584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 15174 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 55590 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 15176 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 55596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 15178 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 55602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 15182 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 55613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 15189 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 55624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 15196 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 55642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 15212 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 55678 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 15246 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 55692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 15255 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 15259 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 55706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 15263 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 55720 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 15275 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55726 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 15277 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 55732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 15279 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 55738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 15281 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 55744 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 15285 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 55762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 15298 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 15306 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 55831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 15367 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 55841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 15377 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 15378 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 15381 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 15383 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 15384 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 15387 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 15388 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 55883 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 15389 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 55889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 15390 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 55895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 15391 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 55901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 15398 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 55907 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 15400 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 55917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 15407 "preproc.y" /* yacc.c:1646  */
    {}
#line 55923 "preproc.c" /* yacc.c:1646  */
    break;

  case 2794:
#line 15409 "preproc.y" /* yacc.c:1646  */
    {}
#line 55929 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 15411 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 55935 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 15412 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 15415 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55947 "preproc.c" /* yacc.c:1646  */
    break;

  case 2798:
#line 15416 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55953 "preproc.c" /* yacc.c:1646  */
    break;

  case 2799:
#line 15417 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 55959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 15418 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 55965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 15421 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55971 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 15422 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 55977 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15426 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 55987 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15432 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 55999 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15442 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 56013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15452 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 56021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15456 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 56035 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15466 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 56043 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15470 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 56051 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15475 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 56057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15476 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15480 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 56069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15481 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 56075 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15482 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 56081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15485 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 56087 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15486 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 56093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15487 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 56099 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15488 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 56105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15491 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 56111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15492 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 56117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15496 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 56129 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15504 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 56150 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15521 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 56162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15529 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 56189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15552 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 56299 "preproc.c" /* yacc.c:1646  */
    break;

  case 2826:
#line 15658 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 56335 "preproc.c" /* yacc.c:1646  */
    break;

  case 2827:
#line 15692 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 56341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2828:
#line 15694 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 56347 "preproc.c" /* yacc.c:1646  */
    break;

  case 2829:
#line 15696 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 56353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15700 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 56359 "preproc.c" /* yacc.c:1646  */
    break;

  case 2831:
#line 15703 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 56370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2832:
#line 15710 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 56416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15753 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56422 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15755 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 56432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15761 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 56443 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15770 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 56453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2837:
#line 15776 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 56462 "preproc.c" /* yacc.c:1646  */
    break;

  case 2838:
#line 15783 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 56471 "preproc.c" /* yacc.c:1646  */
    break;

  case 2839:
#line 15788 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 56479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2840:
#line 15793 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 56485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2841:
#line 15794 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 56491 "preproc.c" /* yacc.c:1646  */
    break;

  case 2842:
#line 15797 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 56497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15798 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 56503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15799 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 56509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2845:
#line 15800 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 56515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2846:
#line 15801 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 56521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2847:
#line 15802 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 56527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2848:
#line 15804 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 56539 "preproc.c" /* yacc.c:1646  */
    break;

  case 2849:
#line 15812 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 56551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2850:
#line 15819 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 56557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2851:
#line 15822 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 56563 "preproc.c" /* yacc.c:1646  */
    break;

  case 2852:
#line 15823 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 56569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2853:
#line 15824 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 56575 "preproc.c" /* yacc.c:1646  */
    break;

  case 2854:
#line 15825 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 56581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2855:
#line 15826 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 56587 "preproc.c" /* yacc.c:1646  */
    break;

  case 2856:
#line 15828 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 56599 "preproc.c" /* yacc.c:1646  */
    break;

  case 2857:
#line 15836 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 56611 "preproc.c" /* yacc.c:1646  */
    break;

  case 2858:
#line 15843 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 56617 "preproc.c" /* yacc.c:1646  */
    break;

  case 2859:
#line 15844 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 56623 "preproc.c" /* yacc.c:1646  */
    break;

  case 2860:
#line 15845 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 56629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2863:
#line 15853 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56635 "preproc.c" /* yacc.c:1646  */
    break;

  case 2864:
#line 15855 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 56646 "preproc.c" /* yacc.c:1646  */
    break;

  case 2865:
#line 15864 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 56735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2866:
#line 15951 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2867:
#line 15953 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 56750 "preproc.c" /* yacc.c:1646  */
    break;

  case 2868:
#line 15959 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2869:
#line 15960 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 56762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2870:
#line 15961 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 56768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2871:
#line 15968 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 56777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2872:
#line 15976 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2873:
#line 15979 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2874:
#line 15980 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 56795 "preproc.c" /* yacc.c:1646  */
    break;

  case 2875:
#line 15981 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 56801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2876:
#line 15982 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 56807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2877:
#line 15985 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 56813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2878:
#line 15986 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 56819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2879:
#line 15987 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56825 "preproc.c" /* yacc.c:1646  */
    break;

  case 2880:
#line 15991 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2881:
#line 15993 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 56837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2882:
#line 16000 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2883:
#line 16001 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 56849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2884:
#line 16008 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 56859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2885:
#line 16015 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56865 "preproc.c" /* yacc.c:1646  */
    break;

  case 2886:
#line 16016 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56871 "preproc.c" /* yacc.c:1646  */
    break;

  case 2887:
#line 16019 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2888:
#line 16020 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56883 "preproc.c" /* yacc.c:1646  */
    break;

  case 2889:
#line 16024 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 56892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2890:
#line 16029 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 56901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2891:
#line 16036 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 56910 "preproc.c" /* yacc.c:1646  */
    break;

  case 2892:
#line 16041 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 56919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2893:
#line 16048 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 56928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2896:
#line 16057 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 56939 "preproc.c" /* yacc.c:1646  */
    break;

  case 2897:
#line 16063 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56945 "preproc.c" /* yacc.c:1646  */
    break;

  case 2898:
#line 16064 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 56951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2899:
#line 16067 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2900:
#line 16068 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 56963 "preproc.c" /* yacc.c:1646  */
    break;

  case 2901:
#line 16069 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 56969 "preproc.c" /* yacc.c:1646  */
    break;

  case 2902:
#line 16070 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2903:
#line 16071 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 56981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2904:
#line 16072 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 56987 "preproc.c" /* yacc.c:1646  */
    break;

  case 2905:
#line 16073 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56993 "preproc.c" /* yacc.c:1646  */
    break;

  case 2906:
#line 16074 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56999 "preproc.c" /* yacc.c:1646  */
    break;

  case 2907:
#line 16075 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2908:
#line 16082 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 57016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2909:
#line 16089 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 57032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2910:
#line 16101 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 57042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2911:
#line 16107 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 57053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2912:
#line 16114 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 57063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2913:
#line 16121 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 57069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2914:
#line 16122 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57075 "preproc.c" /* yacc.c:1646  */
    break;

  case 2915:
#line 16135 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 57084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2916:
#line 16146 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 57093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2917:
#line 16157 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 57099 "preproc.c" /* yacc.c:1646  */
    break;

  case 2920:
#line 16165 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 57105 "preproc.c" /* yacc.c:1646  */
    break;

  case 2921:
#line 16170 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 57111 "preproc.c" /* yacc.c:1646  */
    break;

  case 2924:
#line 16178 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 57119 "preproc.c" /* yacc.c:1646  */
    break;

  case 2925:
#line 16184 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 57131 "preproc.c" /* yacc.c:1646  */
    break;

  case 2926:
#line 16192 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 57139 "preproc.c" /* yacc.c:1646  */
    break;

  case 2927:
#line 16197 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 57145 "preproc.c" /* yacc.c:1646  */
    break;

  case 2928:
#line 16205 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 57151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2931:
#line 16212 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 57157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2932:
#line 16216 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 57163 "preproc.c" /* yacc.c:1646  */
    break;

  case 2935:
#line 16224 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 57171 "preproc.c" /* yacc.c:1646  */
    break;

  case 2936:
#line 16230 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 57183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2937:
#line 16239 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 57191 "preproc.c" /* yacc.c:1646  */
    break;

  case 2938:
#line 16244 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 57204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2939:
#line 16254 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 57217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2940:
#line 16264 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 57231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2941:
#line 16275 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 57237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2942:
#line 16276 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 57243 "preproc.c" /* yacc.c:1646  */
    break;

  case 2943:
#line 16277 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 57249 "preproc.c" /* yacc.c:1646  */
    break;

  case 2944:
#line 16278 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 57255 "preproc.c" /* yacc.c:1646  */
    break;

  case 2945:
#line 16279 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 57261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2946:
#line 16280 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 57267 "preproc.c" /* yacc.c:1646  */
    break;

  case 2947:
#line 16281 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 57273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2948:
#line 16282 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 57279 "preproc.c" /* yacc.c:1646  */
    break;

  case 2949:
#line 16283 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 57285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2950:
#line 16284 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 57291 "preproc.c" /* yacc.c:1646  */
    break;

  case 2951:
#line 16285 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 57297 "preproc.c" /* yacc.c:1646  */
    break;

  case 2952:
#line 16286 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 57303 "preproc.c" /* yacc.c:1646  */
    break;

  case 2953:
#line 16287 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 57309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2954:
#line 16288 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 57315 "preproc.c" /* yacc.c:1646  */
    break;

  case 2955:
#line 16289 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 57321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2956:
#line 16296 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57327 "preproc.c" /* yacc.c:1646  */
    break;

  case 2957:
#line 16297 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2958:
#line 16300 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 57339 "preproc.c" /* yacc.c:1646  */
    break;

  case 2959:
#line 16301 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 57345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2960:
#line 16308 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57351 "preproc.c" /* yacc.c:1646  */
    break;

  case 2961:
#line 16309 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2962:
#line 16310 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57363 "preproc.c" /* yacc.c:1646  */
    break;

  case 2963:
#line 16317 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 57373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2964:
#line 16323 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 57386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2965:
#line 16333 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 57392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2966:
#line 16334 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 57398 "preproc.c" /* yacc.c:1646  */
    break;

  case 2967:
#line 16341 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 57408 "preproc.c" /* yacc.c:1646  */
    break;

  case 2968:
#line 16347 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 57470 "preproc.c" /* yacc.c:1646  */
    break;

  case 2969:
#line 16411 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 57480 "preproc.c" /* yacc.c:1646  */
    break;

  case 2970:
#line 16417 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 57490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2971:
#line 16423 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 57500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2972:
#line 16431 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 57510 "preproc.c" /* yacc.c:1646  */
    break;

  case 2973:
#line 16437 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 57520 "preproc.c" /* yacc.c:1646  */
    break;

  case 2974:
#line 16443 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 57530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2975:
#line 16449 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 57540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2976:
#line 16455 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 57550 "preproc.c" /* yacc.c:1646  */
    break;

  case 2977:
#line 16461 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 57560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2978:
#line 16467 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 57570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2979:
#line 16473 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_CONTINUE;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 57580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2980:
#line 16479 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 57590 "preproc.c" /* yacc.c:1646  */
    break;

  case 2981:
#line 16485 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 57600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2982:
#line 16495 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57606 "preproc.c" /* yacc.c:1646  */
    break;

  case 2983:
#line 16496 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2984:
#line 16499 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 57618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2985:
#line 16500 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 57624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2986:
#line 16501 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 57630 "preproc.c" /* yacc.c:1646  */
    break;

  case 2987:
#line 16502 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 57636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2988:
#line 16503 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 57642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2989:
#line 16504 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 57648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2990:
#line 16505 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 57654 "preproc.c" /* yacc.c:1646  */
    break;

  case 2991:
#line 16506 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 57660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2992:
#line 16507 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 57666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2993:
#line 16508 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 57672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2994:
#line 16509 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 57678 "preproc.c" /* yacc.c:1646  */
    break;

  case 2995:
#line 16510 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 57684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2996:
#line 16511 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 57690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2997:
#line 16512 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 57696 "preproc.c" /* yacc.c:1646  */
    break;

  case 2998:
#line 16513 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 57702 "preproc.c" /* yacc.c:1646  */
    break;

  case 2999:
#line 16514 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 57708 "preproc.c" /* yacc.c:1646  */
    break;

  case 3000:
#line 16515 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 57714 "preproc.c" /* yacc.c:1646  */
    break;

  case 3001:
#line 16516 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 57720 "preproc.c" /* yacc.c:1646  */
    break;

  case 3002:
#line 16517 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 57726 "preproc.c" /* yacc.c:1646  */
    break;

  case 3003:
#line 16518 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 57732 "preproc.c" /* yacc.c:1646  */
    break;

  case 3004:
#line 16519 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 57738 "preproc.c" /* yacc.c:1646  */
    break;

  case 3005:
#line 16520 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 57744 "preproc.c" /* yacc.c:1646  */
    break;

  case 3006:
#line 16523 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 57750 "preproc.c" /* yacc.c:1646  */
    break;

  case 3007:
#line 16524 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 57756 "preproc.c" /* yacc.c:1646  */
    break;

  case 3008:
#line 16525 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 57762 "preproc.c" /* yacc.c:1646  */
    break;

  case 3009:
#line 16526 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 57768 "preproc.c" /* yacc.c:1646  */
    break;

  case 3010:
#line 16527 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 57774 "preproc.c" /* yacc.c:1646  */
    break;

  case 3011:
#line 16528 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 57780 "preproc.c" /* yacc.c:1646  */
    break;

  case 3012:
#line 16532 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 57786 "preproc.c" /* yacc.c:1646  */
    break;

  case 3013:
#line 16533 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 57792 "preproc.c" /* yacc.c:1646  */
    break;

  case 3014:
#line 16534 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 57798 "preproc.c" /* yacc.c:1646  */
    break;

  case 3015:
#line 16535 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 57804 "preproc.c" /* yacc.c:1646  */
    break;

  case 3016:
#line 16536 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 57810 "preproc.c" /* yacc.c:1646  */
    break;

  case 3017:
#line 16537 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 57816 "preproc.c" /* yacc.c:1646  */
    break;

  case 3018:
#line 16538 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 57822 "preproc.c" /* yacc.c:1646  */
    break;

  case 3019:
#line 16541 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57828 "preproc.c" /* yacc.c:1646  */
    break;

  case 3020:
#line 16544 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57834 "preproc.c" /* yacc.c:1646  */
    break;

  case 3021:
#line 16545 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57840 "preproc.c" /* yacc.c:1646  */
    break;

  case 3022:
#line 16546 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57846 "preproc.c" /* yacc.c:1646  */
    break;

  case 3023:
#line 16547 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57852 "preproc.c" /* yacc.c:1646  */
    break;

  case 3024:
#line 16548 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57858 "preproc.c" /* yacc.c:1646  */
    break;

  case 3025:
#line 16549 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57864 "preproc.c" /* yacc.c:1646  */
    break;

  case 3026:
#line 16550 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 57870 "preproc.c" /* yacc.c:1646  */
    break;

  case 3027:
#line 16551 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 57876 "preproc.c" /* yacc.c:1646  */
    break;

  case 3028:
#line 16564 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57882 "preproc.c" /* yacc.c:1646  */
    break;

  case 3029:
#line 16565 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57888 "preproc.c" /* yacc.c:1646  */
    break;

  case 3030:
#line 16566 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57894 "preproc.c" /* yacc.c:1646  */
    break;

  case 3031:
#line 16567 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57900 "preproc.c" /* yacc.c:1646  */
    break;

  case 3032:
#line 16568 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57906 "preproc.c" /* yacc.c:1646  */
    break;

  case 3033:
#line 16569 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 57912 "preproc.c" /* yacc.c:1646  */
    break;

  case 3034:
#line 16570 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 57918 "preproc.c" /* yacc.c:1646  */
    break;

  case 3035:
#line 16575 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57924 "preproc.c" /* yacc.c:1646  */
    break;

  case 3036:
#line 16576 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57930 "preproc.c" /* yacc.c:1646  */
    break;

  case 3037:
#line 16577 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57936 "preproc.c" /* yacc.c:1646  */
    break;

  case 3038:
#line 16578 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57942 "preproc.c" /* yacc.c:1646  */
    break;

  case 3039:
#line 16579 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57948 "preproc.c" /* yacc.c:1646  */
    break;

  case 3040:
#line 16580 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57954 "preproc.c" /* yacc.c:1646  */
    break;

  case 3041:
#line 16586 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57960 "preproc.c" /* yacc.c:1646  */
    break;

  case 3042:
#line 16587 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57966 "preproc.c" /* yacc.c:1646  */
    break;

  case 3043:
#line 16588 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 57972 "preproc.c" /* yacc.c:1646  */
    break;

  case 3044:
#line 16589 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 57978 "preproc.c" /* yacc.c:1646  */
    break;

  case 3045:
#line 16590 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 57984 "preproc.c" /* yacc.c:1646  */
    break;

  case 3046:
#line 16591 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 57990 "preproc.c" /* yacc.c:1646  */
    break;

  case 3047:
#line 16592 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 57996 "preproc.c" /* yacc.c:1646  */
    break;

  case 3048:
#line 16593 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 58002 "preproc.c" /* yacc.c:1646  */
    break;

  case 3049:
#line 16594 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 58008 "preproc.c" /* yacc.c:1646  */
    break;

  case 3050:
#line 16595 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58014 "preproc.c" /* yacc.c:1646  */
    break;

  case 3051:
#line 16596 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58020 "preproc.c" /* yacc.c:1646  */
    break;

  case 3052:
#line 16599 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58026 "preproc.c" /* yacc.c:1646  */
    break;

  case 3053:
#line 16600 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58032 "preproc.c" /* yacc.c:1646  */
    break;

  case 3054:
#line 16601 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58038 "preproc.c" /* yacc.c:1646  */
    break;

  case 3055:
#line 16602 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58044 "preproc.c" /* yacc.c:1646  */
    break;

  case 3056:
#line 16603 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 58050 "preproc.c" /* yacc.c:1646  */
    break;

  case 3057:
#line 16606 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58056 "preproc.c" /* yacc.c:1646  */
    break;

  case 3058:
#line 16607 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58062 "preproc.c" /* yacc.c:1646  */
    break;

  case 3059:
#line 16608 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58068 "preproc.c" /* yacc.c:1646  */
    break;

  case 3060:
#line 16609 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58074 "preproc.c" /* yacc.c:1646  */
    break;

  case 3061:
#line 16612 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 58080 "preproc.c" /* yacc.c:1646  */
    break;

  case 3062:
#line 16613 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 58086 "preproc.c" /* yacc.c:1646  */
    break;

  case 3063:
#line 16614 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 58092 "preproc.c" /* yacc.c:1646  */
    break;

  case 3064:
#line 16615 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 58098 "preproc.c" /* yacc.c:1646  */
    break;

  case 3065:
#line 16616 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 58104 "preproc.c" /* yacc.c:1646  */
    break;

  case 3066:
#line 16617 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 58110 "preproc.c" /* yacc.c:1646  */
    break;

  case 3067:
#line 16618 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 58116 "preproc.c" /* yacc.c:1646  */
    break;

  case 3068:
#line 16635 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58122 "preproc.c" /* yacc.c:1646  */
    break;

  case 3069:
#line 16636 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58128 "preproc.c" /* yacc.c:1646  */
    break;

  case 3070:
#line 16637 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 58134 "preproc.c" /* yacc.c:1646  */
    break;

  case 3071:
#line 16640 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 58140 "preproc.c" /* yacc.c:1646  */
    break;

  case 3072:
#line 16641 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 58146 "preproc.c" /* yacc.c:1646  */
    break;

  case 3073:
#line 16642 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 58152 "preproc.c" /* yacc.c:1646  */
    break;

  case 3074:
#line 16643 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 58158 "preproc.c" /* yacc.c:1646  */
    break;

  case 3075:
#line 16644 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 58164 "preproc.c" /* yacc.c:1646  */
    break;

  case 3076:
#line 16645 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 58170 "preproc.c" /* yacc.c:1646  */
    break;

  case 3079:
#line 16652 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 58179 "preproc.c" /* yacc.c:1646  */
    break;

  case 3080:
#line 16658 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 58185 "preproc.c" /* yacc.c:1646  */
    break;

  case 3081:
#line 16659 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58191 "preproc.c" /* yacc.c:1646  */
    break;

  case 3082:
#line 16663 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 58197 "preproc.c" /* yacc.c:1646  */
    break;

  case 3083:
#line 16665 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 58203 "preproc.c" /* yacc.c:1646  */
    break;

  case 3084:
#line 16670 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 58215 "preproc.c" /* yacc.c:1646  */
    break;

  case 3085:
#line 16680 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 58228 "preproc.c" /* yacc.c:1646  */
    break;

  case 3086:
#line 16691 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 58237 "preproc.c" /* yacc.c:1646  */
    break;

  case 3087:
#line 16697 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 58243 "preproc.c" /* yacc.c:1646  */
    break;

  case 3088:
#line 16698 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 58249 "preproc.c" /* yacc.c:1646  */
    break;

  case 3089:
#line 16699 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 58255 "preproc.c" /* yacc.c:1646  */
    break;

  case 3090:
#line 16703 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 58290 "preproc.c" /* yacc.c:1646  */
    break;

  case 3091:
#line 16735 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 58296 "preproc.c" /* yacc.c:1646  */
    break;

  case 3092:
#line 16737 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 58302 "preproc.c" /* yacc.c:1646  */
    break;

  case 3093:
#line 16739 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 58308 "preproc.c" /* yacc.c:1646  */
    break;

  case 3094:
#line 16743 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 58322 "preproc.c" /* yacc.c:1646  */
    break;

  case 3095:
#line 16753 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 58336 "preproc.c" /* yacc.c:1646  */
    break;

  case 3096:
#line 16763 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 58350 "preproc.c" /* yacc.c:1646  */
    break;

  case 3097:
#line 16772 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58356 "preproc.c" /* yacc.c:1646  */
    break;

  case 3098:
#line 16773 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58362 "preproc.c" /* yacc.c:1646  */
    break;

  case 3099:
#line 16776 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 58368 "preproc.c" /* yacc.c:1646  */
    break;

  case 3100:
#line 16778 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 58374 "preproc.c" /* yacc.c:1646  */
    break;

  case 3101:
#line 16779 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 58380 "preproc.c" /* yacc.c:1646  */
    break;

  case 3102:
#line 16780 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58386 "preproc.c" /* yacc.c:1646  */
    break;

  case 3103:
#line 16784 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 58392 "preproc.c" /* yacc.c:1646  */
    break;

  case 3104:
#line 16786 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 58398 "preproc.c" /* yacc.c:1646  */
    break;

  case 3105:
#line 16793 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58404 "preproc.c" /* yacc.c:1646  */
    break;

  case 3106:
#line 16794 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 58410 "preproc.c" /* yacc.c:1646  */
    break;

  case 3107:
#line 16796 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 58416 "preproc.c" /* yacc.c:1646  */
    break;

  case 3108:
#line 16799 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58422 "preproc.c" /* yacc.c:1646  */
    break;

  case 3109:
#line 16801 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 58428 "preproc.c" /* yacc.c:1646  */
    break;

  case 3110:
#line 16804 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58434 "preproc.c" /* yacc.c:1646  */
    break;

  case 3111:
#line 16805 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 58440 "preproc.c" /* yacc.c:1646  */
    break;

  case 3112:
#line 16808 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58446 "preproc.c" /* yacc.c:1646  */
    break;

  case 3113:
#line 16809 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 58452 "preproc.c" /* yacc.c:1646  */
    break;

  case 3114:
#line 16812 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58458 "preproc.c" /* yacc.c:1646  */
    break;

  case 3115:
#line 16813 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 58464 "preproc.c" /* yacc.c:1646  */
    break;

  case 3116:
#line 16814 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 58470 "preproc.c" /* yacc.c:1646  */
    break;

  case 3117:
#line 16815 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 58476 "preproc.c" /* yacc.c:1646  */
    break;

  case 3118:
#line 16816 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 58482 "preproc.c" /* yacc.c:1646  */
    break;

  case 3119:
#line 16819 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58488 "preproc.c" /* yacc.c:1646  */
    break;

  case 3120:
#line 16820 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58494 "preproc.c" /* yacc.c:1646  */
    break;

  case 3121:
#line 16821 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58500 "preproc.c" /* yacc.c:1646  */
    break;

  case 3122:
#line 16822 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58506 "preproc.c" /* yacc.c:1646  */
    break;

  case 3123:
#line 16823 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 58512 "preproc.c" /* yacc.c:1646  */
    break;

  case 3124:
#line 16824 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 58518 "preproc.c" /* yacc.c:1646  */
    break;

  case 3125:
#line 16825 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 58524 "preproc.c" /* yacc.c:1646  */
    break;

  case 3126:
#line 16826 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 58530 "preproc.c" /* yacc.c:1646  */
    break;

  case 3127:
#line 16827 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 58536 "preproc.c" /* yacc.c:1646  */
    break;

  case 3128:
#line 16828 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 58542 "preproc.c" /* yacc.c:1646  */
    break;

  case 3129:
#line 16829 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 58548 "preproc.c" /* yacc.c:1646  */
    break;

  case 3130:
#line 16830 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 58554 "preproc.c" /* yacc.c:1646  */
    break;

  case 3131:
#line 16831 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 58560 "preproc.c" /* yacc.c:1646  */
    break;

  case 3132:
#line 16832 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 58566 "preproc.c" /* yacc.c:1646  */
    break;

  case 3133:
#line 16833 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 58572 "preproc.c" /* yacc.c:1646  */
    break;

  case 3134:
#line 16834 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 58578 "preproc.c" /* yacc.c:1646  */
    break;

  case 3135:
#line 16835 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 58584 "preproc.c" /* yacc.c:1646  */
    break;

  case 3136:
#line 16836 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 58590 "preproc.c" /* yacc.c:1646  */
    break;

  case 3137:
#line 16837 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 58596 "preproc.c" /* yacc.c:1646  */
    break;

  case 3138:
#line 16838 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 58602 "preproc.c" /* yacc.c:1646  */
    break;

  case 3139:
#line 16839 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 58608 "preproc.c" /* yacc.c:1646  */
    break;

  case 3140:
#line 16840 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 58614 "preproc.c" /* yacc.c:1646  */
    break;

  case 3141:
#line 16841 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 58620 "preproc.c" /* yacc.c:1646  */
    break;

  case 3142:
#line 16842 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 58626 "preproc.c" /* yacc.c:1646  */
    break;

  case 3143:
#line 16843 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 58632 "preproc.c" /* yacc.c:1646  */
    break;

  case 3144:
#line 16844 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 58638 "preproc.c" /* yacc.c:1646  */
    break;

  case 3145:
#line 16845 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 58644 "preproc.c" /* yacc.c:1646  */
    break;

  case 3146:
#line 16846 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 58650 "preproc.c" /* yacc.c:1646  */
    break;

  case 3147:
#line 16847 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 58656 "preproc.c" /* yacc.c:1646  */
    break;

  case 3148:
#line 16848 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 58662 "preproc.c" /* yacc.c:1646  */
    break;

  case 3149:
#line 16849 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 58668 "preproc.c" /* yacc.c:1646  */
    break;

  case 3150:
#line 16850 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 58674 "preproc.c" /* yacc.c:1646  */
    break;

  case 3151:
#line 16851 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 58680 "preproc.c" /* yacc.c:1646  */
    break;

  case 3152:
#line 16852 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 58686 "preproc.c" /* yacc.c:1646  */
    break;

  case 3153:
#line 16853 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 58692 "preproc.c" /* yacc.c:1646  */
    break;

  case 3154:
#line 16854 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 58698 "preproc.c" /* yacc.c:1646  */
    break;

  case 3155:
#line 16855 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 58704 "preproc.c" /* yacc.c:1646  */
    break;

  case 3156:
#line 16856 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 58710 "preproc.c" /* yacc.c:1646  */
    break;

  case 3157:
#line 16857 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 58716 "preproc.c" /* yacc.c:1646  */
    break;

  case 3158:
#line 16858 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 58722 "preproc.c" /* yacc.c:1646  */
    break;

  case 3159:
#line 16859 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 58728 "preproc.c" /* yacc.c:1646  */
    break;

  case 3160:
#line 16860 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 58734 "preproc.c" /* yacc.c:1646  */
    break;

  case 3161:
#line 16861 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 58740 "preproc.c" /* yacc.c:1646  */
    break;

  case 3162:
#line 16862 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 58746 "preproc.c" /* yacc.c:1646  */
    break;

  case 3163:
#line 16863 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 58752 "preproc.c" /* yacc.c:1646  */
    break;

  case 3164:
#line 16864 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 58758 "preproc.c" /* yacc.c:1646  */
    break;

  case 3165:
#line 16865 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 58764 "preproc.c" /* yacc.c:1646  */
    break;

  case 3166:
#line 16866 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 58770 "preproc.c" /* yacc.c:1646  */
    break;

  case 3167:
#line 16867 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 58776 "preproc.c" /* yacc.c:1646  */
    break;

  case 3168:
#line 16868 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 58782 "preproc.c" /* yacc.c:1646  */
    break;

  case 3169:
#line 16869 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 58788 "preproc.c" /* yacc.c:1646  */
    break;

  case 3170:
#line 16870 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 58794 "preproc.c" /* yacc.c:1646  */
    break;

  case 3171:
#line 16871 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 58800 "preproc.c" /* yacc.c:1646  */
    break;

  case 3172:
#line 16872 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 58806 "preproc.c" /* yacc.c:1646  */
    break;

  case 3173:
#line 16873 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 58812 "preproc.c" /* yacc.c:1646  */
    break;

  case 3174:
#line 16874 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 58818 "preproc.c" /* yacc.c:1646  */
    break;

  case 3175:
#line 16877 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58824 "preproc.c" /* yacc.c:1646  */
    break;

  case 3176:
#line 16878 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58830 "preproc.c" /* yacc.c:1646  */
    break;

  case 3177:
#line 16879 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 58836 "preproc.c" /* yacc.c:1646  */
    break;

  case 3178:
#line 16880 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 58842 "preproc.c" /* yacc.c:1646  */
    break;

  case 3179:
#line 16883 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58848 "preproc.c" /* yacc.c:1646  */
    break;

  case 3180:
#line 16884 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 58854 "preproc.c" /* yacc.c:1646  */
    break;

  case 3181:
#line 16885 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 58860 "preproc.c" /* yacc.c:1646  */
    break;

  case 3182:
#line 16886 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 58866 "preproc.c" /* yacc.c:1646  */
    break;

  case 3183:
#line 16887 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 58872 "preproc.c" /* yacc.c:1646  */
    break;

  case 3184:
#line 16888 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 58878 "preproc.c" /* yacc.c:1646  */
    break;

  case 3185:
#line 16889 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 58884 "preproc.c" /* yacc.c:1646  */
    break;

  case 3186:
#line 16890 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58890 "preproc.c" /* yacc.c:1646  */
    break;

  case 3187:
#line 16891 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58896 "preproc.c" /* yacc.c:1646  */
    break;

  case 3188:
#line 16892 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 58906 "preproc.c" /* yacc.c:1646  */
    break;

  case 3189:
#line 16899 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 58912 "preproc.c" /* yacc.c:1646  */
    break;

  case 3190:
#line 16900 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 58918 "preproc.c" /* yacc.c:1646  */
    break;

  case 3191:
#line 16901 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 58924 "preproc.c" /* yacc.c:1646  */
    break;

  case 3192:
#line 16902 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 58930 "preproc.c" /* yacc.c:1646  */
    break;

  case 3193:
#line 16905 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 58936 "preproc.c" /* yacc.c:1646  */
    break;

  case 3194:
#line 16906 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58942 "preproc.c" /* yacc.c:1646  */
    break;

  case 3195:
#line 16909 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 58948 "preproc.c" /* yacc.c:1646  */
    break;

  case 3196:
#line 16910 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58954 "preproc.c" /* yacc.c:1646  */
    break;

  case 3197:
#line 16913 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58960 "preproc.c" /* yacc.c:1646  */
    break;

  case 3198:
#line 16915 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 58973 "preproc.c" /* yacc.c:1646  */
    break;

  case 3199:
#line 16925 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 58979 "preproc.c" /* yacc.c:1646  */
    break;

  case 3200:
#line 16926 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58985 "preproc.c" /* yacc.c:1646  */
    break;


#line 58989 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 16929 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
